/*     */ package com.google.zxing.client.result;
/*     */ 
/*     */ import com.google.zxing.BarcodeFormat;
/*     */ import com.google.zxing.Result;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class ExpandedProductResultParser
/*     */   extends ResultParser
/*     */ {
/*     */   public ExpandedProductParsedResult parse(Result result) {
/*  45 */     BarcodeFormat format = result.getBarcodeFormat();
/*  46 */     if (format != BarcodeFormat.RSS_EXPANDED)
/*     */     {
/*  48 */       return null;
/*     */     }
/*     */     
/*  51 */     String rawText = getMassagedText(result);
/*  52 */     if (rawText == null)
/*     */     {
/*  54 */       return null;
/*     */     }
/*     */     
/*  57 */     String productID = null;
/*  58 */     String sscc = null;
/*  59 */     String lotNumber = null;
/*  60 */     String productionDate = null;
/*  61 */     String packagingDate = null;
/*  62 */     String bestBeforeDate = null;
/*  63 */     String expirationDate = null;
/*  64 */     String weight = null;
/*  65 */     String weightType = null;
/*  66 */     String weightIncrement = null;
/*  67 */     String price = null;
/*  68 */     String priceIncrement = null;
/*  69 */     String priceCurrency = null;
/*  70 */     Map<String, String> uncommonAIs = new HashMap<String, String>();
/*     */     
/*  72 */     int i = 0;
/*     */     
/*  74 */     while (i < rawText.length()) {
/*  75 */       String ai = findAIvalue(i, rawText);
/*  76 */       if (ai == null)
/*     */       {
/*     */         
/*  79 */         return null;
/*     */       }
/*  81 */       i += ai.length() + 2;
/*  82 */       String value = findValue(i, rawText);
/*  83 */       i += value.length();
/*     */       
/*  85 */       if ("00".equals(ai)) {
/*  86 */         sscc = value; continue;
/*  87 */       }  if ("01".equals(ai)) {
/*  88 */         productID = value; continue;
/*  89 */       }  if ("10".equals(ai)) {
/*  90 */         lotNumber = value; continue;
/*  91 */       }  if ("11".equals(ai)) {
/*  92 */         productionDate = value; continue;
/*  93 */       }  if ("13".equals(ai)) {
/*  94 */         packagingDate = value; continue;
/*  95 */       }  if ("15".equals(ai)) {
/*  96 */         bestBeforeDate = value; continue;
/*  97 */       }  if ("17".equals(ai)) {
/*  98 */         expirationDate = value; continue;
/*  99 */       }  if ("3100".equals(ai) || "3101".equals(ai) || "3102".equals(ai) || "3103".equals(ai) || "3104".equals(ai) || "3105".equals(ai) || "3106".equals(ai) || "3107".equals(ai) || "3108".equals(ai) || "3109".equals(ai)) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 104 */         weight = value;
/* 105 */         weightType = "KG";
/* 106 */         weightIncrement = ai.substring(3); continue;
/* 107 */       }  if ("3200".equals(ai) || "3201".equals(ai) || "3202".equals(ai) || "3203".equals(ai) || "3204".equals(ai) || "3205".equals(ai) || "3206".equals(ai) || "3207".equals(ai) || "3208".equals(ai) || "3209".equals(ai)) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 112 */         weight = value;
/* 113 */         weightType = "LB";
/* 114 */         weightIncrement = ai.substring(3); continue;
/* 115 */       }  if ("3920".equals(ai) || "3921".equals(ai) || "3922".equals(ai) || "3923".equals(ai)) {
/*     */         
/* 117 */         price = value;
/* 118 */         priceIncrement = ai.substring(3); continue;
/* 119 */       }  if ("3930".equals(ai) || "3931".equals(ai) || "3932".equals(ai) || "3933".equals(ai)) {
/*     */         
/* 121 */         if (value.length() < 4)
/*     */         {
/*     */ 
/*     */           
/* 125 */           return null;
/*     */         }
/* 127 */         price = value.substring(3);
/* 128 */         priceCurrency = value.substring(0, 3);
/* 129 */         priceIncrement = ai.substring(3);
/*     */         continue;
/*     */       } 
/* 132 */       uncommonAIs.put(ai, value);
/*     */     } 
/*     */ 
/*     */     
/* 136 */     return new ExpandedProductParsedResult(rawText, productID, sscc, lotNumber, productionDate, packagingDate, bestBeforeDate, expirationDate, weight, weightType, weightIncrement, price, priceIncrement, priceCurrency, uncommonAIs);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static String findAIvalue(int i, String rawText) {
/* 154 */     char c = rawText.charAt(i);
/*     */     
/* 156 */     if (c != '(') {
/* 157 */       return null;
/*     */     }
/*     */     
/* 160 */     String rawTextAux = rawText.substring(i + 1);
/*     */     
/* 162 */     StringBuilder buf = new StringBuilder();
/* 163 */     for (int index = 0; index < rawTextAux.length(); index++) {
/* 164 */       char currentChar = rawTextAux.charAt(index);
/* 165 */       if (currentChar == ')')
/* 166 */         return buf.toString(); 
/* 167 */       if (currentChar >= '0' && currentChar <= '9') {
/* 168 */         buf.append(currentChar);
/*     */       } else {
/* 170 */         return null;
/*     */       } 
/*     */     } 
/* 173 */     return buf.toString();
/*     */   }
/*     */   
/*     */   private static String findValue(int i, String rawText) {
/* 177 */     StringBuilder buf = new StringBuilder();
/* 178 */     String rawTextAux = rawText.substring(i);
/*     */     
/* 180 */     for (int index = 0; index < rawTextAux.length(); index++) {
/* 181 */       char c = rawTextAux.charAt(index);
/* 182 */       if (c == '(') {
/*     */ 
/*     */         
/* 185 */         if (findAIvalue(index, rawTextAux) == null) {
/* 186 */           buf.append('(');
/*     */         } else {
/*     */           break;
/*     */         } 
/*     */       } else {
/* 191 */         buf.append(c);
/*     */       } 
/*     */     } 
/* 194 */     return buf.toString();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\client\result\ExpandedProductResultParser.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */