/*     */ package com.google.zxing.client.result;
/*     */ 
/*     */ import com.google.zxing.Result;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class VEventResultParser
/*     */   extends ResultParser
/*     */ {
/*     */   public CalendarParsedResult parse(Result result) {
/*     */     double latitude, longitude;
/*  33 */     String rawText = getMassagedText(result);
/*  34 */     int vEventStart = rawText.indexOf("BEGIN:VEVENT");
/*  35 */     if (vEventStart < 0) {
/*  36 */       return null;
/*     */     }
/*     */     
/*  39 */     String summary = matchSingleVCardPrefixedField("SUMMARY", rawText, true);
/*  40 */     String start = matchSingleVCardPrefixedField("DTSTART", rawText, true);
/*  41 */     if (start == null) {
/*  42 */       return null;
/*     */     }
/*  44 */     String end = matchSingleVCardPrefixedField("DTEND", rawText, true);
/*  45 */     String duration = matchSingleVCardPrefixedField("DURATION", rawText, true);
/*  46 */     String location = matchSingleVCardPrefixedField("LOCATION", rawText, true);
/*  47 */     String organizer = stripMailto(matchSingleVCardPrefixedField("ORGANIZER", rawText, true));
/*     */     
/*  49 */     String[] attendees = matchVCardPrefixedField("ATTENDEE", rawText, true);
/*  50 */     if (attendees != null) {
/*  51 */       for (int i = 0; i < attendees.length; i++) {
/*  52 */         attendees[i] = stripMailto(attendees[i]);
/*     */       }
/*     */     }
/*  55 */     String description = matchSingleVCardPrefixedField("DESCRIPTION", rawText, true);
/*     */     
/*  57 */     String geoString = matchSingleVCardPrefixedField("GEO", rawText, true);
/*     */ 
/*     */     
/*  60 */     if (geoString == null) {
/*  61 */       latitude = Double.NaN;
/*  62 */       longitude = Double.NaN;
/*     */     } else {
/*  64 */       int semicolon = geoString.indexOf(';');
/*     */       try {
/*  66 */         latitude = Double.parseDouble(geoString.substring(0, semicolon));
/*  67 */         longitude = Double.parseDouble(geoString.substring(semicolon + 1));
/*  68 */       } catch (NumberFormatException ignored) {
/*  69 */         return null;
/*     */       } 
/*     */     } 
/*     */     
/*     */     try {
/*  74 */       return new CalendarParsedResult(summary, start, end, duration, location, organizer, attendees, description, latitude, longitude);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/*  84 */     catch (IllegalArgumentException ignored) {
/*  85 */       return null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private static String matchSingleVCardPrefixedField(CharSequence prefix, String rawText, boolean trim) {
/*  92 */     List<String> values = VCardResultParser.matchSingleVCardPrefixedField(prefix, rawText, trim, false);
/*  93 */     return (values == null || values.isEmpty()) ? null : values.get(0);
/*     */   }
/*     */   
/*     */   private static String[] matchVCardPrefixedField(CharSequence prefix, String rawText, boolean trim) {
/*  97 */     List<List<String>> values = VCardResultParser.matchVCardPrefixedField(prefix, rawText, trim, false);
/*  98 */     if (values == null || values.isEmpty()) {
/*  99 */       return null;
/*     */     }
/* 101 */     int size = values.size();
/* 102 */     String[] result = new String[size];
/* 103 */     for (int i = 0; i < size; i++) {
/* 104 */       result[i] = ((List<String>)values.get(i)).get(0);
/*     */     }
/* 106 */     return result;
/*     */   }
/*     */   
/*     */   private static String stripMailto(String s) {
/* 110 */     if (s != null && (s.startsWith("mailto:") || s.startsWith("MAILTO:"))) {
/* 111 */       s = s.substring(7);
/*     */     }
/* 113 */     return s;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\client\result\VEventResultParser.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */