/*     */ package com.google.zxing.common.reedsolomon;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class GenericGF
/*     */ {
/*  32 */   public static final GenericGF AZTEC_DATA_12 = new GenericGF(4201, 4096, 1);
/*  33 */   public static final GenericGF AZTEC_DATA_10 = new GenericGF(1033, 1024, 1);
/*  34 */   public static final GenericGF AZTEC_DATA_6 = new GenericGF(67, 64, 1);
/*  35 */   public static final GenericGF AZTEC_PARAM = new GenericGF(19, 16, 1);
/*  36 */   public static final GenericGF QR_CODE_FIELD_256 = new GenericGF(285, 256, 0);
/*  37 */   public static final GenericGF DATA_MATRIX_FIELD_256 = new GenericGF(301, 256, 1);
/*  38 */   public static final GenericGF AZTEC_DATA_8 = DATA_MATRIX_FIELD_256;
/*  39 */   public static final GenericGF MAXICODE_FIELD_64 = AZTEC_DATA_6;
/*     */ 
/*     */   
/*     */   private static final int INITIALIZATION_THRESHOLD = 0;
/*     */ 
/*     */   
/*     */   private int[] expTable;
/*     */ 
/*     */   
/*     */   private int[] logTable;
/*     */   
/*     */   private GenericGFPoly zero;
/*     */   
/*     */   private GenericGFPoly one;
/*     */   
/*     */   private final int size;
/*     */   
/*     */   private final int primitive;
/*     */   
/*     */   private final int generatorBase;
/*     */   
/*     */   private boolean initialized = false;
/*     */ 
/*     */   
/*     */   public GenericGF(int primitive, int size, int b) {
/*  64 */     this.primitive = primitive;
/*  65 */     this.size = size;
/*  66 */     this.generatorBase = b;
/*     */     
/*  68 */     if (size <= 0) {
/*  69 */       initialize();
/*     */     }
/*     */   }
/*     */   
/*     */   private void initialize() {
/*  74 */     this.expTable = new int[this.size];
/*  75 */     this.logTable = new int[this.size];
/*  76 */     int x = 1; int i;
/*  77 */     for (i = 0; i < this.size; i++) {
/*  78 */       this.expTable[i] = x;
/*  79 */       x <<= 1;
/*  80 */       if (x >= this.size) {
/*  81 */         x ^= this.primitive;
/*  82 */         x &= this.size - 1;
/*     */       } 
/*     */     } 
/*  85 */     for (i = 0; i < this.size - 1; i++) {
/*  86 */       this.logTable[this.expTable[i]] = i;
/*     */     }
/*     */     
/*  89 */     this.zero = new GenericGFPoly(this, new int[] { 0 });
/*  90 */     this.one = new GenericGFPoly(this, new int[] { 1 });
/*  91 */     this.initialized = true;
/*     */   }
/*     */   
/*     */   private void checkInit() {
/*  95 */     if (!this.initialized) {
/*  96 */       initialize();
/*     */     }
/*     */   }
/*     */   
/*     */   GenericGFPoly getZero() {
/* 101 */     checkInit();
/*     */     
/* 103 */     return this.zero;
/*     */   }
/*     */   
/*     */   GenericGFPoly getOne() {
/* 107 */     checkInit();
/*     */     
/* 109 */     return this.one;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   GenericGFPoly buildMonomial(int degree, int coefficient) {
/* 116 */     checkInit();
/*     */     
/* 118 */     if (degree < 0) {
/* 119 */       throw new IllegalArgumentException();
/*     */     }
/* 121 */     if (coefficient == 0) {
/* 122 */       return this.zero;
/*     */     }
/* 124 */     int[] coefficients = new int[degree + 1];
/* 125 */     coefficients[0] = coefficient;
/* 126 */     return new GenericGFPoly(this, coefficients);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int addOrSubtract(int a, int b) {
/* 135 */     return a ^ b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int exp(int a) {
/* 142 */     checkInit();
/*     */     
/* 144 */     return this.expTable[a];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int log(int a) {
/* 151 */     checkInit();
/*     */     
/* 153 */     if (a == 0) {
/* 154 */       throw new IllegalArgumentException();
/*     */     }
/* 156 */     return this.logTable[a];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int inverse(int a) {
/* 163 */     checkInit();
/*     */     
/* 165 */     if (a == 0) {
/* 166 */       throw new ArithmeticException();
/*     */     }
/* 168 */     return this.expTable[this.size - this.logTable[a] - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int multiply(int a, int b) {
/* 175 */     checkInit();
/*     */     
/* 177 */     if (a == 0 || b == 0) {
/* 178 */       return 0;
/*     */     }
/* 180 */     return this.expTable[(this.logTable[a] + this.logTable[b]) % (this.size - 1)];
/*     */   }
/*     */   
/*     */   public int getSize() {
/* 184 */     return this.size;
/*     */   }
/*     */   
/*     */   public int getGeneratorBase() {
/* 188 */     return this.generatorBase;
/*     */   }
/*     */ 
/*     */   
/*     */   public String toString() {
/* 193 */     return "GF(0x" + Integer.toHexString(this.primitive) + ',' + this.size + ')';
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\common\reedsolomon\GenericGF.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */