/*     */ package com.google.zxing.datamatrix.encoder;
/*     */ 
/*     */ import com.google.zxing.Dimension;
/*     */ import java.nio.charset.Charset;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class EncoderContext
/*     */ {
/*     */   String msg;
/*     */   private SymbolShapeHint shape;
/*     */   private Dimension minSize;
/*     */   private Dimension maxSize;
/*     */   StringBuilder codewords;
/*     */   int pos;
/*     */   int newEncoding;
/*     */   SymbolInfo symbolInfo;
/*     */   private int skipAtEnd;
/*     */   
/*     */   EncoderContext(String msg) {
/*  37 */     byte[] msgBinary = msg.getBytes(Charset.forName("ISO-8859-1"));
/*  38 */     StringBuilder sb = new StringBuilder(msgBinary.length);
/*  39 */     for (int i = 0, c = msgBinary.length; i < c; i++) {
/*  40 */       char ch = (char)(msgBinary[i] & 0xFF);
/*  41 */       if (ch == '?' && msg.charAt(i) != '?') {
/*  42 */         throw new IllegalArgumentException("Message contains characters outside ISO-8859-1 encoding.");
/*     */       }
/*  44 */       sb.append(ch);
/*     */     } 
/*  46 */     this.msg = sb.toString();
/*  47 */     this.shape = SymbolShapeHint.FORCE_NONE;
/*  48 */     this.codewords = new StringBuilder(msg.length());
/*  49 */     this.newEncoding = -1;
/*     */   }
/*     */   
/*     */   public void setSymbolShape(SymbolShapeHint shape) {
/*  53 */     this.shape = shape;
/*     */   }
/*     */   
/*     */   public void setSizeConstraints(Dimension minSize, Dimension maxSize) {
/*  57 */     this.minSize = minSize;
/*  58 */     this.maxSize = maxSize;
/*     */   }
/*     */   
/*     */   public String getMessage() {
/*  62 */     return this.msg;
/*     */   }
/*     */   
/*     */   public void setSkipAtEnd(int count) {
/*  66 */     this.skipAtEnd = count;
/*     */   }
/*     */   
/*     */   public char getCurrentChar() {
/*  70 */     return this.msg.charAt(this.pos);
/*     */   }
/*     */   
/*     */   public char getCurrent() {
/*  74 */     return this.msg.charAt(this.pos);
/*     */   }
/*     */   
/*     */   public void writeCodewords(String codewords) {
/*  78 */     this.codewords.append(codewords);
/*     */   }
/*     */   
/*     */   public void writeCodeword(char codeword) {
/*  82 */     this.codewords.append(codeword);
/*     */   }
/*     */   
/*     */   public int getCodewordCount() {
/*  86 */     return this.codewords.length();
/*     */   }
/*     */   
/*     */   public void signalEncoderChange(int encoding) {
/*  90 */     this.newEncoding = encoding;
/*     */   }
/*     */   
/*     */   public void resetEncoderSignal() {
/*  94 */     this.newEncoding = -1;
/*     */   }
/*     */   
/*     */   public boolean hasMoreCharacters() {
/*  98 */     return (this.pos < getTotalMessageCharCount());
/*     */   }
/*     */   
/*     */   private int getTotalMessageCharCount() {
/* 102 */     return this.msg.length() - this.skipAtEnd;
/*     */   }
/*     */   
/*     */   public int getRemainingCharacters() {
/* 106 */     return getTotalMessageCharCount() - this.pos;
/*     */   }
/*     */   
/*     */   public void updateSymbolInfo() {
/* 110 */     updateSymbolInfo(getCodewordCount());
/*     */   }
/*     */   
/*     */   public void updateSymbolInfo(int len) {
/* 114 */     if (this.symbolInfo == null || len > this.symbolInfo.dataCapacity) {
/* 115 */       this.symbolInfo = SymbolInfo.lookup(len, this.shape, this.minSize, this.maxSize, true);
/*     */     }
/*     */   }
/*     */   
/*     */   public void resetSymbolInfo() {
/* 120 */     this.symbolInfo = null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\datamatrix\encoder\EncoderContext.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */