/*     */ package com.google.zxing.maxicode;
/*     */ 
/*     */ import com.google.zxing.BarcodeFormat;
/*     */ import com.google.zxing.BinaryBitmap;
/*     */ import com.google.zxing.ChecksumException;
/*     */ import com.google.zxing.DecodeHintType;
/*     */ import com.google.zxing.FormatException;
/*     */ import com.google.zxing.NotFoundException;
/*     */ import com.google.zxing.Reader;
/*     */ import com.google.zxing.Result;
/*     */ import com.google.zxing.ResultMetadataType;
/*     */ import com.google.zxing.ResultPoint;
/*     */ import com.google.zxing.common.BitMatrix;
/*     */ import com.google.zxing.common.DecoderResult;
/*     */ import com.google.zxing.maxicode.decoder.Decoder;
/*     */ import java.util.Map;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class MaxiCodeReader
/*     */   implements Reader
/*     */ {
/*  40 */   private static final ResultPoint[] NO_POINTS = new ResultPoint[0];
/*     */   
/*     */   private static final int MATRIX_WIDTH = 30;
/*     */   private static final int MATRIX_HEIGHT = 33;
/*  44 */   private final Decoder decoder = new Decoder();
/*     */   
/*     */   Decoder getDecoder() {
/*  47 */     return this.decoder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Result decode(BinaryBitmap image) throws NotFoundException, ChecksumException, FormatException {
/*  60 */     return decode(image, null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public Result decode(BinaryBitmap image, Map<DecodeHintType, ?> hints) throws NotFoundException, ChecksumException, FormatException {
/*     */     DecoderResult decoderResult;
/*  67 */     if (hints != null && hints.containsKey(DecodeHintType.PURE_BARCODE)) {
/*  68 */       BitMatrix bits = extractPureBits(image.getBlackMatrix());
/*  69 */       decoderResult = this.decoder.decode(bits, hints);
/*     */     } else {
/*  71 */       throw NotFoundException.getNotFoundInstance();
/*     */     } 
/*     */     
/*  74 */     ResultPoint[] points = NO_POINTS;
/*  75 */     Result result = new Result(decoderResult.getText(), decoderResult.getRawBytes(), points, BarcodeFormat.MAXICODE);
/*     */     
/*  77 */     String ecLevel = decoderResult.getECLevel();
/*  78 */     if (ecLevel != null) {
/*  79 */       result.putMetadata(ResultMetadataType.ERROR_CORRECTION_LEVEL, ecLevel);
/*     */     }
/*  81 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void reset() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static BitMatrix extractPureBits(BitMatrix image) throws NotFoundException {
/* 100 */     int[] enclosingRectangle = image.getEnclosingRectangle();
/* 101 */     if (enclosingRectangle == null) {
/* 102 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 105 */     int left = enclosingRectangle[0];
/* 106 */     int top = enclosingRectangle[1];
/* 107 */     int width = enclosingRectangle[2];
/* 108 */     int height = enclosingRectangle[3];
/*     */ 
/*     */     
/* 111 */     BitMatrix bits = new BitMatrix(30, 33);
/* 112 */     for (int y = 0; y < 33; y++) {
/* 113 */       int iy = top + (y * height + height / 2) / 33;
/* 114 */       for (int x = 0; x < 30; x++) {
/* 115 */         int ix = left + (x * width + width / 2 + (y & 0x1) * width / 2) / 30;
/* 116 */         if (image.get(ix, iy)) {
/* 117 */           bits.set(x, y);
/*     */         }
/*     */       } 
/*     */     } 
/* 121 */     return bits;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\maxicode\MaxiCodeReader.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */