/*     */ package com.google.zxing.oned;
/*     */ 
/*     */ import com.google.zxing.BarcodeFormat;
/*     */ import com.google.zxing.ChecksumException;
/*     */ import com.google.zxing.FormatException;
/*     */ import com.google.zxing.NotFoundException;
/*     */ import com.google.zxing.common.BitArray;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class UPCEReader
/*     */   extends UPCEANReader
/*     */ {
/*  39 */   private static final int[] MIDDLE_END_PATTERN = new int[] { 1, 1, 1, 1, 1, 1 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  46 */   private static final int[][] NUMSYS_AND_CHECK_DIGIT_PATTERNS = new int[][] { { 56, 52, 50, 49, 44, 38, 35, 42, 41, 37 }, { 7, 11, 13, 14, 19, 25, 28, 21, 22, 26 } };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  54 */   private final int[] decodeMiddleCounters = new int[4];
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int decodeMiddle(BitArray row, int[] startRange, StringBuilder result) throws NotFoundException {
/*  60 */     int[] counters = this.decodeMiddleCounters;
/*  61 */     counters[0] = 0;
/*  62 */     counters[1] = 0;
/*  63 */     counters[2] = 0;
/*  64 */     counters[3] = 0;
/*  65 */     int end = row.getSize();
/*  66 */     int rowOffset = startRange[1];
/*     */     
/*  68 */     int lgPatternFound = 0;
/*     */     
/*  70 */     for (int x = 0; x < 6 && rowOffset < end; x++) {
/*  71 */       int bestMatch = decodeDigit(row, counters, rowOffset, L_AND_G_PATTERNS);
/*  72 */       result.append((char)(48 + bestMatch % 10));
/*  73 */       for (int counter : counters) {
/*  74 */         rowOffset += counter;
/*     */       }
/*  76 */       if (bestMatch >= 10) {
/*  77 */         lgPatternFound |= 1 << 5 - x;
/*     */       }
/*     */     } 
/*     */     
/*  81 */     determineNumSysAndCheckDigit(result, lgPatternFound);
/*     */     
/*  83 */     return rowOffset;
/*     */   }
/*     */ 
/*     */   
/*     */   protected int[] decodeEnd(BitArray row, int endStart) throws NotFoundException {
/*  88 */     return findGuardPattern(row, endStart, true, MIDDLE_END_PATTERN);
/*     */   }
/*     */ 
/*     */   
/*     */   protected boolean checkChecksum(String s) throws FormatException, ChecksumException {
/*  93 */     return super.checkChecksum(convertUPCEtoUPCA(s));
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private static void determineNumSysAndCheckDigit(StringBuilder resultString, int lgPatternFound) throws NotFoundException {
/*  99 */     for (int numSys = 0; numSys <= 1; numSys++) {
/* 100 */       for (int d = 0; d < 10; d++) {
/* 101 */         if (lgPatternFound == NUMSYS_AND_CHECK_DIGIT_PATTERNS[numSys][d]) {
/* 102 */           resultString.insert(0, (char)(48 + numSys));
/* 103 */           resultString.append((char)(48 + d));
/*     */           return;
/*     */         } 
/*     */       } 
/*     */     } 
/* 108 */     throw NotFoundException.getNotFoundInstance();
/*     */   }
/*     */ 
/*     */   
/*     */   BarcodeFormat getBarcodeFormat() {
/* 113 */     return BarcodeFormat.UPC_E;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String convertUPCEtoUPCA(String upce) {
/* 123 */     char[] upceChars = new char[6];
/* 124 */     upce.getChars(1, 7, upceChars, 0);
/* 125 */     StringBuilder result = new StringBuilder(12);
/* 126 */     result.append(upce.charAt(0));
/* 127 */     char lastChar = upceChars[5];
/* 128 */     switch (lastChar)
/*     */     { case '0':
/*     */       case '1':
/*     */       case '2':
/* 132 */         result.append(upceChars, 0, 2);
/* 133 */         result.append(lastChar);
/* 134 */         result.append("0000");
/* 135 */         result.append(upceChars, 2, 3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 153 */         result.append(upce.charAt(7));
/* 154 */         return result.toString();case '3': result.append(upceChars, 0, 3); result.append("00000"); result.append(upceChars, 3, 2); result.append(upce.charAt(7)); return result.toString();case '4': result.append(upceChars, 0, 4); result.append("00000"); result.append(upceChars[4]); result.append(upce.charAt(7)); return result.toString(); }  result.append(upceChars, 0, 5); result.append("0000"); result.append(lastChar); result.append(upce.charAt(7)); return result.toString();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\UPCEReader.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */