/*     */ package com.google.zxing.oned.rss;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class RSSUtils
/*     */ {
/*     */   static int[] getRSSwidths(int val, int n, int elements, int maxWidth, boolean noNarrow) {
/*  25 */     int[] widths = new int[elements];
/*     */     
/*  27 */     int narrowMask = 0; int bar;
/*  28 */     for (bar = 0; bar < elements - 1; bar++) {
/*  29 */       int subVal; narrowMask |= 1 << bar;
/*  30 */       int elmWidth = 1;
/*     */       
/*     */       while (true) {
/*  33 */         subVal = combins(n - elmWidth - 1, elements - bar - 2);
/*  34 */         if (noNarrow && narrowMask == 0 && n - elmWidth - elements - bar - 1 >= elements - bar - 1)
/*     */         {
/*  36 */           subVal -= combins(n - elmWidth - elements - bar, elements - bar - 2);
/*     */         }
/*  38 */         if (elements - bar - 1 > 1) {
/*  39 */           int lessVal = 0;
/*  40 */           int mxwElement = n - elmWidth - elements - bar - 2;
/*  41 */           for (; mxwElement > maxWidth; 
/*  42 */             mxwElement--) {
/*  43 */             lessVal += combins(n - elmWidth - mxwElement - 1, elements - bar - 3);
/*     */           }
/*  45 */           subVal -= lessVal * (elements - 1 - bar);
/*  46 */         } else if (n - elmWidth > maxWidth) {
/*  47 */           subVal--;
/*     */         } 
/*  49 */         val -= subVal;
/*  50 */         if (val < 0) {
/*     */           break;
/*     */         }
/*  53 */         elmWidth++;
/*  54 */         narrowMask &= 1 << bar ^ 0xFFFFFFFF;
/*     */       } 
/*  56 */       val += subVal;
/*  57 */       n -= elmWidth;
/*  58 */       widths[bar] = elmWidth;
/*     */     } 
/*  60 */     widths[bar] = n;
/*  61 */     return widths;
/*     */   }
/*     */   
/*     */   public static int getRSSvalue(int[] widths, int maxWidth, boolean noNarrow) {
/*  65 */     int elements = widths.length;
/*  66 */     int n = 0;
/*  67 */     for (int width : widths) {
/*  68 */       n += width;
/*     */     }
/*  70 */     int val = 0;
/*  71 */     int narrowMask = 0;
/*  72 */     for (int bar = 0; bar < elements - 1; bar++) {
/*     */       
/*  74 */       int elmWidth = 1; narrowMask |= 1 << bar;
/*  75 */       for (; elmWidth < widths[bar]; 
/*  76 */         elmWidth++, narrowMask &= 1 << bar ^ 0xFFFFFFFF) {
/*  77 */         int subVal = combins(n - elmWidth - 1, elements - bar - 2);
/*  78 */         if (noNarrow && narrowMask == 0 && n - elmWidth - elements - bar - 1 >= elements - bar - 1)
/*     */         {
/*  80 */           subVal -= combins(n - elmWidth - elements - bar, elements - bar - 2);
/*     */         }
/*     */         
/*  83 */         if (elements - bar - 1 > 1) {
/*  84 */           int lessVal = 0;
/*  85 */           int mxwElement = n - elmWidth - elements - bar - 2;
/*  86 */           for (; mxwElement > maxWidth; mxwElement--) {
/*  87 */             lessVal += combins(n - elmWidth - mxwElement - 1, elements - bar - 3);
/*     */           }
/*     */           
/*  90 */           subVal -= lessVal * (elements - 1 - bar);
/*  91 */         } else if (n - elmWidth > maxWidth) {
/*  92 */           subVal--;
/*     */         } 
/*  94 */         val += subVal;
/*     */       } 
/*  96 */       n -= elmWidth;
/*     */     } 
/*  98 */     return val;
/*     */   }
/*     */ 
/*     */   
/*     */   private static int combins(int n, int r) {
/*     */     int maxDenom, minDenom;
/* 104 */     if (n - r > r) {
/* 105 */       minDenom = r;
/* 106 */       maxDenom = n - r;
/*     */     } else {
/* 108 */       minDenom = n - r;
/* 109 */       maxDenom = r;
/*     */     } 
/* 111 */     int val = 1;
/* 112 */     int j = 1;
/* 113 */     for (int i = n; i > maxDenom; i--) {
/* 114 */       val *= i;
/* 115 */       if (j <= minDenom) {
/* 116 */         val /= j;
/* 117 */         j++;
/*     */       } 
/*     */     } 
/* 120 */     while (j <= minDenom) {
/* 121 */       val /= j;
/* 122 */       j++;
/*     */     } 
/* 124 */     return val;
/*     */   }
/*     */   
/*     */   static int[] elements(int[] eDist, int N, int K) {
/* 128 */     int[] widths = new int[eDist.length + 2];
/* 129 */     int twoK = K << 1;
/* 130 */     widths[0] = 1;
/*     */     
/* 132 */     int minEven = 10;
/* 133 */     int barSum = 1; int i;
/* 134 */     for (i = 1; i < twoK - 2; i += 2) {
/* 135 */       widths[i] = eDist[i - 1] - widths[i - 1];
/* 136 */       widths[i + 1] = eDist[i] - widths[i];
/* 137 */       barSum += widths[i] + widths[i + 1];
/* 138 */       if (widths[i] < minEven) {
/* 139 */         minEven = widths[i];
/*     */       }
/*     */     } 
/* 142 */     widths[twoK - 1] = N - barSum;
/* 143 */     if (widths[twoK - 1] < minEven) {
/* 144 */       minEven = widths[twoK - 1];
/*     */     }
/* 146 */     if (minEven > 1) {
/* 147 */       for (i = 0; i < twoK; i += 2) {
/* 148 */         widths[i] = widths[i] + minEven - 1;
/* 149 */         widths[i + 1] = widths[i + 1] - minEven - 1;
/*     */       } 
/*     */     }
/* 152 */     return widths;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\rss\RSSUtils.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */