/*     */ package com.google.zxing.oned.rss.expanded.decoders;
/*     */ 
/*     */ import com.google.zxing.NotFoundException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class FieldParser
/*     */ {
/*  37 */   private static final Object VARIABLE_LENGTH = new Object();
/*     */   
/*  39 */   private static final Object[][] TWO_DIGIT_DATA_LENGTH = new Object[][] { { "00", Integer.valueOf(18) }, { "01", Integer.valueOf(14) }, { "02", Integer.valueOf(14) }, { "10", VARIABLE_LENGTH, Integer.valueOf(20) }, { "11", Integer.valueOf(6) }, { "12", Integer.valueOf(6) }, { "13", Integer.valueOf(6) }, { "15", Integer.valueOf(6) }, { "17", Integer.valueOf(6) }, { "20", Integer.valueOf(2) }, { "21", VARIABLE_LENGTH, Integer.valueOf(20) }, { "22", VARIABLE_LENGTH, Integer.valueOf(29) }, { "30", VARIABLE_LENGTH, Integer.valueOf(8) }, { "37", VARIABLE_LENGTH, Integer.valueOf(8) }, { "90", VARIABLE_LENGTH, Integer.valueOf(30) }, { "91", VARIABLE_LENGTH, Integer.valueOf(30) }, { "92", VARIABLE_LENGTH, Integer.valueOf(30) }, { "93", VARIABLE_LENGTH, Integer.valueOf(30) }, { "94", VARIABLE_LENGTH, Integer.valueOf(30) }, { "95", VARIABLE_LENGTH, Integer.valueOf(30) }, { "96", VARIABLE_LENGTH, Integer.valueOf(30) }, { "97", VARIABLE_LENGTH, Integer.valueOf(30) }, { "98", VARIABLE_LENGTH, Integer.valueOf(30) }, { "99", VARIABLE_LENGTH, Integer.valueOf(30) } };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   private static final Object[][] THREE_DIGIT_DATA_LENGTH = new Object[][] { { "240", VARIABLE_LENGTH, Integer.valueOf(30) }, { "241", VARIABLE_LENGTH, Integer.valueOf(30) }, { "242", VARIABLE_LENGTH, Integer.valueOf(6) }, { "250", VARIABLE_LENGTH, Integer.valueOf(30) }, { "251", VARIABLE_LENGTH, Integer.valueOf(30) }, { "253", VARIABLE_LENGTH, Integer.valueOf(17) }, { "254", VARIABLE_LENGTH, Integer.valueOf(20) }, { "400", VARIABLE_LENGTH, Integer.valueOf(30) }, { "401", VARIABLE_LENGTH, Integer.valueOf(30) }, { "402", Integer.valueOf(17) }, { "403", VARIABLE_LENGTH, Integer.valueOf(30) }, { "410", Integer.valueOf(13) }, { "411", Integer.valueOf(13) }, { "412", Integer.valueOf(13) }, { "413", Integer.valueOf(13) }, { "414", Integer.valueOf(13) }, { "420", VARIABLE_LENGTH, Integer.valueOf(20) }, { "421", VARIABLE_LENGTH, Integer.valueOf(15) }, { "422", Integer.valueOf(3) }, { "423", VARIABLE_LENGTH, Integer.valueOf(15) }, { "424", Integer.valueOf(3) }, { "425", Integer.valueOf(3) }, { "426", Integer.valueOf(3) } };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 104 */   private static final Object[][] THREE_DIGIT_PLUS_DIGIT_DATA_LENGTH = new Object[][] { { "310", Integer.valueOf(6) }, { "311", Integer.valueOf(6) }, { "312", Integer.valueOf(6) }, { "313", Integer.valueOf(6) }, { "314", Integer.valueOf(6) }, { "315", Integer.valueOf(6) }, { "316", Integer.valueOf(6) }, { "320", Integer.valueOf(6) }, { "321", Integer.valueOf(6) }, { "322", Integer.valueOf(6) }, { "323", Integer.valueOf(6) }, { "324", Integer.valueOf(6) }, { "325", Integer.valueOf(6) }, { "326", Integer.valueOf(6) }, { "327", Integer.valueOf(6) }, { "328", Integer.valueOf(6) }, { "329", Integer.valueOf(6) }, { "330", Integer.valueOf(6) }, { "331", Integer.valueOf(6) }, { "332", Integer.valueOf(6) }, { "333", Integer.valueOf(6) }, { "334", Integer.valueOf(6) }, { "335", Integer.valueOf(6) }, { "336", Integer.valueOf(6) }, { "340", Integer.valueOf(6) }, { "341", Integer.valueOf(6) }, { "342", Integer.valueOf(6) }, { "343", Integer.valueOf(6) }, { "344", Integer.valueOf(6) }, { "345", Integer.valueOf(6) }, { "346", Integer.valueOf(6) }, { "347", Integer.valueOf(6) }, { "348", Integer.valueOf(6) }, { "349", Integer.valueOf(6) }, { "350", Integer.valueOf(6) }, { "351", Integer.valueOf(6) }, { "352", Integer.valueOf(6) }, { "353", Integer.valueOf(6) }, { "354", Integer.valueOf(6) }, { "355", Integer.valueOf(6) }, { "356", Integer.valueOf(6) }, { "357", Integer.valueOf(6) }, { "360", Integer.valueOf(6) }, { "361", Integer.valueOf(6) }, { "362", Integer.valueOf(6) }, { "363", Integer.valueOf(6) }, { "364", Integer.valueOf(6) }, { "365", Integer.valueOf(6) }, { "366", Integer.valueOf(6) }, { "367", Integer.valueOf(6) }, { "368", Integer.valueOf(6) }, { "369", Integer.valueOf(6) }, { "390", VARIABLE_LENGTH, Integer.valueOf(15) }, { "391", VARIABLE_LENGTH, Integer.valueOf(18) }, { "392", VARIABLE_LENGTH, Integer.valueOf(15) }, { "393", VARIABLE_LENGTH, Integer.valueOf(18) }, { "703", VARIABLE_LENGTH, Integer.valueOf(30) } };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 166 */   private static final Object[][] FOUR_DIGIT_DATA_LENGTH = new Object[][] { { "7001", Integer.valueOf(13) }, { "7002", VARIABLE_LENGTH, Integer.valueOf(30) }, { "7003", Integer.valueOf(10) }, { "8001", Integer.valueOf(14) }, { "8002", VARIABLE_LENGTH, Integer.valueOf(20) }, { "8003", VARIABLE_LENGTH, Integer.valueOf(30) }, { "8004", VARIABLE_LENGTH, Integer.valueOf(30) }, { "8005", Integer.valueOf(6) }, { "8006", Integer.valueOf(18) }, { "8007", VARIABLE_LENGTH, Integer.valueOf(30) }, { "8008", VARIABLE_LENGTH, Integer.valueOf(12) }, { "8018", Integer.valueOf(18) }, { "8020", VARIABLE_LENGTH, Integer.valueOf(25) }, { "8100", Integer.valueOf(6) }, { "8101", Integer.valueOf(10) }, { "8102", Integer.valueOf(2) }, { "8110", VARIABLE_LENGTH, Integer.valueOf(70) }, { "8200", VARIABLE_LENGTH, Integer.valueOf(70) } };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static String parseFieldsInGeneralPurpose(String rawInformation) throws NotFoundException {
/* 194 */     if (rawInformation.length() == 0) {
/* 195 */       return null;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 200 */     if (rawInformation.length() < 2) {
/* 201 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 204 */     String firstTwoDigits = rawInformation.substring(0, 2);
/*     */     
/* 206 */     for (Object[] dataLength : TWO_DIGIT_DATA_LENGTH) {
/* 207 */       if (dataLength[0].equals(firstTwoDigits)) {
/* 208 */         if (dataLength[1] == VARIABLE_LENGTH) {
/* 209 */           return processVariableAI(2, ((Integer)dataLength[2]).intValue(), rawInformation);
/*     */         }
/* 211 */         return processFixedAI(2, ((Integer)dataLength[1]).intValue(), rawInformation);
/*     */       } 
/*     */     } 
/*     */     
/* 215 */     if (rawInformation.length() < 3) {
/* 216 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 219 */     String firstThreeDigits = rawInformation.substring(0, 3);
/*     */     
/* 221 */     for (Object[] dataLength : THREE_DIGIT_DATA_LENGTH) {
/* 222 */       if (dataLength[0].equals(firstThreeDigits)) {
/* 223 */         if (dataLength[1] == VARIABLE_LENGTH) {
/* 224 */           return processVariableAI(3, ((Integer)dataLength[2]).intValue(), rawInformation);
/*     */         }
/* 226 */         return processFixedAI(3, ((Integer)dataLength[1]).intValue(), rawInformation);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 231 */     for (Object[] dataLength : THREE_DIGIT_PLUS_DIGIT_DATA_LENGTH) {
/* 232 */       if (dataLength[0].equals(firstThreeDigits)) {
/* 233 */         if (dataLength[1] == VARIABLE_LENGTH) {
/* 234 */           return processVariableAI(4, ((Integer)dataLength[2]).intValue(), rawInformation);
/*     */         }
/* 236 */         return processFixedAI(4, ((Integer)dataLength[1]).intValue(), rawInformation);
/*     */       } 
/*     */     } 
/*     */     
/* 240 */     if (rawInformation.length() < 4) {
/* 241 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 244 */     String firstFourDigits = rawInformation.substring(0, 4);
/*     */     
/* 246 */     for (Object[] dataLength : FOUR_DIGIT_DATA_LENGTH) {
/* 247 */       if (dataLength[0].equals(firstFourDigits)) {
/* 248 */         if (dataLength[1] == VARIABLE_LENGTH) {
/* 249 */           return processVariableAI(4, ((Integer)dataLength[2]).intValue(), rawInformation);
/*     */         }
/* 251 */         return processFixedAI(4, ((Integer)dataLength[1]).intValue(), rawInformation);
/*     */       } 
/*     */     } 
/*     */     
/* 255 */     throw NotFoundException.getNotFoundInstance();
/*     */   }
/*     */   
/*     */   private static String processFixedAI(int aiSize, int fieldSize, String rawInformation) throws NotFoundException {
/* 259 */     if (rawInformation.length() < aiSize) {
/* 260 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 263 */     String ai = rawInformation.substring(0, aiSize);
/*     */     
/* 265 */     if (rawInformation.length() < aiSize + fieldSize) {
/* 266 */       throw NotFoundException.getNotFoundInstance();
/*     */     }
/*     */     
/* 269 */     String field = rawInformation.substring(aiSize, aiSize + fieldSize);
/* 270 */     String remaining = rawInformation.substring(aiSize + fieldSize);
/* 271 */     String result = '(' + ai + ')' + field;
/* 272 */     String parsedAI = parseFieldsInGeneralPurpose(remaining);
/* 273 */     return (parsedAI == null) ? result : (result + parsedAI);
/*     */   }
/*     */   
/*     */   private static String processVariableAI(int aiSize, int variableFieldSize, String rawInformation) throws NotFoundException {
/*     */     int maxSize;
/* 278 */     String ai = rawInformation.substring(0, aiSize);
/*     */     
/* 280 */     if (rawInformation.length() < aiSize + variableFieldSize) {
/* 281 */       maxSize = rawInformation.length();
/*     */     } else {
/* 283 */       maxSize = aiSize + variableFieldSize;
/*     */     } 
/* 285 */     String field = rawInformation.substring(aiSize, maxSize);
/* 286 */     String remaining = rawInformation.substring(maxSize);
/* 287 */     String result = '(' + ai + ')' + field;
/* 288 */     String parsedAI = parseFieldsInGeneralPurpose(remaining);
/* 289 */     return (parsedAI == null) ? result : (result + parsedAI);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\rss\expanded\decoders\FieldParser.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */