/*     */ package com.google.zxing.pdf417.decoder;
/*     */ 
/*     */ import com.google.zxing.ResultPoint;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class DetectionResultRowIndicatorColumn
/*     */   extends DetectionResultColumn
/*     */ {
/*     */   private final boolean isLeft;
/*     */   
/*     */   DetectionResultRowIndicatorColumn(BoundingBox boundingBox, boolean isLeft) {
/*  30 */     super(boundingBox);
/*  31 */     this.isLeft = isLeft;
/*     */   }
/*     */   
/*     */   void setRowNumbers() {
/*  35 */     for (Codeword codeword : getCodewords()) {
/*  36 */       if (codeword != null) {
/*  37 */         codeword.setRowNumberAsRowIndicatorColumn();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int adjustCompleteIndicatorColumnRowNumbers(BarcodeMetadata barcodeMetadata) {
/*  47 */     Codeword[] codewords = getCodewords();
/*  48 */     setRowNumbers();
/*  49 */     removeIncorrectCodewords(codewords, barcodeMetadata);
/*  50 */     BoundingBox boundingBox = getBoundingBox();
/*  51 */     ResultPoint top = this.isLeft ? boundingBox.getTopLeft() : boundingBox.getTopRight();
/*  52 */     ResultPoint bottom = this.isLeft ? boundingBox.getBottomLeft() : boundingBox.getBottomRight();
/*  53 */     int firstRow = imageRowToCodewordIndex((int)top.getY());
/*  54 */     int lastRow = imageRowToCodewordIndex((int)bottom.getY());
/*     */ 
/*     */     
/*  57 */     float averageRowHeight = (lastRow - firstRow) / barcodeMetadata.getRowCount();
/*  58 */     int barcodeRow = -1;
/*  59 */     int maxRowHeight = 1;
/*  60 */     int currentRowHeight = 0;
/*  61 */     for (int codewordsRow = firstRow; codewordsRow < lastRow; codewordsRow++) {
/*  62 */       if (codewords[codewordsRow] != null) {
/*     */ 
/*     */         
/*  65 */         Codeword codeword = codewords[codewordsRow];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  75 */         int rowDifference = codeword.getRowNumber() - barcodeRow;
/*     */ 
/*     */ 
/*     */         
/*  79 */         if (rowDifference == 0) {
/*  80 */           currentRowHeight++;
/*  81 */         } else if (rowDifference == 1) {
/*  82 */           maxRowHeight = Math.max(maxRowHeight, currentRowHeight);
/*  83 */           currentRowHeight = 1;
/*  84 */           barcodeRow = codeword.getRowNumber();
/*  85 */         } else if (rowDifference < 0) {
/*  86 */           codewords[codewordsRow] = null;
/*  87 */         } else if (codeword.getRowNumber() >= barcodeMetadata.getRowCount()) {
/*  88 */           codewords[codewordsRow] = null;
/*  89 */         } else if (rowDifference > codewordsRow) {
/*  90 */           codewords[codewordsRow] = null;
/*     */         } else {
/*     */           int checkedRows;
/*  93 */           if (maxRowHeight > 2) {
/*  94 */             checkedRows = (maxRowHeight - 2) * rowDifference;
/*     */           } else {
/*  96 */             checkedRows = rowDifference;
/*     */           } 
/*  98 */           boolean closePreviousCodewordFound = (checkedRows >= codewordsRow);
/*  99 */           for (int i = 1; i <= checkedRows && !closePreviousCodewordFound; i++)
/*     */           {
/*     */             
/* 102 */             closePreviousCodewordFound = (codewords[codewordsRow - i] != null);
/*     */           }
/* 104 */           if (closePreviousCodewordFound) {
/* 105 */             codewords[codewordsRow] = null;
/*     */           } else {
/* 107 */             barcodeRow = codeword.getRowNumber();
/* 108 */             currentRowHeight = 1;
/*     */           } 
/*     */         } 
/*     */       } 
/* 112 */     }  return (int)(averageRowHeight + 0.5D);
/*     */   }
/*     */   
/*     */   int[] getRowHeights() {
/* 116 */     BarcodeMetadata barcodeMetadata = getBarcodeMetadata();
/* 117 */     if (barcodeMetadata == null) {
/* 118 */       return null;
/*     */     }
/* 120 */     adjustIncompleteIndicatorColumnRowNumbers(barcodeMetadata);
/* 121 */     int[] result = new int[barcodeMetadata.getRowCount()];
/* 122 */     for (Codeword codeword : getCodewords()) {
/* 123 */       if (codeword != null) {
/* 124 */         result[codeword.getRowNumber()] = result[codeword.getRowNumber()] + 1;
/*     */       }
/*     */     } 
/* 127 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int adjustIncompleteIndicatorColumnRowNumbers(BarcodeMetadata barcodeMetadata) {
/* 134 */     BoundingBox boundingBox = getBoundingBox();
/* 135 */     ResultPoint top = this.isLeft ? boundingBox.getTopLeft() : boundingBox.getTopRight();
/* 136 */     ResultPoint bottom = this.isLeft ? boundingBox.getBottomLeft() : boundingBox.getBottomRight();
/* 137 */     int firstRow = imageRowToCodewordIndex((int)top.getY());
/* 138 */     int lastRow = imageRowToCodewordIndex((int)bottom.getY());
/* 139 */     float averageRowHeight = (lastRow - firstRow) / barcodeMetadata.getRowCount();
/* 140 */     Codeword[] codewords = getCodewords();
/* 141 */     int barcodeRow = -1;
/* 142 */     int maxRowHeight = 1;
/* 143 */     int currentRowHeight = 0;
/* 144 */     for (int codewordsRow = firstRow; codewordsRow < lastRow; codewordsRow++) {
/* 145 */       if (codewords[codewordsRow] != null) {
/*     */ 
/*     */         
/* 148 */         Codeword codeword = codewords[codewordsRow];
/*     */         
/* 150 */         codeword.setRowNumberAsRowIndicatorColumn();
/*     */         
/* 152 */         int rowDifference = codeword.getRowNumber() - barcodeRow;
/*     */ 
/*     */ 
/*     */         
/* 156 */         if (rowDifference == 0) {
/* 157 */           currentRowHeight++;
/* 158 */         } else if (rowDifference == 1) {
/* 159 */           maxRowHeight = Math.max(maxRowHeight, currentRowHeight);
/* 160 */           currentRowHeight = 1;
/* 161 */           barcodeRow = codeword.getRowNumber();
/* 162 */         } else if (codeword.getRowNumber() >= barcodeMetadata.getRowCount()) {
/* 163 */           codewords[codewordsRow] = null;
/*     */         } else {
/* 165 */           barcodeRow = codeword.getRowNumber();
/* 166 */           currentRowHeight = 1;
/*     */         } 
/*     */       } 
/* 169 */     }  return (int)(averageRowHeight + 0.5D);
/*     */   }
/*     */   
/*     */   BarcodeMetadata getBarcodeMetadata() {
/* 173 */     Codeword[] codewords = getCodewords();
/* 174 */     BarcodeValue barcodeColumnCount = new BarcodeValue();
/* 175 */     BarcodeValue barcodeRowCountUpperPart = new BarcodeValue();
/* 176 */     BarcodeValue barcodeRowCountLowerPart = new BarcodeValue();
/* 177 */     BarcodeValue barcodeECLevel = new BarcodeValue();
/* 178 */     for (Codeword codeword : codewords) {
/* 179 */       if (codeword != null) {
/*     */ 
/*     */         
/* 182 */         codeword.setRowNumberAsRowIndicatorColumn();
/* 183 */         int rowIndicatorValue = codeword.getValue() % 30;
/* 184 */         int codewordRowNumber = codeword.getRowNumber();
/* 185 */         if (!this.isLeft) {
/* 186 */           codewordRowNumber += 2;
/*     */         }
/* 188 */         switch (codewordRowNumber % 3) {
/*     */           case 0:
/* 190 */             barcodeRowCountUpperPart.setValue(rowIndicatorValue * 3 + 1);
/*     */             break;
/*     */           case 1:
/* 193 */             barcodeECLevel.setValue(rowIndicatorValue / 3);
/* 194 */             barcodeRowCountLowerPart.setValue(rowIndicatorValue % 3);
/*     */             break;
/*     */           case 2:
/* 197 */             barcodeColumnCount.setValue(rowIndicatorValue + 1);
/*     */             break;
/*     */         } 
/*     */       } 
/*     */     } 
/* 202 */     if ((barcodeColumnCount.getValue()).length == 0 || (barcodeRowCountUpperPart.getValue()).length == 0 || (barcodeRowCountLowerPart.getValue()).length == 0 || (barcodeECLevel.getValue()).length == 0 || barcodeColumnCount.getValue()[0] < 1 || barcodeRowCountUpperPart.getValue()[0] + barcodeRowCountLowerPart.getValue()[0] < 3 || barcodeRowCountUpperPart.getValue()[0] + barcodeRowCountLowerPart.getValue()[0] > 90)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 209 */       return null;
/*     */     }
/* 211 */     BarcodeMetadata barcodeMetadata = new BarcodeMetadata(barcodeColumnCount.getValue()[0], barcodeRowCountUpperPart.getValue()[0], barcodeRowCountLowerPart.getValue()[0], barcodeECLevel.getValue()[0]);
/*     */     
/* 213 */     removeIncorrectCodewords(codewords, barcodeMetadata);
/* 214 */     return barcodeMetadata;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void removeIncorrectCodewords(Codeword[] codewords, BarcodeMetadata barcodeMetadata) {
/* 220 */     for (int codewordRow = 0; codewordRow < codewords.length; codewordRow++) {
/* 221 */       Codeword codeword = codewords[codewordRow];
/* 222 */       if (codewords[codewordRow] != null) {
/*     */ 
/*     */         
/* 225 */         int rowIndicatorValue = codeword.getValue() % 30;
/* 226 */         int codewordRowNumber = codeword.getRowNumber();
/* 227 */         if (codewordRowNumber > barcodeMetadata.getRowCount()) {
/* 228 */           codewords[codewordRow] = null;
/*     */         } else {
/*     */           
/* 231 */           if (!this.isLeft) {
/* 232 */             codewordRowNumber += 2;
/*     */           }
/* 234 */           switch (codewordRowNumber % 3) {
/*     */             case 0:
/* 236 */               if (rowIndicatorValue * 3 + 1 != barcodeMetadata.getRowCountUpperPart()) {
/* 237 */                 codewords[codewordRow] = null;
/*     */               }
/*     */               break;
/*     */             case 1:
/* 241 */               if (rowIndicatorValue / 3 != barcodeMetadata.getErrorCorrectionLevel() || rowIndicatorValue % 3 != barcodeMetadata.getRowCountLowerPart())
/*     */               {
/* 243 */                 codewords[codewordRow] = null;
/*     */               }
/*     */               break;
/*     */             case 2:
/* 247 */               if (rowIndicatorValue + 1 != barcodeMetadata.getColumnCount())
/* 248 */                 codewords[codewordRow] = null; 
/*     */               break;
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */   boolean isLeft() {
/* 256 */     return this.isLeft;
/*     */   }
/*     */ 
/*     */   
/*     */   public String toString() {
/* 261 */     return "IsLeft: " + this.isLeft + '\n' + super.toString();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\pdf417\decoder\DetectionResultRowIndicatorColumn.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */