/*     */ package com.google.zxing.qrcode.encoder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class MaskUtil
/*     */ {
/*     */   private static final int N1 = 3;
/*     */   private static final int N2 = 3;
/*     */   private static final int N3 = 40;
/*     */   private static final int N4 = 10;
/*     */   
/*     */   static int applyMaskPenaltyRule1(ByteMatrix matrix) {
/*  41 */     return applyMaskPenaltyRule1Internal(matrix, true) + applyMaskPenaltyRule1Internal(matrix, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int applyMaskPenaltyRule2(ByteMatrix matrix) {
/*  50 */     int penalty = 0;
/*  51 */     byte[][] array = matrix.getArray();
/*  52 */     int width = matrix.getWidth();
/*  53 */     int height = matrix.getHeight();
/*  54 */     for (int y = 0; y < height - 1; y++) {
/*  55 */       for (int x = 0; x < width - 1; x++) {
/*  56 */         int value = array[y][x];
/*  57 */         if (value == array[y][x + 1] && value == array[y + 1][x] && value == array[y + 1][x + 1]) {
/*  58 */           penalty++;
/*     */         }
/*     */       } 
/*     */     } 
/*  62 */     return 3 * penalty;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int applyMaskPenaltyRule3(ByteMatrix matrix) {
/*  71 */     int penalty = 0;
/*  72 */     byte[][] array = matrix.getArray();
/*  73 */     int width = matrix.getWidth();
/*  74 */     int height = matrix.getHeight();
/*  75 */     for (int y = 0; y < height; y++) {
/*  76 */       for (int x = 0; x < width; x++) {
/*     */         
/*  78 */         if (x + 6 < width && array[y][x] == 1 && array[y][x + 1] == 0 && array[y][x + 2] == 1 && array[y][x + 3] == 1 && array[y][x + 4] == 1 && array[y][x + 5] == 0 && array[y][x + 6] == 1 && ((x + 10 < width && array[y][x + 7] == 0 && array[y][x + 8] == 0 && array[y][x + 9] == 0 && array[y][x + 10] == 0) || (x - 4 >= 0 && array[y][x - 1] == 0 && array[y][x - 2] == 0 && array[y][x - 3] == 0 && array[y][x - 4] == 0)))
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*  96 */           penalty += 40;
/*     */         }
/*  98 */         if (y + 6 < height && array[y][x] == 1 && array[y + 1][x] == 0 && array[y + 2][x] == 1 && array[y + 3][x] == 1 && array[y + 4][x] == 1 && array[y + 5][x] == 0 && array[y + 6][x] == 1 && ((y + 10 < height && array[y + 7][x] == 0 && array[y + 8][x] == 0 && array[y + 9][x] == 0 && array[y + 10][x] == 0) || (y - 4 >= 0 && array[y - 1][x] == 0 && array[y - 2][x] == 0 && array[y - 3][x] == 0 && array[y - 4][x] == 0)))
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 116 */           penalty += 40;
/*     */         }
/*     */       } 
/*     */     } 
/* 120 */     return penalty;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int applyMaskPenaltyRule4(ByteMatrix matrix) {
/* 128 */     int numDarkCells = 0;
/* 129 */     byte[][] array = matrix.getArray();
/* 130 */     int width = matrix.getWidth();
/* 131 */     int height = matrix.getHeight();
/* 132 */     for (int y = 0; y < height; y++) {
/* 133 */       byte[] arrayY = array[y];
/* 134 */       for (int x = 0; x < width; x++) {
/* 135 */         if (arrayY[x] == 1) {
/* 136 */           numDarkCells++;
/*     */         }
/*     */       } 
/*     */     } 
/* 140 */     int numTotalCells = matrix.getHeight() * matrix.getWidth();
/* 141 */     double darkRatio = numDarkCells / numTotalCells;
/* 142 */     int fivePercentVariances = (int)(Math.abs(darkRatio - 0.5D) * 20.0D);
/* 143 */     return fivePercentVariances * 10;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean getDataMaskBit(int maskPattern, int x, int y) {
/*     */     int intermediate;
/*     */     int temp;
/* 153 */     switch (maskPattern) {
/*     */       case 0:
/* 155 */         intermediate = y + x & 0x1;
/*     */         break;
/*     */       case 1:
/* 158 */         intermediate = y & 0x1;
/*     */         break;
/*     */       case 2:
/* 161 */         intermediate = x % 3;
/*     */         break;
/*     */       case 3:
/* 164 */         intermediate = (y + x) % 3;
/*     */         break;
/*     */       case 4:
/* 167 */         intermediate = (y >>> 1) + x / 3 & 0x1;
/*     */         break;
/*     */       case 5:
/* 170 */         temp = y * x;
/* 171 */         intermediate = (temp & 0x1) + temp % 3;
/*     */         break;
/*     */       case 6:
/* 174 */         temp = y * x;
/* 175 */         intermediate = (temp & 0x1) + temp % 3 & 0x1;
/*     */         break;
/*     */       case 7:
/* 178 */         temp = y * x;
/* 179 */         intermediate = temp % 3 + (y + x & 0x1) & 0x1;
/*     */         break;
/*     */       default:
/* 182 */         throw new IllegalArgumentException("Invalid mask pattern: " + maskPattern);
/*     */     } 
/* 184 */     return (intermediate == 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int applyMaskPenaltyRule1Internal(ByteMatrix matrix, boolean isHorizontal) {
/* 192 */     int penalty = 0;
/* 193 */     int iLimit = isHorizontal ? matrix.getHeight() : matrix.getWidth();
/* 194 */     int jLimit = isHorizontal ? matrix.getWidth() : matrix.getHeight();
/* 195 */     byte[][] array = matrix.getArray();
/* 196 */     for (int i = 0; i < iLimit; i++) {
/* 197 */       int numSameBitCells = 0;
/* 198 */       int prevBit = -1;
/* 199 */       for (int j = 0; j < jLimit; j++) {
/* 200 */         int bit = isHorizontal ? array[i][j] : array[j][i];
/* 201 */         if (bit == prevBit) {
/* 202 */           numSameBitCells++;
/*     */         } else {
/* 204 */           if (numSameBitCells >= 5) {
/* 205 */             penalty += 3 + numSameBitCells - 5;
/*     */           }
/* 207 */           numSameBitCells = 1;
/* 208 */           prevBit = bit;
/*     */         } 
/*     */       } 
/* 211 */       if (numSameBitCells >= 5) {
/* 212 */         penalty += 3 + numSameBitCells - 5;
/*     */       }
/*     */     } 
/* 215 */     return penalty;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\qrcode\encoder\MaskUtil.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */