/*     */ package com.jacob.activeX;
/*     */ 
/*     */ import com.jacob.com.Dispatch;
/*     */ import com.jacob.com.JacobObject;
/*     */ import com.jacob.com.Variant;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ActiveXComponent
/*     */   extends Dispatch
/*     */ {
/*     */   public ActiveXComponent(String programId) {
/*  58 */     super(programId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ActiveXComponent(Dispatch dispatchToBeWrapped) {
/*  69 */     super(dispatchToBeWrapped);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ActiveXComponent() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dispatch getObject() {
/*  87 */     return this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ActiveXComponent createNewInstance(String pRequestedProgramId) {
/* 105 */     ActiveXComponent mCreatedDispatch = null;
/*     */     try {
/* 107 */       mCreatedDispatch = new ActiveXComponent();
/* 108 */       mCreatedDispatch.coCreateInstance(pRequestedProgramId);
/* 109 */     } catch (Exception e) {
/* 110 */       mCreatedDispatch = null;
/* 111 */       if (JacobObject.isDebugEnabled()) {
/* 112 */         JacobObject.debug("Unable to co-create instance of " + pRequestedProgramId);
/*     */       }
/*     */     } 
/*     */     
/* 116 */     return mCreatedDispatch;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ActiveXComponent connectToActiveInstance(String pRequestedProgramId) {
/* 136 */     ActiveXComponent mCreatedDispatch = null;
/*     */     try {
/* 138 */       mCreatedDispatch = new ActiveXComponent();
/* 139 */       mCreatedDispatch.getActiveInstance(pRequestedProgramId);
/* 140 */     } catch (Exception e) {
/* 141 */       mCreatedDispatch = null;
/* 142 */       if (JacobObject.isDebugEnabled()) {
/* 143 */         JacobObject.debug("Unable to attach to running instance of " + pRequestedProgramId);
/*     */       }
/*     */     } 
/*     */     
/* 147 */     return mCreatedDispatch;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void finalize() {
/* 155 */     super.finalize();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant getProperty(String propertyName) {
/* 172 */     return Dispatch.get(this, propertyName);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ActiveXComponent getPropertyAsComponent(String propertyName) {
/* 182 */     return new ActiveXComponent(Dispatch.get(this, propertyName).toDispatch());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getPropertyAsBoolean(String propertyName) {
/* 195 */     return Dispatch.get(this, propertyName).getBoolean();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte getPropertyAsByte(String propertyName) {
/* 206 */     return Dispatch.get(this, propertyName).getByte();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getPropertyAsString(String propertyName) {
/* 216 */     return Dispatch.get(this, propertyName).getString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPropertyAsInt(String propertyName) {
/* 227 */     return Dispatch.get(this, propertyName).getInt();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, Variant arg) {
/* 239 */     Dispatch.put(this, propertyName, arg);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, Dispatch arg) {
/* 251 */     Dispatch.put(this, propertyName, arg);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, String propertyValue) {
/* 261 */     setProperty(propertyName, new Variant(propertyValue));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, boolean propValue) {
/* 272 */     setProperty(propertyName, new Variant(propValue));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, byte propValue) {
/* 283 */     setProperty(propertyName, new Variant(propValue));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProperty(String propertyName, int propValue) {
/* 294 */     setProperty(propertyName, new Variant(propValue));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean shouldLogEvents = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void logCallbackEvent(String description, Variant[] args) {
/* 317 */     String argString = "";
/* 318 */     if (args != null && shouldLogEvents) {
/* 319 */       if (args.length > 0) {
/* 320 */         argString = argString + " args: ";
/*     */       }
/* 322 */       for (int i = 0; i < args.length; i++) {
/* 323 */         short argType = args[i].getvt();
/* 324 */         argString = argString + ",[" + i + "]";
/*     */         
/* 326 */         if ((argType & 0x4000) == 16384) {
/*     */           
/* 328 */           argString = argString + "(" + (args[i].getvt() & 0xFFFFBFFF) + "/" + '䀀' + ")";
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 333 */           argString = argString + "(" + argType + ")";
/*     */         } 
/* 335 */         argString = argString + "=";
/* 336 */         if (argType == 9) {
/* 337 */           Dispatch foo = args[i].getDispatch();
/* 338 */           argString = argString + foo;
/* 339 */         } else if ((argType & 0xB) == 11) {
/*     */           
/* 341 */           if ((argType & 0x4000) == 16384) {
/*     */             
/* 343 */             argString = argString + args[i].getBooleanRef();
/*     */           } else {
/*     */             
/* 346 */             argString = argString + args[i].getBoolean();
/*     */           } 
/* 348 */         } else if ((argType & 0x8) == 8) {
/*     */           
/* 350 */           if ((argType & 0x4000) == 16384) {
/*     */             
/* 352 */             argString = argString + args[i].getStringRef();
/*     */           } else {
/*     */             
/* 355 */             argString = argString + args[i].getString();
/*     */           } 
/*     */         } else {
/* 358 */           argString = argString + args[i].toString();
/*     */         } 
/*     */       } 
/* 361 */       System.out.println(description + argString);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ActiveXComponent invokeGetComponent(String callAction) {
/* 379 */     return new ActiveXComponent(invoke(callAction).toDispatch());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ActiveXComponent invokeGetComponent(String callAction, Variant... parameters) {
/* 391 */     return new ActiveXComponent(invoke(callAction, parameters).toDispatch());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String actionCommand, String parameter) {
/* 402 */     return Dispatch.call(this, actionCommand, new Object[] { parameter });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String actionCommand, boolean parameter) {
/* 414 */     return Dispatch.call(this, actionCommand, new Object[] { new Variant(parameter) });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String actionCommand, int parameter) {
/* 425 */     return Dispatch.call(this, actionCommand, new Object[] { new Variant(parameter) });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String actionCommand, String parameter1, int parameter2) {
/* 439 */     return Dispatch.call(this, actionCommand, new Object[] { parameter1, new Variant(parameter2) });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String actionCommand, int parameter1, int parameter2) {
/* 453 */     return Dispatch.call(this, actionCommand, new Object[] { new Variant(parameter1), new Variant(parameter2) });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String callAction) {
/* 464 */     return Dispatch.call(this, callAction);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Variant invoke(String name, Variant... args) {
/* 476 */     return Dispatch.callN(this, name, (Object[])args);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\activeX\ActiveXComponent.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */