/*     */ package com.jacob.activeX;
/*     */ 
/*     */ import com.jacob.com.InvocationProxy;
/*     */ import com.jacob.com.NotImplementedException;
/*     */ import com.jacob.com.Variant;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.lang.reflect.Method;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ActiveXInvocationProxy
/*     */   extends InvocationProxy
/*     */ {
/*     */   public Variant invoke(String methodName, Variant[] targetParameters) {
/*  64 */     Variant mVariantToBeReturned = null;
/*  65 */     if (this.mTargetObject == null)
/*     */     {
/*     */       
/*  68 */       return null;
/*     */     }
/*  70 */     Class<?> targetClass = this.mTargetObject.getClass();
/*  71 */     if (methodName == null) {
/*  72 */       throw new IllegalArgumentException("InvocationProxy: missing method name");
/*     */     }
/*     */     
/*  75 */     if (targetParameters == null) {
/*  76 */       throw new IllegalArgumentException("InvocationProxy: missing Variant parameters");
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/*  81 */       Object[] parametersAsJavaObjects = getParametersAsJavaObjects(targetParameters);
/*  82 */       Class[] parametersAsJavaClasses = getParametersAsJavaClasses(parametersAsJavaObjects);
/*  83 */       Method targetMethod = targetClass.getMethod(methodName, parametersAsJavaClasses);
/*     */       
/*  85 */       if (targetMethod != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  90 */         Object mReturnedByInvocation = null;
/*  91 */         mReturnedByInvocation = targetMethod.invoke(this.mTargetObject, parametersAsJavaObjects);
/*     */         
/*  93 */         if (mReturnedByInvocation == null) {
/*  94 */           mVariantToBeReturned = null;
/*  95 */         } else if (!(mReturnedByInvocation instanceof Variant)) {
/*  96 */           mVariantToBeReturned = new Variant(mReturnedByInvocation);
/*     */         } else {
/*  98 */           mVariantToBeReturned = (Variant)mReturnedByInvocation;
/*     */         } 
/*     */       } 
/* 101 */     } catch (SecurityException e) {
/*     */       
/* 103 */       e.printStackTrace();
/* 104 */     } catch (NoSuchMethodException e) {
/*     */ 
/*     */     
/* 107 */     } catch (IllegalArgumentException e) {
/*     */       
/* 109 */       Exception oneWeShouldToss = new IllegalArgumentException("Unable to map parameters for method " + methodName + ": " + e.toString());
/*     */ 
/*     */       
/* 112 */       oneWeShouldToss.printStackTrace();
/* 113 */     } catch (IllegalAccessException e) {
/*     */       
/* 115 */       e.printStackTrace();
/* 116 */     } catch (InvocationTargetException e) {
/*     */       
/* 118 */       e.printStackTrace();
/*     */     } 
/* 120 */     return mVariantToBeReturned;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Class[] getParametersAsJavaClasses(Object[] parametersAsJavaObjects) {
/* 133 */     if (parametersAsJavaObjects == null) {
/* 134 */       throw new IllegalArgumentException("This only works with an array of parameters");
/*     */     }
/*     */     
/* 137 */     int numParameters = parametersAsJavaObjects.length;
/* 138 */     Class[] parametersAsJavaClasses = new Class[numParameters];
/* 139 */     for (int parameterIndex = 0; parameterIndex < numParameters; parameterIndex++) {
/* 140 */       Object oneParameterObject = parametersAsJavaObjects[parameterIndex];
/* 141 */       if (oneParameterObject == null) {
/* 142 */         parametersAsJavaClasses[parameterIndex] = null;
/*     */       } else {
/* 144 */         Class<?> oneParameterClass = oneParameterObject.getClass();
/* 145 */         parametersAsJavaClasses[parameterIndex] = oneParameterClass;
/*     */       } 
/*     */     } 
/* 148 */     return parametersAsJavaClasses;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Object[] getParametersAsJavaObjects(Variant[] targetParameters) {
/* 158 */     if (targetParameters == null) {
/* 159 */       throw new IllegalArgumentException("This only works with an array of parameters");
/*     */     }
/*     */     
/* 162 */     int numParameters = targetParameters.length;
/* 163 */     Object[] parametersAsJavaObjects = new Object[numParameters];
/* 164 */     for (int parameterIndex = 0; parameterIndex < numParameters; parameterIndex++) {
/* 165 */       Variant oneParameterObject = targetParameters[parameterIndex];
/* 166 */       if (oneParameterObject == null) {
/* 167 */         parametersAsJavaObjects[parameterIndex] = null;
/*     */       } else {
/*     */         try {
/* 170 */           parametersAsJavaObjects[parameterIndex] = oneParameterObject.toJavaObject();
/*     */         }
/* 172 */         catch (NotImplementedException nie) {
/* 173 */           throw new IllegalArgumentException("Can't convert parameter " + parameterIndex + " type " + oneParameterObject.getvt() + " to java object: " + nie.getMessage());
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 180 */     return parametersAsJavaObjects;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\activeX\ActiveXInvocationProxy.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */