/*     */ package com.jacob.com;
/*     */ 
/*     */ import java.util.Enumeration;
/*     */ import java.util.HashSet;
/*     */ import java.util.Locale;
/*     */ import java.util.MissingResourceException;
/*     */ import java.util.ResourceBundle;
/*     */ import java.util.Set;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class LibraryLoader
/*     */ {
/*     */   public static final String JACOB_DLL_PATH = "jacob.dll.path";
/*     */   public static final String JACOB_DLL_NAME = "jacob.dll.name";
/*     */   public static final String JACOB_DLL_NAME_X86 = "jacob.dll.name.x86";
/*     */   public static final String JACOB_DLL_NAME_X64 = "jacob.dll.name.x64";
/*     */   public static final String DLL_NAME_MODIFIER_32_BIT = "x86";
/*     */   public static final String DLL_NAME_MODIFIER_64_BIT = "x64";
/*     */   
/*     */   public static void loadJacobLibrary() {
/* 127 */     ResourceBundle resources = null;
/* 128 */     Set<String> keys = new HashSet<String>();
/*     */     try {
/* 130 */       resources = ResourceBundle.getBundle(LibraryLoader.class.getName(), Locale.getDefault(), LibraryLoader.class.getClassLoader());
/*     */       
/* 132 */       Enumeration<String> i = resources.getKeys();
/* 133 */       while (i.hasMoreElements()) {
/* 134 */         String key = i.nextElement();
/* 135 */         keys.add(key);
/*     */       } 
/* 137 */     } catch (MissingResourceException e) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 143 */     String path = System.getProperty("jacob.dll.path");
/* 144 */     if (path == null && resources != null && keys.contains("jacob.dll.path")) {
/* 145 */       path = (String)resources.getObject("jacob.dll.path");
/*     */     }
/*     */     
/* 148 */     if (path != null) {
/* 149 */       JacobObject.debug("Loading library " + path + " using System.loadLibrary ");
/*     */       
/* 151 */       System.load(path);
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 157 */       String name = null;
/*     */       
/* 159 */       if (System.getProperty("jacob.dll.name") != null) {
/* 160 */         name = System.getProperty("jacob.dll.name");
/* 161 */       } else if (System.getProperty("jacob.dll.name.x86") != null && shouldLoad32Bit()) {
/*     */         
/* 163 */         name = System.getProperty("jacob.dll.name.x86");
/* 164 */       } else if (System.getProperty("jacob.dll.name.x64") != null && !shouldLoad32Bit()) {
/*     */         
/* 166 */         name = System.getProperty("jacob.dll.name.x64");
/* 167 */       } else if (resources != null && keys.contains("jacob.dll.name")) {
/* 168 */         name = resources.getString("jacob.dll.name");
/* 169 */       } else if (resources != null && keys.contains("jacob.dll.name.x86") && shouldLoad32Bit()) {
/*     */         
/* 171 */         name = resources.getString("jacob.dll.name.x86");
/* 172 */       } else if (resources != null && keys.contains("jacob.dll.name.x64") && !shouldLoad32Bit()) {
/*     */         
/* 174 */         name = resources.getString("jacob.dll.name.x64");
/*     */       }
/*     */       else {
/*     */         
/* 178 */         name = getPreferredDLLName();
/*     */       } 
/*     */       
/* 181 */       JacobObject.debug("Loading library " + name + " using System.loadLibrary ");
/*     */ 
/*     */       
/* 184 */       System.loadLibrary(name);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getPreferredDLLName() {
/* 198 */     if (shouldLoad32Bit()) {
/* 199 */       return "jacob-" + JacobReleaseInfo.getBuildVersion() + "-" + "x86";
/*     */     }
/*     */     
/* 202 */     return "jacob-" + JacobReleaseInfo.getBuildVersion() + "-" + "x64";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static boolean shouldLoad32Bit() {
/* 217 */     String bits = System.getProperty("sun.arch.data.model", "?");
/* 218 */     if (bits.equals("32"))
/* 219 */       return true; 
/* 220 */     if (bits.equals("64")) {
/* 221 */       return false;
/*     */     }
/*     */     
/* 224 */     String arch = System.getProperty("java.vm.name", "?");
/* 225 */     if (arch.toLowerCase().indexOf("64-bit") >= 0) {
/* 226 */       return false;
/*     */     }
/* 228 */     return true;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\LibraryLoader.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */