/*     */ package com.jacob.com;
/*     */ 
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.Map;
/*     */ import java.util.WeakHashMap;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class ROT
/*     */ {
/*  49 */   protected static final boolean USE_AUTOMATIC_GARBAGE_COLLECTION = "true".equalsIgnoreCase(System.getProperty("com.jacob.autogc"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  62 */   protected static final Boolean INCLUDE_ALL_CLASSES_IN_ROT = Boolean.valueOf(System.getProperty("com.jacob.includeAllClassesInROT", "true"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   protected static String PUT_IN_ROT_SUFFIX = ".PutInROT";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  82 */   private static HashMap<String, Map<JacobObject, String>> rot = new HashMap<String, Map<JacobObject, String>>();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static synchronized Map<JacobObject, String> addThread() {
/*  92 */     String t_name = Thread.currentThread().getName();
/*  93 */     if (!rot.containsKey(t_name)) {
/*     */ 
/*     */       
/*  96 */       Map<JacobObject, String> tab = null;
/*  97 */       if (JacobObject.isDebugEnabled()) {
/*  98 */         JacobObject.debug("ROT: Automatic GC flag == " + USE_AUTOMATIC_GARBAGE_COLLECTION);
/*     */       }
/*     */       
/* 101 */       if (!USE_AUTOMATIC_GARBAGE_COLLECTION) {
/* 102 */         tab = new HashMap<JacobObject, String>();
/*     */       } else {
/* 104 */         tab = new WeakHashMap<JacobObject, String>();
/*     */       } 
/* 106 */       rot.put(t_name, tab);
/*     */     } 
/* 108 */     return getThreadObjects(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static synchronized Map<JacobObject, String> getThreadObjects(boolean createIfDoesNotExist) {
/* 121 */     String t_name = Thread.currentThread().getName();
/* 122 */     if (!rot.containsKey(t_name) && createIfDoesNotExist) {
/* 123 */       addThread();
/*     */     }
/* 125 */     return rot.get(t_name);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void clearObjects() {
/* 136 */     if (JacobObject.isDebugEnabled()) {
/* 137 */       JacobObject.debug("ROT: " + rot.keySet().size() + " thread tables exist");
/*     */     }
/*     */ 
/*     */     
/* 141 */     Map<JacobObject, String> tab = getThreadObjects(false);
/* 142 */     if (tab != null) {
/* 143 */       if (JacobObject.isDebugEnabled()) {
/* 144 */         JacobObject.debug("ROT: " + tab.keySet().size() + " objects to clear in this thread's ROT ");
/*     */       }
/*     */ 
/*     */       
/* 148 */       Iterator<JacobObject> it = tab.keySet().iterator();
/* 149 */       while (it.hasNext()) {
/* 150 */         JacobObject o = it.next();
/* 151 */         if (o != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 157 */           if (JacobObject.isDebugEnabled()) {
/* 158 */             if (o instanceof SafeArray) {
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 163 */               JacobObject.debug("ROT: removing " + o.getClass().getName());
/*     */             }
/*     */             else {
/*     */               
/* 167 */               JacobObject.debug("ROT: removing " + o.hashCode() + "->" + o.getClass().getName());
/*     */             } 
/*     */           }
/*     */           
/* 171 */           o.safeRelease();
/*     */         } 
/*     */       } 
/*     */       
/* 175 */       tab.clear();
/*     */       
/* 177 */       removeThread();
/* 178 */       if (JacobObject.isDebugEnabled()) {
/* 179 */         JacobObject.debug("ROT: thread table cleared and removed");
/*     */       }
/*     */     }
/* 182 */     else if (JacobObject.isDebugEnabled()) {
/* 183 */       JacobObject.debug("ROT: nothing to clear!");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static synchronized void removeThread() {
/* 193 */     rot.remove(Thread.currentThread().getName());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @Deprecated
/*     */   protected static void removeObject(JacobObject o) {
/* 209 */     Map<JacobObject, String> tab = getThreadObjects(false);
/* 210 */     if (tab != null) {
/* 211 */       tab.remove(o);
/*     */     }
/* 213 */     o.safeRelease();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void addObject(JacobObject o) {
/* 234 */     String shouldIncludeClassInROT = "true";
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 239 */     if (!INCLUDE_ALL_CLASSES_IN_ROT.booleanValue()) {
/* 240 */       shouldIncludeClassInROT = System.getProperty(o.getClass().getName() + PUT_IN_ROT_SUFFIX, "true");
/*     */     }
/*     */     
/* 243 */     if (shouldIncludeClassInROT.equalsIgnoreCase("false")) {
/* 244 */       if (JacobObject.isDebugEnabled()) {
/* 245 */         JacobObject.debug("JacobObject: New instance of " + o.getClass().getName() + " not added to ROT");
/*     */       }
/*     */     }
/*     */     else {
/*     */       
/* 250 */       Map<JacobObject, String> tab = getThreadObjects(false);
/* 251 */       if (tab == null) {
/*     */ 
/*     */         
/* 254 */         ComThread.InitMTA(false);
/*     */ 
/*     */         
/* 257 */         tab = getThreadObjects(true);
/*     */       } 
/* 259 */       if (JacobObject.isDebugEnabled()) {
/* 260 */         JacobObject.debug("ROT: adding " + o + "->" + o.getClass().getName() + " table size prior to addition:" + tab.size());
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 265 */       if (tab != null) {
/* 266 */         tab.put(o, null);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/* 276 */     LibraryLoader.loadJacobLibrary();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\ROT.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */