/*      */ package com.jacob.com;
/*      */ 
/*      */ import java.math.BigDecimal;
/*      */ import java.math.BigInteger;
/*      */ import java.util.Date;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class Variant
/*      */   extends JacobObject
/*      */ {
/*      */   public static final Variant DEFAULT;
/*      */   public static final Variant VT_MISSING;
/*   56 */   public static final Variant VT_TRUE = new Variant(true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   62 */   public static final Variant VT_FALSE = new Variant(false);
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantEmpty = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantNull = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantShort = 2;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantInt = 3;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantFloat = 4;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantDouble = 5;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantCurrency = 6;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantDate = 7;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantString = 8;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantDispatch = 9;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantError = 10;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantBoolean = 11;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantVariant = 12;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantObject = 13;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantDecimal = 14;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantByte = 17;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantLongInt = 20;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantPointer = 26;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantTypeMask = 4095;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantArray = 8192;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short VariantByref = 16384;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static {
/*  155 */     Variant vtMissing = new Variant();
/*  156 */     vtMissing.putVariantNoParam();
/*  157 */     DEFAULT = vtMissing;
/*  158 */     VT_MISSING = vtMissing;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  164 */   long m_pVariant = 0L;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant() {
/*  170 */     this((Object)null, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(boolean in) {
/*  179 */     this(new Boolean(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(byte in) {
/*  188 */     this(new Byte(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(double in) {
/*  197 */     this(new Double(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(float in) {
/*  206 */     this(new Float(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(int in) {
/*  215 */     this(new Integer(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(long in) {
/*  224 */     this(new Long(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(Object in) {
/*  235 */     this(in, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(Object pValueObject, boolean fByRef) {
/*  249 */     init();
/*  250 */     VariantUtilities.populateVariant(this, pValueObject, fByRef);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant(short in) {
/*  259 */     this(new Short(in));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Variant changeType(short in) {
/*  274 */     changeVariantType(in);
/*  275 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void finalize() {
/*  309 */     safeRelease();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getBoolean() {
/*  319 */     if (getvt() == 11) {
/*  320 */       return getVariantBoolean();
/*      */     }
/*  322 */     throw new IllegalStateException("getBoolean() only legal on Variants of type VariantBoolean, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getBooleanRef() {
/*  336 */     if ((getvt() & 0xFFF) == 11 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  338 */       return getVariantBooleanRef();
/*      */     }
/*  340 */     throw new IllegalStateException("getBooleanRef() only legal on byRef Variants of type VariantBoolean, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte getByte() {
/*  353 */     if (getvt() == 17) {
/*  354 */       return getVariantByte();
/*      */     }
/*  356 */     throw new IllegalStateException("getByte() only legal on Variants of type VariantByte, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte getByteRef() {
/*  370 */     if ((getvt() & 0xFFF) == 17 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  372 */       return getVariantByteRef();
/*      */     }
/*  374 */     throw new IllegalStateException("getByteRef() only legal on byRef Variants of type VariantByte, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Currency getCurrency() {
/*  390 */     if (getvt() == 6) {
/*  391 */       return new Currency(getVariantCurrency());
/*      */     }
/*  393 */     throw new IllegalStateException("getCurrency() only legal on Variants of type VariantCurrency, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Currency getCurrencyRef() {
/*  409 */     if ((getvt() & 0xFFF) == 6 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  411 */       return new Currency(getVariantCurrencyRef());
/*      */     }
/*  413 */     throw new IllegalStateException("getCurrencyRef() only legal on byRef Variants of type VariantCurrency, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDate() {
/*  426 */     if (getvt() == 7) {
/*  427 */       return getVariantDate();
/*      */     }
/*  429 */     throw new IllegalStateException("getDate() only legal on Variants of type VariantDate, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDateRef() {
/*  443 */     if ((getvt() & 0xFFF) == 7 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  445 */       return getVariantDateRef();
/*      */     }
/*  447 */     throw new IllegalStateException("getDateRef() only legal on byRef Variants of type VariantDate, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal getDecimal() {
/*  461 */     if (getvt() == 14) {
/*  462 */       return (BigDecimal)getVariantDec();
/*      */     }
/*  464 */     throw new IllegalStateException("getDecimal() only legal on Variants of type VariantDecimal, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal getDecimalRef() {
/*  478 */     if ((getvt() & 0xFFF) == 14 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  480 */       return (BigDecimal)getVariantDecRef();
/*      */     }
/*  482 */     throw new IllegalStateException("getDecimalRef() only legal on byRef Variants of type VariantDecimal, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dispatch getDispatch() {
/*  498 */     if (getvt() == 9) {
/*  499 */       return toDispatch();
/*      */     }
/*  501 */     throw new IllegalStateException("getDispatch() only legal on Variants of type VariantDispatch, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dispatch getDispatchRef() {
/*  516 */     if ((getvt() & 0xFFF) == 9 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  518 */       return toDispatch();
/*      */     }
/*  520 */     throw new IllegalStateException("getDispatchRef() only legal on byRef Variants of type VariantDispatch, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDouble() {
/*  533 */     if (getvt() == 5) {
/*  534 */       return getVariantDouble();
/*      */     }
/*  536 */     throw new IllegalStateException("getDouble() only legal on Variants of type VariantDouble, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDoubleRef() {
/*  549 */     if ((getvt() & 0xFFF) == 5 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  551 */       return getVariantDoubleRef();
/*      */     }
/*  553 */     throw new IllegalStateException("getDoubleRef() only legal on byRef Variants of type VariantDouble, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void getEmpty() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getError() {
/*  577 */     if (getvt() == 10) {
/*  578 */       return getVariantError();
/*      */     }
/*  580 */     throw new IllegalStateException("getError() only legal on Variants of type VariantError, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getErrorRef() {
/*  594 */     if ((getvt() & 0xFFF) == 10 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  596 */       return getVariantErrorRef();
/*      */     }
/*  598 */     throw new IllegalStateException("getErrorRef() only legal on byRef Variants of type VariantError, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getFloat() {
/*  610 */     if (getvt() == 4) {
/*  611 */       return getVariantFloat();
/*      */     }
/*  613 */     throw new IllegalStateException("getFloat() only legal on Variants of type VariantFloat, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getFloatRef() {
/*  626 */     if ((getvt() & 0xFFF) == 4 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  628 */       return getVariantFloatRef();
/*      */     }
/*  630 */     throw new IllegalStateException("getFloatRef() only legal on byRef Variants of type VariantFloat, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getInt() {
/*  645 */     if (getvt() == 3)
/*  646 */       return getVariantInt(); 
/*  647 */     if (getvt() == 2) {
/*  648 */       return getVariantShort();
/*      */     }
/*  650 */     throw new IllegalStateException("getInt() only legal on Variants of type VariantInt, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getIntRef() {
/*  664 */     if ((getvt() & 0xFFF) == 3 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  666 */       return getVariantIntRef();
/*      */     }
/*  668 */     throw new IllegalStateException("getIntRef() only legal on byRef Variants of type VariantInt, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getJavaDate() {
/*  685 */     Date returnDate = null;
/*  686 */     if (getvt() == 7) {
/*  687 */       double windowsDate = getDate();
/*  688 */       if (windowsDate != 0.0D) {
/*  689 */         returnDate = DateUtilities.convertWindowsTimeToDate(getDate());
/*      */       }
/*      */     } else {
/*  692 */       throw new IllegalStateException("getJavaDate() only legal on Variants of type VariantDate, not " + getvt());
/*      */     } 
/*      */ 
/*      */     
/*  696 */     return returnDate;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getJavaDateRef() {
/*  706 */     double windowsDate = getDateRef();
/*  707 */     if (windowsDate == 0.0D) {
/*  708 */       return null;
/*      */     }
/*  710 */     return DateUtilities.convertWindowsTimeToDate(windowsDate);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getLong() {
/*  723 */     if (getvt() == 20) {
/*  724 */       return getVariantLong();
/*      */     }
/*  726 */     throw new IllegalStateException("getLong() only legal on Variants of type VariantLongInt, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getLongRef() {
/*  740 */     if ((getvt() & 0xFFF) == 20 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  742 */       return getVariantLongRef();
/*      */     }
/*  744 */     throw new IllegalStateException("getLongRef() only legal on byRef Variants of type VariantLongInt, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void getNull() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getShort() {
/*  769 */     if (getvt() == 2) {
/*  770 */       return getVariantShort();
/*      */     }
/*  772 */     throw new IllegalStateException("getShort() only legal on Variants of type VariantShort, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getShortRef() {
/*  786 */     if ((getvt() & 0xFFF) == 2 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  788 */       return getVariantShortRef();
/*      */     }
/*  790 */     throw new IllegalStateException("getShortRef() only legal on byRef Variants of type VariantShort, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getString() {
/*  803 */     if (getvt() == 8)
/*  804 */       return getVariantString(); 
/*  805 */     if (getvt() == 0)
/*  806 */       return null; 
/*  807 */     if (getvt() == 1) {
/*  808 */       return null;
/*      */     }
/*  810 */     throw new IllegalStateException("getString() only legal on Variants of type VariantString, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getStringRef() {
/*  824 */     if ((getvt() & 0xFFF) == 8 && (getvt() & 0x4000) == 16384)
/*      */     {
/*  826 */       return getVariantStringRef();
/*      */     }
/*  828 */     throw new IllegalStateException("getStringRef() only legal on byRef Variants of type VariantString, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getVariant() {
/*  843 */     if ((getvt() & 0xFFF) == 12 && (getvt() & 0x4000) == 16384) {
/*      */       
/*  845 */       if (JacobObject.isDebugEnabled()) {
/*  846 */         JacobObject.debug("About to call getVariantVariant()");
/*      */       }
/*  848 */       Variant enclosedVariant = new Variant();
/*  849 */       long enclosedVariantMemory = getVariantVariant();
/*  850 */       enclosedVariant.m_pVariant = enclosedVariantMemory;
/*  851 */       Object enclosedVariantAsJava = enclosedVariant.toJavaObject();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  857 */       if (JacobObject.isDebugEnabled()) {
/*  858 */         JacobObject.debug("Zeroing out enclosed Variant's ref to windows memory");
/*      */       }
/*      */       
/*  861 */       enclosedVariant.m_pVariant = 0L;
/*  862 */       return enclosedVariantAsJava;
/*      */     } 
/*  864 */     throw new IllegalStateException("getVariant() only legal on Variants of type VariantVariant, not " + getvt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Variant[] getVariantArray() {
/*  877 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Variant[] getVariantArrayRef() {
/*  887 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getvt() {
/* 1035 */     if (this.m_pVariant != 0L) {
/* 1036 */       return getVariantType();
/*      */     }
/* 1038 */     throw new IllegalStateException("uninitialized Variant");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isNull() {
/* 1054 */     getvt();
/* 1055 */     return isVariantConsideredNull();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void noParam() {
/* 1072 */     putNoParam();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean objectIsAConstant(Variant pVariant) {
/* 1084 */     if (pVariant == VT_FALSE || pVariant == VT_TRUE || pVariant == VT_MISSING || pVariant == DEFAULT)
/*      */     {
/* 1086 */       return true;
/*      */     }
/* 1088 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putBoolean(boolean in) {
/* 1101 */     getvt();
/* 1102 */     putVariantBoolean(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putBooleanRef(boolean in) {
/* 1113 */     getvt();
/* 1114 */     putVariantBooleanRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putByte(byte in) {
/* 1124 */     getvt();
/* 1125 */     putVariantByte(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putByteArray(Object in) {
/* 1136 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putByteRef(byte in) {
/* 1146 */     getvt();
/* 1147 */     putVariantByteRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putCharArray(Object in) {
/* 1159 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putCurrency(Currency in) {
/* 1172 */     getvt();
/* 1173 */     putVariantCurrency(in.longValue());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putCurrencyRef(Currency in) {
/* 1186 */     getvt();
/* 1187 */     putVariantCurrencyRef(in.longValue());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDate(Date inDate) {
/* 1200 */     if (inDate == null) {
/* 1201 */       throw new IllegalArgumentException("Cannot put null in as windows date");
/*      */     }
/*      */ 
/*      */     
/* 1205 */     putDate(DateUtilities.convertDateToWindowsTime(inDate));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDate(double in) {
/* 1216 */     getvt();
/* 1217 */     putVariantDate(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDateRef(Date inDate) {
/* 1230 */     if (inDate == null) {
/* 1231 */       throw new IllegalArgumentException("Cannot put null in as windows date");
/*      */     }
/*      */ 
/*      */     
/* 1235 */     putDateRef(DateUtilities.convertDateToWindowsTime(inDate));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDateRef(double in) {
/* 1246 */     getvt();
/* 1247 */     putVariantDateRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void putDecimal(BigDecimal in, boolean byRef) {
/* 1264 */     getvt();
/*      */     
/* 1266 */     VariantUtilities.validateDecimalMinMax(in);
/*      */     
/* 1268 */     BigInteger allWordBigInt = in.unscaledValue();
/*      */     
/* 1270 */     VariantUtilities.validateDecimalScaleAndBits(in);
/*      */     
/* 1272 */     int sign = in.signum();
/*      */ 
/*      */     
/* 1275 */     if (in.signum() < 0) {
/* 1276 */       in = in.negate();
/*      */     }
/*      */ 
/*      */     
/* 1280 */     allWordBigInt = in.unscaledValue();
/* 1281 */     byte scale = (byte)in.scale();
/* 1282 */     int lowWord = allWordBigInt.intValue();
/* 1283 */     BigInteger middleWordBigInt = allWordBigInt.shiftRight(32);
/* 1284 */     int middleWord = middleWordBigInt.intValue();
/* 1285 */     BigInteger highWordBigInt = allWordBigInt.shiftRight(64);
/* 1286 */     int highWord = highWordBigInt.intValue();
/* 1287 */     if (byRef) {
/* 1288 */       putVariantDecRef(sign, scale, lowWord, middleWord, highWord);
/*      */     } else {
/* 1290 */       putVariantDec(sign, scale, lowWord, middleWord, highWord);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDecimal(BigDecimal in) {
/* 1315 */     putDecimal(in, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDecimalRef(BigDecimal in) {
/* 1337 */     putDecimal(in, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDispatch(Dispatch in) {
/* 1347 */     putVariantDispatch(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDispatchRef(Dispatch in) {
/* 1359 */     putVariantDispatch(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDouble(double in) {
/* 1369 */     getvt();
/* 1370 */     putVariantDouble(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putDoubleRef(double in) {
/* 1380 */     getvt();
/* 1381 */     putVariantDoubleRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putEmpty() {
/* 1390 */     getvt();
/* 1391 */     putVariantEmpty();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putError(int in) {
/* 1401 */     getvt();
/* 1402 */     putVariantError(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putErrorRef(int in) {
/* 1412 */     getvt();
/* 1413 */     putVariantErrorRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putFloat(float in) {
/* 1423 */     getvt();
/* 1424 */     putVariantFloat(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putFloatRef(float in) {
/* 1434 */     getvt();
/* 1435 */     putVariantFloatRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putInt(int in) {
/* 1445 */     getvt();
/* 1446 */     putVariantInt(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putIntRef(int in) {
/* 1456 */     getvt();
/* 1457 */     putVariantIntRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putLong(long in) {
/* 1469 */     getvt();
/* 1470 */     putVariantLong(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putLongRef(long in) {
/* 1482 */     getvt();
/* 1483 */     putVariantLongRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putNoParam() {
/* 1491 */     getvt();
/* 1492 */     putVariantNoParam();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putNothing() {
/* 1501 */     getvt();
/* 1502 */     putVariantNothing();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putNull() {
/* 1510 */     getvt();
/* 1511 */     putVariantNull();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putObject(Object in) {
/* 1527 */     putVariantDispatch(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putObjectRef(Object in) {
/* 1539 */     putObject(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putSafeArray(SafeArray in) {
/* 1549 */     getvt();
/* 1550 */     putVariantSafeArray(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putSafeArrayRef(SafeArray in) {
/* 1560 */     getvt();
/* 1561 */     putVariantSafeArrayRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putShort(short in) {
/* 1571 */     getvt();
/* 1572 */     putVariantShort(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putShortRef(short in) {
/* 1582 */     getvt();
/* 1583 */     putVariantShortRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putString(String in) {
/* 1593 */     getvt();
/* 1594 */     putVariantString(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putStringRef(String in) {
/* 1604 */     getvt();
/* 1605 */     putVariantStringRef(in);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void putVariant(Object objectToBeWrapped) {
/* 1622 */     if (objectToBeWrapped == null) {
/* 1623 */       throw new IllegalArgumentException("Cannot put null in as a variant");
/*      */     }
/* 1625 */     if (objectToBeWrapped instanceof Variant) {
/* 1626 */       throw new IllegalArgumentException("Cannot putVariant() only accepts non jacob objects.");
/*      */     }
/*      */     
/* 1629 */     Variant inVariant = new Variant(objectToBeWrapped);
/* 1630 */     putVariantVariant(inVariant);
/*      */     
/* 1632 */     if (JacobObject.isDebugEnabled()) {
/* 1633 */       JacobObject.debug("Zeroing out enclosed Variant's ref to windows memory");
/*      */     }
/*      */     
/* 1636 */     inVariant.m_pVariant = 0L;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putVariantArray(Variant[] in) {
/* 1648 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public void putVariantArrayRef(Variant[] in) {
/* 1660 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void safeRelease() {
/* 1896 */     if (!objectIsAConstant(this)) {
/* 1897 */       super.safeRelease();
/* 1898 */       if (this.m_pVariant != 0L) {
/* 1899 */         release();
/* 1900 */         this.m_pVariant = 0L;
/*      */ 
/*      */ 
/*      */       
/*      */       }
/* 1905 */       else if (isDebugEnabled()) {
/* 1906 */         debug("Variant: " + hashCode() + " double release");
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/* 1912 */     else if (isDebugEnabled()) {
/* 1913 */       debug("Variant: " + hashCode() + " don't want to release a constant");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public boolean toBoolean() {
/* 1939 */     changeType((short)11);
/* 1940 */     return getBoolean();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public byte toByte() {
/* 1952 */     changeType((short)17);
/* 1953 */     return getByte();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Object toByteArray() {
/* 1963 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Object toCharArray() {
/* 1973 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Currency toCurrency() {
/* 1983 */     changeType((short)6);
/* 1984 */     return getCurrency();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public double toDate() {
/* 1993 */     changeType((short)7);
/* 1994 */     return getDate();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dispatch toDispatch() {
/* 2003 */     return toVariantDispatch();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public double toDouble() {
/* 2013 */     changeType((short)5);
/* 2014 */     return getDouble();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public int toError() {
/* 2028 */     changeType((short)10);
/* 2029 */     return getError();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public float toFloat() {
/* 2041 */     changeType((short)4);
/* 2042 */     return getFloat();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public int toInt() {
/* 2051 */     changeType((short)3);
/* 2052 */     return getInt();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Date toJavaDate() {
/* 2071 */     changeType((short)7);
/* 2072 */     return getJavaDate();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toJavaObject() throws JacobException {
/* 2091 */     return VariantUtilities.variantToObject(this);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Object toObject() {
/* 2103 */     return toDispatch();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SafeArray toSafeArray() {
/* 2115 */     getvt();
/* 2116 */     return toSafeArray(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SafeArray toSafeArray(boolean deepCopy) {
/* 2128 */     getvt();
/* 2129 */     return toVariantSafeArray(deepCopy);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Object toScriptObject() {
/* 2140 */     return toDispatch();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public short toShort() {
/* 2152 */     changeType((short)2);
/* 2153 */     return getShort();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String toString() {
/*      */     try {
/* 2175 */       getvt();
/* 2176 */     } catch (IllegalStateException ise) {
/* 2177 */       return "";
/*      */     } 
/* 2179 */     if (getvt() == 0 || getvt() == 10 || getvt() == 1)
/*      */     {
/* 2181 */       return "null";
/*      */     }
/* 2183 */     if (getvt() == 8) {
/* 2184 */       return getString();
/*      */     }
/*      */     try {
/* 2187 */       Object foo = toJavaObject();
/*      */       
/* 2189 */       return foo.toString();
/* 2190 */     } catch (NotImplementedException nie) {
/*      */       
/* 2192 */       return "Description not available for type: " + getvt();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Variant toVariant() {
/* 2205 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public Variant[] toVariantArray() {
/* 2215 */     throw new NotImplementedException("Not implemented");
/*      */   }
/*      */   
/*      */   private native void changeVariantType(short paramShort);
/*      */   
/*      */   public native Object clone();
/*      */   
/*      */   @Deprecated
/*      */   public native Variant cloneIndirect();
/*      */   
/*      */   private native boolean getVariantBoolean();
/*      */   
/*      */   private native boolean getVariantBooleanRef();
/*      */   
/*      */   private native byte getVariantByte();
/*      */   
/*      */   private native byte getVariantByteRef();
/*      */   
/*      */   private native long getVariantCurrency();
/*      */   
/*      */   private native long getVariantCurrencyRef();
/*      */   
/*      */   private native double getVariantDate();
/*      */   
/*      */   private native double getVariantDateRef();
/*      */   
/*      */   private native Object getVariantDec();
/*      */   
/*      */   private native Object getVariantDecRef();
/*      */   
/*      */   private native double getVariantDouble();
/*      */   
/*      */   private native double getVariantDoubleRef();
/*      */   
/*      */   private native int getVariantError();
/*      */   
/*      */   private native int getVariantErrorRef();
/*      */   
/*      */   private native float getVariantFloat();
/*      */   
/*      */   private native float getVariantFloatRef();
/*      */   
/*      */   private native int getVariantInt();
/*      */   
/*      */   private native int getVariantIntRef();
/*      */   
/*      */   private native long getVariantLong();
/*      */   
/*      */   private native long getVariantLongRef();
/*      */   
/*      */   private native short getVariantShort();
/*      */   
/*      */   private native short getVariantShortRef();
/*      */   
/*      */   private native String getVariantString();
/*      */   
/*      */   private native String getVariantStringRef();
/*      */   
/*      */   private native short getVariantType();
/*      */   
/*      */   private native long getVariantVariant();
/*      */   
/*      */   protected native void init();
/*      */   
/*      */   private native boolean isVariantConsideredNull();
/*      */   
/*      */   private native void putVariantBoolean(boolean paramBoolean);
/*      */   
/*      */   private native void putVariantBooleanRef(boolean paramBoolean);
/*      */   
/*      */   private native void putVariantByte(byte paramByte);
/*      */   
/*      */   private native void putVariantByteRef(byte paramByte);
/*      */   
/*      */   private native void putVariantCurrency(long paramLong);
/*      */   
/*      */   private native void putVariantCurrencyRef(long paramLong);
/*      */   
/*      */   private native void putVariantDate(double paramDouble);
/*      */   
/*      */   private native void putVariantDateRef(double paramDouble);
/*      */   
/*      */   private native void putVariantDec(int paramInt1, byte paramByte, int paramInt2, int paramInt3, int paramInt4);
/*      */   
/*      */   private native void putVariantDecRef(int paramInt1, byte paramByte, int paramInt2, int paramInt3, int paramInt4);
/*      */   
/*      */   private native void putVariantDispatch(Object paramObject);
/*      */   
/*      */   private native void putVariantDouble(double paramDouble);
/*      */   
/*      */   private native void putVariantDoubleRef(double paramDouble);
/*      */   
/*      */   private native void putVariantEmpty();
/*      */   
/*      */   private native void putVariantError(int paramInt);
/*      */   
/*      */   private native void putVariantErrorRef(int paramInt);
/*      */   
/*      */   private native void putVariantFloat(float paramFloat);
/*      */   
/*      */   private native void putVariantFloatRef(float paramFloat);
/*      */   
/*      */   private native void putVariantInt(int paramInt);
/*      */   
/*      */   private native void putVariantIntRef(int paramInt);
/*      */   
/*      */   private native void putVariantLong(long paramLong);
/*      */   
/*      */   private native void putVariantLongRef(long paramLong);
/*      */   
/*      */   private native void putVariantNoParam();
/*      */   
/*      */   private native void putVariantNothing();
/*      */   
/*      */   private native void putVariantNull();
/*      */   
/*      */   private native void putVariantSafeArray(SafeArray paramSafeArray);
/*      */   
/*      */   private native void putVariantSafeArrayRef(SafeArray paramSafeArray);
/*      */   
/*      */   private native void putVariantShort(short paramShort);
/*      */   
/*      */   private native void putVariantShortRef(short paramShort);
/*      */   
/*      */   private native void putVariantString(String paramString);
/*      */   
/*      */   private native void putVariantStringRef(String paramString);
/*      */   
/*      */   private native void putVariantVariant(Variant paramVariant);
/*      */   
/*      */   private native void release();
/*      */   
/*      */   protected native void SerializationReadFromBytes(byte[] paramArrayOfbyte);
/*      */   
/*      */   protected native byte[] SerializationWriteToBytes();
/*      */   
/*      */   public native EnumVariant toEnumVariant();
/*      */   
/*      */   private native Dispatch toVariantDispatch();
/*      */   
/*      */   private native SafeArray toVariantSafeArray(boolean paramBoolean);
/*      */   
/*      */   public native void VariantClear();
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\Variant.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */