/*     */ package com.jacob.com;
/*     */ 
/*     */ import java.lang.reflect.Array;
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import java.math.MathContext;
/*     */ import java.util.Date;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class VariantUtilities
/*     */ {
/*     */   protected static void populateVariant(Variant targetVariant, Object pValueObject, boolean fByRef) {
/*  30 */     if (pValueObject == null) {
/*  31 */       targetVariant.putEmpty();
/*  32 */     } else if (pValueObject instanceof Integer) {
/*  33 */       if (fByRef) {
/*  34 */         targetVariant.putIntRef(((Integer)pValueObject).intValue());
/*     */       } else {
/*  36 */         targetVariant.putInt(((Integer)pValueObject).intValue());
/*     */       } 
/*  38 */     } else if (pValueObject instanceof Short) {
/*  39 */       if (fByRef) {
/*  40 */         targetVariant.putShortRef(((Short)pValueObject).shortValue());
/*     */       } else {
/*  42 */         targetVariant.putShort(((Short)pValueObject).shortValue());
/*     */       } 
/*  44 */     } else if (pValueObject instanceof String) {
/*  45 */       if (fByRef) {
/*  46 */         targetVariant.putStringRef((String)pValueObject);
/*     */       } else {
/*  48 */         targetVariant.putString((String)pValueObject);
/*     */       } 
/*  50 */     } else if (pValueObject instanceof Boolean) {
/*  51 */       if (fByRef) {
/*  52 */         targetVariant.putBooleanRef(((Boolean)pValueObject).booleanValue());
/*     */       } else {
/*     */         
/*  55 */         targetVariant.putBoolean(((Boolean)pValueObject).booleanValue());
/*     */       }
/*     */     
/*  58 */     } else if (pValueObject instanceof Double) {
/*  59 */       if (fByRef) {
/*  60 */         targetVariant.putDoubleRef(((Double)pValueObject).doubleValue());
/*     */       } else {
/*     */         
/*  63 */         targetVariant.putDouble(((Double)pValueObject).doubleValue());
/*     */       } 
/*  65 */     } else if (pValueObject instanceof Float) {
/*  66 */       if (fByRef) {
/*  67 */         targetVariant.putFloatRef(((Float)pValueObject).floatValue());
/*     */       } else {
/*  69 */         targetVariant.putFloat(((Float)pValueObject).floatValue());
/*     */       } 
/*  71 */     } else if (pValueObject instanceof BigDecimal) {
/*  72 */       if (fByRef) {
/*  73 */         targetVariant.putDecimalRef((BigDecimal)pValueObject);
/*     */       } else {
/*  75 */         targetVariant.putDecimal((BigDecimal)pValueObject);
/*     */       } 
/*  77 */     } else if (pValueObject instanceof Byte) {
/*  78 */       if (fByRef) {
/*  79 */         targetVariant.putByteRef(((Byte)pValueObject).byteValue());
/*     */       } else {
/*  81 */         targetVariant.putByte(((Byte)pValueObject).byteValue());
/*     */       } 
/*  83 */     } else if (pValueObject instanceof Date) {
/*  84 */       if (fByRef) {
/*  85 */         targetVariant.putDateRef((Date)pValueObject);
/*     */       } else {
/*  87 */         targetVariant.putDate((Date)pValueObject);
/*     */       } 
/*  89 */     } else if (pValueObject instanceof Long) {
/*  90 */       if (fByRef) {
/*  91 */         targetVariant.putLongRef(((Long)pValueObject).longValue());
/*     */       } else {
/*  93 */         targetVariant.putLong(((Long)pValueObject).longValue());
/*     */       } 
/*  95 */     } else if (pValueObject instanceof Currency) {
/*  96 */       if (fByRef) {
/*  97 */         targetVariant.putCurrencyRef((Currency)pValueObject);
/*     */       } else {
/*  99 */         targetVariant.putCurrency((Currency)pValueObject);
/*     */       } 
/* 101 */     } else if (pValueObject instanceof SafeArray) {
/* 102 */       if (fByRef) {
/* 103 */         targetVariant.putSafeArrayRef((SafeArray)pValueObject);
/*     */       } else {
/* 105 */         targetVariant.putSafeArray((SafeArray)pValueObject);
/*     */       } 
/* 107 */     } else if (pValueObject instanceof Dispatch) {
/* 108 */       if (fByRef) {
/* 109 */         targetVariant.putDispatchRef((Dispatch)pValueObject);
/*     */       } else {
/* 111 */         targetVariant.putDispatch((Dispatch)pValueObject);
/*     */       } 
/* 113 */     } else if (pValueObject instanceof Variant) {
/*     */       
/* 115 */       targetVariant.putVariant(pValueObject);
/*     */     }
/*     */     else {
/*     */       
/* 119 */       throw new NotImplementedException("populateVariant() not implemented for " + pValueObject.getClass());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Variant objectToVariant(Object objectToBeMadeIntoVariant) {
/* 133 */     if (objectToBeMadeIntoVariant == null)
/* 134 */       return new Variant(); 
/* 135 */     if (objectToBeMadeIntoVariant instanceof Variant)
/*     */     {
/* 137 */       return (Variant)objectToBeMadeIntoVariant; } 
/* 138 */     if (objectToBeMadeIntoVariant.getClass().isArray()) {
/*     */ 
/*     */ 
/*     */       
/* 142 */       SafeArray sa = null;
/* 143 */       int len1 = Array.getLength(objectToBeMadeIntoVariant);
/* 144 */       Class<?> componentType = objectToBeMadeIntoVariant.getClass().getComponentType();
/*     */ 
/*     */       
/* 147 */       if (componentType.isArray()) {
/* 148 */         int max = 0; int i;
/* 149 */         for (i = 0; i < len1; i++) {
/* 150 */           Object e1 = Array.get(objectToBeMadeIntoVariant, i);
/* 151 */           int len2 = Array.getLength(e1);
/* 152 */           if (max < len2) {
/* 153 */             max = len2;
/*     */           }
/*     */         } 
/* 156 */         sa = new SafeArray(12, len1, max);
/* 157 */         for (i = 0; i < len1; i++) {
/* 158 */           Object e1 = Array.get(objectToBeMadeIntoVariant, i);
/* 159 */           for (int j = 0; j < Array.getLength(e1); j++) {
/* 160 */             sa.setVariant(i, j, objectToVariant(Array.get(e1, j)));
/*     */           }
/*     */         } 
/* 163 */       } else if (byte.class.equals(componentType)) {
/* 164 */         byte[] arr = (byte[])objectToBeMadeIntoVariant;
/* 165 */         sa = new SafeArray(17, len1);
/* 166 */         for (int i = 0; i < len1; i++) {
/* 167 */           sa.setByte(i, arr[i]);
/*     */         }
/* 169 */       } else if (int.class.equals(componentType)) {
/* 170 */         int[] arr = (int[])objectToBeMadeIntoVariant;
/* 171 */         sa = new SafeArray(3, len1);
/* 172 */         for (int i = 0; i < len1; i++) {
/* 173 */           sa.setInt(i, arr[i]);
/*     */         }
/* 175 */       } else if (double.class.equals(componentType)) {
/* 176 */         double[] arr = (double[])objectToBeMadeIntoVariant;
/* 177 */         sa = new SafeArray(5, len1);
/* 178 */         for (int i = 0; i < len1; i++) {
/* 179 */           sa.setDouble(i, arr[i]);
/*     */         }
/* 181 */       } else if (long.class.equals(componentType)) {
/* 182 */         long[] arr = (long[])objectToBeMadeIntoVariant;
/* 183 */         sa = new SafeArray(20, len1);
/* 184 */         for (int i = 0; i < len1; i++) {
/* 185 */           sa.setLong(i, arr[i]);
/*     */         }
/*     */       } else {
/*     */         
/* 189 */         sa = new SafeArray(12, len1);
/* 190 */         for (int i = 0; i < len1; i++) {
/* 191 */           sa.setVariant(i, objectToVariant(Array.get(objectToBeMadeIntoVariant, i)));
/*     */         }
/*     */       } 
/*     */       
/* 195 */       Variant variant = new Variant();
/* 196 */       populateVariant(variant, sa, false);
/* 197 */       return variant;
/*     */     } 
/*     */ 
/*     */     
/* 201 */     Variant returnVariant = new Variant();
/* 202 */     populateVariant(returnVariant, objectToBeMadeIntoVariant, false);
/* 203 */     return returnVariant;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Variant[] objectsToVariants(Object[] arrayOfObjectsToBeConverted) {
/* 216 */     if (arrayOfObjectsToBeConverted instanceof Variant[])
/*     */     {
/* 218 */       return (Variant[])arrayOfObjectsToBeConverted;
/*     */     }
/* 220 */     Variant[] vArg = new Variant[arrayOfObjectsToBeConverted.length];
/* 221 */     for (int i = 0; i < arrayOfObjectsToBeConverted.length; i++) {
/* 222 */       vArg[i] = objectToVariant(arrayOfObjectsToBeConverted[i]);
/*     */     }
/* 224 */     return vArg;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Object variantToObject(Variant sourceData) {
/* 248 */     Object result = null;
/*     */     
/* 250 */     short type = sourceData.getvt();
/*     */     
/* 252 */     if ((type & 0x2000) == 8192) {
/*     */       
/* 254 */       SafeArray array = null;
/* 255 */       type = (short)(type - 8192);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 262 */       array = sourceData.toSafeArray();
/* 263 */       result = array;
/*     */     } else {
/* 265 */       switch (type) {
/*     */         case 0:
/*     */         case 1:
/*     */           break;
/*     */         case 2:
/* 270 */           result = new Short(sourceData.getShort());
/*     */           break;
/*     */         case 16386:
/* 273 */           result = new Short(sourceData.getShortRef());
/*     */           break;
/*     */         case 3:
/* 276 */           result = new Integer(sourceData.getInt());
/*     */           break;
/*     */         case 16387:
/* 279 */           result = new Integer(sourceData.getIntRef());
/*     */           break;
/*     */         case 4:
/* 282 */           result = new Float(sourceData.getFloat());
/*     */           break;
/*     */         case 16388:
/* 285 */           result = new Float(sourceData.getFloatRef());
/*     */           break;
/*     */         case 5:
/* 288 */           result = new Double(sourceData.getDouble());
/*     */           break;
/*     */         case 16389:
/* 291 */           result = new Double(sourceData.getDoubleRef());
/*     */           break;
/*     */         case 6:
/* 294 */           result = sourceData.getCurrency();
/*     */           break;
/*     */         case 16390:
/* 297 */           result = sourceData.getCurrencyRef();
/*     */           break;
/*     */         case 7:
/* 300 */           result = sourceData.getJavaDate();
/*     */           break;
/*     */         case 16391:
/* 303 */           result = sourceData.getJavaDateRef();
/*     */           break;
/*     */         case 8:
/* 306 */           result = sourceData.getString();
/*     */           break;
/*     */         case 16392:
/* 309 */           result = sourceData.getStringRef();
/*     */           break;
/*     */         case 9:
/* 312 */           result = sourceData.getDispatch();
/*     */           break;
/*     */         case 16393:
/* 315 */           result = sourceData.getDispatchRef();
/*     */           break;
/*     */         
/*     */         case 10:
/* 319 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantError");
/*     */           break;
/*     */         
/*     */         case 11:
/* 323 */           result = new Boolean(sourceData.getBoolean());
/*     */           break;
/*     */         case 16395:
/* 326 */           result = new Boolean(sourceData.getBooleanRef());
/*     */           break;
/*     */         case 12:
/* 329 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantVariant without ByRef");
/*     */           break;
/*     */         
/*     */         case 16396:
/* 333 */           result = sourceData.getVariant();
/*     */           break;
/*     */         case 13:
/* 336 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantObject");
/*     */           break;
/*     */         
/*     */         case 14:
/* 340 */           result = sourceData.getDecimal();
/*     */           break;
/*     */         case 16398:
/* 343 */           result = sourceData.getDecimalRef();
/*     */           break;
/*     */         case 17:
/* 346 */           result = new Byte(sourceData.getByte());
/*     */           break;
/*     */         case 16401:
/* 349 */           result = new Byte(sourceData.getByteRef());
/*     */           break;
/*     */         case 20:
/* 352 */           result = new Long(sourceData.getLong());
/*     */           break;
/*     */         case 16404:
/* 355 */           result = new Long(sourceData.getLongRef());
/*     */           break;
/*     */         case 4095:
/* 358 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantBstrBlob/VariantTypeMask");
/*     */           break;
/*     */         
/*     */         case 8192:
/* 362 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantArray");
/*     */           break;
/*     */         
/*     */         case 16384:
/* 366 */           result = new NotImplementedException("toJavaObject() Not implemented for VariantByref");
/*     */           break;
/*     */         
/*     */         default:
/* 370 */           result = new NotImplementedException("Unknown return type: " + type);
/*     */           break;
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 377 */       if (result instanceof JacobException) {
/* 378 */         throw (JacobException)result;
/*     */       }
/*     */     } 
/*     */     
/* 382 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void validateDecimalScaleAndBits(BigDecimal in) {
/* 395 */     BigInteger allWordBigInt = in.unscaledValue();
/* 396 */     if (in.scale() > 28)
/*     */     {
/* 398 */       throw new IllegalArgumentException("VT_DECIMAL only supports a maximum scale of 28 and the passed in value has a scale of " + in.scale());
/*     */     }
/*     */     
/* 401 */     if (in.scale() < 0)
/*     */     {
/* 403 */       throw new IllegalArgumentException("VT_DECIMAL only supports a minimum scale of 0 and the passed in value has a scale of " + in.scale());
/*     */     }
/*     */     
/* 406 */     if (allWordBigInt.bitLength() > 96) {
/* 407 */       throw new IllegalArgumentException("VT_DECIMAL supports a maximum of 96 bits not counting scale and the number passed in has " + allWordBigInt.bitLength());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 423 */   private static final BigDecimal LARGEST_DECIMAL = new BigDecimal(new BigInteger("ffffffffffffffffffffffff", 16));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 429 */   private static final BigDecimal SMALLEST_DECIMAL = new BigDecimal((new BigInteger("ffffffffffffffffffffffff", 16)).negate());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void validateDecimalMinMax(BigDecimal in) {
/* 442 */     if (in == null) {
/* 443 */       throw new IllegalArgumentException("null is not a supported Decimal value.");
/*     */     }
/* 445 */     if (LARGEST_DECIMAL.compareTo(in) < 0) {
/* 446 */       throw new IllegalArgumentException("Value too large for VT_DECIMAL data type:" + in.toString() + " integer: " + in.toBigInteger().toString(16) + " scale: " + in.scale());
/*     */     }
/*     */ 
/*     */     
/* 450 */     if (SMALLEST_DECIMAL.compareTo(in) > 0) {
/* 451 */       throw new IllegalArgumentException("Value too small for VT_DECIMAL data type:" + in.toString() + " integer: " + in.toBigInteger().toString(16) + " scale: " + in.scale());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BigDecimal roundToMSDecimal(BigDecimal sourceDecimal) {
/* 473 */     BigInteger sourceDecimalIntComponent = sourceDecimal.unscaledValue();
/* 474 */     BigDecimal destinationDecimal = new BigDecimal(sourceDecimalIntComponent, sourceDecimal.scale());
/*     */     
/* 476 */     int roundingModel = 4;
/* 477 */     validateDecimalMinMax(destinationDecimal);
/*     */ 
/*     */ 
/*     */     
/* 481 */     BigInteger allWordBigInt = destinationDecimal.unscaledValue();
/* 482 */     if (allWordBigInt.bitLength() > 96) {
/* 483 */       destinationDecimal = destinationDecimal.round(new MathContext(29));
/*     */       
/* 485 */       if (allWordBigInt.bitLength() > 96)
/*     */       {
/*     */         
/* 488 */         destinationDecimal = destinationDecimal.round(new MathContext(28));
/*     */       }
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 494 */     if (destinationDecimal.scale() > 28) {
/* 495 */       destinationDecimal = destinationDecimal.setScale(28, roundingModel);
/*     */     }
/* 497 */     if (destinationDecimal.scale() < 0) {
/* 498 */       destinationDecimal = destinationDecimal.setScale(0, roundingModel);
/*     */     }
/* 500 */     return destinationDecimal;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\VariantUtilities.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */