/*     */ package cs.outline.util;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.net.HttpURLConnection;
/*     */ import java.net.URL;
/*     */ 
/*     */ public class NetworkMonitor implements Runnable {
/*     */   private int htmlCodeSize;
/*     */   private int sleepMillisecond;
/*     */   private int sleepMillisecondWhenNetWorkUnLinked;
/*     */   private boolean isSpontaneousNotice;
/*     */   private static boolean networkIsLinked;
/*  14 */   private final Thread thread = new Thread(this);
/*     */   private String[] urls;
/*  16 */   HttpURLConnection connection = null;
/*     */   
/*     */   public NetworkMonitor() {
/*  19 */     this.urls = new String[] { "http://www.baidu.com", "http://www.sina.com.cn" };
/*  20 */     this.htmlCodeSize = 20;
/*  21 */     this.sleepMillisecond = 5000;
/*  22 */     this.sleepMillisecondWhenNetWorkUnLinked = 10000;
/*  23 */     this.thread.start();
/*     */   }
/*     */   
/*     */   public void setURLs(String[] urls) {
/*  27 */     if (urls != null && urls.length > 0) {
/*  28 */       this.urls = urls;
/*     */     }
/*     */   }
/*     */   
/*     */   public void setHtmlCodeSize(int htmlCodeSize) {
/*  33 */     if (htmlCodeSize > 0) {
/*  34 */       this.htmlCodeSize = htmlCodeSize;
/*     */     }
/*     */   }
/*     */   
/*     */   public void isSpontaneousNotice(boolean isSpontaneousNotice) {
/*  39 */     this.isSpontaneousNotice = isSpontaneousNotice;
/*     */   }
/*     */   
/*     */   public void setSleepMillisecont(int sleepMillisecont) {
/*  43 */     if (sleepMillisecont > 100) {
/*  44 */       this.sleepMillisecond = sleepMillisecont;
/*     */     }
/*     */   }
/*     */   
/*     */   public void setSleepMillisecondWhenNetWorkUnLinked(int sleepMillisecont) {
/*  49 */     if (sleepMillisecont > 100) {
/*  50 */       this.sleepMillisecondWhenNetWorkUnLinked = sleepMillisecont;
/*     */     }
/*     */   }
/*     */   
/*     */   public static boolean IsNetWordLinking() {
/*  55 */     return networkIsLinked;
/*     */   }
/*     */   
/*     */   public void run() {
/*     */     while (true) {
/*     */       try {
/*  61 */         isNetWorkLinked();
/*  62 */         if (!networkIsLinked) {
/*  63 */           isPrintMessage(this.isSpontaneousNotice);
/*  64 */           Thread.sleep(this.sleepMillisecondWhenNetWorkUnLinked);
/*     */         } 
/*  66 */         Thread.sleep(this.sleepMillisecond);
/*  67 */       } catch (Exception e) {
/*  68 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private boolean canGetHtmlCode(String httpUrl) {
/*  74 */     String htmlCode = "";
/*  75 */     InputStream in = null;
/*     */     
/*  77 */     try { URL url = new URL(httpUrl);
/*  78 */       this.connection = (HttpURLConnection)url.openConnection();
/*  79 */       this.connection.setConnectTimeout(3000);
/*  80 */       this.connection.setReadTimeout(3000);
/*  81 */       this.connection.setRequestProperty("User-Agent", "Mozilla/4.0");
/*  82 */       this.connection.connect();
/*  83 */       in = this.connection.getInputStream();
/*  84 */       byte[] buffer = new byte[this.htmlCodeSize];
/*  85 */       in.read(buffer);
/*  86 */       htmlCode = new String(buffer); }
/*  87 */     catch (Exception exception)
/*     */     
/*     */     { 
/*     */       
/*  91 */       try { if (in != null)
/*  92 */           in.close(); 
/*  93 */         if (this.connection != null)
/*  94 */           this.connection.disconnect();  }
/*  95 */       catch (IOException e)
/*  96 */       { e.printStackTrace(); }  } finally { try { if (in != null) in.close();  if (this.connection != null) this.connection.disconnect();  } catch (IOException e) { e.printStackTrace(); }
/*     */        }
/*     */     
/*  99 */     if (htmlCode == null || htmlCode.equals("")) {
/* 100 */       return false;
/*     */     }
/* 102 */     return true;
/*     */   }
/*     */   
/*     */   private void isNetWorkLinked() {
/* 106 */     boolean tempIsNetWorkLinked = false;
/* 107 */     for (int urlsCount = 0; urlsCount < this.urls.length; urlsCount++) {
/* 108 */       if (canGetHtmlCode(this.urls[urlsCount])) {
/* 109 */         tempIsNetWorkLinked = true;
/*     */         break;
/*     */       } 
/*     */     } 
/* 113 */     networkIsLinked = tempIsNetWorkLinked;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void isPrintMessage(boolean isPrint) {
/* 119 */     if (isPrint) {
/* 120 */       StringBuffer message = new StringBuffer();
/* 121 */       message.append("------------->");
/* 122 */       message.append("网络中断, ");
/* 123 */       message.append(this.sleepMillisecondWhenNetWorkUnLinked);
/* 124 */       message.append(" 毫秒后再次检测!<-------------");
/* 125 */       System.out.println(message.toString());
/* 126 */       InitOrShutdownDerby.getInstance(); if (InitOrShutdownDerby.OUTLINE_MOD) {
/* 127 */         System.out.println("离线状态");
/*     */       } else {
/* 129 */         System.out.println("在线状态");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\outlin\\util\NetworkMonitor.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */