/*     */ package cs.sydj.common;
/*     */ 
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.KeyAdapter;
/*     */ import org.eclipse.swt.events.KeyEvent;
/*     */ import org.eclipse.swt.events.KeyListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Color;
/*     */ import org.eclipse.swt.graphics.Device;
/*     */ import org.eclipse.swt.graphics.Rectangle;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CalendarWidget
/*     */ {
/*  35 */   private Display display = null;
/*     */ 
/*     */   
/*  38 */   private Shell shell = null;
/*     */ 
/*     */   
/*     */   private static final int SHELLWIDTH = 380;
/*     */ 
/*     */   
/*     */   private static final int SHELLHEIGHT = 200;
/*     */ 
/*     */   
/*     */   private static final int GRIDDATAHINT = 20;
/*     */ 
/*     */   
/*     */   private static final String TOOPTIPTEXT_PREVIOUSYEAR = "上一年";
/*     */ 
/*     */   
/*     */   private static final String TOOPTIPTEXT_NEXTYEAR = "下一年";
/*     */ 
/*     */   
/*     */   private static final String TOOPTIPTEXT_PREVIOUSMONTH = "上一月";
/*     */ 
/*     */   
/*     */   private static final String TOOPTIPTEXT_NEXTMONTH = "下一月";
/*     */ 
/*     */   
/*  62 */   private static final String[] weekdays = new String[] { "周日", "周一", "周二", "周三", "周四", 
/*  63 */       "周五", "周六" };
/*     */   
/*     */   private static final int halfYearItemCount = 60;
/*     */   
/*  67 */   private static final String[] years = new String[121];
/*     */   
/*  69 */   private static final String[] months = new String[] { "1", "2", "3", "4", "5", "6", "7", 
/*  70 */       "8", "9", "10", "11", "12" };
/*     */ 
/*     */   
/*  73 */   private String selectedDate = "";
/*     */ 
/*     */   
/*     */   Combo cbo_year;
/*     */   
/*     */   Combo cbo_month;
/*     */   
/*  80 */   private final CLabel[] clbl_days = new CLabel[42];
/*     */ 
/*     */   
/*  83 */   private Color COLOR_SHELL_BACKGROUND = null;
/*     */ 
/*     */   
/*  86 */   private Color COLOR_CLBLWEEKDAY_BACKGROUND = null;
/*     */ 
/*     */   
/*  89 */   private Color COLOR_SYSTEM_WHITE = null;
/*     */ 
/*     */   
/*  92 */   private Color COLOR_SYSTEM_BLUE = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private MouseListener clblMouseListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SelectionListener btnSelectionListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SelectionListener cboSelectionListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private KeyListener cboKeyListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCboYearItems(int middleYear) {
/* 195 */     int selectIndex = 60;
/*     */     
/* 197 */     if (middleYear < 60) {
/* 198 */       selectIndex = middleYear;
/* 199 */       middleYear = 60;
/*     */     } 
/* 201 */     int index = 0;
/* 202 */     for (int i = 1949; i <= middleYear + 60; i++) {
/* 203 */       years[index++] = i;
/*     */     }
/* 205 */     this.cbo_year.setItems(years);
/* 206 */     this.cbo_year.select(selectIndex);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int getDayCountOfMonth(int year, int month) {
/* 219 */     Calendar cal = Calendar.getInstance();
/* 220 */     cal.set(year, month - 1, 1);
/* 221 */     Calendar cal2 = (Calendar)cal.clone();
/* 222 */     cal2.add(2, 1);
/* 223 */     cal2.add(5, -1);
/* 224 */     return cal2.get(5);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int[] getYearAndMonth() {
/* 231 */     Calendar now = Calendar.getInstance();
/* 232 */     int year = now.get(1);
/* 233 */     int month = now.get(2) + 1;
/*     */     
/* 235 */     if ("".equals(this.cbo_year.getText().trim())) {
/* 236 */       this.cbo_year.setText((new StringBuilder(String.valueOf(year))).toString());
/*     */     } else {
/*     */       try {
/* 239 */         year = Integer.parseInt(this.cbo_year.getText().trim());
/* 240 */       } catch (NumberFormatException e) {
/*     */         
/* 242 */         this.cbo_year.setText((new StringBuilder(String.valueOf(year))).toString());
/*     */       } 
/*     */     } 
/*     */     
/* 246 */     if ("".equals(this.cbo_month.getText().trim())) {
/* 247 */       this.cbo_month.setText((new StringBuilder(String.valueOf(month))).toString());
/*     */     } else {
/*     */       try {
/* 250 */         month = Integer.parseInt(this.cbo_month.getText().trim());
/* 251 */         if (month < 1) {
/* 252 */           month = 1;
/* 253 */           this.cbo_month.setText("1");
/* 254 */         } else if (month > 12) {
/* 255 */           month = 12;
/* 256 */           this.cbo_month.setText("12");
/*     */         } 
/* 258 */       } catch (NumberFormatException e) {
/*     */         
/* 260 */         this.cbo_month.setText((new StringBuilder(String.valueOf(month))).toString());
/*     */       } 
/*     */     } 
/* 263 */     return new int[] { year, month };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void displayClblDays(boolean reflushCboYearItems) {
/* 273 */     Calendar calendar = Calendar.getInstance();
/* 274 */     int currentDate = calendar.get(5);
/*     */     
/* 276 */     int[] yearAndMonth = getYearAndMonth();
/* 277 */     int year = yearAndMonth[0];
/* 278 */     int month = yearAndMonth[1];
/*     */     
/* 280 */     calendar.set(year, month - 1, 1);
/* 281 */     int beginIndex = calendar.get(7) - 1;
/* 282 */     int endIndex = beginIndex + getDayCountOfMonth(year, month) - 1;
/*     */     
/* 284 */     if (reflushCboYearItems) {
/* 285 */       setCboYearItems(year);
/*     */     }
/* 287 */     int day = 1;
/* 288 */     for (int i = 0; i < this.clbl_days.length; i++) {
/* 289 */       if (i >= beginIndex && i <= endIndex) {
/* 290 */         this.clbl_days[i].setText((new StringBuilder(String.valueOf(day))).toString());
/* 291 */         this.clbl_days[i].setToolTipText(String.valueOf(year) + "-" + month + "-" + day);
/* 292 */         if (day == currentDate) {
/* 293 */           this.clbl_days[i].setBackground(this.COLOR_SYSTEM_BLUE);
/*     */         } else {
/* 295 */           this.clbl_days[i].setBackground(this.COLOR_SYSTEM_WHITE);
/* 296 */         }  day++;
/*     */       } else {
/* 298 */         this.clbl_days[i].setText("");
/* 299 */         this.clbl_days[i].setToolTipText("");
/* 300 */         this.clbl_days[i].setBackground(this.COLOR_SYSTEM_WHITE);
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   public String open() {
/* 306 */     displayClblDays(true);
/* 307 */     this.shell.open();
/* 308 */     while (!this.shell.isDisposed()) {
/* 309 */       if (!this.display.readAndDispatch()) {
/* 310 */         this.display.sleep();
/*     */       }
/*     */     } 
/* 313 */     this.COLOR_SHELL_BACKGROUND.dispose();
/* 314 */     this.COLOR_CLBLWEEKDAY_BACKGROUND.dispose();
/* 315 */     return this.selectedDate;
/*     */   }
/*     */   
/* 318 */   public CalendarWidget(Shell parent, Text text) { this.clblMouseListener = (MouseListener)new MouseAdapter()
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         public void mouseDown(MouseEvent e)
/*     */         {
/* 328 */           CalendarWidget.this.selectedDate = ((CLabel)e.widget).getToolTipText();
/* 329 */           if (!"".equals(CalendarWidget.this.selectedDate)) {
/* 330 */             CalendarWidget.this.shell.close();
/*     */           }
/*     */         }
/*     */       };
/* 334 */     this.btnSelectionListener = (SelectionListener)new SelectionAdapter() {
/*     */         public void widgetSelected(SelectionEvent e) {
/* 336 */           String tooptip = ((Button)e.widget).getToolTipText();
/* 337 */           int[] yearAndMonth = CalendarWidget.this.getYearAndMonth();
/* 338 */           int year = yearAndMonth[0];
/* 339 */           int month = yearAndMonth[1];
/* 340 */           boolean reflushCboyearItems = true;
/*     */           
/* 342 */           if ("上一年".equals(tooptip)) {
/* 343 */             CalendarWidget.this.cbo_year.setText((new StringBuilder(String.valueOf(year - 1))).toString());
/*     */           }
/* 345 */           else if ("下一年".equals(tooptip)) {
/* 346 */             CalendarWidget.this.cbo_year.setText((new StringBuilder(String.valueOf(year + 1))).toString());
/*     */           }
/* 348 */           else if ("上一月".equals(tooptip)) {
/* 349 */             if (month == 1) {
/* 350 */               CalendarWidget.this.setCboYearItems(year - 1);
/* 351 */               CalendarWidget.this.cbo_month.select(11);
/*     */             } else {
/* 353 */               CalendarWidget.this.cbo_month.select(month - 2);
/* 354 */               reflushCboyearItems = false;
/*     */             }
/*     */           
/*     */           }
/* 358 */           else if ("下一月".equals(tooptip)) {
/* 359 */             if (month == 12) {
/* 360 */               CalendarWidget.this.setCboYearItems(year + 1);
/* 361 */               CalendarWidget.this.cbo_month.select(0);
/*     */             } else {
/* 363 */               CalendarWidget.this.cbo_month.select(month);
/* 364 */               reflushCboyearItems = false;
/*     */             } 
/*     */           } 
/* 367 */           CalendarWidget.this.displayClblDays(reflushCboyearItems);
/*     */         }
/*     */       };
/*     */     
/* 371 */     this.cboSelectionListener = (SelectionListener)new SelectionAdapter() {
/*     */         public void widgetSelected(SelectionEvent e) {
/* 373 */           boolean reflushCboyearItems = (e.widget == CalendarWidget.this.cbo_year);
/* 374 */           CalendarWidget.this.displayClblDays(reflushCboyearItems);
/*     */         }
/*     */       };
/*     */     
/* 378 */     this.cboKeyListener = (KeyListener)new KeyAdapter()
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         public void keyPressed(KeyEvent event)
/*     */         {
/* 389 */           if (event.keyCode == 16777296 || event.keyCode == 13) {
/* 390 */             boolean reflushCboyearItems = (event.widget == CalendarWidget.this.cbo_year);
/*     */             
/* 392 */             CalendarWidget.this.displayClblDays(reflushCboyearItems);
/*     */           
/*     */           }
/* 395 */           else if ((event.keyCode < 48 || event.keyCode > 57) && 
/* 396 */             event.keyCode != 8 && 
/* 397 */             event.keyCode != 16777217 && event.keyCode != 16777218) {
/* 398 */             event.doit = false;
/*     */           }  } }; Rectangle parentRec = parent.getBounds(); this.display = parent.getDisplay(); this.COLOR_SHELL_BACKGROUND = new Color((Device)this.display, 219, 235, 250); this.COLOR_CLBLWEEKDAY_BACKGROUND = new Color((Device)this.display, 64, 128, 128); this.COLOR_SYSTEM_WHITE = this.display.getSystemColor(1); this.COLOR_SYSTEM_BLUE = new Color((Device)this.display, 255, 10, 10); this.shell = new Shell(parent, 65600); this.shell.setText("选择日期"); this.shell.setBounds((text.getBounds()).x + (PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell().getLocation()).x + 10, (text.getBounds()).y + (PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell().getLocation()).y + 100, 380, 200); GridLayout gridLayout = new GridLayout(); gridLayout.numColumns = 7; gridLayout.makeColumnsEqualWidth = true; this.shell.setLayout((Layout)gridLayout); this.shell.setBackground(this.COLOR_SHELL_BACKGROUND); Button btn_yearPrevious = new Button((Composite)this.shell, 132); btn_yearPrevious.setLayoutData(new GridData(4, 16777216, true, false)); btn_yearPrevious.setSize(5, 5); btn_yearPrevious.setToolTipText("上一年"); btn_yearPrevious.addSelectionListener(this.btnSelectionListener); Button btn_monthPrevious = new Button((Composite)this.shell, 16388); btn_monthPrevious.setLayoutData(new GridData(4, 16777216, true, false)); btn_monthPrevious.setToolTipText("上一月"); btn_monthPrevious.addSelectionListener(this.btnSelectionListener); this.cbo_year = new Combo((Composite)this.shell, 4); this.cbo_year.setLayoutData(new GridData(4, 16777216, true, false)); this.cbo_year.addSelectionListener(this.cboSelectionListener); this.cbo_year.addKeyListener(this.cboKeyListener); CLabel clabel = new CLabel((Composite)this.shell, 131080); clabel.setBackground(this.COLOR_SYSTEM_WHITE); clabel.setLayoutData(new GridData(16777216, 16777216, true, false)); clabel.setText("-"); this.cbo_month = new Combo((Composite)this.shell, 4); this.cbo_month.setItems(months); this.cbo_month.select(Calendar.getInstance().get(2)); this.cbo_month.setLayoutData(new GridData(4, 16777216, true, false)); this.cbo_month.addSelectionListener(this.cboSelectionListener); this.cbo_month.addKeyListener(this.cboKeyListener); Button btn_monthNext = new Button((Composite)this.shell, 131076); btn_monthNext.setLayoutData(new GridData(4, 16777216, true, false)); btn_monthNext.setToolTipText("下一月"); btn_monthNext.addSelectionListener(this.btnSelectionListener); Button btn_yearNext = new Button((Composite)this.shell, 1028); btn_yearNext.setLayoutData(new GridData(4, 16777216, true, false)); btn_yearNext.setToolTipText("下一年"); btn_yearNext.addSelectionListener(this.btnSelectionListener); GridData gridData_1 = null; int i; for (i = 0; i < weekdays.length; i++) {
/*     */       CLabel clbl_weekDay = new CLabel((Composite)this.shell, 16777224); clbl_weekDay.setForeground(this.COLOR_SYSTEM_WHITE); clbl_weekDay.setBackground(this.COLOR_CLBLWEEKDAY_BACKGROUND); gridData_1 = new GridData(4, 16777216, true, false); gridData_1.widthHint = 20; gridData_1.heightHint = 20; clbl_weekDay.setLayoutData(gridData_1); clbl_weekDay.setText(weekdays[i]);
/*     */     }  for (i = 0; i < this.clbl_days.length; i++) {
/*     */       this.clbl_days[i] = new CLabel((Composite)this.shell, 25165824); this.clbl_days[i].setLayoutData(new GridData(1808)); this.clbl_days[i].setCursor(this.display.getSystemCursor(21));
/*     */       this.clbl_days[i].addMouseListener(this.clblMouseListener);
/*     */     }  } public static void main(String[] args) { try {
/* 405 */       Display display = Display.getDefault();
/* 406 */       Shell shell = new Shell(display, 1264);
/* 407 */       shell.setSize(500, 375);
/* 408 */       shell.open();
/* 409 */       shell.layout();
/*     */ 
/*     */       
/* 412 */       while (!shell.isDisposed()) {
/* 413 */         if (!display.readAndDispatch())
/* 414 */           display.sleep(); 
/*     */       } 
/* 416 */     } catch (Exception e) {
/* 417 */       e.printStackTrace();
/*     */     }  }
/*     */ 
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\CalendarWidget.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */