/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.ToolBar;
/*     */ import server.sydj.operation.commons.AttachModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AttachsListDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ToolBar toolBar;
/*     */   private ArrayList attachs;
/*     */   private Composite container;
/*     */   private Group group;
/*     */   
/*     */   public AttachsListDialog(Shell parentShell, ArrayList attachs) {
/*  42 */     super(parentShell);
/*  43 */     setShellStyle(66560);
/*  44 */     this.attachs = attachs;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  54 */     parent.setBackground(Display.getCurrent()
/*  55 */         .getSystemColor(1));
/*  56 */     parent.setBackgroundMode(2);
/*  57 */     this.container = (Composite)super.createDialogArea(parent);
/*  58 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/*  60 */     this.group = new Group(this.container, 0);
/*  61 */     this.group.setText("注：请点击以下附件名称查看附件信息");
/*  62 */     GridLayout gridLayout = new GridLayout();
/*  63 */     gridLayout.marginTop = 5;
/*  64 */     gridLayout.marginRight = 15;
/*  65 */     gridLayout.marginLeft = 15;
/*  66 */     gridLayout.verticalSpacing = 15;
/*  67 */     gridLayout.horizontalSpacing = 15;
/*  68 */     this.group.setLayout((Layout)gridLayout);
/*  69 */     setData();
/*  70 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  80 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/*  88 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/*  92 */     super.configureShell(newShell);
/*  93 */     newShell.setText("查看附件");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 100 */     for (int i = 0; i < this.attachs.size(); i++) {
/* 101 */       final AttachModel model = this.attachs.get(i);
/* 102 */       final Link eclipseorgLink = new Link((Composite)this.group, 524288);
/* 103 */       eclipseorgLink.setLayoutData(new GridData(4, 16777216, 
/* 104 */             true, false));
/* 105 */       eclipseorgLink.setText("<a href=\"http://www.eclipse.org\">" + 
/* 106 */           String.valueOf(i + 1) + "、" + model.getAttachName() + 
/* 107 */           "</a>");
/* 108 */       eclipseorgLink.setFont(
/* 109 */           SWTResourceManager.getFont("宋体", 12, 1));
/* 110 */       eclipseorgLink.setData("attachId", model.getAttachId());
/* 111 */       eclipseorgLink.setData("name", model.getAttachName());
/* 112 */       eclipseorgLink.setData("extType", model.getExtType());
/* 113 */       eclipseorgLink.setData("isOpen", model.getIsOpen());
/* 114 */       eclipseorgLink.setData("type", model.getType());
/* 115 */       eclipseorgLink.setData("iOrder", Integer.valueOf(i));
/*     */       
/* 117 */       eclipseorgLink.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/*     */               try {
/* 120 */                 if (eclipseorgLink.getData("isOpen").equals("true")) {
/* 121 */                   int iOrder = Integer.parseInt(String.valueOf(eclipseorgLink.getData("iOrder")));
/* 122 */                   ViewAllImageDialog dialog = new ViewAllImageDialog(
/* 123 */                       AttachsListDialog.this.getShell(), AttachsListDialog.this.attachs, iOrder, model.getYear());
/* 124 */                   dialog.open();
/*     */                 } else {
/* 126 */                   OpenAndSaveFileDialog dialog = new OpenAndSaveFileDialog(
/* 127 */                       AttachsListDialog.this.getShell(), String.valueOf(
/* 128 */                         eclipseorgLink.getData("name")), 
/* 129 */                       String.valueOf(eclipseorgLink
/* 130 */                         .getData("type")), 
/* 131 */                       String.valueOf(eclipseorgLink
/* 132 */                         .getData("extType")), 
/* 133 */                       String.valueOf(eclipseorgLink
/* 134 */                         .getData("attachId")), model
/* 135 */                       .getYear());
/* 136 */                   dialog.open();
/*     */                 } 
/* 138 */               } catch (Exception e1) {
/* 139 */                 e1.printStackTrace();
/*     */               } 
/*     */             }
/*     */           });
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 149 */     super.initializeBounds();
/* 150 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\AttachsListDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */