/*     */ package cs.sydj.intro;
/*     */ 
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import org.eclipse.core.runtime.CoreException;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.core.runtime.OperationCanceledException;
/*     */ import org.eclipse.jface.dialogs.MessageDialog;
/*     */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.update.configuration.IConfiguredSite;
/*     */ import org.eclipse.update.configuration.ILocalSite;
/*     */ import org.eclipse.update.core.IFeature;
/*     */ import org.eclipse.update.core.IFeatureReference;
/*     */ import org.eclipse.update.core.SiteManager;
/*     */ import org.eclipse.update.operations.IInstallFeatureOperation;
/*     */ import org.eclipse.update.operations.OperationsManager;
/*     */ import org.eclipse.update.search.BackLevelFilter;
/*     */ import org.eclipse.update.search.EnvironmentFilter;
/*     */ import org.eclipse.update.search.IUpdateSearchCategory;
/*     */ import org.eclipse.update.search.IUpdateSearchFilter;
/*     */ import org.eclipse.update.search.IUpdateSearchResultCollector;
/*     */ import org.eclipse.update.search.UpdateSearchRequest;
/*     */ import org.eclipse.update.search.UpdateSearchScope;
/*     */ 
/*     */ public class Update {
/*  30 */   private List<IInstallFeatureOperation> updateOperation = new ArrayList<IInstallFeatureOperation>();
/*     */   
/*  32 */   private int updateTag = -1;
/*     */ 
/*     */   
/*     */   private boolean stopFlag = false;
/*     */   
/*  37 */   private String dehomebase = "http://sydj.gjsy.gov.cn:80/cs.sydj.update/";
/*     */ 
/*     */   
/*     */   public int begin() {
/*  41 */     ProgressMonitorDialog pmd = new ProgressMonitorDialog(null);
/*  42 */     IRunnableWithProgress rwp = new IRunnableWithProgress() {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
/*  44 */           monitor.beginTask("正在进行软件升级。。。", -1);
/*  45 */           String homeBase = System.getProperty("sydj.homebase");
/*     */           
/*  47 */           if (homeBase == null) {
/*  48 */             homeBase = Update.this.dehomebase;
/*     */           }
/*  50 */           monitor.subTask("搜索服务器站点" + homeBase + "。。。");
/*     */           
/*  52 */           for (int i = 0; i <= 10 && !Update.this.stopFlag; i++) {
/*     */             try {
/*  54 */               Update.this.searchUpdateInfo(homeBase, monitor);
/*     */               
/*  56 */               Update.this.updateTag = Update.this.installUpdate(Update.this.updateOperation, monitor);
/*  57 */               Update.this.stopFlag = true;
/*  58 */             } catch (CoreException e1) {
/*  59 */               e1.printStackTrace();
/*  60 */               if (e1.getStatus().getCode() != 42)
/*     */               
/*  62 */               { Update.this.stopFlag = true; }
/*     */               else
/*  64 */               { Thread.sleep(10000L); } 
/*  65 */             } catch (MalformedURLException e) {
/*  66 */               e.printStackTrace();
/*  67 */               Update.this.stopFlag = true;
/*     */             } 
/*     */           } 
/*     */           
/*  71 */           monitor.done();
/*     */         }
/*     */       };
/*     */     try {
/*  75 */       pmd.run(true, false, rwp);
/*  76 */     } catch (Exception e) {
/*  77 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  80 */     if (!this.stopFlag) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 103 */       MessageDialog.openError(null, "提示", "网站繁忙，请稍候再试！");
/*     */       
/* 105 */       return -10000;
/*     */     } 
/*     */     
/* 108 */     return this.updateTag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void searchUpdateInfo(String homeBase, IProgressMonitor monitor) throws MalformedURLException, OperationCanceledException, CoreException {
/* 115 */     IUpdateSearchCategory category = UpdateSearchRequest.createDefaultSiteSearchCategory();
/* 116 */     UpdateSearchScope searchScope = new UpdateSearchScope();
/* 117 */     if (homeBase == null)
/* 118 */       homeBase = this.dehomebase; 
/* 119 */     URL url = new URL(homeBase);
/* 120 */     searchScope.addSearchSite(homeBase, url, null);
/* 121 */     UpdateSearchRequest searchRequest = new UpdateSearchRequest(category, searchScope);
/*     */     
/* 123 */     searchRequest.addFilter((IUpdateSearchFilter)new BackLevelFilter());
/*     */     
/* 125 */     searchRequest.addFilter((IUpdateSearchFilter)new EnvironmentFilter());
/*     */     
/* 127 */     IUpdateSearchResultCollector collector = new SearchResultCollector();
/*     */     
/* 129 */     searchRequest.performSearch(collector, monitor);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private int installUpdate(List<IInstallFeatureOperation> update, IProgressMonitor monitor) throws CoreException {
/* 135 */     monitor.subTask("获取本地软件信息。。。");
/* 136 */     ILocalSite localSite = SiteManager.getLocalSite();
/* 137 */     IConfiguredSite localConfigSite = localSite.getCurrentConfiguration().getConfiguredSites()[0];
/* 138 */     IFeatureReference[] localFeatures = localConfigSite.getConfiguredFeatures();
/* 139 */     if (localFeatures.length == 0) {
/* 140 */       if (update.size() > 0) {
/* 141 */         IFeature temp = null;
/* 142 */         for (int i = 0; i < update.size(); i++) {
/*     */           
/* 144 */           IInstallFeatureOperation op = update.get(i);
/* 145 */           IFeature feature = op.getFeature();
/* 146 */           if (temp == null) {
/* 147 */             temp = feature;
/*     */           }
/* 149 */           else if (feature.getVersionedIdentifier().getVersion().isGreaterThan(temp.getVersionedIdentifier().getVersion())) {
/* 150 */             temp = feature;
/*     */           } 
/*     */         } 
/* 153 */         if (temp != null) {
/* 154 */           localConfigSite.install(temp, null, monitor);
/* 155 */           return 1;
/*     */         }
/*     */       
/*     */       }
/*     */     
/* 160 */     } else if (update.size() > 0) {
/* 161 */       IFeature temp = null;
/* 162 */       boolean hasnew = false;
/* 163 */       for (int i = 0; i < update.size(); i++) {
/* 164 */         IInstallFeatureOperation op = update.get(i);
/* 165 */         IFeature feature = op.getFeature();
/* 166 */         if (temp == null) {
/* 167 */           temp = feature;
/*     */         }
/* 169 */         else if (feature.getVersionedIdentifier().getVersion().isGreaterThan(temp.getVersionedIdentifier().getVersion())) {
/* 170 */           temp = feature;
/*     */         } 
/*     */       } 
/* 173 */       for (int j = 0; j < localFeatures.length; j++) {
/* 174 */         String id = localFeatures[j].getVersionedIdentifier().getIdentifier();
/* 175 */         String sid = temp.getVersionedIdentifier().getIdentifier();
/* 176 */         if (sid.equals(id))
/*     */         {
/* 178 */           if (temp.getVersionedIdentifier().getVersion().isGreaterThan(localFeatures[j].getVersionedIdentifier().getVersion())) {
/* 179 */             hasnew = true;
/*     */           }
/*     */         }
/*     */       } 
/* 183 */       if (hasnew) {
/* 184 */         localConfigSite.install(temp, null, monitor);
/* 185 */         return 1;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 191 */     return 0;
/*     */   }
/*     */   
/*     */   class SearchResultCollector
/*     */     implements IUpdateSearchResultCollector {
/*     */     public void accept(IFeature match) {
/* 197 */       IInstallFeatureOperation oper = OperationsManager.getOperationFactory().createInstallOperation(null, match, null, null, null);
/* 198 */       Update.this.updateOperation.add(oper);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\intro\Update.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */