/*     */ package cs.sydj.messageTrans;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.VersionUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.sys.ui.SystemAlertDialog;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import cs.sydj.util.messageutil.XMLTools;
/*     */ import java.io.BufferedInputStream;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.util.HashMap;
/*     */ import java.util.UUID;
/*     */ import javax.jms.BytesMessage;
/*     */ import javax.jms.Destination;
/*     */ import javax.jms.JMSException;
/*     */ import javax.jms.Message;
/*     */ import javax.jms.MessageConsumer;
/*     */ import javax.jms.MessageProducer;
/*     */ import javax.jms.TextMessage;
/*     */ import org.apache.activemq.ActiveMQConnection;
/*     */ import org.apache.activemq.ActiveMQConnectionFactory;
/*     */ import org.apache.activemq.ActiveMQSession;
/*     */ import org.apache.activemq.command.ActiveMQQueue;
/*     */ import org.dom4j.Document;
/*     */ import org.dom4j.DocumentHelper;
/*     */ import org.dom4j.Element;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class MessageSender
/*     */ {
/*  57 */   private final String user = "sydjmqserver";
/*  58 */   private final String password = "sydjmqserver";
/*  59 */   private String url = MessageProxy.getSystemenv("ACTIVEMQ_SERVER");
/*     */   private ActiveMQConnection connection;
/*     */   private ActiveMQSession session;
/*     */   private MessageProducer producer;
/*     */   private MessageConsumer consumer;
/*  64 */   private String messageId = "";
/*  65 */   private String requestStr = "";
/*  66 */   private String responseStr = "";
/*  67 */   private String replyText = "";
/*  68 */   private final InputStream ism = null;
/*  69 */   private final BufferedInputStream bin = null;
/*  70 */   private FileOutputStream fos = null;
/*  71 */   private String fileAllpath = "";
/*     */ 
/*     */   
/*     */   public MessageSender(String requestQueue, String responseQueue) {
/*  75 */     this.requestStr = requestQueue;
/*  76 */     this.responseStr = responseQueue;
/*  77 */     init();
/*     */   }
/*     */   
/*     */   public void init() {
/*  81 */     XMLTools xt = new XMLTools();
/*  82 */     String network = xt.getNetworkSelect();
/*  83 */     if (network.equals("china netcom")) {
/*  84 */       this.url = this.url.replace("networkURL", "114.255.7.186");
/*     */     }
/*  86 */     if (network.equals("china telecom")) {
/*  87 */       this.url = this.url.replace("networkURL", "114.255.7.186");
/*     */     }
/*     */     
/*  90 */     ActiveMQConnectionFactory connectionFactory = new ActiveMQConnectionFactory(
/*  91 */         "sydjmqserver", "sydjmqserver", this.url);
/*     */     
/*  93 */     this.messageId = UUID.randomUUID().toString();
/*     */     try {
/*  95 */       this.connection = (ActiveMQConnection)connectionFactory.createConnection();
/*  96 */       this.connection.setCopyMessageOnSend(false);
/*  97 */       this.session = (ActiveMQSession)this.connection.createSession(false, 1);
/*  98 */       ActiveMQQueue request = (ActiveMQQueue)this.session.createQueue(this.requestStr);
/*  99 */       ActiveMQQueue response = (ActiveMQQueue)this.session.createQueue(this.responseStr);
/* 100 */       this.producer = this.session.createProducer((Destination)request);
/* 101 */       this.producer.setDeliveryMode(1);
/* 102 */       this.producer.setTimeToLive(600000L);
/* 103 */       this.consumer = this.session.createConsumer((Destination)response, "JMSCorrelationID='" + this.messageId + "'");
/* 104 */       this.connection.start();
/* 105 */     } catch (JMSException e) {
/* 106 */       e.printStackTrace();
/* 107 */       SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 108 */       if (alertDialog.open() == 0) {
/* 109 */         PlatformUI.getWorkbench().restart();
/*     */       } else {
/* 111 */         PlatformUI.getWorkbench().close();
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   public String validateUser(String messageText, String type) throws Exception {
/*     */     try {
/* 118 */       TextMessage message = this.session.createTextMessage(messageText);
/* 119 */       message.setJMSCorrelationID(this.messageId);
/* 120 */       message.setStringProperty("Msg_Type", type);
/* 121 */       this.producer.send((Message)message);
/*     */       
/* 123 */       Message replyMessage = this.consumer.receive(180000L);
/*     */       
/* 125 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 126 */       if (replyMessage == null || "<null/>".equals(this.replyText)) {
/* 127 */         return null;
/*     */       }
/* 129 */     } catch (JMSException e) {
/* 130 */       e.printStackTrace();
/*     */     } finally {
/* 132 */       close();
/*     */     } 
/* 134 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public String logout(String logoutType) throws Exception {
/* 138 */     String replyxml = null;
/*     */     try {
/* 140 */       String operation = "LOGIN";
/* 141 */       String methodname = "logout";
/* 142 */       HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 143 */       String messagexml = null;
/*     */       
/* 145 */       messageParameter.put("logoutType", logoutType);
/* 146 */       messagexml = MessageXML.MessageToXML(operation, methodname, messageParameter);
/* 147 */       messagexml = addParams(messagexml);
/* 148 */       replyxml = validateUser(messagexml, 
/* 149 */           "short");
/* 150 */     } catch (JMSException e) {
/* 151 */       e.printStackTrace();
/*     */     } finally {
/* 153 */       close();
/*     */     } 
/* 155 */     return replyxml;
/*     */   }
/*     */   
/*     */   public String sendAttachMessage(String messageText, String type) throws Exception {
/*     */     try {
/* 160 */       messageText = addParams(messageText);
/* 161 */       TextMessage message = this.session.createTextMessage(messageText);
/* 162 */       message.setJMSCorrelationID(this.messageId);
/* 163 */       message.setStringProperty("Msg_Type", type);
/* 164 */       this.producer.send((Message)message);
/*     */       
/* 166 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 168 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 169 */       if (replyMessage == null || this.replyText == null || (
/* 170 */         "xml".equals(type) && "<null/>".equals(this.replyText)))
/*     */       {
/* 172 */         return null;
/*     */       }
/* 174 */     } catch (JMSException e) {
/* 175 */       e.printStackTrace();
/*     */     } finally {
/* 177 */       close();
/*     */     } 
/* 179 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public String uploadDOCBlobMessage(String messageText, String loadPath, String classname, String methodname) throws Exception {
/*     */     try {
/* 184 */       BytesMessage responseMessage = this.session.createBytesMessage();
/* 185 */       byte[] content = getFileByte(loadPath);
/* 186 */       responseMessage.writeBytes(content);
/*     */ 
/*     */ 
/*     */       
/* 190 */       responseMessage.setStringProperty("Msg_Type", "blob");
/* 191 */       responseMessage.setStringProperty("Msg_Condition", messageText);
/* 192 */       responseMessage.setStringProperty("Class_Name", classname);
/* 193 */       responseMessage.setStringProperty("Method_Name", methodname);
/* 194 */       responseMessage.setJMSCorrelationID(this.messageId);
/* 195 */       this.producer.send((Message)responseMessage);
/*     */       
/* 197 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 199 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 200 */       if (replyMessage == null || this.replyText == null) {
/* 201 */         return "-1";
/*     */       }
/* 203 */     } catch (JMSException e) {
/* 204 */       e.printStackTrace();
/*     */     } finally {
/* 206 */       close();
/*     */     } 
/*     */     
/* 209 */     return this.replyText;
/*     */   }
/*     */   
/*     */   private String addParams(String message) {
/* 213 */     String result = message;
/*     */     try {
/* 215 */       Document doc = DocumentHelper.parseText(message);
/* 216 */       Element root = doc.getRootElement();
/* 217 */       Element manager = root.addElement("manager");
/* 218 */       manager.setText(PublicUtil.convertS(GljgUserInfo.getInstance().getUserid()));
/* 219 */       Element sysVersion = root.addElement("sysversion");
/* 220 */       sysVersion.setText(PublicUtil.convertS(VersionUtil.getInstance().getVersion()));
/* 221 */       message = doc.asXML();
/* 222 */       result = message;
/* 223 */     } catch (Exception e) {
/* 224 */       e.printStackTrace();
/*     */     } 
/* 226 */     return result;
/*     */   }
/*     */   
/*     */   public String sendMessage(String messageText, String type) throws Exception {
/*     */     try {
/* 231 */       messageText = addParams(messageText);
/* 232 */       TextMessage message = this.session.createTextMessage(messageText);
/* 233 */       message.setJMSCorrelationID(this.messageId);
/* 234 */       message.setStringProperty("Msg_Type", type);
/* 235 */       this.producer.send((Message)message);
/*     */       
/* 237 */       Message replyMessage = this.consumer.receive(600000L);
/*     */ 
/*     */       
/* 240 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 241 */       if (replyMessage == null || this.replyText == null || (
/* 242 */         "xml".equals(type) && "<null/>".equals(this.replyText))) {
/* 243 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 244 */         if (alertDialog.open() == 0) {
/* 245 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 247 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 249 */         return null;
/*     */       } 
/* 251 */     } catch (JMSException e) {
/* 252 */       e.printStackTrace();
/*     */     } finally {
/* 254 */       close();
/*     */     } 
/* 256 */     return this.replyText;
/*     */   }
/*     */ 
/*     */   
/*     */   public String sendBlobMessage(String messageText, String savePath) throws Exception {
/*     */     try {
/* 262 */       messageText = addParams(messageText);
/* 263 */       TextMessage message = this.session.createTextMessage(messageText);
/* 264 */       message.setJMSCorrelationID(this.messageId);
/* 265 */       message.setStringProperty("Msg_Type", "blob");
/* 266 */       this.producer.send((Message)message);
/*     */       
/* 268 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 270 */       if (replyMessage == null) {
/* 271 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 272 */         if (alertDialog.open() == 0) {
/* 273 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 275 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 277 */         return null;
/*     */       } 
/* 279 */       if (replyMessage instanceof org.apache.activemq.BlobMessage) {
/*     */ 
/*     */         
/*     */         try {
/* 283 */           File file = null;
/* 284 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/* 285 */           if (savePath != null && savePath.length() > 0) {
/* 286 */             file = new File(savePath);
/*     */           } else {
/* 288 */             this.fileAllpath = MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH");
/* 289 */             file = new File(this.fileAllpath);
/* 290 */             if (!file.exists()) {
/* 291 */               file.mkdirs();
/*     */             }
/* 293 */             this.fileAllpath = String.valueOf(this.fileAllpath) + this.messageId + "." + replyMessage.getStringProperty("EXT_NAME");
/* 294 */             file = new File(this.fileAllpath);
/*     */           } 
/* 296 */           this.fos = new FileOutputStream(file);
/* 297 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 299 */             int readLength = byteMsg.readBytes(block);
/* 300 */             if (readLength == -1)
/*     */               break; 
/* 302 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 304 */         } catch (IOException e) {
/* 305 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/* 308 */         this.fileAllpath = ((TextMessage)replyMessage).getText();
/*     */       
/*     */       }
/*     */ 
/*     */     
/*     */     }
/* 314 */     catch (JMSException e) {
/* 315 */       e.printStackTrace();
/*     */     } finally {
/* 317 */       close();
/*     */     } 
/*     */     
/* 320 */     return this.fileAllpath;
/*     */   }
/*     */ 
/*     */   
/*     */   public String uploadBlobMessage(String messageText, String loadPath, String classname, String methodname) throws Exception {
/*     */     try {
/* 326 */       BytesMessage responseMessage = this.session.createBytesMessage();
/* 327 */       byte[] content = getFileByte(loadPath);
/* 328 */       responseMessage.writeBytes(content);
/*     */ 
/*     */ 
/*     */       
/* 332 */       responseMessage.setStringProperty("Msg_Type", "blob");
/* 333 */       responseMessage.setStringProperty("Msg_Condition", messageText);
/* 334 */       responseMessage.setStringProperty("Class_Name", classname);
/* 335 */       responseMessage.setStringProperty("Method_Name", methodname);
/* 336 */       responseMessage.setJMSCorrelationID(this.messageId);
/* 337 */       this.producer.send((Message)responseMessage);
/*     */       
/* 339 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 341 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 342 */       if (replyMessage == null || this.replyText == null) {
/* 343 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 344 */         if (alertDialog.open() == 0) {
/* 345 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 347 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 349 */         return null;
/*     */       } 
/* 351 */     } catch (JMSException e) {
/* 352 */       e.printStackTrace();
/*     */     } finally {
/* 354 */       close();
/*     */     } 
/*     */     
/* 357 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public void close() throws Exception {
/* 361 */     if (this.bin != null)
/* 362 */       this.bin.close(); 
/* 363 */     if (this.ism != null)
/* 364 */       this.ism.close(); 
/* 365 */     if (this.fos != null) {
/* 366 */       this.fos.flush();
/* 367 */       this.fos.close();
/*     */     } 
/* 369 */     if (this.consumer != null)
/* 370 */       this.consumer.close(); 
/* 371 */     if (this.producer != null)
/* 372 */       this.producer.close(); 
/* 373 */     if (this.session != null)
/* 374 */       this.session.close(); 
/* 375 */     if (this.connection != null)
/* 376 */       this.connection.close(); 
/*     */   }
/*     */   
/*     */   private byte[] getFileByte(String loadPath) {
/* 380 */     byte[] buffer = (byte[])null;
/* 381 */     FileInputStream fin = null;
/*     */     try {
/* 383 */       File file = new File(loadPath);
/* 384 */       fin = new FileInputStream(file);
/* 385 */       buffer = new byte[fin.available()];
/* 386 */       fin.read(buffer);
/* 387 */     } catch (Exception ex) {
/* 388 */       ex.printStackTrace();
/*     */     } finally {
/*     */       try {
/* 391 */         fin.close();
/* 392 */       } catch (Exception e) {
/* 393 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/* 396 */     return buffer;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\messageTrans\MessageSender.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */