/*     */ package cs.sydj.messageTrans;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.VersionUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.sys.ui.SystemAlertDialog;
/*     */ import cs.sydj.util.messageutil.XMLTools;
/*     */ import java.io.BufferedInputStream;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.util.UUID;
/*     */ import javax.jms.BytesMessage;
/*     */ import javax.jms.Destination;
/*     */ import javax.jms.JMSException;
/*     */ import javax.jms.Message;
/*     */ import javax.jms.MessageConsumer;
/*     */ import javax.jms.MessageProducer;
/*     */ import javax.jms.TextMessage;
/*     */ import org.apache.activemq.ActiveMQConnection;
/*     */ import org.apache.activemq.ActiveMQConnectionFactory;
/*     */ import org.apache.activemq.ActiveMQSession;
/*     */ import org.apache.activemq.command.ActiveMQQueue;
/*     */ import org.dom4j.Document;
/*     */ import org.dom4j.DocumentHelper;
/*     */ import org.dom4j.Element;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class MessageSenderPlus
/*     */ {
/*  53 */   private final String user = "sydjmqserver";
/*  54 */   private final String password = "sydjmqserver";
/*  55 */   private String url = MessageProxy.getSystemenv("ACTIVEMQ_SERVER_PLUS");
/*     */   private ActiveMQConnection connection;
/*     */   private ActiveMQSession session;
/*     */   private MessageProducer producer;
/*     */   private MessageConsumer consumer;
/*  60 */   private String messageId = "";
/*  61 */   private String requestStr = "";
/*  62 */   private String responseStr = "";
/*  63 */   private String replyText = "";
/*  64 */   private final InputStream ism = null;
/*  65 */   private final BufferedInputStream bin = null;
/*  66 */   private FileOutputStream fos = null;
/*  67 */   private String fileAllpath = "";
/*     */ 
/*     */   
/*     */   public MessageSenderPlus(String requestQueue, String responseQueue) {
/*  71 */     this.requestStr = requestQueue;
/*  72 */     this.responseStr = responseQueue;
/*  73 */     init();
/*     */   }
/*     */   
/*     */   public void init() {
/*  77 */     XMLTools xt = new XMLTools();
/*  78 */     String network = xt.getNetworkSelect();
/*  79 */     if (network.equals("china netcom")) {
/*  80 */       this.url = this.url.replace("networkURL", "114.255.7.186");
/*     */     }
/*  82 */     if (network.equals("china telecom")) {
/*  83 */       this.url = this.url.replace("networkURL", "114.255.7.186");
/*     */     }
/*     */     
/*  86 */     ActiveMQConnectionFactory connectionFactory = new ActiveMQConnectionFactory(
/*  87 */         "sydjmqserver", "sydjmqserver", this.url);
/*  88 */     connectionFactory.setUseCompression(true);
/*  89 */     this.messageId = UUID.randomUUID().toString();
/*     */     try {
/*  91 */       this.connection = (ActiveMQConnection)connectionFactory.createConnection();
/*  92 */       this.connection.setCopyMessageOnSend(false);
/*  93 */       this.session = (ActiveMQSession)this.connection.createSession(false, 1);
/*  94 */       ActiveMQQueue request = (ActiveMQQueue)this.session.createQueue(this.requestStr);
/*  95 */       ActiveMQQueue response = (ActiveMQQueue)this.session.createQueue(this.responseStr);
/*  96 */       this.producer = this.session.createProducer((Destination)request);
/*  97 */       this.producer.setDeliveryMode(1);
/*  98 */       this.producer.setTimeToLive(600000L);
/*  99 */       this.consumer = this.session.createConsumer((Destination)response, "JMSCorrelationID='" + this.messageId + "'");
/* 100 */       this.connection.start();
/* 101 */     } catch (JMSException e) {
/* 102 */       e.printStackTrace();
/* 103 */       SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 104 */       if (alertDialog.open() == 0) {
/* 105 */         PlatformUI.getWorkbench().restart();
/*     */       } else {
/* 107 */         PlatformUI.getWorkbench().close();
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   public String validateUser(String messageText, String type) throws Exception {
/*     */     try {
/* 114 */       TextMessage message = this.session.createTextMessage(messageText);
/* 115 */       message.setJMSCorrelationID(this.messageId);
/* 116 */       message.setStringProperty("Msg_Type", type);
/* 117 */       this.producer.send((Message)message);
/*     */       
/* 119 */       Message replyMessage = this.consumer.receive(180000L);
/*     */       
/* 121 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 122 */       if (replyMessage == null || "<null/>".equals(this.replyText)) {
/* 123 */         return null;
/*     */       }
/* 125 */     } catch (JMSException e) {
/* 126 */       e.printStackTrace();
/*     */     } finally {
/* 128 */       close();
/*     */     } 
/* 130 */     return this.replyText;
/*     */   }
/*     */   public String sendAttachMessage(String messageText, String type) throws Exception {
/*     */     try {
/* 134 */       messageText = addParams(messageText);
/* 135 */       TextMessage message = this.session.createTextMessage(messageText);
/* 136 */       message.setJMSCorrelationID(this.messageId);
/* 137 */       message.setStringProperty("Msg_Type", type);
/* 138 */       this.producer.send((Message)message);
/*     */       
/* 140 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 142 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 143 */       if (replyMessage == null || this.replyText == null || (
/* 144 */         "xml".equals(type) && "<null/>".equals(this.replyText)))
/*     */       {
/* 146 */         return null;
/*     */       }
/* 148 */     } catch (JMSException e) {
/* 149 */       e.printStackTrace();
/*     */     } finally {
/* 151 */       close();
/*     */     } 
/* 153 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public String uploadDOCBlobMessage(String messageText, String loadPath, String classname, String methodname) throws Exception {
/*     */     try {
/* 158 */       BytesMessage responseMessage = this.session.createBytesMessage();
/* 159 */       byte[] content = getFileByte(loadPath);
/* 160 */       responseMessage.writeBytes(content);
/*     */ 
/*     */ 
/*     */       
/* 164 */       responseMessage.setStringProperty("Msg_Type", "blob");
/* 165 */       responseMessage.setStringProperty("Msg_Condition", messageText);
/* 166 */       responseMessage.setStringProperty("Class_Name", classname);
/* 167 */       responseMessage.setStringProperty("Method_Name", methodname);
/* 168 */       responseMessage.setJMSCorrelationID(this.messageId);
/* 169 */       this.producer.send((Message)responseMessage);
/*     */       
/* 171 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 173 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 174 */       if (replyMessage == null || this.replyText == null) {
/* 175 */         return "-1";
/*     */       }
/* 177 */     } catch (JMSException e) {
/* 178 */       e.printStackTrace();
/*     */     } finally {
/* 180 */       close();
/*     */     } 
/*     */     
/* 183 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public String sendMessage(String messageText, String type) throws Exception {
/*     */     try {
/* 188 */       TextMessage message = this.session.createTextMessage(messageText);
/* 189 */       message.setJMSCorrelationID(this.messageId);
/* 190 */       message.setStringProperty("Msg_Type", type);
/* 191 */       this.producer.send((Message)message);
/*     */       
/* 193 */       Message replyMessage = this.consumer.receive(600000L);
/*     */ 
/*     */       
/* 196 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 197 */       if (replyMessage == null || this.replyText == null || (
/* 198 */         "xml".equals(type) && "<null/>".equals(this.replyText))) {
/* 199 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 200 */         if (alertDialog.open() == 0) {
/* 201 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 203 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 205 */         return null;
/*     */       } 
/* 207 */     } catch (JMSException e) {
/* 208 */       e.printStackTrace();
/*     */     } finally {
/* 210 */       close();
/*     */     } 
/* 212 */     return this.replyText;
/*     */   }
/*     */ 
/*     */   
/*     */   public String sendBlobMessage(String messageText, String savePath) throws Exception {
/*     */     try {
/* 218 */       messageText = addParams(messageText);
/* 219 */       TextMessage message = this.session.createTextMessage(messageText);
/* 220 */       message.setJMSCorrelationID(this.messageId);
/* 221 */       message.setStringProperty("Msg_Type", "blob");
/* 222 */       this.producer.send((Message)message);
/*     */       
/* 224 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 226 */       if (replyMessage == null) {
/* 227 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 228 */         if (alertDialog.open() == 0) {
/* 229 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 231 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 233 */         return null;
/*     */       } 
/* 235 */       if (replyMessage instanceof BytesMessage) {
/*     */ 
/*     */         
/*     */         try {
/* 239 */           File file = null;
/* 240 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/* 241 */           if (savePath != null && savePath.length() > 0) {
/* 242 */             file = new File(savePath);
/*     */           } else {
/* 244 */             this.fileAllpath = MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH");
/* 245 */             file = new File(this.fileAllpath);
/* 246 */             if (!file.exists()) {
/* 247 */               file.mkdirs();
/*     */             }
/* 249 */             this.fileAllpath = String.valueOf(this.fileAllpath) + this.messageId + "." + replyMessage.getStringProperty("EXT_NAME");
/* 250 */             file = new File(this.fileAllpath);
/*     */           } 
/* 252 */           this.fos = new FileOutputStream(file);
/* 253 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 255 */             int readLength = byteMsg.readBytes(block);
/* 256 */             if (readLength == -1)
/*     */               break; 
/* 258 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 260 */         } catch (IOException e) {
/* 261 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/* 264 */         this.fileAllpath = ((TextMessage)replyMessage).getText();
/*     */       } 
/* 266 */     } catch (JMSException e) {
/* 267 */       e.printStackTrace();
/*     */     } finally {
/* 269 */       close();
/*     */     } 
/*     */     
/* 272 */     return this.fileAllpath;
/*     */   }
/*     */   
/*     */   private byte[] getFileByte(String loadPath) {
/* 276 */     byte[] buffer = (byte[])null;
/* 277 */     FileInputStream fin = null;
/*     */     try {
/* 279 */       File file = new File(loadPath);
/* 280 */       fin = new FileInputStream(file);
/* 281 */       buffer = new byte[fin.available()];
/* 282 */       fin.read(buffer);
/* 283 */     } catch (Exception ex) {
/* 284 */       ex.printStackTrace();
/*     */     } finally {
/*     */       try {
/* 287 */         fin.close();
/* 288 */       } catch (Exception e) {
/* 289 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/* 292 */     return buffer;
/*     */   }
/*     */ 
/*     */   
/*     */   public String uploadBlobMessage(String messageText, String loadPath, String classname, String methodname) throws Exception {
/*     */     try {
/* 298 */       BytesMessage responseMessage = this.session.createBytesMessage();
/* 299 */       byte[] content = getFileByte(loadPath);
/* 300 */       responseMessage.writeBytes(content);
/*     */ 
/*     */ 
/*     */       
/* 304 */       responseMessage.setStringProperty("Msg_Type", "blob");
/* 305 */       responseMessage.setStringProperty("Msg_Condition", messageText);
/* 306 */       responseMessage.setStringProperty("Class_Name", classname);
/* 307 */       responseMessage.setStringProperty("Method_Name", methodname);
/* 308 */       responseMessage.setJMSCorrelationID(this.messageId);
/* 309 */       this.producer.send((Message)responseMessage);
/*     */       
/* 311 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 313 */       this.replyText = ((TextMessage)replyMessage).getText();
/* 314 */       if (replyMessage == null || this.replyText == null) {
/* 315 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 316 */         if (alertDialog.open() == 0) {
/* 317 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 319 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 321 */         return null;
/*     */       } 
/* 323 */     } catch (JMSException e) {
/* 324 */       e.printStackTrace();
/*     */     } finally {
/* 326 */       close();
/*     */     } 
/*     */     
/* 329 */     return this.replyText;
/*     */   }
/*     */   
/*     */   public void close() throws Exception {
/* 333 */     if (this.bin != null)
/* 334 */       this.bin.close(); 
/* 335 */     if (this.ism != null)
/* 336 */       this.ism.close(); 
/* 337 */     if (this.fos != null) {
/* 338 */       this.fos.flush();
/* 339 */       this.fos.close();
/*     */     } 
/* 341 */     if (this.consumer != null)
/* 342 */       this.consumer.close(); 
/* 343 */     if (this.producer != null)
/* 344 */       this.producer.close(); 
/* 345 */     if (this.session != null)
/* 346 */       this.session.close(); 
/* 347 */     if (this.connection != null) {
/* 348 */       this.connection.close();
/*     */     }
/*     */   }
/*     */   
/*     */   public String sendBytesMessage(String messageText, String savePath) throws Exception {
/*     */     try {
/* 354 */       messageText = addParams(messageText);
/* 355 */       TextMessage message = this.session.createTextMessage(messageText);
/* 356 */       message.setJMSCorrelationID(this.messageId);
/* 357 */       message.setStringProperty("Msg_Type", "bytes");
/* 358 */       this.producer.send((Message)message);
/*     */       
/* 360 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 362 */       if (replyMessage == null) {
/* 363 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 364 */         if (alertDialog.open() == 0) {
/* 365 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 367 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 369 */         return null;
/*     */       } 
/* 371 */       if (replyMessage instanceof BytesMessage) {
/*     */         try {
/* 373 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/*     */           
/* 375 */           File file = null;
/* 376 */           if (savePath != null && savePath.length() > 0) {
/* 377 */             this.fileAllpath = MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH");
/* 378 */             file = new File(this.fileAllpath);
/* 379 */             if (!file.exists()) {
/* 380 */               file.mkdirs();
/*     */             }
/* 382 */             this.fileAllpath = String.valueOf(this.fileAllpath) + savePath;
/* 383 */             file = new File(this.fileAllpath);
/*     */           } 
/* 385 */           this.fos = new FileOutputStream(file);
/* 386 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 388 */             int readLength = byteMsg.readBytes(block);
/* 389 */             if (readLength == -1)
/*     */               break; 
/* 391 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 393 */         } catch (IOException e) {
/* 394 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/* 397 */         this.fileAllpath = ((TextMessage)replyMessage).getText();
/*     */       } 
/* 399 */     } catch (JMSException e) {
/* 400 */       e.printStackTrace();
/*     */     } finally {
/* 402 */       close();
/*     */     } 
/*     */     
/* 405 */     return this.fileAllpath;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getAttachFile(String messageText, String fileName, String extType) throws Exception {
/*     */     try {
/* 411 */       messageText = addParams(messageText);
/* 412 */       TextMessage message = this.session.createTextMessage(messageText);
/* 413 */       message.setJMSCorrelationID(this.messageId);
/* 414 */       message.setStringProperty("Msg_Type", "blob");
/* 415 */       this.producer.send((Message)message);
/*     */       
/* 417 */       Message replyMessage = this.consumer.receive(600000L);
/*     */       
/* 419 */       if (replyMessage == null) {
/* 420 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 421 */         if (alertDialog.open() == 0) {
/* 422 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 424 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 426 */         return null;
/*     */       } 
/* 428 */       if (replyMessage instanceof BytesMessage) {
/*     */         try {
/* 430 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/*     */           
/* 432 */           File file = null;
/* 433 */           this.fileAllpath = MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH");
/* 434 */           file = new File(this.fileAllpath);
/* 435 */           if (!file.exists()) {
/* 436 */             file.mkdirs();
/*     */           }
/* 438 */           this.fileAllpath = String.valueOf(this.fileAllpath) + fileName + "." + extType;
/* 439 */           file = new File(this.fileAllpath);
/* 440 */           this.fos = new FileOutputStream(file);
/* 441 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 443 */             int readLength = byteMsg.readBytes(block);
/* 444 */             if (readLength == -1)
/*     */               break; 
/* 446 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 448 */         } catch (IOException e) {
/* 449 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/* 452 */         this.fileAllpath = ((TextMessage)replyMessage).getText();
/*     */       } 
/* 454 */     } catch (JMSException e) {
/* 455 */       e.printStackTrace();
/*     */     } finally {
/* 457 */       close();
/*     */     } 
/*     */     
/* 460 */     return this.fileAllpath;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String sendBytesVideoMessage(String messageText, String savePath, String ext) throws Exception {
/*     */     try {
/* 473 */       messageText = addParams(messageText);
/* 474 */       TextMessage message = this.session.createTextMessage(messageText);
/* 475 */       message.setJMSCorrelationID(this.messageId);
/* 476 */       message.setStringProperty("Msg_Type", "blob");
/* 477 */       this.producer.send((Message)message);
/*     */       
/* 479 */       Message replyMessage = this.consumer.receive(600000L);
/* 480 */       if (replyMessage == null) {
/* 481 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 482 */         if (alertDialog.open() == 0) {
/* 483 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 485 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 487 */         return null;
/*     */       } 
/* 489 */       if (replyMessage instanceof BytesMessage) {
/*     */         try {
/* 491 */           File file = null;
/* 492 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/* 493 */           if (savePath != null && savePath.length() > 0) {
/* 494 */             file = new File(savePath);
/*     */           } else {
/* 496 */             this.fileAllpath = MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH");
/* 497 */             file = new File(this.fileAllpath);
/* 498 */             if (!file.exists()) {
/* 499 */               file.mkdirs();
/*     */             }
/* 501 */             this.fileAllpath = String.valueOf(this.fileAllpath) + replyMessage.getStringProperty("name") + "." + ext;
/* 502 */             file = new File(this.fileAllpath);
/*     */           } 
/* 504 */           this.fos = new FileOutputStream(file);
/* 505 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 507 */             int readLength = byteMsg.readBytes(block);
/* 508 */             if (readLength == -1)
/*     */               break; 
/* 510 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 512 */         } catch (IOException e) {
/* 513 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/*     */         
/* 517 */         this.fileAllpath = ((TextMessage)replyMessage).getText();
/*     */       } 
/* 519 */     } catch (JMSException e) {
/* 520 */       e.printStackTrace();
/*     */     } finally {
/* 522 */       close();
/*     */     } 
/* 524 */     return this.fileAllpath;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getExportData(String messageText, String savePath) throws Exception {
/*     */     try {
/* 538 */       messageText = addParams(messageText);
/* 539 */       TextMessage message = this.session.createTextMessage(messageText);
/* 540 */       message.setJMSCorrelationID(this.messageId);
/* 541 */       message.setStringProperty("Msg_Type", "bytes");
/* 542 */       this.producer.send((Message)message);
/* 543 */       Message replyMessage = this.consumer.receive(600000L);
/* 544 */       if (replyMessage == null) {
/* 545 */         SystemAlertDialog alertDialog = new SystemAlertDialog(Display.getCurrent().getActiveShell());
/* 546 */         if (alertDialog.open() == 0) {
/* 547 */           PlatformUI.getWorkbench().restart();
/*     */         } else {
/* 549 */           PlatformUI.getWorkbench().close();
/*     */         } 
/* 551 */         return null;
/*     */       } 
/* 553 */       if (replyMessage instanceof BytesMessage) {
/*     */         try {
/* 555 */           BytesMessage byteMsg = (BytesMessage)replyMessage;
/*     */           
/* 557 */           File file = null;
/* 558 */           if (savePath != null && savePath.length() > 0) {
/* 559 */             file = new File(savePath);
/*     */           }
/* 561 */           this.fos = new FileOutputStream(file);
/* 562 */           byte[] block = new byte[4096];
/*     */           while (true) {
/* 564 */             int readLength = byteMsg.readBytes(block);
/* 565 */             if (readLength == -1)
/*     */               break; 
/* 567 */             this.fos.write(block, 0, readLength);
/*     */           } 
/* 569 */         } catch (IOException e) {
/* 570 */           savePath = "";
/* 571 */           e.printStackTrace();
/*     */         } 
/*     */       } else {
/* 574 */         savePath = "";
/*     */       } 
/* 576 */     } catch (JMSException e) {
/* 577 */       savePath = "";
/* 578 */       e.printStackTrace();
/*     */     } finally {
/* 580 */       close();
/*     */     } 
/* 582 */     return savePath;
/*     */   }
/*     */   
/*     */   private String addParams(String message) {
/* 586 */     String result = message;
/*     */     try {
/* 588 */       Document doc = DocumentHelper.parseText(message);
/* 589 */       Element root = doc.getRootElement();
/* 590 */       Element manager = root.addElement("manager");
/* 591 */       manager.setText(PublicUtil.convertS(GljgUserInfo.getInstance().getUserid()));
/* 592 */       Element sysVersion = root.addElement("sysversion");
/* 593 */       sysVersion.setText(PublicUtil.convertS(VersionUtil.getInstance().getVersion()));
/* 594 */       message = doc.asXML();
/* 595 */       result = message;
/* 596 */     } catch (Exception e) {
/* 597 */       e.printStackTrace();
/*     */     } 
/* 599 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\messageTrans\MessageSenderPlus.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */