/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.PaperSource;
/*     */ import cs.sydj.common.PaperSourceDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.ReadTemplate;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.awt.print.Book;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Paper;
/*     */ import java.awt.print.PrinterException;
/*     */ import java.awt.print.PrinterJob;
/*     */ import java.io.BufferedReader;
/*     */ import java.io.File;
/*     */ import java.io.FileReader;
/*     */ import java.io.FileWriter;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaTray;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import org.eclipse.swt.events.PaintEvent;
/*     */ import org.eclipse.swt.events.PaintListener;
/*     */ import org.eclipse.swt.graphics.Font;
/*     */ import org.eclipse.swt.graphics.GC;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import org.eclipse.swt.graphics.ImageData;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintJob
/*     */ {
/*     */   public static void print(int direction, int pageSize, ArrayList list, Point point, String tempName) {
/*     */     try {
/* 125 */       PrinterJob job = PrinterJob.getPrinterJob();
/* 126 */       PageFormat pageFormat = new PageFormat();
/* 127 */       pageFormat.setOrientation(0);
/* 128 */       int width = 0;
/* 129 */       int height = 0;
/* 130 */       if (pageSize == 3) {
/* 131 */         width = 297;
/* 132 */         height = 420;
/*     */       } else {
/* 134 */         width = 210;
/* 135 */         height = 297;
/*     */       } 
/*     */ 
/*     */       
/* 139 */       Paper paper = pageFormat.getPaper();
/* 140 */       double MM_TO_PAPER = 2.8346456692913384D;
/* 141 */       double widthA = width * 2.8346456692913384D;
/* 142 */       double heightA = height * 2.8346456692913384D;
/* 143 */       double marginSize1 = 0.0D;
/* 144 */       double marginSize2 = 0.0D;
/* 145 */       paper.setImageableArea(marginSize2, marginSize1, widthA - 2.0D * marginSize2, heightA - 2.0D * marginSize1);
/* 146 */       paper.setSize(widthA, heightA);
/* 147 */       pageFormat.setPaper(paper);
/* 148 */       Book book = new Book();
/* 149 */       book.append(new MultPrint(list, point, 1, pageSize, tempName), pageFormat);
/* 150 */       job.setPageable(book);
/* 151 */       Media media = getMedia(pageSize);
/*     */       try {
/* 153 */         if (media != null)
/* 154 */         { PrintRequestAttributeSet pras = new HashPrintRequestAttributeSet();
/* 155 */           pras.add(media);
/* 156 */           pras.add(OrientationRequested.LANDSCAPE);
/* 157 */           job.print(pras); }
/*     */         else
/* 159 */         { job.print(); } 
/* 160 */       } catch (PrinterException e) {
/* 161 */         e.printStackTrace();
/*     */       } 
/* 163 */     } catch (Exception e) {
/* 164 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void multPrint(int direction, int pageSize, ArrayList<ArrayList> list, Point point, String tempName) {
/*     */     try {
/* 184 */       PrinterJob job = PrinterJob.getPrinterJob();
/* 185 */       PageFormat pageFormat = new PageFormat();
/*     */       
/* 187 */       int width = 0;
/* 188 */       int height = 0;
/* 189 */       if (pageSize == 3) {
/* 190 */         width = 297;
/* 191 */         height = 420;
/*     */       } else {
/* 193 */         width = 210;
/* 194 */         height = 297;
/*     */       } 
/*     */ 
/*     */       
/* 198 */       Paper paper = pageFormat.getPaper();
/* 199 */       double MM_TO_PAPER = 2.8346456692913384D;
/* 200 */       double widthA = width * 2.8346456692913384D;
/* 201 */       double heightA = height * 2.8346456692913384D;
/* 202 */       double marginSize1 = 0.0D;
/* 203 */       double marginSize2 = 0.0D;
/* 204 */       paper.setImageableArea(marginSize2, marginSize1, widthA - 2.0D * marginSize2, heightA - 2.0D * marginSize1);
/* 205 */       paper.setSize(widthA, heightA);
/* 206 */       pageFormat.setPaper(paper);
/*     */       
/* 208 */       MultPrint mu = null;
/* 209 */       for (int i = 0; i < list.size(); i++) {
/* 210 */         ArrayList tmList = list.get(i);
/* 211 */         mu = new MultPrint(tmList, point, 1, pageSize, tempName);
/*     */         
/* 213 */         job.setPrintable(mu, pageFormat);
/* 214 */         Media media = getMedia(pageSize);
/*     */ 
/*     */         
/*     */         try {
/* 218 */           if (media != null) {
/*     */             
/* 220 */             PrintRequestAttributeSet pras = new HashPrintRequestAttributeSet();
/* 221 */             pras.add(media);
/* 222 */             pras.add(OrientationRequested.LANDSCAPE);
/* 223 */             pras.add(new MediaPrintableArea(0, 0, 297, 420, 1000));
/* 224 */             job.print(pras);
/*     */           } else {
/*     */             
/* 227 */             job.print();
/*     */           }
/*     */         
/* 230 */         } catch (PrinterException e) {
/*     */           
/* 232 */           e.printStackTrace();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 304 */     catch (Exception e) {
/* 305 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList readTemplate(String path) {
/* 316 */     ArrayList<PrintContentModel> list = null;
/*     */ 
/*     */     
/*     */     try {
/* 320 */       File file = new File(path);
/* 321 */       if (!file.exists()) {
/* 322 */         return new ArrayList();
/*     */       }
/* 324 */       BufferedReader reader = null;
/*     */       try {
/* 326 */         list = new ArrayList();
/* 327 */         reader = new BufferedReader(new FileReader(file));
/* 328 */         String tempString = null;
/* 329 */         int line = 1;
/* 330 */         while ((tempString = reader.readLine()) != null) {
/* 331 */           String[] str = tempString.split(",");
/* 332 */           PrintContentModel model = new PrintContentModel();
/* 333 */           model.setId(str[0]);
/* 334 */           model.setSize(Integer.valueOf(str[1]).intValue());
/* 335 */           model.setX(Integer.valueOf(str[2]).intValue());
/* 336 */           model.setY(Integer.valueOf(str[3]).intValue());
/* 337 */           model.setWidth(Integer.valueOf(str[4]).intValue());
/* 338 */           model.setHeight(Integer.valueOf(str[5]).intValue());
/* 339 */           model.setContent(str[6]);
/*     */           
/* 341 */           list.add(model);
/* 342 */           line++;
/*     */         } 
/* 344 */       } catch (IOException e) {
/* 345 */         e.printStackTrace();
/* 346 */         list = null;
/*     */       } finally {
/* 348 */         if (reader != null) {
/*     */           try {
/* 350 */             reader.close();
/* 351 */           } catch (IOException iOException) {}
/*     */         }
/*     */       }
/*     */     
/* 355 */     } catch (Exception e) {
/* 356 */       e.printStackTrace();
/* 357 */       list = null;
/*     */     } 
/* 359 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setImageCanves(Composite parent, Composite comp, String imagePath, ArrayList<PrintContentModel> list) {
/*     */     try {
/* 376 */       Point point = null;
/* 377 */       Image image = new Image(null, new ImageData(PublicUtil.getRealPath(imagePath)));
/* 378 */       for (int i = 0; i < list.size(); i++) {
/* 379 */         PrintContentModel model = list.get(i);
/* 380 */         if ("parent".equals(model.getId())) {
/* 381 */           parent.setSize((image.getBounds()).width + model.getX(), (image.getBounds()).height + model.getY());
/* 382 */           point = new Point(model.getX(), model.getY());
/*     */         } 
/*     */       } 
/* 385 */       comp.setSize((image.getBounds()).width, (image.getBounds()).height);
/* 386 */       comp.setBackgroundImage(image);
/* 387 */       comp.setLocation(point);
/* 388 */     } catch (Exception e) {
/* 389 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addText(Composite comp, final ArrayList list) {
/* 403 */     comp.addPaintListener(new PaintListener()
/*     */         {
/*     */           public void paintControl(PaintEvent arg0)
/*     */           {
/*     */             try {
/* 408 */               for (int i = 0; i < list.size(); i++) {
/* 409 */                 PrintContentModel model = list.get(i);
/* 410 */                 if (!model.getId().equals("parent") && 
/* 411 */                   model.getContent() != null && 
/* 412 */                   !"idcode".equals(model.getId())) {
/*     */ 
/*     */ 
/*     */                   
/* 416 */                   if (model.getId().equals("openUint")) {
/* 417 */                     model.setContent(
/* 418 */                         model.getContent().replace(",", " "));
/*     */                   }
/* 420 */                   if (model.getId().equals("sydwJglb")) {
/* 421 */                     model.setContent(
/* 422 */                         model.getContent().replace("型", "别"));
/*     */                   }
/* 424 */                   Font font = PrintJob.calculateFontSize1(arg0.gc, 
/* 425 */                       model.getContent(), 
/* 426 */                       model.getSize(), model.getWidth(), 
/* 427 */                       model.getHeight(), 
/* 428 */                       model.isChanged());
/* 429 */                   arg0.gc.setFont(font);
/* 430 */                   ArrayList lists = PrintJob.getStrings(arg0.gc, font, 
/* 431 */                       model.getContent(), 
/* 432 */                       model.getWidth(), 
/* 433 */                       model.getHeight());
/* 434 */                   int rowWidth = model.getWidth();
/* 435 */                   for (int j = 0; j < lists.size(); j++) {
/* 436 */                     int separationWidth = 0;
/* 437 */                     int realityWidth = 0;
/* 438 */                     String tmpstr = String.valueOf(lists
/* 439 */                         .get(j));
/* 440 */                     int charsize = tmpstr.length();
/* 441 */                     for (int m = 0; m < charsize; m++) {
/* 442 */                       int _charsize = PrintJob.getWidthChange(
/* 443 */                           arg0.gc
/* 444 */                           .getAdvanceWidth(tmpstr
/* 445 */                             .charAt(m)), 
/* 446 */                           tmpstr.charAt(m));
/* 447 */                       realityWidth += 
/* 448 */                         _charsize;
/*     */                     } 
/* 450 */                     separationWidth = rowWidth - 
/* 451 */                       realityWidth;
/* 452 */                     int separationSize = separationWidth / 
/* 453 */                       charsize;
/* 454 */                     if (separationWidth > 30) {
/* 455 */                       separationSize = 0;
/*     */                     }
/* 457 */                     int x = model.getX();
/* 458 */                     for (int k = 0; k < charsize; k++) {
/* 459 */                       int _charsize = PrintJob.getWidthChange(
/* 460 */                           arg0.gc
/* 461 */                           .getAdvanceWidth(tmpstr
/* 462 */                             .charAt(k)), 
/* 463 */                           tmpstr.charAt(k));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                       
/* 469 */                       arg0.gc
/* 470 */                         .drawText(
/*     */                           
/* 472 */                           String.valueOf(tmpstr
/* 473 */                             .charAt(k)), 
/* 474 */                           x, 
/* 475 */                           model.getY() + 
/* 476 */                           arg0.gc
/* 477 */                           .getFontMetrics()
/* 478 */                           .getHeight() * 
/* 479 */                           j, true);
/* 480 */                       x += separationSize;
/* 481 */                       x += _charsize;
/*     */                     }
/*     */                   
/*     */                   }
/*     */                 
/*     */                 } 
/*     */               } 
/* 488 */             } catch (Exception e) {
/* 489 */               e.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean save(ArrayList<PrintContentModel> list, String pathName, Point point) {
/* 505 */     FileWriter fw = null;
/* 506 */     String content = "parent,0," + point.x + "," + point.y + ",0,0,0\n";
/*     */     try {
/* 508 */       File file = new File(PublicUtil.getRealPath("certtemplate/params/" + pathName));
/* 509 */       if (file.exists()) {
/* 510 */         file.delete();
/*     */       }
/* 512 */       fw = new FileWriter(PublicUtil.getRealPath("certtemplate/params/" + pathName));
/* 513 */       for (int i = 0; i < list.size(); i++) {
/* 514 */         PrintContentModel model = list.get(i);
/* 515 */         if (!model.getId().equals("parent")) {
/* 516 */           content = String.valueOf(content) + model.getId() + "," + model.getSize() + "," + model.getX() + "," + model.getY() + "," + model.getWidth() + "," + model.getHeight() + "," + model.getContent() + 
/* 517 */             "\n";
/*     */         }
/*     */       } 
/* 520 */       fw.write(content);
/* 521 */     } catch (Exception e) {
/* 522 */       e.printStackTrace();
/* 523 */       return false;
/*     */     } finally {
/*     */       try {
/* 526 */         if (fw != null)
/* 527 */           fw.close(); 
/* 528 */       } catch (Exception e) {
/* 529 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/* 532 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font calculateFontSize(GC gc, String content, int fontSize, int width, int height, boolean flag) {
/* 543 */     Font font = SWTResourceManager.getFont("楷体_GB2312", fontSize, 0);
/* 544 */     if (flag)
/*     */       try {
/* 546 */         int rows = 0;
/* 547 */         int rowWidth = 0;
/* 548 */         int allHeight = 0;
/*     */         do {
/* 550 */           font = SWTResourceManager.getFont("楷体_GB2312", fontSize, 0);
/* 551 */           gc.setFont(font);
/* 552 */           rowWidth = 0;
/* 553 */           rows = 1;
/* 554 */           for (int i = 0; i < content.length(); i++) {
/* 555 */             if (i != content.length() - 1) {
/* 556 */               if (rowWidth + getWidthChange(gc.getAdvanceWidth(content.charAt(i + 1)), content.charAt(i + 1)) >= width) {
/* 557 */                 rowWidth = 0;
/* 558 */                 rows++;
/*     */               } else {
/* 560 */                 rowWidth += getWidthChange(gc.getAdvanceWidth(content.charAt(i)), content.charAt(i));
/*     */               }
/*     */             
/*     */             } else {
/*     */               
/* 565 */               rowWidth += getWidthChange(gc.getAdvanceWidth(content.charAt(i)), content.charAt(i));
/* 566 */               if (rowWidth >= width) {
/* 567 */                 rowWidth = 0;
/* 568 */                 rows++;
/*     */               } 
/*     */             } 
/*     */           } 
/* 572 */           allHeight = gc.getFontMetrics().getHeight() * rows;
/* 573 */           fontSize--;
/* 574 */         } while (allHeight > height);
/* 575 */       } catch (Exception e) {
/* 576 */         e.printStackTrace();
/*     */       }  
/* 578 */     return font;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList getStrings(GC gc, Font font, String content, int width, int height) {
/* 585 */     ArrayList<String> list = new ArrayList();
/*     */     try {
/* 587 */       width -= 10;
/* 588 */       int rowWidth = 0;
/* 589 */       int changeRow = 0;
/*     */       
/* 591 */       for (int i = 0; i < content.length(); i++) {
/* 592 */         if (i != content.length() - 1) {
/* 593 */           char NextChar = content.charAt(i + 1);
/*     */           
/* 595 */           if (rowWidth + getWidthChange(gc.getAdvanceWidth(content.charAt(i + 1)), content.charAt(i + 1)) > width && !isPunctuationAndDigitAndNextChar(content.charAt(i), NextChar)) {
/* 596 */             list.add(content.substring(changeRow, i + 1));
/* 597 */             changeRow = i + 1;
/* 598 */             rowWidth = 0;
/*     */           } else {
/* 600 */             rowWidth += getWidthChange(gc.getAdvanceWidth(content.charAt(i)), content.charAt(i));
/*     */           } 
/*     */         } else {
/*     */           
/* 604 */           list.add(content.substring(changeRow, content.length()));
/*     */         } 
/*     */       } 
/* 607 */     } catch (Exception e) {
/* 608 */       e.printStackTrace();
/*     */     } 
/* 610 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void downPrintCert(ArrayList list) {
/* 617 */     CertOperationPrint print = new CertOperationPrint();
/* 618 */     list = print.printViewAndDown(list, "12");
/* 619 */     if (list != null) {
/* 620 */       OpenAndSaveDialog dialog = new OpenAndSaveDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), "事业单位法人证书", "Excel文件(.xls)");
/* 621 */       int returnValue = dialog.open();
/*     */       
/* 623 */       if (returnValue == 0) {
/*     */         
/* 625 */         String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + PublicUtil.getNowDate() + ".xls";
/*     */         try {
/* 627 */           boolean flag = MakeCertExcel.makeCertExcel(fileName, list);
/* 628 */           if (flag) {
/* 629 */             Program.launch(fileName);
/*     */           } else {
/* 631 */             SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */             return;
/*     */           } 
/* 634 */         } catch (Exception e) {
/* 635 */           e.printStackTrace();
/* 636 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */           return;
/*     */         } 
/* 639 */       } else if (returnValue == 16) {
/* 640 */         SaveDialog save = new SaveDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell());
/* 641 */         String fileName = save.open();
/* 642 */         if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 643 */           fileName = String.valueOf(fileName) + ".xls";
/*     */         }
/*     */         try {
/* 646 */           boolean flag = MakeCertExcel.makeCertExcel(fileName, list);
/* 647 */           if (flag) {
/* 648 */             LoadSuccessDialog succ = new LoadSuccessDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), fileName);
/* 649 */             succ.open();
/*     */           } else {
/* 651 */             SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */             return;
/*     */           } 
/* 654 */         } catch (Exception e) {
/* 655 */           e.printStackTrace();
/* 656 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */           return;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList deleteUnit(ArrayList lists, String groupId, String districtCode, String unitName, String certId, String holdUnit, boolean isPrint, boolean flag, String type, int startNo, int maxcount) {
/* 669 */     ArrayList list = null;
/*     */     try {
/* 671 */       CertOperationPrint print = new CertOperationPrint();
/* 672 */       list = print.deleteUnit(lists, groupId, districtCode, unitName, certId, holdUnit, isPrint, flag, type, startNo, maxcount);
/* 673 */     } catch (Exception e) {
/* 674 */       e.printStackTrace();
/* 675 */       list = null;
/*     */     } 
/* 677 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList getTemplateInfo(String tmpName) throws Exception {
/* 686 */     int nTag = 0;
/* 687 */     ArrayList<PrintContentModel> list = new ArrayList();
/* 688 */     String realPath = PublicUtil.getRealPath("certtemplate/params/" + tmpName + ".xml");
/* 689 */     File file = new File(realPath);
/* 690 */     if (file.exists()) {
/* 691 */       list = (new ReadTemplate()).parserXml(realPath.replace("\\", "/"));
/*     */     } else {
/* 693 */       realPath = PublicUtil.getRealPath("certtemplate/params/" + tmpName + "Default.xml");
/* 694 */       list = (new ReadTemplate()).parserXml(realPath.replace("\\", "/"));
/*     */     } 
/* 696 */     if (list != null && list.size() > 0) {
/* 697 */       for (int i = 0; i < list.size(); i++) {
/* 698 */         PrintContentModel pcm = list.get(i);
/* 699 */         if (pcm.getId().indexOf("idcode") >= 0) {
/* 700 */           nTag = 1;
/*     */         }
/*     */       } 
/* 703 */       if (nTag == 0) {
/*     */         
/* 705 */         PrintContentModel model = new PrintContentModel();
/* 706 */         model.setId("idcode");
/* 707 */         list.add(model);
/*     */       } 
/*     */     } 
/*     */     
/* 711 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getImageAndSize(String tmpName) {
/* 718 */     String unit = "";
/* 719 */     if (tmpName.equals("hanyufuben")) {
/* 720 */       unit = "certtemplate/certpic/hanyufuben.png&4";
/*     */     }
/* 722 */     if (tmpName.equals("hanyuzhengben")) {
/* 723 */       unit = "certtemplate/certpic/hanyuzhengben.png&3";
/*     */     }
/* 725 */     if (tmpName.equals("mengyufuben")) {
/* 726 */       unit = "certtemplate/certpic/mengyufuben.png&4";
/*     */     }
/* 728 */     if (tmpName.equals("mengyuzhengben")) {
/* 729 */       unit = "certtemplate/certpic/mengyuzhengben.png&3";
/*     */     }
/* 731 */     if (tmpName.equals("zangyufuben")) {
/* 732 */       unit = "certtemplate/certpic/zangyufuben.png&4";
/*     */     }
/* 734 */     if (tmpName.equals("zangyuzhengben")) {
/* 735 */       unit = "certtemplate/certpic/zangyuzhengben.png&3";
/*     */     }
/* 737 */     if (tmpName.equals("weiyufuben")) {
/* 738 */       unit = "certtemplate/certpic/weiyufuben.png&4";
/*     */     }
/* 740 */     if (tmpName.equals("weiyuzhengben")) {
/* 741 */       unit = "certtemplate/certpic/weiyuzhengben.png&3";
/*     */     }
/*     */     
/* 744 */     if (tmpName.equals("dqjghanyu")) {
/* 745 */       unit = "certtemplate/certpic/dqjghanyu.png&4";
/*     */     }
/* 747 */     if (tmpName.equals("dqjgmengyu")) {
/* 748 */       unit = "certtemplate/certpic/dqjgmengyu.png&4";
/*     */     }
/* 750 */     if (tmpName.equals("dqjgzangyu")) {
/* 751 */       unit = "certtemplate/certpic/dqjgzangyu.png&4";
/*     */     }
/* 753 */     if (tmpName.equals("dqjgweiyu")) {
/* 754 */       unit = "certtemplate/certpic/dqjgweiyu.png&4";
/*     */     }
/* 756 */     return unit;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getFontSizeList(String tmpName) {
/* 763 */     int fontSize = 0;
/* 764 */     String FontSize = "";
/* 765 */     if (tmpName.contains("fuben")) {
/* 766 */       FontSize = "16";
/*     */     } else {
/* 768 */       FontSize = "40";
/*     */     } 
/* 770 */     fontSize = Integer.valueOf(FontSize).intValue();
/* 771 */     return fontSize;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean setFontColor(Table table, boolean state, boolean isRePrint) {
/* 778 */     if (!isRePrint) {
/* 779 */       for (int i = 0; i < table.getItemCount(); i++) {
/*     */ 
/*     */         
/* 782 */         table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 783 */         table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 784 */         if (state) {
/* 785 */           table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 786 */           table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/* 787 */           table.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 788 */           table.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/* 789 */           table.getItem(i).setFont(9, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 790 */           table.getItem(i).setForeground(9, SWTResourceManager.getColor(37, 26, 181));
/*     */         } else {
/* 792 */           table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 793 */           table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/* 794 */           table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 795 */           table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/* 796 */           table.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 797 */           table.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/* 798 */           table.getItem(i).setFont(9, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 799 */           table.getItem(i).setForeground(9, SWTResourceManager.getColor(37, 26, 181));
/*     */         } 
/*     */       } 
/*     */     } else {
/* 803 */       for (int i = 0; i < table.getItemCount(); i++) {
/* 804 */         table.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 805 */         table.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/* 806 */         table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 807 */         table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */       } 
/*     */     } 
/* 810 */     return true;
/*     */   }
/*     */   
/*     */   public static Media getMedia(int pageSize) {
/* 814 */     Media md = null;
/*     */     try {
/* 816 */       ArrayList list = null;
/* 817 */       String memSource = "";
/* 818 */       String path = "";
/* 819 */       if (pageSize == 3) {
/* 820 */         path = PublicUtil.getRealPath("certtemplate/params/zhengbenpapersource.xml");
/*     */       } else {
/* 822 */         path = PublicUtil.getRealPath("certtemplate/params/fubenpapersource.xml");
/* 823 */       }  File file = new File(path);
/* 824 */       if (file.exists()) {
/* 825 */         list = (new PaperSource()).parserXml(path);
/*     */       }
/* 827 */       if (list != null)
/* 828 */         memSource = String.valueOf(list.get(0)); 
/* 829 */       ArrayList<Media> media = PaperSourceDialog.getMedia();
/* 830 */       if (media != null) {
/* 831 */         int i; for (i = 0; i < media.size(); i++) {
/*     */           
/* 833 */           if (ResourceAdministrator.getMediaSourceName((MediaTray)media.get(i)).equals(memSource)) {
/* 834 */             md = media.get(i);
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/*     */         
/* 840 */         if (md == null) {
/* 841 */           for (i = 0; i < media.size(); i++) {
/* 842 */             String strMedia = ResourceAdministrator.getMediaSourceName((MediaTray)media.get(i));
/* 843 */             if (strMedia != null && (strMedia.equals("打印机自动选择") || strMedia.equalsIgnoreCase("automatic feeder") || strMedia.equalsIgnoreCase("tractor feeder"))) {
/* 844 */               md = media.get(i);
/*     */               break;
/*     */             } 
/*     */           } 
/*     */         }
/*     */       } 
/* 850 */     } catch (Exception e) {
/* 851 */       e.printStackTrace();
/*     */     } 
/* 853 */     return md;
/*     */   }
/*     */   
/*     */   public static Font calculateFontSize1(GC gc, String content, int fontSize, int width, int height, boolean flag) {
/* 857 */     Font font = SWTResourceManager.getFont("楷体_GB2312", fontSize, 0);
/* 858 */     if (flag) {
/*     */       try {
/* 860 */         int rows = 0;
/* 861 */         int rowWidth = 0;
/* 862 */         int allHeight = 0;
/* 863 */         int currentWidth = 0;
/*     */         do {
/* 865 */           font = SWTResourceManager.getFont("楷体_GB2312", fontSize, 0);
/* 866 */           gc.setFont(font);
/* 867 */           rowWidth = 0;
/* 868 */           rows = 1;
/* 869 */           for (int i = 0; i < content.length(); i++) {
/* 870 */             if (i != content.length() - 1) {
/* 871 */               currentWidth = getWidthChange(gc.getAdvanceWidth(content.charAt(i + 1)), content.charAt(i + 1));
/* 872 */               if (rowWidth + currentWidth >= width) {
/* 873 */                 rowWidth = 0;
/* 874 */                 rows++;
/*     */               } else {
/* 876 */                 rowWidth += getWidthChange(gc.getAdvanceWidth(content.charAt(i)), content.charAt(i));
/*     */               } 
/*     */             } else {
/*     */               
/* 880 */               currentWidth = getWidthChange(gc.getAdvanceWidth(content.charAt(i)), content.charAt(i));
/* 881 */               if (rowWidth + currentWidth >= width) {
/* 882 */                 rowWidth = 0;
/* 883 */                 rows++;
/*     */               } 
/*     */             } 
/*     */           } 
/* 887 */           allHeight = gc.getFontMetrics().getHeight() * rows;
/* 888 */           fontSize--;
/* 889 */         } while (allHeight > height);
/* 890 */       } catch (Exception e) {
/* 891 */         e.printStackTrace();
/*     */       } 
/*     */     }
/* 894 */     return font;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isPunctuationAndDigit(char c) {
/* 907 */     String punctuation = ">,.//?;':\"!@#$%^&*)，、。》：“；‘！@#￥%……&*）}1234567890";
/* 908 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 909 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 910 */       if (_c == c) {
/* 911 */         return true;
/*     */       }
/*     */       b++; }
/*     */     
/* 915 */     return false;
/*     */   }
/*     */ 
/*     */   
/*     */   public static boolean isPunctuationAndDigitAndNextChar(char currentChar, char nextNextChar) {
/* 920 */     String punctuation = ">,.//?;':\"!@#$%^&*)，、。》：“；‘！@#￥%……&*）}1234567890";
/* 921 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 922 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 923 */       if (_c == nextNextChar)
/* 924 */         return true; 
/*     */       b++; }
/*     */     
/* 927 */     if (isNewLine(currentChar, nextNextChar)) {
/* 928 */       return true;
/*     */     }
/* 930 */     return false;
/*     */   }
/*     */   
/*     */   public static boolean isNewLine(char currentChar, char nextChar) {
/* 934 */     if (isDigitAndFirstPunctuation(currentChar) && !isDigitAndFirstPunctuation(nextChar)) {
/* 935 */       return true;
/*     */     }
/* 937 */     return false;
/*     */   }
/*     */   
/*     */   public static boolean isDigitAndFirstPunctuation(char c) {
/* 941 */     String punctuation = "<(《（}1234567890";
/* 942 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 943 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 944 */       if (_c == c)
/* 945 */         return true; 
/*     */       b++; }
/*     */     
/* 948 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean hasFullChar(String str) {
/* 955 */     if ((str.getBytes()).length == str.length()) {
/* 956 */       return false;
/*     */     }
/* 958 */     return true;
/*     */   }
/*     */   
/*     */   public static int getWidthChange(int width, char ch) {
/* 962 */     return width;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\PrintJob.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */