/*     */ package cs.sydj.operation.idcode;
/*     */ 
/*     */ import com.google.zxing.LuminanceSource;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.ImageObserver;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class BufferedImageLuminanceSource
/*     */   extends LuminanceSource
/*     */ {
/*     */   private final BufferedImage image;
/*     */   private final int left;
/*     */   private final int top;
/*     */   
/*     */   public BufferedImageLuminanceSource(BufferedImage image) {
/*  20 */     this(image, 0, 0, image.getWidth(), image.getHeight());
/*     */   }
/*     */ 
/*     */   
/*     */   public BufferedImageLuminanceSource(BufferedImage image, int left, int top, int width, int height) {
/*  25 */     super(width, height);
/*     */     
/*  27 */     int sourceWidth = image.getWidth();
/*  28 */     int sourceHeight = image.getHeight();
/*  29 */     if (left + width > sourceWidth || top + height > sourceHeight) {
/*  30 */       throw new IllegalArgumentException(
/*  31 */           "Crop rectangle does not fit within image data.");
/*     */     }
/*     */     
/*  34 */     for (int y = top; y < top + height; y++) {
/*  35 */       for (int x = left; x < left + width; x++) {
/*  36 */         if ((image.getRGB(x, y) & 0xFF000000) == 0) {
/*  37 */           image.setRGB(x, y, -1);
/*     */         }
/*     */       } 
/*     */     } 
/*     */     
/*  42 */     this.image = new BufferedImage(sourceWidth, sourceHeight, 
/*  43 */         10);
/*  44 */     this.image.getGraphics().drawImage(image, 0, 0, null);
/*  45 */     this.left = left;
/*  46 */     this.top = top;
/*     */   }
/*     */ 
/*     */   
/*     */   public byte[] getRow(int y, byte[] row) {
/*  51 */     if (y < 0 || y >= getHeight()) {
/*  52 */       throw new IllegalArgumentException(
/*  53 */           "Requested row is outside the image: " + y);
/*     */     }
/*  55 */     int width = getWidth();
/*  56 */     if (row == null || row.length < width) {
/*  57 */       row = new byte[width];
/*     */     }
/*  59 */     this.image.getRaster().getDataElements(this.left, this.top + y, width, 1, row);
/*  60 */     return row;
/*     */   }
/*     */ 
/*     */   
/*     */   public byte[] getMatrix() {
/*  65 */     int width = getWidth();
/*  66 */     int height = getHeight();
/*  67 */     int area = width * height;
/*  68 */     byte[] matrix = new byte[area];
/*  69 */     this.image.getRaster().getDataElements(this.left, this.top, width, height, matrix);
/*  70 */     return matrix;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isCropSupported() {
/*  75 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   public LuminanceSource crop(int left, int top, int width, int height) {
/*  80 */     return new BufferedImageLuminanceSource(this.image, this.left + left, 
/*  81 */         this.top + top, width, height);
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isRotateSupported() {
/*  86 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public LuminanceSource rotateCounterClockwise() {
/*  92 */     int sourceWidth = this.image.getWidth();
/*  93 */     int sourceHeight = this.image.getHeight();
/*     */     
/*  95 */     AffineTransform transform = new AffineTransform(0.0D, -1.0D, 1.0D, 0.0D, 
/*  96 */         0.0D, sourceWidth);
/*     */     
/*  98 */     BufferedImage rotatedImage = new BufferedImage(sourceHeight, 
/*  99 */         sourceWidth, 10);
/*     */     
/* 101 */     Graphics2D g = rotatedImage.createGraphics();
/* 102 */     g.drawImage(this.image, transform, (ImageObserver)null);
/* 103 */     g.dispose();
/*     */     
/* 105 */     int width = getWidth();
/* 106 */     return new BufferedImageLuminanceSource(rotatedImage, this.top, sourceWidth - 
/* 107 */         this.left + width, getHeight(), width);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\idcode\BufferedImageLuminanceSource.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */