/*     */ package cs.sydj.operation.idcode;
/*     */ 
/*     */ import com.google.zxing.BarcodeFormat;
/*     */ import com.google.zxing.Binarizer;
/*     */ import com.google.zxing.BinaryBitmap;
/*     */ import com.google.zxing.EncodeHintType;
/*     */ import com.google.zxing.LuminanceSource;
/*     */ import com.google.zxing.MultiFormatReader;
/*     */ import com.google.zxing.MultiFormatWriter;
/*     */ import com.google.zxing.Result;
/*     */ import com.google.zxing.WriterException;
/*     */ import com.google.zxing.common.BitMatrix;
/*     */ import com.google.zxing.common.HybridBinarizer;
/*     */ import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.ColorModel;
/*     */ import java.awt.image.DirectColorModel;
/*     */ import java.awt.image.ImageObserver;
/*     */ import java.awt.image.IndexColorModel;
/*     */ import java.awt.image.WritableRaster;
/*     */ import java.io.File;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import javax.imageio.ImageIO;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import org.eclipse.swt.graphics.ImageData;
/*     */ import org.eclipse.swt.graphics.PaletteData;
/*     */ import org.eclipse.swt.graphics.RGB;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class IDCodeGen
/*     */ {
/*  50 */   private static IDCodeGen instance = new IDCodeGen();
/*     */ 
/*     */ 
/*     */   
/*     */   public static IDCodeGen getInstance() {
/*  55 */     return instance;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BufferedImage createPic(String idcode) {
/*  67 */     BufferedImage idcodePic = null;
/*     */     try {
/*  69 */       if (idcode == null || "".equals(idcode))
/*  70 */         return idcodePic; 
/*  71 */       idcode = "http://search.gjsy.gov.cn/sydwCx?s=" + idcode;
/*     */       
/*  73 */       BufferedImage bim = getIDCodeBufferedImage(idcode, 
/*  74 */           BarcodeFormat.QR_CODE, 100, 100, getDecodeHintType());
/*     */       
/*  76 */       File logoFile = new File(PublicUtil.getRealPath("certtemplate/certpic/idcode_logo.jpg"));
/*  77 */       BufferedImage logo = ImageIO.read(logoFile);
/*  78 */       idcodePic = addLogo2IDCode(bim, logo, new LogoConfig());
/*  79 */     } catch (Exception e) {
/*  80 */       e.printStackTrace();
/*     */     } 
/*  82 */     return idcodePic;
/*     */   }
/*     */ 
/*     */   
/*     */   private BufferedImage convertToAWT(Image image) {
/*  87 */     ImageData data = image.getImageData();
/*     */     
/*  89 */     ColorModel colorModel = null;
/*  90 */     PaletteData palette = data.palette;
/*  91 */     if (palette.isDirect) {
/*  92 */       colorModel = new DirectColorModel(data.depth, palette.redMask, 
/*  93 */           palette.greenMask, palette.blueMask);
/*  94 */       BufferedImage bufferedImage1 = new BufferedImage(colorModel, 
/*  95 */           colorModel.createCompatibleWritableRaster(data.width, 
/*  96 */             data.height), false, null);
/*  97 */       WritableRaster writableRaster = bufferedImage1.getRaster();
/*  98 */       int[] arrayOfInt = new int[3];
/*  99 */       for (int j = 0; j < data.height; j++) {
/* 100 */         for (int x = 0; x < data.width; x++) {
/* 101 */           int pixel = data.getPixel(x, j);
/* 102 */           RGB rgb = palette.getRGB(pixel);
/* 103 */           arrayOfInt[0] = rgb.red;
/* 104 */           arrayOfInt[1] = rgb.green;
/* 105 */           arrayOfInt[2] = rgb.blue;
/* 106 */           writableRaster.setPixels(x, j, 1, 1, arrayOfInt);
/*     */         } 
/*     */       } 
/* 109 */       return bufferedImage1;
/*     */     } 
/* 111 */     RGB[] rgbs = palette.getRGBs();
/* 112 */     byte[] red = new byte[rgbs.length];
/* 113 */     byte[] green = new byte[rgbs.length];
/* 114 */     byte[] blue = new byte[rgbs.length];
/* 115 */     for (int i = 0; i < rgbs.length; i++) {
/* 116 */       RGB rgb = rgbs[i];
/* 117 */       red[i] = (byte)rgb.red;
/* 118 */       green[i] = (byte)rgb.green;
/* 119 */       blue[i] = (byte)rgb.blue;
/*     */     } 
/* 121 */     if (data.transparentPixel != -1) {
/* 122 */       colorModel = new IndexColorModel(data.depth, rgbs.length, red, 
/* 123 */           green, blue, data.transparentPixel);
/*     */     } else {
/* 125 */       colorModel = new IndexColorModel(data.depth, rgbs.length, red, 
/* 126 */           green, blue);
/*     */     } 
/* 128 */     BufferedImage bufferedImage = new BufferedImage(colorModel, 
/* 129 */         colorModel.createCompatibleWritableRaster(data.width, 
/* 130 */           data.height), false, null);
/* 131 */     WritableRaster raster = bufferedImage.getRaster();
/* 132 */     int[] pixelArray = new int[1];
/* 133 */     for (int y = 0; y < data.height; y++) {
/* 134 */       for (int x = 0; x < data.width; x++) {
/* 135 */         int pixel = data.getPixel(x, y);
/* 136 */         pixelArray[0] = pixel;
/* 137 */         raster.setPixel(x, y, pixelArray);
/*     */       } 
/*     */     } 
/* 140 */     return bufferedImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BufferedImage addLogo2IDCode(BufferedImage imagePic, BufferedImage logoPic, LogoConfig logoConfig) {
/* 152 */     BufferedImage idcodePic = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 158 */       BufferedImage image = imagePic;
/* 159 */       Graphics2D g = image.createGraphics();
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 164 */       BufferedImage logo = logoPic;
/*     */ 
/*     */ 
/*     */       
/* 168 */       int widthLogo = (logo.getWidth((ImageObserver)null) > image.getWidth() * 2 / 2) ? (image.getWidth() * 2 / 2) : logo.getWidth((ImageObserver)null);
/* 169 */       int heightLogo = (logo.getHeight((ImageObserver)null) > image.getHeight() * 2 / 10) ? (image.getHeight() * 2 / 10) : logo.getWidth((ImageObserver)null);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 175 */       int x = (image.getWidth() - widthLogo) / 2;
/* 176 */       int y = (image.getHeight() - heightLogo) / 2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 183 */       g.drawImage(logo, x, y, widthLogo, heightLogo, null);
/* 184 */       g.drawRoundRect(x, y, widthLogo, heightLogo, 15, 15);
/* 185 */       g.setStroke(new BasicStroke(logoConfig.getBorder()));
/* 186 */       g.setColor(logoConfig.getBorderColor());
/* 187 */       g.drawRect(x, y, widthLogo, heightLogo);
/*     */       
/* 189 */       g.dispose();
/* 190 */       logo.flush();
/* 191 */       image.flush();
/*     */       
/* 193 */       idcodePic = image;
/*     */     }
/* 195 */     catch (Exception e) {
/*     */       
/* 197 */       idcodePic = null;
/* 198 */       e.printStackTrace();
/*     */     } 
/* 200 */     return idcodePic;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void parseIDCodeImage(File file) {
/*     */     try {
/* 212 */       MultiFormatReader formatReader = new MultiFormatReader();
/* 213 */       if (!file.exists()) {
/*     */         return;
/*     */       }
/*     */ 
/*     */       
/* 218 */       BufferedImage image = ImageIO.read(file);
/*     */       
/* 220 */       LuminanceSource source = new BufferedImageLuminanceSource(image);
/* 221 */       HybridBinarizer hybridBinarizer = new HybridBinarizer(source);
/* 222 */       BinaryBitmap binaryBitmap = new BinaryBitmap((Binarizer)hybridBinarizer);
/*     */       
/* 224 */       Map<Object, Object> hints = new HashMap<Object, Object>();
/* 225 */       hints.put(EncodeHintType.CHARACTER_SET, "UTF-8");
/*     */       
/* 227 */       Result result = formatReader.decode(binaryBitmap, hints);
/*     */     }
/* 229 */     catch (Exception e) {
/*     */       
/* 231 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void decodeIDCode2ImageFile(BitMatrix bm, String imageFormat, File file) {
/*     */     try {
/* 246 */       if (file == null || file.getName().trim().isEmpty())
/*     */       {
/* 248 */         throw new IllegalArgumentException("文件异常，或扩展名有问题！");
/*     */       }
/*     */       
/* 251 */       BufferedImage bi = fileToBufferedImage(bm);
/* 252 */       ImageIO.write(bi, "apng", file);
/*     */     }
/* 254 */     catch (Exception e) {
/*     */       
/* 256 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BufferedImage fileToBufferedImage(BitMatrix bm) {
/* 268 */     BufferedImage image = null;
/*     */     
/*     */     try {
/* 271 */       int w = bm.getWidth(), h = bm.getHeight();
/* 272 */       image = new BufferedImage(w, h, 1);
/*     */       
/* 274 */       for (int x = 0; x < w; x++)
/*     */       {
/* 276 */         for (int y = 0; y < h; y++)
/*     */         {
/*     */ 
/*     */ 
/*     */           
/* 281 */           image.setRGB(x, y, bm.get(x, y) ? -16777216 : -1);
/*     */         }
/*     */       }
/*     */     
/*     */     }
/* 286 */     catch (Exception e) {
/*     */       
/* 288 */       e.printStackTrace();
/*     */     } 
/* 290 */     return image;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BufferedImage getIDCodeBufferedImage(String content, BarcodeFormat barcodeFormat, int width, int height, Map<EncodeHintType, ?> hints) {
/* 310 */     MultiFormatWriter multiFormatWriter = null;
/* 311 */     BitMatrix bm = null;
/* 312 */     BufferedImage image = null;
/*     */     
/*     */     try {
/* 315 */       multiFormatWriter = new MultiFormatWriter();
/*     */ 
/*     */       
/* 318 */       bm = multiFormatWriter.encode(content, barcodeFormat, width, height, hints);
/*     */       
/* 320 */       int w = bm.getWidth();
/* 321 */       int h = bm.getHeight();
/* 322 */       image = new BufferedImage(w, h, 1);
/*     */ 
/*     */       
/* 325 */       for (int x = 0; x < w; x++)
/*     */       {
/* 327 */         for (int y = 0; y < h; y++)
/*     */         {
/*     */ 
/*     */ 
/*     */           
/* 332 */           image.setRGB(x, y, bm.get(x, y) ? -16777216 : -1);
/*     */         }
/*     */       }
/*     */     
/* 336 */     } catch (WriterException e) {
/*     */       
/* 338 */       e.printStackTrace();
/*     */     } 
/* 340 */     return image;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Map<EncodeHintType, Object> getDecodeHintType() {
/* 351 */     Map<EncodeHintType, Object> hints = new HashMap<EncodeHintType, Object>();
/*     */     
/* 353 */     hints.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.H);
/*     */     
/* 355 */     hints.put(EncodeHintType.CHARACTER_SET, "utf-8");
/* 356 */     hints.put(EncodeHintType.MARGIN, Integer.valueOf(0));
/* 357 */     hints.put(EncodeHintType.MAX_SIZE, Integer.valueOf(100));
/* 358 */     hints.put(EncodeHintType.MIN_SIZE, Integer.valueOf(100));
/*     */     
/* 360 */     return hints;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\idcode\IDCodeGen.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */