/*     */ package cs.sydj.operation.shenhe.cert.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shenhe.cert.CertDetailDialogShenHe;
/*     */ import cs.sydj.operation.shenhe.cert.CertOperationShenHe;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertDetailActionGroupShenHe
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private CertDetailDialogShenHe dialog;
/*     */   
/*     */   public CertDetailActionGroupShenHe(CertDetailDialogShenHe dialog) {
/*  38 */     this.dialog = dialog;
/*  39 */     this.barManager = dialog.getBarManager();
/*  40 */     this.applyId = dialog.getCert().getApplyId();
/*  41 */     this.currentId = dialog.getCert().getId();
/*  42 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  47 */       setId("cs.sydj.shenhe.cert.actions.acceptpass");
/*  48 */       setText("审核通过");
/*  49 */       setToolTipText("审核通过");
/*  50 */       setEnabled(StaticVariableClass.isWtAdvice);
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  55 */         CertOperationShenHe cert = new CertOperationShenHe();
/*  56 */         UnitInfoModel model = CertDetailActionGroupShenHe.this.dialog.getCert();
/*  57 */         String flag = cert
/*  58 */           .acceptPass(model.getApplyId(), model.getId());
/*  59 */         if ("true".equals(flag)) {
/*  60 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/*  61 */           CertDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/*  62 */           CertDetailActionGroupShenHe.this.dialog.getShell().dispose();
/*     */         } else {
/*  64 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         } 
/*  66 */       } catch (Exception e) {
/*  67 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  75 */       setId("cs.sydj.shenhe.cert.actions.backmodify");
/*  76 */       setText("退回修改");
/*  77 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  81 */       CertOperationShenHe cert = new CertOperationShenHe();
/*  82 */       String str = cert.backModifyStr(CertDetailActionGroupShenHe.this.applyId, CertDetailActionGroupShenHe.this.currentId);
/*  83 */       if (str == null)
/*     */         return; 
/*  85 */       ArrayList list = cert.getAnnexName(
/*  86 */           GljgUserInfo.getInstance().getGroupid());
/*  87 */       if (list == null)
/*     */         return; 
/*  89 */       String advice = cert.checkBackOffReason(CertDetailActionGroupShenHe.this.applyId, CertDetailActionGroupShenHe.this.currentId);
/*  90 */       if (advice == null)
/*     */         return; 
/*  92 */       BackModifyDialog back = new BackModifyDialog(CertDetailActionGroupShenHe.this.shell, str, list, 
/*  93 */           advice, "你单位提交的证书补领申请材料不全，请补充提交：", 
/*  94 */           "你单位提交的证书补领申请材料不合格，请重新提交：", "事业单位法人证书补领申请报告书", "", "");
/*  95 */       if (back.open() == 0) {
/*  96 */         String flag = cert.backModify(CertDetailActionGroupShenHe.this.applyId, CertDetailActionGroupShenHe.this.currentId, 
/*  97 */             back.getReason());
/*  98 */         if ("true".equals(flag)) {
/*  99 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 100 */           CertDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 101 */           if (!CertDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 102 */             CertDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */         } else {
/* 104 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         } 
/* 106 */         CertDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 107 */         if (!CertDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 108 */           CertDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 114 */     this.barManager.removeAll();
/* 115 */     if (this.isVisible) {
/* 116 */       Action acceptPass = new AcceptPassAction();
/* 117 */       Action backModify = new BackModifyAction();
/* 118 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 119 */       this.barManager.add(createContributionItem((IAction)backModify));
/*     */     } 
/* 121 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 125 */     ActionContributionItem act = new ActionContributionItem(action);
/* 126 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 127 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 133 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\cert\actions\CertDetailActionGroupShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */