/*     */ package cs.sydj.restart;
/*     */ 
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import org.eclipse.core.runtime.CoreException;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.core.runtime.OperationCanceledException;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.dialogs.MessageDialog;
/*     */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.update.configuration.IConfiguredSite;
/*     */ import org.eclipse.update.configuration.ILocalSite;
/*     */ import org.eclipse.update.core.IFeature;
/*     */ import org.eclipse.update.core.IFeatureReference;
/*     */ import org.eclipse.update.core.SiteManager;
/*     */ import org.eclipse.update.operations.IInstallFeatureOperation;
/*     */ import org.eclipse.update.operations.OperationsManager;
/*     */ import org.eclipse.update.search.BackLevelFilter;
/*     */ import org.eclipse.update.search.EnvironmentFilter;
/*     */ import org.eclipse.update.search.IUpdateSearchCategory;
/*     */ import org.eclipse.update.search.IUpdateSearchFilter;
/*     */ import org.eclipse.update.search.IUpdateSearchResultCollector;
/*     */ import org.eclipse.update.search.UpdateSearchRequest;
/*     */ import org.eclipse.update.search.UpdateSearchScope;
/*     */ import server.util.log.Log;
/*     */ 
/*     */ 
/*     */ public class Update
/*     */   extends Action
/*     */ {
/*  36 */   private List<IInstallFeatureOperation> updateOperation = new ArrayList<IInstallFeatureOperation>();
/*     */   
/*  38 */   private int updateTag = -1;
/*     */   private boolean stopFlag = false;
/*     */   
/*     */   public Update() {
/*  42 */     setId("cs.sydj.intro.Update");
/*  43 */     setText("系统更新");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*  49 */     ProgressMonitorDialog pmd = new ProgressMonitorDialog(null);
/*  50 */     IRunnableWithProgress rwp = new IRunnableWithProgress()
/*     */       {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
/*  53 */           monitor.beginTask("正在进行软件升级。。。", -1);
/*  54 */           String homeBase = System.getProperty("sydj.homebase");
/*     */ 
/*     */           
/*  57 */           if (homeBase == null)
/*     */           {
/*  59 */             homeBase = "http://172.32.4.133:80/cs.sydj.update";
/*     */           }
/*  61 */           Update.this.showQuestBox(homeBase);
/*  62 */           monitor.subTask("搜索服务器站点" + homeBase + "。。。");
/*     */ 
/*     */           
/*  65 */           for (int i = 0; i <= 10 && !Update.this.stopFlag; i++) {
/*     */             
/*     */             try {
/*  68 */               Update.this.searchUpdateInfo(homeBase, monitor);
/*     */               
/*  70 */               Update.this.updateTag = Update.this.installUpdate(Update.this.updateOperation, monitor);
/*  71 */               Update.this.updateTag = 1;
/*  72 */               Update.this.stopFlag = true;
/*  73 */             } catch (CoreException e1) {
/*  74 */               e1.printStackTrace();
/*  75 */               Update.this.showQuestBox((new StringBuilder(String.valueOf(e1.getStatus().getCode()))).toString());
/*  76 */               if (e1.getStatus().getCode() != 42)
/*     */               
/*  78 */               { Update.this.stopFlag = true; }
/*     */               else
/*  80 */               { Thread.sleep(10000L); } 
/*  81 */             } catch (MalformedURLException e) {
/*  82 */               e.printStackTrace();
/*  83 */               Update.this.stopFlag = true;
/*     */             } 
/*     */           } 
/*     */           
/*  87 */           monitor.done();
/*     */         }
/*     */       };
/*     */     try {
/*  91 */       pmd.run(true, false, rwp);
/*  92 */     } catch (Exception e) {
/*  93 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  96 */     showQuestBox("stopFlag:" + this.stopFlag);
/*  97 */     if (this.stopFlag) {
/*     */       
/*  99 */       showQuestBox("updateTag:" + this.updateTag);
/* 100 */       if (this.updateTag == 1) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 106 */         PlatformUI.getWorkbench().restart();
/*     */       
/*     */       }
/* 109 */       else if (this.updateTag == 0) {
/*     */         
/* 111 */         showQuestBox("服务器站点没有可供升级的新版本！");
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 116 */         showQuestBox("升级失败！");
/*     */       } 
/*     */     } else {
/*     */       
/* 120 */       MessageDialog.openError(null, "提示", "网站繁忙，请稍候再试！");
/* 121 */       PlatformUI.getWorkbench().close();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void searchUpdateInfo(String homeBase, IProgressMonitor monitor) throws MalformedURLException, OperationCanceledException, CoreException {
/* 131 */     IUpdateSearchCategory category = 
/* 132 */       UpdateSearchRequest.createDefaultSiteSearchCategory();
/* 133 */     UpdateSearchScope searchScope = new UpdateSearchScope();
/* 134 */     if (homeBase == null)
/* 135 */       homeBase = "http://localhost:8080/cs.sydj.update/"; 
/* 136 */     URL url = new URL(homeBase);
/* 137 */     searchScope.addSearchSite(homeBase, url, null);
/* 138 */     UpdateSearchRequest searchRequest = new UpdateSearchRequest(category, 
/* 139 */         searchScope);
/*     */     
/* 141 */     searchRequest.addFilter((IUpdateSearchFilter)new BackLevelFilter());
/*     */     
/* 143 */     searchRequest.addFilter((IUpdateSearchFilter)new EnvironmentFilter());
/*     */     
/* 145 */     IUpdateSearchResultCollector collector = new SearchResultCollector();
/*     */     
/* 147 */     searchRequest.performSearch(collector, monitor);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private int installUpdate(List<IInstallFeatureOperation> update, IProgressMonitor monitor) throws CoreException {
/* 153 */     showQuestBox("更新包数量：" + update.size());
/*     */     
/* 155 */     monitor.subTask("获取本地软件信息。。。");
/* 156 */     ILocalSite localSite = SiteManager.getLocalSite();
/* 157 */     IConfiguredSite localConfigSite = localSite.getCurrentConfiguration()
/* 158 */       .getConfiguredSites()[0];
/* 159 */     IFeatureReference[] localFeatures = localConfigSite
/* 160 */       .getConfiguredFeatures();
/*     */     
/* 162 */     showQuestBox("feartures:" + localFeatures.length);
/*     */     
/* 164 */     if (localFeatures.length == 0) {
/* 165 */       if (update.size() > 0)
/*     */       {
/* 167 */         IFeature temp = null;
/* 168 */         for (int i = 0; i < update.size(); i++) {
/* 169 */           IInstallFeatureOperation op = update
/* 170 */             .get(i);
/* 171 */           IFeature feature = op.getFeature();
/* 172 */           if (temp == null) {
/* 173 */             temp = feature;
/*     */           }
/* 175 */           else if (feature.getVersionedIdentifier().getVersion()
/* 176 */             .isGreaterThan(
/* 177 */               temp.getVersionedIdentifier().getVersion())) {
/* 178 */             temp = feature;
/*     */           } 
/* 180 */         }  if (temp != null) {
/* 181 */           showQuestBox("下载的id:" + 
/* 182 */               temp.getVersionedIdentifier().getVersion());
/*     */           
/* 184 */           return 1;
/*     */         }
/*     */       
/*     */       }
/*     */     
/* 189 */     } else if (update.size() > 0) {
/*     */       
/* 191 */       IFeature temp = null;
/* 192 */       boolean hasnew = false;
/* 193 */       for (int i = 0; i < update.size(); i++) {
/* 194 */         IInstallFeatureOperation op = update
/* 195 */           .get(i);
/* 196 */         IFeature feature = op.getFeature();
/* 197 */         if (temp == null) {
/* 198 */           temp = feature;
/*     */         }
/* 200 */         else if (feature.getVersionedIdentifier().getVersion()
/* 201 */           .isGreaterThan(
/* 202 */             temp.getVersionedIdentifier().getVersion())) {
/* 203 */           temp = feature;
/*     */         } 
/*     */       } 
/* 206 */       for (int j = 0; j < localFeatures.length; j++) {
/* 207 */         String id = localFeatures[j].getVersionedIdentifier()
/* 208 */           .getIdentifier();
/* 209 */         String sid = temp.getVersionedIdentifier().getIdentifier();
/* 210 */         showQuestBox("id:" + id + "; sid:" + sid);
/* 211 */         if (sid.equals(id))
/*     */         {
/*     */ 
/*     */           
/* 215 */           if (temp.getVersionedIdentifier().getVersion()
/* 216 */             .isGreaterThan(
/* 217 */               localFeatures[j]
/* 218 */               .getVersionedIdentifier()
/* 219 */               .getVersion()))
/* 220 */             hasnew = true; 
/*     */         }
/*     */       } 
/* 223 */       if (hasnew) {
/* 224 */         showQuestBox("下载的id:" + 
/* 225 */             temp.getVersionedIdentifier().getVersion());
/*     */         
/* 227 */         return 1;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 232 */     return 0;
/*     */   }
/*     */   
/*     */   class SearchResultCollector
/*     */     implements IUpdateSearchResultCollector {
/*     */     public void accept(IFeature match) {
/* 238 */       IInstallFeatureOperation oper = 
/* 239 */         OperationsManager.getOperationFactory().createInstallOperation(null, match, 
/* 240 */           null, null, null);
/* 241 */       Update.this.updateOperation.add(oper);
/*     */     }
/*     */   }
/*     */   
/*     */   private int showQuestBox(String info) {
/* 246 */     Log.logInfo(info);
/* 247 */     return 0;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\restart\Update.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */