/*    */ package cs.sydj.util.messageutil;
/*    */ 
/*    */ import com.thoughtworks.xstream.XStream;
/*    */ import com.thoughtworks.xstream.io.HierarchicalStreamDriver;
/*    */ import com.thoughtworks.xstream.io.xml.DomDriver;
/*    */ import java.util.ArrayList;
/*    */ import java.util.HashMap;
/*    */ import java.util.Iterator;
/*    */ import java.util.Map;
/*    */ import org.dom4j.Document;
/*    */ import org.dom4j.DocumentException;
/*    */ import org.dom4j.DocumentHelper;
/*    */ import org.dom4j.Element;
/*    */ 
/*    */ 
/*    */ public class MessageXML
/*    */ {
/*    */   public static String MessageToXML(String operation, String method, HashMap message) {
/* 19 */     Document doc = DocumentHelper.createDocument();
/* 20 */     Element rootelement = doc.addElement("sydjmessage");
/* 21 */     Element operationelement = rootelement.addElement("operation");
/* 22 */     operationelement.addText(operation);
/* 23 */     Element methodelement = rootelement.addElement("method");
/* 24 */     methodelement.addText(method);
/* 25 */     Element parameterelement = rootelement.addElement("parameter");
/* 26 */     for (Iterator<Map.Entry> it = message.entrySet().iterator(); it.hasNext(); ) {
/* 27 */       Map.Entry entry = it.next();
/* 28 */       Element parameter = null;
/* 29 */       if (entry.getKey() != null)
/* 30 */         parameter = parameterelement.addElement(entry.getKey().toString()); 
/* 31 */       if (entry.getValue() != null)
/* 32 */         parameter.addText(entry.getValue().toString()); 
/*    */     } 
/* 34 */     return doc.asXML();
/*    */   }
/*    */   
/*    */   public static String getReplyXML(Object result) {
/* 38 */     XStream xstream = new XStream((HierarchicalStreamDriver)new DomDriver());
/* 39 */     String strxml = xstream.toXML(result);
/* 40 */     return strxml;
/*    */   }
/*    */   
/*    */   public static ArrayList XMLToList(String replyxml) {
/* 44 */     if (replyxml == null) {
/* 45 */       return null;
/*    */     }
/* 47 */     XStream xstream = new XStream((HierarchicalStreamDriver)new DomDriver());
/* 48 */     ArrayList resultlist = (ArrayList)xstream.fromXML(replyxml);
/* 49 */     return resultlist;
/*    */   }
/*    */   
/*    */   public static Object XMLToObject(String replyxml) {
/* 53 */     if (replyxml == null) {
/* 54 */       return null;
/*    */     }
/* 56 */     XStream xstream = new XStream((HierarchicalStreamDriver)new DomDriver());
/* 57 */     Object resultObject = xstream.fromXML(replyxml);
/* 58 */     return resultObject;
/*    */   }
/*    */ 
/*    */   
/*    */   public static HashMap getParameter(String infoxml) {
/* 63 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/*    */     try {
/* 65 */       Document document = DocumentHelper.parseText(infoxml);
/* 66 */       Element root = document.getRootElement();
/* 67 */       Element parameter = root.element("parameter");
/* 68 */       for (Iterator<Element> it = parameter.elements().iterator(); it.hasNext(); ) {
/* 69 */         Element parameterItem = it.next();
/* 70 */         hm.put(parameterItem.getName(), parameterItem.getText());
/*    */       } 
/* 72 */     } catch (DocumentException e) {
/* 73 */       e.printStackTrace();
/*    */     } 
/* 75 */     return hm;
/*    */   }
/*    */   
/*    */   public static ArrayList getOperation(String infoxml) {
/* 79 */     ArrayList<String> operationName = new ArrayList();
/*    */     
/*    */     try {
/* 82 */       Document document = DocumentHelper.parseText(infoxml);
/* 83 */       Element root = document.getRootElement();
/* 84 */       operationName.add(root.elementText("operation"));
/* 85 */       operationName.add(root.elementText("method"));
/* 86 */     } catch (DocumentException e) {
/* 87 */       e.printStackTrace();
/*    */     } 
/* 89 */     return operationName;
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\syd\\util\messageutil\MessageXML.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */