/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.border.Border;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.controller.AbstractImmediateUpdateCheckBoxPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractContentContainerPanel
/*     */   extends AbstractPrintOptionsContainerPanel
/*     */ {
/*     */   public static class ConstructionOptions
/*     */   {
/*     */     public boolean updatedImmediately = false;
/*     */     public boolean toMinimizeHeight = false;
/*     */     public boolean borderOptionsIncluded = true;
/*     */     public boolean useBackgroundOptionIncluded = true;
/*     */     public boolean backgroundOnPageOptionIncluded = true;
/*  57 */     public float minScaleFactor = 0.0F;
/*  58 */     public float maxScaleFactor = 0.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ConstructionOptions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ConstructionOptions(boolean param1Boolean1, boolean param1Boolean2) {
/*  69 */       this.updatedImmediately = param1Boolean1;
/*  70 */       this.toMinimizeHeight = param1Boolean2;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ConstructionOptions(float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  78 */       this.updatedImmediately = param1Boolean1;
/*  79 */       this.toMinimizeHeight = param1Boolean2;
/*  80 */       this.minScaleFactor = param1Float1;
/*  81 */       this.maxScaleFactor = param1Float2;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ConstructionOptions(JComponent param1JComponent, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  88 */       this(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */       
/*  90 */       if (param1JComponent != null) {
/*     */         
/*  92 */         boolean bool = a(param1JComponent);
/*     */         
/*  94 */         this.useBackgroundOptionIncluded = bool;
/*  95 */         this.backgroundOnPageOptionIncluded = bool;
/*  96 */         this.borderOptionsIncluded = (param1JComponent.getBorder() != null);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ConstructionOptions(AbstractComponentPrinter param1AbstractComponentPrinter, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/* 104 */       this(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */       
/* 106 */       this.useBackgroundOptionIncluded = a(param1AbstractComponentPrinter); Color color; AbstractComponentPrinter abstractComponentPrinter;
/* 107 */       this.backgroundOnPageOptionIncluded = ((color = (abstractComponentPrinter = param1AbstractComponentPrinter).getPageBackgroundColor()).getRGB() != AbstractContentContainerPanel.a);
/* 108 */       this.borderOptionsIncluded = param1AbstractComponentPrinter.isBorderControlAllowed();
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     boolean a(JComponent param1JComponent) {
/*     */       Color color;
/* 115 */       return ((color = param1JComponent.getBackground()).getRGB() != AbstractContentContainerPanel.a);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     boolean a(AbstractComponentPrinter param1AbstractComponentPrinter) {
/*     */       Color color;
/* 122 */       return ((color = param1AbstractComponentPrinter.getTargetComponentBackgroundColor()).getRGB() != AbstractContentContainerPanel.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 137 */   static final int a = Color.WHITE.getRGB();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String CONTENT_TYPE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractContentContainerPanel(String paramString, PrintOptionsController[] paramArrayOfPrintOptionsController) {
/* 153 */     this(paramString, paramArrayOfPrintOptionsController, "Other");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractContentContainerPanel(String paramString1, PrintOptionsController[] paramArrayOfPrintOptionsController, String paramString2) {
/* 160 */     super(paramString1, paramArrayOfPrintOptionsController);
/*     */     
/* 162 */     this.CONTENT_TYPE = paramString2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContentType() {
/* 177 */     return this.CONTENT_TYPE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createOptionsPanel(Locale paramLocale) {
/* 190 */     return createOptionsPanel((LayoutManager)new ColLayout(1, 10, 0, false), paramLocale);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createOptionsPanel(LayoutManager paramLayoutManager, Locale paramLocale) {
/*     */     String str;
/* 199 */     JPanel jPanel = new JPanel(paramLayoutManager);
/* 200 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 205 */       str = "Options";
/*     */     }
/*     */     else {
/*     */       
/* 209 */       str = ResourceAdministrator.getLocalizedString("options");
/*     */     } 
/*     */ 
/*     */     
/* 213 */     jPanel.setBorder(BorderFactory.createTitledBorder(str));
/*     */     
/* 215 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createScalePanel(PrintOptionsController paramPrintOptionsController, Locale paramLocale) {
/*     */     String str;
/* 223 */     JPanel jPanel = new JPanel(new FlowLayout(0, 7, 0));
/* 224 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 229 */       str = "Size";
/*     */     }
/*     */     else {
/*     */       
/* 233 */       str = ResourceAdministrator.getLocalizedString("size");
/*     */     } 
/*     */ 
/*     */     
/* 237 */     jPanel.setBorder(BorderFactory.createTitledBorder(str));
/* 238 */     jPanel.add(paramPrintOptionsController.getDisplayComponent());
/*     */     
/* 240 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createSizePanel(PrintOptionsController paramPrintOptionsController1, PrintOptionsController paramPrintOptionsController2, Locale paramLocale) {
/*     */     String str;
/* 250 */     JPanel jPanel = new JPanel((LayoutManager)new ColLayout(1, 7));
/* 251 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 256 */       str = "Size";
/*     */     }
/*     */     else {
/*     */       
/* 260 */       str = ResourceAdministrator.getLocalizedString("size");
/*     */     } 
/*     */ 
/*     */     
/* 264 */     jPanel.setBorder(BorderFactory.createTitledBorder(str));
/* 265 */     jPanel.add(paramPrintOptionsController1.getDisplayComponent());
/* 266 */     jPanel.add(paramPrintOptionsController2.getDisplayComponent());
/*     */     
/* 268 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setOptionCheckboxMargins(JPanel paramJPanel, Insets paramInsets) {
/* 284 */     AbstractImmediateUpdateCheckBoxPanel abstractImmediateUpdateCheckBoxPanel = null;
/* 285 */     Component[] arrayOfComponent = paramJPanel.getComponents();
/* 286 */     JCheckBox jCheckBox = null;
/* 287 */     int i = 0;
/*     */ 
/*     */ 
/*     */     
/* 291 */     Border border = BorderFactory.createEmptyBorder(paramInsets.top, paramInsets.left, paramInsets.bottom, paramInsets.right);
/*     */ 
/*     */ 
/*     */     
/* 295 */     for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */       
/* 297 */       if (arrayOfComponent[b] instanceof AbstractImmediateUpdateCheckBoxPanel) {
/*     */         
/* 299 */         i = (abstractImmediateUpdateCheckBoxPanel = (AbstractImmediateUpdateCheckBoxPanel)arrayOfComponent[b]).getControlCheckBoxCount();
/* 300 */         for (byte b1 = 0; b1 < i; b1++)
/*     */         {
/*     */           
/* 303 */           (jCheckBox = abstractImmediateUpdateCheckBoxPanel.getControlCheckBox(b1)).setBorder(border);
/*     */         }
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\AbstractContentContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */