/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.ability.ContentAlignable;
/*     */ import jpdf.ability.FitScalabilityCoded;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.controller.FitOrScalePanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printer.AbstractComponentListPrinter;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.FullHeightRowLayout;
/*     */ import jpdf_common.gui.layout.QuadrantLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ContentContainerPanel
/*     */   extends AbstractContentContainerPanel
/*     */ {
/*     */   public static class ExtendedConstructionOptions
/*     */     extends AbstractContentContainerPanel.ConstructionOptions
/*     */   {
/*     */     public boolean fitPagesIncluded = false;
/*     */     public boolean fitPagesWideIncluded = false;
/*     */     public boolean fitPagesHighIncluded = false;
/*     */     public boolean alignmentIncluded = false;
/*     */     public boolean horizontalAlignmentIncluded = false;
/*     */     public boolean verticalAlignmentIncluded = false;
/*     */     public boolean frameContentIncluded = false;
/*  74 */     public String contentType = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String) {
/*  80 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String, boolean param1Boolean1, boolean param1Boolean2) {
/*  86 */       super(param1Boolean1, param1Boolean2);
/*     */       
/*  88 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  95 */       super(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */       
/*  97 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2, boolean param1Boolean3, boolean param1Boolean4, boolean param1Boolean5, boolean param1Boolean6, String param1String) {
/* 106 */       super(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */       
/* 108 */       this.fitPagesIncluded = param1Boolean3;
/* 109 */       this.fitPagesWideIncluded = param1Boolean3;
/* 110 */       this.fitPagesHighIncluded = param1Boolean3;
/* 111 */       this.alignmentIncluded = param1Boolean4;
/* 112 */       this.horizontalAlignmentIncluded = param1Boolean4;
/* 113 */       this.verticalAlignmentIncluded = param1Boolean4;
/* 114 */       this.useBackgroundOptionIncluded = param1Boolean5;
/* 115 */       this.backgroundOnPageOptionIncluded = param1Boolean5;
/* 116 */       this.frameContentIncluded = param1Boolean6;
/* 117 */       this.contentType = param1String;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentContainerPanel(ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 150 */     this("Content", paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentContainerPanel(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 160 */     super(ResourceAdministrator.getLocalizedString("content"), arrayOfPrintOptionsController, paramExtendedConstructionOptions.contentType);
/*     */     
/*     */     FitOrScalePanel.TwoRowLayout twoRowLayout;
/* 163 */     a(paramLocale, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentContainerPanel(String paramString, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 173 */     super(paramString, arrayOfPrintOptionsController, paramExtendedConstructionOptions.contentType);
/*     */     FitOrScalePanel.TwoRowLayout twoRowLayout;
/* 175 */     a((Locale)null, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentContainerPanel createInstanceForBasicPrintable(Printable paramPrintable, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentContainerPanel contentContainerPanel;
/* 198 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions("Printable", paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 207 */     if (!(paramPrintable instanceof jpdf.ability.Unscalable)) {
/*     */       
/* 209 */       extendedConstructionOptions.minScaleFactor = paramFloat1;
/* 210 */       extendedConstructionOptions.maxScaleFactor = paramFloat2;
/*     */     } 
/*     */ 
/*     */     
/* 214 */     if (paramPrintable instanceof ContentAlignable) {
/*     */       
/* 216 */       extendedConstructionOptions.horizontalAlignmentIncluded = ((ContentAlignable)paramPrintable).isHorizontallyAlignable();
/* 217 */       extendedConstructionOptions.verticalAlignmentIncluded = ((ContentAlignable)paramPrintable).isVerticallyAlignable();
/* 218 */       extendedConstructionOptions.alignmentIncluded = (extendedConstructionOptions.horizontalAlignmentIncluded || extendedConstructionOptions.verticalAlignmentIncluded);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 223 */     extendedConstructionOptions.fitPagesIncluded = paramPrintable instanceof jpdf.printable.PageGridPrintable;
/* 224 */     extendedConstructionOptions.useBackgroundOptionIncluded = false;
/* 225 */     extendedConstructionOptions.backgroundOnPageOptionIncluded = false;
/* 226 */     extendedConstructionOptions.frameContentIncluded = paramPrintable instanceof jpdf.printer.AbstractPrinter;
/* 227 */     paramPrintable = paramPrintable; boolean bool = false; if (paramPrintable instanceof AbstractComponentPrinter) { bool = ((AbstractComponentPrinter)paramPrintable).isBorderControlAllowed(); } else if (paramPrintable instanceof AbstractComponentListPrinter) { AbstractComponentPrinter abstractComponentPrinter; bool = (abstractComponentPrinter = ((AbstractComponentListPrinter)paramPrintable).getPrimaryPrinter()).isBorderControlAllowed(); }  extendedConstructionOptions.borderOptionsIncluded = bool;
/*     */ 
/*     */     
/* 230 */     if (paramLocale == null) {
/*     */       
/* 232 */       contentContainerPanel = new ContentContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 236 */       contentContainerPanel = new ContentContainerPanel(paramLocale, extendedConstructionOptions);
/*     */     } 
/*     */     
/* 239 */     return contentContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentContainerPanel createInstanceForComponentPrintable(Printable paramPrintable, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentContainerPanel contentContainerPanel;
/* 255 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 259 */     int i = 0;
/*     */ 
/*     */     
/* 262 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions("Component", paramFloat1, paramFloat2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */     
/* 266 */     if (paramPrintable instanceof ContentAlignable) {
/*     */       
/* 268 */       extendedConstructionOptions.horizontalAlignmentIncluded = ((ContentAlignable)paramPrintable).isHorizontallyAlignable();
/* 269 */       extendedConstructionOptions.verticalAlignmentIncluded = ((ContentAlignable)paramPrintable).isVerticallyAlignable();
/* 270 */       extendedConstructionOptions.alignmentIncluded = (extendedConstructionOptions.horizontalAlignmentIncluded || extendedConstructionOptions.verticalAlignmentIncluded);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 275 */     if (paramPrintable instanceof FitScalabilityCoded) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 282 */       bool = ((i = ((FitScalabilityCoded)paramPrintable).getFitScalingSupportCode()) != 0) ? true : false;
/* 283 */       extendedConstructionOptions.fitPagesIncluded = bool;
/* 284 */       if (bool && i != 2) {
/*     */         
/* 286 */         extendedConstructionOptions.fitPagesWideIncluded = (i != 4);
/* 287 */         extendedConstructionOptions.fitPagesHighIncluded = (i != 3);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 292 */     extendedConstructionOptions.frameContentIncluded = true;
/* 293 */     extendedConstructionOptions.borderOptionsIncluded = false;
/* 294 */     extendedConstructionOptions.useBackgroundOptionIncluded = false;
/* 295 */     extendedConstructionOptions.backgroundOnPageOptionIncluded = false;
/* 296 */     paramPrintable = paramPrintable; AbstractComponentPrinter abstractComponentPrinter2 = null; if (paramPrintable instanceof AbstractComponentPrinter) { abstractComponentPrinter2 = (AbstractComponentPrinter)paramPrintable; } else if (paramPrintable instanceof AbstractComponentListPrinter) { abstractComponentPrinter2 = ((AbstractComponentListPrinter)paramPrintable).getPrimaryPrinter(); }
/* 297 */      AbstractComponentPrinter abstractComponentPrinter1; if ((abstractComponentPrinter1 = abstractComponentPrinter2) != null) {
/*     */       
/* 299 */       if (abstractComponentPrinter1.isBackgroundColorSupported()) {
/*     */         
/* 301 */         extendedConstructionOptions.useBackgroundOptionIncluded = (abstractComponentPrinter1.getTargetComponentBackgroundColor().getRGB() != a);
/*     */         
/* 303 */         extendedConstructionOptions.backgroundOnPageOptionIncluded = (abstractComponentPrinter1.getPageBackgroundColor().getRGB() != a);
/*     */       } 
/*     */       
/* 306 */       extendedConstructionOptions.borderOptionsIncluded = abstractComponentPrinter1.isBorderControlAllowed();
/*     */     } 
/*     */ 
/*     */     
/* 310 */     if (paramLocale == null) {
/*     */       
/* 312 */       contentContainerPanel = new ContentContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 316 */       contentContainerPanel = new ContentContainerPanel(paramLocale, extendedConstructionOptions);
/*     */     } 
/*     */     
/* 319 */     return contentContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController) {
/*     */     String str;
/* 565 */     JPanel jPanel = new JPanel((LayoutManager)new ColLayout(1, 7));
/* 566 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 571 */       str = "Center";
/*     */     }
/*     */     else {
/*     */       
/* 575 */       str = ResourceAdministrator.getLocalizedString("alignCenter");
/*     */     } 
/*     */ 
/*     */     
/* 579 */     jPanel.setBorder(BorderFactory.createTitledBorder(str));
/* 580 */     if (paramArrayOfPrintOptionsController[4] != null)
/*     */     {
/* 582 */       jPanel.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/*     */     }
/* 584 */     if (paramArrayOfPrintOptionsController[5] != null)
/*     */     {
/* 586 */       jPanel.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/*     */     }
/*     */     
/* 589 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/*     */     JPanel jPanel;
/* 618 */     (jPanel = createOptionsPanel(paramLocale)).add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 619 */     if (paramExtendedConstructionOptions.frameContentIncluded)
/*     */     {
/* 621 */       jPanel.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */     }
/* 623 */     if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */     {
/* 625 */       jPanel.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/*     */     }
/* 627 */     if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */     {
/* 629 */       jPanel.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/*     */     }
/* 631 */     if (paramExtendedConstructionOptions.borderOptionsIncluded)
/*     */     {
/* 633 */       jPanel.add(paramArrayOfPrintOptionsController[10].getDisplayComponent());
/*     */     }
/*     */     
/* 636 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/*     */     Locale locale1;
/*     */     ExtendedConstructionOptions extendedConstructionOptions1;
/* 665 */     PrintOptionsController[] arrayOfPrintOptionsController = getPrintOptionsControllerList();
/*     */ 
/*     */     
/* 668 */     setBorder(EMPTY_BORDER);
/*     */ 
/*     */     
/* 671 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */       
/* 673 */       PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController; extendedConstructionOptions1 = paramExtendedConstructionOptions; locale1 = paramLocale; contentContainerPanel1 = this; boolean bool1 = (extendedConstructionOptions1.maxScaleFactor > 0.0F) ? true : false; contentContainerPanel1.setLayout((LayoutManager)new FullHeightRowLayout(2, 7)); if (bool1) if (extendedConstructionOptions1.fitPagesIncluded) { contentContainerPanel1.add(arrayOfPrintOptionsController1[3].getDisplayComponent()); } else { contentContainerPanel1.add(contentContainerPanel1.createScalePanel(arrayOfPrintOptionsController1[1], locale1)); }   contentContainerPanel1.add(arrayOfPrintOptionsController1[6].getDisplayComponent()); if (extendedConstructionOptions1.alignmentIncluded) contentContainerPanel1.add(a(locale1, arrayOfPrintOptionsController1));  contentContainerPanel1.add(contentContainerPanel1.a(locale1, arrayOfPrintOptionsController1, extendedConstructionOptions1));
/*     */       
/*     */       return;
/*     */     } 
/* 677 */     ExtendedConstructionOptions extendedConstructionOptions2 = extendedConstructionOptions1; Locale locale2 = locale1; ContentContainerPanel contentContainerPanel2 = contentContainerPanel1, contentContainerPanel1 = this; Object object = null; boolean bool = (((ExtendedConstructionOptions)locale2).maxScaleFactor > 0.0F) ? true : false; if (((ExtendedConstructionOptions)locale2).alignmentIncluded) { contentContainerPanel1.setLayout((LayoutManager)new QuadrantLayout(7, 7)); if (bool) if (((ExtendedConstructionOptions)locale2).fitPagesIncluded) { contentContainerPanel1.add(extendedConstructionOptions2[3].getDisplayComponent(), "NW"); } else { contentContainerPanel1.add(contentContainerPanel1.createScalePanel((PrintOptionsController)extendedConstructionOptions2[1], (Locale)contentContainerPanel2), "NW"); }   contentContainerPanel1.add(a((Locale)contentContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2), "NE"); contentContainerPanel1.add(extendedConstructionOptions2[6].getDisplayComponent(), "SW"); contentContainerPanel1.add(contentContainerPanel1.a((Locale)contentContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2, (ExtendedConstructionOptions)locale2), "SE"); return; }  contentContainerPanel1.setLayout(new BorderLayout(7, 7)); if (bool) if (((ExtendedConstructionOptions)locale2).fitPagesIncluded) { contentContainerPanel1.add(extendedConstructionOptions2[3].getDisplayComponent(), "North"); } else { contentContainerPanel1.add(contentContainerPanel1.createScalePanel((PrintOptionsController)extendedConstructionOptions2[1], (Locale)contentContainerPanel2), "North"); }   JPanel jPanel; (jPanel = new JPanel(new BorderLayout(7, 7))).add(extendedConstructionOptions2[6].getDisplayComponent(), "Center"); jPanel.add(contentContainerPanel1.a((Locale)contentContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2, (ExtendedConstructionOptions)locale2), "East"); contentContainerPanel1.add(jPanel, "Center");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\ContentContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */