/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.ability.ContentAlignable;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printer.AbstractComponentListPrinter;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.FullHeightRowLayout;
/*     */ import jpdf_common.gui.layout.QuadrantLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ContentSizingContainerPanel
/*     */   extends AbstractContentContainerPanel
/*     */ {
/*     */   public static class ExtendedConstructionOptions
/*     */     extends AbstractContentContainerPanel.ConstructionOptions
/*     */   {
/*     */     public boolean alignmentIncluded = false;
/*     */     public boolean horizontalAlignmentIncluded = false;
/*     */     public boolean verticalAlignmentIncluded = false;
/*     */     public boolean frameContentIncluded = false;
/*  60 */     public String contentType = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String) {
/*  66 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String, boolean param1Boolean1, boolean param1Boolean2) {
/*  72 */       super(param1Boolean1, param1Boolean2);
/*     */       
/*  74 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(String param1String, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  81 */       super(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */       
/*  83 */       this.contentType = param1String;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(boolean param1Boolean1, boolean param1Boolean2, boolean param1Boolean3, boolean param1Boolean4, boolean param1Boolean5, String param1String) {
/*  90 */       super(param1Boolean1, param1Boolean2);
/*     */       
/*  92 */       this.alignmentIncluded = param1Boolean3;
/*  93 */       this.horizontalAlignmentIncluded = param1Boolean3;
/*  94 */       this.verticalAlignmentIncluded = param1Boolean3;
/*  95 */       this.useBackgroundOptionIncluded = param1Boolean4;
/*  96 */       this.backgroundOnPageOptionIncluded = param1Boolean4;
/*  97 */       this.frameContentIncluded = param1Boolean5;
/*  98 */       this.contentType = param1String;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentSizingContainerPanel(ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 125 */     this("Content", paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */   
/*     */   public ContentSizingContainerPanel(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 130 */     super(ResourceAdministrator.getLocalizedString("content"), arrayOfPrintOptionsController, paramExtendedConstructionOptions.contentType);
/*     */ 
/*     */     
/* 133 */     a(paramLocale, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */   
/*     */   public ContentSizingContainerPanel(String paramString, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 138 */     super(paramString, arrayOfPrintOptionsController, paramExtendedConstructionOptions.contentType);
/*     */     
/* 140 */     a((Locale)null, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentSizingContainerPanel createInstanceForComponentPrintable(Printable paramPrintable, Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentSizingContainerPanel contentSizingContainerPanel;
/* 159 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions("Component", paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 167 */     if (paramPrintable instanceof ContentAlignable) {
/*     */       
/* 169 */       extendedConstructionOptions.horizontalAlignmentIncluded = ((ContentAlignable)paramPrintable).isHorizontallyAlignable();
/* 170 */       extendedConstructionOptions.verticalAlignmentIncluded = ((ContentAlignable)paramPrintable).isVerticallyAlignable();
/* 171 */       extendedConstructionOptions.alignmentIncluded = (extendedConstructionOptions.horizontalAlignmentIncluded || extendedConstructionOptions.verticalAlignmentIncluded);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 176 */     extendedConstructionOptions.frameContentIncluded = true;
/* 177 */     extendedConstructionOptions.borderOptionsIncluded = false;
/* 178 */     extendedConstructionOptions.useBackgroundOptionIncluded = false;
/* 179 */     extendedConstructionOptions.backgroundOnPageOptionIncluded = false;
/* 180 */     paramPrintable = paramPrintable; AbstractComponentPrinter abstractComponentPrinter2 = null; if (paramPrintable instanceof AbstractComponentPrinter) { abstractComponentPrinter2 = (AbstractComponentPrinter)paramPrintable; } else if (paramPrintable instanceof AbstractComponentListPrinter) { abstractComponentPrinter2 = ((AbstractComponentListPrinter)paramPrintable).getPrimaryPrinter(); }
/* 181 */      AbstractComponentPrinter abstractComponentPrinter1; if ((abstractComponentPrinter1 = abstractComponentPrinter2) != null) {
/*     */       
/* 183 */       if (abstractComponentPrinter1.isBackgroundColorSupported()) {
/*     */         
/* 185 */         extendedConstructionOptions.useBackgroundOptionIncluded = (abstractComponentPrinter1.getTargetComponentBackgroundColor().getRGB() != a);
/*     */         
/* 187 */         extendedConstructionOptions.backgroundOnPageOptionIncluded = (abstractComponentPrinter1.getPageBackgroundColor().getRGB() != a);
/*     */       } 
/*     */       
/* 190 */       extendedConstructionOptions.borderOptionsIncluded = abstractComponentPrinter1.isBorderControlAllowed();
/*     */     } 
/*     */ 
/*     */     
/* 194 */     if (paramLocale == null) {
/*     */       
/* 196 */       contentSizingContainerPanel = new ContentSizingContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 200 */       contentSizingContainerPanel = new ContentSizingContainerPanel(paramLocale, extendedConstructionOptions);
/*     */     } 
/*     */     
/* 203 */     return contentSizingContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController) {
/*     */     String str;
/* 354 */     JPanel jPanel = new JPanel((LayoutManager)new ColLayout(1, 7));
/* 355 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 360 */       str = "Center";
/*     */     }
/*     */     else {
/*     */       
/* 364 */       str = ResourceAdministrator.getLocalizedString("alignCenter");
/*     */     } 
/*     */ 
/*     */     
/* 368 */     jPanel.setBorder(BorderFactory.createTitledBorder(str));
/* 369 */     if (paramArrayOfPrintOptionsController[3] != null)
/*     */     {
/* 371 */       jPanel.add(paramArrayOfPrintOptionsController[3].getDisplayComponent());
/*     */     }
/* 373 */     if (paramArrayOfPrintOptionsController[4] != null)
/*     */     {
/* 375 */       jPanel.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/*     */     }
/*     */     
/* 378 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/*     */     JPanel jPanel;
/* 390 */     (jPanel = createOptionsPanel(paramLocale)).add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 391 */     if (paramExtendedConstructionOptions.frameContentIncluded)
/*     */     {
/* 393 */       jPanel.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/*     */     }
/* 395 */     if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */     {
/* 397 */       jPanel.add(paramArrayOfPrintOptionsController[6].getDisplayComponent());
/*     */     }
/* 399 */     if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */     {
/* 401 */       jPanel.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/*     */     }
/* 403 */     if (paramExtendedConstructionOptions.borderOptionsIncluded)
/*     */     {
/* 405 */       jPanel.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */     }
/*     */     
/* 408 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/*     */     Locale locale1;
/*     */     ExtendedConstructionOptions extendedConstructionOptions1;
/* 437 */     PrintOptionsController[] arrayOfPrintOptionsController = getPrintOptionsControllerList();
/*     */ 
/*     */     
/* 440 */     setBorder(EMPTY_BORDER);
/*     */ 
/*     */     
/* 443 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */       
/* 445 */       PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController; extendedConstructionOptions1 = paramExtendedConstructionOptions; locale1 = paramLocale; (contentSizingContainerPanel1 = this).setLayout((LayoutManager)new FullHeightRowLayout(2, 7)); JPanel jPanel1 = contentSizingContainerPanel1.createSizePanel(arrayOfPrintOptionsController1[1], arrayOfPrintOptionsController1[2], locale1); contentSizingContainerPanel1.add(jPanel1); contentSizingContainerPanel1.add(arrayOfPrintOptionsController1[5].getDisplayComponent()); if (extendedConstructionOptions1.alignmentIncluded) contentSizingContainerPanel1.add(a(locale1, arrayOfPrintOptionsController1));  contentSizingContainerPanel1.add(contentSizingContainerPanel1.a(locale1, arrayOfPrintOptionsController1, extendedConstructionOptions1));
/*     */       
/*     */       return;
/*     */     } 
/* 449 */     ExtendedConstructionOptions extendedConstructionOptions2 = extendedConstructionOptions1; Locale locale2 = locale1; ContentSizingContainerPanel contentSizingContainerPanel2 = contentSizingContainerPanel1, contentSizingContainerPanel1 = this; if (((ExtendedConstructionOptions)locale2).alignmentIncluded) { contentSizingContainerPanel1.setLayout((LayoutManager)new QuadrantLayout(7, 7)); JPanel jPanel1 = contentSizingContainerPanel1.createSizePanel((PrintOptionsController)extendedConstructionOptions2[1], (PrintOptionsController)extendedConstructionOptions2[2], (Locale)contentSizingContainerPanel2); contentSizingContainerPanel1.add(jPanel1, "NW"); contentSizingContainerPanel1.add(a((Locale)contentSizingContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2), "NE"); contentSizingContainerPanel1.add(extendedConstructionOptions2[5].getDisplayComponent(), "SW"); contentSizingContainerPanel1.add(contentSizingContainerPanel1.a((Locale)contentSizingContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2, (ExtendedConstructionOptions)locale2), "SE"); return; }  contentSizingContainerPanel1.setLayout(new BorderLayout(7, 7)); JPanel jPanel = contentSizingContainerPanel1.createSizePanel((PrintOptionsController)extendedConstructionOptions2[1], (PrintOptionsController)extendedConstructionOptions2[2], (Locale)contentSizingContainerPanel2); contentSizingContainerPanel1.add(jPanel, "North"); (jPanel = new JPanel(new BorderLayout(7, 7))).add(extendedConstructionOptions2[5].getDisplayComponent(), "Center"); jPanel.add(contentSizingContainerPanel1.a((Locale)contentSizingContainerPanel2, (PrintOptionsController[])extendedConstructionOptions2, (ExtendedConstructionOptions)locale2), "East"); contentSizingContainerPanel1.add(jPanel, "Center");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\ContentSizingContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */