/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Insets;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.UIManager;
/*     */ import jpdf.attribute.SizeToFitPageWidth;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.controller.PageFramePanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf.printer.TableComponentPrinter;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.FullHeightRowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ContentTableContainerPanel
/*     */   extends AbstractContentContainerPanel
/*     */ {
/*     */   public static class ExtendedConstructionOptions
/*     */     extends AbstractContentContainerPanel.ConstructionOptions
/*     */   {
/*     */     public boolean selectedRowsIncluded = true;
/*     */     public boolean sizeColsToFitDataIncluded = true;
/*     */     
/*     */     public ExtendedConstructionOptions(float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  63 */       super(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(TableComponentPrinter param1TableComponentPrinter, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  70 */       super((AbstractComponentPrinter)param1TableComponentPrinter, param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */ 
/*     */ 
/*     */       
/*  74 */       this.selectedRowsIncluded = param1TableComponentPrinter.isSelectedRowsAllowed();
/*     */ 
/*     */ 
/*     */       
/*  78 */       this.sizeColsToFitDataIncluded = !SizeToFitPageWidth.isToSizeToFitWidth(param1TableComponentPrinter.getAttributeSet());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(JTable param1JTable, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  86 */       super(param1JTable, param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */ 
/*     */       
/*  89 */       if (param1JTable != null)
/*     */       {
/*  91 */         this.selectedRowsIncluded = TableComponentPrinter.isSelectedRowsAllowed(param1JTable);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     final boolean a(JComponent param1JComponent) {
/*     */       Color color;
/* 107 */       return a(color = param1JComponent.getBackground());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     final boolean a(AbstractComponentPrinter param1AbstractComponentPrinter) {
/*     */       Color color;
/* 122 */       return a(color = param1AbstractComponentPrinter.getTargetComponentBackgroundColor());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static boolean a(Color param1Color) {
/*     */       boolean bool;
/* 134 */       if (!(bool = (param1Color.getRGB() != AbstractContentContainerPanel.a) ? true : false) && param1Color instanceof javax.swing.plaf.UIResource)
/*     */       {
/*     */         
/* 137 */         if ((param1Color = UIManager.getColor("Table.alternateRowColor")) != null)
/*     */         {
/* 139 */           bool = (param1Color.getRGB() != AbstractContentContainerPanel.a) ? true : false;
/*     */         }
/*     */       }
/*     */       
/* 143 */       return bool;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentTableContainerPanel(ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 178 */     this("Content", paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentTableContainerPanel(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 184 */     super(ResourceAdministrator.getLocalizedString("content"), arrayOfPrintOptionsController, "Table");
/*     */ 
/*     */     
/* 187 */     a(paramLocale, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */   
/*     */   public ContentTableContainerPanel(String paramString, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 192 */     super(paramString, arrayOfPrintOptionsController, "Table");
/*     */     
/* 194 */     a((Locale)null, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentTableContainerPanel createInstance(JTable paramJTable, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentTableContainerPanel contentTableContainerPanel;
/* 210 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions(paramJTable, paramFloat1, paramFloat2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 218 */     if (paramLocale == null) {
/*     */       
/* 220 */       contentTableContainerPanel = new ContentTableContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 224 */       contentTableContainerPanel = new ContentTableContainerPanel(paramLocale, (ExtendedConstructionOptions)contentTableContainerPanel);
/*     */     } 
/*     */     
/* 227 */     return contentTableContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentTableContainerPanel createInstance(TableComponentPrinter paramTableComponentPrinter, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentTableContainerPanel contentTableContainerPanel;
/* 240 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions(paramTableComponentPrinter, paramFloat1, paramFloat2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 248 */     if (paramLocale == null) {
/*     */       
/* 250 */       contentTableContainerPanel = new ContentTableContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 254 */       contentTableContainerPanel = new ContentTableContainerPanel(paramLocale, (ExtendedConstructionOptions)contentTableContainerPanel);
/*     */     } 
/*     */     
/* 257 */     return contentTableContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 393 */     JPanel jPanel1, jPanel2 = null;
/*     */ 
/*     */ 
/*     */     
/* 397 */     boolean bool = false;
/*     */     
/*     */     JCheckBox jCheckBox;
/*     */     
/* 401 */     Insets insets = (jCheckBox = ((PageFramePanel)paramArrayOfPrintOptionsController[0]).getControlCheckBox()).getInsets();
/*     */ 
/*     */     
/* 404 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */       
/* 406 */       bool = (!paramExtendedConstructionOptions.useBackgroundOptionIncluded || !paramExtendedConstructionOptions.backgroundOnPageOptionIncluded) ? true : false;
/*     */ 
/*     */ 
/*     */       
/* 410 */       jPanel1 = createOptionsPanel(new BorderLayout(), paramLocale);
/*     */       
/* 412 */       (jPanel2 = new JPanel((LayoutManager)new ColLayout(1))).add(paramArrayOfPrintOptionsController[12].getDisplayComponent());
/* 413 */       jPanel2.add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 414 */       jPanel2.add(paramArrayOfPrintOptionsController[11].getDisplayComponent());
/* 415 */       jPanel2.add(paramArrayOfPrintOptionsController[10].getDisplayComponent());
/* 416 */       jPanel2.add(paramArrayOfPrintOptionsController[3].getDisplayComponent());
/* 417 */       jPanel2.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/* 418 */       if (!bool)
/*     */       {
/* 420 */         jPanel2.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/*     */       }
/* 422 */       jPanel1.add(jPanel2, "Center");
/*     */ 
/*     */       
/* 425 */       insets.top = 3;
/* 426 */       insets.bottom = 3;
/* 427 */       setOptionCheckboxMargins(jPanel2, insets);
/*     */ 
/*     */       
/* 430 */       jPanel2 = new JPanel((LayoutManager)new ColLayout(1));
/* 431 */       if (bool)
/*     */       {
/* 433 */         jPanel2.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/*     */       }
/* 435 */       jPanel2.add(paramArrayOfPrintOptionsController[6].getDisplayComponent());
/* 436 */       jPanel2.add(paramArrayOfPrintOptionsController[15].getDisplayComponent());
/* 437 */       jPanel2.add(paramArrayOfPrintOptionsController[14].getDisplayComponent());
/* 438 */       jPanel2.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/* 439 */       if (paramExtendedConstructionOptions.sizeColsToFitDataIncluded)
/*     */       {
/* 441 */         jPanel2.add(paramArrayOfPrintOptionsController[17].getDisplayComponent());
/*     */       }
/* 443 */       if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */       {
/* 445 */         jPanel2.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/*     */       }
/* 447 */       if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */       {
/* 449 */         jPanel2.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */       }
/* 451 */       if (paramExtendedConstructionOptions.selectedRowsIncluded)
/*     */       {
/* 453 */         jPanel2.add(paramArrayOfPrintOptionsController[16].getDisplayComponent());
/*     */       }
/* 455 */       jPanel1.add(jPanel2, "East");
/*     */ 
/*     */       
/* 458 */       setOptionCheckboxMargins(jPanel2, insets);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 465 */       (jPanel1 = createOptionsPanel((Locale)jPanel1)).add(paramArrayOfPrintOptionsController[12].getDisplayComponent());
/* 466 */       jPanel1.add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 467 */       jPanel1.add(paramArrayOfPrintOptionsController[11].getDisplayComponent());
/* 468 */       jPanel1.add(paramArrayOfPrintOptionsController[10].getDisplayComponent());
/* 469 */       jPanel1.add(paramArrayOfPrintOptionsController[3].getDisplayComponent());
/* 470 */       jPanel1.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/* 471 */       jPanel1.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/* 472 */       jPanel1.add(paramArrayOfPrintOptionsController[6].getDisplayComponent());
/* 473 */       jPanel1.add(paramArrayOfPrintOptionsController[15].getDisplayComponent());
/* 474 */       jPanel1.add(paramArrayOfPrintOptionsController[14].getDisplayComponent());
/* 475 */       jPanel1.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/* 476 */       if (paramExtendedConstructionOptions.sizeColsToFitDataIncluded)
/*     */       {
/* 478 */         jPanel1.add(paramArrayOfPrintOptionsController[17].getDisplayComponent());
/*     */       }
/* 480 */       if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */       {
/* 482 */         jPanel1.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/*     */       }
/* 484 */       if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */       {
/* 486 */         jPanel1.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */       }
/* 488 */       if (paramExtendedConstructionOptions.selectedRowsIncluded)
/*     */       {
/* 490 */         jPanel1.add(paramArrayOfPrintOptionsController[16].getDisplayComponent());
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 495 */       insets.top = 3;
/* 496 */       insets.bottom = 3;
/* 497 */       setOptionCheckboxMargins(jPanel1, insets);
/*     */     } 
/*     */     
/* 500 */     return jPanel1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 509 */     PrintOptionsController[] arrayOfPrintOptionsController2 = getPrintOptionsControllerList();
/*     */ 
/*     */     
/* 512 */     setBorder(EMPTY_BORDER);
/*     */     
/* 514 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */ 
/*     */       
/* 517 */       setLayout((LayoutManager)new FullHeightRowLayout(2, 7));
/*     */ 
/*     */       
/* 520 */       add(arrayOfPrintOptionsController2[13].getDisplayComponent());
/* 521 */       add(arrayOfPrintOptionsController2[2].getDisplayComponent());
/* 522 */       add(a(paramLocale, arrayOfPrintOptionsController2, paramExtendedConstructionOptions));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 528 */     setLayout(new BorderLayout(7, 7));
/*     */ 
/*     */     
/* 531 */     add(a(paramLocale, arrayOfPrintOptionsController2, paramExtendedConstructionOptions), "East");
/* 532 */     PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController2; JPanel jPanel; (jPanel = new JPanel(new BorderLayout(7, 7))).add(arrayOfPrintOptionsController1[13].getDisplayComponent(), "North"); jPanel.add(arrayOfPrintOptionsController1[2].getDisplayComponent(), "Center"); add(jPanel, "Center");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\ContentTableContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */