/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.FocusAdapter;
/*     */ import java.awt.event.FocusEvent;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.swing.AbstractAction;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.Icon;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.SwingUtilities;
/*     */ import jpdf.gui.AbstractPrintOptionsPanel;
/*     */ import jpdf.gui.InputDataException;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.UpdatableDisplay;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.dialog.AbstractPrintDialog;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.component.j.c;
/*     */ import jpdf_common.gui.component.k.b;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPrintOptionsControllerPanel
/*     */   extends AbstractPrintOptionsPanel
/*     */ {
/*     */   public static class MarginValuesHolder
/*     */   {
/* 106 */     protected float topMargin = 0.0F;
/* 107 */     protected float leftMargin = 0.0F;
/* 108 */     protected float rightMargin = 0.0F;
/* 109 */     protected float bottomMargin = 0.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public String toString() {
/* 117 */       return "MarginValuesHolder [top=" + this.topMargin + ", left=" + this.leftMargin + ", right=" + this.rightMargin + ", bottom=" + this.bottomMargin + "]";
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean areAllMarginsSame() {
/* 127 */       return (this.topMargin == this.bottomMargin && this.leftMargin == this.rightMargin && this.topMargin == this.leftMargin);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class ImmediateUpdateNumericSpinner
/*     */     extends b
/*     */   {
/*     */     protected ImmediateUpdateNumericSpinner(int param1Int1, int param1Int2, int param1Int3, int param1Int4) {
/* 153 */       super(param1Int1, param1Int2, param1Int3, param1Int4);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected ImmediateUpdateNumericSpinner(float param1Float1, float param1Float2, float param1Float3, float param1Float4) {
/* 159 */       super(param1Float1, param1Float2, param1Float3, param1Float4);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setValue(Object param1Object) {
/* 169 */       if (!param1Object.equals(getValue())) {
/*     */ 
/*     */         
/* 172 */         super.setValue(param1Object);
/*     */ 
/*     */         
/* 175 */         AbstractPrintOptionsControllerPanel.this.updatePrintOptions();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public class ImmediateUpdateColorSelectionObserver
/*     */     implements c.b
/*     */   {
/*     */     protected ImmediateUpdateColorSelectionObserver(AbstractPrintOptionsControllerPanel this$0) {}
/*     */ 
/*     */     
/*     */     public void selectedColor(Color param1Color) {
/* 189 */       this.a.updatePrintOptions();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void unselectedAllColors() {}
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public class ImmediateUpdateFocusListener
/*     */     extends FocusAdapter
/*     */   {
/*     */     protected ImmediateUpdateFocusListener(AbstractPrintOptionsControllerPanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public void focusLost(FocusEvent param1FocusEvent) {
/* 208 */       this.a.updatePrintOptions();
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public class ImmediateUpdateActionListener
/*     */     implements ActionListener
/*     */   {
/*     */     protected ImmediateUpdateActionListener(AbstractPrintOptionsControllerPanel this$0) {}
/*     */ 
/*     */     
/*     */     public void actionPerformed(ActionEvent param1ActionEvent) {
/* 220 */       this.a.updatePrintOptions();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class ImmediateUpdateAction
/*     */     extends AbstractAction
/*     */   {
/*     */     public void actionPerformed(ActionEvent param1ActionEvent) {
/* 233 */       AbstractPrintOptionsControllerPanel.this.updatePrintOptions();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 241 */   UpdatableDisplay updatableContainer = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPrintOptionsControllerPanel(String paramString) {
/* 250 */     super(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addIconPanels(Icon[] paramArrayOfIcon, JComponent[] paramArrayOfJComponent, int paramInt1, int paramInt2) {
/* 266 */     addIconPanels((JPanel)this, paramArrayOfIcon, paramArrayOfJComponent, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void addIconPanels(JPanel paramJPanel, Icon[] paramArrayOfIcon, JComponent[] paramArrayOfJComponent, int paramInt1, int paramInt2) {
/* 278 */     FlowLayout flowLayout = new FlowLayout(3, 0, 0);
/* 279 */     Dimension dimension = new Dimension(paramInt1, paramInt2);
/* 280 */     JPanel jPanel = null;
/* 281 */     JLabel jLabel = null;
/*     */     
/* 283 */     for (byte b = 0; b < paramArrayOfJComponent.length; b++) {
/*     */ 
/*     */       
/* 286 */       jPanel = new JPanel(flowLayout);
/*     */ 
/*     */ 
/*     */       
/* 290 */       (jLabel = new JLabel(paramArrayOfIcon[b])).setHorizontalAlignment(4);
/* 291 */       jLabel.setPreferredSize(dimension);
/*     */ 
/*     */       
/* 294 */       jPanel.add(jLabel);
/* 295 */       jPanel.add(paramArrayOfJComponent[b]);
/*     */ 
/*     */       
/* 298 */       paramJPanel.add(jPanel);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void addIconPanels(JPanel paramJPanel, Icon[] paramArrayOfIcon, JComponent[] paramArrayOfJComponent, int paramInt1, int[] paramArrayOfint, int paramInt2) {
/* 313 */     FlowLayout flowLayout = new FlowLayout(0, 0, 0);
/* 314 */     JPanel jPanel = null;
/* 315 */     JLabel jLabel = null;
/*     */     
/* 317 */     for (byte b = 0; b < paramArrayOfJComponent.length; b++) {
/*     */ 
/*     */       
/* 320 */       jPanel = new JPanel(flowLayout);
/*     */ 
/*     */ 
/*     */       
/* 324 */       (jLabel = new JLabel(paramArrayOfIcon[b])).setHorizontalAlignment(paramInt1);
/* 325 */       jLabel.setPreferredSize(new Dimension(paramArrayOfint[b], paramInt2));
/*     */ 
/*     */       
/* 328 */       jPanel.add(jLabel);
/* 329 */       jPanel.add(paramArrayOfJComponent[b]);
/*     */ 
/*     */       
/* 332 */       paramJPanel.add(jPanel);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addTitledContentPanel(JPanel paramJPanel, String paramString, Object paramObject) {
/* 344 */     setBorder(BorderFactory.createTitledBorder(paramString));
/*     */ 
/*     */     
/* 347 */     add(paramJPanel, paramObject);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static JPanel createLabeledComponentPanel(String paramString, int paramInt, JComponent paramJComponent) {
/* 356 */     return PrintComponentFactory.arrangeLabeledComponentContents(new JPanel(), paramString, paramInt, paramJComponent, 4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static MarginValuesHolder computeMarginValues(PrintRequestAttributeSet paramPrintRequestAttributeSet, MarginValuesHolder paramMarginValuesHolder) {
/* 374 */     boolean bool1 = PageOrientationPanel.isLandscape(paramPrintRequestAttributeSet);
/*     */ 
/*     */     
/* 377 */     boolean bool2 = PageOrientationPanel.isReverse(paramPrintRequestAttributeSet);
/*     */ 
/*     */     
/* 380 */     MediaSize mediaSize = PrintUtility.getMediaSize(paramPrintRequestAttributeSet);
/* 381 */     MediaPrintableArea mediaPrintableArea = (MediaPrintableArea)paramPrintRequestAttributeSet.get(MediaPrintableArea.class);
/*     */     
/* 383 */     return computeMarginValues(mediaSize, mediaPrintableArea, bool1, bool2, paramMarginValuesHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static MarginValuesHolder computeMarginValues(MediaSize paramMediaSize, MediaPrintableArea paramMediaPrintableArea, boolean paramBoolean1, boolean paramBoolean2, MarginValuesHolder paramMarginValuesHolder) {
/* 406 */     int i = ResourceAdministrator.getMediaSizeUnits();
/*     */ 
/*     */ 
/*     */     
/* 410 */     if (paramMarginValuesHolder == null) paramMarginValuesHolder = new MarginValuesHolder();
/*     */ 
/*     */     
/* 413 */     if (paramMediaSize != null && paramMediaPrintableArea != null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 418 */       if (paramBoolean1) {
/*     */         
/* 420 */         if (paramBoolean2)
/*     */         {
/* 422 */           paramMarginValuesHolder.leftMargin = paramMediaPrintableArea.getY(i);
/* 423 */           paramMarginValuesHolder.bottomMargin = paramMediaPrintableArea.getX(i);
/* 424 */           paramMarginValuesHolder.topMargin = paramMediaSize.getX(i) - paramMediaPrintableArea.getWidth(i) + paramMarginValuesHolder.bottomMargin;
/*     */ 
/*     */           
/* 427 */           paramMarginValuesHolder.rightMargin = paramMediaSize.getY(i) - paramMediaPrintableArea.getHeight(i) + paramMarginValuesHolder.leftMargin;
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 433 */           paramMarginValuesHolder.rightMargin = paramMediaPrintableArea.getY(i);
/* 434 */           paramMarginValuesHolder.topMargin = paramMediaPrintableArea.getX(i);
/* 435 */           paramMarginValuesHolder.bottomMargin = paramMediaSize.getX(i) - paramMediaPrintableArea.getWidth(i) + paramMarginValuesHolder.topMargin;
/*     */ 
/*     */           
/* 438 */           paramMarginValuesHolder.leftMargin = paramMediaSize.getY(i) - paramMediaPrintableArea.getHeight(i) + paramMarginValuesHolder.rightMargin;
/*     */ 
/*     */         
/*     */         }
/*     */ 
/*     */       
/*     */       }
/* 445 */       else if (paramBoolean2) {
/*     */         
/* 447 */         paramMarginValuesHolder.bottomMargin = paramMediaPrintableArea.getY(i);
/* 448 */         paramMarginValuesHolder.rightMargin = paramMediaPrintableArea.getX(i);
/* 449 */         paramMarginValuesHolder.leftMargin = paramMediaSize.getX(i) - paramMediaPrintableArea.getWidth(i) + paramMarginValuesHolder.rightMargin;
/*     */ 
/*     */         
/* 452 */         paramMarginValuesHolder.topMargin = paramMediaSize.getY(i) - paramMediaPrintableArea.getHeight(i) + paramMarginValuesHolder.bottomMargin;
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 458 */         paramMarginValuesHolder.topMargin = paramMediaPrintableArea.getY(i);
/* 459 */         paramMarginValuesHolder.leftMargin = paramMediaPrintableArea.getX(i);
/* 460 */         paramMarginValuesHolder.rightMargin = paramMediaSize.getX(i) - paramMediaPrintableArea.getWidth(i) + paramMarginValuesHolder.leftMargin;
/*     */ 
/*     */         
/* 463 */         paramMarginValuesHolder.bottomMargin = paramMediaSize.getY(i) - paramMediaPrintableArea.getHeight(i) + paramMarginValuesHolder.topMargin;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 472 */     float f = (i == 25400) ? 0.01F : 0.5F;
/* 473 */     if (paramMarginValuesHolder.topMargin < 0.0F && paramMarginValuesHolder.topMargin > -f)
/*     */     {
/* 475 */       paramMarginValuesHolder.topMargin = 0.0F;
/*     */     }
/* 477 */     if (paramMarginValuesHolder.leftMargin < 0.0F && paramMarginValuesHolder.leftMargin > -f)
/*     */     {
/* 479 */       paramMarginValuesHolder.leftMargin = 0.0F;
/*     */     }
/* 481 */     if (paramMarginValuesHolder.rightMargin < 0.0F && paramMarginValuesHolder.rightMargin > -f)
/*     */     {
/* 483 */       paramMarginValuesHolder.rightMargin = 0.0F;
/*     */     }
/* 485 */     if (paramMarginValuesHolder.bottomMargin < 0.0F && paramMarginValuesHolder.bottomMargin > -f)
/*     */     {
/* 487 */       paramMarginValuesHolder.bottomMargin = 0.0F;
/*     */     }
/*     */     
/* 490 */     return paramMarginValuesHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected b createNumericSpinner(int paramInt1, int paramInt2, int paramInt3, int paramInt4, boolean paramBoolean, Dimension paramDimension) {
/*     */     b b;
/* 499 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */       
/* 503 */       b = new ImmediateUpdateNumericSpinner(paramInt1, paramInt2, paramInt3, paramInt4);
/*     */     }
/*     */     else {
/*     */       
/* 507 */       b = new b(b, paramInt2, paramInt3, paramInt4);
/*     */     } 
/* 509 */     b.setPreferredSize(paramDimension);
/*     */     
/* 511 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected b createNumericSpinner(float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4, boolean paramBoolean, Dimension paramDimension) {
/*     */     b b;
/* 521 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */       
/* 525 */       b = new ImmediateUpdateNumericSpinner(paramFloat1, paramFloat2, paramFloat3, paramFloat4);
/*     */     }
/*     */     else {
/*     */       
/* 529 */       b = new b(b, paramFloat2, paramFloat3, paramFloat4);
/*     */     } 
/* 531 */     b.setPreferredSize(paramDimension);
/*     */     
/* 533 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBorderLayoutContents(JPanel paramJPanel, String paramString) {
/* 544 */     setLayout(new BorderLayout());
/*     */ 
/*     */     
/* 547 */     if (paramString != null) {
/*     */       
/* 549 */       addTitledContentPanel(paramJPanel, paramString, "North");
/*     */       
/*     */       return;
/*     */     } 
/* 553 */     add(paramJPanel, "North");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializePrintableArea(PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService) {
/* 565 */     MediaPrintableArea mediaPrintableArea = null;
/*     */     
/* 567 */     if (!paramPrintRequestAttributeSet.containsKey(MediaPrintableArea.class)) {
/*     */       
/* 569 */       mediaPrintableArea = (MediaPrintableArea)paramPrintService.getDefaultAttributeValue((Class)MediaPrintableArea.class);
/*     */       
/* 571 */       paramPrintRequestAttributeSet.add(mediaPrintableArea);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeUpdatableContainer(PrintInfoHolder paramPrintInfoHolder) {
/* 583 */     Container container = getParent();
/*     */     
/* 585 */     while (container != null) {
/*     */       
/* 587 */       if (container instanceof UpdatableDisplay) {
/*     */         
/* 589 */         this.updatableContainer = (UpdatableDisplay)container;
/*     */         return;
/*     */       } 
/* 592 */       container = container.getParent();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updatePrintableArea(PrintInfoHolder paramPrintInfoHolder, MarginValuesHolder paramMarginValuesHolder, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     MediaPrintableArea mediaPrintableArea2;
/* 612 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 613 */     MediaSize mediaSize = null;
/*     */ 
/*     */ 
/*     */     
/* 617 */     boolean bool1 = PageOrientationPanel.isLandscape(printRequestAttributeSet);
/* 618 */     boolean bool2 = PageOrientationPanel.isReverse(printRequestAttributeSet);
/* 619 */     boolean bool = false;
/*     */ 
/*     */     
/* 622 */     mediaSize = PrintUtility.getMediaSize(printRequestAttributeSet);
/* 623 */     MediaPrintableArea mediaPrintableArea1 = (MediaPrintableArea)printRequestAttributeSet.get(MediaPrintableArea.class);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 629 */       mediaPrintableArea2 = a(mediaSize, paramMarginValuesHolder, bool1, bool2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 634 */     catch (IllegalArgumentException illegalArgumentException) {
/*     */       
/* 636 */       if (paramBoolean1) {
/*     */         AbstractPrintOptionsContainerPanel abstractPrintOptionsContainerPanel2;
/*     */ 
/*     */         
/* 640 */         int i = ResourceAdministrator.getMediaSizeUnits();
/* 641 */         MarginValuesHolder.a(paramMarginValuesHolder, (i == 25400) ? 0.5F : 15.0F);
/* 642 */         mediaPrintableArea2 = a(mediaSize, paramMarginValuesHolder, bool1, bool2);
/*     */         AbstractPrintOptionsControllerPanel abstractPrintOptionsControllerPanel;
/*     */         Container container;
/* 645 */         for (abstractPrintOptionsControllerPanel = abstractPrintOptionsControllerPanel = this, mediaSize = null, container = abstractPrintOptionsControllerPanel.getParent(); container != null; ) { if (container instanceof AbstractPrintOptionsContainerPanel) abstractPrintOptionsContainerPanel2 = (AbstractPrintOptionsContainerPanel)container;  container = container.getParent(); }
/* 646 */          AbstractPrintOptionsContainerPanel abstractPrintOptionsContainerPanel1; PageMarginsPanel pageMarginsPanel; if ((pageMarginsPanel = (PageMarginsPanel)(abstractPrintOptionsContainerPanel1 = abstractPrintOptionsContainerPanel2).getPrintOptionsController(PageMarginsPanel.class)) != null) pageMarginsPanel.setMarginValues(paramMarginValuesHolder);
/*     */       
/*     */       } else {
/*     */         
/* 650 */         throw mediaPrintableArea2;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 655 */     if (!mediaPrintableArea2.equals(mediaPrintableArea1)) {
/*     */       
/* 657 */       printRequestAttributeSet.add(mediaPrintableArea2);
/*     */       
/*     */       Window window;
/*     */       
/*     */       AbstractPrintOptionsControllerPanel abstractPrintOptionsControllerPanel;
/* 662 */       if (paramBoolean2 && window = SwingUtilities.getWindowAncestor((Component)(abstractPrintOptionsControllerPanel = this)) instanceof AbstractPrintDialog) ((AbstractPrintDialog)window).informPrintableAreaUpdateObserver();
/*     */     
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 669 */     updateUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updatePrintOptions() {
/*     */     try {
/* 683 */       updatePrintOptions(getPrintInfoHolder());
/*     */       return;
/* 685 */     } catch (InputDataException inputDataException2) {
/*     */       InputDataException inputDataException1;
/* 687 */       handleInputDataException(inputDataException1 = null);
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updatePrintOptionsLater() {
/*     */     a a;
/* 708 */     SwingUtilities.invokeLater(a = new a(this));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateUpdatableContainer(PrintInfoHolder paramPrintInfoHolder) {
/* 719 */     AbstractPrintDialog.DialogState dialogState = null;
/*     */ 
/*     */     
/* 722 */     if (this.updatableContainer != null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 729 */       if ((dialogState = paramPrintInfoHolder.getPrintDialogState()) == null || dialogState.isAwaitingInput())
/*     */       {
/* 731 */         this.updatableContainer.updateDisplay();
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static MediaPrintableArea a(MediaSize paramMediaSize, MarginValuesHolder paramMarginValuesHolder, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     MediaPrintableArea mediaPrintableArea;
/* 749 */     if (ResourceAdministrator.isUsingInches()) {
/*     */ 
/*     */ 
/*     */       
/* 753 */       mediaPrintableArea = PrintUtility.buildPrintableArea(paramMediaSize, paramMarginValuesHolder.topMargin, paramMarginValuesHolder.leftMargin, paramMarginValuesHolder.bottomMargin, paramMarginValuesHolder.rightMargin, paramBoolean1, paramBoolean2);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 760 */       mediaPrintableArea = PrintUtility.buildPrintableArea((MediaSize)mediaPrintableArea, (int)paramMarginValuesHolder.topMargin, (int)paramMarginValuesHolder.leftMargin, (int)paramMarginValuesHolder.bottomMargin, (int)paramMarginValuesHolder.rightMargin, paramBoolean1, paramBoolean2);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 766 */     return mediaPrintableArea;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\AbstractPrintOptionsControllerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */