/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.image.ImageFilter;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Copies;
/*     */ import javax.print.attribute.standard.SheetCollate;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JFormattedTextField;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JSpinner;
/*     */ import javax.swing.SpinnerNumberModel;
/*     */ import javax.swing.event.ChangeEvent;
/*     */ import javax.swing.event.ChangeListener;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CopySpecificationPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */ {
/*     */   private final ImageIcon COLLATE_ON_ICON;
/*     */   private final ImageIcon COLLATE_OFF_ICON;
/*     */   
/*     */   public static class BasicLayout
/*     */     extends CopySpecificationPanel
/*     */   {
/*     */     public BasicLayout(int param1Int, boolean param1Boolean) {
/*  65 */       this((Locale)null, "Number of copies", param1Int, param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public BasicLayout(Locale param1Locale, int param1Int, boolean param1Boolean) {
/*  70 */       this(param1Locale, ResourceAdministrator.getLocalizedString("copies.numcopies"), param1Int, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public BasicLayout(String param1String, int param1Int, boolean param1Boolean) {
/*  76 */       this((Locale)null, param1String, param1Int, param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public BasicLayout(Locale param1Locale, String param1String, int param1Int, boolean param1Boolean) {
/*  81 */       super(param1String, param1Boolean, (byte)0);
/*     */       
/*  83 */       boolean bool = param1Boolean; int i = param1Int; String str = param1String; Locale locale = param1Locale; BasicLayout basicLayout; (basicLayout = this).setLayout((LayoutManager)new RowLayout(2, 4)); JLabel jLabel = PrintComponentFactory.buildStandardLabel(str, i); basicLayout.add(jLabel); basicLayout.add(basicLayout.getCopiesSpinner()); basicLayout.add(basicLayout.createCollateCheckBox(locale, bool)); if (bool) basicLayout.add(basicLayout.createCollateIconLabel());  JFormattedTextField jFormattedTextField = ((JSpinner.DefaultEditor)basicLayout.getCopiesSpinner().getEditor()).getTextField(); jLabel.setLabelFor(jFormattedTextField);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TitledLayout
/*     */     extends CopySpecificationPanel
/*     */   {
/*     */     public TitledLayout(boolean param1Boolean) {
/* 123 */       this((Locale)null, "Copies", param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public TitledLayout(Locale param1Locale, boolean param1Boolean) {
/* 128 */       this(param1Locale, ResourceAdministrator.getLocalizedString("copies.title"), param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public TitledLayout(String param1String, boolean param1Boolean) {
/* 133 */       this((Locale)null, param1String, param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public TitledLayout(Locale param1Locale, String param1String, boolean param1Boolean) {
/* 138 */       super(param1String, param1Boolean, (byte)0);
/*     */       
/* 140 */       boolean bool = param1Boolean; String str = param1String; Locale locale = param1Locale; TitledLayout titledLayout; (titledLayout = this).setLayout((LayoutManager)new ColLayout(1, 0, 2)); titledLayout.setBorder(BorderFactory.createTitledBorder(str)); titledLayout.add(titledLayout.createCopiesPanel(locale)); titledLayout.add(titledLayout.createCollateCheckBox(locale, bool)); if (bool) titledLayout.add(titledLayout.createCollateIconLabel());
/*     */     
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected JPanel createCopiesPanel(Locale param1Locale) {
/*     */       String str;
/* 148 */       JPanel jPanel = new JPanel(new FlowLayout(1, 4, 0));
/*     */       
/* 150 */       if (param1Locale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 156 */         str = "Number of copies:";
/*     */       }
/*     */       else {
/*     */         
/* 160 */         str = ResourceAdministrator.getLocalizedString("copies.numcopies");
/*     */       } 
/* 162 */       JLabel jLabel = new JLabel(str);
/*     */ 
/*     */       
/* 165 */       jPanel.add(jLabel);
/* 166 */       jPanel.add(getCopiesSpinner());
/*     */ 
/*     */       
/* 169 */       JFormattedTextField jFormattedTextField = ((JSpinner.DefaultEditor)getCopiesSpinner().getEditor()).getTextField();
/* 170 */       jLabel.setLabelFor(jFormattedTextField);
/*     */       
/* 172 */       return jPanel;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     implements ChangeListener
/*     */   {
/*     */     private b(CopySpecificationPanel this$0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void stateChanged(ChangeEvent param1ChangeEvent) {
/* 203 */       Integer integer = (Integer)this.a.getCopiesSpinner().getValue();
/*     */       
/* 205 */       CopySpecificationPanel.a(this.a).setEnabled((integer.intValue() > 1));
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     implements ActionListener
/*     */   {
/*     */     private a(CopySpecificationPanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 220 */       boolean bool = CopySpecificationPanel.a(this.a).isSelected();
/*     */       
/* 222 */       CopySpecificationPanel.a(this.a, bool, this.a.isEnabled());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 233 */   private JSpinner copiesSpinner = null;
/* 234 */   private JCheckBox collateCheckBox = null;
/* 235 */   private JLabel collateIconLabel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private CopySpecificationPanel(String paramString, boolean paramBoolean) {
/* 248 */     super(paramString);
/*     */     
/* 250 */     if (paramBoolean) {
/*     */       
/* 252 */       this.COLLATE_ON_ICON = ResourceAdministrator.getPrintIconResource("collateOn.gif");
/* 253 */       this.COLLATE_OFF_ICON = ResourceAdministrator.getPrintIconResource("collateOff.gif");
/*     */       
/*     */       return;
/*     */     } 
/* 257 */     this.COLLATE_ON_ICON = null;
/* 258 */     this.COLLATE_OFF_ICON = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/* 274 */     int i = a(printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet());
/* 275 */     boolean bool = b(printRequestAttributeSet);
/*     */ 
/*     */     
/* 278 */     if (i != 1) getCopiesSpinner().setValue(Integer.valueOf(i));
/*     */     
/*     */     CopySpecificationPanel copySpecificationPanel;
/* 281 */     (copySpecificationPanel = this).collateCheckBox.setSelected(bool);
/* 282 */     a(bool, isEnabled());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setEnabled(boolean paramBoolean) {
/*     */     CopySpecificationPanel copySpecificationPanel;
/* 292 */     boolean bool = (copySpecificationPanel = this).collateCheckBox.isSelected();
/*     */ 
/*     */     
/* 295 */     super.setEnabled(paramBoolean);
/*     */ 
/*     */     
/* 298 */     a(bool, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 307 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 308 */     int i = ((Integer)getCopiesSpinner().getValue()).intValue();
/*     */ 
/*     */     
/* 311 */     int j = a(printRequestAttributeSet);
/*     */ 
/*     */     
/* 314 */     if (i != j)
/*     */     {
/* 316 */       printRequestAttributeSet.add(new Copies(i));
/*     */     }
/*     */ 
/*     */     
/*     */     CopySpecificationPanel copySpecificationPanel;
/*     */ 
/*     */     
/* 323 */     SheetCollate sheetCollate1 = (copySpecificationPanel = this).collateCheckBox.isSelected() ? SheetCollate.COLLATED : SheetCollate.UNCOLLATED;
/*     */     
/* 325 */     SheetCollate sheetCollate2 = b(printRequestAttributeSet) ? SheetCollate.COLLATED : SheetCollate.UNCOLLATED;
/*     */     
/* 327 */     if (sheetCollate1 != sheetCollate2)
/*     */     {
/* 329 */       printRequestAttributeSet.add(sheetCollate1);
/*     */     }
/*     */     
/* 332 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JCheckBox createCollateCheckBox(Locale paramLocale, boolean paramBoolean) {
/* 346 */     if (paramLocale == null) {
/*     */       
/* 348 */       this.collateCheckBox = new JCheckBox("Collate");
/*     */     }
/*     */     else {
/*     */       
/* 352 */       this.collateCheckBox = new JCheckBox(ResourceAdministrator.getLocalizedString("copies.collate"));
/*     */     } 
/* 354 */     this.collateCheckBox.setEnabled(false);
/*     */ 
/*     */     
/* 357 */     if (paramBoolean) this.collateCheckBox.addActionListener(new a((byte)0));
/*     */     
/* 359 */     return this.collateCheckBox;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JSpinner getCopiesSpinner() {
/* 367 */     if (this.copiesSpinner == null) {
/*     */       
/* 369 */       this.copiesSpinner = new JSpinner(new SpinnerNumberModel(1, 1, 99, 1));
/* 370 */       this.copiesSpinner.setPreferredSize(new Dimension(50, 25));
/* 371 */       this.copiesSpinner.addChangeListener(new b((byte)0));
/*     */     } 
/*     */     
/* 374 */     return this.copiesSpinner;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JLabel createCollateIconLabel() {
/* 382 */     this.collateIconLabel = new JLabel();
/*     */     
/* 384 */     return this.collateIconLabel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 414 */     int i = 1;
/*     */     
/*     */     Copies copies;
/*     */     
/* 418 */     if ((copies = (Copies)paramPrintRequestAttributeSet.get(Copies.class)) != null) i = copies.getValue();
/*     */     
/* 420 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 429 */     boolean bool = false;
/*     */     
/*     */     SheetCollate sheetCollate;
/*     */     
/* 433 */     if ((sheetCollate = (SheetCollate)paramPrintRequestAttributeSet.get(SheetCollate.class)) != null) bool = (sheetCollate == SheetCollate.COLLATED) ? true : false;
/*     */     
/* 435 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(boolean paramBoolean1, boolean paramBoolean2) {
/*     */     JLabel jLabel;
/*     */     CopySpecificationPanel copySpecificationPanel;
/* 448 */     if ((jLabel = (copySpecificationPanel = this).collateIconLabel) == null) {
/*     */       return;
/*     */     }
/*     */     
/* 452 */     ImageIcon imageIcon = paramBoolean1 ? this.COLLATE_ON_ICON : this.COLLATE_OFF_ICON;
/* 453 */     if (!paramBoolean2 && imageIcon != null) {
/*     */       
/* 455 */       byte b1 = -111; ImageIcon imageIcon1 = imageIcon; jpdf_common.system.c.b b = new jpdf_common.system.c.b(-111); imageIcon = jpdf_common.gui.d.a.a(imageIcon1, (ImageFilter)b);
/*     */     } 
/*     */ 
/*     */     
/* 459 */     jLabel.setIcon(imageIcon);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\CopySpecificationPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */