/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComboBox;
/*     */ import jpdf.attribute.FileDestinationType;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.PrintCustomizationFacade;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FileDestinationTypePanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */ {
/*     */   private final a PRINTER_FILE;
/*     */   private final a JPEG_FILE;
/*     */   private final a PNG_FILE;
/*     */   private final a PDF_FILE;
/*     */   private final a TIFF_FILE;
/*     */   
/*     */   public static interface FileTypeSelectionObserver
/*     */   {
/*     */     void selectedFileType(String param1String);
/*     */   }
/*     */   
/*     */   static class a
/*     */   {
/*     */     protected final FileDestinationType a;
/*     */     private String c;
/*     */     protected final String b;
/*     */     
/*     */     protected a(String param1String1, String param1String2, FileDestinationType param1FileDestinationType) {
/*  80 */       this.c = param1String1;
/*  81 */       this.b = param1String2;
/*  82 */       this.a = param1FileDestinationType;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final String toString() {
/*  88 */       return this.c;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends JComboBox
/*     */     implements ActionListener
/*     */   {
/*     */     private b(FileDestinationTypePanel.a[] param1ArrayOfa) {
/* 101 */       super((E[])param1ArrayOfa);
/*     */       
/* 103 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 114 */       FileDestinationTypePanel.FileTypeSelectionObserver fileTypeSelectionObserver = FileDestinationTypePanel.a(FileDestinationTypePanel.this);
/* 115 */       FileDestinationTypePanel.b(FileDestinationTypePanel.this).getSelectedItem(); FileDestinationTypePanel.a a = null;
/*     */       
/* 117 */       if (fileTypeSelectionObserver != null) {
/*     */         
/* 119 */         a = (FileDestinationTypePanel.a)FileDestinationTypePanel.b(FileDestinationTypePanel.this).getSelectedItem();
/* 120 */         fileTypeSelectionObserver.selectedFileType(a.b);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 135 */   private b fileTypeComboBox = null;
/* 136 */   private FileTypeSelectionObserver selectionObserver = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FileDestinationTypePanel() {
/* 145 */     this((Locale)null, "Destination File Type");
/*     */   }
/*     */ 
/*     */   
/*     */   public FileDestinationTypePanel(Locale paramLocale) {
/* 150 */     this(paramLocale, ResourceAdministrator.getLocalizedString("fileType"));
/*     */   }
/*     */ 
/*     */   
/*     */   public FileDestinationTypePanel(Locale paramLocale, String paramString) {
/* 155 */     super(paramString);
/*     */     
/* 157 */     if (paramLocale == null) {
/*     */       
/* 159 */       this.PRINTER_FILE = new a("Printer File", "prn", FileDestinationType.PRINTER_FILE);
/* 160 */       this.JPEG_FILE = new a("JPEG Image File", "jpg", FileDestinationType.JPEG_IMAGE_FILE);
/* 161 */       this.PNG_FILE = new a("PNG Image File", "png", FileDestinationType.PNG_IMAGE_FILE);
/* 162 */       this.PDF_FILE = new a("PDF File", "pdf", FileDestinationType.PDF_FILE);
/* 163 */       this.TIFF_FILE = new a("PNG Image File", "tiff", FileDestinationType.TIFF_FILE);
/*     */     }
/*     */     else {
/*     */       
/* 167 */       this.PRINTER_FILE = new a(ResourceAdministrator.getLocalizedString("fileTypePrinter"), "prn", FileDestinationType.PRINTER_FILE);
/*     */       
/* 169 */       this.JPEG_FILE = new a(ResourceAdministrator.getLocalizedString("fileTypeJpeg"), "jpg", FileDestinationType.JPEG_IMAGE_FILE);
/*     */       
/* 171 */       this.PNG_FILE = new a(ResourceAdministrator.getLocalizedString("fileTypePng"), "png", FileDestinationType.PNG_IMAGE_FILE);
/*     */       
/* 173 */       this.PDF_FILE = new a(ResourceAdministrator.getLocalizedString("fileTypePdf"), "pdf", FileDestinationType.PDF_FILE);
/*     */       
/* 175 */       this.TIFF_FILE = new a(ResourceAdministrator.getLocalizedString("fileTypeTiff"), "tiff", FileDestinationType.TIFF_FILE);
/*     */     } 
/*     */ 
/*     */     
/* 179 */     FileDestinationTypePanel fileDestinationTypePanel = this; ArrayList<a> arrayList; (arrayList = new ArrayList<a>(7)).add(fileDestinationTypePanel.PRINTER_FILE); if (PrintCustomizationFacade.isPdfPrintingAllowed()) arrayList.add(fileDestinationTypePanel.PDF_FILE);  arrayList.add(fileDestinationTypePanel.JPEG_FILE); arrayList.add(fileDestinationTypePanel.PNG_FILE); if (PrintCustomizationFacade.isTiffPrintingAllowed()) arrayList.add(fileDestinationTypePanel.TIFF_FILE);  a[] arrayOfA = arrayList.<a>toArray(new a[0]); fileDestinationTypePanel.fileTypeComboBox = new b(arrayOfA, (byte)0); jpdf_common.gui.d.a.a(fileDestinationTypePanel.fileTypeComboBox); add(fileDestinationTypePanel.fileTypeComboBox);
/* 180 */     setLayout(new FlowLayout(1, 5, 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 195 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 196 */     FileDestinationTypePanel fileDestinationTypePanel = null;
/*     */     
/* 198 */     a a1 = null;
/* 199 */     int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     FileDestinationType fileDestinationType;
/*     */ 
/*     */ 
/*     */     
/* 208 */     if ((fileDestinationType = (FileDestinationType)printRequestAttributeSet.get(FileDestinationType.class)) != null) {
/*     */       b b1;
/*     */       
/* 211 */       i = (b1 = (fileDestinationTypePanel = this).fileTypeComboBox).getItemCount();
/* 212 */       for (byte b2 = 0; b2 < i; b2++) {
/*     */ 
/*     */         
/* 215 */         if ((a1 = b1.getItemAt(b2)).a == fileDestinationType) {
/*     */           
/* 217 */           b1.setSelectedItem(a1);
/*     */           return;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSelectionObserver(FileTypeSelectionObserver paramFileTypeSelectionObserver) {
/* 232 */     this.selectionObserver = paramFileTypeSelectionObserver;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 242 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/*     */     
/*     */     FileDestinationTypePanel fileDestinationTypePanel;
/*     */     a a1;
/* 246 */     if ((a1 = (a)(fileDestinationTypePanel = this).fileTypeComboBox.getSelectedItem()).a == FileDestinationType.PRINTER_FILE) {
/*     */       
/* 248 */       printRequestAttributeSet.remove(FileDestinationType.class);
/*     */     }
/*     */     else {
/*     */       
/* 252 */       printRequestAttributeSet.add((Attribute)a1.a);
/*     */     } 
/*     */     
/* 255 */     return true;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\FileDestinationTypePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */