/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Container;
/*     */ import java.io.File;
/*     */ import java.io.FilePermission;
/*     */ import java.io.IOException;
/*     */ import java.net.URI;
/*     */ import java.util.Locale;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Destination;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JFileChooser;
/*     */ import jpdf.attribute.RequestDestinationFile;
/*     */ import jpdf.attribute.RequestFileDestination;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintServiceSelectionObserver;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.manage.BasicOptionPaneManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FileOutputPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */   implements PrintServiceSelectionObserver, FileDestinationTypePanel.FileTypeSelectionObserver
/*     */ {
/*     */   static class a
/*     */     extends JFileChooser
/*     */   {
/*     */     private boolean OVERWRITE_CONFIRMED;
/*     */     
/*     */     private a(String param1String1, String param1String2, String param1String3, File param1File, boolean param1Boolean) {
/* 108 */       if (param1String2 != null) {
/*     */         
/* 110 */         setApproveButtonText(param1String2);
/* 111 */         setApproveButtonMnemonic(param1String2.charAt(0));
/*     */       } 
/* 113 */       if (param1String3 != null)
/*     */       {
/* 115 */         setApproveButtonToolTipText(param1String3);
/*     */       }
/*     */ 
/*     */       
/* 119 */       if (param1File != null) {
/*     */         
/* 121 */         if (param1File.exists()) ensureFileIsVisible(param1File); 
/* 122 */         setSelectedFile(param1File);
/*     */       } 
/*     */       
/* 125 */       this.OVERWRITE_CONFIRMED = param1Boolean;
/* 126 */       boolean bool = false; bool = true; a a1; (a1 = this).setAcceptAllFileFilterUsed(true); a1.setFileSelectionMode(0);
/* 127 */       setDialogTitle(param1String1);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void approveSelection() {
/* 137 */       FileOutputPanel.FileSelectionApprover fileSelectionApprover = FileOutputPanel.getFileSelectionApprover();
/* 138 */       File file = null;
/* 139 */       file = null;
/* 140 */       Object object = null;
/* 141 */       boolean bool = true;
/*     */ 
/*     */ 
/*     */       
/* 145 */       if (fileSelectionApprover != null)
/*     */       {
/* 147 */         if (!fileSelectionApprover.isFileSelectionApproved(this)) {
/*     */           return;
/*     */         }
/*     */       }
/* 151 */       if (this.OVERWRITE_CONFIRMED)
/*     */       {
/*     */         
/* 154 */         if ((file = getSelectedFile()) != null)
/*     */         {
/* 156 */           if (file.exists()) {
/*     */             
/* 158 */             String str1 = ResourceAdministrator.getLocalizedString("printToFile.title");
/* 159 */             String str2 = ResourceAdministrator.getLocalizedString("printToFile.overwrite");
/* 160 */             bool = BasicOptionPaneManager.displayYesNoDialog(this, str1, str2, true);
/*     */           } 
/*     */         }
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 167 */       if (bool) super.approveSelection();
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 188 */   private static FileSelectionApprover a = null;
/* 189 */   private static File b = new File(System.getProperty("user.dir"), "out.prn");
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean c = true;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final boolean FILE_ACCESS_ALLOWED;
/*     */ 
/*     */ 
/*     */   
/* 203 */   private JCheckBox printToFileCheckBox = null;
/* 204 */   private String selectedFileExtension = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FileOutputPanel(String paramString) {
/* 213 */     this("Print To File", true, paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public FileOutputPanel(Locale paramLocale, String paramString) {
/* 218 */     this(ResourceAdministrator.getLocalizedString("printToFile.title"), true, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public FileOutputPanel(String paramString1, String paramString2) {
/* 224 */     this(paramString1, true, paramString2);
/*     */   }
/*     */ 
/*     */   
/*     */   public FileOutputPanel(Locale paramLocale, String paramString1, String paramString2) {
/* 229 */     this(paramString1, true, paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   FileOutputPanel(String paramString1, boolean paramBoolean, String paramString2) {
/* 238 */     super(paramString1);
/*     */     
/* 240 */     this.FILE_ACCESS_ALLOWED = isFileSystemAccessAllowed();
/* 241 */     if (paramBoolean) { paramString2 = paramString2; String str = paramString1; FileOutputPanel fileOutputPanel; (fileOutputPanel = this).setLayout(new BorderLayout()); fileOutputPanel.add(fileOutputPanel.createPrintToFileCheckBox(str), paramString2); }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static File getDefaultDestinationFile() {
/* 259 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static FileSelectionApprover getFileSelectionApprover() {
/* 268 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 277 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 278 */     Destination destination = null;
/*     */     
/* 280 */     if (this.FILE_ACCESS_ALLOWED) {
/*     */ 
/*     */       
/* 283 */       destination = (Destination)printRequestAttributeSet.get(Destination.class);
/*     */ 
/*     */       
/* 286 */       getPrintToFileCheckBox().setSelected((destination != null));
/*     */     }
/*     */     else {
/*     */       
/* 290 */       printRequestAttributeSet.remove(Destination.class);
/*     */     } 
/*     */ 
/*     */     
/* 294 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToConfirmFileOverwrite() {
/* 304 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedFileType(String paramString) {
/* 315 */     this.selectedFileExtension = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/* 325 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService();
/* 326 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 327 */     JCheckBox jCheckBox = null;
/* 328 */     Object object = null;
/* 329 */     boolean bool = false;
/*     */     
/* 331 */     if (this.FILE_ACCESS_ALLOWED) {
/*     */ 
/*     */       
/* 334 */       bool = printService.isAttributeCategorySupported((Class)Destination.class);
/*     */ 
/*     */ 
/*     */       
/* 338 */       (jCheckBox = getPrintToFileCheckBox()).setEnabled(bool);
/*     */ 
/*     */       
/* 341 */       File file = getDestinationFile(printService, printRequestAttributeSet, false);
/* 342 */       jCheckBox.setToolTipText(file.toString());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDestinationFile(File paramFile) {
/* 355 */     b = paramFile;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setFileSelectionApprover(FileSelectionApprover paramFileSelectionApprover) {
/* 367 */     a = paramFileSelectionApprover;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToConfirmFileOverwrite(boolean paramBoolean) {
/* 378 */     c = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 388 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService();
/* 389 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 390 */     File file = null;
/* 391 */     boolean bool = true;
/*     */ 
/*     */     
/* 394 */     if (this.FILE_ACCESS_ALLOWED)
/*     */     {
/*     */       
/* 397 */       if (getPrintToFileCheckBox().isSelected()) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 402 */         if ((file = getDestinationFile(printService, printRequestAttributeSet, true)) != null)
/*     */         {
/* 404 */           updateAttributeSet(printRequestAttributeSet, true, file, false);
/*     */ 
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 411 */           bool = false;
/*     */         }
/*     */       
/*     */       } else {
/*     */         
/* 416 */         updateAttributeSet(printRequestAttributeSet, false, (File)null, false);
/* 417 */         printRequestAttributeSet.remove(Destination.class);
/*     */       } 
/*     */     }
/*     */     
/* 421 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected File chooseDestinationFile(File paramFile, boolean paramBoolean) {
/* 436 */     Container container = getTopLevelAncestor();
/*     */     
/* 438 */     String str1 = getPrintToFileCheckBox().getText();
/* 439 */     String str2 = ResourceAdministrator.getLocalizedString("button.ok");
/* 440 */     File file = null;
/*     */ 
/*     */     
/*     */     a a;
/*     */     
/*     */     int i;
/*     */     
/* 447 */     if ((i = (a = new a(str1, str2, null, paramFile, paramBoolean, (byte)0)).showSaveDialog(container)) == 0)
/*     */     {
/* 449 */       file = a.getSelectedFile();
/*     */     }
/*     */     
/* 452 */     return file;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JCheckBox createPrintToFileCheckBox(Locale paramLocale) {
/*     */     String str;
/* 460 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */       
/* 464 */       str = "Output to File";
/*     */     }
/*     */     else {
/*     */       
/* 468 */       str = ResourceAdministrator.getLocalizedString("printToFile.title");
/*     */     } 
/*     */     
/* 471 */     return createPrintToFileCheckBox(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JCheckBox createPrintToFileCheckBox(String paramString) {
/* 479 */     this.printToFileCheckBox = new JCheckBox(paramString);
/* 480 */     this.printToFileCheckBox.setEnabled(RequestFileDestination.getDefaultValue());
/*     */     
/* 482 */     return this.printToFileCheckBox;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected File getDestinationFile(PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/* 504 */     Destination destination = null;
/* 505 */     destination = null;
/* 506 */     File file2 = null;
/* 507 */     destination = null;
/*     */     
/* 509 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 515 */       if ((destination = (Destination)paramPrintRequestAttributeSet.get(Destination.class)) != null) {
/*     */         
/* 517 */         file2 = new File(destination.getURI());
/* 518 */         bool = true;
/*     */       } 
/*     */ 
/*     */       
/* 522 */       if (!bool) {
/*     */         RequestDestinationFile requestDestinationFile;
/*     */ 
/*     */         
/* 526 */         if ((requestDestinationFile = (RequestDestinationFile)paramPrintRequestAttributeSet.get(RequestDestinationFile.class)) != null)
/*     */         {
/* 528 */           file2 = new File(requestDestinationFile.getURI());
/* 529 */           bool = true;
/*     */         
/*     */         }
/*     */ 
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 537 */     catch (Throwable throwable) {}
/*     */ 
/*     */     
/* 540 */     if (!bool) {
/*     */       
/* 542 */       file2 = getDefaultDestinationFile();
/* 543 */       bool = true;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 549 */       if (!bool)
/*     */       {
/*     */         
/* 552 */         if ((destination = (Destination)paramPrintService.getDefaultAttributeValue((Class)Destination.class)) != null)
/*     */         {
/* 554 */           file2 = new File(destination.getURI()); }  } 
/* 555 */     } catch (Throwable throwable) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 566 */     File file1 = file2;
/* 567 */     if (paramBoolean) {
/*     */       FileOutputPanel fileOutputPanel;
/*     */       
/*     */       String str;
/*     */       
/* 572 */       if ((str = (fileOutputPanel = this).selectedFileExtension) != null) {
/*     */         
/*     */         try {
/*     */           
/* 576 */           file2 = new File(a(file2.getCanonicalPath(), str));
/*     */         
/*     */         }
/* 579 */         catch (IOException iOException) {}
/*     */       }
/*     */ 
/*     */       
/* 583 */       file1 = chooseDestinationFile(file2, isToConfirmFileOverwrite());
/*     */     } 
/*     */     
/* 586 */     return file1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JCheckBox getPrintToFileCheckBox() {
/* 594 */     return this.printToFileCheckBox;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static boolean isFileSystemAccessAllowed() {
/* 602 */     SecurityManager securityManager = System.getSecurityManager();
/* 603 */     FilePermission filePermission = null;
/* 604 */     boolean bool = true;
/*     */     
/* 606 */     if (securityManager != null) {
/*     */       
/*     */       try {
/*     */         
/* 610 */         filePermission = new FilePermission("<<ALL FILES>>", "read,write");
/* 611 */         securityManager.checkPermission(filePermission);
/*     */       }
/* 613 */       catch (SecurityException securityException) {
/*     */         
/* 615 */         bool = false;
/*     */       } 
/*     */     }
/*     */     
/* 619 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateAttributeSet(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean1, File paramFile, boolean paramBoolean2) {
/* 635 */     URI uRI = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 641 */     RequestFileDestination requestFileDestination = (RequestFileDestination)paramPrintRequestAttributeSet.get(RequestFileDestination.class);
/*     */     
/* 643 */     RequestDestinationFile requestDestinationFile = (RequestDestinationFile)paramPrintRequestAttributeSet.get(RequestDestinationFile.class);
/*     */     
/* 645 */     Destination destination = (Destination)paramPrintRequestAttributeSet.get(Destination.class);
/*     */ 
/*     */     
/* 648 */     if (requestFileDestination == null || requestFileDestination.getValue() != paramBoolean1)
/*     */     {
/*     */       
/* 651 */       paramPrintRequestAttributeSet.add(paramBoolean1 ? (Attribute)RequestFileDestination.TRUE : (Attribute)RequestFileDestination.FALSE);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 656 */     if (paramFile != null) {
/*     */       
/* 658 */       uRI = paramFile.toURI();
/* 659 */       if (requestDestinationFile == null || !requestDestinationFile.getURI().equals(uRI))
/*     */       {
/*     */         
/* 662 */         paramPrintRequestAttributeSet.add((Attribute)new RequestDestinationFile(uRI));
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 667 */     else if (paramBoolean2 && requestDestinationFile != null) {
/*     */       
/* 669 */       paramPrintRequestAttributeSet.remove(RequestDestinationFile.class);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 674 */     if (paramBoolean1) {
/*     */       
/* 676 */       if (destination == null || !destination.getURI().equals(uRI)) {
/*     */ 
/*     */         
/* 679 */         paramPrintRequestAttributeSet.add(new Destination(uRI));
/*     */         
/*     */         return;
/*     */       } 
/*     */     } else {
/* 684 */       paramPrintRequestAttributeSet.remove(Destination.class);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static String a(String paramString1, String paramString2) {
/* 698 */     String str = paramString1;
/*     */     
/*     */     int i;
/* 701 */     if ((i = paramString1.lastIndexOf('.')) > 0) {
/*     */       
/* 703 */       str = paramString1.substring(0, i) + '.' + paramString2;
/*     */     }
/* 705 */     else if (i < 0) {
/*     */       
/* 707 */       str = paramString1 + '.' + paramString2;
/*     */     } 
/*     */     
/* 710 */     return str;
/*     */   }
/*     */   
/*     */   public static interface FileSelectionApprover {
/*     */     boolean isFileSelectionApproved(JFileChooser param1JFileChooser);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\FileOutputPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */