/*      */ package jpdf.gui.dialog;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Component;
/*      */ import java.awt.ComponentOrientation;
/*      */ import java.awt.Container;
/*      */ import java.awt.Dialog;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Frame;
/*      */ import java.awt.LayoutManager;
/*      */ import java.awt.Window;
/*      */ import java.awt.event.ActionEvent;
/*      */ import java.awt.event.ActionListener;
/*      */ import java.awt.event.WindowAdapter;
/*      */ import java.awt.event.WindowEvent;
/*      */ import java.awt.print.Printable;
/*      */ import java.util.Locale;
/*      */ import javax.print.DocFlavor;
/*      */ import javax.print.PrintService;
/*      */ import javax.print.attribute.Attribute;
/*      */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.print.attribute.standard.Fidelity;
/*      */ import javax.swing.AbstractAction;
/*      */ import javax.swing.ActionMap;
/*      */ import javax.swing.BorderFactory;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JButton;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JRootPane;
/*      */ import javax.swing.KeyStroke;
/*      */ import javax.swing.border.Border;
/*      */ import jpdf.ability.AttributeSetUpdateObserver;
/*      */ import jpdf.attribute.CloneableValueAttribute;
/*      */ import jpdf.gui.AbstractPrintOptionsPanel;
/*      */ import jpdf.gui.InitializableDisplay;
/*      */ import jpdf.gui.InputDataException;
/*      */ import jpdf.gui.PrintInfoHolder;
/*      */ import jpdf.gui.PrintOptionsController;
/*      */ import jpdf.gui.PrintServiceSelectionObserver;
/*      */ import jpdf.gui.PrintServiceSelector;
/*      */ import jpdf.gui.PrintServiceSetter;
/*      */ import jpdf.gui.PrintableAreaUpdateObserver;
/*      */ import jpdf.gui.PrintableViewer;
/*      */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*      */ import jpdf.gui.controller.ScaleFactorPanel;
/*      */ import jpdf.gui.preview.ViewWindow;
/*      */ import jpdf.help.HelpButtonFactory;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf.printable.AttributeSetPrintable;
/*      */ import jpdf.printable.ResetablePrintable;
/*      */ import jpdf.utility.PrintUtility;
/*      */ import jpdf_common.gui.b.a;
/*      */ import jpdf_common.gui.layout.HelpRowLayout;
/*      */ import jpdf_common.gui.layout.RowLayout;
/*      */ import jpdf_common.gui.utility.WindowUtility;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class AbstractPrintDialog
/*      */   extends a
/*      */ {
/*      */   private static final Dimension a;
/*      */   
/*      */   public static class DialogState
/*      */   {
/*  132 */     private int a = 0;
/*      */ 
/*      */     
/*      */     public boolean isInitilizing() {
/*  136 */       return (this.a == 0);
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean isAwaitingInput() {
/*  141 */       return (this.a == 1);
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean isProcessingInput() {
/*  146 */       return (this.a == 2);
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean isDismissed() {
/*  151 */       return (this.a == 3);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class a
/*      */     extends JButton
/*      */   {
/*      */     protected a(String param1String) {
/*  169 */       super(param1String);
/*      */       
/*  171 */       setPreferredSize(AbstractPrintDialog.a());
/*  172 */       if (this instanceof ActionListener)
/*      */       {
/*  174 */         addActionListener((ActionListener)this);
/*      */       }
/*      */     }
/*      */ 
/*      */     
/*      */     protected a(String param1String, ActionListener param1ActionListener) {
/*  180 */       super(param1String);
/*      */       
/*  182 */       setPreferredSize(AbstractPrintDialog.a());
/*  183 */       addActionListener(param1ActionListener);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ActionButton
/*      */     extends a
/*      */     implements ActionListener
/*      */   {
/*      */     protected ActionButton(String param1String) {
/*  197 */       super(param1String);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       try {
/*  204 */         AbstractPrintDialog.a(AbstractPrintDialog.this, true);
/*      */         return;
/*  206 */       } catch (Throwable throwable) {
/*      */         
/*  208 */         PrintManager.handleException((Throwable)(param1ActionEvent = null));
/*      */         return;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ApplyButton
/*      */     extends a
/*      */     implements ActionListener
/*      */   {
/*      */     private final ActionListener CHAINED_ACTION_LISTENER;
/*      */ 
/*      */ 
/*      */     
/*      */     protected ApplyButton(String param1String, ActionListener param1ActionListener) {
/*  226 */       super(param1String);
/*      */       
/*  228 */       this.CHAINED_ACTION_LISTENER = param1ActionListener;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       try {
/*  235 */         AbstractPrintDialog.b(AbstractPrintDialog.this, false);
/*  236 */         if (this.CHAINED_ACTION_LISTENER != null) this.CHAINED_ACTION_LISTENER.actionPerformed(param1ActionEvent); 
/*      */         return;
/*  238 */       } catch (Throwable throwable) {
/*      */         
/*  240 */         PrintManager.handleException((Throwable)(param1ActionEvent = null));
/*      */         return;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class CancelButton
/*      */     extends a
/*      */     implements ActionListener
/*      */   {
/*      */     protected CancelButton(String param1String) {
/*  254 */       super(param1String);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       try {
/*  261 */         AbstractPrintDialog.this.remove();
/*      */         return;
/*  263 */       } catch (Throwable throwable) {
/*      */         
/*  265 */         PrintManager.handleException((Throwable)(param1ActionEvent = null));
/*      */         return;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static class ButtonPanel
/*      */     extends JPanel {}
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class c
/*      */     extends AbstractAction
/*      */   {
/*      */     private c() {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       Window window;
/*  291 */       if (window = AbstractPrintDialog.this.getOwner() instanceof ViewWindow)
/*      */       {
/*  293 */         ((ViewWindow)window).navigateToNext();
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   class d
/*      */     extends AbstractAction
/*      */   {
/*      */     private d() {}
/*      */ 
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       Window window;
/*  309 */       if (window = AbstractPrintDialog.this.getOwner() instanceof ViewWindow)
/*      */       {
/*  311 */         ((ViewWindow)window).navigateToPrevious();
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class b
/*      */     extends WindowAdapter
/*      */   {
/*      */     private b() {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*      */       AbstractPrintDialog abstractPrintDialog;
/*  329 */       if (abstractPrintDialog = (AbstractPrintDialog)param1WindowEvent.getSource() instanceof InitializableDisplay)
/*      */       {
/*  331 */         ((InitializableDisplay)abstractPrintDialog).initializeDisplay();
/*      */       }
/*      */ 
/*      */       
/*  335 */       AbstractPrintDialog.DialogState.a(AbstractPrintDialog.a(abstractPrintDialog), 1);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public final void windowClosed(WindowEvent param1WindowEvent) {
/*      */       AbstractPrintDialog abstractPrintDialog;
/*  342 */       Printable printable = (abstractPrintDialog = (AbstractPrintDialog)param1WindowEvent.getSource()).getViewPrintable();
/*      */ 
/*      */       
/*  345 */       AbstractPrintDialog.DialogState.a(AbstractPrintDialog.a(abstractPrintDialog), 3);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  350 */       if (printable instanceof ResetablePrintable)
/*      */       {
/*  352 */         ((ResetablePrintable)printable).reset();
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class e
/*      */     implements PrintServiceSelectionObserver
/*      */   {
/*      */     private final String a;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private e(AbstractPrintDialog this$0) {
/*  370 */       this.a = AbstractPrintDialog.this.getTitle() + " " + ResourceAdministrator.getLocalizedString("printTo") + " ";
/*      */ 
/*      */       
/*  373 */       a(AbstractPrintDialog.this.getPrintServiceSetter().getSelectedPrintService());
/*      */     }
/*      */ 
/*      */     
/*      */     public final void selectedPrintService(PrintInfoHolder param1PrintInfoHolder) {
/*  378 */       a(param1PrintInfoHolder.getSelectedPrintService());
/*      */     }
/*      */ 
/*      */     
/*      */     private void a(PrintService param1PrintService) {
/*  383 */       this.b.setTitle(this.a + param1PrintService.getName());
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  397 */   private static AttributeSetUpdateObserver b = null;
/*  398 */   private static int c = 0;
/*      */   
/*      */   private static boolean d = false;
/*      */   
/*      */   private static boolean e = false;
/*      */   protected final Locale DIALOG_LOCALE;
/*      */   private final PrintInfoHolder INFO_HOLDER;
/*      */   private final PrintableAreaUpdateObserver PRINTABLE_AREA_UPDATE_OBSERVER;
/*      */   
/*      */   static {
/*  408 */     Dimension dimension = null;
/*      */ 
/*      */ 
/*      */     
/*  412 */     if (!jpdf_common.system.a.a.g) {
/*      */ 
/*      */       
/*  415 */       (dimension = new Dimension()).width = (int)(90.0F * jpdf_common.gui.utility.a.a);
/*  416 */       dimension.height = (int)(jpdf_common.gui.a.a.a * jpdf_common.gui.utility.a.b);
/*      */     } 
/*  418 */     a = dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  428 */   private final DialogState STATE = new DialogState();
/*      */   
/*  430 */   private PrintRequestAttributeSet printRequestAttributeSet = null;
/*  431 */   private AbstractPrintOptionsContainerPanel printOptionsContainerPanel = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean toUpdateDefaultPrintService = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean displayingPrintServiceInTitleBar = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPrintDialog(Frame paramFrame, String paramString, AttributeSetPrintable paramAttributeSetPrintable, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/*  451 */     this(paramFrame, paramString, (Dimension)null, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, paramAbstractPrintOptionsContainerPanel, (Object)null);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  456 */     setViewPrintable((Printable)paramAttributeSetPrintable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPrintDialog(Frame paramFrame, String paramString, Dimension paramDimension, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel, Object paramObject) {
/*  465 */     super(paramFrame, paramString, paramDimension, true);
/*      */     
/*  467 */     this.INFO_HOLDER = new PrintInfoHolder(paramObject, this.STATE);
/*  468 */     this.DIALOG_LOCALE = paramLocale;
/*  469 */     this.PRINTABLE_AREA_UPDATE_OBSERVER = (PrintableAreaUpdateObserver)paramAbstractPrintOptionsContainerPanel.getPrintOptionsController(PrintableAreaUpdateObserver.class);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  475 */     PrintManager.waitForMediaPreload();
/*      */ 
/*      */     
/*  478 */     a(paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramAbstractPrintOptionsContainerPanel);
/*      */     
/*  480 */     initializeDialogContents(paramLocale, paramAbstractPrintOptionsContainerPanel);
/*  481 */     initializeDialogDisplay();
/*      */     
/*      */     ComponentOrientation componentOrientation;
/*      */     
/*  485 */     if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight())
/*      */     {
/*  487 */       applyComponentOrientation(componentOrientation);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPrintDialog(Dialog paramDialog, String paramString, AttributeSetPrintable paramAttributeSetPrintable, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/*  502 */     this(paramDialog, paramString, (Dimension)null, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, paramAbstractPrintOptionsContainerPanel, (Object)null);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  507 */     setViewPrintable((Printable)paramAttributeSetPrintable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPrintDialog(Dialog paramDialog, String paramString, Dimension paramDimension, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel, Object paramObject) {
/*  516 */     super(paramDialog, paramString, paramDimension, true);
/*      */     
/*  518 */     this.INFO_HOLDER = new PrintInfoHolder(paramObject, this.STATE);
/*  519 */     this.DIALOG_LOCALE = paramLocale;
/*  520 */     this.PRINTABLE_AREA_UPDATE_OBSERVER = (PrintableAreaUpdateObserver)paramAbstractPrintOptionsContainerPanel.getPrintOptionsController(PrintableAreaUpdateObserver.class);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  526 */     PrintManager.waitForMediaPreload();
/*      */ 
/*      */     
/*  529 */     a(paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramAbstractPrintOptionsContainerPanel);
/*      */     
/*  531 */     initializeDialogContents(paramLocale, paramAbstractPrintOptionsContainerPanel);
/*  532 */     initializeDialogDisplay();
/*      */     
/*      */     ComponentOrientation componentOrientation;
/*      */     
/*  536 */     if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight())
/*      */     {
/*  538 */       applyComponentOrientation(componentOrientation);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public JButton addApplyButton(String paramString, ActionListener paramActionListener) {
/*  555 */     ButtonPanel buttonPanel = getButtonPanel();
/*  556 */     ApplyButton applyButton = null;
/*      */     
/*  558 */     if (buttonPanel != null) {
/*      */       
/*  560 */       applyButton = new ApplyButton(paramString, paramActionListener);
/*  561 */       buttonPanel.add(applyButton);
/*      */     } 
/*      */     
/*  564 */     return applyButton;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addBottomComponent(JComponent paramJComponent) {
/*  580 */     ((JComponent)getContentPane().getComponent(0)).add(paramJComponent, "South");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public JButton addButton(String paramString, ActionListener paramActionListener, int paramInt) {
/*  592 */     ButtonPanel buttonPanel = getButtonPanel();
/*  593 */     a a1 = null;
/*      */     
/*  595 */     if (buttonPanel != null) {
/*      */       
/*  597 */       a1 = new a(paramString, paramActionListener);
/*  598 */       buttonPanel.add(a1);
/*  599 */       if (paramInt >= 0)
/*      */       {
/*  601 */         ((RowLayout)buttonPanel.getLayout()).setHorizontalGap(paramInt);
/*      */       }
/*      */     } 
/*      */     
/*  605 */     return a1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addButton(JButton paramJButton, boolean paramBoolean) {
/*      */     ButtonPanel buttonPanel;
/*  616 */     if ((buttonPanel = getButtonPanel()) != null) {
/*      */       
/*  618 */       if (paramBoolean) {
/*      */         
/*  620 */         buttonPanel.add(paramJButton, 0);
/*      */         
/*      */         return;
/*      */       } 
/*  624 */       buttonPanel.add(paramJButton);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPreviewNavigationActions() {
/*      */     JRootPane jRootPane;
/*  639 */     InputMap inputMap = (jRootPane = getRootPane()).getInputMap(1);
/*  640 */     ActionMap actionMap = jRootPane.getActionMap();
/*  641 */     String str = null;
/*      */     
/*  643 */     if (getOwner() instanceof ViewWindow) {
/*      */       
/*  645 */       str = "previewPageDown";
/*  646 */       inputMap.put(KeyStroke.getKeyStroke(34, 8), str);
/*  647 */       actionMap.put(str, new c((byte)0));
/*      */       
/*  649 */       str = "previewPageUp";
/*  650 */       inputMap.put(KeyStroke.getKeyStroke(33, 8), str);
/*  651 */       actionMap.put(str, new d((byte)0));
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToControllerList(PrintOptionsController[] paramArrayOfPrintOptionsController) {
/*  668 */     getPrintOptionsContainerPanel().addToList(paramArrayOfPrintOptionsController);
/*  669 */     initializeDialogDisplay();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addTopComponent(JComponent paramJComponent) {
/*  684 */     ((JComponent)getContentPane().getComponent(0)).add(paramJComponent, "North");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean applyInputsToAttributeSet() {
/*  694 */     PrintRequestAttributeSet printRequestAttributeSet1 = this.INFO_HOLDER.getAttributeSet();
/*  695 */     PrintRequestAttributeSet printRequestAttributeSet2 = getPrintRequestAttributeSet();
/*  696 */     InputDataException inputDataException = null;
/*  697 */     boolean bool = false;
/*      */ 
/*      */     
/*  700 */     DialogState.a(this.STATE, 2);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  706 */       bool = getPrintOptionsContainerPanel().updatePrintOptions(this.INFO_HOLDER);
/*      */     }
/*  708 */     catch (InputDataException inputDataException1) {
/*      */       
/*  710 */       AbstractPrintOptionsPanel.handleInputDataException(inputDataException = null);
/*      */     } 
/*      */ 
/*      */     
/*  714 */     if (bool) {
/*      */ 
/*      */ 
/*      */       
/*  718 */       Fidelity fidelity = (Fidelity)printRequestAttributeSet1.get(Fidelity.class);
/*  719 */       if (Fidelity.FIDELITY_TRUE.equals(fidelity))
/*      */       {
/*  721 */         PrintUtility.removeUnsupportedAttributes(this.INFO_HOLDER.getSelectedPrintService(), this.INFO_HOLDER.getDocFlavor(), printRequestAttributeSet1);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  730 */       printRequestAttributeSet2.clear();
/*  731 */       printRequestAttributeSet2.addAll(printRequestAttributeSet1);
/*      */ 
/*      */       
/*  734 */       if (isToUpdateDefaultPrintService())
/*      */       {
/*  736 */         PrintManager.setDefaultPrintService(getPrintService());
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  741 */     DialogState.a(this.STATE, 1);
/*      */ 
/*      */     
/*  744 */     printRequestAttributeSet2 = printRequestAttributeSet2; AbstractPrintDialog abstractPrintDialog = this; AttributeSetUpdateObserver attributeSetUpdateObserver; if ((attributeSetUpdateObserver = getAttributeSetUpdateObserver()) != null) attributeSetUpdateObserver.updatedAttributeSet(printRequestAttributeSet2, abstractPrintDialog);
/*      */     
/*  746 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayPrintServiceInTitleBar() {
/*      */     AbstractPrintDialog abstractPrintDialog;
/*  760 */     if (!(abstractPrintDialog = this).displayingPrintServiceInTitleBar) {
/*      */       
/*  762 */       getPrintServiceSetter().addSelectionObserver(new e((byte)0));
/*  763 */       this.displayingPrintServiceInTitleBar = true;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static AttributeSetUpdateObserver getAttributeSetUpdateObserver() {
/*  773 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DialogState getDialogState() {
/*  782 */     return this.STATE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintInfoHolder getPrintInfoHolder() {
/*  790 */     return this.INFO_HOLDER;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintOptionsController getPrintOptionsController(Class paramClass) {
/*  802 */     return getPrintOptionsContainerPanel().getPrintOptionsController(paramClass);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintRequestAttributeSet getPrintRequestAttributeSet() {
/*  813 */     return this.printRequestAttributeSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintService getPrintService() {
/*  822 */     return this.INFO_HOLDER.getSelectedPrintService();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintService getSelectedPrintService() {
/*  832 */     PrintServiceSetter printServiceSetter = null;
/*  833 */     PrintService printService = null;
/*      */ 
/*      */     
/*  836 */     if (isActionButtonPressed())
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  841 */       if ((printServiceSetter = getPrintServiceSetter()) != null)
/*      */       {
/*  843 */         printService = printServiceSetter.getSelectedPrintService();
/*      */       }
/*      */     }
/*      */     
/*  847 */     return printService;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Printable getViewPrintable() {
/*  857 */     Printable printable = null;
/*      */ 
/*      */     
/*      */     PrintableViewer printableViewer;
/*      */     
/*  862 */     if ((printableViewer = getPrintOptionsContainerPanel().getPrintableViewer()) != null)
/*      */     {
/*  864 */       printable = printableViewer.getPrintable();
/*      */     }
/*      */     
/*  867 */     return printable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void informPrintableAreaUpdateObserver() {
/*  880 */     if (this.PRINTABLE_AREA_UPDATE_OBSERVER != null)
/*      */     {
/*  882 */       this.PRINTABLE_AREA_UPDATE_OBSERVER.updatedPrintableArea(this.INFO_HOLDER);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToCenterOnScreen() {
/*  894 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayHelpButton() {
/*  902 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isToUpdateDefaultPrintService() {
/*  912 */     return this.toUpdateDefaultPrintService;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean replaceController(Class paramClass, PrintOptionsController paramPrintOptionsController) {
/*      */     PrintOptionsController printOptionsController;
/*  935 */     if ((printOptionsController = getPrintOptionsController(paramClass)) == null) return false;  Container container1;
/*      */     JComponent jComponent1, jComponent2;
/*      */     Container container2;
/*      */     JComponent jComponent3;
/*      */     int i;
/*      */     byte b2;
/*      */     byte b;
/*  942 */     for (jComponent2 = paramPrintOptionsController.getDisplayComponent(), jComponent3 = jComponent1 = jComponent1, i = (container2 = container1 = container1 = (jComponent1 = printOptionsController.getDisplayComponent()).getParent()).getComponentCount(), b2 = -1, b = 0; b < i; ) { if (container2.getComponent(b) == jComponent3) { b2 = b; break; }  b++; }  Object object = jpdf_common.gui.d.a.a(container1, jComponent1); container1.remove(b1); container1.add(jComponent2, object, b1);
/*      */     
/*      */     boolean bool;
/*      */     byte b1;
/*  946 */     if (bool = ((b1 = b2) < 0) ? false : true)
/*      */     {
/*  948 */       addToControllerList(new PrintOptionsController[] { paramPrintOptionsController });
/*      */     }
/*      */     
/*  951 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setActionButtonText(String paramString) {
/*      */     ActionButton actionButton;
/*  961 */     if ((actionButton = getActionButton()) != null) actionButton.setText(paramString);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setAllControllersEnabled(boolean paramBoolean) {
/*  970 */     getPrintOptionsContainerPanel().setAllControllersEnabled(paramBoolean, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setAttributeSetUpdateObserver(AttributeSetUpdateObserver paramAttributeSetUpdateObserver) {
/*  979 */     b = paramAttributeSetUpdateObserver;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setButtonAlignment(int paramInt) {
/*  991 */     if (paramInt == 4) {
/*      */       
/*  993 */       c = 4; return;
/*      */     } 
/*  995 */     if (paramInt == 2) {
/*      */       
/*  997 */       c = 2;
/*      */       
/*      */       return;
/*      */     } 
/* 1001 */     c = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setControllerEnabled(Class paramClass, boolean paramBoolean) {
/*      */     PrintOptionsController printOptionsController;
/* 1016 */     if ((printOptionsController = getPrintOptionsController(paramClass)) != null)
/*      */     {
/* 1018 */       ((Component)printOptionsController).setEnabled(paramBoolean);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setControllerVisible(Class paramClass, boolean paramBoolean) {
/*      */     PrintOptionsController printOptionsController;
/* 1033 */     if ((printOptionsController = getPrintOptionsController(paramClass)) != null)
/*      */     {
/* 1035 */       ((Component)printOptionsController).setVisible(paramBoolean);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setScaleControlsVisible(boolean paramBoolean) {
/* 1051 */     PrintOptionsController printOptionsController = null;
/*      */ 
/*      */ 
/*      */     
/* 1055 */     if ((printOptionsController = getPrintOptionsController(ScaleFactorPanel.class)) != null) {
/*      */       
/* 1057 */       Container container = ((Container)printOptionsController).getParent();
/* 1058 */       while (container != null) {
/*      */         
/* 1060 */         if (((JComponent)container).getBorder() instanceof javax.swing.border.TitledBorder) {
/*      */           
/* 1062 */           container.setVisible(paramBoolean);
/*      */           return;
/*      */         } 
/* 1065 */         container = container.getParent();
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToCenterOnScreen(boolean paramBoolean) {
/* 1078 */     e = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayHelpButton(boolean paramBoolean) {
/* 1086 */     d = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToUpdateDefaultPrintService(boolean paramBoolean) {
/* 1096 */     this.toUpdateDefaultPrintService = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setViewPrintable(Printable paramPrintable) {
/*      */     PrintableViewer printableViewer;
/* 1109 */     if ((printableViewer = getPrintOptionsContainerPanel().getPrintableViewer()) != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1115 */       if (paramPrintable instanceof AttributeSetPrintable)
/*      */       {
/* 1117 */         ((AttributeSetPrintable)paramPrintable).setAttributeSet(getPrintRequestAttributeSetClone());
/*      */       }
/*      */ 
/*      */ 
/*      */       
/* 1122 */       printableViewer.setPrintable(paramPrintable);
/*      */ 
/*      */       
/* 1125 */       if (paramPrintable instanceof jpdf.ability.Unscalable) setScaleControlsVisible(false);
/*      */     
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void show() {
/* 1139 */     if (isToDisplayHelpButton()) addHelpButton();
/*      */ 
/*      */     
/* 1142 */     if (isToCenterOnScreen()) {
/*      */       
/* 1144 */       WindowUtility.setNewWindowLocation((Window)this);
/*      */     }
/*      */     else {
/*      */       
/* 1148 */       WindowUtility.setNewWindowLocation(getOwner(), (Window)this);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1153 */     super.show();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void showInPlace() {
/* 1166 */     if (isToDisplayHelpButton()) addHelpButton();
/*      */ 
/*      */ 
/*      */     
/* 1170 */     super.show();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void addDialogContents(JComponent paramJComponent, ButtonPanel paramButtonPanel) {
/* 1185 */     Container container = getContentPane();
/*      */ 
/*      */     
/*      */     JPanel jPanel;
/*      */ 
/*      */     
/* 1191 */     (jPanel = new JPanel(new BorderLayout(7, 7))).add(paramJComponent, "Center");
/*      */ 
/*      */     
/* 1194 */     jPanel.setBorder(paramJComponent.getBorder());
/* 1195 */     paramJComponent.setBorder((Border)null);
/*      */ 
/*      */     
/* 1198 */     container.add(jPanel, "Center");
/* 1199 */     if (paramButtonPanel != null)
/*      */     {
/* 1201 */       container.add(paramButtonPanel, "South");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void addHelpButton() {
/*      */     String str;
/* 1211 */     boolean bool = !(getOwner() instanceof ViewWindow) ? true : false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1216 */     if (this.DIALOG_LOCALE == null) {
/*      */       
/* 1218 */       str = getTitle() + " - Help Information";
/*      */     }
/*      */     else {
/*      */       
/* 1222 */       str = getTitle() + " - " + ResourceAdministrator.getLocalizedString("help");
/*      */     } 
/*      */ 
/*      */     
/* 1226 */     JButton jButton = HelpButtonFactory.buildHelpButton(getClass(), getHelpButtonSuffix(), this.DIALOG_LOCALE, str, bool);
/*      */     
/* 1228 */     addButton(jButton, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ButtonPanel createButtonPanel(String paramString1, String paramString2) {
/* 1236 */     return a(paramString1, paramString2, c);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected ButtonPanel createButtonPanelOkCancel(Locale paramLocale) {
/*      */     String str1;
/*      */     String str2;
/* 1244 */     if (paramLocale == null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1250 */       str1 = "OK";
/* 1251 */       str2 = "Cancel";
/*      */     }
/*      */     else {
/*      */       
/* 1255 */       str1 = ResourceAdministrator.getLocalizedString("button.ok");
/* 1256 */       str2 = ResourceAdministrator.getLocalizedString("button.cancel");
/*      */     } 
/*      */     
/* 1259 */     return a(str1, str2, c);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected ButtonPanel createButtonPanelPrintCancel(Locale paramLocale) {
/*      */     String str1;
/*      */     String str2;
/* 1267 */     if (paramLocale == null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1273 */       str1 = "Print";
/* 1274 */       str2 = "Cancel";
/*      */     }
/*      */     else {
/*      */       
/* 1278 */       str1 = ResourceAdministrator.getLocalizedString("button.print");
/* 1279 */       str2 = ResourceAdministrator.getLocalizedString("button.cancel");
/*      */     } 
/*      */     
/* 1282 */     return a(str1, str2, c);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintRequestAttributeSet createDefaultAttributeSet(PrintService paramPrintService) {
/*      */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet;
/* 1294 */     return hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ActionButton getActionButton() {
/* 1304 */     ButtonPanel buttonPanel = getButtonPanel();
/* 1305 */     Component[] arrayOfComponent = null;
/* 1306 */     ActionButton actionButton = null;
/*      */     
/* 1308 */     if (buttonPanel != null) {
/*      */       
/* 1310 */       arrayOfComponent = buttonPanel.getComponents();
/* 1311 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*      */         
/* 1313 */         if (arrayOfComponent[b] instanceof ActionButton) {
/*      */           
/* 1315 */           actionButton = (ActionButton)arrayOfComponent[b];
/*      */           
/*      */           break;
/*      */         } 
/*      */       } 
/*      */     } 
/* 1321 */     return actionButton;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ButtonPanel getButtonPanel() {
/* 1331 */     Component[] arrayOfComponent = getContentPane().getComponents();
/* 1332 */     ButtonPanel buttonPanel = null;
/*      */     
/* 1334 */     for (byte b = 0; b < arrayOfComponent.length; b++) {
/*      */       
/* 1336 */       if (arrayOfComponent[b] instanceof ButtonPanel) {
/*      */         
/* 1338 */         buttonPanel = (ButtonPanel)arrayOfComponent[b];
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/* 1343 */     return buttonPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected String getHelpButtonSuffix() {
/* 1354 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected AbstractPrintOptionsContainerPanel getPrintOptionsContainerPanel() {
/* 1362 */     return this.printOptionsContainerPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintOptionsController getPrintOptionsController(int paramInt) {
/* 1373 */     return getPrintOptionsContainerPanel().getPrintOptionsControllerList()[paramInt];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintRequestAttributeSet getPrintRequestAttributeSetClone() {
/* 1382 */     return this.INFO_HOLDER.getAttributeSet();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintServiceSetter getPrintServiceSetter() {
/* 1391 */     return this.INFO_HOLDER.getPrintServiceSetter();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean handleActionButtonPress() {
/*      */     boolean bool;
/* 1403 */     if (bool = applyInputsToAttributeSet())
/*      */     {
/*      */       
/* 1406 */       if (isActionButtonPressed()) remove();
/*      */     
/*      */     }
/* 1409 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void initializeDialogContents(Locale paramLocale, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/* 1421 */     addDialogContents((JComponent)paramAbstractPrintOptionsContainerPanel, createButtonPanelPrintCancel(paramLocale));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void initializeDialogDisplay() {
/*      */     PrintServiceSetter printServiceSetter;
/* 1436 */     if (printServiceSetter = getPrintServiceSetter() instanceof PrintServiceSelector)
/*      */     {
/* 1438 */       ((PrintServiceSelector)printServiceSetter).initializeSelectionList(this.INFO_HOLDER.getDocFlavor());
/*      */     }
/*      */ 
/*      */     
/* 1442 */     getPrintOptionsContainerPanel().initializePrintOptions(this.INFO_HOLDER);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1448 */     printServiceSetter.informSelectionObservers();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setUniqueMnemonics(int paramInt) {
/*      */     jpdf_common.gui.utility.c c;
/* 1467 */     (c = new jpdf_common.gui.utility.c(paramInt)).a(getButtonPanel());
/* 1468 */     c.a((JPanel)getPrintOptionsContainerPanel());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ButtonPanel a(String paramString1, String paramString2, int paramInt) {
/*      */     ButtonPanel buttonPanel;
/* 1514 */     (buttonPanel = new ButtonPanel()).setBorder(BorderFactory.createEmptyBorder(0, 5, 5, 5));
/* 1515 */     buttonPanel.setLayout((LayoutManager)new HelpRowLayout(paramInt, 12));
/* 1516 */     buttonPanel.add(new ActionButton(paramString1));
/* 1517 */     buttonPanel.add(new CancelButton(paramString2));
/*      */     
/* 1519 */     return buttonPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/* 1553 */     if (paramPrintService == null)
/*      */     {
/* 1555 */       paramPrintService = PrintManager.getDefaultPrintService();
/*      */     }
/*      */ 
/*      */     
/* 1559 */     if (paramPrintRequestAttributeSet == null)
/*      */     {
/* 1561 */       paramPrintRequestAttributeSet = createDefaultAttributeSet(paramPrintService);
/*      */     }
/*      */ 
/*      */     
/* 1565 */     this.printRequestAttributeSet = paramPrintRequestAttributeSet;
/* 1566 */     this.printOptionsContainerPanel = paramAbstractPrintOptionsContainerPanel;
/*      */     Attribute[] arrayOfAttribute;
/*      */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet2;
/*      */     byte b;
/* 1570 */     for (paramPrintRequestAttributeSet = paramPrintRequestAttributeSet, hashPrintRequestAttributeSet2 = new HashPrintRequestAttributeSet(), arrayOfAttribute = paramPrintRequestAttributeSet.toArray(), b = 0; b < arrayOfAttribute.length; ) { if (arrayOfAttribute[b] instanceof CloneableValueAttribute) arrayOfAttribute[b] = ((CloneableValueAttribute)arrayOfAttribute[b]).cloneAttribute();  hashPrintRequestAttributeSet2.add(arrayOfAttribute[b]); b++; }  HashPrintRequestAttributeSet hashPrintRequestAttributeSet1 = hashPrintRequestAttributeSet2;
/*      */     
/* 1572 */     this.INFO_HOLDER.setValues(hashPrintRequestAttributeSet1, paramDocFlavor, paramAbstractPrintOptionsContainerPanel.getPrintServiceSetter(), paramPrintService);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1577 */     addWindowListener(new b((byte)0));
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\AbstractPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */