/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.container.assembly.PrinterIconSelectionAssemblyPanel;
/*     */ import jpdf.gui.container.assembly.PrinterSelectionAssemblyPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintServiceRegistry;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SelectPrintServiceDialog
/*     */   extends AbstractPrintDialog
/*     */ {
/*     */   public static class Options
/*     */   {
/*     */     public boolean useIcons = false;
/*     */     public boolean useSmallIcons = false;
/*  98 */     public int smallIconColCount = SelectPrintServiceDialog.getDefaultSmallIconColCount();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 104 */     public int smallIconRowCount = SelectPrintServiceDialog.getDefaultSmallIconRowCount();
/*     */ 
/*     */     
/*     */     public Options() {
/* 108 */       this(PrintDialogPreferences.isToUsePrintServiceSelectionIcons(), PrintDialogPreferences.isToUseSmallPrintServiceIcons());
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public Options(boolean param1Boolean) {
/* 114 */       this(param1Boolean, PrintDialogPreferences.isToUseSmallPrintServiceIcons());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Options(boolean param1Boolean1, boolean param1Boolean2) {
/* 122 */       this.useIcons = param1Boolean1;
/* 123 */       this.useSmallIcons = param1Boolean2;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 131 */   private static int a = 3;
/* 132 */   private static int b = 4;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Frame paramFrame) {
/* 150 */     this(paramFrame, Locale.getDefault(), PrintManager.getDefaultPrintAttributes(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Frame paramFrame, Options paramOptions) {
/* 161 */     this(paramFrame, ResourceAdministrator.getLocalizedString("selectPrintService"), Locale.getDefault(), PrintManager.getDefaultPrintAttributes(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, paramOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 177 */     this(paramFrame, ResourceAdministrator.getLocalizedString("selectPrintService"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, new Options());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 191 */     this(paramFrame, paramString, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, new Options());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Options paramOptions) {
/* 204 */     super(paramFrame, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService, paramOptions), (Object)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Dialog paramDialog) {
/* 219 */     this(paramDialog, Locale.getDefault(), PrintManager.getDefaultPrintAttributes(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Dialog paramDialog, Options paramOptions) {
/* 230 */     this(paramDialog, ResourceAdministrator.getLocalizedString("selectPrintService"), Locale.getDefault(), PrintManager.getDefaultPrintAttributes(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, paramOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 246 */     this(paramDialog, ResourceAdministrator.getLocalizedString("selectPrintService"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, new Options());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 260 */     this(paramDialog, paramString, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, new Options());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectPrintServiceDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Options paramOptions) {
/* 273 */     super(paramDialog, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService, paramOptions), (Object)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static JButton createDialogDisplayButton(Locale paramLocale) {
/*     */     String str;
/* 295 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 300 */       str = "Print Service...";
/*     */     }
/*     */     else {
/*     */       
/* 304 */       str = ResourceAdministrator.getLocalizedString("printService") + "...";
/*     */     } 
/*     */     
/* 307 */     return createDialogDisplayButton(paramLocale, str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static JButton createDialogDisplayButton(Locale paramLocale, String paramString) {
/* 322 */     paramLocale = paramLocale;
/*     */ 
/*     */     
/*     */     JButton jButton;
/*     */     
/* 327 */     (jButton = new JButton(paramString)).addActionListener(new a(paramLocale));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 375 */     return jButton;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getDefaultSmallIconColCount() {
/* 386 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getDefaultSmallIconRowCount() {
/* 398 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultSmallIconColCount(int paramInt) {
/* 410 */     a(paramInt);
/* 411 */     a = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultSmallIconRowCount(int paramInt) {
/* 423 */     b(paramInt);
/* 424 */     b = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/* 442 */     setUniqueMnemonics(20);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 449 */     pack();
/*     */     int i;
/* 451 */     if ((i = getWidth() + 30) < 400) i = 400; 
/* 452 */     setSize(i, getHeight());
/*     */ 
/*     */     
/* 455 */     super.show();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeDialogContents(Locale paramLocale, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/* 471 */     if (PrintDialogPreferences.isToUsePrintServiceSelectionIcons()) setResizable(true);
/*     */ 
/*     */     
/* 474 */     addDialogContents((JComponent)paramAbstractPrintOptionsContainerPanel, createButtonPanelOkCancel(paramLocale));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractPrintOptionsContainerPanel a(Locale paramLocale, PrintService paramPrintService, Options paramOptions) {
/*     */     PrinterSelectionAssemblyPanel printerSelectionAssemblyPanel;
/* 489 */     int i = 5;
/*     */     
/* 491 */     int j = 2;
/*     */ 
/*     */     
/* 494 */     if (paramOptions.useIcons)
/*     */     {
/* 496 */       if (paramOptions.useSmallIcons) {
/*     */         
/* 498 */         i = paramOptions.smallIconColCount;
/* 499 */         j = paramOptions.smallIconRowCount;
/* 500 */         a(i);
/* 501 */         b(j);
/*     */       } else {
/*     */         int k;
/*     */ 
/*     */         
/* 506 */         if ((k = PrintServiceRegistry.getPrintServiceCount()) < 5) {
/*     */ 
/*     */           
/* 509 */           if ((i = k) < 3) i = 3; 
/* 510 */           j = 1;
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 516 */     if (paramLocale == null) {
/*     */       
/* 518 */       if (paramOptions.useIcons) {
/*     */         
/* 520 */         PrinterIconSelectionAssemblyPanel printerIconSelectionAssemblyPanel = new PrinterIconSelectionAssemblyPanel(paramPrintService, j, i, paramOptions.useSmallIcons, false);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 526 */         printerSelectionAssemblyPanel = new PrinterSelectionAssemblyPanel(false);
/*     */       } 
/*     */     } else {
/*     */       PrinterIconSelectionAssemblyPanel printerIconSelectionAssemblyPanel;
/*     */       
/* 531 */       if (paramOptions.useIcons) {
/*     */         
/* 533 */         printerIconSelectionAssemblyPanel = new PrinterIconSelectionAssemblyPanel((Locale)printerSelectionAssemblyPanel, paramPrintService, j, i, paramOptions.useSmallIcons, false);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 539 */         printerSelectionAssemblyPanel = new PrinterSelectionAssemblyPanel((Locale)printerIconSelectionAssemblyPanel, false);
/*     */       } 
/*     */     } 
/*     */     
/* 543 */     return (AbstractPrintOptionsContainerPanel)printerSelectionAssemblyPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(int paramInt) {
/* 551 */     if (paramInt <= 0 || paramInt > 3) {
/*     */       
/* 553 */       String str = "Invalid Column Count: " + paramInt + ".  Must be between 1 and 3 (inclusive).";
/*     */       
/* 555 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void b(int paramInt) {
/* 564 */     if (paramInt < 3 || paramInt > 8) {
/*     */       
/* 566 */       String str = "Invalid Row Count: " + paramInt + ".  Must be between 3 and 8 (inclusive).";
/*     */       
/* 568 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\SelectPrintServiceDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */