/*      */ package jpdf.gui.preview;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Component;
/*      */ import java.awt.Container;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.FlowLayout;
/*      */ import java.awt.GridLayout;
/*      */ import java.awt.LayoutManager;
/*      */ import java.awt.event.ActionEvent;
/*      */ import java.awt.event.ActionListener;
/*      */ import java.awt.event.ComponentAdapter;
/*      */ import java.awt.event.ComponentEvent;
/*      */ import java.io.Serializable;
/*      */ import java.util.Locale;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.Box;
/*      */ import javax.swing.ButtonGroup;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JCheckBox;
/*      */ import javax.swing.JComboBox;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JRadioButton;
/*      */ import javax.swing.JScrollPane;
/*      */ import javax.swing.JSeparator;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf_common.gui.component.i.b;
/*      */ import jpdf_common.gui.component.j.d;
/*      */ import jpdf_common.gui.layout.ColLayout;
/*      */ import jpdf_common.gui.layout.RowLayout;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class AbstractOverviewControlPanel
/*      */   extends AbstractViewControlPanel
/*      */   implements d.i
/*      */ {
/*      */   public static final int INITIAL_SELECT_FIRST_PAGE = 0;
/*      */   public static final int INITIAL_SELECT_FIRST_ROW = 1;
/*      */   public static final int INITIAL_SELECT_ALL_OR_MAX = 2;
/*      */   public static final int INITIAL_SELECT_DEFAULT = 3;
/*      */   
/*      */   public static class ControlState
/*      */     implements Serializable
/*      */   {
/*      */     public static final int DEFAULT_COLUMN_COUNT = 2;
/*      */     private static final long serialVersionUID = 120L;
/*      */     public boolean highlightingMargins = false;
/*      */     public boolean displayingSize = false;
/*      */     public boolean grayScaleImages = false;
/*      */     public boolean fixedZoomFactor = false;
/*      */     public boolean fitColumns = false;
/*   60 */     public int fixedColumnCount = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public String toString() {
/*   70 */       return "\n  highlightingMargins = " + this.highlightingMargins + "\n  displayingSize = " + this.displayingSize + "\n  grayScaleImages = " + this.grayScaleImages + "\n  fixedZoomFactor = " + this.fixedZoomFactor + "\n  fitColumns = " + this.fitColumns + "\n  fixedColumnCount = " + this.fixedColumnCount;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ShowSizeCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private ShowSizeCheckBox() {
/*   89 */       super("Size");
/*      */       
/*   91 */       setSelected(true);
/*   92 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private ShowSizeCheckBox(byte param1Byte) {
/*   97 */       super(ResourceAdministrator.getLocalizedString("size"));
/*      */       
/*   99 */       setSelected(true);
/*  100 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  108 */       AbstractOverviewControlPanel.this.getMediaLabel().setVisible(isSelected());
/*      */       
/*  110 */       AbstractOverviewControlPanel.this.validate();
/*      */       
/*  112 */       if (!AbstractOverviewControlPanel.this.isUsingFixedZoomFactor()) AbstractOverviewControlPanel.this.zoomDisplayToFit();
/*      */     
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ShowMarginsCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private ShowMarginsCheckBox() {
/*  126 */       super("Margins");
/*      */       
/*  128 */       setSelected(true);
/*  129 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private ShowMarginsCheckBox(byte param1Byte) {
/*  134 */       super(ResourceAdministrator.getLocalizedString("margins"));
/*      */       
/*  136 */       setSelected(true);
/*  137 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       AbstractOverviewPanel abstractOverviewPanel;
/*  147 */       (abstractOverviewPanel = AbstractOverviewControlPanel.this.getDisplayPanel()).setHighlightingMargins(isSelected());
/*  148 */       abstractOverviewPanel.repaint();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class GrayScaleCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private GrayScaleCheckBox() {
/*  162 */       super("Grayscale");
/*      */       
/*  164 */       setSelected(false);
/*  165 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private GrayScaleCheckBox(byte param1Byte) {
/*  170 */       super(ResourceAdministrator.getLocalizedString("grayScale"));
/*      */       
/*  172 */       setSelected(false);
/*  173 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       AbstractOverviewPanel abstractOverviewPanel;
/*  183 */       (abstractOverviewPanel = AbstractOverviewControlPanel.this.getDisplayPanel()).setToUseGrayScaleImages(isSelected());
/*  184 */       abstractOverviewPanel.repaint();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FitColumnsRadioButton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private FitColumnsRadioButton() {
/*  198 */       super("Fit");
/*      */       
/*  200 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private FitColumnsRadioButton(byte param1Byte) {
/*  205 */       super(ResourceAdministrator.getLocalizedString("fit"));
/*      */       
/*  207 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  215 */       AbstractOverviewPanel abstractOverviewPanel = AbstractOverviewControlPanel.this.getDisplayPanel();
/*      */ 
/*      */       
/*  218 */       AbstractOverviewControlPanel.this.FIXED_COLS_COMBO_BOX.setEnabled(false);
/*      */ 
/*      */       
/*  221 */       abstractOverviewPanel.requestFixedColumnCount(0);
/*      */ 
/*      */       
/*  224 */       AbstractOverviewControlPanel.this.refreshControlledDisplay();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FixedColumnsRadioButton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private FixedColumnsRadioButton() {
/*  238 */       super("Fixed");
/*      */       
/*  240 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private FixedColumnsRadioButton(byte param1Byte) {
/*  245 */       super(ResourceAdministrator.getLocalizedString("fixed"));
/*      */       
/*  247 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  256 */       if (isEnabled()) AbstractOverviewControlPanel.this.FIXED_COLS_COMBO_BOX.setEnabled(true);
/*      */ 
/*      */       
/*  259 */       AbstractOverviewControlPanel.this.FIXED_COLS_COMBO_BOX.actionPerformed((ActionEvent)null);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FixedColumnsComboBox
/*      */     extends JComboBox
/*      */     implements ActionListener
/*      */   {
/*      */     private FixedColumnsComboBox() {
/*  273 */       super((E[])new Integer[] { Integer.valueOf(1), Integer.valueOf(2), Integer.valueOf(3), Integer.valueOf(4), Integer.valueOf(5) });
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  278 */       jpdf_common.gui.d.a.a(this);
/*      */ 
/*      */       
/*  281 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  292 */       if (AbstractOverviewControlPanel.this.FIXED_COLS_RADIO_BUTTON.isSelected()) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  297 */         if (AbstractOverviewControlPanel.this.isDisplayInitialized()) {
/*      */           
/*  299 */           AbstractOverviewControlPanel.this.getDisplayPanel().requestFixedColumnCount(getColumnCount());
/*  300 */           AbstractOverviewControlPanel.this.refreshControlledDisplay();
/*      */           
/*      */           return;
/*      */         } 
/*  304 */         AbstractOverviewControlPanel.this.getDisplayPanel().setRequestedFixedColumnCount(getColumnCount());
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public int getColumnCount() {
/*  314 */       return ((Integer)getSelectedItem()).intValue();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void selectColumnCount(int param1Int) {
/*  322 */       if (param1Int > 0 && param1Int <= getItemCount())
/*      */       {
/*  324 */         setSelectedIndex(param1Int - 1);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FitZoomRadioButton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private FitZoomRadioButton() {
/*  340 */       super("Fit");
/*      */       
/*  342 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private FitZoomRadioButton(byte param1Byte) {
/*  347 */       super(ResourceAdministrator.getLocalizedString("fit"));
/*      */       
/*  349 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  357 */       AbstractOverviewControlPanel.a(AbstractOverviewControlPanel.this, 0.0F);
/*  358 */       AbstractOverviewControlPanel.b(AbstractOverviewControlPanel.this, 0.0F);
/*  359 */       AbstractOverviewControlPanel.this.FIT_COLS_RADIO_BUTTON.setEnabled(false);
/*  360 */       AbstractOverviewControlPanel.this.FIXED_COLS_RADIO_BUTTON.setSelected(true);
/*  361 */       AbstractOverviewControlPanel.this.FIXED_COLS_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*  362 */       AbstractOverviewControlPanel.this.zoomDisplayToFit();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FixedZoomRadioButton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private FixedZoomRadioButton() {
/*  375 */       super("Fixed");
/*      */       
/*  377 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private FixedZoomRadioButton(byte param1Byte) {
/*  382 */       super(ResourceAdministrator.getLocalizedString("fixed"));
/*      */       
/*  384 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  393 */       AbstractOverviewControlPanel.a(AbstractOverviewControlPanel.this, AbstractOverviewControlPanel.a(AbstractOverviewControlPanel.this));
/*  394 */       AbstractOverviewControlPanel.b(AbstractOverviewControlPanel.this, AbstractOverviewControlPanel.b(AbstractOverviewControlPanel.this));
/*      */ 
/*      */ 
/*      */       
/*  398 */       if (AbstractOverviewControlPanel.this.FIXED_COLS_RADIO_BUTTON.isEnabled()) AbstractOverviewControlPanel.this.FIT_COLS_RADIO_BUTTON.setEnabled(true);
/*      */ 
/*      */       
/*  401 */       AbstractOverviewControlPanel.this.updateDisplayPanelSize();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class a
/*      */     extends ComponentAdapter
/*      */   {
/*      */     private a(AbstractOverviewControlPanel this$0) {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void componentResized(ComponentEvent param1ComponentEvent) {
/*  418 */       this.a.handlePanelResize();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  437 */   private static int a = 3;
/*      */ 
/*      */   
/*      */   private final b PAGE_GRID_SCROLL_PANEL;
/*      */ 
/*      */   
/*      */   protected final ShowMarginsCheckBox SHOW_MARGINS_CHECK_BOX;
/*      */ 
/*      */   
/*      */   protected final ShowSizeCheckBox SHOW_SIZE_CHECK_BOX;
/*      */ 
/*      */   
/*      */   protected final GrayScaleCheckBox GRAY_SCALE_CHECK_BOX;
/*      */   
/*      */   protected final FitColumnsRadioButton FIT_COLS_RADIO_BUTTON;
/*      */   
/*      */   protected final FixedColumnsRadioButton FIXED_COLS_RADIO_BUTTON;
/*      */   
/*      */   protected final FixedColumnsComboBox FIXED_COLS_COMBO_BOX;
/*      */   
/*      */   protected final FitZoomRadioButton FIT_ZOOM_RADIO_BUTTON;
/*      */   
/*      */   protected final FixedZoomRadioButton FIXED_ZOOM_RADIO_BUTTON;
/*      */   
/*      */   private AbstractOverviewPanel overviewDisplayPanel;
/*      */   
/*      */   private d pageSelectionGridPanel;
/*      */   
/*      */   private JLabel zoomPercentageLabel;
/*      */   
/*      */   private JPanel columnsPanel;
/*      */   
/*      */   private boolean displayInitialized;
/*      */   
/*      */   private float zoomFactor;
/*      */   
/*      */   private float singlePageZoomFactor;
/*      */   
/*      */   private float fixedZoomFactor;
/*      */   
/*      */   private float singlePageFixedZoomFactor;
/*      */   
/*      */   private int maxDisplayPages;
/*      */ 
/*      */   
/*      */   protected AbstractOverviewControlPanel(String paramString, Locale paramLocale, AbstractOverviewPanel paramAbstractOverviewPanel, float paramFloat1, float paramFloat2) {
/*  483 */     super(ResourceAdministrator.getLocalizedString("overview")); String str1, str2; this.FIXED_COLS_COMBO_BOX = new FixedColumnsComboBox((byte)0); this.overviewDisplayPanel = null; this.pageSelectionGridPanel = null; this.zoomPercentageLabel = new JLabel(); this.columnsPanel = null; this.displayInitialized = false; this.zoomFactor = 0.0F; this.singlePageZoomFactor = 0.0F;
/*      */     this.fixedZoomFactor = 0.0F;
/*      */     this.maxDisplayPages = 10;
/*  486 */     if (paramFloat1 > 1.0F) {
/*      */       
/*  488 */       paramString = "The Fixed Zoom Factor cannot be greater than 1.0.\nInvalid value: " + paramFloat1;
/*      */       
/*  490 */       throw new IllegalArgumentException(paramString);
/*      */     } 
/*      */ 
/*      */     
/*  494 */     this.PAGE_GRID_SCROLL_PANEL = new b(new BorderLayout(0, 0), 0);
/*      */ 
/*      */     
/*  497 */     if (paramLocale == null) {
/*      */       
/*  499 */       this.SHOW_MARGINS_CHECK_BOX = new ShowMarginsCheckBox(false);
/*  500 */       this.SHOW_SIZE_CHECK_BOX = new ShowSizeCheckBox(false);
/*  501 */       this.GRAY_SCALE_CHECK_BOX = new GrayScaleCheckBox(false);
/*  502 */       this.FIT_COLS_RADIO_BUTTON = new FitColumnsRadioButton(false);
/*  503 */       this.FIXED_COLS_RADIO_BUTTON = new FixedColumnsRadioButton(false);
/*  504 */       this.FIT_ZOOM_RADIO_BUTTON = new FitZoomRadioButton(false);
/*  505 */       this.FIXED_ZOOM_RADIO_BUTTON = new FixedZoomRadioButton(false);
/*      */     }
/*      */     else {
/*      */       
/*  509 */       this.SHOW_MARGINS_CHECK_BOX = new ShowMarginsCheckBox(paramLocale);
/*  510 */       this.SHOW_SIZE_CHECK_BOX = new ShowSizeCheckBox(paramLocale);
/*  511 */       this.GRAY_SCALE_CHECK_BOX = new GrayScaleCheckBox(paramLocale);
/*  512 */       this.FIT_COLS_RADIO_BUTTON = new FitColumnsRadioButton(paramLocale);
/*  513 */       this.FIXED_COLS_RADIO_BUTTON = new FixedColumnsRadioButton(paramLocale);
/*  514 */       this.FIT_ZOOM_RADIO_BUTTON = new FitZoomRadioButton(paramLocale);
/*  515 */       this.FIXED_ZOOM_RADIO_BUTTON = new FixedZoomRadioButton(paramLocale);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  522 */     if (paramFloat1 <= 0.0F) {
/*      */       
/*  524 */       paramFloat1 = 0.33F;
/*      */     }
/*  526 */     else if (paramFloat1 < 0.05F) {
/*      */       
/*  528 */       paramFloat1 = 0.05F;
/*      */     }
/*  530 */     else if (paramFloat1 > 1.0F) {
/*      */       
/*  532 */       paramFloat1 = 1.0F;
/*      */     }  AbstractOverviewControlPanel abstractOverviewControlPanel7;
/*  534 */     float f = paramFloat1;
/*  535 */     if (paramFloat2 <= 0.0F) {
/*      */       
/*  537 */       paramFloat2 = 1.0F;
/*      */     }
/*  539 */     else if (paramFloat2 < 0.05F) {
/*      */       
/*  541 */       paramFloat2 = 0.05F;
/*      */     }
/*  543 */     else if (paramFloat2 > 1.0F) {
/*      */       
/*  545 */       paramFloat2 = 1.0F;
/*      */     } 
/*  547 */     (abstractOverviewControlPanel7 = this).singlePageFixedZoomFactor = f = paramFloat2;
/*      */ 
/*      */     
/*  550 */     this.overviewDisplayPanel = paramAbstractOverviewPanel;
/*      */ 
/*      */     
/*  553 */     paramAbstractOverviewPanel = paramAbstractOverviewPanel; paramLocale = paramLocale; AbstractOverviewControlPanel abstractOverviewControlPanel1; (abstractOverviewControlPanel1 = this).setLayout(new BorderLayout(7, 7)); abstractOverviewControlPanel1.setBorder(EMPTY_BORDER); Locale locale1 = paramLocale; AbstractOverviewControlPanel abstractOverviewControlPanel2 = abstractOverviewControlPanel1; ColLayout colLayout1 = new ColLayout(1, 2); AbstractViewControlPanel.ToolBarPanel toolBarPanel = new AbstractViewControlPanel.ToolBarPanel((LayoutManager)colLayout1); Locale locale2 = locale1; AbstractOverviewControlPanel abstractOverviewControlPanel3, abstractOverviewControlPanel5; (abstractOverviewControlPanel3 = abstractOverviewControlPanel5 = abstractOverviewControlPanel2).pageSelectionGridPanel = new d(abstractOverviewControlPanel3, 2); abstractOverviewControlPanel3.pageSelectionGridPanel.e(2); abstractOverviewControlPanel3.pageSelectionGridPanel.f((abstractOverviewControlPanel7 = abstractOverviewControlPanel3).maxDisplayPages); d d1 = abstractOverviewControlPanel3.pageSelectionGridPanel; ColLayout colLayout2 = new ColLayout(1, 0, 3); JPanel jPanel4 = new JPanel((LayoutManager)colLayout2), jPanel5 = new JPanel(new FlowLayout(1, 8, 0)); d d2 = d1; JScrollPane jScrollPane2 = (abstractOverviewControlPanel3 = abstractOverviewControlPanel5).PAGE_GRID_SCROLL_PANEL.a(true); abstractOverviewControlPanel3.PAGE_GRID_SCROLL_PANEL.add((Component)d2); jScrollPane2.setFocusable(false); jScrollPane2.setInputMap(1, (InputMap)null); abstractOverviewControlPanel3.PAGE_GRID_SCROLL_PANEL.a((Container)abstractOverviewControlPanel3); JScrollPane jScrollPane1 = jScrollPane2; AbstractOverviewControlPanel abstractOverviewControlPanel6; int j = (abstractOverviewControlPanel6 = abstractOverviewControlPanel5).maxDisplayPages; String[] arrayOfString = a(locale2, j); colLayout2.setShrinkingComponent(jScrollPane1); jPanel5.add(d1.a(arrayOfString[0], arrayOfString[1], null)); jPanel4.add(jScrollPane1); jPanel4.add(jPanel5); JPanel jPanel1 = jPanel4; colLayout1.setShrinkingComponent(jPanel1); locale2 = locale1; AbstractOverviewControlPanel abstractOverviewControlPanel4 = abstractOverviewControlPanel2; ButtonGroup buttonGroup2 = new ButtonGroup(); JPanel jPanel3 = new JPanel((LayoutManager)new ColLayout(1, 0)); jPanel4 = new JPanel((LayoutManager)new RowLayout(2, 2)); if (locale2 == null) { str2 = "Zoom: "; } else { str2 = ResourceAdministrator.getLocalizedString("zoom") + ": "; }  jPanel4.add(new JLabel(str2)); jPanel4.add((abstractOverviewControlPanel6 = abstractOverviewControlPanel4).zoomPercentageLabel); buttonGroup2.add(abstractOverviewControlPanel4.FIT_ZOOM_RADIO_BUTTON); buttonGroup2.add(abstractOverviewControlPanel4.FIXED_ZOOM_RADIO_BUTTON); jPanel3.add(jPanel4); jPanel3.add(abstractOverviewControlPanel4.FIT_ZOOM_RADIO_BUTTON); jPanel3.add(abstractOverviewControlPanel4.FIXED_ZOOM_RADIO_BUTTON); toolBarPanel.add(jPanel3); toolBarPanel.add(new JSeparator(0)); abstractOverviewControlPanel4 = abstractOverviewControlPanel2; JPanel jPanel2; (jPanel2 = new JPanel((LayoutManager)new ColLayout(1, 2))).add(abstractOverviewControlPanel4.SHOW_MARGINS_CHECK_BOX); jPanel2.add(abstractOverviewControlPanel4.SHOW_SIZE_CHECK_BOX); jPanel2.add(abstractOverviewControlPanel4.GRAY_SCALE_CHECK_BOX); toolBarPanel.add(jPanel2); toolBarPanel.add(new JSeparator(0)); locale2 = locale1; abstractOverviewControlPanel4 = abstractOverviewControlPanel2; ButtonGroup buttonGroup1 = new ButtonGroup(); jPanel3 = new JPanel((LayoutManager)new RowLayout(2, 0)); abstractOverviewControlPanel4.columnsPanel = new JPanel((LayoutManager)new ColLayout(0, 0)); if (locale2 == null) { str1 = "Columns"; } else { str1 = ResourceAdministrator.getLocalizedString("columns"); }  abstractOverviewControlPanel4.columnsPanel.add(new JLabel(str1)); abstractOverviewControlPanel4.FIT_COLS_RADIO_BUTTON.setSelected(true); buttonGroup1.add(abstractOverviewControlPanel4.FIT_COLS_RADIO_BUTTON); abstractOverviewControlPanel4.columnsPanel.add(abstractOverviewControlPanel4.FIT_COLS_RADIO_BUTTON); buttonGroup1.add(abstractOverviewControlPanel4.FIXED_COLS_RADIO_BUTTON); jPanel3.add(abstractOverviewControlPanel4.FIXED_COLS_RADIO_BUTTON); jPanel3.add(abstractOverviewControlPanel4.FIXED_COLS_COMBO_BOX); abstractOverviewControlPanel4.columnsPanel.add(jPanel3); toolBarPanel.add(abstractOverviewControlPanel4.columnsPanel); toolBarPanel.add(new JSeparator(0)); toolBarPanel.add(jPanel1); toolBarPanel.add(new JSeparator(0)); toolBarPanel.add(Box.createGlue()); abstractOverviewControlPanel1.add(toolBarPanel, "West"); abstractOverviewControlPanel1.add(abstractOverviewControlPanel1.createDisplayScrollPane(paramAbstractOverviewPanel), "Center"); abstractOverviewControlPanel1.add(abstractOverviewControlPanel1.createMediaLabel(2), "South"); abstractOverviewControlPanel1.addComponentListener(new a((byte)0));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getInitialSelectionMode() {
/*  616 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void initializeDisplay() {
/*  631 */     boolean bool = this.FIXED_COLS_RADIO_BUTTON.isSelected();
/*  632 */     int j = this.FIXED_COLS_COMBO_BOX.getColumnCount();
/*      */ 
/*      */ 
/*      */     
/*  636 */     if (this.SHOW_SIZE_CHECK_BOX.isSelected()) this.SHOW_SIZE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*      */ 
/*      */     
/*  639 */     updateDisplay();
/*      */ 
/*      */     
/*  642 */     this.FIXED_COLS_COMBO_BOX.selectColumnCount(j);
/*  643 */     if (bool) {
/*      */       
/*  645 */       this.FIXED_COLS_RADIO_BUTTON.setSelected(true);
/*      */     }
/*      */     else {
/*      */       
/*  649 */       this.FIT_COLS_RADIO_BUTTON.setSelected(true);
/*      */     } 
/*      */ 
/*      */     
/*  653 */     setDisplayInitialized(true);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  658 */     this.FIT_COLS_RADIO_BUTTON.setEnabled(isUsingFixedZoomFactor());
/*  659 */     if (this.FIXED_ZOOM_RADIO_BUTTON.isSelected()) {
/*      */       
/*  661 */       this.FIXED_ZOOM_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*      */     }
/*      */     else {
/*      */       
/*  665 */       this.FIT_ZOOM_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*      */     } 
/*      */ 
/*      */     
/*  669 */     if (bool) {
/*      */       
/*  671 */       this.FIXED_COLS_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*      */     }
/*      */     else {
/*      */       
/*  675 */       getDisplayPanel().configureToTrackContainerSize();
/*  676 */       this.FIT_COLS_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*      */     } 
/*      */ 
/*      */     
/*  680 */     refreshControlledDisplay();
/*      */ 
/*      */     
/*  683 */     getDisplayPanel().b();
/*      */ 
/*      */     
/*  686 */     selectInitialPages();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void selectedValue(int paramInt) {
/*  695 */     selectedValueRange(paramInt, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void selectedValueRange(int paramInt1, int paramInt2) {
/*      */     boolean bool;
/*  704 */     d d1 = getPageSelectionGridPanel();
/*  705 */     AbstractOverviewPanel abstractOverviewPanel = getDisplayPanel();
/*  706 */     float f = 0.0F;
/*  707 */     boolean bool1 = (paramInt1 == paramInt2) ? true : false;
/*  708 */     int k = d1.a(paramInt1);
/*      */     
/*  710 */     int m = d1.a(paramInt2);
/*  711 */     int j = d1.i();
/*  712 */     j = m - k + j;
/*      */ 
/*      */     
/*  715 */     this.PAGE_GRID_SCROLL_PANEL.a(k, j);
/*      */ 
/*      */     
/*  718 */     if (isUsingFixedZoomFactor()) {
/*      */       AbstractOverviewControlPanel abstractOverviewControlPanel;
/*  720 */       float f1 = bool1 ? (abstractOverviewControlPanel = this).singlePageFixedZoomFactor : (abstractOverviewControlPanel = this).fixedZoomFactor;
/*  721 */       bool = abstractOverviewPanel.setPageIndexRange(paramInt1 - 1, paramInt2 - 1, f1);
/*      */       
/*  723 */       if (!bool1) updatePageSelectionGridArrangement();
/*      */     
/*      */     } else {
/*      */       
/*  727 */       bool = abstractOverviewPanel.setPageIndexRange(bool - 1, paramInt2 - 1, 0.05F, 2.0F);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  732 */     a(abstractOverviewPanel.getZoomFactor());
/*      */ 
/*      */     
/*  735 */     abstractOverviewPanel.repaint();
/*      */ 
/*      */     
/*  738 */     if (bool) navigatedPage();
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setControlState(ControlState paramControlState) {
/*  747 */     if (!isZooomingEnabled()) paramControlState.fixedZoomFactor = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  754 */     boolean bool = (!paramControlState.fitColumns || !paramControlState.fixedZoomFactor) ? true : false;
/*      */ 
/*      */     
/*  757 */     this.SHOW_MARGINS_CHECK_BOX.setSelected(paramControlState.highlightingMargins);
/*  758 */     this.SHOW_MARGINS_CHECK_BOX.actionPerformed((ActionEvent)null);
/*  759 */     this.SHOW_SIZE_CHECK_BOX.setSelected(paramControlState.displayingSize);
/*  760 */     this.SHOW_SIZE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*  761 */     this.GRAY_SCALE_CHECK_BOX.setSelected(paramControlState.grayScaleImages);
/*  762 */     this.GRAY_SCALE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*      */ 
/*      */     
/*  765 */     this.FIT_COLS_RADIO_BUTTON.setSelected(!bool);
/*  766 */     this.FIXED_COLS_RADIO_BUTTON.setSelected(bool);
/*  767 */     this.FIXED_COLS_COMBO_BOX.selectColumnCount(paramControlState.fixedColumnCount);
/*      */ 
/*      */     
/*  770 */     this.FIT_ZOOM_RADIO_BUTTON.setSelected(!paramControlState.fixedZoomFactor);
/*  771 */     this.FIXED_ZOOM_RADIO_BUTTON.setSelected(paramControlState.fixedZoomFactor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialSelectionMode(int paramInt) {
/*  829 */     if (paramInt == 0 || paramInt == 1 || paramInt == 2) {
/*      */ 
/*      */ 
/*      */       
/*  833 */       a = paramInt;
/*      */       
/*      */       return;
/*      */     } 
/*  837 */     a = 3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void storeControlState(ControlState paramControlState) {
/*  847 */     paramControlState.highlightingMargins = this.SHOW_MARGINS_CHECK_BOX.isSelected();
/*  848 */     paramControlState.grayScaleImages = this.GRAY_SCALE_CHECK_BOX.isSelected();
/*  849 */     paramControlState.displayingSize = this.SHOW_SIZE_CHECK_BOX.isSelected();
/*  850 */     paramControlState.fitColumns = this.FIT_COLS_RADIO_BUTTON.isSelected();
/*  851 */     paramControlState.fixedColumnCount = this.FIXED_COLS_COMBO_BOX.getColumnCount();
/*  852 */     paramControlState.fixedZoomFactor = this.FIXED_ZOOM_RADIO_BUTTON.isSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void unselectedAllValues(int paramInt1, int paramInt2) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected JPanel getColumnsPanel() {
/*  875 */     return this.columnsPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected AbstractOverviewPanel getDisplayPanel() {
/*  883 */     return this.overviewDisplayPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected AbstractPageImageDisplayPanel getPageImageDisplayPanel() {
/*  894 */     return this.overviewDisplayPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected d getPageSelectionGridPanel() {
/*  902 */     return this.pageSelectionGridPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected float getSinglePageZoomFactor() {
/*  911 */     return this.singlePageZoomFactor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected float getZoomFactor() {
/*  920 */     return this.zoomFactor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void handlePanelResize() {
/*  928 */     d d1 = getPageSelectionGridPanel();
/*  929 */     AbstractOverviewPanel abstractOverviewPanel = null;
/*  930 */     Object object = null;
/*  931 */     boolean bool = false;
/*  932 */     if (!isDisplayInitialized()) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  939 */     if (isUsingFixedZoomFactor()) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  945 */       if (bool = (abstractOverviewPanel = getDisplayPanel()).handleContainerResize())
/*      */       {
/*      */ 
/*      */         
/*  949 */         Dimension dimension = abstractOverviewPanel.computeFullLayoutSize();
/*  950 */         d1.a(abstractOverviewPanel.getFullPageCount(), dimension.width);
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  955 */         abstractOverviewPanel.invalidate();
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  963 */       zoomDisplayToFit();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  968 */     if (this.PAGE_GRID_SCROLL_PANEL.a())
/*      */     {
/*  970 */       d1.invalidate();
/*      */     }
/*      */ 
/*      */     
/*  974 */     validate();
/*  975 */     repaint();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isDisplayInitialized() {
/*  984 */     return this.displayInitialized;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isUsingFixedZoomFactor() {
/*  992 */     return (this.zoomFactor > 0.0F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isZooomingEnabled() {
/* 1000 */     return this.FIT_ZOOM_RADIO_BUTTON.isEnabled();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void navigateToNext() {
/* 1011 */     getPageSelectionGridPanel().q();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void navigateToPrevious() {
/* 1021 */     getPageSelectionGridPanel().r();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void refreshControlledDisplay() {
/* 1030 */     AbstractOverviewPanel abstractOverviewPanel = getDisplayPanel();
/* 1031 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintInfoHolder().getAttributeSet();
/*      */ 
/*      */     
/* 1034 */     if (!isDisplayInitialized()) {
/*      */       return;
/*      */     }
/* 1037 */     updateMediaLabel(printRequestAttributeSet);
/*      */ 
/*      */     
/* 1040 */     updatePageSelectionGridArrangement();
/*      */ 
/*      */ 
/*      */     
/* 1044 */     if (isUsingFixedZoomFactor()) {
/*      */       
/* 1046 */       updateDisplayPanelSize();
/*      */     }
/*      */     else {
/*      */       
/* 1050 */       zoomDisplayToFit();
/*      */     } 
/*      */ 
/*      */     
/* 1054 */     abstractOverviewPanel.repaint();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void selectInitialPages() {
/* 1063 */     Dimension dimension = null;
/* 1064 */     boolean bool = isPageNavigationAudible();
/*      */ 
/*      */     
/* 1067 */     setPageNavigationAudible(false);
/*      */     
/* 1069 */     switch (getInitialSelectionMode()) {
/*      */ 
/*      */ 
/*      */       
/*      */       case 0:
/* 1074 */         getPageSelectionGridPanel().a(1, true);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/* 1081 */         getPageSelectionGridPanel().d(true);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/* 1088 */         getPageSelectionGridPanel().c(true);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       default:
/* 1097 */         if ((dimension = getDisplayPanel().getFullLayoutSize()).height <= 3 && dimension.height * dimension.width <= 4) {
/*      */           
/* 1099 */           getPageSelectionGridPanel().c(true);
/*      */           
/*      */           break;
/*      */         } 
/* 1103 */         getPageSelectionGridPanel().d(true);
/*      */         break;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1109 */     setPageNavigationAudible(bool);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setColumnsSelectionEnabled(boolean paramBoolean, int paramInt) {
/* 1120 */     boolean bool = (paramInt > 0) ? true : false;
/*      */ 
/*      */     
/* 1123 */     this.FIXED_COLS_RADIO_BUTTON.setEnabled(paramBoolean);
/* 1124 */     this.FIXED_COLS_COMBO_BOX.setEnabled((paramBoolean && bool));
/* 1125 */     this.FIT_COLS_RADIO_BUTTON.setEnabled((paramBoolean && this.FIXED_ZOOM_RADIO_BUTTON.isSelected()));
/*      */ 
/*      */     
/* 1128 */     if (bool) {
/*      */       
/* 1130 */       this.FIXED_COLS_RADIO_BUTTON.setSelected(true);
/* 1131 */       this.FIXED_COLS_COMBO_BOX.selectColumnCount(paramInt);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setDisplayInitialized(boolean paramBoolean) {
/* 1141 */     this.displayInitialized = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setPageSelectionGridPanelVisible(boolean paramBoolean) {
/* 1149 */     Container container = getPageSelectionGridPanel().getParent();
/*      */ 
/*      */     
/* 1152 */     while (container.getComponentCount() <= 1)
/*      */     {
/* 1154 */       container = container.getParent();
/*      */     }
/*      */ 
/*      */     
/* 1158 */     container.setVisible(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setZooomingEnabled(boolean paramBoolean) {
/* 1176 */     this.FIT_ZOOM_RADIO_BUTTON.setEnabled(paramBoolean);
/* 1177 */     this.FIXED_ZOOM_RADIO_BUTTON.setEnabled(paramBoolean);
/*      */ 
/*      */     
/* 1180 */     if (!paramBoolean) {
/*      */       
/* 1182 */       this.FIXED_ZOOM_RADIO_BUTTON.setSelected(true); AbstractOverviewControlPanel abstractOverviewControlPanel;
/* 1183 */       float f = 1.0F;
/* 1184 */       (abstractOverviewControlPanel = this).zoomFactor = f = 1.0F;
/* 1185 */       (abstractOverviewControlPanel = this).singlePageFixedZoomFactor = f = 1.0F;
/* 1186 */       (abstractOverviewControlPanel = this).fixedZoomFactor = f = 1.0F;
/* 1187 */       a(4);
/*      */     }
/*      */     else {
/*      */       
/* 1191 */       a(10);
/*      */     } 
/*      */ 
/*      */     
/* 1195 */     getDisplayPanel().setToUseFractionalMetrics(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void updateDisplayPanelSize() {
/*      */     AbstractOverviewPanel abstractOverviewPanel;
/*      */     AbstractOverviewControlPanel abstractOverviewControlPanel;
/* 1206 */     float f = (abstractOverviewPanel = getDisplayPanel()).isSinglePageDisplay() ? (abstractOverviewControlPanel = this).singlePageFixedZoomFactor : (abstractOverviewControlPanel = this).fixedZoomFactor;
/*      */ 
/*      */ 
/*      */     
/* 1210 */     abstractOverviewPanel.setZoomFactorResize(f, true);
/* 1211 */     a(f);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean updatePageSelectionGridArrangement() {
/* 1221 */     d d1 = getPageSelectionGridPanel();
/* 1222 */     AbstractOverviewPanel abstractOverviewPanel = getDisplayPanel();
/* 1223 */     boolean bool1 = false;
/*      */     
/* 1225 */     if (!isDisplayInitialized()) return false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1232 */     Dimension dimension = abstractOverviewPanel.computeFullLayoutSize();
/* 1233 */     int j = abstractOverviewPanel.getFullPageCount();
/*      */ 
/*      */ 
/*      */     
/* 1237 */     int m = dimension.width, k = j; boolean bool2 = false; m = m; k = k; d d3 = d1, d2 = d3; if (!((0 == d2.h() && m == ((GridLayout)d2.getLayout()).getColumns() && (k = k) == d2.getComponentCount()) ? 1 : 0)) {
/*      */       
/* 1239 */       d1.a(j, dimension.width);
/* 1240 */       bool1 = true;
/*      */ 
/*      */ 
/*      */       
/* 1244 */       abstractOverviewPanel.invalidate();
/* 1245 */       validate();
/*      */ 
/*      */       
/* 1248 */       repaint();
/*      */     } 
/*      */     
/* 1251 */     return bool1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void zoomDisplayToFit() {
/* 1261 */     AbstractOverviewPanel abstractOverviewPanel = getDisplayPanel();
/* 1262 */     if (!isDisplayInitialized()) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1268 */     float f = abstractOverviewPanel.setZoomFactorToFit(0.05F, 2.0F);
/*      */ 
/*      */     
/* 1271 */     abstractOverviewPanel.repaint();
/*      */ 
/*      */ 
/*      */     
/* 1275 */     if (f >= 0.05F) a(f);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String[] a(Locale paramLocale, int paramInt) {
/* 1288 */     String[] arrayOfString = new String[2];
/*      */     
/* 1290 */     if (paramLocale == null) {
/*      */       
/* 1292 */       arrayOfString[0] = "All";
/* 1293 */       arrayOfString[1] = "First " + paramInt;
/*      */     }
/*      */     else {
/*      */       
/* 1297 */       arrayOfString[0] = ResourceAdministrator.getLocalizedString("page.all");
/* 1298 */       arrayOfString[1] = ResourceAdministrator.getLocalizedString("page.firstPlural") + " " + paramInt;
/*      */     } 
/*      */     
/* 1301 */     return arrayOfString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt) {
/* 1564 */     d d1 = getPageSelectionGridPanel();
/* 1565 */     this.maxDisplayPages = paramInt;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1572 */     String[] arrayOfString = a(Locale.getDefault(), paramInt);
/*      */ 
/*      */     
/* 1575 */     d1.f(paramInt);
/* 1576 */     d1.a(arrayOfString[0], arrayOfString[1]);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(float paramFloat) {
/*      */     AbstractOverviewControlPanel abstractOverviewControlPanel;
/* 1610 */     (abstractOverviewControlPanel = this).zoomPercentageLabel.setText(Integer.toString(Math.round(paramFloat * 100.0F)) + "%");
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractOverviewControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */