/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.RepaintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.a.c;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractOverviewPanel
/*     */   extends AbstractPageImageDisplayPanel
/*     */ {
/*     */   private static boolean a = true;
/*     */   protected final String PLEASE_WAIT_MSG;
/*  61 */   protected final int GAP_WIDTH = 9;
/*  62 */   protected final int LAST_PAGE_UNKNOWN = 9999;
/*     */   
/*  64 */   private int firstPageIndex = 0;
/*  65 */   private int lastPageIndex = 9999;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean pleaseWaitMessageDisplayed = false;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean initialDisplayDone = false;
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractOverviewPanel(Locale paramLocale) {
/*  78 */     if (paramLocale == null) {
/*     */       
/*  80 */       this.PLEASE_WAIT_MSG = "Generating page image.  Please wait...";
/*     */       
/*     */       return;
/*     */     } 
/*  84 */     this.PLEASE_WAIT_MSG = ResourceAdministrator.getLocalizedString("msg.previewPleaseWaitForImage");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract int getFixedColumnCount();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToDisplayPleaseWaitMessage() {
/* 106 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paint(Graphics paramGraphics) {
/* 115 */     WaitCursorable waitCursorable = null;
/* 116 */     paramGraphics = paramGraphics;
/* 117 */     Image image = getDisplayImage();
/* 118 */     boolean bool1 = isToPaintImage();
/*     */ 
/*     */ 
/*     */     
/* 122 */     if (!a()) {
/*     */       return;
/*     */     }
/* 125 */     if (image == null && bool1) {
/*     */ 
/*     */       
/* 128 */       waitCursorable = displayWaitCursor();
/*     */ 
/*     */ 
/*     */       
/*     */       AbstractOverviewPanel abstractOverviewPanel;
/*     */ 
/*     */       
/* 135 */       if (isToDisplayPleaseWaitMessage() && !isPleaseWaitMessageDisplayed() && (abstractOverviewPanel = this).initialDisplayDone) {
/*     */ 
/*     */         
/* 138 */         super.paint(paramGraphics);
/*     */ 
/*     */         
/* 141 */         paramGraphics.setColor(Color.RED);
/* 142 */         paramGraphics.setFont(c.b);
/* 143 */         paramGraphics.drawString(this.PLEASE_WAIT_MSG, 25, 100);
/* 144 */         boolean bool2 = true;
/*     */ 
/*     */         
/* 147 */         repaint();
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 153 */       if ((image = createOverviewImage((Graphics2D)abstractOverviewPanel1)) == null) {
/*     */         
/* 155 */         setToPaintImage(false);
/* 156 */         bool1 = false;
/*     */       }
/*     */       else {
/*     */         
/* 160 */         setDisplayImage(image);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 165 */     super.paint((Graphics)abstractOverviewPanel1);
/*     */ 
/*     */     
/* 168 */     if (bool1)
/*     */     {
/* 170 */       abstractOverviewPanel1.drawImage(image, -1, -1, this); } 
/*     */     AbstractOverviewPanel abstractOverviewPanel1;
/* 172 */     boolean bool = false;
/*     */     
/*     */     AbstractOverviewPanel abstractOverviewPanel2;
/* 175 */     (abstractOverviewPanel2 = this).initialDisplayDone = true;
/*     */ 
/*     */     
/* 178 */     if (waitCursorable != null) waitCursorable.setDefaultCursor();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract boolean requestFixedColumnCount(int paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract void setRequestedFixedColumnCount(int paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToDisplayPleaseWaitMessage(boolean paramBoolean) {
/* 206 */     a = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract Dimension computeFullLayoutSize();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Dimension computeLayoutSize() {
/* 230 */     int i = getFirstPageIndex();
/*     */     
/* 232 */     int j = getLastPageIndex();
/*     */ 
/*     */     
/* 235 */     Dimension dimension = getFullLayoutSize();
/*     */ 
/*     */ 
/*     */     
/* 239 */     if (i > 0 || j < dimension.width * dimension.height) {
/*     */ 
/*     */       
/* 242 */       j = j; i = i; dimension = dimension; int k = 0, m = 0; if (i < 0 || j < 0) { dimension = new Dimension(0, 0); } else if (i == j) { dimension = new Dimension(1, 1); } else { k = i / dimension.width; if (j == 9999) { m = dimension.height - 1; } else { m = j / dimension.width; }  if (k == m) { dimension = new Dimension(j - i + 1, 1); } else { dimension = new Dimension(dimension.width, m - k + 1); }  }  dimension = dimension;
/*     */     } 
/*     */     
/* 245 */     return dimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Dimension computeOverviewPagesSize(Dimension paramDimension) {
/*     */     Dimension dimension;
/* 256 */     (dimension = new Dimension()).width = (int)this.PAGE_FORMAT.getWidth() * paramDimension.width;
/* 257 */     dimension.height = (int)this.PAGE_FORMAT.getHeight() * paramDimension.height;
/*     */     
/* 259 */     return dimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Image createOverviewImage(Graphics2D paramGraphics2D) {
/* 267 */     RepaintManager repaintManager = RepaintManager.currentManager((JComponent)null);
/* 268 */     Dimension dimension = getFullLayoutSize();
/*     */     
/* 270 */     boolean bool = repaintManager.isDoubleBufferingEnabled();
/*     */     
/* 272 */     int i = getWidth();
/* 273 */     int j = getHeight();
/* 274 */     int k = getFirstPageIndex();
/* 275 */     int m = getLastPageIndex();
/*     */ 
/*     */     
/* 278 */     if (dimension.width == 0) return null;
/*     */ 
/*     */ 
/*     */     
/*     */     Image image;
/*     */ 
/*     */     
/* 285 */     paramGraphics2D = (Graphics2D)(image = createDisplayImage(paramGraphics2D, i, j)).getGraphics();
/*     */ 
/*     */     
/* 288 */     if (bool) repaintManager.setDoubleBufferingEnabled(false);
/*     */ 
/*     */     
/* 291 */     a(paramGraphics2D, isToUseFractionalMetrics());
/*     */ 
/*     */     
/* 294 */     if (k == m) {
/*     */       
/* 296 */       paintOverviewPageImage(paramGraphics2D, i, j, k);
/*     */ 
/*     */     
/*     */     }
/* 300 */     else if (k / dimension.width == m / dimension.width) {
/*     */       
/* 302 */       paintOverviewPageRowImage(paramGraphics2D, i, j, k, m);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 307 */       paintOverviewPageRangeImage(paramGraphics2D, i, j, k, m);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 313 */     paramGraphics2D.dispose();
/*     */ 
/*     */     
/* 316 */     if (bool) repaintManager.setDoubleBufferingEnabled(true);
/*     */     
/* 318 */     return image;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getFullColumnCount() {
/* 330 */     return (getFullLayoutSize()).width;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract int getFullPageCount();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getDisplayedPageCount() {
/* 347 */     return this.lastPageIndex - this.firstPageIndex + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getFirstPageIndex() {
/* 356 */     return this.firstPageIndex;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract Dimension getFullLayoutSize();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getLastPageIndex() {
/* 374 */     return this.lastPageIndex;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract boolean handleContainerResize();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isPleaseWaitMessageDisplayed() {
/* 390 */     return this.pleaseWaitMessageDisplayed;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isSinglePageDisplay() {
/* 398 */     return (getFirstPageIndex() == getLastPageIndex());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void paintOverviewPageImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void paintOverviewPageRangeImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void paintOverviewPageRowImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Graphics2D prepareImageGraphics(Graphics2D paramGraphics2D, Printable paramPrintable, int paramInt1, int paramInt2) {
/* 428 */     paramGraphics2D.setColor(getBackground());
/* 429 */     paramGraphics2D.fillRect(0, 0, paramInt1, paramInt2);
/*     */ 
/*     */     
/* 432 */     if (paramPrintable instanceof PreviewGraphicsCustomizer)
/*     */     {
/* 434 */       paramGraphics2D = ((PreviewGraphicsCustomizer)paramPrintable).customizePreviewGraphics(paramGraphics2D);
/*     */     }
/*     */ 
/*     */     
/* 438 */     return paramGraphics2D;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean setPageIndexRange(int paramInt1, int paramInt2) {
/* 448 */     boolean bool = false;
/*     */     
/* 450 */     if (paramInt1 != this.firstPageIndex || paramInt2 != this.lastPageIndex) {
/*     */       
/* 452 */       this.firstPageIndex = paramInt1;
/* 453 */       this.lastPageIndex = paramInt2;
/* 454 */       bool = true;
/*     */     } 
/*     */     
/* 457 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean setPageIndexRange(int paramInt1, int paramInt2, float paramFloat) {
/*     */     boolean bool;
/* 472 */     if (bool = setPageIndexRange(paramInt1, paramInt2)) refreshDisplay();
/*     */ 
/*     */     
/* 475 */     setZoomFactorResize(paramFloat, true);
/*     */     
/* 477 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean setPageIndexRange(int paramInt1, int paramInt2, float paramFloat1, float paramFloat2) {
/*     */     boolean bool;
/* 494 */     if (bool = setPageIndexRange(paramInt1, paramInt2)) refreshDisplay();
/*     */ 
/*     */     
/* 497 */     setZoomFactorToFit(paramFloat1, paramFloat2);
/*     */     
/* 499 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setZoomFactorResize(float paramFloat, boolean paramBoolean) {
/* 510 */     Object object = null;
/* 511 */     object = null;
/* 512 */     boolean bool2 = (paramFloat != getZoomFactor()) ? true : false;
/* 513 */     int i = 0;
/* 514 */     int j = 0;
/* 515 */     int k = 0;
/* 516 */     boolean bool1 = false;
/*     */ 
/*     */     
/* 519 */     if (bool2) setZoomFactor(paramFloat);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 526 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */       
/* 530 */       Dimension dimension2 = computeLayoutSize();
/*     */ 
/*     */ 
/*     */       
/* 534 */       i = (int)(this.PAGE_FORMAT.getWidth() * dimension2.width * paramFloat);
/* 535 */       j = (int)(this.PAGE_FORMAT.getHeight() * dimension2.height * paramFloat);
/*     */ 
/*     */       
/* 538 */       k = 9 * (dimension2.width - 1);
/* 539 */       int m = 9 * (dimension2.height - 1);
/*     */ 
/*     */       
/* 542 */       Dimension dimension1 = new Dimension(i + 14 + k, j + 14 + m);
/*     */       
/* 544 */       setPreferredSize(dimension1);
/* 545 */       setSize(dimension1);
/*     */     } 
/*     */ 
/*     */     
/* 549 */     if (bool2) refreshDisplay();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float setZoomFactorToFit(float paramFloat1, float paramFloat2) {
/* 561 */     getSize();
/* 562 */     Object object = null;
/* 563 */     Dimension dimension2 = null;
/* 564 */     float f1 = 0.0F;
/* 565 */     float f2 = 0.0F;
/* 566 */     f2 = 0.0F;
/* 567 */     int i = 0;
/* 568 */     int j = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 574 */     if (isPreferredSizeSet()) configureToTrackContainerSize();
/*     */ 
/*     */ 
/*     */     
/*     */     Dimension dimension1;
/*     */     
/* 580 */     if ((dimension1 = getSize()).width > 0) {
/*     */ 
/*     */ 
/*     */       
/* 584 */       Dimension dimension = computeLayoutSize();
/*     */ 
/*     */ 
/*     */       
/* 588 */       dimension2 = computeOverviewPagesSize(dimension);
/*     */ 
/*     */ 
/*     */       
/* 592 */       i = dimension1.width - 14 - 9 * (dimension.width - 1);
/*     */       
/* 594 */       j = dimension1.height - 14 - 9 * (dimension.height - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 599 */       float f = i / dimension2.width;
/* 600 */       f2 = j / dimension2.height;
/*     */ 
/*     */ 
/*     */       
/* 604 */       if ((f2 = (f < f2) ? f : f2) < paramFloat1) {
/*     */         
/* 606 */         f2 = paramFloat1;
/*     */       }
/* 608 */       else if (f2 > paramFloat2) {
/*     */         
/* 610 */         f2 = paramFloat2;
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 615 */       if (f2 != getZoomFactor()) {
/*     */         
/* 617 */         setZoomFactor(f2);
/* 618 */         refreshDisplay();
/*     */       } 
/*     */     } 
/*     */     
/* 622 */     return f2;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractOverviewPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */