/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.GraphicsConfiguration;
/*     */ import java.awt.Image;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.RenderingHints;
/*     */ import java.awt.Window;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.VolatileImage;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Paper;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.SwingUtilities;
/*     */ import jpdf.ability.LookAheadAble;
/*     */ import jpdf.gui.controller.PageOrientationPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.FullyNavigablePrintable;
/*     */ import jpdf.printable.PageGridPrintable;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ import jpdf_common.gui.d.j;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPageImageDisplayPanel
/*     */   extends JPanel
/*     */ {
/*     */   public static class NothingPrintable
/*     */     implements LookAheadAble, FullyNavigablePrintable, PageGridPrintable
/*     */   {
/*  92 */     private final Dimension a = new Dimension(0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int computePageCount(PageFormat param1PageFormat) {
/* 100 */       return 0;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Dimension computePageGridSize(PageFormat param1PageFormat) {
/* 110 */       return this.a;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getPageCount() {
/* 119 */       return 0;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getPrintedPageIndex() {
/* 128 */       return -1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean isMoreDataAvailable() {
/* 137 */       return false;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int print(Graphics param1Graphics, PageFormat param1PageFormat, int param1Int) {
/* 146 */       return 1;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   protected static final Color MARGIN_HIGHLIGHT_COLOR = new Color(255, 255, 133);
/*     */   
/*     */   protected static final float SCREEN_SCALE_FACTOR = 72.0F;
/*     */   
/*     */   protected static final int INSET_WIDTH = 7;
/*     */   
/*     */   protected static final int TWO_INSET_WIDTH = 14;
/*     */   
/*     */   protected static final int NO_PAGE_INDEX = -1;
/*     */   
/* 164 */   protected final PageFormat PAGE_FORMAT = new PageFormat();
/* 165 */   protected final Rectangle PRINTABLE_RECTANGLE = new Rectangle();
/*     */   
/* 167 */   private Throwable lastPreviewException = null;
/* 168 */   private Image displayImage = null;
/* 169 */   private float zoomFactor = 1.0F;
/*     */ 
/*     */   
/*     */   private boolean highlightingMargins = true;
/*     */   
/*     */   private boolean toPaintImage = true;
/*     */   
/*     */   private boolean toCloseWindowOnException = false;
/*     */   
/*     */   private boolean toUseGrayScaleImages = false;
/*     */   
/*     */   private boolean toUseFractionalMetrics = true;
/*     */   
/*     */   private boolean readyForPainting = false;
/*     */ 
/*     */   
/*     */   public AbstractPageImageDisplayPanel() {
/* 186 */     setOpaque(true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void updatePrintableRectangle(PageFormat paramPageFormat, Rectangle paramRectangle) {
/*     */     int i;
/* 204 */     boolean bool = ((i = paramPageFormat.getOrientation()) == 0 || i == 2) ? true : false;
/*     */     
/* 206 */     i = (i == 2) ? 1 : 0;
/* 207 */     a(paramPageFormat.getPaper(), bool, i, paramRectangle);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureToTrackContainerSize() {
/* 226 */     setPreferredSize((Dimension)null);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 232 */     setSize(0, 0);
/*     */ 
/*     */ 
/*     */     
/*     */     Container container;
/*     */ 
/*     */ 
/*     */     
/* 240 */     if (container = getParent() instanceof javax.swing.JViewport)
/*     */     {
/* 242 */       container = container.getParent();
/*     */     }
/* 244 */     container.validate();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Image createDisplayImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2) {
/*     */     BufferedImage bufferedImage;
/* 254 */     GraphicsConfiguration graphicsConfiguration = null;
/* 255 */     if (isToUseGrayScaleImages()) {
/*     */ 
/*     */ 
/*     */       
/* 259 */       bufferedImage = new BufferedImage(paramInt1, paramInt2, 10);
/*     */     } else {
/*     */       VolatileImage volatileImage;
/*     */ 
/*     */ 
/*     */       
/* 265 */       if ((volatileImage = (graphicsConfiguration = bufferedImage.getDeviceConfiguration()).createCompatibleVolatileImage(paramInt1, paramInt2)) == null)
/*     */       {
/* 267 */         bufferedImage = graphicsConfiguration.createCompatibleImage(paramInt1, paramInt2);
/*     */       }
/*     */     } 
/*     */     
/* 271 */     return bufferedImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected WaitCursorable displayWaitCursor() {
/* 281 */     WaitCursorable waitCursorable = null;
/*     */     
/*     */     Container container;
/*     */     
/* 285 */     if (container = getTopLevelAncestor() instanceof WaitCursorable)
/*     */     {
/*     */       
/* 288 */       (waitCursorable = (WaitCursorable)container).setWaitCursor();
/*     */     }
/*     */     
/* 291 */     return waitCursorable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Image getDisplayImage() {
/* 299 */     return this.displayImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Throwable getLastPreviewException() {
/* 308 */     return this.lastPreviewException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float getZoomFactor() {
/* 316 */     return this.zoomFactor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handlePreviewException(Throwable paramThrowable) {
/* 324 */     Window window = null;
/*     */ 
/*     */     
/* 327 */     setLastPreviewException(paramThrowable);
/*     */ 
/*     */     
/* 330 */     if (isToCloseWindowOnException())
/*     */     {
/*     */       
/* 333 */       if ((window = SwingUtilities.windowForComponent(this)) != null) {
/*     */         
/* 335 */         setVisible(false);
/* 336 */         setToPaintImage(false);
/* 337 */         window.dispose();
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 342 */     PrintManager.handleException(paramThrowable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isHighlightingMargins() {
/* 351 */     return this.highlightingMargins;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isToCloseWindowOnException() {
/* 359 */     return this.toCloseWindowOnException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isToUseFractionalMetrics() {
/* 367 */     return this.toUseFractionalMetrics;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isToUseGrayScaleImages() {
/* 375 */     return this.toUseGrayScaleImages;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isToPaintImage() {
/* 384 */     return this.toPaintImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintScaledPage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2) {
/* 399 */     a(paramGraphics2D, this.PAGE_FORMAT, getZoomFactor(), this.PRINTABLE_RECTANGLE, isHighlightingMargins(), paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void refreshDisplay() {
/*     */     AbstractPageImageDisplayPanel abstractPageImageDisplayPanel;
/* 410 */     if ((abstractPageImageDisplayPanel = this).displayImage != null) { abstractPageImageDisplayPanel.displayImage.flush(); abstractPageImageDisplayPanel.displayImage = null; }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setDisplayImage(Image paramImage) {
/* 418 */     this.displayImage = paramImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setHighlightingMargins(boolean paramBoolean) {
/* 427 */     this.highlightingMargins = paramBoolean;
/*     */ 
/*     */     
/* 430 */     refreshDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setLastPreviewException(Throwable paramThrowable) {
/* 439 */     this.lastPreviewException = paramThrowable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setPageFormat(PageFormat paramPageFormat) {
/*     */     int i;
/* 452 */     boolean bool = ((i = paramPageFormat.getOrientation()) == 0 || i == 2) ? true : false;
/*     */     
/* 454 */     i = (i == 2) ? 1 : 0;
/* 455 */     a(paramPageFormat.getPaper(), bool, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setToCloseWindowOnException(boolean paramBoolean) {
/* 464 */     this.toCloseWindowOnException = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setToPaintImage(boolean paramBoolean) {
/* 473 */     this.toPaintImage = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setToUseFractionalMetrics(boolean paramBoolean) {
/* 481 */     this.toUseFractionalMetrics = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setToUseGrayScaleImages(boolean paramBoolean) {
/* 490 */     this.toUseGrayScaleImages = paramBoolean;
/*     */ 
/*     */     
/* 493 */     refreshDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setZoomFactor(float paramFloat) {
/* 502 */     this.zoomFactor = paramFloat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setZoomFactorResize(float paramFloat, boolean paramBoolean) {
/* 511 */     Object object = null;
/* 512 */     boolean bool = (paramFloat != getZoomFactor()) ? true : false;
/* 513 */     int i = 0;
/* 514 */     int j = 0;
/*     */ 
/*     */     
/* 517 */     if (bool) setZoomFactor(paramFloat);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 524 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */       
/* 528 */       i = (int)(this.PAGE_FORMAT.getWidth() * paramFloat);
/* 529 */       j = (int)(this.PAGE_FORMAT.getHeight() * paramFloat);
/* 530 */       Dimension dimension = new Dimension(i + 14, j + 14);
/*     */       
/* 532 */       setSize(dimension);
/* 533 */       setPreferredSize(dimension);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 538 */     if (bool) refreshDisplay();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float setZoomFactorToFit(float paramFloat1, float paramFloat2) {
/* 548 */     float f2 = 0.0F;
/*     */     
/* 550 */     float f1 = 0.0F;
/* 551 */     f2 = 0.0F;
/* 552 */     int i = (int)this.PAGE_FORMAT.getWidth();
/* 553 */     int j = (int)this.PAGE_FORMAT.getHeight();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 559 */     if (isPreferredSizeSet()) configureToTrackContainerSize();
/*     */ 
/*     */ 
/*     */     
/*     */     Dimension dimension;
/*     */     
/* 565 */     if ((dimension = getSize()).width > 0) {
/*     */ 
/*     */       
/* 568 */       f2 = (dimension.width - 14) / i;
/* 569 */       float f = (dimension.height - 14) / j;
/*     */       
/* 571 */       if ((f2 = (f2 < f) ? f2 : f) < paramFloat1) {
/*     */         
/* 573 */         f2 = paramFloat1;
/*     */       }
/* 575 */       else if (f2 > paramFloat2) {
/*     */         
/* 577 */         f2 = paramFloat2;
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 582 */       if (f2 != getZoomFactor()) {
/*     */         
/* 584 */         setZoomFactor(f2);
/* 585 */         refreshDisplay();
/*     */       } 
/*     */     } 
/*     */     
/* 589 */     return f2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PageFormat updatePageFormat(PageFormat paramPageFormat) {
/* 599 */     setPageFormat(paramPageFormat);
/*     */ 
/*     */     
/* 602 */     refreshDisplay();
/*     */     
/* 604 */     return this.PAGE_FORMAT;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PageFormat updatePageFormat(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 613 */     Paper paper = this.PAGE_FORMAT.getPaper();
/*     */ 
/*     */     
/* 616 */     if (paramPrintRequestAttributeSet == null) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 624 */     boolean bool1 = PageOrientationPanel.isLandscape(paramPrintRequestAttributeSet);
/* 625 */     boolean bool2 = PageOrientationPanel.isReverse(paramPrintRequestAttributeSet);
/*     */ 
/*     */     
/* 628 */     MediaSize mediaSize = PrintUtility.getMediaSize(paramPrintRequestAttributeSet);
/* 629 */     paper.setSize((mediaSize.getX(25400) * 72.0F), (mediaSize.getY(25400) * 72.0F));
/*     */ 
/*     */ 
/*     */     
/* 633 */     MediaPrintableArea mediaPrintableArea = (MediaPrintableArea)paramPrintRequestAttributeSet.get(MediaPrintableArea.class);
/* 634 */     paper.setImageableArea((mediaPrintableArea.getX(25400) * 72.0F), (mediaPrintableArea.getY(25400) * 72.0F), (mediaPrintableArea.getWidth(25400) * 72.0F), (mediaPrintableArea.getHeight(25400) * 72.0F));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 640 */     a(paper, bool1, bool2);
/*     */ 
/*     */     
/* 643 */     refreshDisplay();
/*     */     
/* 645 */     return this.PAGE_FORMAT;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(Graphics2D paramGraphics2D, PageFormat paramPageFormat, float paramFloat, Rectangle paramRectangle, boolean paramBoolean, int paramInt1, int paramInt2) {
/* 666 */     int k = (int)paramPageFormat.getWidth();
/*     */     
/* 668 */     int m = (int)paramPageFormat.getHeight();
/* 669 */     int n = Math.round(k * paramFloat);
/* 670 */     int i1 = Math.round(m * paramFloat);
/* 671 */     int i2 = Math.round(paramRectangle.x * paramFloat);
/* 672 */     int i3 = Math.round(paramRectangle.y * paramFloat);
/* 673 */     int i4 = Math.round(paramRectangle.width * paramFloat);
/* 674 */     int i5 = Math.round(paramRectangle.height * paramFloat);
/*     */ 
/*     */ 
/*     */     
/*     */     float f2;
/*     */ 
/*     */ 
/*     */     
/*     */     int j;
/*     */ 
/*     */ 
/*     */     
/* 686 */     if ((f2 = ((j = k - paramRectangle.x + paramRectangle.width) - paramRectangle.x) * paramFloat) < 1.0F && f2 > -1.0F) {
/*     */       
/* 688 */       int i6 = n - i2 + i4;
/* 689 */       if (i2 > i6) {
/*     */         
/* 691 */         i4--;
/*     */       }
/* 693 */       else if (i2 < i6) {
/*     */         
/* 695 */         i4++;
/*     */       } 
/*     */     } 
/*     */     float f1;
/*     */     int i;
/* 700 */     if ((f1 = ((i = m - paramRectangle.y + paramRectangle.height) - paramRectangle.y) * paramFloat) < 1.0F && f1 > -1.0F) {
/*     */       
/* 702 */       int i6 = i1 - i3 + i5;
/* 703 */       if (i3 > i6) {
/*     */         
/* 705 */         i5--;
/*     */       }
/* 707 */       else if (i3 < i6) {
/*     */         
/* 709 */         i5++;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 714 */     if (paramInt1 != 0 || paramInt2 != 0)
/*     */     {
/* 716 */       paramGraphics2D.translate(paramInt1, paramInt2);
/*     */     }
/*     */ 
/*     */     
/* 720 */     paramGraphics2D.setColor((j.i()).f.b);
/* 721 */     paramGraphics2D.fillRect(5, 5, n, i1);
/*     */ 
/*     */     
/* 724 */     if (paramBoolean) {
/*     */ 
/*     */       
/* 727 */       paramGraphics2D.setColor(MARGIN_HIGHLIGHT_COLOR);
/* 728 */       paramGraphics2D.fillRect(0, 0, n, i1);
/*     */ 
/*     */       
/* 731 */       paramGraphics2D.setColor(Color.WHITE);
/* 732 */       paramGraphics2D.fillRect(i2, i3, i4, i5);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 737 */       paramGraphics2D.setColor(Color.WHITE);
/* 738 */       paramGraphics2D.fillRect(0, 0, n, i1);
/*     */     } 
/*     */ 
/*     */     
/* 742 */     paramGraphics2D.setColor(Color.BLACK);
/* 743 */     paramGraphics2D.drawRect(-1, -1, n + 1, i1 + 1);
/*     */ 
/*     */     
/* 746 */     paramGraphics2D.clipRect(i2, i3, i4, i5);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(Graphics2D paramGraphics2D, boolean paramBoolean) {
/* 755 */     Object object = paramBoolean ? RenderingHints.VALUE_FRACTIONALMETRICS_ON : RenderingHints.VALUE_FRACTIONALMETRICS_OFF;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 765 */     paramGraphics2D.setRenderingHint(RenderingHints.KEY_FRACTIONALMETRICS, object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final boolean a() {
/* 796 */     return this.readyForPainting;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Paper paramPaper, boolean paramBoolean1, boolean paramBoolean2) {
/* 810 */     if (paramBoolean1) {
/*     */       
/* 812 */       this.PAGE_FORMAT.setOrientation(paramBoolean2 ? 2 : 0);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 817 */       if (paramBoolean2)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/* 822 */         throw new IllegalArgumentException("Reverse Portrait is not supported.");
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 827 */       this.PAGE_FORMAT.setOrientation(1);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 832 */     this.PAGE_FORMAT.setPaper(paramPaper);
/*     */ 
/*     */     
/* 835 */     a(paramPaper, paramBoolean1, paramBoolean2, this.PRINTABLE_RECTANGLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void b() {
/* 849 */     this.readyForPainting = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(Paper paramPaper, boolean paramBoolean1, boolean paramBoolean2, Rectangle paramRectangle) {
/* 859 */     if (paramBoolean1) {
/*     */       
/* 861 */       paramRectangle.width = (int)Math.round(paramPaper.getImageableHeight());
/* 862 */       paramRectangle.height = (int)Math.round(paramPaper.getImageableWidth());
/* 863 */       if (paramBoolean2) {
/*     */         
/* 865 */         paramRectangle.x = (int)Math.round(paramPaper.getImageableY());
/* 866 */         paramRectangle.y = (int)Math.round(paramPaper.getWidth()) - paramRectangle.height + (int)Math.round(paramPaper.getImageableX());
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 871 */       paramRectangle.y = (int)Math.round(paramPaper.getImageableX());
/* 872 */       paramRectangle.x = (int)Math.round(paramPaper.getHeight()) - paramRectangle.width + (int)Math.round(paramPaper.getImageableY());
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 878 */     paramRectangle.width = (int)Math.round(paramPaper.getImageableWidth());
/* 879 */     paramRectangle.height = (int)Math.round(paramPaper.getImageableHeight());
/* 880 */     if (paramBoolean2)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 885 */       throw new IllegalArgumentException("Reverse Portrait is not supported.");
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 894 */     paramRectangle.x = (int)Math.round(paramPaper.getImageableX());
/* 895 */     paramRectangle.y = (int)Math.round(paramPaper.getImageableY());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractPageImageDisplayPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */