/*      */ package jpdf.gui.preview;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Component;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.LayoutManager;
/*      */ import java.awt.event.ActionEvent;
/*      */ import java.awt.event.ActionListener;
/*      */ import java.awt.event.ComponentAdapter;
/*      */ import java.awt.event.ComponentEvent;
/*      */ import java.awt.event.MouseAdapter;
/*      */ import java.awt.event.MouseEvent;
/*      */ import java.awt.image.BufferedImage;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.io.Serializable;
/*      */ import java.util.Locale;
/*      */ import javax.swing.ButtonGroup;
/*      */ import javax.swing.JCheckBox;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JRadioButton;
/*      */ import javax.swing.JScrollPane;
/*      */ import javax.swing.JSeparator;
/*      */ import jpdf.gui.component.PageNavigationPanel;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf_common.gui.component.b.e;
/*      */ import jpdf_common.gui.layout.DividingFlowLayout;
/*      */ import jpdf_common.gui.layout.RowLayout;
/*      */ import jpdf_common.system.manage.BasicResourceManager;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class AbstractPreviewControlPanel
/*      */   extends AbstractViewControlPanel
/*      */   implements PageNavigationPanel.PageNavigable
/*      */ {
/*      */   protected static final float MINIMUM_ZOOM_FACTOR = 0.1F;
/*      */   protected static final float MAXIMUM_ZOOM_FACTOR = 4.0F;
/*      */   
/*      */   public static class ControlState
/*      */     implements Serializable
/*      */   {
/*      */     private static final long serialVersionUID = 120L;
/*      */     public boolean zoomedToFit = true;
/*      */     public boolean highlightingMargins = false;
/*      */     public boolean displayingSize = false;
/*      */     public boolean grayScaleImages = false;
/*   60 */     public float zoomFactor = 1.0F;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public ControlState() {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public ControlState(float param1Float) {
/*   71 */       this.zoomFactor = param1Float;
/*   72 */       this.zoomedToFit = false;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public String toString() {
/*   78 */       return "\n  zoomedToFit = " + this.zoomedToFit + "\n  highlightingMargins = " + this.highlightingMargins + "\n  displayingSize = " + this.displayingSize + "\n  grayScaleImages = " + this.grayScaleImages + "\n  zoomFactor = " + this.zoomFactor;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static class PreviewToolBarPanel
/*      */     extends AbstractViewControlPanel.ToolBarPanel
/*      */   {
/*      */     public PreviewToolBarPanel() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public PreviewToolBarPanel(LayoutManager param1LayoutManager) {
/*  103 */       super(param1LayoutManager);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public Dimension getPreferredSize() {
/*      */       Dimension dimension;
/*  114 */       (dimension = super.getPreferredSize()).width = 100;
/*      */       
/*  116 */       return dimension;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ShowSizeCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private ShowSizeCheckBox() {
/*  130 */       super("Size");
/*      */       
/*  132 */       setSelected(true);
/*  133 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private ShowSizeCheckBox(byte param1Byte) {
/*  138 */       super(ResourceAdministrator.getLocalizedString("size"));
/*      */       
/*  140 */       setSelected(true);
/*  141 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  149 */       AbstractPreviewControlPanel.this.getMediaLabel().setVisible(isSelected());
/*  150 */       AbstractPreviewControlPanel.this.validate();
/*  151 */       if (AbstractPreviewControlPanel.this.FIT_RADIO_BUTTON.isSelected()) AbstractPreviewControlPanel.this.zoomDisplayToFit();
/*      */     
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ShowMarginsCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private ShowMarginsCheckBox() {
/*  165 */       super("Margins");
/*      */       
/*  167 */       setSelected(true);
/*  168 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private ShowMarginsCheckBox(byte param1Byte) {
/*  173 */       super(ResourceAdministrator.getLocalizedString("margins"));
/*      */       
/*  175 */       setSelected(true);
/*  176 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       PrintablePreviewPanel printablePreviewPanel;
/*  186 */       (printablePreviewPanel = AbstractPreviewControlPanel.this.getDisplayPanel()).setHighlightingMargins(isSelected());
/*  187 */       printablePreviewPanel.repaint();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class GrayScaleCheckBox
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private GrayScaleCheckBox() {
/*  201 */       super("Grayscale");
/*      */       
/*  203 */       setSelected(false);
/*  204 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private GrayScaleCheckBox(byte param1Byte) {
/*  209 */       super(ResourceAdministrator.getLocalizedString("grayScale"));
/*      */       
/*  211 */       setSelected(false);
/*  212 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*      */       PrintablePreviewPanel printablePreviewPanel;
/*  222 */       (printablePreviewPanel = AbstractPreviewControlPanel.this.getDisplayPanel()).setToUseGrayScaleImages(isSelected());
/*  223 */       printablePreviewPanel.repaint();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class FitRadioBotton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private FitRadioBotton() {
/*  238 */       super("Fit");
/*      */       
/*  240 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private FitRadioBotton(byte param1Byte) {
/*  245 */       super(ResourceAdministrator.getLocalizedString("fit"));
/*      */       
/*  247 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  255 */       AbstractPreviewControlPanel.this.getZoomPercentageComboBox().setEnabled(false);
/*  256 */       AbstractPreviewControlPanel.this.zoomDisplayToFit();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ZoomRadioBotton
/*      */     extends JRadioButton
/*      */     implements ActionListener
/*      */   {
/*      */     private ZoomRadioBotton() {
/*  269 */       super("Zoom");
/*      */       
/*  271 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     private ZoomRadioBotton(byte param1Byte) {
/*  276 */       super(ResourceAdministrator.getLocalizedString("zoom"));
/*      */       
/*  278 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void actionPerformed(ActionEvent param1ActionEvent) {
/*  287 */       AbstractPreviewControlPanel.this.getZoomPercentageComboBox().setEnabled(true);
/*      */ 
/*      */ 
/*      */       
/*  291 */       AbstractPreviewControlPanel.this.updateDisplayPanelSize();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public class ZoomPercentageComboBox
/*      */     extends e
/*      */   {
/*      */     protected ZoomPercentageComboBox(Locale param1Locale) {
/*  305 */       super(AbstractPreviewControlPanel.DEFAULT_ZOOM_VALUE_LIST, "Zoom Percentage");
/*      */       
/*  307 */       param1Locale = param1Locale; ZoomPercentageComboBox zoomPercentageComboBox = this; String str = null; zoomPercentageComboBox.addActionListener(new AbstractPreviewControlPanel.c((byte)0)); zoomPercentageComboBox.getEditor().getEditorComponent().addMouseListener(new AbstractPreviewControlPanel.b((byte)0)); zoomPercentageComboBox.disablePageNavigationKeyActions(); if (param1Locale != null) { str = ResourceAdministrator.getLocalizedString("zoomPercentage"); zoomPercentageComboBox.setErrorMessageTitle(str); str = ResourceAdministrator.getLocalizedString("msg.invalidZoomPercentageRange"); zoomPercentageComboBox.setRangeMessageTemplate(str); }
/*      */     
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected void configureForPageFormat(PageFormat param1PageFormat) {
/*  323 */       float arrayOfFloat[], f3, f4, f2 = 0.0F;
/*      */       
/*  325 */       f2 = (float)param1PageFormat.getWidth();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  330 */       float f1 = (float)param1PageFormat.getHeight();
/*  331 */       f1 = (f2 > f1) ? f2 : f1;
/*  332 */       float f5 = 0.1F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  340 */       if (f1 <= 864.0F) {
/*      */         
/*  342 */         f3 = 0.1F;
/*  343 */         f4 = 4.0F;
/*  344 */         arrayOfFloat = AbstractPreviewControlPanel.DEFAULT_ZOOM_VALUE_LIST;
/*      */       }
/*  346 */       else if (arrayOfFloat <= 1800.0F) {
/*      */         
/*  348 */         f3 = 0.1F;
/*  349 */         f4 = 2.0F;
/*  350 */         arrayOfFloat = AbstractPreviewControlPanel.DEFAULT_ZOOM_VALUE_LIST;
/*      */       }
/*  352 */       else if (arrayOfFloat <= 3600.0F) {
/*      */         
/*  354 */         f3 = 0.1F;
/*  355 */         f4 = 1.0F;
/*  356 */         arrayOfFloat = new float[] { 0.1F, 0.25F, 0.5F, 0.75F, 1.0F };
/*      */       }
/*  358 */       else if (arrayOfFloat <= 7200.0F) {
/*      */         
/*  360 */         f5 = 0.05F;
/*  361 */         f3 = 0.05F;
/*  362 */         f4 = 0.5F;
/*  363 */         arrayOfFloat = new float[] { 0.1F, 0.2F, 0.3F, 0.4F, 0.5F };
/*      */       }
/*      */       else {
/*      */         
/*  367 */         f5 = 0.05F;
/*  368 */         f3 = 0.05F;
/*  369 */         f4 = 0.25F;
/*  370 */         arrayOfFloat = new float[] { 0.05F, 0.1F, 0.15F, 0.2F, 0.25F };
/*      */       } 
/*      */ 
/*      */       
/*  374 */       if (f3 != 0.0F || f4 != 0.0F) {
/*      */ 
/*      */         
/*  377 */         f2 = getValue();
/*  378 */         setValueRange(f3, f4);
/*  379 */         setValueList(arrayOfFloat, true);
/*  380 */         setSpinnerIncrement(f5);
/*      */ 
/*      */         
/*  383 */         if (f2 < f3) {
/*      */           
/*  385 */           AbstractPreviewControlPanel.this.getDisplayPanel().setZoomFactor(f3); return;
/*      */         } 
/*  387 */         if (f2 > f4)
/*      */         {
/*  389 */           AbstractPreviewControlPanel.this.getDisplayPanel().setZoomFactor(f4);
/*      */         }
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class b
/*      */     extends MouseAdapter
/*      */   {
/*      */     private b(AbstractPreviewControlPanel this$0) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void mousePressed(MouseEvent param1MouseEvent) {
/*      */       AbstractPreviewControlPanel.ZoomPercentageComboBox zoomPercentageComboBox;
/*  431 */       (zoomPercentageComboBox = this.a.getZoomPercentageComboBox()).setEnabled(true);
/*  432 */       zoomPercentageComboBox.requestFocus();
/*  433 */       zoomPercentageComboBox.getEditor().selectAll();
/*  434 */       this.a.ZOOM_RADIO_BUTTON.setSelected(true);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class c
/*      */     implements ActionListener
/*      */   {
/*      */     private c(AbstractPreviewControlPanel this$0) {}
/*      */ 
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  449 */       param1ActionEvent = null;
/*  450 */       float f = 0.0F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  456 */       if (!this.a.FIT_RADIO_BUTTON.isSelected())
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  461 */         if ((f = this.a.getZoomPercentageComboBox().getValue()) != this.a.getDisplayPanel().getZoomFactor()) {
/*      */           PrintablePreviewPanel printablePreviewPanel;
/*      */           
/*  464 */           (printablePreviewPanel = this.a.getDisplayPanel()).setZoomFactorResize(f, true);
/*  465 */           printablePreviewPanel.repaint();
/*      */         } 
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class a
/*      */     extends ComponentAdapter
/*      */   {
/*      */     private a(AbstractPreviewControlPanel this$0) {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void componentResized(ComponentEvent param1ComponentEvent) {
/*  484 */       if (this.a.FIT_RADIO_BUTTON.isSelected()) this.a.zoomDisplayToFit();
/*      */     
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  494 */   protected static final float[] DEFAULT_ZOOM_VALUE_LIST = new float[] { 0.25F, 0.5F, 0.75F, 1.0F, 1.25F, 1.5F, 2.0F };
/*      */ 
/*      */   
/*  497 */   private static float a = 4.0F;
/*      */   
/*      */   protected final FitRadioBotton FIT_RADIO_BUTTON;
/*      */   
/*      */   protected final ZoomRadioBotton ZOOM_RADIO_BUTTON;
/*      */   
/*      */   protected final ShowMarginsCheckBox SHOW_MARGINS_CHECK_BOX;
/*      */   
/*      */   protected final ShowSizeCheckBox SHOW_SIZE_CHECK_BOX;
/*      */   
/*      */   protected final GrayScaleCheckBox GRAY_SCALE_CHECK_BOX;
/*      */   
/*  509 */   private PrintablePreviewPanel previewDisplayPanel = null;
/*  510 */   private ZoomPercentageComboBox zoomPercentageComboBox = null;
/*  511 */   private PageNavigationPanel pageNavigationPanel = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPreviewControlPanel(boolean paramBoolean) {
/*  533 */     this("Preview", paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPreviewControlPanel(Locale paramLocale, boolean paramBoolean) {
/*  551 */     super(ResourceAdministrator.getLocalizedString("preview"));
/*      */ 
/*      */     
/*  554 */     this.FIT_RADIO_BUTTON = new FitRadioBotton(paramLocale);
/*  555 */     this.ZOOM_RADIO_BUTTON = new ZoomRadioBotton(paramLocale);
/*  556 */     this.SHOW_MARGINS_CHECK_BOX = new ShowMarginsCheckBox(paramLocale);
/*  557 */     this.SHOW_SIZE_CHECK_BOX = new ShowSizeCheckBox(paramLocale);
/*  558 */     this.GRAY_SCALE_CHECK_BOX = new GrayScaleCheckBox(paramLocale);
/*      */ 
/*      */     
/*  561 */     a(paramLocale, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractPreviewControlPanel(String paramString, boolean paramBoolean) {
/*  579 */     super(paramString);
/*      */ 
/*      */     
/*  582 */     this.FIT_RADIO_BUTTON = new FitRadioBotton(false);
/*  583 */     this.ZOOM_RADIO_BUTTON = new ZoomRadioBotton(false);
/*  584 */     this.SHOW_MARGINS_CHECK_BOX = new ShowMarginsCheckBox(false);
/*  585 */     this.SHOW_SIZE_CHECK_BOX = new ShowSizeCheckBox(false);
/*  586 */     this.GRAY_SCALE_CHECK_BOX = new GrayScaleCheckBox(false);
/*      */ 
/*      */     
/*  589 */     a((Locale)null, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addDisplayOptionToolBarComponent(JComponent paramJComponent) {
/*      */     JPanel jPanel;
/*  605 */     int i = (jPanel = (JPanel)this.SHOW_MARGINS_CHECK_BOX.getParent()).getComponentCount();
/*      */ 
/*      */     
/*  608 */     jPanel.add(paramJComponent, i - 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BufferedImage createPageImage(int paramInt) {
/*  619 */     return getDisplayPanel().a(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static float getMaximumFitZoomFactor() {
/*  629 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void initializeDisplay() {
/*  641 */     updateDisplay();
/*      */ 
/*      */     
/*  644 */     if (this.FIT_RADIO_BUTTON.isSelected()) this.FIT_RADIO_BUTTON.actionPerformed((ActionEvent)null);
/*      */ 
/*      */ 
/*      */     
/*  648 */     if (this.SHOW_SIZE_CHECK_BOX.isSelected()) this.SHOW_SIZE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*      */ 
/*      */     
/*  651 */     getDisplayPanel().b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setControlState() {
/*  660 */     setControlState(new ControlState());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setControlState(ControlState paramControlState) {
/*  669 */     ZoomPercentageComboBox zoomPercentageComboBox = null;
/*      */ 
/*      */     
/*  672 */     this.SHOW_MARGINS_CHECK_BOX.setSelected(paramControlState.highlightingMargins);
/*  673 */     this.SHOW_MARGINS_CHECK_BOX.actionPerformed((ActionEvent)null);
/*  674 */     this.SHOW_SIZE_CHECK_BOX.setSelected(paramControlState.displayingSize);
/*  675 */     this.SHOW_SIZE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*  676 */     this.GRAY_SCALE_CHECK_BOX.setSelected(paramControlState.grayScaleImages);
/*  677 */     this.GRAY_SCALE_CHECK_BOX.actionPerformed((ActionEvent)null);
/*      */ 
/*      */     
/*  680 */     if (isZooomingEnabled()) {
/*      */       
/*  682 */       this.FIT_RADIO_BUTTON.setSelected(paramControlState.zoomedToFit);
/*  683 */       this.ZOOM_RADIO_BUTTON.setSelected(!paramControlState.zoomedToFit);
/*  684 */       if (!paramControlState.zoomedToFit) {
/*      */ 
/*      */         
/*  687 */         (zoomPercentageComboBox = getZoomPercentageComboBox()).setEnabled(true);
/*  688 */         zoomPercentageComboBox.setValue(paramControlState.zoomFactor);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setMaximumFitZoomFactor(float paramFloat) {
/*  701 */     if (paramFloat > 0.1F && paramFloat <= 4.0F) {
/*      */       
/*  703 */       a = paramFloat;
/*      */       
/*      */       return;
/*      */     } 
/*  707 */     String str = "Invalid Maximum Fit Zoom Factor: " + paramFloat + "\nMust be between 0.1" + " and 4.0" + ".";
/*      */     
/*  709 */     PrintManager.handleException(new Exception(str));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void storeControlState(ControlState paramControlState) {
/*  719 */     paramControlState.highlightingMargins = this.SHOW_MARGINS_CHECK_BOX.isSelected();
/*  720 */     paramControlState.grayScaleImages = this.GRAY_SCALE_CHECK_BOX.isSelected();
/*  721 */     paramControlState.displayingSize = this.SHOW_SIZE_CHECK_BOX.isSelected();
/*      */ 
/*      */     
/*  724 */     if (isZooomingEnabled()) {
/*      */       
/*  726 */       paramControlState.zoomedToFit = this.FIT_RADIO_BUTTON.isSelected();
/*  727 */       paramControlState.zoomFactor = getZoomPercentageComboBox().getValue();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintablePreviewPanel getDisplayPanel() {
/*  741 */     return this.previewDisplayPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected AbstractPageImageDisplayPanel getPageImageDisplayPanel() {
/*  752 */     return this.previewDisplayPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageNavigationPanel getPageNavigationPanel() {
/*  760 */     return this.pageNavigationPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ZoomPercentageComboBox getZoomPercentageComboBox() {
/*  768 */     return this.zoomPercentageComboBox;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isZooomingEnabled() {
/*  776 */     return this.FIT_RADIO_BUTTON.isEnabled();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void navigateToNext() {
/*      */     int i;
/*  787 */     if ((i = getCurrentPageIndex()) < getPageCount() - 1) {
/*      */       
/*  789 */       navigateToPage(i + 1);
/*      */       
/*      */       return;
/*      */     } 
/*  793 */     BasicResourceManager.beep();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void navigateToPrevious() {
/*      */     int i;
/*  806 */     if ((i = getCurrentPageIndex()) > 0) {
/*      */       
/*  808 */       navigateToPage(i - 1);
/*      */       
/*      */       return;
/*      */     } 
/*  812 */     BasicResourceManager.beep();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setZooomingEnabled(boolean paramBoolean) {
/*      */     ZoomPercentageComboBox zoomPercentageComboBox;
/*  830 */     (zoomPercentageComboBox = getZoomPercentageComboBox()).setEnabled(paramBoolean);
/*  831 */     this.FIT_RADIO_BUTTON.setEnabled(paramBoolean);
/*  832 */     this.ZOOM_RADIO_BUTTON.setEnabled(paramBoolean);
/*      */ 
/*      */     
/*  835 */     if (!paramBoolean) {
/*      */       
/*  837 */       this.ZOOM_RADIO_BUTTON.setSelected(true);
/*  838 */       zoomPercentageComboBox.setValue(1.0F);
/*      */     } 
/*      */ 
/*      */     
/*  842 */     getDisplayPanel().setToUseFractionalMetrics(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void updateDisplayPanelSize() {
/*      */     PrintablePreviewPanel printablePreviewPanel;
/*  854 */     (printablePreviewPanel = getDisplayPanel()).setZoomFactorResize(printablePreviewPanel.getZoomFactor(), true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void zoomDisplayToFit() {
/*  864 */     ZoomPercentageComboBox zoomPercentageComboBox = getZoomPercentageComboBox();
/*  865 */     PrintablePreviewPanel printablePreviewPanel = getDisplayPanel();
/*  866 */     float f1 = zoomPercentageComboBox.getMinimumValue();
/*  867 */     float f2 = zoomPercentageComboBox.getMaximumValue();
/*  868 */     float f3 = getMaximumFitZoomFactor();
/*  869 */     if (f2 < f3) f3 = f2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  875 */     f1 = printablePreviewPanel.setZoomFactorToFit(f1, f3);
/*      */ 
/*      */     
/*  878 */     printablePreviewPanel.repaint();
/*      */ 
/*      */ 
/*      */     
/*  882 */     if (f1 > 0.0F)
/*      */     {
/*  884 */       zoomPercentageComboBox.setSelectedItem(new Float(f1));
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private PageNavigationPanel a(Locale paramLocale) {
/*  926 */     this.pageNavigationPanel = new PageNavigationPanel(this, paramLocale);
/*      */     
/*  928 */     return this.pageNavigationPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ZoomPercentageComboBox b(Locale paramLocale) {
/*  982 */     this.zoomPercentageComboBox = new ZoomPercentageComboBox(paramLocale);
/*      */     
/*  984 */     return this.zoomPercentageComboBox;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Locale paramLocale, boolean paramBoolean) {
/*      */     AbstractPreviewControlPanel abstractPreviewControlPanel1, abstractPreviewControlPanel2;
/* 1014 */     (abstractPreviewControlPanel2 = this).previewDisplayPanel = new PrintablePreviewPanel(); JScrollPane jScrollPane = createDisplayScrollPane(abstractPreviewControlPanel2.previewDisplayPanel);
/*      */ 
/*      */     
/* 1017 */     setLayout(new BorderLayout(7, 7));
/* 1018 */     setBorder(EMPTY_BORDER);
/*      */ 
/*      */     
/* 1021 */     if (paramBoolean) {
/*      */       
/* 1023 */       paramLocale = paramLocale; PageNavigationPanel pageNavigationPanel = (abstractPreviewControlPanel2 = this).a(paramLocale); Locale locale = paramLocale; abstractPreviewControlPanel1 = abstractPreviewControlPanel2; ButtonGroup buttonGroup = new ButtonGroup(); JPanel jPanel2 = new JPanel((LayoutManager)new RowLayout(2, 2)); buttonGroup.add(abstractPreviewControlPanel1.FIT_RADIO_BUTTON); jPanel2.add(abstractPreviewControlPanel1.FIT_RADIO_BUTTON); buttonGroup.add(abstractPreviewControlPanel1.ZOOM_RADIO_BUTTON); jPanel2.add(abstractPreviewControlPanel1.ZOOM_RADIO_BUTTON); jPanel2.add(abstractPreviewControlPanel1.b(locale).createContainingSpinnerPanel(0.1F)); addToolBarSeparator(jPanel2); PreviewToolBarPanel previewToolBarPanel; (previewToolBarPanel = new PreviewToolBarPanel((LayoutManager)new DividingFlowLayout(0, 0, 10))).add(jPanel2); previewToolBarPanel.add(new JSeparator(0)); abstractPreviewControlPanel1 = abstractPreviewControlPanel2; JPanel jPanel1; (jPanel1 = new JPanel((LayoutManager)new RowLayout(2, 2))).add(abstractPreviewControlPanel1.SHOW_MARGINS_CHECK_BOX); jPanel1.add(abstractPreviewControlPanel1.SHOW_SIZE_CHECK_BOX); jPanel1.add(abstractPreviewControlPanel1.GRAY_SCALE_CHECK_BOX); addToolBarSeparator(jPanel1); previewToolBarPanel.add(jPanel1); previewToolBarPanel.add(new JSeparator(0)); if (pageNavigationPanel != null) { previewToolBarPanel.add((Component)pageNavigationPanel); previewToolBarPanel.add(new JSeparator(0)); }  add(previewToolBarPanel, "North");
/* 1024 */       add(jScrollPane, "Center");
/* 1025 */       add(createMediaLabel(2), "South");
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1030 */       b((Locale)abstractPreviewControlPanel1);
/*      */       
/* 1032 */       add(jScrollPane, "Center");
/* 1033 */       abstractPreviewControlPanel1 = abstractPreviewControlPanel1; PageNavigationPanel pageNavigationPanel = (abstractPreviewControlPanel2 = this).a((Locale)abstractPreviewControlPanel1); JPanel jPanel = new JPanel(new BorderLayout()); pageNavigationPanel.addPageNavigationControls(); pageNavigationPanel.setPageNavigationButtonsVisible(false); jPanel.add(abstractPreviewControlPanel2.createMediaLabel(2), "West"); jPanel.add((Component)pageNavigationPanel, "East"); add(jPanel, "South");
/*      */     } 
/*      */ 
/*      */     
/* 1037 */     addComponentListener(new a((byte)0));
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractPreviewControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */