/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.Point;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.Shape;
/*     */ import java.awt.Window;
/*     */ import java.awt.print.PageFormat;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.RepaintManager;
/*     */ import javax.swing.SwingUtilities;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.system.a.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageSetupPreviewPanel
/*     */   extends AbstractPageImageDisplayPanel
/*     */ {
/*     */   public static class PreviewPageContentDrawer
/*     */   {
/*     */     protected void drawPageContents(Graphics2D param1Graphics2D, PageFormat param1PageFormat, Rectangle param1Rectangle, float param1Float, boolean param1Boolean) {
/*     */       int k;
/*  65 */       if (param1Boolean) {
/*     */         
/*  67 */         param1Float = param1Float; param1Rectangle = param1Rectangle; param1PageFormat = param1PageFormat; Shape shape = (param1Graphics2D = param1Graphics2D).getClip(); int i4 = (int)(param1Rectangle.x * param1Float) + 2, i5 = (int)(param1Rectangle.y * param1Float) + 2, i6 = (int)(param1Rectangle.width * param1Float); j = (int)(param1Rectangle.height * param1Float); int i3 = (int)(param1PageFormat.getWidth() * param1Float), i7 = i5 + j / 2; param1Graphics2D.setColor(Color.BLACK); j = i4 + 20; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 2; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 2; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 2; param1Graphics2D.drawLine(i4 + 15, i5, j, i5); k = 60; if (60 > i6 && (k = i6 - 10) < 0) k = i6;  j = (i4 += (i6 - k) / 2) + k; i5 = i7; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 3; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 3; param1Graphics2D.drawLine(i4, i5, j, i5); i5 += 3; if (k > 20) { param1Graphics2D.drawLine(i4 + k - 20, i5, j, i5); } else { param1Graphics2D.drawLine(i4, i5, j, i5); }  param1Graphics2D.setClip(null); i4 = i3 - 14; param1Graphics2D.setColor(Color.LIGHT_GRAY); param1Graphics2D.fillRect(i4, 3, 10, 11); param1Graphics2D.setColor(Color.DARK_GRAY); param1Graphics2D.drawLine(i4 + 3, 6, i4 + 8, 11); param1Graphics2D.drawLine(i4 + 3, 11, i4 + 8, 6); param1Graphics2D.drawRect(i4, 3, 10, 11); param1Graphics2D.setClip(shape);
/*     */         
/*     */         return;
/*     */       } 
/*  71 */       for (int j = k, i = j, m = (int)(i.x * j) + 1, n = (int)(i.y * j) + 1, i1 = (int)(i.width * j), i2 = (int)(i.height * j), j = m + i1 - 1, i = n + i2 - 1; n < i; ) { param1Graphics2D.drawLine(m + 4, n, j, n); n += 4; param1Graphics2D.drawLine(m, n, j, n); n += 4; param1Graphics2D.drawLine(m, n, j, n); n += 4; param1Graphics2D.drawLine(m, n, m + 20, n); n += 6; }
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   protected final Point START_POINT = new Point();
/*     */ 
/*     */ 
/*     */   
/*     */   private final PreviewPageContentDrawer PAGE_CONTENT_DRAWER;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean envelopeMediaSelected = false;
/*     */ 
/*     */ 
/*     */   
/*     */   public PageSetupPreviewPanel() {
/* 197 */     this.PAGE_CONTENT_DRAWER = new PreviewPageContentDrawer();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageSetupPreviewPanel(PreviewPageContentDrawer paramPreviewPageContentDrawer) {
/* 204 */     this.PAGE_CONTENT_DRAWER = paramPreviewPageContentDrawer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paint(Graphics paramGraphics) {
/* 218 */     paramGraphics = paramGraphics;
/*     */     
/*     */     Image image;
/*     */     
/* 222 */     if ((image = getDisplayImage()) == null) {
/*     */       
/* 224 */       Graphics graphics = paramGraphics; PageSetupPreviewPanel pageSetupPreviewPanel = this; RepaintManager repaintManager; boolean bool = (repaintManager = RepaintManager.currentManager((JComponent)null)).isDoubleBufferingEnabled(); float f; int i = (int)((f = pageSetupPreviewPanel.getZoomFactor()) * pageSetupPreviewPanel.PAGE_FORMAT.getWidth()) + 7, j = (int)(f * pageSetupPreviewPanel.PAGE_FORMAT.getHeight()) + 7; Image image1; graphics = (image1 = pageSetupPreviewPanel.createDisplayImage((Graphics2D)graphics, i, j)).getGraphics(); if (bool) repaintManager.setDoubleBufferingEnabled(false);  graphics.setColor(pageSetupPreviewPanel.getBackground()); graphics.fillRect(0, 0, i, j); pageSetupPreviewPanel.paintScaledPage((Graphics2D)graphics, 1, 1); graphics.setColor(Color.BLACK); pageSetupPreviewPanel.PAGE_CONTENT_DRAWER.drawPageContents((Graphics2D)graphics, pageSetupPreviewPanel.PAGE_FORMAT, pageSetupPreviewPanel.PRINTABLE_RECTANGLE, f, (pageSetupPreviewPanel = pageSetupPreviewPanel).envelopeMediaSelected); graphics.dispose(); if (bool) repaintManager.setDoubleBufferingEnabled(true);  image = image1;
/* 225 */       setDisplayImage(image);
/*     */     } 
/*     */ 
/*     */     
/* 229 */     super.paint(paramGraphics);
/*     */ 
/*     */     
/* 232 */     paramGraphics.drawImage(image, this.START_POINT.x, this.START_POINT.y, this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 240 */     if (!a.a && a) {
/*     */       Window window;
/*     */       
/* 243 */       if ((window = SwingUtilities.windowForComponent(this)) != null) {
/*     */         
/* 245 */         window.repaint();
/* 246 */         a = false;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void centerInPanel() {
/* 265 */     Dimension dimension = getSize();
/* 266 */     float f = getZoomFactor();
/* 267 */     int j = (int)(this.PAGE_FORMAT.getWidth() * f);
/* 268 */     int i = (int)(this.PAGE_FORMAT.getHeight() * f);
/*     */     
/* 270 */     this.START_POINT.x = (dimension.width - j) / 2;
/* 271 */     if (this.START_POINT.x > 1) this.START_POINT.x--; 
/* 272 */     this.START_POINT.y = (dimension.height - i) / 2;
/* 273 */     if (this.START_POINT.y > 1) this.START_POINT.y--;
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PageFormat updatePageFormat(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 284 */     MediaSizeName mediaSizeName = PrintUtility.getMediaSizeName(paramPrintRequestAttributeSet); PageSetupPreviewPanel pageSetupPreviewPanel; (pageSetupPreviewPanel = this).envelopeMediaSelected = (mediaSizeName != null && mediaSizeName.toString().toUpperCase().indexOf("ENVELOPE") >= 0);
/*     */     
/* 286 */     return super.updatePageFormat(paramPrintRequestAttributeSet);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PageSetupPreviewPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */