/*      */ package jpdf.gui.preview;
/*      */ 
/*      */ import java.awt.Color;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.Stroke;
/*      */ import java.awt.geom.AffineTransform;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Printable;
/*      */ import java.util.Locale;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import jpdf.ability.Titled;
/*      */ import jpdf.printable.PageCountPrintable;
/*      */ import jpdf.printable.PageGridPrintable;
/*      */ import jpdf.printable.ResetablePrintable;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PrintableOverviewPanel
/*      */   extends AbstractOverviewPanel
/*      */ {
/*      */   static abstract class a
/*      */     implements Titled, PageCountPrintable, PageGridPrintable
/*      */   {
/*  107 */     protected final Dimension a = new Dimension();
/*      */     protected final Printable b;
/*  109 */     private int c = -1;
/*      */ 
/*      */ 
/*      */     
/*      */     private int d;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected a(Printable param1Printable, int param1Int) {
/*  119 */       this.b = param1Printable;
/*  120 */       this.d = param1Int;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public Dimension computePageGridSize(PageFormat param1PageFormat) {
/*  130 */       int j = b();
/*      */       
/*      */       int i;
/*  133 */       if ((i = computePageCount(param1PageFormat)) == 0) {
/*      */         
/*  135 */         this.a.width = 1;
/*  136 */         this.a.height = 1;
/*      */       }
/*  138 */       else if (i <= j) {
/*      */         
/*  140 */         this.a.width = i;
/*  141 */         this.a.height = 1;
/*      */       }
/*      */       else {
/*      */         
/*  145 */         this.a.width = j;
/*  146 */         this.a.height = i / j;
/*  147 */         if (this.a.width * this.a.height < i)
/*      */         {
/*  149 */           this.a.height++;
/*      */         }
/*      */       } 
/*      */       
/*  153 */       return this.a;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public int getPrintedPageIndex() {
/*  162 */       return this.c;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public String getTitle() {
/*  171 */       if (this.b instanceof Titled)
/*      */       {
/*  173 */         return ((Titled)this.b).getTitle();
/*      */       }
/*      */       
/*  176 */       return this.b.toString();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public int print(Graphics param1Graphics, PageFormat param1PageFormat, int param1Int) {
/*      */       int i;
/*  189 */       if ((i = this.b.print(param1Graphics, param1PageFormat, param1Int)) != 1) { a a1; (a1 = this).c = param1Int = param1Int; }
/*      */       
/*  191 */       return i;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void a() {
/*  200 */       if (this.b instanceof ResetablePrintable)
/*      */       {
/*  202 */         ((ResetablePrintable)this.b).reset();
/*      */       }
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected abstract int b();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final int c() {
/*  217 */       return this.d;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected boolean d() {
/*  225 */       return true;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final void a(int param1Int) {
/*  234 */       this.d = param1Int;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class b
/*      */     extends a
/*      */   {
/*      */     private b(Printable param1Printable, int param1Int) {
/*  259 */       super(param1Printable, param1Int);
/*      */       
/*  261 */       this.a.width = 1;
/*  262 */       this.a.height = 1;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int computePageCount(PageFormat param1PageFormat) {
/*  272 */       return 1;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final Dimension computePageGridSize(PageFormat param1PageFormat) {
/*  283 */       return this.a;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int getPageCount() {
/*  292 */       return 1;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final int b() {
/*  301 */       return 1;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class c
/*      */     extends a
/*      */   {
/*      */     private c(PageCountPrintable param1PageCountPrintable, int param1Int) {
/*  315 */       super((Printable)param1PageCountPrintable, param1Int);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int computePageCount(PageFormat param1PageFormat) {
/*  324 */       return ((PageCountPrintable)this.b).computePageCount(param1PageFormat);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int getPageCount() {
/*  333 */       return ((PageCountPrintable)this.b).getPageCount();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final int b() {
/*  343 */       int i = getPageCount();
/*      */       
/*      */       int j;
/*  346 */       return ((j = c()) <= i) ? j : i;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class d
/*      */     extends a
/*      */   {
/*      */     private boolean c = false;
/*      */ 
/*      */ 
/*      */     
/*  360 */     private int d = 0;
/*      */ 
/*      */ 
/*      */     
/*      */     private d(PrintableOverviewPanel this$0, PageGridPrintable param1PageGridPrintable, int param1Int) {
/*  365 */       super((Printable)param1PageGridPrintable, param1Int);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int computePageCount(PageFormat param1PageFormat) {
/*  374 */       Dimension dimension = ((PageGridPrintable)this.b).computePageGridSize(this.e.PAGE_FORMAT);
/*      */ 
/*      */       
/*  377 */       this.d = dimension.width * dimension.height;
/*      */       
/*  379 */       return this.d;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int getPageCount() {
/*  388 */       return this.d;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final int b() {
/*  398 */       int i = c();
/*  399 */       if (!this.e.isToUsePageGridColumnCount()) {
/*      */         d d2;
/*      */ 
/*      */ 
/*      */         
/*  404 */         boolean bool1 = true;
/*  405 */         return i;
/*      */       } 
/*      */ 
/*      */       
/*      */       int j;
/*      */ 
/*      */       
/*  412 */       if ((j = (((PageGridPrintable)this.b).computePageGridSize(this.e.PAGE_FORMAT)).width) <= 1) {
/*      */         d d2;
/*  414 */         boolean bool1 = true;
/*  415 */         return i;
/*      */       } 
/*      */       
/*      */       d d1;
/*  419 */       boolean bool = false;
/*  420 */       return j;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final boolean d() {
/*  429 */       return this.c;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  445 */   private final Dimension FULL_LAYOUT_SIZE = new Dimension();
/*      */   
/*  447 */   private a overviewPrintable = null;
/*      */ 
/*      */   
/*      */   private boolean toFitColumns = false;
/*      */ 
/*      */   
/*      */   private boolean toUsePageGridColumnCount = true;
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintableOverviewPanel(Locale paramLocale) {
/*  458 */     super(paramLocale);
/*      */ 
/*      */     
/*  461 */     setOverviewPrintable((Printable)new AbstractPageImageDisplayPanel.NothingPrintable());
/*      */   }
/*      */ 
/*      */   
/*      */   public PrintableOverviewPanel(Locale paramLocale, Printable paramPrintable) {
/*  466 */     super(paramLocale);
/*      */ 
/*      */     
/*  469 */     setOverviewPrintable(paramPrintable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFixedColumnCount() {
/*      */     PrintableOverviewPanel printableOverviewPanel;
/*  484 */     if ((printableOverviewPanel = this).toFitColumns) return 0;
/*      */     
/*  486 */     return getOverviewPrintable().b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isColumnCountSettable() {
/*  495 */     return getOverviewPrintable().d();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isToUsePageGridColumnCount() {
/*  508 */     return this.toUsePageGridColumnCount;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean requestFixedColumnCount(int paramInt) {
/*  526 */     a a1 = getOverviewPrintable();
/*  527 */     boolean bool1 = (paramInt <= 0) ? true : false;
/*  528 */     int i = a1.b();
/*      */     
/*      */     PrintableOverviewPanel printableOverviewPanel;
/*  531 */     boolean bool2 = bool1;
/*  532 */     if (bool1) paramInt = c(); 
/*  533 */     a1.a(paramInt);
/*      */ 
/*      */     
/*  536 */     if (paramInt != i) refreshDisplay();
/*      */     
/*  538 */     return isColumnCountSettable();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRequestedFixedColumnCount(int paramInt) {
/*  547 */     getOverviewPrintable().a(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToUsePageGridColumnCount(boolean paramBoolean) {
/*  560 */     this.toUsePageGridColumnCount = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Dimension computeFullLayoutSize() {
/*  578 */     Dimension dimension = getOverviewPrintable().computePageGridSize(this.PAGE_FORMAT);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  584 */     this.FULL_LAYOUT_SIZE.width = dimension.width;
/*  585 */     this.FULL_LAYOUT_SIZE.height = dimension.height;
/*      */     
/*  587 */     return this.FULL_LAYOUT_SIZE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Dimension getFullLayoutSize() {
/*  597 */     return this.FULL_LAYOUT_SIZE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getFullPageCount() {
/*  609 */     return getOverviewPrintable().getPageCount();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected a getOverviewPrintable() {
/*  619 */     return this.overviewPrintable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Printable getTargetPrintable() {
/*  629 */     return this.overviewPrintable.b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean handleContainerResize() {
/*  641 */     PrintableOverviewPanel printableOverviewPanel = null;
/*  642 */     boolean bool = false;
/*  643 */     int i = 0;
/*  644 */     int j = 0;
/*      */ 
/*      */     
/*  647 */     if ((printableOverviewPanel = this).toFitColumns) {
/*      */       a a1;
/*      */ 
/*      */       
/*  651 */       i = (a1 = getOverviewPrintable()).b();
/*  652 */       j = c();
/*      */ 
/*      */ 
/*      */       
/*  656 */       if (i != j) {
/*      */ 
/*      */         
/*  659 */         a1.a(j);
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  664 */         setZoomFactorResize(getZoomFactor(), true);
/*      */ 
/*      */         
/*  667 */         refreshDisplay();
/*      */         
/*  669 */         bool = true;
/*      */       } 
/*      */     } 
/*      */     
/*  673 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3) {
/*  683 */     a a1 = getOverviewPrintable();
/*  684 */     float f = getZoomFactor();
/*      */ 
/*      */     
/*  687 */     paramGraphics2D = prepareImageGraphics(paramGraphics2D, a1.b, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */     
/*  691 */     a(paramGraphics2D, (Printable)a1, f, 7, 7, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageRangeImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  703 */     a a1 = getOverviewPrintable();
/*  704 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/*  705 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/*  706 */     Stroke stroke = paramGraphics2D.getStroke();
/*      */     
/*      */     float f;
/*  709 */     int i = (int)((f = getZoomFactor()) * this.PAGE_FORMAT.getWidth());
/*      */     
/*  711 */     int j = (int)(f * this.PAGE_FORMAT.getHeight());
/*  712 */     int k = 0;
/*  713 */     int m = 7;
/*  714 */     if (paramInt4 == 9999) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  721 */       paramInt3 = 0;
/*  722 */       paramInt4 = getFullPageCount() - 1;
/*  723 */       setPageIndexRange(0, paramInt4);
/*  724 */       paramInt4 = getLastPageIndex();
/*      */     } 
/*      */ 
/*      */     
/*  728 */     paramGraphics2D = prepareImageGraphics(paramGraphics2D, a1.b, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */     
/*  732 */     Dimension dimension = this.FULL_LAYOUT_SIZE;
/*      */     
/*  734 */     k = paramInt3 / dimension.width;
/*  735 */     int n = paramInt4 / dimension.width;
/*      */ 
/*      */ 
/*      */     
/*  739 */     paramInt2 = k * dimension.width;
/*      */ 
/*      */     
/*  742 */     for (int i1 = k; i1 <= n; i1++) {
/*      */ 
/*      */       
/*  745 */       k = 7;
/*  746 */       for (byte b = 0; b < dimension.width; b++) {
/*      */ 
/*      */         
/*  749 */         if (paramInt2 >= paramInt3 && paramInt2 <= paramInt4) {
/*      */ 
/*      */           
/*  752 */           paramGraphics2D.setStroke(stroke);
/*  753 */           paramGraphics2D.setClip(rectangle);
/*  754 */           paramGraphics2D.setTransform(affineTransform);
/*      */ 
/*      */           
/*  757 */           a(paramGraphics2D, (Printable)a1, f, k, m, paramInt2);
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/*  762 */         paramInt2++;
/*      */ 
/*      */         
/*  765 */         k += i + 9;
/*      */       } 
/*      */ 
/*      */       
/*  769 */       m += j + 9;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageRowImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  781 */     a a1 = getOverviewPrintable();
/*  782 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/*  783 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/*  784 */     Stroke stroke = paramGraphics2D.getStroke();
/*      */     
/*      */     float f;
/*  787 */     int i = (int)((f = getZoomFactor()) * this.PAGE_FORMAT.getWidth());
/*      */     
/*  789 */     int j = 7;
/*  790 */     paramGraphics2D = prepareImageGraphics(paramGraphics2D, a1.b, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  797 */     Dimension dimension = a1.a;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  802 */     paramInt2 = (paramInt2 = paramInt3 / dimension.width) * dimension.width;
/*      */ 
/*      */     
/*  805 */     for (byte b = 0; b < dimension.width; b++) {
/*      */ 
/*      */       
/*  808 */       if (paramInt2 >= paramInt3 && paramInt2 <= paramInt4) {
/*      */ 
/*      */         
/*  811 */         paramGraphics2D.setStroke(stroke);
/*  812 */         paramGraphics2D.setClip(rectangle);
/*  813 */         paramGraphics2D.setTransform(affineTransform);
/*      */ 
/*      */         
/*  816 */         a(paramGraphics2D, (Printable)a1, f, j, 7, paramInt2);
/*      */ 
/*      */ 
/*      */         
/*  820 */         j += i + 9;
/*      */       } 
/*      */ 
/*      */       
/*  824 */       paramInt2++;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setOverviewPrintable(Printable paramPrintable) {
/*  834 */     int i = 3;
/*      */ 
/*      */ 
/*      */     
/*  838 */     displayWaitCursor();
/*      */ 
/*      */ 
/*      */     
/*  842 */     if (this.overviewPrintable != null) i = this.overviewPrintable.c();
/*      */ 
/*      */ 
/*      */     
/*  846 */     if (paramPrintable instanceof PageGridPrintable) {
/*      */       
/*  848 */       this.overviewPrintable = new d((PageGridPrintable)paramPrintable, i, (byte)0);
/*      */       return;
/*      */     } 
/*  851 */     if (paramPrintable instanceof PageCountPrintable) {
/*      */       
/*  853 */       this.overviewPrintable = new c((PageCountPrintable)paramPrintable, i, (byte)0);
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  858 */     this.overviewPrintable = new b(paramPrintable, i, (byte)0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageFormat updatePageFormat(PageFormat paramPageFormat) {
/*  871 */     int i = getFullPageCount();
/*      */ 
/*      */ 
/*      */     
/*  875 */     paramPageFormat = super.updatePageFormat(paramPageFormat);
/*      */     
/*      */     PrintableOverviewPanel printableOverviewPanel;
/*  878 */     if ((printableOverviewPanel = this).toFitColumns)
/*      */     {
/*  880 */       getOverviewPrintable().a(c());
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  885 */     computeFullLayoutSize();
/*  886 */     a(getGraphics(), i);
/*      */     
/*  888 */     return paramPageFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageFormat updatePageFormat(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  900 */     int i = getFullPageCount();
/*      */ 
/*      */ 
/*      */     
/*  904 */     PageFormat pageFormat = super.updatePageFormat(paramPrintRequestAttributeSet);
/*      */     
/*      */     PrintableOverviewPanel printableOverviewPanel;
/*  907 */     if ((printableOverviewPanel = this).toFitColumns)
/*      */     {
/*  909 */       getOverviewPrintable().a(c());
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  914 */     computeFullLayoutSize();
/*  915 */     a(getGraphics(), i);
/*      */     
/*  917 */     return pageFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int c() {
/*  930 */     double d = getVisibleRect().getWidth();
/*  931 */     float f = (int)(getZoomFactor() * this.PAGE_FORMAT.getWidth() + 9.0D);
/*      */ 
/*      */ 
/*      */     
/*      */     int i;
/*      */ 
/*      */ 
/*      */     
/*  939 */     if ((i = (int)((d - 7.0D) / f)) <= 0) i = 1;
/*      */     
/*  941 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Graphics2D paramGraphics2D, Printable paramPrintable, float paramFloat, int paramInt1, int paramInt2, int paramInt3) {
/*  959 */     PageFormat pageFormat = this.PAGE_FORMAT;
/*      */ 
/*      */     
/*  962 */     paintScaledPage(paramGraphics2D, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  967 */       paramGraphics2D.setColor(Color.BLACK);
/*  968 */       paramGraphics2D.scale(paramFloat, paramFloat);
/*  969 */       paramPrintable.print(paramGraphics2D, pageFormat, paramInt3);
/*      */       return;
/*  971 */     } catch (Throwable throwable) {
/*      */ 
/*      */       
/*  974 */       setOverviewPrintable((Printable)new AbstractPageImageDisplayPanel.NothingPrintable());
/*      */ 
/*      */       
/*  977 */       handlePreviewException(throwable);
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Graphics paramGraphics, int paramInt) {
/*  996 */     a a1 = getOverviewPrintable();
/*  997 */     int j = 0;
/*      */     
/*  999 */     int k = 0;
/*      */ 
/*      */     
/* 1002 */     if (paramGraphics == null) {
/*      */       return;
/*      */     }
/* 1005 */     int i = a1.computePageCount(this.PAGE_FORMAT);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1012 */     if (a1.b instanceof ResetablePrintable || a1.b instanceof PageCountPrintable) {
/*      */ 
/*      */ 
/*      */       
/* 1016 */       k = getFirstPageIndex();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1021 */       if ((j = getLastPageIndex()) == 9999 || (k == 0 && j == paramInt - 1)) {
/*      */ 
/*      */         
/* 1024 */         if (i <= 0) {
/*      */           
/* 1026 */           setPageIndexRange(-1, -1);
/*      */           
/*      */           return;
/*      */         } 
/* 1030 */         setPageIndexRange(0, i - 1);
/*      */ 
/*      */ 
/*      */         
/*      */         return;
/*      */       } 
/*      */ 
/*      */       
/* 1038 */       if (j >= i) j = i - 1; 
/* 1039 */       if (k >= i) k = 0; 
/* 1040 */       a1.a();
/*      */       
/* 1042 */       a1.computePageCount(this.PAGE_FORMAT);
/* 1043 */       setPageIndexRange(k, j);
/*      */ 
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */ 
/*      */     
/* 1051 */     setPageIndexRange(0, i - 1);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PrintableOverviewPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */