/*      */ package jpdf.gui.preview2;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Component;
/*      */ import java.awt.ComponentOrientation;
/*      */ import java.awt.Container;
/*      */ import java.awt.Cursor;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.LayoutManager;
/*      */ import java.awt.Point;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.Window;
/*      */ import java.awt.event.MouseWheelEvent;
/*      */ import java.awt.geom.Rectangle2D;
/*      */ import java.awt.image.BufferedImage;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Printable;
/*      */ import java.io.Serializable;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Iterator;
/*      */ import java.util.Locale;
/*      */ import javax.print.attribute.Attribute;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.print.attribute.standard.MediaSizeName;
/*      */ import javax.swing.AbstractAction;
/*      */ import javax.swing.ActionMap;
/*      */ import javax.swing.BorderFactory;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JDialog;
/*      */ import javax.swing.JFrame;
/*      */ import javax.swing.JMenuItem;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JPopupMenu;
/*      */ import javax.swing.JScrollPane;
/*      */ import javax.swing.KeyStroke;
/*      */ import javax.swing.SwingUtilities;
/*      */ import javax.swing.event.ChangeEvent;
/*      */ import javax.swing.event.ChangeListener;
/*      */ import javax.swing.event.PopupMenuEvent;
/*      */ import javax.swing.event.PopupMenuListener;
/*      */ import jpdf.ability.AttributeSetUpdateObserver;
/*      */ import jpdf.ability.PrintablePageContentPainter;
/*      */ import jpdf.attribute.RequestMediaSizeName;
/*      */ import jpdf.gui.InitializableDisplay;
/*      */ import jpdf.gui.PrintInfoHolder;
/*      */ import jpdf.gui.PrintableViewer;
/*      */ import jpdf.gui.UpdatableDisplay;
/*      */ import jpdf.gui.preview2.text.SearchControlPanel;
/*      */ import jpdf.gui.preview2.toolbar.AbstractPreviewToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageFormatDisplayToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageLayoutToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageNavigationFieldToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageNavigationToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.ZoomFactorToolbarPanel;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*      */ import jpdf.printable.ValidatingPrintable;
/*      */ import jpdf.utility.AttributeSetFactory;
/*      */ import jpdf.utility.PrintUtility;
/*      */ import jpdf_common.gui.ability.WaitCursorable;
/*      */ import jpdf_common.gui.layout.RowLayout;
/*      */ import jpdf_common.system.manage.BasicResourceManager;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PreviewPrintableControlPanel
/*      */   extends AbstractPreviewControlPanel
/*      */   implements InitializableDisplay, PrintableViewer, UpdatableDisplay
/*      */ {
/*      */   public static class PreviewState
/*      */     implements Serializable
/*      */   {
/*      */     private static final long serialVersionUID = 200L;
/*  188 */     public PageLayout pageLayout = PageLayout.SINGLE_PAGE;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean fitWidthZoomSelected = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean fitPageZoomSelected = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  204 */     public float zoomFactor = 1.0F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean autoHideEnabled = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public PreviewState() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public PreviewState(float param1Float) {
/*  223 */       this.zoomFactor = param1Float;
/*  224 */       this.fitWidthZoomSelected = false;
/*  225 */       this.fitPageZoomSelected = false;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public String toString() {
/*  231 */       return "\n  pageLayout = " + this.pageLayout + "\n  fitWidthZoomSelected = " + this.fitWidthZoomSelected + "\n  fitPageZoomSelected = " + this.fitPageZoomSelected + "\n  zoomFactor = " + this.zoomFactor + "\n  autohideToolbars = " + this.autoHideEnabled;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class a
/*      */   {
/*  245 */     private Point a = null;
/*  246 */     private Point b = null;
/*  247 */     private float c = 0.0F;
/*  248 */     private int d = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private a(PreviewPrintableControlPanel param1PreviewPrintableControlPanel) {
/*  254 */       this.d = param1PreviewPrintableControlPanel.getCurrentPageIndex();
/*  255 */       this.a = PreviewPrintableControlPanel.a(param1PreviewPrintableControlPanel).b(this.d);
/*  256 */       this.b = param1PreviewPrintableControlPanel.b();
/*  257 */       this.c = param1PreviewPrintableControlPanel.getPhysicalZoomFactor();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class d
/*      */     implements ChangeListener
/*      */   {
/*  301 */     private Rectangle a = null;
/*      */     private boolean b = false;
/*      */     private boolean c = true;
/*      */     
/*      */     public final void stateChanged(ChangeEvent param1ChangeEvent) {
/*      */       boolean bool4;
/*  307 */       Rectangle rectangle = this.d.a();
/*  308 */       int i = 0;
/*  309 */       boolean bool1 = false;
/*  310 */       i = 1;
/*  311 */       boolean bool2 = true;
/*  312 */       boolean bool3 = true;
/*  313 */       if (PreviewPrintableControlPanel.b(this.d)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  321 */         bool1 = (rectangle.y == 0);
/*  322 */         bool4 = (rectangle.y + rectangle.height >= PreviewPrintableControlPanel.a(this.d).getHeight());
/*      */ 
/*      */ 
/*      */         
/*  326 */         if (bool1 != this.c || bool4 != this.b)
/*      */         {
/*  328 */           PreviewPrintableControlPanel.a(this.d, this.d, bool1, bool4, this.d.getCurrentPageIndex());
/*      */         }
/*      */ 
/*      */         
/*  332 */         this.a = rectangle;
/*  333 */         this.c = bool1;
/*  334 */         this.b = bool4;
/*      */ 
/*      */         
/*      */         return;
/*      */       } 
/*      */       
/*  340 */       if (this.a != null) {
/*      */         
/*  342 */         i = (rectangle.x != this.a.x) ? 1 : 0;
/*  343 */         bool1 = (rectangle.y != this.a.y);
/*  344 */         i = (i || bool1) ? 1 : 0;
/*  345 */         bool2 = (rectangle.width != this.a.width) ? true : false;
/*  346 */         bool3 = (rectangle.height != this.a.height) ? true : false;
/*  347 */         if (bool1)
/*      */         {
/*  349 */           bool1 = (rectangle.y == 0);
/*  350 */           bool4 = (rectangle.y + rectangle.height >= PreviewPrintableControlPanel.a(this.d).getHeight());
/*      */         }
/*      */         else
/*      */         {
/*  354 */           bool1 = this.c;
/*      */         }
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  360 */         bool1 = (rectangle.y == 0);
/*  361 */         bool4 = (rectangle.y + rectangle.height >= PreviewPrintableControlPanel.a(this.d).getHeight());
/*      */       } 
/*      */ 
/*      */       
/*  365 */       if (!i && !bool2 && !bool3) {
/*      */         return;
/*      */       }
/*      */       
/*  369 */       if (PreviewPrintableControlPanel.a(this.d).m()) {
/*      */         
/*  371 */         if (bool2)
/*      */         {
/*  373 */           this.d.setZoomFactorFitWidth(this.d);
/*      */         }
/*      */       }
/*  376 */       else if (PreviewPrintableControlPanel.a(this.d).l()) {
/*      */         
/*  378 */         if (bool2 || bool3)
/*      */         {
/*  380 */           this.d.setZoomFactorFitPage(this.d);
/*      */         }
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  386 */       i = this.d.getCurrentPageIndex();
/*      */       
/*      */       int j;
/*      */       
/*  390 */       if ((j = PreviewPrintableControlPanel.a(this.d).e(rectangle)) != i)
/*      */       {
/*  392 */         PreviewPrintableControlPanel.a(this.d, this.d, j);
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  397 */       if (bool1 != this.c || bool4 != this.b)
/*      */       {
/*  399 */         PreviewPrintableControlPanel.a(this.d, this.d, bool1, bool4, j);
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  404 */       this.a = rectangle;
/*  405 */       this.b = bool4;
/*  406 */       this.c = bool1;
/*      */ 
/*      */       
/*  409 */       if (bool2 || bool3)
/*      */       {
/*  411 */         if (rectangle.width > 0 && rectangle.height > 0)
/*      */         {
/*  413 */           PreviewPrintableControlPanel.a(this.d).f(rectangle);
/*      */         }
/*      */       }
/*      */     }
/*      */ 
/*      */     
/*      */     private d(PreviewPrintableControlPanel this$0) {}
/*      */   }
/*      */ 
/*      */   
/*      */   class c
/*      */     extends JScrollPane
/*      */   {
/*      */     private c(a param1a) {
/*  427 */       super(param1a);
/*      */       c c1;
/*  429 */       InputMap inputMap = (c1 = this).getInputMap(2); ActionMap actionMap = c1.getActionMap(); c1.getVerticalScrollBar().setUnitIncrement(5); c1.getHorizontalScrollBar().setUnitIncrement(5); String str = "arrowDown"; inputMap.put(KeyStroke.getKeyStroke(40, 0), str); g g = new g(c1, str); actionMap.put(str, g); str = "arrowUp"; inputMap.put(KeyStroke.getKeyStroke(38, 0), str); h h = new h(c1, str); actionMap.put(str, h); str = "arrowRight"; inputMap.put(KeyStroke.getKeyStroke(39, 0), str); i i = new i(c1, str); actionMap.put(str, i); str = "arrowLeft"; inputMap.put(KeyStroke.getKeyStroke(37, 0), str); j j = new j(c1, str); actionMap.put(str, j); jpdf_common.gui.c.b.a(c1); c1.getViewport().addChangeListener(new PreviewPrintableControlPanel.d((byte)0));
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected final void processMouseWheelEvent(MouseWheelEvent param1MouseWheelEvent) {
/*  439 */       if (!param1MouseWheelEvent.isControlDown()) {
/*      */         
/*  441 */         super.processMouseWheelEvent(param1MouseWheelEvent);
/*      */ 
/*      */         
/*      */         return;
/*      */       } 
/*      */       
/*  447 */       float f = (f = PreviewPrintableControlPanel.this.getZoomFactor()) + ((param1MouseWheelEvent.getWheelRotation() < 0) ? 0.1F : -0.1F);
/*      */       
/*  449 */       PreviewPrintableControlPanel.this.setZoomFactor(PreviewPrintableControlPanel.this, f);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class b
/*      */     extends JPopupMenu
/*      */     implements PopupMenuListener
/*      */   {
/*  538 */     private Component glassPane = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private b() {
/*  546 */       if (jpdf_common.system.a.a.g)
/*      */       {
/*  548 */         addPopupMenuListener(this);
/*      */       }
/*      */       
/*  551 */       setBorder(BorderFactory.createLineBorder(PreviewTheme.DEFAULT_SHADOW_COLOR, 3));
/*      */     }
/*      */ 
/*      */     
/*      */     public final void popupMenuCanceled(PopupMenuEvent param1PopupMenuEvent) {}
/*      */     
/*      */     public final void popupMenuWillBecomeInvisible(PopupMenuEvent param1PopupMenuEvent) {
/*  558 */       this.glassPane.setVisible(false);
/*      */     }
/*      */     
/*      */     public final void popupMenuWillBecomeVisible(PopupMenuEvent param1PopupMenuEvent) {
/*      */       PreviewPrintableControlPanel previewPrintableControlPanel;
/*  563 */       Container container = (previewPrintableControlPanel = PreviewPrintableControlPanel.this).getTopLevelAncestor(); Component component = null; if (container instanceof JDialog) { component = ((JDialog)container).getGlassPane(); } else if (container instanceof JFrame) { component = ((JFrame)container).getGlassPane(); }  this.glassPane = component;
/*  564 */       this.glassPane.setVisible(true);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean a = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private final AttributeSetUpdateObserver ATTRIBUTE_SET_UPDATE_OBSERVER;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private final jpdf_common.gui.component.m.c TOOLBAR_CONTAINER_PANEL;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private final n PREVIEW_PANEL;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private final c PREVIEW_SCROLL_PANE;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  598 */   private final b POPUP_MENU = new b((byte)0);
/*      */   
/*      */   private final c AUTOHIDE_ADMINISTRATOR;
/*      */   private final d AUTOHIDE_TOOLBAR;
/*      */   private final SearchControlPanel SEARCH_CONTROL_PANEL;
/*      */   private boolean navigatingToPage = false;
/*      */   private boolean popupMenuListenerAdded = false;
/*  605 */   private final ArrayList ATTRIBUTE_SET_CHANGE_OBSERVER_LIST = new ArrayList(4);
/*      */   
/*  607 */   private final ArrayList ZOOM_FACTOR_CHANGE_OBSERVER_LIST = new ArrayList(4);
/*      */   
/*  609 */   private final ArrayList PAGE_NAVIGATION_OBSERVER_LIST = new ArrayList(4);
/*      */   
/*  611 */   private final ArrayList PAGE_LAYOUT_CHANGE_OBSERVER_LIST = new ArrayList(4);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableControlPanel(String paramString, AttributeSetUpdateObserver paramAttributeSetUpdateObserver, boolean paramBoolean) {
/*  632 */     this(paramString, new NothingPrintable(), (PrintInfoHolder)null, paramAttributeSetUpdateObserver, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableControlPanel(String paramString, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, PrintInfoHolder paramPrintInfoHolder, AttributeSetUpdateObserver paramAttributeSetUpdateObserver, boolean paramBoolean) {
/*  650 */     super(paramString, (LayoutManager)null);
/*      */     
/*  652 */     this.TOOLBAR_CONTAINER_PANEL = new jpdf_common.gui.component.m.c(PreviewTheme.DEFAULT_SHADOW_COLOR, PreviewWindowHelper.getPreviewTheme().isLeftAlignedToolBars());
/*      */ 
/*      */     
/*  655 */     m m = new m(this.TOOLBAR_CONTAINER_PANEL);
/*  656 */     this.ATTRIBUTE_SET_UPDATE_OBSERVER = paramAttributeSetUpdateObserver;
/*      */ 
/*      */     
/*  659 */     if (paramBoolean) {
/*      */       
/*  661 */       this.AUTOHIDE_ADMINISTRATOR = new c(this, m);
/*  662 */       this.AUTOHIDE_TOOLBAR = new d(this, Locale.getDefault());
/*      */     }
/*      */     else {
/*      */       
/*  666 */       this.AUTOHIDE_ADMINISTRATOR = null;
/*  667 */       this.AUTOHIDE_TOOLBAR = null;
/*  668 */       setLayout(new BorderLayout());
/*      */     } 
/*      */ 
/*      */     
/*  672 */     setPrintInfoHolder(paramPrintInfoHolder);
/*      */ 
/*      */     
/*  675 */     this.PREVIEW_PANEL = new n(this, paramFullyNavigableAttributeSetPrintable);
/*  676 */     if (!jpdf_common.system.a.a.b) this.PREVIEW_PANEL.f(); 
/*  677 */     this.PREVIEW_SCROLL_PANE = new c(this.PREVIEW_PANEL, (byte)0);
/*  678 */     this.SEARCH_CONTROL_PANEL = createSearchControlPanel();
/*      */ 
/*      */     
/*  681 */     add(m, "North");
/*  682 */     add(this.PREVIEW_SCROLL_PANE, "Center");
/*  683 */     if (this.SEARCH_CONTROL_PANEL != null) {
/*      */       
/*  685 */       this.SEARCH_CONTROL_PANEL.setVisible(false);
/*  686 */       add((Component)this.SEARCH_CONTROL_PANEL, "South");
/*  687 */       this.PREVIEW_PANEL.a((PrintablePageContentPainter)this.SEARCH_CONTROL_PANEL);
/*      */     } 
/*      */ 
/*      */     
/*  691 */     if (paramBoolean) {
/*      */       
/*  693 */       this.AUTOHIDE_ADMINISTRATOR.a(this.PREVIEW_SCROLL_PANE);
/*  694 */       this.AUTOHIDE_ADMINISTRATOR.a(this.PREVIEW_PANEL);
/*  695 */       this.AUTOHIDE_ADMINISTRATOR.b(this);
/*  696 */       m.setVisible(false);
/*  697 */       addToolBarComponent((JComponent)this.AUTOHIDE_TOOLBAR);
/*  698 */       this.TOOLBAR_CONTAINER_PANEL.a((Component)this.AUTOHIDE_TOOLBAR);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addAttributeSetChangeObserver(AttributeSetChangeObserver paramAttributeSetChangeObserver) {
/*  713 */     this.ATTRIBUTE_SET_CHANGE_OBSERVER_LIST.add(paramAttributeSetChangeObserver);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addAutohideToolbarComponent(JComponent paramJComponent, boolean paramBoolean) {
/*  728 */     if (this.AUTOHIDE_TOOLBAR != null) {
/*      */       
/*  730 */       if (paramBoolean) {
/*      */         
/*  732 */         this.AUTOHIDE_TOOLBAR.add(paramJComponent);
/*      */         
/*      */         return;
/*      */       } 
/*  736 */       this.AUTOHIDE_TOOLBAR.add(paramJComponent, 0);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addKeyAction(KeyStroke paramKeyStroke, String paramString, AbstractAction paramAbstractAction) {
/*  749 */     InputMap inputMap = getInputMap(2);
/*  750 */     ActionMap actionMap = getActionMap();
/*      */ 
/*      */     
/*  753 */     inputMap.put(paramKeyStroke, paramString);
/*  754 */     actionMap.put(paramString, paramAbstractAction);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPageLayoutObserver(PageLayoutObserver paramPageLayoutObserver) {
/*  763 */     this.PAGE_LAYOUT_CHANGE_OBSERVER_LIST.add(paramPageLayoutObserver);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPageNavigationObserver(PageNavigationObserver paramPageNavigationObserver) {
/*  772 */     this.PAGE_NAVIGATION_OBSERVER_LIST.add(paramPageNavigationObserver);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPopupMenuItem(JMenuItem paramJMenuItem) {
/*  781 */     this.POPUP_MENU.add(paramJMenuItem);
/*      */ 
/*      */ 
/*      */     
/*  785 */     c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPopupMenuItem(JMenuItem paramJMenuItem, int paramInt) {
/*  794 */     this.POPUP_MENU.insert(paramJMenuItem, paramInt);
/*      */ 
/*      */ 
/*      */     
/*  798 */     c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPopupMenuItems(MenuItemFactory paramMenuItemFactory, boolean paramBoolean) {
/*      */     JMenuItem[] arrayOfJMenuItem;
/*  811 */     if ((arrayOfJMenuItem = paramMenuItemFactory.buildMenuItemList()) == null || arrayOfJMenuItem.length == 0) {
/*      */       return;
/*      */     }
/*      */     
/*  815 */     if (this.POPUP_MENU.getComponentCount() > 0)
/*      */     {
/*  817 */       if (paramBoolean) this.POPUP_MENU.addSeparator();
/*      */     
/*      */     }
/*      */     
/*  821 */     for (paramBoolean = false; paramBoolean < arrayOfJMenuItem.length; paramBoolean++)
/*      */     {
/*  823 */       this.POPUP_MENU.add(arrayOfJMenuItem[paramBoolean]);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  828 */     c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPopupMenuSeparator() {
/*  836 */     this.POPUP_MENU.addSeparator();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addPopupMenuSeparator(int paramInt) {
/*  844 */     this.POPUP_MENU.insert(new JPopupMenu.Separator(), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addStandardToolBars(Locale paramLocale) {
/*  854 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = getPreviewPrintable();
/*  855 */     PageNavigationToolbarPanel pageNavigationToolbarPanel = new PageNavigationToolbarPanel(this, paramLocale, PreviewWindowHelper.isPageNavigationAudible());
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  860 */     addToolBarComponent((JComponent)pageNavigationToolbarPanel, false);
/*      */ 
/*      */     
/*  863 */     PageLayoutToolbarPanel pageLayoutToolbarPanel = new PageLayoutToolbarPanel(this, paramLocale);
/*  864 */     addToolBarComponent((JComponent)pageLayoutToolbarPanel, true);
/*      */ 
/*      */     
/*  867 */     if (!(fullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable)) {
/*      */       
/*  869 */       ZoomFactorToolbarPanel zoomFactorToolbarPanel = new ZoomFactorToolbarPanel(this, paramLocale);
/*  870 */       addToolBarComponent((JComponent)zoomFactorToolbarPanel, false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToolBarComponent(JComponent paramJComponent) {
/*  879 */     addToolBarComponent(paramJComponent, false, 9999);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToolBarComponent(JComponent paramJComponent, boolean paramBoolean) {
/*  891 */     addToolBarComponent(paramJComponent, paramBoolean, 9999);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToolBarComponent(JComponent paramJComponent, boolean paramBoolean, int paramInt) {
/*  909 */     int i = this.TOOLBAR_CONTAINER_PANEL.getComponentCount();
/*      */ 
/*      */     
/*  912 */     if (paramInt < 0)
/*      */     {
/*  914 */       paramInt = getToolBarCount() + paramInt;
/*      */     }
/*      */ 
/*      */     
/*  918 */     if (paramInt < 0) {
/*      */       
/*  920 */       paramInt = 0;
/*      */     }
/*  922 */     else if (paramInt > i) {
/*      */       
/*  924 */       paramInt = i;
/*      */     } 
/*      */ 
/*      */     
/*  928 */     this.TOOLBAR_CONTAINER_PANEL.add(paramJComponent, paramInt);
/*      */ 
/*      */     
/*  931 */     a(paramJComponent);
/*      */ 
/*      */     
/*  934 */     if (paramBoolean && paramJComponent instanceof MenuItemFactory)
/*      */     {
/*  936 */       addPopupMenuItems((MenuItemFactory)paramJComponent, true);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addZoomFactorChangeObserver(ZoomFactorChangeObserver paramZoomFactorChangeObserver) {
/*  946 */     this.ZOOM_FACTOR_CHANGE_OBSERVER_LIST.add(paramZoomFactorChangeObserver);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void applyComponentOrientation(ComponentOrientation paramComponentOrientation) {
/*  956 */     super.applyComponentOrientation(paramComponentOrientation);
/*      */ 
/*      */     
/*  959 */     this.POPUP_MENU.applyComponentOrientation(paramComponentOrientation);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PreviewPrintableControlPanel createEmbeddableInstance(AttributeSetUpdateObserver paramAttributeSetUpdateObserver, boolean paramBoolean) {
/*  976 */     Locale locale = null;
/*      */     
/*  978 */     JPanel jPanel = null;
/*      */     
/*  980 */     locale = Locale.getDefault();
/*  981 */     String str = ResourceAdministrator.getLocalizedString("preview");
/*      */ 
/*      */ 
/*      */     
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel;
/*      */ 
/*      */ 
/*      */     
/*  989 */     (previewPrintableControlPanel = new PreviewPrintableControlPanel(str, paramAttributeSetUpdateObserver, false)).setPageLayout((Object)null, PageLayout.SINGLE_COL);
/*  990 */     previewPrintableControlPanel.setZoomFactorFitWidth((Object)null);
/*      */ 
/*      */ 
/*      */     
/*  994 */     previewPrintableControlPanel.setPreferredSize(new Dimension(200, 200));
/*      */ 
/*      */ 
/*      */     
/*  998 */     boolean bool = PreviewWindowHelper.isPageNavigationAudible();
/*      */     
/*      */     PageNavigationFieldToolbarPanel pageNavigationFieldToolbarPanel;
/* 1001 */     (pageNavigationFieldToolbarPanel = new PageNavigationFieldToolbarPanel(previewPrintableControlPanel, locale, bool)).setBorder(null);
/* 1002 */     previewPrintableControlPanel.a(pageNavigationFieldToolbarPanel);
/*      */ 
/*      */     
/* 1005 */     if (paramBoolean) {
/*      */       PageFormatDisplayToolbarPanel pageFormatDisplayToolbarPanel;
/*      */       
/* 1008 */       (pageFormatDisplayToolbarPanel = new PageFormatDisplayToolbarPanel(previewPrintableControlPanel, locale)).setBorder(null);
/* 1009 */       previewPrintableControlPanel.a(pageFormatDisplayToolbarPanel);
/*      */ 
/*      */       
/* 1012 */       (jPanel = new JPanel(new BorderLayout())).setBorder(BorderFactory.createEmptyBorder(4, 0, 0, 0));
/* 1013 */       jPanel.add((Component)pageFormatDisplayToolbarPanel, "West");
/* 1014 */       jPanel.add((Component)pageNavigationFieldToolbarPanel, "East");
/* 1015 */       previewPrintableControlPanel.add(jPanel, "South");
/*      */     } 
/*      */     
/* 1018 */     return previewPrintableControlPanel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BufferedImage createPageImage(int paramInt, boolean paramBoolean) {
/* 1031 */     return this.PREVIEW_PANEL.a(paramInt, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayDefaultCursor() {
/*      */     Window window;
/* 1044 */     if (window = SwingUtilities.windowForComponent(this) instanceof WaitCursorable)
/*      */     {
/* 1046 */       ((WaitCursorable)window).setDefaultCursor();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayWaitCursor() {
/*      */     Window window;
/* 1060 */     if (window = SwingUtilities.windowForComponent(this) instanceof WaitCursorable)
/*      */     {
/* 1062 */       ((WaitCursorable)window).setWaitCursor();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getCurrentPageIndex() {
/* 1071 */     return this.PREVIEW_PANEL.j();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getPageCount() {
/* 1079 */     return this.PREVIEW_PANEL.i();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PageLayout getPageLayout() {
/* 1087 */     return this.PREVIEW_PANEL.g();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getPhysicalZoomFactor() {
/*      */     n n1;
/* 1098 */     return (n1 = this.PREVIEW_PANEL).PAGE_SPATIAL_INFO.a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PageFormat getPreviewPageFormat() {
/* 1107 */     return this.PREVIEW_PANEL.PAGE_FORMAT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Point getPreviewPageOriginPoint(int paramInt) {
/* 1117 */     return this.PREVIEW_PANEL.b(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public FullyNavigableAttributeSetPrintable getPreviewPrintable() {
/* 1125 */     return this.PREVIEW_PANEL.n();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewTheme getPreviewTheme() {
/* 1134 */     return this.PREVIEW_PANEL.THEME;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public FullyNavigableAttributeSetPrintable getPrintable() {
/* 1143 */     return this.PREVIEW_PANEL.n();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintRequestAttributeSet getPrintAttributeSet() {
/* 1152 */     return this.PREVIEW_PANEL.n().getAttributeSet();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SearchControlPanel getSearchControlPanel() {
/* 1162 */     return this.SEARCH_CONTROL_PANEL;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public JComponent getToolBarComponent(int paramInt) {
/* 1170 */     JComponent jComponent = null;
/*      */     
/* 1172 */     if (paramInt >= 0 && paramInt < getToolBarCount())
/*      */     {
/* 1174 */       jComponent = (JComponent)this.TOOLBAR_CONTAINER_PANEL.getComponent(paramInt);
/*      */     }
/*      */     
/* 1177 */     return jComponent;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public JComponent getToolBarComponent(Class<?> paramClass) {
/* 1189 */     JComponent jComponent = null;
/* 1190 */     Component component = null;
/* 1191 */     int i = this.TOOLBAR_CONTAINER_PANEL.getComponentCount();
/*      */     
/* 1193 */     for (byte b1 = 0; b1 < i; b1++) {
/*      */ 
/*      */       
/* 1196 */       if ((component = this.TOOLBAR_CONTAINER_PANEL.getComponent(b1)).getClass() == paramClass) {
/*      */         
/* 1198 */         jComponent = (JComponent)component;
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/* 1203 */     return jComponent;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getToolBarCount() {
/* 1213 */     return this.TOOLBAR_CONTAINER_PANEL.getComponentCount();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getZoomFactor() {
/* 1224 */     return this.PREVIEW_PANEL.b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void handleAttributeSetUpdate(Object paramObject, boolean paramBoolean) {
/* 1239 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = getPreviewPrintable();
/* 1240 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintAttributeSet();
/* 1241 */     a a = new a(this, (byte)0);
/* 1242 */     PageFormat pageFormat = null;
/* 1243 */     if (fullyNavigableAttributeSetPrintable instanceof ValidatingPrintable) {
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1250 */         pageFormat = PrintUtility.createPageFormat(printRequestAttributeSet);
/* 1251 */         ((ValidatingPrintable)fullyNavigableAttributeSetPrintable).validate(pageFormat);
/*      */       }
/* 1253 */       catch (Exception exception) {
/*      */ 
/*      */         
/* 1256 */         PrintManager.handleException((Throwable)(paramObject = null));
/*      */ 
/*      */         
/* 1259 */         PrintUtility.updateAttributeSet(this.PREVIEW_PANEL.PAGE_FORMAT, printRequestAttributeSet, false);
/* 1260 */         b((Object)null, paramBoolean);
/*      */ 
/*      */ 
/*      */         
/*      */         return;
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/* 1269 */     displayWaitCursor();
/*      */ 
/*      */ 
/*      */     
/* 1273 */     this.PREVIEW_PANEL.a(printRequestAttributeSet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1280 */     setPageLayout(paramObject, this.PREVIEW_PANEL.g());
/*      */ 
/*      */     
/* 1283 */     refreshPreviewDisplay();
/*      */ 
/*      */     
/* 1286 */     b(paramObject, paramBoolean);
/*      */     
/*      */     float f;
/*      */     
/* 1290 */     if ((f = getZoomFactor()) != a.a(a))
/*      */     {
/* 1292 */       a(paramObject, a, f, isFitWidthZoomSelected(), isFitPageZoomSelected());
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1297 */     if (this.ATTRIBUTE_SET_UPDATE_OBSERVER != null)
/*      */     {
/*      */ 
/*      */       
/* 1301 */       if (paramObject != null && !(paramObject instanceof jpdf.gui.dialog.AbstractPrintDialog))
/*      */       {
/* 1303 */         this.ATTRIBUTE_SET_UPDATE_OBSERVER.updatedAttributeSet(printRequestAttributeSet, paramObject);
/*      */       }
/*      */     }
/*      */ 
/*      */     
/* 1308 */     displayDefaultCursor();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void initializeDisplay() {
/* 1321 */     if (jpdf_common.system.a.a.b) {
/*      */       
/* 1323 */       this.PREVIEW_PANEL.f();
/*      */ 
/*      */       
/* 1326 */       refreshPreviewDisplay();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1331 */     requestFocus();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isFitPageZoomSelected() {
/* 1339 */     return this.PREVIEW_PANEL.l();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isFitWidthZoomSelected() {
/* 1347 */     return this.PREVIEW_PANEL.m();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInPopupMenu(AbstractPreviewToolbarPanel paramAbstractPreviewToolbarPanel) {
/* 1358 */     if (paramAbstractPreviewToolbarPanel == null) return false;
/*      */ 
/*      */ 
/*      */     
/*      */     ArrayList<?> arrayList;
/*      */ 
/*      */     
/* 1365 */     for (Iterator<?> iterator = (arrayList = paramAbstractPreviewToolbarPanel.getToolBarMenuItems()).iterator(); iterator.hasNext();) {
/*      */       
/* 1367 */       if ((jMenuItem = (JMenuItem)iterator.next()).getParent() == this.POPUP_MENU)
/*      */       {
/* 1369 */         return true;
/*      */       }
/*      */     } 
/*      */     
/* 1373 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isOptimizedDrawingEnabled() {
/* 1385 */     return (this.AUTOHIDE_ADMINISTRATOR == null || !this.TOOLBAR_CONTAINER_PANEL.isShowing());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isPagePresentInDisplay(int paramInt) {
/* 1397 */     if (paramInt < 0 || paramInt >= getPageCount()) return false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1404 */     if (!this.PREVIEW_PANEL.q()) return true;
/*      */ 
/*      */     
/*      */     PageLayout pageLayout;
/* 1408 */     if ((pageLayout = getPageLayout()) == PageLayout.SINGLE_PAGE)
/*      */     {
/* 1410 */       return (paramInt == getCurrentPageIndex());
/*      */     }
/*      */ 
/*      */     
/* 1414 */     int i = this.PREVIEW_PANEL.k();
/* 1415 */     int j = this.PREVIEW_PANEL.o();
/*      */     
/* 1417 */     j = (i = i * j) + j - 1;
/*      */     
/* 1419 */     return (paramInt >= i && paramInt <= j);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isScrolledToBottom() {
/*      */     int i;
/*      */     Rectangle rectangle;
/* 1434 */     return ((i = (rectangle = a()).y + rectangle.height) >= this.PREVIEW_PANEL.getHeight() - 5);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isScrolledToTop() {
/* 1444 */     return ((b()).y <= 5);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToGoToLastPageBottom() {
/* 1455 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isVisible(Rectangle2D paramRectangle2D) {
/* 1464 */     if (paramRectangle2D == null) return false;
/*      */     
/* 1466 */     return a().intersects(paramRectangle2D);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean navigateToPage(Object paramObject, int paramInt) {
/* 1477 */     int j = getCurrentPageIndex(); PreviewPrintableControlPanel previewPrintableControlPanel;
/* 1478 */     boolean bool = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1485 */     Point point = this.PREVIEW_PANEL.a(paramInt);
/*      */ 
/*      */     
/* 1488 */     a(point);
/*      */ 
/*      */     
/* 1491 */     int i = getCurrentPageIndex();
/*      */     
/* 1493 */     if ((j = (j != i) ? 1 : 0) != 0) a(paramObject, i);
/*      */     
/* 1495 */     (previewPrintableControlPanel = this).navigatingToPage = bool = false;
/*      */     
/* 1497 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean navigateToPageLast(Object paramObject) {
/* 1508 */     int i = getPageCount() - 1;
/*      */ 
/*      */ 
/*      */     
/* 1512 */     if (getCurrentPageIndex() == i) {
/*      */       
/* 1514 */       scrollToBottom();
/* 1515 */       return false;
/*      */     } 
/*      */ 
/*      */     
/* 1519 */     boolean bool = navigateToPage(paramObject, i);
/* 1520 */     if (isToGoToLastPageBottom()) scrollToBottom();
/*      */     
/* 1522 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean navigateToPageNext(Object paramObject) {
/* 1533 */     int i = getCurrentPageIndex(); PreviewPrintableControlPanel previewPrintableControlPanel2;
/* 1534 */     boolean bool = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1541 */     Point point = this.PREVIEW_PANEL.a(a());
/*      */ 
/*      */     
/* 1544 */     a(point);
/*      */ 
/*      */     
/* 1547 */     int j = getCurrentPageIndex();
/*      */     
/* 1549 */     if ((i = (i != j) ? 1 : 0) != 0) a(paramObject, j); 
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel1;
/* 1551 */     (previewPrintableControlPanel1 = this).navigatingToPage = bool = false;
/*      */     
/* 1553 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean navigateToPagePrevious(Object paramObject) {
/* 1564 */     Point point1 = null;
/* 1565 */     Point point2 = b();
/* 1566 */     boolean bool2 = true;
/*      */     
/* 1568 */     int j = getCurrentPageIndex(); PreviewPrintableControlPanel previewPrintableControlPanel;
/* 1569 */     boolean bool3 = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1578 */     while (bool2 || (getCurrentPageIndex() > 0 && point2.equals(b()))) {
/*      */ 
/*      */ 
/*      */       
/* 1582 */       point1 = this.PREVIEW_PANEL.b(a());
/* 1583 */       bool2 = false;
/*      */ 
/*      */       
/* 1586 */       a(point1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1592 */       if (this.PREVIEW_PANEL.q() && point2.x == 0)
/*      */       {
/* 1594 */         if (getCurrentPageIndex() != j) {
/*      */           break;
/*      */         }
/*      */       }
/*      */     } 
/* 1599 */     int i = getCurrentPageIndex();
/*      */     boolean bool1;
/* 1601 */     if (bool1 = (j != i) ? true : false) a(paramObject, i);
/*      */     
/* 1603 */     (previewPrintableControlPanel = this).navigatingToPage = bool3 = false;
/*      */     
/* 1605 */     return bool1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void playPageTurn() {
/* 1615 */     BasicResourceManager.playPageTurn();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void refreshPreviewDisplay() {
/* 1625 */     this.PREVIEW_PANEL.e();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int removeToolBarComponent(AbstractPreviewToolbarPanel paramAbstractPreviewToolbarPanel) {
/* 1640 */     Component component = null;
/* 1641 */     int i = this.TOOLBAR_CONTAINER_PANEL.getComponentCount();
/* 1642 */     byte b1 = -1;
/*      */ 
/*      */     
/* 1645 */     for (byte b2 = 0; b2 < i; b2++) {
/*      */ 
/*      */       
/* 1648 */       if ((component = this.TOOLBAR_CONTAINER_PANEL.getComponent(b2)) == paramAbstractPreviewToolbarPanel) {
/*      */         
/* 1650 */         this.TOOLBAR_CONTAINER_PANEL.remove(b2);
/* 1651 */         b1 = b2;
/*      */ 
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/*      */     
/* 1658 */     if (b1 >= 0)
/*      */     {
/* 1660 */       a(paramAbstractPreviewToolbarPanel);
/*      */     }
/*      */     
/* 1663 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int removeToolBarComponent(Class<?> paramClass) {
/* 1679 */     Component component = null;
/* 1680 */     int i = this.TOOLBAR_CONTAINER_PANEL.getComponentCount();
/* 1681 */     byte b1 = -1;
/*      */ 
/*      */     
/* 1684 */     for (byte b2 = 0; b2 < i; b2++) {
/*      */ 
/*      */       
/* 1687 */       if ((component = this.TOOLBAR_CONTAINER_PANEL.getComponent(b2)).getClass() == paramClass) {
/*      */         
/* 1689 */         this.TOOLBAR_CONTAINER_PANEL.remove(b2);
/* 1690 */         b1 = b2;
/*      */ 
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/*      */     
/* 1697 */     if (b1 >= 0)
/*      */     {
/* 1699 */       if (component instanceof AbstractPreviewToolbarPanel)
/*      */       {
/* 1701 */         a((AbstractPreviewToolbarPanel)component);
/*      */       }
/*      */     }
/*      */     
/* 1705 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void scrollToBottom() {
/* 1715 */     Rectangle rectangle = a();
/* 1716 */     int i = this.PREVIEW_PANEL.getHeight() - rectangle.height;
/*      */ 
/*      */ 
/*      */     
/* 1720 */     a(new Point(rectangle.x, i));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void scrollToVisible(Rectangle2D paramRectangle2D) {
/*      */     Point point;
/* 1729 */     int i = (int)(72.0F * getZoomFactor());
/*      */     
/* 1731 */     Rectangle rectangle = a();
/* 1732 */     if (paramRectangle2D == null) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1742 */     int j = (int)paramRectangle2D.getX();
/* 1743 */     int k = (int)paramRectangle2D.getY();
/* 1744 */     int m = (int)paramRectangle2D.getWidth();
/* 1745 */     int i1 = (int)paramRectangle2D.getHeight();
/*      */ 
/*      */ 
/*      */     
/* 1749 */     if (m > rectangle.width || i1 > rectangle.height) {
/*      */ 
/*      */       
/* 1752 */       point = new Point(j - 10, k - 72);
/*      */     } else {
/*      */       int i2;
/*      */       int i3;
/* 1756 */       if (rectangle.contains((Rectangle2D)point)) {
/*      */         
/* 1758 */         i3 = j = k = m = i1 = i; Rectangle rectangle1 = rectangle; PreviewPrintableControlPanel previewPrintableControlPanel = this; int i5 = j - rectangle1.y, i6 = j + m - 1; int i7; i6 = (i7 = rectangle1.y + rectangle1.height - 1) - i6; m = 0; int i4 = previewPrintableControlPanel.a(rectangle1, i3, j, k); if (i5 < i1) { m = i5 - i1; } else if (i6 < i1) { m = i1 - i6; }  i2 = rectangle1.y + m; Point point1 = new Point(i4, i2);
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */         
/* 1766 */         i2 = i3 = j = k = m = i1 = i2; PreviewPrintableControlPanel previewPrintableControlPanel = this; int i5 = 0, i4 = i2.y + i2.height - 1; boolean bool = (j > i4) ? true : false; i4 = previewPrintableControlPanel.a(i2, i3, j, k); if (bool) { m = (i5 = j + m) - i2.height - i1; } else { m = j - i1; }  point = new Point(i4, m);
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1772 */     a(point);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setEmptyDisplayComponent(JComponent paramJComponent) {
/* 1786 */     setEmptyDisplayComponent(paramJComponent, 0, 0, 10);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setEmptyDisplayComponent(JComponent paramJComponent, String paramString) {
/*      */     JPanel jPanel;
/* 1810 */     (jPanel = new JPanel(new BorderLayout())).setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
/* 1811 */     jPanel.add(paramJComponent, paramString);
/* 1812 */     jPanel.setOpaque(false);
/*      */     
/* 1814 */     this.PREVIEW_PANEL.a(jPanel);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setEmptyDisplayComponent(JComponent paramJComponent, int paramInt1, int paramInt2, int paramInt3) {
/* 1839 */     if (paramInt1 != 2 && paramInt1 != 0 && paramInt1 != 4)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1847 */       throw new IllegalArgumentException("Invalid Horizontal Alignment: " + paramInt1);
/*      */     }
/*      */     
/* 1850 */     if (paramInt2 != 1 && paramInt2 != 0 && paramInt2 != 3)
/*      */     {
/*      */ 
/*      */       
/* 1854 */       throw new IllegalArgumentException("Invalid Horizontal Alignment: " + paramInt2);
/*      */     }
/*      */ 
/*      */     
/*      */     RowLayout rowLayout;
/*      */     
/* 1860 */     (rowLayout = new RowLayout(paramInt1, paramInt2, 0)).setToAllowLayoutLeftOfContainer(false);
/* 1861 */     rowLayout.setToAllowLayoutTopOfContainer(false);
/* 1862 */     JPanel jPanel = new JPanel((LayoutManager)rowLayout);
/* 1863 */     if (paramInt3 > 0)
/*      */     {
/* 1865 */       jPanel.setBorder(BorderFactory.createEmptyBorder(paramInt3, paramInt3, paramInt3, paramInt3));
/*      */     }
/*      */     
/* 1868 */     jPanel.setOpaque(false);
/* 1869 */     jPanel.setCursor(Cursor.getDefaultCursor());
/*      */ 
/*      */     
/* 1872 */     jPanel.add(paramJComponent);
/*      */ 
/*      */     
/* 1875 */     this.PREVIEW_PANEL.a(jPanel);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setHighlightingMargins(boolean paramBoolean) {
/* 1883 */     this.PREVIEW_PANEL.a(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPageLayout(Object paramObject, PageLayout paramPageLayout) {
/*      */     // Byte code:
/*      */     //   0: new jpdf/gui/preview2/PreviewPrintableControlPanel$a
/*      */     //   3: dup
/*      */     //   4: aload_0
/*      */     //   5: iconst_0
/*      */     //   6: invokespecial <init> : (Ljpdf/gui/preview2/PreviewPrintableControlPanel;B)V
/*      */     //   9: astore_3
/*      */     //   10: aload_0
/*      */     //   11: invokevirtual a : ()Ljava/awt/Rectangle;
/*      */     //   14: astore #4
/*      */     //   16: aload_2
/*      */     //   17: aload_0
/*      */     //   18: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   21: invokevirtual g : ()Ljpdf/gui/preview2/PageLayout;
/*      */     //   24: if_acmpeq -> 31
/*      */     //   27: iconst_1
/*      */     //   28: goto -> 32
/*      */     //   31: iconst_0
/*      */     //   32: istore #6
/*      */     //   34: aload_0
/*      */     //   35: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   38: aload_2
/*      */     //   39: aload #4
/*      */     //   41: invokevirtual a : (Ljpdf/gui/preview2/PageLayout;Ljava/awt/Rectangle;)Ljava/awt/Point;
/*      */     //   44: astore #5
/*      */     //   46: iload #6
/*      */     //   48: ifne -> 129
/*      */     //   51: aload_0
/*      */     //   52: aload #4
/*      */     //   54: astore #7
/*      */     //   56: dup
/*      */     //   57: astore #4
/*      */     //   59: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   62: invokevirtual getWidth : ()I
/*      */     //   65: istore #8
/*      */     //   67: aload #4
/*      */     //   69: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   72: invokevirtual getHeight : ()I
/*      */     //   75: istore #9
/*      */     //   77: aload #7
/*      */     //   79: getfield x : I
/*      */     //   82: aload #7
/*      */     //   84: getfield width : I
/*      */     //   87: iadd
/*      */     //   88: iconst_1
/*      */     //   89: isub
/*      */     //   90: istore #10
/*      */     //   92: aload #7
/*      */     //   94: getfield y : I
/*      */     //   97: aload #7
/*      */     //   99: getfield height : I
/*      */     //   102: iadd
/*      */     //   103: iconst_1
/*      */     //   104: isub
/*      */     //   105: istore #11
/*      */     //   107: iload #10
/*      */     //   109: iload #8
/*      */     //   111: if_icmpgt -> 125
/*      */     //   114: iload #11
/*      */     //   116: iload #9
/*      */     //   118: if_icmpgt -> 125
/*      */     //   121: iconst_1
/*      */     //   122: goto -> 126
/*      */     //   125: iconst_0
/*      */     //   126: ifne -> 136
/*      */     //   129: aload_0
/*      */     //   130: aload #5
/*      */     //   132: invokespecial a : (Ljava/awt/Point;)Ljava/awt/Point;
/*      */     //   135: pop
/*      */     //   136: iload #6
/*      */     //   138: ifeq -> 209
/*      */     //   141: aload_0
/*      */     //   142: aload_1
/*      */     //   143: aload_2
/*      */     //   144: astore #8
/*      */     //   146: astore #7
/*      */     //   148: astore #4
/*      */     //   150: aconst_null
/*      */     //   151: astore #9
/*      */     //   153: aload #4
/*      */     //   155: getfield PAGE_LAYOUT_CHANGE_OBSERVER_LIST : Ljava/util/ArrayList;
/*      */     //   158: invokevirtual size : ()I
/*      */     //   161: istore #10
/*      */     //   163: iconst_0
/*      */     //   164: istore #11
/*      */     //   166: iload #11
/*      */     //   168: iload #10
/*      */     //   170: if_icmpge -> 209
/*      */     //   173: aload #4
/*      */     //   175: getfield PAGE_LAYOUT_CHANGE_OBSERVER_LIST : Ljava/util/ArrayList;
/*      */     //   178: iload #11
/*      */     //   180: invokevirtual get : (I)Ljava/lang/Object;
/*      */     //   183: checkcast jpdf/gui/preview2/PageLayoutObserver
/*      */     //   186: dup
/*      */     //   187: astore #9
/*      */     //   189: aload #7
/*      */     //   191: if_acmpeq -> 203
/*      */     //   194: aload #9
/*      */     //   196: aload #8
/*      */     //   198: invokeinterface handlePageLayoutChange : (Ljpdf/gui/preview2/PageLayout;)V
/*      */     //   203: iinc #11, 1
/*      */     //   206: goto -> 166
/*      */     //   209: aload_0
/*      */     //   210: aconst_null
/*      */     //   211: astore #7
/*      */     //   213: dup
/*      */     //   214: astore #4
/*      */     //   216: aconst_null
/*      */     //   217: aload #4
/*      */     //   219: invokevirtual getCurrentPageIndex : ()I
/*      */     //   222: aload #4
/*      */     //   224: invokevirtual getPageCount : ()I
/*      */     //   227: invokespecial a : (Ljava/lang/Object;II)V
/*      */     //   230: aload_0
/*      */     //   231: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   234: invokevirtual m : ()Z
/*      */     //   237: ifne -> 250
/*      */     //   240: aload_0
/*      */     //   241: getfield PREVIEW_PANEL : Ljpdf/gui/preview2/n;
/*      */     //   244: invokevirtual l : ()Z
/*      */     //   247: ifeq -> 268
/*      */     //   250: aload_0
/*      */     //   251: aconst_null
/*      */     //   252: aload_3
/*      */     //   253: aload_0
/*      */     //   254: invokevirtual getZoomFactor : ()F
/*      */     //   257: aload_0
/*      */     //   258: invokevirtual isFitWidthZoomSelected : ()Z
/*      */     //   261: aload_0
/*      */     //   262: invokevirtual isFitPageZoomSelected : ()Z
/*      */     //   265: invokespecial a : (Ljava/lang/Object;Ljpdf/gui/preview2/PreviewPrintableControlPanel$a;FZZ)V
/*      */     //   268: return
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #1892	-> 0
/*      */     //   #1893	-> 10
/*      */     //   #1894	-> 16
/*      */     //   #1903	-> 34
/*      */     //   #1907	-> 46
/*      */     //   #1909	-> 129
/*      */     //   #1913	-> 136
/*      */     //   #1916	-> 209
/*      */     //   #1920	-> 230
/*      */     //   #1922	-> 250
/*      */     //   #1925	-> 268
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPreviewState(PreviewState paramPreviewState) {
/* 1933 */     if (paramPreviewState.pageLayout != getPageLayout())
/*      */     {
/* 1935 */       setPageLayout(this, paramPreviewState.pageLayout);
/*      */     }
/*      */ 
/*      */     
/* 1939 */     if (paramPreviewState.fitWidthZoomSelected) {
/*      */       
/* 1941 */       setZoomFactorFitWidth(this);
/*      */     }
/* 1943 */     else if (paramPreviewState.fitPageZoomSelected) {
/*      */       
/* 1945 */       setZoomFactorFitPage(this);
/*      */     }
/*      */     else {
/*      */       
/* 1949 */       setZoomFactor(this, paramPreviewState.zoomFactor);
/*      */     } 
/*      */ 
/*      */     
/* 1953 */     a(this, paramPreviewState.autoHideEnabled);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPrintable(Printable paramPrintable) {
/*      */     NothingPrintable nothingPrintable;
/*      */     String str;
/* 1965 */     if (paramPrintable == null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1971 */       nothingPrintable = new NothingPrintable();
/*      */ 
/*      */     
/*      */     }
/* 1975 */     else if (!(nothingPrintable instanceof FullyNavigableAttributeSetPrintable)) {
/*      */       
/* 1977 */       str = "This dialog can only be used with a FullyNavigableAttributeSetPrintable.\n Invalid Printable: " + nothingPrintable;
/*      */       
/* 1979 */       throw new IllegalArgumentException(str);
/*      */     } 
/*      */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable;
/* 1982 */     PrintRequestAttributeSet printRequestAttributeSet = (fullyNavigableAttributeSetPrintable = (FullyNavigableAttributeSetPrintable)str).getAttributeSet();
/*      */ 
/*      */ 
/*      */     
/* 1986 */     if (!(str instanceof NothingPrintable)) {
/*      */       
/* 1988 */       printRequestAttributeSet = preparePrintableAttributeSet(printRequestAttributeSet);
/* 1989 */       fullyNavigableAttributeSetPrintable.setAttributeSet(printRequestAttributeSet);
/*      */     } 
/*      */ 
/*      */     
/* 1993 */     getPrintInfoHolder().setAttributeSet(printRequestAttributeSet);
/*      */ 
/*      */     
/* 1996 */     this.PREVIEW_PANEL.a(fullyNavigableAttributeSetPrintable, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2001 */     handleAttributeSetUpdate((Object)null, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToGoToLastPageBottom(boolean paramBoolean) {
/* 2011 */     a = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToolBarBottomComponent(JComponent paramJComponent, boolean paramBoolean) {
/* 2024 */     d().a(paramJComponent, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToolBarTopComponent(JComponent paramJComponent, boolean paramBoolean) {
/* 2037 */     d().b(paramJComponent, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setZoomFactor(Object paramObject, float paramFloat) {
/* 2046 */     a a = new a(this, (byte)0);
/*      */     
/* 2048 */     this.PREVIEW_SCROLL_PANE.setHorizontalScrollBarPolicy(30);
/* 2049 */     this.PREVIEW_SCROLL_PANE.setVerticalScrollBarPolicy(20);
/*      */ 
/*      */     
/* 2052 */     this.PREVIEW_PANEL.a(paramFloat);
/* 2053 */     a(paramObject, a, paramFloat, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float setZoomFactorFitPage(Object paramObject) {
/* 2063 */     a a = new a(this, (byte)0);
/* 2064 */     this.PREVIEW_SCROLL_PANE.setHorizontalScrollBarPolicy(31);
/*      */ 
/*      */     
/* 2067 */     this.PREVIEW_SCROLL_PANE.setVerticalScrollBarPolicy(22);
/*      */ 
/*      */     
/* 2070 */     float f = this.PREVIEW_PANEL.c(a());
/* 2071 */     a(paramObject, a, f, false, true);
/*      */     
/* 2073 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float setZoomFactorFitWidth(Object paramObject) {
/* 2083 */     a a = new a(this, (byte)0);
/* 2084 */     this.PREVIEW_SCROLL_PANE.setHorizontalScrollBarPolicy(31);
/*      */ 
/*      */     
/* 2087 */     this.PREVIEW_SCROLL_PANE.setVerticalScrollBarPolicy(22);
/*      */ 
/*      */     
/* 2090 */     float f = this.PREVIEW_PANEL.d(a());
/* 2091 */     a(paramObject, a, f, true, false);
/*      */     
/* 2093 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void storePreviewState(PreviewState paramPreviewState) {
/* 2101 */     paramPreviewState.pageLayout = getPageLayout();
/* 2102 */     paramPreviewState.fitWidthZoomSelected = isFitWidthZoomSelected();
/* 2103 */     paramPreviewState.fitPageZoomSelected = isFitPageZoomSelected();
/* 2104 */     paramPreviewState.zoomFactor = getZoomFactor(); PreviewPrintableControlPanel previewPrintableControlPanel;
/* 2105 */     paramPreviewState.autoHideEnabled = ((previewPrintableControlPanel = this).AUTOHIDE_ADMINISTRATOR == null) ? false : previewPrintableControlPanel.AUTOHIDE_ADMINISTRATOR.b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void updateDisplay() {
/* 2116 */     handleAttributeSetUpdate((Object)null, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected SearchControlPanel createSearchControlPanel() {
/*      */     SearchControlPanel searchControlPanel;
/* 2134 */     return searchControlPanel = new SearchControlPanel(this);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PrintRequestAttributeSet preparePrintableAttributeSet(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 2147 */     MediaSizeName mediaSizeName = PrintUtility.DEFAULT_MEDIA_SIZE_NAME;
/*      */ 
/*      */ 
/*      */     
/* 2151 */     if (paramPrintRequestAttributeSet == null)
/*      */     {
/* 2153 */       return AttributeSetFactory.buildNew(false, mediaSizeName, 0.5F);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2159 */     if (!PrintUtility.isMediaSizeSpecified(paramPrintRequestAttributeSet)) {
/*      */       
/* 2161 */       paramPrintRequestAttributeSet.add((Attribute)new RequestMediaSizeName(mediaSizeName));
/* 2162 */       PrintUtility.updateAttributeSet(false, 0.5F, paramPrintRequestAttributeSet, false);
/*      */     } 
/*      */ 
/*      */     
/* 2166 */     return paramPrintRequestAttributeSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(Object paramObject, boolean paramBoolean) {
/* 2184 */     if (this.AUTOHIDE_ADMINISTRATOR == null) {
/*      */       return;
/*      */     }
/* 2187 */     if (this.AUTOHIDE_ADMINISTRATOR.a(paramBoolean))
/*      */     {
/*      */ 
/*      */       
/* 2191 */       if (paramObject != this.AUTOHIDE_TOOLBAR)
/*      */       {
/* 2193 */         this.AUTOHIDE_TOOLBAR.a(paramBoolean);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Rectangle a() {
/* 2222 */     return this.PREVIEW_SCROLL_PANE.getViewport().getViewRect();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Point b() {
/* 2231 */     return this.PREVIEW_SCROLL_PANE.getViewport().getViewPosition();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(Throwable paramThrowable) {
/* 2240 */     setPrintable((Printable)new e(paramThrowable, paramThrowable.getMessage()));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     f f;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2253 */     SwingUtilities.invokeLater(f = new f(this, paramThrowable));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(int paramInt, boolean paramBoolean) {
/* 2273 */     a a = new a(this, (byte)0);
/* 2274 */     int i = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2283 */     Dimension dimension2 = this.PREVIEW_PANEL.getPreferredSize();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2289 */     boolean bool1 = this.PREVIEW_PANEL.l();
/* 2290 */     boolean bool2 = this.PREVIEW_PANEL.m();
/* 2291 */     if (bool1 || bool2) {
/*      */       
/* 2293 */       this.PREVIEW_PANEL.a(1.0F);
/* 2294 */       i = this.PREVIEW_PANEL.o();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2299 */     Dimension dimension1 = this.PREVIEW_PANEL.a(i, 1);
/* 2300 */     this.PREVIEW_PANEL.setPreferredSize(dimension1);
/*      */ 
/*      */     
/* 2303 */     setPreferredSize((Dimension)null);
/*      */     Dimension dimension3;
/* 2305 */     (dimension3 = getPreferredSize()).width = dimension1.width;
/* 2306 */     if (dimension1.height <= dimension2.height)
/*      */     {
/* 2308 */       dimension3.width += 25;
/*      */     }
/* 2310 */     dimension3.height = dimension3.height;
/* 2311 */     setPreferredSize(dimension3);
/*      */ 
/*      */     
/* 2314 */     this.PREVIEW_PANEL.setPreferredSize(dimension2);
/*      */ 
/*      */     
/* 2317 */     if (bool1 || bool2) {
/*      */       
/* 2319 */       if (bool1) {
/*      */         
/* 2321 */         this.PREVIEW_PANEL.c(a());
/*      */       }
/*      */       else {
/*      */         
/* 2325 */         this.PREVIEW_PANEL.d(a());
/*      */       } 
/* 2327 */       if (paramBoolean)
/*      */       {
/* 2329 */         a((Object)null, a, getZoomFactor(), bool2, bool1);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void c() {
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel;
/* 2346 */     if (!(previewPrintableControlPanel = this).popupMenuListenerAdded) {
/*      */       
/* 2348 */       jpdf_common.gui.component.h.b.a(this.PREVIEW_PANEL, this.POPUP_MENU);
/* 2349 */       (previewPrintableControlPanel = this).popupMenuListenerAdded = true;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int a(Rectangle paramRectangle, int paramInt1, int paramInt2, int paramInt3) {
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel;
/* 2434 */     n n1 = (previewPrintableControlPanel = this).PREVIEW_PANEL;
/* 2435 */     paramInt3 = paramInt1 + paramInt3 - 1;
/* 2436 */     int i = paramRectangle.x + paramRectangle.width - 1;
/* 2437 */     int j = 0;
/* 2438 */     int k = paramRectangle.x;
/* 2439 */     int m = n1.h();
/* 2440 */     j = 0;
/* 2441 */     int i1 = 0;
/*      */ 
/*      */     
/* 2444 */     if (m <= paramRectangle.width) {
/*      */       
/* 2446 */       j = n1.b(paramInt1, paramInt2);
/*      */       
/* 2448 */       i1 = (j = (n1.b(j)).x) + m - 1;
/*      */ 
/*      */ 
/*      */       
/* 2452 */       if (j < paramRectangle.x || i1 > i)
/*      */       {
/* 2454 */         k = j;
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/* 2462 */     else if (paramInt1 < paramRectangle.x || paramInt3 > i) {
/*      */       
/* 2464 */       k = paramInt1;
/*      */     } 
/*      */ 
/*      */     
/* 2468 */     return k;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private m d() {
/* 2476 */     return (m)this.TOOLBAR_CONTAINER_PANEL.getParent();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void b(Object paramObject, boolean paramBoolean) {
/* 2487 */     AttributeSetChangeObserver attributeSetChangeObserver = null;
/* 2488 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintAttributeSet();
/* 2489 */     int i = this.ATTRIBUTE_SET_CHANGE_OBSERVER_LIST.size();
/*      */ 
/*      */ 
/*      */     
/* 2493 */     for (byte b1 = 0; b1 < i; b1++) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2499 */       if ((attributeSetChangeObserver = this.ATTRIBUTE_SET_CHANGE_OBSERVER_LIST.get(b1)) != paramObject)
/*      */       {
/*      */         
/* 2502 */         attributeSetChangeObserver.handleAttributeSetChange(printRequestAttributeSet, paramBoolean);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Object paramObject, int paramInt) {
/* 2549 */     a(paramObject, paramInt, getPageCount());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Object paramObject, int paramInt1, int paramInt2) {
/* 2560 */     PageNavigationObserver pageNavigationObserver = null;
/* 2561 */     int i = this.PAGE_NAVIGATION_OBSERVER_LIST.size();
/*      */ 
/*      */ 
/*      */     
/* 2565 */     for (byte b1 = 0; b1 < i; b1++) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2571 */       if ((pageNavigationObserver = this.PAGE_NAVIGATION_OBSERVER_LIST.get(b1)) != paramObject)
/*      */       {
/*      */         
/* 2574 */         pageNavigationObserver.handlePageNavigation(paramInt1, paramInt2);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Object paramObject, a parama, float paramFloat, boolean paramBoolean1, boolean paramBoolean2) {
/* 2631 */     ZoomFactorChangeObserver zoomFactorChangeObserver = null;
/* 2632 */     int i = this.ZOOM_FACTOR_CHANGE_OBSERVER_LIST.size();
/*      */ 
/*      */ 
/*      */     
/* 2636 */     for (byte b1 = 0; b1 < i; b1++) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2642 */       if ((zoomFactorChangeObserver = this.ZOOM_FACTOR_CHANGE_OBSERVER_LIST.get(b1)) != paramObject)
/*      */       {
/*      */         
/* 2645 */         zoomFactorChangeObserver.handleZoomFactorChange(paramFloat, paramBoolean1, paramBoolean2);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2651 */     if (paramFloat != a.a(parama))
/*      */     {
/* 2653 */       a(a.a(parama, this));
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Object paramObject) {
/* 2694 */     if (paramObject instanceof AttributeSetChangeObserver)
/*      */     {
/* 2696 */       addAttributeSetChangeObserver((AttributeSetChangeObserver)paramObject);
/*      */     }
/* 2698 */     if (paramObject instanceof ZoomFactorChangeObserver)
/*      */     {
/* 2700 */       addZoomFactorChangeObserver((ZoomFactorChangeObserver)paramObject);
/*      */     }
/* 2702 */     if (paramObject instanceof PageNavigationObserver)
/*      */     {
/* 2704 */       addPageNavigationObserver((PageNavigationObserver)paramObject);
/*      */     }
/* 2706 */     if (paramObject instanceof PageLayoutObserver)
/*      */     {
/* 2708 */       addPageLayoutObserver((PageLayoutObserver)paramObject);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(AbstractPreviewToolbarPanel paramAbstractPreviewToolbarPanel) {
/*      */     ArrayList<?> arrayList;
/* 2718 */     for (JMenuItem jMenuItem : arrayList = paramAbstractPreviewToolbarPanel.getToolBarMenuItems())
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2724 */       this.POPUP_MENU.remove(jMenuItem);
/*      */     }
/*      */     
/*      */     Component[] arrayOfComponent;
/*      */     int i;
/* 2729 */     for (i = (arrayOfComponent = this.POPUP_MENU.getComponents()).length - 1; i > 0; i--) {
/*      */       
/* 2731 */       if (arrayOfComponent[i] instanceof JPopupMenu.Separator)
/*      */       {
/* 2733 */         if (arrayOfComponent[i - 1] instanceof JPopupMenu.Separator)
/*      */         {
/* 2735 */           this.POPUP_MENU.remove(i);
/*      */         }
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2742 */     if ((i = this.POPUP_MENU.getComponentCount() - 1) >= 0)
/*      */     {
/* 2744 */       if (arrayOfComponent[i] instanceof JPopupMenu.Separator)
/*      */       {
/* 2746 */         this.POPUP_MENU.remove(i);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Point a(Point paramPoint) {
/* 2776 */     Rectangle rectangle = a();
/* 2777 */     int i = this.PREVIEW_PANEL.getWidth();
/* 2778 */     int j = this.PREVIEW_PANEL.getHeight();
/*      */ 
/*      */ 
/*      */     
/* 2782 */     if (paramPoint.x < 0) {
/*      */       
/* 2784 */       paramPoint.x = 0;
/*      */     }
/* 2786 */     else if (paramPoint.x + rectangle.width > i) {
/*      */       
/* 2788 */       paramPoint.x -= paramPoint.x + rectangle.width - i;
/* 2789 */       if (paramPoint.x < 0) paramPoint.x = 0; 
/*      */     } 
/* 2791 */     if (paramPoint.y < 0) {
/*      */       
/* 2793 */       paramPoint.y = 0;
/*      */     }
/* 2795 */     else if (paramPoint.y + rectangle.height > j) {
/*      */       
/* 2797 */       paramPoint.y -= paramPoint.y + rectangle.height - j;
/* 2798 */       if (paramPoint.y < 0) paramPoint.y = 0;
/*      */     
/*      */     } 
/*      */     
/* 2802 */     this.PREVIEW_SCROLL_PANE.getViewport().setViewPosition(paramPoint);
/*      */     
/* 2804 */     return paramPoint;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\PreviewPrintableControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */