/*      */ package jpdf.gui.preview2;
/*      */ 
/*      */ import java.awt.ComponentOrientation;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Point;
/*      */ import java.awt.Window;
/*      */ import java.awt.event.WindowAdapter;
/*      */ import java.awt.event.WindowEvent;
/*      */ import java.awt.print.Printable;
/*      */ import java.io.File;
/*      */ import java.util.Locale;
/*      */ import javax.print.DocFlavor;
/*      */ import javax.print.PrintService;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JDialog;
/*      */ import javax.swing.JFrame;
/*      */ import jpdf.ability.AttributeSetUpdateObserver;
/*      */ import jpdf.gui.PrintInfoHolder;
/*      */ import jpdf.gui.dialog.AbstractPrintDialog;
/*      */ import jpdf.gui.dialog.ContentDialogAdministrator;
/*      */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*      */ import jpdf.gui.dialog.factory.SetupPrintDialogFactory;
/*      */ import jpdf.gui.preview2.toolbar.DialogControlToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.DialogFactoryToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageLayoutToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageNavigationToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageOrientationToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageSetupToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.ScaleFactorToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.SearchToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.SizeToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.WindowControlToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.ZoomFactorToolbarPanel;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*      */ import jpdf_common.gui.b.b;
/*      */ import jpdf_common.gui.utility.WindowUtility;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PreviewPrintableDialog
/*      */   extends b
/*      */   implements PreviewPrintableWindow
/*      */ {
/*      */   static class a
/*      */     extends WindowAdapter
/*      */   {
/*      */     private a() {}
/*      */     
/*      */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*      */       PreviewPrintableDialog previewPrintableDialog;
/*  164 */       PreviewWindowHelper.b(previewPrintableDialog = (PreviewPrintableDialog)param1WindowEvent.getSource());
/*      */ 
/*      */       
/*  167 */       PreviewPrintableDialog.a(previewPrintableDialog).initializeDisplay();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void windowClosed(WindowEvent param1WindowEvent) {
/*  176 */       PreviewPrintableDialog previewPrintableDialog = (PreviewPrintableDialog)param1WindowEvent.getSource();
/*      */       
/*  178 */       if (PreviewPrintableDialog.isToUsePreviousSizeLocation()) {
/*      */         
/*  180 */         PreviewPrintableDialog.b(previewPrintableDialog);
/*  181 */         PreviewPrintableDialog.c(previewPrintableDialog);
/*      */       } 
/*      */ 
/*      */       
/*  185 */       PreviewWindowHelper.b();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  193 */   private static Dimension a = null;
/*  194 */   private static Point b = null;
/*      */   
/*      */   private static boolean c = false;
/*      */   
/*      */   private static boolean d = true;
/*      */   private static boolean e = true;
/*      */   private static boolean f = false;
/*      */   private static boolean g = true;
/*  202 */   private static final PreviewPrintableControlPanel.PreviewState h = new PreviewPrintableControlPanel.PreviewState(1.0F);
/*      */ 
/*      */   
/*      */   private final PreviewPrintableControlPanel PREVIEW_CONTROL_PANEL;
/*      */   
/*      */   private final PreviewWindowHelper HELPER;
/*      */   
/*      */   private final PrintInfoHolder INFO_HOLDER;
/*      */   
/*      */   private final Locale DIALOG_LOCALE;
/*      */   
/*  213 */   private AbstractSetupPrintDialogFactory dialogFactory = (AbstractSetupPrintDialogFactory)new SetupPrintDialogFactory();
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean savingPrintDefaults = true;
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean toPrintDisplayedMaterial = true;
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean closedDueToPrintRequest = false;
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableDialog(JFrame paramJFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/*  230 */     this(paramJFrame, paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), true, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableDialog(JFrame paramJFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, boolean paramBoolean1, boolean paramBoolean2) {
/*  243 */     this(paramJFrame, paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableDialog(JFrame paramJFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, PrintService paramPrintService, boolean paramBoolean1, boolean paramBoolean2) {
/*  259 */     this(paramJFrame, paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableDialog(JFrame paramJFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, String paramString, Locale paramLocale, PrintService paramPrintService, boolean paramBoolean1, boolean paramBoolean2) {
/*  279 */     super((paramJFrame != null) ? paramJFrame : getActiveFrame(), paramString, null, true, 2);
/*      */ 
/*      */ 
/*      */     
/*  283 */     if (paramFullyNavigableAttributeSetPrintable == null) paramFullyNavigableAttributeSetPrintable = new NothingPrintable();
/*      */     
/*  285 */     this.DIALOG_LOCALE = paramLocale;
/*  286 */     this.INFO_HOLDER = PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable.getAttributeSet(), paramPrintService, DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*      */ 
/*      */     
/*  289 */     this.PREVIEW_CONTROL_PANEL = new PreviewPrintableControlPanel("Preview2", paramFullyNavigableAttributeSetPrintable, this.INFO_HOLDER, PreviewWindowHelper.getAttributeSetUpdateObserver(), isToAllowToolBarAutohide());
/*      */ 
/*      */     
/*  292 */     this.HELPER = new PreviewWindowHelper(this);
/*      */ 
/*      */     
/*  295 */     PreviewPrintableDialog previewPrintableDialog = this; Dimension dimension = getDefaultDisplaySize(); Point point = getDefaultDisplayLocation(); if (dimension == null && point == null) { WindowUtility.setMaximizedSizeAndLocation((JDialog)previewPrintableDialog); } else { PreviewWindowHelper.a((Window)previewPrintableDialog, dimension, point); }  previewPrintableDialog.setResizable(true); previewPrintableDialog.setDefaultCloseOperation(2); previewPrintableDialog.add(previewPrintableDialog.PREVIEW_CONTROL_PANEL, "Center"); previewPrintableDialog.addWindowListener(new a((byte)0));
/*      */ 
/*      */ 
/*      */     
/*  299 */     addToolBars(paramBoolean1, paramBoolean2);
/*      */ 
/*      */ 
/*      */     
/*  303 */     this.PREVIEW_CONTROL_PANEL.setPreviewState(h);
/*      */     
/*      */     ComponentOrientation componentOrientation;
/*      */     
/*  307 */     if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight())
/*      */     {
/*  309 */       applyComponentOrientation(componentOrientation);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayPageSetupDialog() {
/*  325 */     setWaitCursor();
/*      */     
/*      */     PreviewPrintableDialog previewPrintableDialog;
/*      */     
/*  329 */     AbstractPrintDialog abstractPrintDialog2 = (previewPrintableDialog = this).getDialogFactory().buildPageSetupDialog((JDialog)previewPrintableDialog, previewPrintableDialog.DIALOG_LOCALE, previewPrintableDialog.INFO_HOLDER.getAttributeSet(), previewPrintableDialog.INFO_HOLDER.getSelectedPrintService(), previewPrintableDialog.INFO_HOLDER.getDocFlavor(), (Printable)previewPrintableDialog.getPreviewControlPanel().getPreviewPrintable()); PreviewPrintableControlPanel previewPrintableControlPanel; FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (previewPrintableControlPanel = previewPrintableDialog.getPreviewControlPanel()).getPreviewPrintable(); k k = new k(previewPrintableDialog, abstractPrintDialog2); String str = ResourceAdministrator.getLocalizedString("apply"); abstractPrintDialog2.addApplyButton(str, k); previewPrintableDialog.HELPER.a(abstractPrintDialog2); if (fullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable) abstractPrintDialog2.setScaleControlsVisible(false);  AbstractPrintDialog abstractPrintDialog1 = abstractPrintDialog2;
/*  330 */     setDefaultCursor();
/*  331 */     abstractPrintDialog1.show();
/*      */ 
/*      */ 
/*      */     
/*  335 */     if (abstractPrintDialog1.isActionButtonPressed()) a(abstractPrintDialog1);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static AttributeSetUpdateObserver getAttributeSetUpdateObserver() {
/*  347 */     return PreviewWindowHelper.getAttributeSetUpdateObserver();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Point getDefaultDisplayLocation() {
/*  358 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Dimension getDefaultDisplaySize() {
/*  370 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractSetupPrintDialogFactory getDialogFactory() {
/*  378 */     return this.dialogFactory;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableControlPanel getPreviewControlPanel() {
/*  386 */     return this.PREVIEW_CONTROL_PANEL;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public FullyNavigableAttributeSetPrintable getPrintable() {
/*  394 */     return this.PREVIEW_CONTROL_PANEL.getPreviewPrintable();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintInfoHolder getPrintInfoHolder() {
/*  402 */     return this.INFO_HOLDER;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isClosedDueToPrintRequest() {
/*  414 */     return this.closedDueToPrintRequest;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isPageNavigationAudible() {
/*  424 */     return PreviewWindowHelper.isPageNavigationAudible();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isSavingPrintDefaults() {
/*  434 */     return this.savingPrintDefaults;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToAllowToolBarAutohide() {
/*  445 */     return g;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToCloseAfterPrint() {
/*  454 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayHelpButton() {
/*  463 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isToPrintDisplayedMaterial() {
/*  473 */     return this.toPrintDisplayedMaterial;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToUsePreviousSizeLocation() {
/*  482 */     return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToUsePreviousState() {
/*  493 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void maximize() {
/*  503 */     WindowUtility.setMaximizedSizeAndLocation((JDialog)this);
/*      */ 
/*      */     
/*  506 */     validate();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void performPrintAction() {
/*  528 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*      */     
/*  530 */     Locale locale = Locale.getDefault();
/*  531 */     boolean bool1 = true;
/*  532 */     boolean bool2 = isSavingPrintDefaults();
/*  533 */     setWaitCursor();
/*      */ 
/*      */ 
/*      */     
/*      */     AbstractPrintDialog abstractPrintDialog;
/*      */ 
/*      */ 
/*      */     
/*      */     boolean bool;
/*      */ 
/*      */ 
/*      */     
/*  545 */     if (bool = ((abstractPrintDialog = getDialogFactory().buildPrintDialog((JDialog)this, locale, this.INFO_HOLDER.getAttributeSet(), printService, this.INFO_HOLDER.getDocFlavor())) != null) ? true : false) {
/*      */ 
/*      */       
/*  548 */       abstractPrintDialog.setToUpdateDefaultPrintService(bool2);
/*      */ 
/*      */ 
/*      */       
/*  552 */       abstractPrintDialog.addPreviewNavigationActions();
/*  553 */       this.HELPER.a(abstractPrintDialog);
/*      */       
/*  555 */       abstractPrintDialog.show();
/*  556 */       bool1 = abstractPrintDialog.isActionButtonPressed();
/*      */     } 
/*      */ 
/*      */     
/*  560 */     if (bool1) {
/*      */ 
/*      */       
/*  563 */       if (bool) {
/*      */         
/*  565 */         printService = abstractPrintDialog.getSelectedPrintService();
/*  566 */         this.HELPER.a(printService, isToCloseAfterPrint());
/*      */       } 
/*      */ 
/*      */       
/*  570 */       if (isToCloseAfterPrint()) {
/*      */         
/*  572 */         boolean bool3 = true; PreviewPrintableDialog previewPrintableDialog; (previewPrintableDialog = this).closedDueToPrintRequest = true;
/*  573 */         dispose();
/*      */       } 
/*      */ 
/*      */       
/*  577 */       if (isToPrintDisplayedMaterial()) {
/*      */ 
/*      */         
/*  580 */         this.INFO_HOLDER.setSelectedPrintService(printService);
/*      */ 
/*      */         
/*  583 */         printDisplayedMaterial(bool2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  590 */       else if (!bool) {
/*      */         
/*  592 */         if (bool2) PrintManager.setDefaultPrintService(printService);
/*      */       
/*      */       } 
/*      */     } 
/*      */     
/*  597 */     setDefaultCursor();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setAttributeSetUpdateObserver(AttributeSetUpdateObserver paramAttributeSetUpdateObserver) {
/*  608 */     PreviewWindowHelper.setAttributeSetUpdateObserver(paramAttributeSetUpdateObserver);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultDisplayLocation(Point paramPoint) {
/*  619 */     b = paramPoint;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultDisplayLocation(int paramInt1, int paramInt2) {
/*  629 */     b = new Point(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultDisplaySize(Dimension paramDimension) {
/*  640 */     a = paramDimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultDisplaySize(int paramInt1, int paramInt2) {
/*  650 */     a = new Dimension(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDialogFactory(AbstractSetupPrintDialogFactory paramAbstractSetupPrintDialogFactory) {
/*  664 */     this.dialogFactory = paramAbstractSetupPrintDialogFactory;
/*      */ 
/*      */ 
/*      */     
/*  668 */     Locale locale = this.DIALOG_LOCALE; PreviewPrintableDialog previewPrintableDialog; PrintService printService = (previewPrintableDialog = this).INFO_HOLDER.getSelectedPrintService(); boolean bool = previewPrintableDialog.getDialogFactory().isPrintDialogBuilt(); setPrintButtonToolTipText(PreviewWindowHelper.a(locale, printService, bool));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialPageLayout(PageLayout paramPageLayout) {
/*  676 */     h.pageLayout = paramPageLayout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFactor(float paramFloat) {
/*  684 */     h.zoomFactor = paramFloat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFitPage() {
/*  692 */     h.fitWidthZoomSelected = false;
/*  693 */     h.fitPageZoomSelected = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFitWidth() {
/*  701 */     h.fitWidthZoomSelected = true;
/*  702 */     h.fitPageZoomSelected = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setPageNavigationAudible(boolean paramBoolean) {
/*  711 */     PreviewWindowHelper.setPageNavigationAudible(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPrintButtonToolTipText(String paramString) {
/*  721 */     this.HELPER.a(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSavingPrintDefaults(boolean paramBoolean) {
/*  731 */     this.savingPrintDefaults = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToAllowToolBarAutohide(boolean paramBoolean) {
/*  742 */     g = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToCloseAfterPrint(boolean paramBoolean) {
/*  751 */     e = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayHelpButton(boolean paramBoolean) {
/*  760 */     f = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToUsePreviousSizeLocation(boolean paramBoolean) {
/*  770 */     c = paramBoolean;
/*  771 */     if (!paramBoolean) {
/*      */       
/*  773 */       Dimension dimension = null;
/*  774 */       b = (Point)(dimension = null);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToUsePreviousState(boolean paramBoolean) {
/*  785 */     d = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToPrintDisplayedMaterial(boolean paramBoolean) {
/*  807 */     this.toPrintDisplayedMaterial = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void show() {
/*  816 */     PreviewWindowHelper.a a = null;
/*      */ 
/*      */     
/*  819 */     if (isToDisplayHelpButton()) {
/*      */       
/*  821 */       a = new PreviewWindowHelper.a(this, getTitle(), this.DIALOG_LOCALE);
/*  822 */       getPreviewControlPanel().addToolBarComponent((JComponent)a, false);
/*      */     } 
/*      */ 
/*      */     
/*  826 */     super.show();
/*      */ 
/*      */ 
/*      */     
/*  830 */     if (isToUsePreviousState())
/*      */     {
/*  832 */       this.PREVIEW_CONTROL_PANEL.storePreviewState(h);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void sizeToFit() {
/*  845 */     this.HELPER.a();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean writePageImageFile(File paramFile, int paramInt, boolean paramBoolean1, boolean paramBoolean2) {
/*  857 */     return this.HELPER.a(paramFile, paramInt, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int addToolBars(boolean paramBoolean1, boolean paramBoolean2) {
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel;
/*  896 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (previewPrintableControlPanel = getPreviewControlPanel()).getPreviewPrintable();
/*  897 */     byte b1 = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  902 */     boolean bool = !(fullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable) ? true : false;
/*      */     
/*      */     PageNavigationToolbarPanel pageNavigationToolbarPanel;
/*      */     
/*  906 */     if ((pageNavigationToolbarPanel = createPageNavigationToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  908 */       previewPrintableControlPanel.addToolBarComponent((JComponent)pageNavigationToolbarPanel, false);
/*  909 */       b1++;
/*      */     } 
/*      */     
/*      */     PageLayoutToolbarPanel pageLayoutToolbarPanel;
/*      */     
/*  914 */     if ((pageLayoutToolbarPanel = createPageLayoutToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  916 */       previewPrintableControlPanel.addToolBarComponent((JComponent)pageLayoutToolbarPanel, true);
/*  917 */       b1++;
/*      */     } 
/*      */ 
/*      */     
/*  921 */     if (bool) {
/*      */       ZoomFactorToolbarPanel zoomFactorToolbarPanel;
/*      */       
/*  924 */       if ((zoomFactorToolbarPanel = createZoomFactorToolBar(previewPrintableControlPanel)) != null) {
/*      */         
/*  926 */         previewPrintableControlPanel.addToolBarComponent((JComponent)zoomFactorToolbarPanel, true);
/*  927 */         b1++;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  932 */     if (paramBoolean1) {
/*      */       PageSetupToolbarPanel pageSetupToolbarPanel;
/*      */       
/*  935 */       if ((pageSetupToolbarPanel = createPageSetupToolBar(previewPrintableControlPanel)) != null) {
/*      */         
/*  937 */         previewPrintableControlPanel.addToolBarComponent((JComponent)pageSetupToolbarPanel, false);
/*  938 */         b1++;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  943 */     if (paramBoolean1 && !(fullyNavigableAttributeSetPrintable instanceof jpdf.report.ReportPrinter)) {
/*      */       ScaleFactorToolbarPanel scaleFactorToolbarPanel;
/*  945 */       if (ContentDialogAdministrator.isToIncludeSizingControls((Printable)fullyNavigableAttributeSetPrintable)) {
/*      */         
/*  947 */         SizeToolbarPanel sizeToolbarPanel = createSizeToolBar(previewPrintableControlPanel);
/*      */ 
/*      */       
/*      */       }
/*  951 */       else if (bool && !(fullyNavigableAttributeSetPrintable instanceof jpdf.printer.TextPrinter)) {
/*      */         
/*  953 */         scaleFactorToolbarPanel = createScaleFactorToolBar(previewPrintableControlPanel);
/*      */       } 
/*      */       
/*  956 */       if (scaleFactorToolbarPanel != null) {
/*      */         
/*  958 */         previewPrintableControlPanel.addToolBarComponent((JComponent)scaleFactorToolbarPanel, false);
/*  959 */         b1++;
/*      */       } 
/*      */     } 
/*      */     
/*      */     SearchToolbarPanel searchToolbarPanel;
/*      */     
/*  965 */     if ((searchToolbarPanel = createSearchToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  967 */       previewPrintableControlPanel.addToolBarComponent((JComponent)searchToolbarPanel, true);
/*  968 */       b1++;
/*      */     } 
/*      */ 
/*      */     
/*  972 */     if (paramBoolean1 || paramBoolean2) {
/*      */       DialogFactoryToolbarPanel dialogFactoryToolbarPanel;
/*      */       
/*  975 */       if ((dialogFactoryToolbarPanel = createDialogFactoryToolBar(paramBoolean1, paramBoolean2)) != null) {
/*      */         
/*  977 */         previewPrintableControlPanel.addToolBarComponent((JComponent)dialogFactoryToolbarPanel, true);
/*  978 */         b1++;
/*      */       } 
/*      */     } 
/*      */     
/*      */     WindowControlToolbarPanel windowControlToolbarPanel;
/*      */     
/*  984 */     if ((windowControlToolbarPanel = createWindowControlToolBar()) != null) {
/*      */       
/*  986 */       previewPrintableControlPanel.addToolBarComponent((JComponent)windowControlToolbarPanel, true);
/*  987 */       b1++;
/*      */     } 
/*      */     
/*  990 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected DialogControlToolbarPanel createDialogControlToolBar() {
/*  999 */     return new DialogControlToolbarPanel(this, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected DialogFactoryToolbarPanel createDialogFactoryToolBar(boolean paramBoolean1, boolean paramBoolean2) {
/* 1010 */     return new DialogFactoryToolbarPanel(this, this.DIALOG_LOCALE, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageLayoutToolbarPanel createPageLayoutToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1022 */     return new PageLayoutToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageNavigationToolbarPanel createPageNavigationToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1033 */     return new PageNavigationToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE, PreviewWindowHelper.isPageNavigationAudible());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageOrientationToolbarPanel createPageOrientationToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1049 */     return new PageOrientationToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageSetupToolbarPanel createPageSetupToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1065 */     return new PageSetupToolbarPanel(this.INFO_HOLDER, paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ScaleFactorToolbarPanel createScaleFactorToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1076 */     return new ScaleFactorToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected SearchToolbarPanel createSearchToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1091 */     return new SearchToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected SizeToolbarPanel createSizeToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1102 */     return new SizeToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected WindowControlToolbarPanel createWindowControlToolBar() {
/* 1113 */     return new WindowControlToolbarPanel(this, this.DIALOG_LOCALE, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ZoomFactorToolbarPanel createZoomFactorToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 1123 */     return new ZoomFactorToolbarPanel(paramPreviewPrintableControlPanel, this.DIALOG_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void printDisplayedMaterial(boolean paramBoolean) {
/*      */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable;
/* 1133 */     PrintManager.printPrintable((Printable)(fullyNavigableAttributeSetPrintable = getPreviewControlPanel().getPreviewPrintable()), this.INFO_HOLDER, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(AbstractPrintDialog paramAbstractPrintDialog) {
/* 1160 */     getPreviewControlPanel().handleAttributeSetUpdate(paramAbstractPrintDialog, false);
/*      */ 
/*      */     
/* 1163 */     this.HELPER.a(paramAbstractPrintDialog.getPrintService(), false);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\PreviewPrintableDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */