/*      */ package jpdf.gui.preview2;
/*      */ 
/*      */ import java.awt.ComponentOrientation;
/*      */ import java.awt.Cursor;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Point;
/*      */ import java.awt.Toolkit;
/*      */ import java.awt.Window;
/*      */ import java.awt.event.ActionEvent;
/*      */ import java.awt.event.ComponentEvent;
/*      */ import java.awt.event.WindowAdapter;
/*      */ import java.awt.event.WindowEvent;
/*      */ import java.awt.print.Printable;
/*      */ import java.io.File;
/*      */ import java.util.Locale;
/*      */ import javax.print.DocFlavor;
/*      */ import javax.print.PrintService;
/*      */ import javax.swing.AbstractAction;
/*      */ import javax.swing.ActionMap;
/*      */ import javax.swing.BorderFactory;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JFrame;
/*      */ import javax.swing.JRootPane;
/*      */ import javax.swing.KeyStroke;
/*      */ import jpdf.gui.PrintInfoHolder;
/*      */ import jpdf.gui.dialog.AbstractPrintDialog;
/*      */ import jpdf.gui.dialog.ContentDialogAdministrator;
/*      */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*      */ import jpdf.gui.dialog.factory.SetupPrintDialogFactory;
/*      */ import jpdf.gui.preview2.toolbar.AbstractPreviewToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.DialogFactoryToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.FrameControlToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageLayoutToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageNavigationToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageOrientationToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.PageSetupToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.ScaleFactorToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.SearchToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.SizeToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.ZoomFactorToolbarPanel;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*      */ import jpdf_common.gui.ability.WaitCursorable;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PreviewPrintableFrame
/*      */   extends JFrame
/*      */   implements PreviewPrintableWindow, WaitCursorable
/*      */ {
/*      */   static class b
/*      */     extends WindowAdapter
/*      */   {
/*      */     private b() {}
/*      */     
/*      */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*      */       PreviewPrintableFrame previewPrintableFrame;
/*   95 */       PreviewWindowHelper.b(previewPrintableFrame = (PreviewPrintableFrame)param1WindowEvent.getSource());
/*      */ 
/*      */       
/*   98 */       PreviewPrintableFrame.a(previewPrintableFrame).initializeDisplay();
/*      */ 
/*      */       
/*  101 */       if (PreviewPrintableFrame.isToDisplayMaximized()) {
/*      */         
/*  103 */         previewPrintableFrame.setExtendedState(6);
/*  104 */         previewPrintableFrame.repaint();
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void windowClosed(WindowEvent param1WindowEvent) {
/*  114 */       PreviewPrintableFrame previewPrintableFrame = (PreviewPrintableFrame)param1WindowEvent.getSource();
/*      */ 
/*      */       
/*  117 */       if (PreviewPrintableFrame.isToUsePreviousState())
/*      */       {
/*  119 */         PreviewPrintableFrame.a(previewPrintableFrame).storePreviewState(PreviewPrintableFrame.a());
/*      */       }
/*      */ 
/*      */       
/*  123 */       PreviewWindowHelper.b();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  131 */   private static Dimension a = null;
/*  132 */   private static Point b = null;
/*      */   
/*      */   private static boolean c = false;
/*      */   
/*      */   private static boolean d = true;
/*      */   private static boolean e = true;
/*      */   private static boolean f = false;
/*      */   private static boolean g = true;
/*      */   private static boolean h = true;
/*  141 */   private static final PreviewPrintableControlPanel.PreviewState i = new PreviewPrintableControlPanel.PreviewState(1.0F);
/*      */ 
/*      */   
/*      */   private final PreviewPrintableControlPanel PREVIEW_CONTROL_PANEL;
/*      */ 
/*      */   
/*      */   private final PreviewWindowHelper HELPER;
/*      */   
/*      */   private final PrintInfoHolder INFO_HOLDER;
/*      */   
/*      */   private final Locale PREVIEW_LOCALE;
/*      */   
/*  153 */   private AbstractSetupPrintDialogFactory dialogFactory = (AbstractSetupPrintDialogFactory)new SetupPrintDialogFactory();
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean savingPrintDefaults = true;
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean toPrintDisplayedMaterial = true;
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean closedDueToPrintRequest = false;
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableFrame(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/*  170 */     this(paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), true, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableFrame(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, boolean paramBoolean1, boolean paramBoolean2) {
/*  183 */     this(paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableFrame(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, PrintService paramPrintService, boolean paramBoolean1, boolean paramBoolean2) {
/*  199 */     this(paramFullyNavigableAttributeSetPrintable, PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable), Locale.getDefault(), PrintManager.getDefaultPrintService(), paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableFrame(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, String paramString, Locale paramLocale, PrintService paramPrintService, boolean paramBoolean1, boolean paramBoolean2) {
/*  219 */     super(paramString);
/*      */ 
/*      */     
/*  222 */     if (paramFullyNavigableAttributeSetPrintable == null) paramFullyNavigableAttributeSetPrintable = new NothingPrintable();
/*      */     
/*  224 */     this.PREVIEW_LOCALE = paramLocale;
/*  225 */     this.INFO_HOLDER = PreviewWindowHelper.a(paramFullyNavigableAttributeSetPrintable.getAttributeSet(), paramPrintService, DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*      */ 
/*      */     
/*  228 */     this.PREVIEW_CONTROL_PANEL = new PreviewPrintableControlPanel("Preview2", paramFullyNavigableAttributeSetPrintable, this.INFO_HOLDER, PreviewWindowHelper.getAttributeSetUpdateObserver(), isToAllowToolBarAutohide());
/*      */ 
/*      */     
/*  231 */     this.HELPER = new PreviewWindowHelper(this);
/*      */ 
/*      */     
/*  234 */     b();
/*      */ 
/*      */ 
/*      */     
/*  238 */     addToolBars(paramBoolean1, paramBoolean2);
/*      */ 
/*      */ 
/*      */     
/*  242 */     this.PREVIEW_CONTROL_PANEL.setPreviewState(i);
/*      */ 
/*      */ 
/*      */     
/*  246 */     if (isToDisplayMaximized()) setExtendedState(6);
/*      */ 
/*      */     
/*      */     ComponentOrientation componentOrientation;
/*  250 */     if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight())
/*      */     {
/*  252 */       applyComponentOrientation(componentOrientation);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void deiconify() {
/*  268 */     if (!isIconified())
/*  269 */       return;  if ((getExtendedState() & 0x6) != 0) {
/*      */       
/*  271 */       setExtendedState(6);
/*      */       
/*      */       return;
/*      */     } 
/*  275 */     setExtendedState(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayPageSetupDialog() {
/*  286 */     setWaitCursor();
/*      */     
/*      */     PreviewPrintableFrame previewPrintableFrame;
/*      */     
/*  290 */     AbstractPrintDialog abstractPrintDialog2 = (previewPrintableFrame = this).getDialogFactory().buildPageSetupDialog(previewPrintableFrame, previewPrintableFrame.PREVIEW_LOCALE, previewPrintableFrame.INFO_HOLDER.getAttributeSet(), previewPrintableFrame.INFO_HOLDER.getSelectedPrintService(), previewPrintableFrame.INFO_HOLDER.getDocFlavor(), (Printable)previewPrintableFrame.getPreviewControlPanel().getPreviewPrintable()); PreviewPrintableControlPanel previewPrintableControlPanel; FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (previewPrintableControlPanel = previewPrintableFrame.getPreviewControlPanel()).getPreviewPrintable(); l l = new l(previewPrintableFrame, abstractPrintDialog2); String str = ResourceAdministrator.getLocalizedString("apply"); abstractPrintDialog2.addApplyButton(str, l); previewPrintableFrame.HELPER.a(abstractPrintDialog2); if (fullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable) abstractPrintDialog2.setScaleControlsVisible(false);  AbstractPrintDialog abstractPrintDialog1 = abstractPrintDialog2;
/*  291 */     setDefaultCursor();
/*  292 */     abstractPrintDialog1.show();
/*      */ 
/*      */ 
/*      */     
/*  296 */     if (abstractPrintDialog1.isActionButtonPressed()) a(abstractPrintDialog1);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractSetupPrintDialogFactory getDialogFactory() {
/*  304 */     return this.dialogFactory;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreviewPrintableControlPanel getPreviewControlPanel() {
/*  312 */     return this.PREVIEW_CONTROL_PANEL;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public FullyNavigableAttributeSetPrintable getPrintable() {
/*  320 */     return this.PREVIEW_CONTROL_PANEL.getPreviewPrintable();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PrintInfoHolder getPrintInfoHolder() {
/*  329 */     return this.INFO_HOLDER;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isClosedDueToPrintRequest() {
/*  341 */     return this.closedDueToPrintRequest;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isIconified() {
/*  350 */     return ((getExtendedState() & 0x1) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isSavingPrintDefaults() {
/*  360 */     return this.savingPrintDefaults;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToAllowToolBarAutohide() {
/*  371 */     return g;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToCloseAfterPrint() {
/*  380 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayHelpButton() {
/*  389 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayMaximized() {
/*  397 */     return h;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isToPrintDisplayedMaterial() {
/*  407 */     return this.toPrintDisplayedMaterial;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToUsePreviousSizeLocation() {
/*  416 */     return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToUsePreviousState() {
/*  427 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void maximize() {
/*  435 */     setExtendedState(6);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void performPrintAction() {
/*  455 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*      */     
/*  457 */     Locale locale = Locale.getDefault();
/*  458 */     boolean bool1 = true;
/*  459 */     boolean bool2 = isSavingPrintDefaults();
/*  460 */     setWaitCursor();
/*      */ 
/*      */ 
/*      */     
/*      */     AbstractPrintDialog abstractPrintDialog;
/*      */ 
/*      */ 
/*      */     
/*      */     boolean bool;
/*      */ 
/*      */ 
/*      */     
/*  472 */     if (bool = ((abstractPrintDialog = getDialogFactory().buildPrintDialog(this, locale, this.INFO_HOLDER.getAttributeSet(), printService, this.INFO_HOLDER.getDocFlavor())) != null) ? true : false) {
/*      */ 
/*      */       
/*  475 */       abstractPrintDialog.setToUpdateDefaultPrintService(bool2);
/*      */ 
/*      */ 
/*      */       
/*  479 */       abstractPrintDialog.addPreviewNavigationActions();
/*  480 */       this.HELPER.a(abstractPrintDialog);
/*      */       
/*  482 */       abstractPrintDialog.show();
/*  483 */       bool1 = abstractPrintDialog.isActionButtonPressed();
/*      */     } 
/*      */ 
/*      */     
/*  487 */     if (bool1) {
/*      */ 
/*      */       
/*  490 */       if (bool) {
/*      */         
/*  492 */         printService = abstractPrintDialog.getSelectedPrintService();
/*  493 */         this.HELPER.a(printService, isToCloseAfterPrint());
/*      */       } 
/*      */ 
/*      */       
/*  497 */       if (isToCloseAfterPrint()) {
/*      */         
/*  499 */         boolean bool3 = true; PreviewPrintableFrame previewPrintableFrame; (previewPrintableFrame = this).closedDueToPrintRequest = true;
/*  500 */         dispose();
/*      */       } 
/*      */ 
/*      */       
/*  504 */       if (isToPrintDisplayedMaterial()) {
/*      */ 
/*      */         
/*  507 */         this.INFO_HOLDER.setSelectedPrintService(printService);
/*      */ 
/*      */         
/*  510 */         printDisplayedMaterial(bool2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  517 */       else if (!bool) {
/*      */         
/*  519 */         if (bool2) PrintManager.setDefaultPrintService(printService);
/*      */       
/*      */       } 
/*      */     } 
/*      */     
/*  524 */     setDefaultCursor();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultCursor() {
/*  533 */     setCursor(Cursor.getPredefinedCursor(0));
/*  534 */     getGlassPane().setVisible(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDialogFactory(AbstractSetupPrintDialogFactory paramAbstractSetupPrintDialogFactory) {
/*  548 */     this.dialogFactory = paramAbstractSetupPrintDialogFactory;
/*      */ 
/*      */ 
/*      */     
/*  552 */     Locale locale = this.PREVIEW_LOCALE; PreviewPrintableFrame previewPrintableFrame; PrintService printService = (previewPrintableFrame = this).INFO_HOLDER.getSelectedPrintService(); boolean bool = previewPrintableFrame.getDialogFactory().isPrintDialogBuilt(); setPrintButtonToolTipText(PreviewWindowHelper.a(locale, printService, bool));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialPageLayout(PageLayout paramPageLayout) {
/*  560 */     i.pageLayout = paramPageLayout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFactor(float paramFloat) {
/*  568 */     i.zoomFactor = paramFloat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFitPage() {
/*  576 */     i.fitWidthZoomSelected = false;
/*  577 */     i.fitPageZoomSelected = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInitialZoomFitWidth() {
/*  585 */     i.fitWidthZoomSelected = true;
/*  586 */     i.fitPageZoomSelected = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPrintButtonToolTipText(String paramString) {
/*  596 */     this.HELPER.a(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSavingPrintDefaults(boolean paramBoolean) {
/*  606 */     this.savingPrintDefaults = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToAllowToolBarAutohide(boolean paramBoolean) {
/*  617 */     g = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToCloseAfterPrint(boolean paramBoolean) {
/*  626 */     e = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayHelpButton(boolean paramBoolean) {
/*  635 */     f = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayMaximized(boolean paramBoolean) {
/*  643 */     h = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToUsePreviousSizeLocation(boolean paramBoolean) {
/*  653 */     c = paramBoolean;
/*  654 */     if (!paramBoolean) {
/*      */       
/*  656 */       Dimension dimension1 = null;
/*  657 */       b = (Point)(dimension1 = null);
/*      */       
/*      */       return;
/*      */     } 
/*  661 */     Dimension dimension = new Dimension(-1, -1);
/*  662 */     Point point = new Point(-1, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToUsePreviousState(boolean paramBoolean) {
/*  673 */     d = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToPrintDisplayedMaterial(boolean paramBoolean) {
/*  695 */     this.toPrintDisplayedMaterial = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setWaitCursor() {
/*  704 */     getGlassPane().setVisible(true);
/*  705 */     setCursor(Cursor.getPredefinedCursor(3));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void show() {
/*  714 */     PreviewWindowHelper.a a = null;
/*      */ 
/*      */     
/*  717 */     if (isToDisplayHelpButton()) {
/*      */       
/*  719 */       a = new PreviewWindowHelper.a(this, getTitle(), this.PREVIEW_LOCALE);
/*  720 */       getPreviewControlPanel().addToolBarComponent((JComponent)a, false);
/*      */     } 
/*      */ 
/*      */     
/*  724 */     super.show();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void sizeToFit() {
/*  735 */     this.HELPER.a();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean writePageImageFile(File paramFile, int paramInt, boolean paramBoolean1, boolean paramBoolean2) {
/*  747 */     return this.HELPER.a(paramFile, paramInt, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int addToolBars(boolean paramBoolean1, boolean paramBoolean2) {
/*      */     PreviewPrintableControlPanel previewPrintableControlPanel;
/*  786 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (previewPrintableControlPanel = getPreviewControlPanel()).getPreviewPrintable();
/*  787 */     byte b = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  792 */     boolean bool = !(fullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable) ? true : false;
/*      */     
/*      */     PageNavigationToolbarPanel pageNavigationToolbarPanel;
/*      */     
/*  796 */     if ((pageNavigationToolbarPanel = createPageNavigationToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  798 */       previewPrintableControlPanel.addToolBarComponent((JComponent)pageNavigationToolbarPanel, false);
/*  799 */       b++;
/*      */     } 
/*      */     
/*      */     PageLayoutToolbarPanel pageLayoutToolbarPanel;
/*      */     
/*  804 */     if ((pageLayoutToolbarPanel = createPageLayoutToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  806 */       previewPrintableControlPanel.addToolBarComponent((JComponent)pageLayoutToolbarPanel, true);
/*  807 */       b++;
/*      */     } 
/*      */ 
/*      */     
/*  811 */     if (bool) {
/*      */       ZoomFactorToolbarPanel zoomFactorToolbarPanel;
/*      */       
/*  814 */       if ((zoomFactorToolbarPanel = createZoomFactorToolBar(previewPrintableControlPanel)) != null) {
/*      */         
/*  816 */         previewPrintableControlPanel.addToolBarComponent((JComponent)zoomFactorToolbarPanel, true);
/*  817 */         b++;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  822 */     if (paramBoolean1) {
/*      */       PageSetupToolbarPanel pageSetupToolbarPanel;
/*      */       
/*  825 */       if ((pageSetupToolbarPanel = createPageSetupToolBar(previewPrintableControlPanel)) != null) {
/*      */         
/*  827 */         previewPrintableControlPanel.addToolBarComponent((JComponent)pageSetupToolbarPanel, false);
/*  828 */         b++;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  833 */     if (paramBoolean1 && !(fullyNavigableAttributeSetPrintable instanceof jpdf.report.ReportPrinter)) {
/*      */       ScaleFactorToolbarPanel scaleFactorToolbarPanel;
/*  835 */       if (ContentDialogAdministrator.isToIncludeSizingControls((Printable)fullyNavigableAttributeSetPrintable)) {
/*      */         
/*  837 */         SizeToolbarPanel sizeToolbarPanel = createSizeToolBar(previewPrintableControlPanel);
/*      */ 
/*      */       
/*      */       }
/*  841 */       else if (bool && !(fullyNavigableAttributeSetPrintable instanceof jpdf.printer.TextPrinter)) {
/*      */         
/*  843 */         scaleFactorToolbarPanel = createScaleFactorToolBar(previewPrintableControlPanel);
/*      */       } 
/*      */       
/*  846 */       if (scaleFactorToolbarPanel != null) {
/*      */         
/*  848 */         previewPrintableControlPanel.addToolBarComponent((JComponent)scaleFactorToolbarPanel, false);
/*  849 */         b++;
/*      */       } 
/*      */     } 
/*      */     
/*      */     SearchToolbarPanel searchToolbarPanel;
/*      */     
/*  855 */     if ((searchToolbarPanel = createSearchToolBar(previewPrintableControlPanel)) != null) {
/*      */       
/*  857 */       previewPrintableControlPanel.addToolBarComponent((JComponent)searchToolbarPanel, true);
/*  858 */       b++;
/*      */     } 
/*      */ 
/*      */     
/*  862 */     if (paramBoolean1 || paramBoolean2) {
/*      */       DialogFactoryToolbarPanel dialogFactoryToolbarPanel;
/*      */       
/*  865 */       if ((dialogFactoryToolbarPanel = createDialogFactoryToolBar(paramBoolean1, paramBoolean2)) != null) {
/*      */         
/*  867 */         previewPrintableControlPanel.addToolBarComponent((JComponent)dialogFactoryToolbarPanel, true);
/*  868 */         b++;
/*      */       } 
/*      */     } 
/*      */     
/*      */     FrameControlToolbarPanel frameControlToolbarPanel;
/*      */     
/*  874 */     if ((frameControlToolbarPanel = createFrameControlToolBar()) != null) {
/*      */       
/*  876 */       previewPrintableControlPanel.addToolBarComponent((JComponent)frameControlToolbarPanel, true);
/*  877 */       b++;
/*      */     } 
/*      */     
/*  880 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected DialogFactoryToolbarPanel createDialogFactoryToolBar(boolean paramBoolean1, boolean paramBoolean2) {
/*  891 */     return new DialogFactoryToolbarPanel(this, this.PREVIEW_LOCALE, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected FrameControlToolbarPanel createFrameControlToolBar() {
/*  902 */     return new FrameControlToolbarPanel(this, this.PREVIEW_LOCALE, false, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageLayoutToolbarPanel createPageLayoutToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  912 */     return new PageLayoutToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageNavigationToolbarPanel createPageNavigationToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  922 */     return new PageNavigationToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE, PreviewWindowHelper.isPageNavigationAudible());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageOrientationToolbarPanel createPageOrientationToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  938 */     return new PageOrientationToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageSetupToolbarPanel createPageSetupToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  953 */     return new PageSetupToolbarPanel(this.INFO_HOLDER, paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected SearchToolbarPanel createSearchToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  968 */     return new SearchToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ScaleFactorToolbarPanel createScaleFactorToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  978 */     return new ScaleFactorToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected SizeToolbarPanel createSizeToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  988 */     return new SizeToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ZoomFactorToolbarPanel createZoomFactorToolBar(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  998 */     return new ZoomFactorToolbarPanel(paramPreviewPrintableControlPanel, this.PREVIEW_LOCALE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void printDisplayedMaterial(boolean paramBoolean) {
/*      */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable;
/* 1008 */     PrintManager.printPrintable((Printable)(fullyNavigableAttributeSetPrintable = getPreviewControlPanel().getPreviewPrintable()), this.INFO_HOLDER, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void processComponentEvent(ComponentEvent paramComponentEvent) {
/*      */     int i;
/* 1019 */     if ((i = paramComponentEvent.getID()) == 100) {
/*      */       
/* 1021 */       if (b != null) {
/*      */         
/* 1023 */         i = getX();
/* 1024 */         int j = getY();
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1029 */         if (i > 0 && j > 0)
/*      */         {
/* 1031 */           b.x = i;
/* 1032 */           b.y = j;
/*      */         }
/*      */       
/*      */       } 
/* 1036 */     } else if (i == 101) {
/*      */       
/* 1038 */       if (a != null)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/* 1043 */         if (getX() > 0 && getY() > 0) {
/*      */           
/* 1045 */           a.width = getWidth();
/* 1046 */           a.height = getHeight();
/*      */         } 
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1052 */     super.processComponentEvent(paramComponentEvent);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(AbstractPrintDialog paramAbstractPrintDialog) {
/* 1102 */     getPreviewControlPanel().handleAttributeSetUpdate(paramAbstractPrintDialog, false);
/*      */ 
/*      */     
/* 1105 */     this.HELPER.a(paramAbstractPrintDialog.getPrintService(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void b() {
/* 1113 */     Dimension dimension1 = a;
/* 1114 */     Dimension dimension2 = null;
/* 1115 */     Point point = b;
/*      */ 
/*      */ 
/*      */     
/* 1119 */     ((JComponent)getContentPane()).setBorder(BorderFactory.createEmptyBorder(0, 0, 2, 0));
/*      */ 
/*      */ 
/*      */     
/* 1123 */     if (dimension1 == null || dimension1.width < 0) {
/*      */       
/* 1125 */       dimension2 = Toolkit.getDefaultToolkit().getScreenSize();
/* 1126 */       dimension1 = new Dimension(dimension2.width - 200, dimension2.height - 200);
/*      */     } 
/* 1128 */     if (point != null && point.x < 0) point = null; 
/* 1129 */     PreviewWindowHelper.a((Window)this, dimension1, point);
/*      */ 
/*      */ 
/*      */     
/* 1133 */     setResizable(true);
/* 1134 */     setDefaultCloseOperation(2);
/*      */ 
/*      */     
/* 1137 */     add(this.PREVIEW_CONTROL_PANEL, "Center");
/*      */ 
/*      */     
/* 1140 */     addWindowListener(new b((byte)0));
/*      */ 
/*      */ 
/*      */     
/* 1144 */     if (isToUsePreviousSizeLocation())
/*      */     {
/* 1146 */       enableEvents(1L);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class a
/*      */     extends AbstractAction
/*      */   {
/*      */     private a() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 1240 */       PreviewPrintableFrame.this.displayInWindowedMode();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PreviewPrintableFrame(PreviewPrintableFrame paramPreviewPrintableFrame, boolean paramBoolean) {
/* 1260 */     super(paramPreviewPrintableFrame.getTitle());
/*      */     
/* 1262 */     this.PREVIEW_LOCALE = paramPreviewPrintableFrame.PREVIEW_LOCALE;
/* 1263 */     this.INFO_HOLDER = paramPreviewPrintableFrame.INFO_HOLDER;
/* 1264 */     this.PREVIEW_CONTROL_PANEL = paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL;
/* 1265 */     this.HELPER = paramPreviewPrintableFrame.HELPER.a(this);
/*      */ 
/*      */     
/* 1268 */     boolean bool = paramBoolean; DialogFactoryToolbarPanel dialogFactoryToolbarPanel; if ((dialogFactoryToolbarPanel = (DialogFactoryToolbarPanel)(paramPreviewPrintableFrame = this).PREVIEW_CONTROL_PANEL.getToolBarComponent(DialogFactoryToolbarPanel.class)) != null) { boolean bool1 = dialogFactoryToolbarPanel.isPageSetupButtonPresent(), bool2 = dialogFactoryToolbarPanel.isPrintButtonPresent(), bool3 = paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.isInPopupMenu((AbstractPreviewToolbarPanel)dialogFactoryToolbarPanel); int i = paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.removeToolBarComponent((AbstractPreviewToolbarPanel)dialogFactoryToolbarPanel); dialogFactoryToolbarPanel = paramPreviewPrintableFrame.createDialogFactoryToolBar(bool1, bool2); paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.addToolBarComponent((JComponent)dialogFactoryToolbarPanel, bool3, i); }  FrameControlToolbarPanel frameControlToolbarPanel; if ((frameControlToolbarPanel = (FrameControlToolbarPanel)paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.getToolBarComponent(FrameControlToolbarPanel.class)) != null) { boolean bool1 = paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.isInPopupMenu((AbstractPreviewToolbarPanel)frameControlToolbarPanel), bool2 = frameControlToolbarPanel.isCloseButtonIncluded(); int i = paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.removeToolBarComponent((AbstractPreviewToolbarPanel)frameControlToolbarPanel); frameControlToolbarPanel = new FrameControlToolbarPanel(paramPreviewPrintableFrame, paramPreviewPrintableFrame.PREVIEW_LOCALE, bool, bool2); paramPreviewPrintableFrame.PREVIEW_CONTROL_PANEL.addToolBarComponent((JComponent)frameControlToolbarPanel, bool1, i); }
/*      */     
/* 1270 */     if (paramBoolean) {
/*      */ 
/*      */       
/* 1273 */       add(this.PREVIEW_CONTROL_PANEL, "Center");
/*      */ 
/*      */       
/* 1276 */       setUndecorated(true);
/* 1277 */       setSize(Toolkit.getDefaultToolkit().getScreenSize());
/* 1278 */       setLocation(0, 0);
/*      */ 
/*      */       
/* 1281 */       addWindowListener(new b((byte)0)); JRootPane jRootPane;
/* 1282 */       InputMap inputMap = (jRootPane = (paramPreviewPrintableFrame = this).getRootPane()).getInputMap(1); ActionMap actionMap = jRootPane.getActionMap(); inputMap.put(KeyStroke.getKeyStroke(27, 0), "escapeExit"); actionMap.put("escapeExit", new a((byte)0));
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1287 */     b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean displayInFullScreenMode() {
/* 1298 */     if (isInFullScreenMode()) return false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1304 */     PreviewPrintableFrame previewPrintableFrame = buildNewFrameForDisplayMode(this, true);
/*      */ 
/*      */     
/* 1307 */     setVisible(false);
/* 1308 */     dispose();
/*      */ 
/*      */     
/* 1311 */     previewPrintableFrame.setVisible(true);
/*      */     
/* 1313 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean displayInWindowedMode() {
/* 1323 */     if (!isInFullScreenMode()) return false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1329 */     PreviewPrintableFrame previewPrintableFrame = buildNewFrameForDisplayMode(this, false);
/*      */ 
/*      */     
/* 1332 */     setVisible(false);
/* 1333 */     dispose();
/*      */ 
/*      */     
/* 1336 */     previewPrintableFrame.setVisible(true);
/*      */     
/* 1338 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInFullScreenMode() {
/* 1346 */     return isUndecorated();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PreviewPrintableFrame buildNewFrameForDisplayMode(PreviewPrintableFrame paramPreviewPrintableFrame, boolean paramBoolean) {
/* 1359 */     return new PreviewPrintableFrame(paramPreviewPrintableFrame, paramBoolean);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\PreviewPrintableFrame.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */