/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JLabel;
/*     */ import jpdf.gui.preview2.AttributeSetChangeObserver;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractComboBoxToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */   implements AttributeSetChangeObserver
/*     */ {
/*     */   protected final ToolbarComboBox COMBO_BOX;
/*     */   
/*     */   public static class ComboBoxOption
/*     */   {
/*     */     private final PrintRequestAttributeSet a;
/*     */     private final Class[] b;
/*     */     private final String c;
/*     */     
/*     */     protected ComboBoxOption(String param1String, PrintRequestAttribute param1PrintRequestAttribute) {
/*  63 */       this(param1String, new HashPrintRequestAttributeSet(param1PrintRequestAttribute), (Class[])null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected ComboBoxOption(String param1String, PrintRequestAttribute param1PrintRequestAttribute, Class param1Class) {
/*  69 */       this(param1String, new HashPrintRequestAttributeSet(param1PrintRequestAttribute), new Class[] { param1Class });
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected ComboBoxOption(String param1String, PrintRequestAttributeSet param1PrintRequestAttributeSet) {
/*  75 */       this(param1String, param1PrintRequestAttributeSet, (Class[])null);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected ComboBoxOption(String param1String, PrintRequestAttributeSet param1PrintRequestAttributeSet, Class[] param1ArrayOfClass) {
/*  83 */       this.c = param1String;
/*  84 */       this.a = param1PrintRequestAttributeSet;
/*  85 */       this.b = param1ArrayOfClass;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public String toString() {
/*  91 */       return this.c;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class ToolbarComboBox
/*     */     extends JComboBox
/*     */     implements ActionListener
/*     */   {
/*     */     private ToolbarComboBox(AbstractComboBoxToolbarPanel.ComboBoxOption[] param1ArrayOfComboBoxOption) {
/* 104 */       super((E[])param1ArrayOfComboBoxOption);
/*     */       
/* 106 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public void actionPerformed(ActionEvent param1ActionEvent) {
/* 112 */       AbstractComboBoxToolbarPanel.ComboBoxOption comboBoxOption = (AbstractComboBoxToolbarPanel.ComboBoxOption)AbstractComboBoxToolbarPanel.this.COMBO_BOX.getSelectedItem();
/*     */       
/* 114 */       AbstractComboBoxToolbarPanel.this.handleOptionSelection(comboBoxOption);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void addItem(Object param1Object) {
/* 125 */       param1Object = param1Object;
/*     */       
/* 127 */       super.addItem(param1Object);
/*     */     }
/*     */ 
/*     */     
/*     */     public void insertItemAt(Object param1Object, int param1Int) {
/* 132 */       param1Object = param1Object;
/*     */       
/* 134 */       super.insertItemAt(param1Object, param1Int);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractComboBoxToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, String paramString) {
/* 152 */     this(paramPreviewPrintableControlPanel, paramString, (Locale)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractComboBoxToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, String paramString, Locale paramLocale) {
/* 158 */     super(paramPreviewPrintableControlPanel);
/*     */     
/* 160 */     this.COMBO_BOX = new ToolbarComboBox(buildComboBoxOptionList(paramLocale), (byte)0);
/* 161 */     addControls(paramString, paramLocale);
/* 162 */     handleAttributeSetChange(paramPreviewPrintableControlPanel.getPrintAttributeSet(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls(String paramString, Locale paramLocale) {
/* 176 */     if (paramString != null) add(new JLabel(paramString)); 
/* 177 */     add(this.COMBO_BOX);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract ComboBoxOption[] buildComboBoxOptionList(Locale paramLocale);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handleOptionSelection(ComboBoxOption paramComboBoxOption) {
/* 193 */     int i = 0;
/*     */ 
/*     */     
/* 196 */     PrintRequestAttributeSet printRequestAttributeSet = this.PREVIEW_CONTROL_PANEL.getPrintAttributeSet();
/*     */ 
/*     */     
/* 199 */     if (ComboBoxOption.a(paramComboBoxOption) != null) {
/*     */       
/* 201 */       i = (ComboBoxOption.a(paramComboBoxOption)).length;
/* 202 */       for (byte b = 0; b < i; b++) {
/*     */         
/* 204 */         if (ComboBoxOption.a(paramComboBoxOption)[b] != null)
/*     */         {
/* 206 */           printRequestAttributeSet.remove(ComboBoxOption.a(paramComboBoxOption)[b]);
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 212 */     if (ComboBoxOption.b(paramComboBoxOption) != null)
/*     */     {
/* 214 */       printRequestAttributeSet.addAll(ComboBoxOption.b(paramComboBoxOption));
/*     */     }
/*     */ 
/*     */     
/* 218 */     this.PREVIEW_CONTROL_PANEL.handleAttributeSetUpdate(this, false);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\AbstractComboBoxToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */