/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ImageIcon;
/*     */ import jpdf.gui.preview2.AttributeSetChangeObserver;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageOrientationToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */   implements AttributeSetChangeObserver
/*     */ {
/*     */   class b
/*     */     extends jpdf_common.gui.component.m.b
/*     */   {
/*     */     public b() {
/*  52 */       super(PageOrientationToolbarPanel.getPortraitButtonIcon(), "Portrait");
/*     */     }
/*     */ 
/*     */     
/*     */     public b(byte param1Byte) {
/*  57 */       super(PageOrientationToolbarPanel.getPortraitButtonIcon(), ResourceAdministrator.getLocalizedString("orientation.portrait"));
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  63 */       OrientationRequested orientationRequested = PageOrientationToolbarPanel.a(PageOrientationToolbarPanel.this) ? OrientationRequested.REVERSE_PORTRAIT : OrientationRequested.PORTRAIT;
/*     */ 
/*     */ 
/*     */       
/*  67 */       PageOrientationToolbarPanel.this.addOrientationAttribute(orientationRequested);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  72 */       if (param1ActionEvent.getSource() != this) setSelected(true);
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends jpdf_common.gui.component.m.b
/*     */   {
/*     */     public a() {
/*  84 */       super(PageOrientationToolbarPanel.getLandscapeButtonIcon(), "Landscape");
/*     */     }
/*     */ 
/*     */     
/*     */     public a(byte param1Byte) {
/*  89 */       super(PageOrientationToolbarPanel.getLandscapeButtonIcon(), ResourceAdministrator.getLocalizedString("orientation.landscape"));
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  95 */       OrientationRequested orientationRequested = PageOrientationToolbarPanel.a(PageOrientationToolbarPanel.this) ? OrientationRequested.REVERSE_LANDSCAPE : OrientationRequested.LANDSCAPE;
/*     */ 
/*     */ 
/*     */       
/*  99 */       PageOrientationToolbarPanel.this.addOrientationAttribute(orientationRequested);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 104 */       if (param1ActionEvent.getSource() != this) setSelected(true);
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   private static ImageIcon b = BasicResourceManager.getIconResource("preview/orientationPortrait.png");
/* 114 */   private static ImageIcon c = BasicResourceManager.getIconResource("preview/orientationLandscape.png");
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.b PORTRAIT_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.b LANDSCAPE_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean toUseReverseOrientations = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageOrientationToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 136 */     super(paramPreviewPrintableControlPanel);
/*     */     
/* 138 */     this.PORTRAIT_BUTTON = new b();
/* 139 */     this.LANDSCAPE_BUTTON = new a();
/*     */     
/* 141 */     addControls();
/* 142 */     handleAttributeSetChange(paramPreviewPrintableControlPanel.getPrintAttributeSet(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageOrientationToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, Locale paramLocale) {
/* 153 */     super(paramPreviewPrintableControlPanel);
/*     */     
/* 155 */     this.PORTRAIT_BUTTON = new b((byte)0);
/* 156 */     this.LANDSCAPE_BUTTON = new a((byte)0);
/*     */ 
/*     */     
/* 159 */     addControls();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 164 */     if (getClass().equals(PageOrientationToolbarPanel.class))
/*     */     {
/* 166 */       handleAttributeSetChange(paramPreviewPrintableControlPanel.getPrintAttributeSet(), false);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getPortraitButtonIcon() {
/* 181 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getLandscapeButtonIcon() {
/* 190 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void handleAttributeSetChange(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/* 201 */     setEnabled((this.PREVIEW_CONTROL_PANEL.getPageCount() > 0));
/*     */ 
/*     */ 
/*     */     
/*     */     OrientationRequested orientationRequested;
/*     */ 
/*     */     
/* 208 */     if ((orientationRequested = (OrientationRequested)paramPrintRequestAttributeSet.get(OrientationRequested.class)) == OrientationRequested.PORTRAIT || orientationRequested == OrientationRequested.REVERSE_PORTRAIT) {
/*     */ 
/*     */       
/* 211 */       this.PORTRAIT_BUTTON.setSelected(true);
/*     */     }
/*     */     else {
/*     */       
/* 215 */       this.LANDSCAPE_BUTTON.setSelected(true);
/*     */     } 
/*     */     
/*     */     PageOrientationToolbarPanel pageOrientationToolbarPanel;
/* 219 */     (pageOrientationToolbarPanel = this).toUseReverseOrientations = paramBoolean = (orientationRequested == OrientationRequested.REVERSE_PORTRAIT || orientationRequested == OrientationRequested.REVERSE_LANDSCAPE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPortraitButtonIcon(ImageIcon paramImageIcon) {
/* 229 */     b = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setLandscapeButtonIcon(ImageIcon paramImageIcon) {
/* 238 */     c = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls() {
/*     */     ButtonGroup buttonGroup;
/* 254 */     (buttonGroup = new ButtonGroup()).add((AbstractButton)this.PORTRAIT_BUTTON);
/* 255 */     buttonGroup.add((AbstractButton)this.LANDSCAPE_BUTTON);
/* 256 */     add((Component)this.PORTRAIT_BUTTON);
/* 257 */     add((Component)this.LANDSCAPE_BUTTON);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addOrientationAttribute(OrientationRequested paramOrientationRequested) {
/* 270 */     this.PREVIEW_CONTROL_PANEL.getPrintAttributeSet().add(paramOrientationRequested);
/*     */ 
/*     */     
/* 273 */     this.PREVIEW_CONTROL_PANEL.handleAttributeSetUpdate(this, false);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\PageOrientationToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */