/*     */ package jpdf.manage;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Point;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.net.InetAddress;
/*     */ import java.util.Date;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.RequestingUserName;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.AlignmentFactorVertical;
/*     */ import jpdf.attribute.PageFrame;
/*     */ import jpdf.printable.AbstractPageContentPrintable;
/*     */ import jpdf.utility.AttributeSetFactory;
/*     */ import jpdf_common.gui.a.c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DefaultCoverPagePrintable
/*     */   extends AbstractPageContentPrintable
/*     */ {
/*     */   public static final String WORKSTATION_NAME;
/*     */   private static final AttributeSet a;
/*     */   
/*     */   public static class Factory
/*     */     implements CoverPagePrintableFactory
/*     */   {
/*     */     public Printable buildCoverPagePrintable(String param1String, Object param1Object, PrintRequestAttributeSet param1PrintRequestAttributeSet, PrintService param1PrintService) {
/*     */       String str;
/*     */       RequestingUserName requestingUserName;
/*  72 */       if ((requestingUserName = (RequestingUserName)param1PrintRequestAttributeSet.get(RequestingUserName.class)) != null) {
/*     */         
/*  74 */         str = requestingUserName.getValue();
/*     */       }
/*     */       else {
/*     */         
/*  78 */         str = System.getProperty("user.name", "???");
/*     */       } 
/*     */ 
/*     */       
/*  82 */       int i = DefaultCoverPagePrintable.computePageCount(param1Object, param1PrintRequestAttributeSet);
/*     */       
/*  84 */       return (Printable)new DefaultCoverPagePrintable(param1String, param1PrintService.getName(), str, DefaultCoverPagePrintable.a(), i);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/*     */     String str;
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/*  99 */     (printRequestAttributeSet = AttributeSetFactory.buildNew(false, null, 0.3F)).add((Attribute)new AlignmentFactorVertical(0.25F)); printRequestAttributeSet.add((Attribute)new AlignmentFactorHorizontal(0.5F)); printRequestAttributeSet.add((Attribute)PageFrame.TRUE); a = printRequestAttributeSet;
/* 100 */   } private static final BasicStroke b = new BasicStroke(4.0F);
/* 101 */   private static final Font c = c.c.deriveFont(32.0F);
/* 102 */   private static final Font d = c.c.deriveFont(24.0F);
/* 103 */   private static final String[] e = new String[] { "printService", "label.username", "workstation", "date", "time", "pages" };
/*     */   
/* 105 */   private static final String[] f = new String[] { "Printer:", "User Name:", "Workstation:", "Date:", "Time:", "Pages:" };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/* 115 */     printRequestAttributeSet = null;
/*     */ 
/*     */     
/*     */     try {
/* 119 */       str = InetAddress.getLocalHost().getHostName();
/*     */     }
/* 121 */     catch (Throwable throwable) {}
/*     */     
/* 123 */     WORKSTATION_NAME = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 131 */   private final String[] g = new String[e.length];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String h;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final Font i;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DefaultCoverPagePrintable(String paramString1, String paramString2, String paramString3, AttributeSet paramAttributeSet, int paramInt) {
/* 155 */     super("Print Job Cover Page", paramAttributeSet);
/*     */     
/* 157 */     Date date = new Date();
/* 158 */     this.h = paramString1;
/* 159 */     this.i = (this.h.length() > 25) ? d : c;
/* 160 */     this.g[0] = paramString2;
/* 161 */     this.g[1] = paramString3;
/* 162 */     this.g[2] = WORKSTATION_NAME;
/* 163 */     this.g[3] = ResourceAdministrator.getDateFormat().format(date);
/* 164 */     this.g[4] = ResourceAdministrator.getTimeFormat().format(date);
/* 165 */     if (paramInt >= 0)
/*     */     {
/* 167 */       this.g[5] = Integer.toString(paramInt);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computePageCount(Object paramObject, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     // Byte code:
/*     */     //   0: iconst_0
/*     */     //   1: istore_2
/*     */     //   2: iconst_m1
/*     */     //   3: istore_3
/*     */     //   4: iconst_m1
/*     */     //   5: istore_2
/*     */     //   6: aload_0
/*     */     //   7: instanceof java/awt/print/Printable
/*     */     //   10: ifeq -> 24
/*     */     //   13: aload_0
/*     */     //   14: checkcast java/awt/print/Printable
/*     */     //   17: invokestatic computePrintablePageCount : (Ljava/awt/print/Printable;)I
/*     */     //   20: istore_3
/*     */     //   21: goto -> 48
/*     */     //   24: aload_0
/*     */     //   25: instanceof java/awt/print/Pageable
/*     */     //   28: ifeq -> 48
/*     */     //   31: aload_0
/*     */     //   32: checkcast java/awt/print/Pageable
/*     */     //   35: invokeinterface getNumberOfPages : ()I
/*     */     //   40: dup
/*     */     //   41: istore_3
/*     */     //   42: iconst_m1
/*     */     //   43: if_icmpne -> 48
/*     */     //   46: iconst_m1
/*     */     //   47: istore_3
/*     */     //   48: iload_3
/*     */     //   49: ifle -> 95
/*     */     //   52: aload_0
/*     */     //   53: astore_0
/*     */     //   54: aload_0
/*     */     //   55: instanceof jpdf/wrap/printable/AbstractPrintableWrapper
/*     */     //   58: ifeq -> 83
/*     */     //   61: aload_0
/*     */     //   62: instanceof jpdf/wrap/printable/PageUpPrintableWrapper
/*     */     //   65: ifeq -> 72
/*     */     //   68: iconst_1
/*     */     //   69: goto -> 84
/*     */     //   72: aload_0
/*     */     //   73: checkcast jpdf/wrap/printable/AbstractPrintableWrapper
/*     */     //   76: invokevirtual getTargetPrintable : ()Ljava/awt/print/Printable;
/*     */     //   79: astore_0
/*     */     //   80: goto -> 54
/*     */     //   83: iconst_0
/*     */     //   84: istore_2
/*     */     //   85: aload_1
/*     */     //   86: iload_3
/*     */     //   87: iload_2
/*     */     //   88: invokestatic computePrintPageCount : (Ljavax/print/attribute/AttributeSet;IZ)I
/*     */     //   91: istore_2
/*     */     //   92: goto -> 101
/*     */     //   95: iload_3
/*     */     //   96: ifne -> 101
/*     */     //   99: iconst_0
/*     */     //   100: istore_2
/*     */     //   101: iload_2
/*     */     //   102: ireturn
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #185	-> 0
/*     */     //   #186	-> 2
/*     */     //   #187	-> 4
/*     */     //   #191	-> 6
/*     */     //   #193	-> 13
/*     */     //   #195	-> 24
/*     */     //   #197	-> 31
/*     */     //   #198	-> 41
/*     */     //   #200	-> 46
/*     */     //   #207	-> 48
/*     */     //   #212	-> 52
/*     */     //   #213	-> 85
/*     */     //   #216	-> 95
/*     */     //   #218	-> 99
/*     */     //   #221	-> 101
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintPageContents(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, AttributeSet paramAttributeSet, float paramFloat) {
/* 239 */     String[] arrayOfString2 = b();
/*     */ 
/*     */     
/* 242 */     String str = this.h;
/* 243 */     Point point2 = new Point();
/*     */     
/* 245 */     paramGraphics2D.setFont(this.i);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     FontMetrics fontMetrics;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 257 */     int n = (fontMetrics = paramGraphics2D.getFontMetrics()).getAscent();
/* 258 */     int i1 = fontMetrics.getDescent();
/* 259 */     int k = fontMetrics.stringWidth(str);
/*     */ 
/*     */     
/* 262 */     String[] arrayOfString1 = a(arrayOfString2);
/* 263 */     int i2 = a(paramGraphics2D, arrayOfString1) + 20;
/*     */ 
/*     */     
/* 266 */     int j = b(arrayOfString1);
/*     */ 
/*     */     
/* 269 */     int i = (int)paramPageFormat.getImageableWidth() - 20;
/* 270 */     int m = k + 20;
/* 271 */     j = n + i1 + j * 20 + 20;
/*     */     
/* 273 */     if (m < 360) m = 360; 
/* 274 */     if (m > i) m = i;
/*     */ 
/*     */     
/* 277 */     if (i2 > m)
/*     */     {
/*     */       
/* 280 */       if ((m = i2) > i) m = i;
/*     */     
/*     */     }
/*     */     
/* 284 */     Point point1 = computeAlignedContentStartPoint(paramGraphics2D, m, j, paramAttributeSet, paramFloat);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 289 */     if (m > k) {
/*     */       
/* 291 */       point1.x += (m - k) / 2;
/*     */     }
/*     */     else {
/*     */       
/* 295 */       point1.x += 10;
/* 296 */       str = a(str, fontMetrics, m - 20);
/*     */     } 
/*     */     
/* 299 */     point1.y += n;
/* 300 */     paramGraphics2D.setColor(Color.BLUE);
/* 301 */     paramGraphics2D.drawString(str, point2.x, point2.y);
/*     */ 
/*     */     
/* 304 */     paramGraphics2D.setColor(Color.BLACK);
/* 305 */     point1.x += 10;
/* 306 */     point2.y += i1;
/* 307 */     paramGraphics2D.drawLine(point1.x, point2.y, point1.x + m, point2.y);
/*     */ 
/*     */ 
/*     */     
/* 311 */     a(paramGraphics2D, point2, arrayOfString2, arrayOfString1);
/*     */ 
/*     */     
/* 314 */     paramGraphics2D.setStroke(b);
/* 315 */     paramGraphics2D.drawRoundRect(point1.x, point1.y, m, j, 8, 8);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String[] a(String[] paramArrayOfString) {
/* 345 */     String[] arrayOfString = new String[paramArrayOfString.length];
/*     */ 
/*     */     
/* 348 */     for (byte b = 0; b < paramArrayOfString.length; b++) {
/*     */       
/* 350 */       if (this.g[b] != null)
/*     */       {
/* 352 */         arrayOfString[b] = paramArrayOfString[b] + " " + this.g[b];
/*     */       }
/*     */     } 
/*     */     
/* 356 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static String[] b() {
/* 364 */     String[] arrayOfString = new String[e.length];
/*     */ 
/*     */     
/* 367 */     for (byte b = 0; b < arrayOfString.length; b++) {
/*     */ 
/*     */       
/*     */       try {
/* 371 */         if (!e[b].startsWith("label."))
/*     */         {
/* 373 */           arrayOfString[b] = ResourceAdministrator.getLocalizedString(e[b]) + ":";
/*     */         }
/*     */         else
/*     */         {
/* 377 */           arrayOfString[b] = ResourceAdministrator.getLocalizedString(e[b]);
/*     */         }
/*     */       
/* 380 */       } catch (Throwable throwable) {
/*     */         
/* 382 */         arrayOfString[b] = f[b];
/*     */       } 
/*     */     } 
/*     */     
/* 386 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(Graphics2D paramGraphics2D, String[] paramArrayOfString) {
/* 394 */     FontMetrics fontMetrics = paramGraphics2D.getFontMetrics(c.c);
/* 395 */     int i = -1;
/* 396 */     int j = 0;
/*     */     
/* 398 */     for (byte b = 0; b < paramArrayOfString.length; b++) {
/*     */       
/* 400 */       if (paramArrayOfString[b] != null && (
/*     */         
/* 402 */         j = fontMetrics.stringWidth(paramArrayOfString[b])) > i)
/*     */       {
/* 404 */         i = j;
/*     */       }
/*     */     } 
/*     */     
/* 408 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int b(String[] paramArrayOfString) {
/* 416 */     byte b1 = 0;
/*     */     
/* 418 */     for (byte b2 = 0; b2 < paramArrayOfString.length; b2++) {
/*     */       
/* 420 */       if (paramArrayOfString[b2] != null) b1++;
/*     */     
/*     */     } 
/* 423 */     return b1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(Graphics2D paramGraphics2D, Point paramPoint, String[] paramArrayOfString1, String[] paramArrayOfString2) {
/* 450 */     int[] arrayOfInt = new int[paramArrayOfString1.length];
/*     */     
/* 452 */     int i = -1;
/* 453 */     boolean bool = false;
/*     */ 
/*     */     
/* 456 */     paramGraphics2D.setFont(c.c);
/* 457 */     FontMetrics fontMetrics = paramGraphics2D.getFontMetrics();
/*     */     
/*     */     byte b;
/* 460 */     for (b = 0; b < paramArrayOfString1.length; b++) {
/*     */       
/* 462 */       arrayOfInt[b] = fontMetrics.stringWidth(paramArrayOfString1[b]);
/* 463 */       if (arrayOfInt[b] > i)
/*     */       {
/* 465 */         i = arrayOfInt[b];
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 470 */     for (b = 0; b < paramArrayOfString1.length; b++) {
/*     */       
/* 472 */       if (paramArrayOfString2[b] != null) {
/*     */         
/* 474 */         paramPoint.y += 20;
/* 475 */         int j = paramPoint.x + i - arrayOfInt[b];
/* 476 */         paramGraphics2D.drawString(paramArrayOfString2[b], j, paramPoint.y);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static String a(String paramString, FontMetrics paramFontMetrics, int paramInt) {
/* 489 */     String str = paramString;
/* 490 */     char[] arrayOfChar = paramString.toCharArray();
/* 491 */     int i = 0;
/*     */     
/* 493 */     for (byte b = 0; b < arrayOfChar.length; b++) {
/*     */ 
/*     */       
/* 496 */       if ((i = i + paramFontMetrics.charWidth(arrayOfChar[b])) > paramInt) {
/*     */         
/* 498 */         str = paramString.substring(0, b - 2) + "...";
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 503 */     return str;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\DefaultCoverPagePrintable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */