/*      */ package jpdf.manage;
/*      */ 
/*      */ import java.awt.Component;
/*      */ import java.awt.Dialog;
/*      */ import java.awt.Frame;
/*      */ import java.awt.Toolkit;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Pageable;
/*      */ import java.awt.print.Printable;
/*      */ import java.util.ArrayList;
/*      */ import javax.print.DocFlavor;
/*      */ import javax.print.PrintService;
/*      */ import javax.print.SimpleDoc;
/*      */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.print.attribute.standard.JobName;
/*      */ import javax.print.attribute.standard.NumberUp;
/*      */ import javax.print.attribute.standard.PageRanges;
/*      */ import javax.swing.JOptionPane;
/*      */ import jpdf.ability.Titled;
/*      */ import jpdf.attribute.CoverPage;
/*      */ import jpdf.attribute.PrintPageOddEven;
/*      */ import jpdf.diagnostics.BasicErrorHandler;
/*      */ import jpdf.diagnostics.BasicLoggingErrorHandler;
/*      */ import jpdf.diagnostics.DiagnosticsManager;
/*      */ import jpdf.diagnostics.JpdfDiagnosticsException;
/*      */ import jpdf.diagnostics.JpdfNoPrintServiceException;
/*      */ import jpdf.diagnostics.JpdfUnexpectedInitializationException;
/*      */ import jpdf.diagnostics.JpdfUnsupportedJreVersionException;
/*      */ import jpdf.gui.PrintInfoHolder;
/*      */ import jpdf.gui.controller.AbstractColorPanel;
/*      */ import jpdf.printable.AttributeSetPrintable;
/*      */ import jpdf.printable.PrintableImagePrintable;
/*      */ import jpdf.printable.ResetablePrintable;
/*      */ import jpdf.printable.ValidatingPrintable;
/*      */ import jpdf.printer.AbstractPrinter;
/*      */ import jpdf.utility.AttributeSetFactory;
/*      */ import jpdf.utility.PrintUtility;
/*      */ import jpdf.wrap.printable.OddEvenPagePrintableWrapper;
/*      */ import jpdf.wrap.printable.PageUpPrintableWrapper;
/*      */ import jpdf_common.a.b;
/*      */ import jpdf_common.gui.component.l.b;
/*      */ import jpdf_common.system.log.BasicLogManager;
/*      */ import jpdf_common.system.manage.BasicApplicationManager;
/*      */ import jpdf_common.system.manage.ErrorHandler;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class PrintManager
/*      */ {
/*      */   public static interface PrintableEncloser
/*      */   {
/*      */     Printable wrapPrintable(Printable param1Printable, PrintRequestAttributeSet param1PrintRequestAttributeSet, PrintService param1PrintService);
/*      */   }
/*      */   
/*      */   public static class EnvironmentOptions
/*      */   {
/*  144 */     public ErrorHandler errorHandler = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean statusDisplayedByDefault = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean toHandleUncaughtExceptions = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean toLogUncaughtExceptions = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean toShowUncaughtExceptionsToUser = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  204 */     public String logFileName = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  214 */     public String logFilePath = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  221 */     public String herald = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean toRunDiagnostics = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean toRunQuickDiagnostics = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static class PrintJobOptions
/*      */     implements Cloneable
/*      */   {
/*  253 */     private PrintJobObserver a = null;
/*      */ 
/*      */     
/*      */     private boolean b = true;
/*      */ 
/*      */     
/*      */     private boolean c = false;
/*      */     
/*      */     private boolean d = false;
/*      */ 
/*      */     
/*      */     public Object clone() {
/*      */       PrintJobOptions printJobOptions;
/*  266 */       (printJobOptions = new PrintJobOptions()).setPrintServiceSavedAsDefault(isPrintServiceSavedAsDefault());
/*  267 */       printJobOptions.setStatusDialogDisplayed(isStatusDialogDisplayed());
/*  268 */       printJobOptions.setStatusDialogModal(isStatusDialogModal());
/*      */       
/*  270 */       return printJobOptions;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean isPrintServiceSavedAsDefault() {
/*  279 */       return this.b;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean isStatusDialogDisplayed() {
/*  288 */       return this.c;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public PrintJobObserver getPrintJobObserver() {
/*  297 */       return this.a;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean isStatusDialogModal() {
/*  306 */       return this.d;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void setPrintJobObserver(PrintJobObserver param1PrintJobObserver) {
/*  321 */       this.a = param1PrintJobObserver;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void setPrintServiceSavedAsDefault(boolean param1Boolean) {
/*  330 */       this.b = param1Boolean;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void setStatusDialogDisplayed(boolean param1Boolean) {
/*  339 */       this.c = param1Boolean;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public void setStatusDialogModal(boolean param1Boolean) {
/*  348 */       this.d = param1Boolean;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  367 */   private static final PrintJobOptions a = new PrintJobOptions();
/*  368 */   private static final ArrayList b = new ArrayList(4);
/*      */ 
/*      */ 
/*      */   
/*  372 */   private static CoverPagePrintableFactory c = new DefaultCoverPagePrintable.Factory();
/*  373 */   private static PrintRequestAttributeSet d = null;
/*  374 */   private static PrintInfoStateObserver e = null;
/*  375 */   private static PrintService f = null;
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean g = false;
/*      */ 
/*      */ 
/*      */   
/*      */   static {
/*  384 */     resetDefaults();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void addPrintableEncloser(PrintableEncloser paramPrintableEncloser) {
/*  409 */     b.add(paramPrintableEncloser);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PrintRequestAttributeSet buildAttributeSet(boolean paramBoolean, float paramFloat) {
/*  420 */     return AttributeSetFactory.buildFromDefaultAttributeSet(paramBoolean, paramFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PrintRequestAttributeSet buildAttributeSet(boolean paramBoolean, int paramInt) {
/*  432 */     return AttributeSetFactory.buildFromDefaultAttributeSet(paramBoolean, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void cancelPrintJob() {
/*  441 */     PrintJobAdministrator.a();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void closeStatusDialog() {
/*  450 */     PrintJobAdministrator.b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String computePrintJobTitle(Object paramObject) {
/*      */     String str;
/*  459 */     if (paramObject instanceof Titled)
/*      */     
/*      */     { 
/*      */       
/*  463 */       str = ((Titled)paramObject).getTitle(); }
/*      */     
/*  465 */     else if (paramObject instanceof Frame)
/*      */     
/*  467 */     { str = ((Frame)paramObject).getTitle(); }
/*      */     
/*  469 */     else if (paramObject instanceof Dialog)
/*      */     
/*  471 */     { str = ((Dialog)paramObject).getTitle(); }
/*      */     else
/*  473 */     { if (paramObject instanceof Component)
/*      */       { String str1;
/*      */         
/*  476 */         if ((str1 = ((Component)paramObject).getName()) == null)
/*      */         {
/*      */ 
/*      */           
/*  480 */           str1 = paramObject.getClass().getName();
/*      */         }
/*      */         
/*  483 */         return str1; }  str = paramObject.getClass().getName(); }  return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PrintRequestAttributeSet getDefaultPrintAttributes() {
/*  491 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PrintJobOptions getDefaultPrintJobOptions() {
/*  508 */     return (PrintJobOptions)a.clone();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PrintService getDefaultPrintService() {
/*  516 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void handleException(Throwable paramThrowable) {
/*  526 */     handleException(paramThrowable, true, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void handleException(Throwable paramThrowable, boolean paramBoolean) {
/*  536 */     handleException(paramThrowable, paramBoolean, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void handleException(Throwable paramThrowable, boolean paramBoolean1, boolean paramBoolean2) {
/*  546 */     if (paramBoolean2) PrintJobAdministrator.a(); 
/*  547 */     BasicApplicationManager.handleError(paramThrowable, paramBoolean1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void initializeEnvironment() {
/*  569 */     initializeEnvironment(new EnvironmentOptions());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void initializeEnvironment(EnvironmentOptions paramEnvironmentOptions) {
/*      */     String str;
/*  591 */     JpdfDiagnosticsException jpdfDiagnosticsException = null;
/*  592 */     if (BasicApplicationManager.isInitialized()) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  597 */       str = "The JPDF Environment is already initialized.\nThe PrintManager.initializeEnvironment() method must be called only once.\n";
/*      */       
/*  599 */       Toolkit.getDefaultToolkit().beep();
/*  600 */       JOptionPane.showMessageDialog(null, str, "JPDF Environment Initialization", 2);
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  606 */     System.out.println("JPDF version \"3.0.0\"\n");
/*      */ 
/*      */     
/*  609 */     if (!JpdfUnsupportedJreVersionException.isJreVersionSupported())
/*      */     {
/*  611 */       throw new JpdfUnsupportedJreVersionException();
/*      */     }
/*      */ 
/*      */     
/*  615 */     if (getDefaultPrintService() == null)
/*      */     {
/*  617 */       throw new JpdfNoPrintServiceException();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  623 */       if (((EnvironmentOptions)str).logFilePath != null)
/*      */       {
/*  625 */         BasicLogManager.setLogFilePath(((EnvironmentOptions)str).logFilePath);
/*      */       }
/*      */ 
/*      */       
/*  629 */       if (((EnvironmentOptions)str).errorHandler == null) {
/*      */         
/*  631 */         if (((EnvironmentOptions)str).logFileName == null)
/*      */         {
/*  633 */           ((EnvironmentOptions)str).errorHandler = (ErrorHandler)new BasicErrorHandler(((EnvironmentOptions)str).toShowUncaughtExceptionsToUser);
/*      */         }
/*      */         else
/*      */         {
/*  637 */           ((EnvironmentOptions)str).errorHandler = (ErrorHandler)new BasicLoggingErrorHandler(((EnvironmentOptions)str).toShowUncaughtExceptionsToUser);
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */       
/*      */       }
/*  644 */       else if (((EnvironmentOptions)str).errorHandler instanceof BasicLoggingErrorHandler) {
/*      */         
/*  646 */         if (((EnvironmentOptions)str).logFileName == null) ((EnvironmentOptions)str).logFileName = "BasicLoggingErrorHandler";
/*      */       
/*      */       } 
/*      */ 
/*      */       
/*  651 */       BasicApplicationManager.initialize(((EnvironmentOptions)str).herald, ((EnvironmentOptions)str).logFileName, ((EnvironmentOptions)str).errorHandler, ((EnvironmentOptions)str).toHandleUncaughtExceptions, ((EnvironmentOptions)str).toLogUncaughtExceptions, false);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  657 */       BasicLogManager.setToShowUncaughtExceptionToUser(((EnvironmentOptions)str).toShowUncaughtExceptionsToUser);
/*      */ 
/*      */       
/*  660 */       DiagnosticsManager.initialize();
/*      */ 
/*      */       
/*  663 */       boolean bool = ((EnvironmentOptions)str).statusDisplayedByDefault; a.setStatusDialogDisplayed(bool);
/*      */ 
/*      */       
/*  666 */       b.a(ResourceAdministrator.RESOURCE_URL_PREFIX);
/*      */ 
/*      */       
/*  669 */       b.a(AbstractColorPanel.DEFAULT_FOREGROUND_COLOR_LIST);
/*      */ 
/*      */       
/*  672 */       BasicApplicationManager.setInitialized(true);
/*      */     
/*      */     }
/*  675 */     catch (Throwable throwable) {
/*      */       
/*  677 */       throw new JpdfUnexpectedInitializationException(throwable);
/*      */     } 
/*      */ 
/*      */     
/*  681 */     if (((EnvironmentOptions)throwable).toRunDiagnostics)
/*      */     {
/*  683 */       if (((EnvironmentOptions)throwable).toRunQuickDiagnostics) {
/*      */         
/*  685 */         jpdfDiagnosticsException = DiagnosticsManager.runQuickDiagnostics();
/*      */       }
/*      */       else {
/*      */         
/*  689 */         jpdfDiagnosticsException = DiagnosticsManager.runDiagnostics();
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  696 */     DiagnosticsManager.unregisterBadPrintServices();
/*      */ 
/*      */     
/*  699 */     if (jpdfDiagnosticsException != null) throw jpdfDiagnosticsException;
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isPrintJobCancelled() {
/*  708 */     return PrintJobAdministrator.c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void loadDefaultPrintAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/*  718 */     if (paramBoolean) d.clear(); 
/*  719 */     d.addAll(paramPrintRequestAttributeSet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void preloadPrintServiceMediaOnThread() {
/*  735 */     preloadPrintServiceMediaOnThread(getDefaultPrintService());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void preloadPrintServiceMediaOnThread(PrintService paramPrintService) {
/*  754 */     paramPrintService = paramPrintService;
/*      */     
/*  756 */     i i = new i(paramPrintService);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     Thread thread;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  772 */     (thread = new Thread(i)).setPriority(1);
/*  773 */     thread.start();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPageable(Pageable paramPageable, PrintInfoHolder paramPrintInfoHolder) {
/*  783 */     printPageable(paramPageable, paramPrintInfoHolder.getAttributeSet(), paramPrintInfoHolder.getSelectedPrintService(), a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPageable(Pageable paramPageable, PrintInfoHolder paramPrintInfoHolder, PrintJobOptions paramPrintJobOptions) {
/*  795 */     printPageable(paramPageable, paramPrintInfoHolder.getAttributeSet(), paramPrintInfoHolder.getSelectedPrintService(), paramPrintJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPageable(Pageable paramPageable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, PrintJobOptions paramPrintJobOptions) {
/*  811 */     CoverPagePrintableFactory coverPagePrintableFactory = null;
/*  812 */     coverPagePrintableFactory = null;
/*      */     
/*  814 */     String str = computePrintJobTitle(paramPageable);
/*      */ 
/*      */ 
/*      */     
/*  818 */     if (paramPrintRequestAttributeSet == null)
/*      */     {
/*  820 */       paramPrintRequestAttributeSet = getDefaultPrintAttributes();
/*      */     }
/*  822 */     if (paramPrintService == null)
/*      */     {
/*  824 */       paramPrintService = getDefaultPrintService();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  829 */     if (!(paramPageable instanceof c))
/*      */     {
/*      */       
/*  832 */       if ((coverPagePrintableFactory = c) != null && CoverPage.isToPrintCoverPage(paramPrintRequestAttributeSet)) {
/*      */ 
/*      */         
/*  835 */         Printable printable = coverPagePrintableFactory.buildCoverPagePrintable(str, paramPageable, paramPrintRequestAttributeSet, paramPrintService);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  844 */         paramPrintRequestAttributeSet = ((b)(paramPageable = new b(printable, paramPageable, paramPrintRequestAttributeSet))).a();
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  849 */     SimpleDoc simpleDoc = new SimpleDoc(paramPageable, DocFlavor.SERVICE_FORMATTED.PAGEABLE, null);
/*  850 */     PrintJobAdministrator.a(str, paramPageable, paramPrintService, paramPrintRequestAttributeSet, simpleDoc, paramPrintJobOptions);
/*      */ 
/*      */ 
/*      */     
/*  854 */     if (paramPrintJobOptions.isPrintServiceSavedAsDefault())
/*      */     {
/*  856 */       setDefaultPrintService(paramPrintService);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable) {
/*  870 */     PrintRequestAttributeSet printRequestAttributeSet = null;
/*      */     
/*  872 */     if (paramPrintable instanceof AttributeSetPrintable)
/*      */     {
/*  874 */       printRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*      */     }
/*  876 */     printPrintable(paramPrintable, printRequestAttributeSet, null, a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintService paramPrintService) {
/*  890 */     PrintRequestAttributeSet printRequestAttributeSet = null;
/*      */     
/*  892 */     if (paramPrintable instanceof AttributeSetPrintable)
/*      */     {
/*  894 */       printRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*      */     }
/*  896 */     printPrintable(paramPrintable, printRequestAttributeSet, paramPrintService, a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  905 */     printPrintable(paramPrintable, paramPrintRequestAttributeSet, null, a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService) {
/*  916 */     printPrintable(paramPrintable, paramPrintRequestAttributeSet, paramPrintService, a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintInfoHolder paramPrintInfoHolder) {
/*  926 */     printPrintable(paramPrintable, paramPrintInfoHolder, a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintInfoHolder paramPrintInfoHolder, PrintJobOptions paramPrintJobOptions) {
/*      */     PrintRequestAttributeSet printRequestAttributeSet;
/*  937 */     if (paramPrintable instanceof AttributeSetPrintable) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  946 */       printRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*      */     }
/*      */     else {
/*      */       
/*  950 */       printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/*      */     } 
/*      */ 
/*      */     
/*  954 */     printPrintable(paramPrintable, printRequestAttributeSet, paramPrintInfoHolder.getSelectedPrintService(), paramPrintJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, PrintJobOptions paramPrintJobOptions) {
/*      */     c c;
/*      */     PrintableImagePrintable printableImagePrintable;
/*      */     Printable printable1;
/*      */     PageUpPrintableWrapper pageUpPrintableWrapper;
/*      */     OddEvenPagePrintableWrapper oddEvenPagePrintableWrapper;
/*  975 */     AbstractPrinter.PrintWithImageOptions printWithImageOptions = null;
/*      */     
/*  977 */     Object object1 = null;
/*      */     
/*  979 */     object1 = null;
/*  980 */     Printable printable2 = paramPrintable;
/*  981 */     object1 = null;
/*  982 */     Object object2 = null;
/*  983 */     object1 = null;
/*  984 */     boolean bool2 = false;
/*      */ 
/*      */     
/*  987 */     boolean bool1 = false;
/*      */ 
/*      */ 
/*      */     
/*  991 */     if (paramPrintable instanceof ResetablePrintable)
/*      */     {
/*  993 */       ((ResetablePrintable)paramPrintable).reset();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  998 */     if (printable2 instanceof AbstractPrinter) {
/*      */ 
/*      */ 
/*      */       
/* 1002 */       if (((AbstractPrinter)printable2).isToPrintWithImage())
/*      */       {
/*      */ 
/*      */         
/* 1006 */         if ((printWithImageOptions = ((AbstractPrinter)printable2).getPrintWithImageOptions()) != null)
/*      */         {
/* 1008 */           printableImagePrintable = new PrintableImagePrintable(printable2, printWithImageOptions.getImageScaleFactor());
/*      */         
/*      */         }
/*      */       }
/*      */     }
/* 1013 */     else if (printableImagePrintable instanceof jpdf.ability.PrintImageUsable) {
/*      */       
/* 1015 */       printableImagePrintable = new PrintableImagePrintable((Printable)printableImagePrintable);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1020 */     if (paramPrintRequestAttributeSet == null)
/*      */     {
/* 1022 */       if (paramPrintable instanceof AttributeSetPrintable) {
/*      */         
/* 1024 */         paramPrintRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*      */       }
/*      */       else {
/*      */         
/* 1028 */         paramPrintRequestAttributeSet = getDefaultPrintAttributes();
/*      */       } 
/*      */     }
/* 1031 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintRequestAttributeSet;
/*      */ 
/*      */ 
/*      */     
/* 1035 */     if (paramPrintable instanceof AttributeSetPrintable)
/*      */     {
/* 1037 */       if (paramPrintRequestAttributeSet != ((AttributeSetPrintable)paramPrintable).getAttributeSet()) {
/*      */         
/* 1039 */         String str1 = "The Attribute Set used to print an Attribute Set Printable must be the Attribute Set referenced by that Printable.";
/*      */         
/* 1041 */         throw new IllegalArgumentException(str1);
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/* 1046 */     if (printableImagePrintable instanceof ValidatingPrintable) {
/*      */       
/*      */       try {
/*      */         
/* 1050 */         PageFormat pageFormat = PrintUtility.createPageFormat(paramPrintRequestAttributeSet);
/* 1051 */         ((ValidatingPrintable)printableImagePrintable).validate(pageFormat);
/*      */       }
/* 1053 */       catch (Exception exception) {
/*      */         
/* 1055 */         handleException((Throwable)(printRequestAttributeSet = null));
/*      */         
/*      */         return;
/*      */       } 
/*      */     }
/*      */     
/* 1061 */     if (paramPrintService == null) paramPrintService = getDefaultPrintService();
/*      */ 
/*      */     
/* 1064 */     if (b.size() > 0)
/*      */     {
/* 1066 */       printable1 = a((Printable)printableImagePrintable, printRequestAttributeSet, paramPrintService);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     NumberUp numberUp;
/*      */ 
/*      */     
/* 1074 */     if ((numberUp = (NumberUp)printRequestAttributeSet.get(NumberUp.class)) != null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1083 */       if ((paramPrintable = paramPrintable instanceof Printable && !(paramPrintable instanceof jpdf.ability.Unscalable) && paramPrintable instanceof jpdf.ability.navigate.JumpBackwardAble)) {
/*      */         int i;
/*      */         
/* 1086 */         if ((i = numberUp.getValue()) >= 2) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1091 */           printRequestAttributeSet = (pageUpPrintableWrapper = new PageUpPrintableWrapper(printable1, paramPrintRequestAttributeSet, i)).getPhysicalAttributeSet();
/* 1092 */           bool2 = true;
/*      */         } 
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1103 */     if (!bool2) {
/*      */       PrintPageOddEven printPageOddEven;
/*      */       
/* 1106 */       if ((printPageOddEven = (PrintPageOddEven)paramPrintRequestAttributeSet.get(PrintPageOddEven.class)) != null) {
/*      */         
/* 1108 */         PageRanges pageRanges = (PageRanges)paramPrintRequestAttributeSet.get(PageRanges.class);
/* 1109 */         oddEvenPagePrintableWrapper = new OddEvenPagePrintableWrapper((Printable)pageUpPrintableWrapper, pageRanges, (printPageOddEven == PrintPageOddEven.EVEN_ONLY));
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1115 */     String str = computePrintJobTitle(oddEvenPagePrintableWrapper);
/*      */ 
/*      */     
/*      */     CoverPagePrintableFactory coverPagePrintableFactory;
/*      */ 
/*      */     
/* 1121 */     if ((coverPagePrintableFactory = c) != null && CoverPage.isToPrintCoverPage(paramPrintRequestAttributeSet)) {
/*      */ 
/*      */       
/* 1124 */       Printable printable = coverPagePrintableFactory.buildCoverPagePrintable(str, oddEvenPagePrintableWrapper, paramPrintRequestAttributeSet, paramPrintService);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1138 */       printPageable(c = new c(printable, (Printable)oddEvenPagePrintableWrapper, printRequestAttributeSet), c.a(), paramPrintService, paramPrintJobOptions);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1144 */       SimpleDoc simpleDoc = new SimpleDoc(oddEvenPagePrintableWrapper, DocFlavor.SERVICE_FORMATTED.PRINTABLE, null);
/* 1145 */       PrintJobAdministrator.a(str, oddEvenPagePrintableWrapper, paramPrintService, (PrintRequestAttributeSet)c, simpleDoc, paramPrintJobOptions);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1150 */     if (paramPrintJobOptions.isPrintServiceSavedAsDefault())
/*      */     {
/* 1152 */       setDefaultPrintService(paramPrintService);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean removePrintableEncloser(PrintableEncloser paramPrintableEncloser) {
/* 1162 */     return b.remove(paramPrintableEncloser);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean removePrintableEncloser(Class<?> paramClass) {
/* 1171 */     Object object = null;
/* 1172 */     int i = b.size();
/*      */     
/* 1174 */     for (byte b = 0; b < i; b++) {
/*      */ 
/*      */       
/* 1177 */       if ((object = b.get(b)).getClass() == paramClass) {
/*      */         
/* 1179 */         b.remove(b);
/* 1180 */         return true;
/*      */       } 
/*      */     } 
/*      */     
/* 1184 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void resetDefaultAttributeSet() {
/* 1194 */     getDefaultPrintService(); PrintRequestAttributeSet printRequestAttributeSet = d();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void resetDefaults() {
/*      */     PrintService printService;
/* 1211 */     if ((printService = PrintServiceRegistry.lookupDefaultPrintService()) != null) {
/*      */       
/* 1213 */       setDefaultPrintService(printService);
/* 1214 */       PrintRequestAttributeSet printRequestAttributeSet = d();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultPrintAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 1223 */     d = paramPrintRequestAttributeSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultPrintJobOptions(PrintJobOptions paramPrintJobOptions) {
/* 1232 */     PrintJobOptions.a(a, paramPrintJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultPrintService(PrintService paramPrintService) {
/* 1241 */     if (!PrintServiceRegistry.isUnregistered(paramPrintService)) {
/*      */       
/* 1243 */       f = paramPrintService;
/* 1244 */       paramPrintService = paramPrintService; PrintInfoStateObserver printInfoStateObserver; if ((printInfoStateObserver = e) != null) printInfoStateObserver.defaultedPrintService(paramPrintService);
/*      */     
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void shutdownEnvironment() {
/* 1254 */     String str = System.getProperty("line.separator");
/*      */     
/* 1256 */     if (BasicLogManager.isInitialized()) {
/*      */       
/* 1258 */       BasicLogManager.logMessage(str + "Exit...");
/*      */     }
/*      */     else {
/*      */       
/* 1262 */       System.out.println("\nExit.");
/*      */     } 
/* 1264 */     BasicLogManager.terminate();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void submitTestPrintJob() {
/* 1273 */     submitTestPrintJob(a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void submitTestPrintJob(PrintJobOptions paramPrintJobOptions) {
/* 1282 */     PrintJobAdministrator.b("Test", null, getDefaultPrintService(), null, null, paramPrintJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void waitForMediaPreload() {
/* 1302 */     if (!e()) {
/*      */       return;
/*      */     }
/* 1305 */     for (byte b = 0; b < 50; b++) {
/*      */ 
/*      */       
/*      */       try {
/* 1309 */         Thread.sleep(100L);
/*      */       }
/* 1311 */       catch (InterruptedException interruptedException) {}
/* 1312 */       if (!e()) {
/*      */         return;
/*      */       }
/*      */     } 
/* 1316 */     d(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static CoverPagePrintableFactory a() {
/* 1333 */     return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static PrintInfoStateObserver b() {
/* 1341 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static boolean c() {
/* 1351 */     return a.isStatusDialogDisplayed();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static void a(CoverPagePrintableFactory paramCoverPagePrintableFactory) {
/* 1363 */     c = paramCoverPagePrintableFactory;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static void a(PrintInfoStateObserver paramPrintInfoStateObserver) {
/* 1371 */     e = paramPrintInfoStateObserver;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static void a(boolean paramBoolean) {
/* 1381 */     a.setStatusDialogModal(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static void b(boolean paramBoolean) {
/* 1391 */     a.setStatusDialogDisplayed(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static PrintRequestAttributeSet d() {
/*      */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet;
/* 1407 */     PrintUtility.addDefaultPageFormatAttributes(hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet());
/*      */ 
/*      */     
/* 1410 */     hashPrintRequestAttributeSet.add(new JobName("JPDF", null));
/*      */     
/* 1412 */     return hashPrintRequestAttributeSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static Printable a(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService) {
/* 1422 */     PrintableEncloser printableEncloser = null;
/* 1423 */     paramPrintable = paramPrintable;
/* 1424 */     int i = b.size();
/*      */     
/* 1426 */     for (byte b = 0; b < i; b++)
/*      */     {
/*      */       
/* 1429 */       paramPrintable = (printableEncloser = b.get(b)).wrapPrintable(paramPrintable, paramPrintRequestAttributeSet, paramPrintService);
/*      */     }
/*      */ 
/*      */     
/* 1433 */     return paramPrintable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static synchronized boolean e() {
/* 1470 */     return g;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static synchronized void d(boolean paramBoolean) {
/* 1478 */     g = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPageable(Pageable paramPageable, PrintInfoHolder paramPrintInfoHolder, boolean paramBoolean) {
/* 1496 */     printPageable(paramPageable, paramPrintInfoHolder.getAttributeSet(), paramPrintInfoHolder.getSelectedPrintService(), paramPrintInfoHolder.getDocFlavor(), paramBoolean, a.isStatusDialogDisplayed(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPageable(Pageable paramPageable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*      */     PrintJobOptions printJobOptions;
/* 1517 */     (printJobOptions = new PrintJobOptions()).setPrintServiceSavedAsDefault(paramBoolean1);
/* 1518 */     printJobOptions.setStatusDialogDisplayed(paramBoolean2);
/* 1519 */     printJobOptions.setStatusDialogModal(paramBoolean3);
/*      */     
/* 1521 */     printPageable(paramPageable, paramPrintRequestAttributeSet, paramPrintService, printJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintInfoHolder paramPrintInfoHolder, boolean paramBoolean) {
/*      */     PrintRequestAttributeSet printRequestAttributeSet;
/* 1532 */     PrintJobOptions printJobOptions = getDefaultPrintJobOptions();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1541 */     if (paramPrintable instanceof AttributeSetPrintable) {
/*      */       
/* 1543 */       printRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*      */     }
/*      */     else {
/*      */       
/* 1547 */       printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/*      */     } 
/*      */ 
/*      */     
/* 1551 */     printJobOptions.setPrintServiceSavedAsDefault(paramBoolean);
/* 1552 */     printPrintable(paramPrintable, printRequestAttributeSet, paramPrintInfoHolder.getSelectedPrintService(), printJobOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printPrintable(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*      */     PrintJobOptions printJobOptions;
/* 1572 */     (printJobOptions = new PrintJobOptions()).setPrintServiceSavedAsDefault(paramBoolean1);
/* 1573 */     printJobOptions.setStatusDialogDisplayed(paramBoolean2);
/* 1574 */     printJobOptions.setStatusDialogModal(paramBoolean3);
/*      */     
/* 1576 */     printPrintable(paramPrintable, paramPrintRequestAttributeSet, paramPrintService, printJobOptions);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\PrintManager.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */