/*     */ package jpdf.manage;
/*     */ 
/*     */ import java.text.DateFormat;
/*     */ import java.text.NumberFormat;
/*     */ import java.util.Date;
/*     */ import java.util.Locale;
/*     */ import javax.swing.text.AbstractDocument;
/*     */ import javax.swing.text.AttributeSet;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import javax.swing.text.DefaultStyledDocument;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintParameterHolder
/*     */ {
/*     */   public static final String DATE_MARKER = "[-d-]";
/*     */   public static final String PAGE_COUNT_MARKER = "[-n-]";
/*     */   public static final String PAGE_NUMBER_MARKER = "[-p-]";
/*     */   public static final String PAGE_ROW_NUMBER_MARKER = "[-pr-]";
/*     */   public static final String PAGE_COL_NUMBER_MARKER = "[-pc-]";
/*     */   public static final String SCALE_MARKER = "[-s-]";
/*     */   public static final String TIME_MARKER = "[-t-]";
/*     */   public static final String TITLE_MARKER = "[-T-]";
/*     */   public static final String NO_REPLACE_FLAG = "[[No Replace]]";
/*     */   
/*     */   static class a
/*     */   {
/*  55 */     private String a = null;
/*  56 */     private String b = null;
/*  57 */     private String c = null;
/*  58 */     private String d = null;
/*  59 */     private String e = null;
/*  60 */     private String f = null;
/*  61 */     private String g = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private a(PrintParameterHolder param1PrintParameterHolder) {
/*  67 */       this.a = PrintParameterHolder.a(param1PrintParameterHolder).format(param1PrintParameterHolder.date);
/*  68 */       this.b = PrintParameterHolder.b(param1PrintParameterHolder).format(param1PrintParameterHolder.date);
/*  69 */       this.c = Integer.toString(param1PrintParameterHolder.pageNo);
/*  70 */       this.d = PrintParameterHolder.c(param1PrintParameterHolder).format(param1PrintParameterHolder.scaleFactor);
/*  71 */       this.e = (param1PrintParameterHolder.pageCount >= 0) ? Integer.toString(param1PrintParameterHolder.pageCount) : "???";
/*  72 */       this.f = Integer.toString(param1PrintParameterHolder.getPageRowNo());
/*  73 */       this.g = Integer.toString(param1PrintParameterHolder.getPageColNo());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   private static int a = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 108 */   public Date date = null;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   public String title = "";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 119 */   public int pageNo = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 124 */   public int pageCount = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public int pageGridWidth = 1;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 134 */   public float scaleFactor = 1.0F;
/*     */   
/* 136 */   private DateFormat b = ResourceAdministrator.getDateFormat();
/* 137 */   private DateFormat c = ResourceAdministrator.getTimeFormat(); public PrintParameterHolder() {
/* 138 */     NumberFormat numberFormat = NumberFormat.getPercentInstance(); int i = getScalePercentageFractionalDigits(); numberFormat.setMinimumFractionDigits(i); numberFormat.setMaximumFractionDigits(i); this.d = numberFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private NumberFormat d;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void copyParameterValues(PrintParameterHolder paramPrintParameterHolder) {
/* 153 */     paramPrintParameterHolder.pageNo = this.pageNo;
/* 154 */     paramPrintParameterHolder.pageCount = this.pageCount;
/* 155 */     paramPrintParameterHolder.pageGridWidth = this.pageGridWidth;
/* 156 */     paramPrintParameterHolder.scaleFactor = this.scaleFactor;
/* 157 */     paramPrintParameterHolder.date = this.date;
/* 158 */     paramPrintParameterHolder.title = this.title;
/* 159 */     paramPrintParameterHolder.b = this.b;
/* 160 */     paramPrintParameterHolder.c = this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 170 */     if (!(paramObject instanceof PrintParameterHolder)) return false;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 175 */     if (((PrintParameterHolder)(paramObject = paramObject)).pageNo != this.pageNo) return false; 
/* 176 */     if (((PrintParameterHolder)paramObject).pageCount != this.pageCount) return false; 
/* 177 */     if (((PrintParameterHolder)paramObject).pageGridWidth != this.pageGridWidth) return false; 
/* 178 */     if (((PrintParameterHolder)paramObject).scaleFactor != this.scaleFactor) return false; 
/* 179 */     if ((((PrintParameterHolder)paramObject).date == null && this.date != null) || !((PrintParameterHolder)paramObject).date.equals(this.date))
/* 180 */       return false; 
/* 181 */     if ((((PrintParameterHolder)paramObject).title == null && this.title != null) || !((PrintParameterHolder)paramObject).title.equals(this.title))
/* 182 */       return false; 
/* 183 */     if ((((PrintParameterHolder)paramObject).b == null && this.b != null) || !((PrintParameterHolder)paramObject).b.equals(this.b))
/* 184 */       return false; 
/* 185 */     if ((((PrintParameterHolder)paramObject).c == null && this.c != null) || !((PrintParameterHolder)paramObject).c.equals(this.c)) {
/* 186 */       return false;
/*     */     }
/* 188 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 198 */     return this.pageNo + this.pageCount + this.pageGridWidth + (int)(100.0F * this.scaleFactor) + (this.title + '~' + this.date + '~' + this.b + '~' + this.c).hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateFormat getDateFormat() {
/* 208 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageColNo() {
/* 217 */     return (this.pageNo - 1) % this.pageGridWidth + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageRowNo() {
/* 227 */     return (this.pageNo - 1) / this.pageGridWidth + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getScalePercentageFractionalDigits() {
/* 238 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateFormat getTimeFormat() {
/* 247 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToReplaceMarkers() {
/* 258 */     return (this.title != "[[No Replace]]");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String replaceAll(String paramString1, String paramString2, String paramString3) {
/* 271 */     StringBuilder stringBuilder = new StringBuilder();
/* 272 */     int i = 0;
/* 273 */     int j = 0;
/*     */ 
/*     */ 
/*     */     
/* 277 */     while ((j = paramString1.indexOf(paramString2, i)) >= 0) {
/*     */ 
/*     */       
/* 280 */       stringBuilder.append(paramString1.substring(i, j));
/*     */ 
/*     */       
/* 283 */       stringBuilder.append(paramString3);
/*     */ 
/*     */ 
/*     */       
/* 287 */       i = j + paramString2.length();
/*     */     } 
/*     */ 
/*     */     
/* 291 */     stringBuilder.append(paramString1.substring(i));
/*     */     
/* 293 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String replaceMarkers(String paramString) {
/* 302 */     if (paramString.length() == 0) return paramString;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 310 */     a a = new a(this, (byte)0);
/*     */ 
/*     */     
/* 313 */     paramString = replaceMarkerInString(paramString, "[-d-]", a.a(a));
/* 314 */     paramString = replaceMarkerInString(paramString, "[-t-]", a.b(a));
/* 315 */     paramString = replaceMarkerInString(paramString, "[-p-]", a.c(a));
/* 316 */     paramString = replaceMarkerInString(paramString, "[-n-]", a.d(a));
/* 317 */     paramString = replaceMarkerInString(paramString, "[-s-]", a.e(a));
/* 318 */     paramString = replaceMarkerInString(paramString, "[-T-]", this.title);
/* 319 */     paramString = replaceMarkerInString(paramString, "[-pr-]", a.f(a));
/*     */ 
/*     */     
/* 322 */     return paramString = replaceMarkerInString(paramString, "[-pc-]", a.g(a));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void replaceMarkers(AbstractDocument paramAbstractDocument) {
/* 330 */     if (paramAbstractDocument.getLength() == 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 336 */     a a = new a(this, (byte)0);
/*     */ 
/*     */     
/* 339 */     replaceMarkerInDocument(paramAbstractDocument, "[-d-]", a.a(a));
/* 340 */     replaceMarkerInDocument(paramAbstractDocument, "[-t-]", a.b(a));
/* 341 */     replaceMarkerInDocument(paramAbstractDocument, "[-p-]", a.c(a));
/* 342 */     replaceMarkerInDocument(paramAbstractDocument, "[-n-]", a.d(a));
/* 343 */     replaceMarkerInDocument(paramAbstractDocument, "[-s-]", a.e(a));
/* 344 */     replaceMarkerInDocument(paramAbstractDocument, "[-T-]", this.title);
/* 345 */     replaceMarkerInDocument(paramAbstractDocument, "[-pr-]", a.f(a));
/* 346 */     replaceMarkerInDocument(paramAbstractDocument, "[-pc-]", a.g(a));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void replaceMarkers(DefaultStyledDocument paramDefaultStyledDocument) {
/* 355 */     if (paramDefaultStyledDocument.getLength() == 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 361 */     a a = new a(this, (byte)0);
/*     */ 
/*     */     
/* 364 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-d-]", a.a(a));
/* 365 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-t-]", a.b(a));
/* 366 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-p-]", a.c(a));
/* 367 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-n-]", a.d(a));
/* 368 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-s-]", a.e(a));
/* 369 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-T-]", this.title);
/* 370 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-pr-]", a.f(a));
/* 371 */     replaceMarkerInDocumentStyled(paramDefaultStyledDocument, "[-pc-]", a.g(a));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDateStyle(int paramInt) {
/* 382 */     this.b = DateFormat.getDateInstance(paramInt, Locale.getDefault());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setScalePercentageFractionalDigits(int paramInt) {
/* 392 */     a = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTimeStyle(int paramInt) {
/* 403 */     this.c = DateFormat.getTimeInstance(paramInt, Locale.getDefault());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 413 */     return getClass().getName() + " -- Date: " + this.date + ", Title: " + this.title + ", Page No.: " + this.pageNo + ", Page Count: " + this.pageCount + ", Page Grid Width: " + this.pageGridWidth + ", Scale Factor: " + this.scaleFactor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void replaceMarkerInDocument(AbstractDocument paramAbstractDocument, String paramString1, String paramString2) {
/* 430 */     int i = paramString1.length();
/* 431 */     int j = 0;
/* 432 */     j = 0;
/*     */ 
/*     */ 
/*     */     
/* 436 */     while (j < paramAbstractDocument.getLength()) {
/*     */ 
/*     */       
/* 439 */       if ((j = a(paramAbstractDocument, paramString1, j)) >= 0) {
/*     */ 
/*     */         
/*     */         try {
/*     */           
/* 444 */           paramAbstractDocument.replace(j, i, paramString2, null);
/*     */         }
/* 446 */         catch (BadLocationException badLocationException2) {
/*     */           BadLocationException badLocationException1;
/* 448 */           PrintManager.handleException(badLocationException1 = null, false, false);
/*     */         } 
/*     */ 
/*     */         
/* 452 */         j += i;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void replaceMarkerInDocumentStyled(DefaultStyledDocument paramDefaultStyledDocument, String paramString1, String paramString2) {
/* 464 */     Object object = null;
/* 465 */     int j = paramString1.length();
/* 466 */     int k = 0;
/* 467 */     int i = 0;
/*     */ 
/*     */ 
/*     */     
/* 471 */     while (i < paramDefaultStyledDocument.getLength()) {
/*     */ 
/*     */       
/* 474 */       if ((k = a(paramDefaultStyledDocument, paramString1, i)) >= 0) {
/*     */ 
/*     */         
/*     */         try {
/*     */           
/* 479 */           AttributeSet attributeSet = paramDefaultStyledDocument.getCharacterElement(k).getAttributes();
/* 480 */           paramDefaultStyledDocument.replace(k, j, paramString2, attributeSet);
/*     */         
/*     */         }
/* 483 */         catch (BadLocationException badLocationException2) {
/*     */           BadLocationException badLocationException1;
/* 485 */           PrintManager.handleException(badLocationException1 = null, false, false);
/*     */         } 
/*     */ 
/*     */         
/* 489 */         i = k + j;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String replaceMarkerInString(String paramString1, String paramString2, String paramString3) {
/* 502 */     return replaceAll(paramString1, paramString2, paramString3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(AbstractDocument paramAbstractDocument, String paramString, int paramInt) {
/* 531 */     Object object = null;
/* 532 */     int i = paramAbstractDocument.getLength();
/* 533 */     int j = -99;
/*     */     
/* 535 */     if (paramInt < i) {
/*     */       try {
/*     */         String str;
/*     */ 
/*     */ 
/*     */         
/* 541 */         if ((j = (str = paramAbstractDocument.getText(paramInt, i - paramInt)).indexOf(paramString)) >= 0) j += paramInt;
/*     */       
/* 543 */       } catch (BadLocationException badLocationException) {
/*     */         
/* 545 */         PrintManager.handleException((Throwable)(paramAbstractDocument = null), false, false);
/*     */       } 
/*     */     }
/*     */     
/* 549 */     return j;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\PrintParameterHolder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */