/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.print.PageFormat;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.HashAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTable;
/*     */ import jpdf.ability.AttributeSetUpdateObserver;
/*     */ import jpdf.ability.ContentAlignable;
/*     */ import jpdf.ability.FitScalabilityCoded;
/*     */ import jpdf.ability.PrintGapGettable;
/*     */ import jpdf.ability.Selector;
/*     */ import jpdf.attribute.AlignmentFactorVertical;
/*     */ import jpdf.attribute.FitToPages;
/*     */ import jpdf.attribute.HeaderFooterDateFormat;
/*     */ import jpdf.attribute.HeaderFooterTimeFormat;
/*     */ import jpdf.attribute.OffsetLeft;
/*     */ import jpdf.attribute.OffsetRight;
/*     */ import jpdf.attribute.SplitColumns;
/*     */ import jpdf.attribute.WrapToFitPage;
/*     */ import jpdf.gui.controller.SplitColumnsPanel;
/*     */ import jpdf.gui.controller.WrapToFitPagePanel;
/*     */ import jpdf.gui.dialog.AbstractPrintDialog;
/*     */ import jpdf.gui.dialog.PrintDialogCustomizer;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf.printable.ResetablePrintable;
/*     */ import jpdf.utility.AttributeClassifier;
/*     */ import jpdf.utility.PageDecorationPainter;
/*     */ import jpdf.utility.PageDecorationUtility;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf.wrap.graphics.NoDrawGraphics2DWrapper;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ 
/*     */ public abstract class AbstractComponentListPrinter extends AbstractPrinter implements ContentAlignable, FitScalabilityCoded, PrintDialogCustomizer, FullyNavigableAttributeSetPrintable, ResetablePrintable {
/*     */   public static final int START_NEW_PAGE = -1;
/*     */   public static final int START_NEW_PAGE_IF_NOT_FIT = -91;
/*     */   private static final FitToPages a;
/*     */   private final AbstractComponentPrinter[] b;
/*     */   private final b[] c;
/*     */   private final boolean d;
/*     */   private final int e;
/*     */   private PageDecorationPainter f = null; private int g = -1; private int h = -1; private c i = new c((byte)0); private c j = new c((byte)0); private final null k = (null)new Object((byte)0) {
/*     */       private Rectangle[] a = new Rectangle[] { new Rectangle(), new Rectangle() }; private int[] b = new int[] { -1543, -1543 }; Rectangle a(PageDecorationUtility.DecorationOptions param1DecorationOptions) { boolean bool = true; if (this.b[0] == param1DecorationOptions.pageIndex || this.b[0] < 0)
/*     */           bool = false;  this.a[bool].setBounds(param1DecorationOptions.pageContentRectangle); this.b[bool] = param1DecorationOptions.pageIndex; return this.a[bool]; } Rectangle a(int param1Int, Rectangle param1Rectangle, float param1Float, PageDecorationUtility.DecorationOptions param1DecorationOptions) { Rectangle rectangle1 = null; float f = param1Float; Rectangle rectangle2; if (!(((rectangle2 = param1Rectangle).height / f < 72.0F) ? 1 : 0))
/*     */           return null;  if (param1DecorationOptions.pageIndex == param1Int) { rectangle1 = param1DecorationOptions.pageContentRectangle; } else if (this.b[0] == param1Int) { rectangle1 = this.a[0]; } else if (this.b[1] == param1Int) { rectangle1 = this.a[1]; }  if (rectangle1 == null)
/*     */           return null;  param1Int = param1Rectangle.y; int i = param1Rectangle.y + param1Rectangle.height - 1; param1Int = (int)(param1Int / param1Float); i = (int)(i / param1Float); return ((param1Int = (param1Int < rectangle1.y || i > rectangle1.y + rectangle1.height) ? 1 : 0) != 0) ? null : new Rectangle(rectangle1); }
/*     */     }; public AbstractComponentListPrinter(AbstractComponentPrinter[] paramArrayOfAbstractComponentPrinter, PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, int paramInt1, int paramInt2) { this(paramArrayOfAbstractComponentPrinter, buildAttributeSetArray(paramPrintRequestAttributeSet, paramArrayOfAbstractComponentPrinter.length), paramString, buildGapArray(paramInt1, paramArrayOfAbstractComponentPrinter.length), paramInt2); } public AbstractComponentListPrinter(AbstractComponentPrinter[] paramArrayOfAbstractComponentPrinter, PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, int[] paramArrayOfint, int paramInt) { this(paramArrayOfAbstractComponentPrinter, buildAttributeSetArray(paramPrintRequestAttributeSet, paramArrayOfAbstractComponentPrinter.length), paramString, paramArrayOfint, paramInt); } public AbstractComponentListPrinter(AbstractComponentPrinter[] paramArrayOfAbstractComponentPrinter, PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet, String paramString, int[] paramArrayOfint, int paramInt) { super(paramString, null); if (paramArrayOfAbstractComponentPrinter == null) { paramString = "The Printer List cannot be null."; throw new IllegalArgumentException(paramString); }  if (paramArrayOfAbstractComponentPrinter.length == 0) { paramString = "The Printer List must contain at least one Printer."; throw new IllegalArgumentException(paramString); }  if (paramInt < 0 || paramInt >= paramArrayOfAbstractComponentPrinter.length) { paramString = "Invalid Primary Printer Index: " + paramInt; throw new IllegalArgumentException(paramString); }
/*     */      if (paramArrayOfPrintRequestAttributeSet.length != paramArrayOfAbstractComponentPrinter.length) { paramString = "The Attribute Set List must have the same length as the Printer List."; throw new IllegalArgumentException(paramString); }
/*     */      this.c = new b[paramArrayOfAbstractComponentPrinter.length]; this.b = paramArrayOfAbstractComponentPrinter; this.e = paramInt; this.d = !a(paramArrayOfPrintRequestAttributeSet); a(paramArrayOfPrintRequestAttributeSet, paramArrayOfint, !this.d); PageFormat pageFormat = PrintUtility.createPageFormat(paramArrayOfPrintRequestAttributeSet[this.e]); for (byte b1 = 0; b1 < this.b.length; b1++) { this.b[b1].setAttributeSet(paramArrayOfPrintRequestAttributeSet[b1]); this.b[b1].prepareForPrinting(pageFormat, paramArrayOfPrintRequestAttributeSet[b1]); this.b[b1].d(0); }
/*     */      } public int computePageCount() { PageFormat pageFormat = PrintUtility.createPageFormat(getAttributeSet()); return computePageCount(pageFormat); } public int computePageCount(PageFormat paramPageFormat) { int j = 0; j = 0; reset(); PrintRequestAttributeSet printRequestAttributeSet = getPrimaryPrinter().getAttributeSet(); this.PRINT_PARAM_HOLDER.setDateStyle(HeaderFooterDateFormat.getDateStyle(printRequestAttributeSet)); this.PRINT_PARAM_HOLDER.setTimeStyle(HeaderFooterTimeFormat.getTimeStyle(printRequestAttributeSet)); if (this.d) { AbstractComponentListPrinter abstractComponentListPrinter1; PrintRequestAttributeSet printRequestAttributeSet1 = (abstractComponentListPrinter1 = this).getPrimaryPrinter().getAttributeSet(); HashAttributeSet hashAttributeSet = new HashAttributeSet(); Attribute attribute = null; attribute = null; Class[] arrayOfClass = AttributeClassifier.getPageDecorationAttributeClasses(); byte b2; for (b2 = 0; b2 < arrayOfClass.length; b2++) { if (arrayOfClass[b2] != OffsetLeft.class && arrayOfClass[b2] != OffsetRight.class && (attribute = printRequestAttributeSet1.get(arrayOfClass[b2])) != null)
/*     */           hashAttributeSet.add(attribute);  }
/*     */        for (b2 = 0; b2 < abstractComponentListPrinter1.b.length; b2++) { PrintRequestAttributeSet printRequestAttributeSet2; if (b2 != abstractComponentListPrinter1.e && (printRequestAttributeSet2 = abstractComponentListPrinter1.b[b2].getAttributeSet()) != printRequestAttributeSet1)
/*     */           printRequestAttributeSet2.addAll(hashAttributeSet);  }
/*     */        }
/*     */      a(printRequestAttributeSet); int i = this.b[0].computePageCount(paramPageFormat); for (byte b1 = 1; b1 < this.b.length; b1++) { j = b1 - 1; b.a(this.c[b1], b.a(this.c[j]) + this.b[j].getPageCount()); if (!isToStartNewPage(paramPageFormat, j)) { j = this.b[j].getLastPageHeightUsed() + getGapHeight(j); this.b[b1].setEmptySpaceAtFirstPageTop(j); b.b(this.c[b1]); i--; }
/*     */       else { this.b[b1].setEmptySpaceAtFirstPageTop(0); }
/*     */        this.b[b1].setDisplayPageNumberOffset(b.a(this.c[b1])); i += this.b[b1].computePageCount(paramPageFormat); }
/*     */      j = i; AbstractComponentListPrinter abstractComponentListPrinter; (abstractComponentListPrinter = this).g = j; return i; } public void configureForContinuousTableRowNumbering(Selector paramSelector) { Object object = null; JTable jTable = null; byte b1 = -1; int i = 0; int j = 0; byte b2 = 0; byte b3; for (b3 = 0; b3 < this.b.length; b3++) { if (this.b[b3] instanceof TableComponentPrinter && paramSelector.isSelected(this.b[b3])) { jTable = (JTable)this.b[b3].getTargetComponent(); i += jTable.getRowCount(); b2++; if (b1 < 0)
/*     */           b1 = b3;  }
/*     */        }
/*     */      if (b2 <= 1)
/*     */       return;  for (b3 = b1; b3 < this.b.length; b3++) { if (this.b[b3] instanceof TableComponentPrinter && paramSelector.isSelected(this.b[b3])) { TableComponentPrinter tableComponentPrinter = (TableComponentPrinter)this.b[b3]; jTable = (JTable)this.b[b3].getTargetComponent(); tableComponentPrinter.setRowNumberOffset(j, i); j += jTable.getRowCount(); }
/*     */        }
/*     */      } public void customizePrintDialog(AbstractPrintDialog paramAbstractPrintDialog) { if (paramAbstractPrintDialog instanceof jpdf.gui.dialog.PrintDialog)
/*     */       return;  paramAbstractPrintDialog.setControllerEnabled(WrapToFitPagePanel.class, false); if (a(this.e) || b(getAttributeSet()))
/*     */       paramAbstractPrintDialog.setControllerEnabled(SplitColumnsPanel.class, false);  } public PrintRequestAttributeSet getAttributeSet() { return getPrimaryPrinter().getAttributeSet(); } public int getComponentCount() { return this.b.length; } public JComponent getComponent(int paramInt) { return (JComponent)this.b[paramInt].getTargetComponent(); } public int getComponentIndex(JComponent paramJComponent) { byte b1 = -1; for (byte b2 = 0; b2 < this.b.length; b2++) { if (this.b[b2].getTargetComponent() == paramJComponent) { b1 = b2; break; }
/*     */        }
/*     */      return b1; } public AbstractComponentPrinter getComponentPrinter(int paramInt) { return this.b[paramInt]; } public AbstractComponentPrinter getComponentPrinter(JComponent paramJComponent) { int i; return ((i = getComponentIndex(paramJComponent)) < 0) ? null : this.b[i]; } public int getFitScalingSupportCode() { int i; return ((i = getPrimaryPrinter().getFitScalingSupportCode()) == 1 || i == 2 || i == 3) ? 2 : 0; } public int getGapHeight(int paramInt) { return b.c(this.c[paramInt]); } public int getPageCount() { return this.g; } public Color getPageBackgroundColor() { return getPrimaryPrinter().getPageBackgroundColor(); } public JComponent getPrimaryComponent() { return (JComponent)getPrimaryPrinter().getTargetComponent(); } public int getPrimaryComponentIndex() { return this.e; } public AbstractComponentPrinter getPrimaryPrinter() { return this.b[this.e]; } public int getPrintedPageIndex() { return this.h; } public float getScaleFactor() { return (getPrimaryPrinter()).SCALE_FACTOR_INFO_HOLDER.scaleFactor; } public int getStartNewPageHeight(int paramInt) { return b.d(this.c[paramInt]); } public boolean isHorizontallyAlignable() { return true; } public boolean isVerticallyAlignable() { return false; } public boolean isUsingIndependentAttributeSets() { return this.d; } public int print(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt) { // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: invokevirtual getPrintCustomizer : ()Ljpdf/printer/PrintCustomizer;
/*     */     //   4: astore #4
/*     */     //   6: aload_1
/*     */     //   7: checkcast java/awt/Graphics2D
/*     */     //   10: dup
/*     */     //   11: astore #5
/*     */     //   13: invokevirtual getTransform : ()Ljava/awt/geom/AffineTransform;
/*     */     //   16: astore #6
/*     */     //   18: aload #5
/*     */     //   20: invokevirtual getClipBounds : ()Ljava/awt/Rectangle;
/*     */     //   23: astore #7
/*     */     //   25: iconst_0
/*     */     //   26: istore #8
/*     */     //   28: aload_0
/*     */     //   29: invokevirtual getPageCount : ()I
/*     */     //   32: dup
/*     */     //   33: istore #8
/*     */     //   35: iconst_m1
/*     */     //   36: if_icmpne -> 52
/*     */     //   39: sipush #200
/*     */     //   42: invokestatic b : (I)V
/*     */     //   45: aload_0
/*     */     //   46: aload_2
/*     */     //   47: invokevirtual computePageCount : (Ljava/awt/print/PageFormat;)I
/*     */     //   50: istore #8
/*     */     //   52: aload_0
/*     */     //   53: iload_3
/*     */     //   54: invokevirtual getPrinterIndexForPage : (I)I
/*     */     //   57: istore #10
/*     */     //   59: iload_3
/*     */     //   60: iload #8
/*     */     //   62: if_icmplt -> 67
/*     */     //   65: iconst_1
/*     */     //   66: ireturn
/*     */     //   67: aload_0
/*     */     //   68: getstatic jpdf/printer/observer/PrinterEventType.START_PAGE_PRINT : Ljpdf/printer/observer/PrinterEventType;
/*     */     //   71: aload #5
/*     */     //   73: aload_2
/*     */     //   74: iload_3
/*     */     //   75: fconst_0
/*     */     //   76: invokevirtual broadcastEventToObservers : (Ljpdf/printer/observer/PrinterEventType;Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;IF)V
/*     */     //   79: aload #4
/*     */     //   81: ifnull -> 109
/*     */     //   84: aload #4
/*     */     //   86: aload #5
/*     */     //   88: aload_2
/*     */     //   89: iload_3
/*     */     //   90: aload_0
/*     */     //   91: aload_0
/*     */     //   92: invokevirtual getPrimaryPrinter : ()Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   95: invokevirtual getAttributeSet : ()Ljavax/print/attribute/PrintRequestAttributeSet;
/*     */     //   98: aload_0
/*     */     //   99: getfield PRINT_PARAM_HOLDER : Ljpdf/manage/PrintParameterHolder;
/*     */     //   102: invokeinterface customizePrint : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;ILjpdf/printer/AbstractPrinter;Ljavax/print/attribute/AttributeSet;Ljpdf/manage/PrintParameterHolder;)Ljava/awt/Graphics2D;
/*     */     //   107: astore #5
/*     */     //   109: aload_0
/*     */     //   110: aload #5
/*     */     //   112: aload_2
/*     */     //   113: iload_3
/*     */     //   114: aload_0
/*     */     //   115: invokevirtual getDisplayPageCount : ()I
/*     */     //   118: invokevirtual printPageDecorations : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;II)V
/*     */     //   121: aload_0
/*     */     //   122: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*     */     //   125: getfield pageContentRectangle : Ljava/awt/Rectangle;
/*     */     //   128: astore #4
/*     */     //   130: aconst_null
/*     */     //   131: astore #13
/*     */     //   133: aconst_null
/*     */     //   134: astore #14
/*     */     //   136: aload #5
/*     */     //   138: invokestatic isTransparentImageGraphics : (Ljava/awt/Graphics;)Z
/*     */     //   141: ifne -> 148
/*     */     //   144: iconst_1
/*     */     //   145: goto -> 149
/*     */     //   148: iconst_0
/*     */     //   149: dup
/*     */     //   150: istore #15
/*     */     //   152: ifeq -> 169
/*     */     //   155: aload #5
/*     */     //   157: invokevirtual getClipBounds : ()Ljava/awt/Rectangle;
/*     */     //   160: astore #14
/*     */     //   162: aload #5
/*     */     //   164: invokevirtual getTransform : ()Ljava/awt/geom/AffineTransform;
/*     */     //   167: astore #13
/*     */     //   169: aload #5
/*     */     //   171: invokestatic isTransparentImageGraphics : (Ljava/awt/Graphics;)Z
/*     */     //   174: ifeq -> 370
/*     */     //   177: aload_0
/*     */     //   178: iload_3
/*     */     //   179: aload #7
/*     */     //   181: getfield y : I
/*     */     //   184: aload #4
/*     */     //   186: getfield y : I
/*     */     //   189: istore #7
/*     */     //   191: istore #6
/*     */     //   193: istore #5
/*     */     //   195: dup
/*     */     //   196: astore_3
/*     */     //   197: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   200: arraylength
/*     */     //   201: iconst_1
/*     */     //   202: isub
/*     */     //   203: istore #8
/*     */     //   205: iload #7
/*     */     //   207: istore #7
/*     */     //   209: iconst_0
/*     */     //   210: istore #9
/*     */     //   212: iload #9
/*     */     //   214: aload_3
/*     */     //   215: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   218: arraylength
/*     */     //   219: if_icmpge -> 349
/*     */     //   222: aload_3
/*     */     //   223: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   226: iload #9
/*     */     //   228: aaload
/*     */     //   229: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$b;)I
/*     */     //   232: aload_3
/*     */     //   233: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   236: iload #9
/*     */     //   238: aaload
/*     */     //   239: invokevirtual getPageCount : ()I
/*     */     //   242: iadd
/*     */     //   243: iload #5
/*     */     //   245: if_icmple -> 343
/*     */     //   248: iload #9
/*     */     //   250: istore #9
/*     */     //   252: iload #9
/*     */     //   254: aload_3
/*     */     //   255: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   258: arraylength
/*     */     //   259: if_icmpge -> 309
/*     */     //   262: iload #7
/*     */     //   264: aload_3
/*     */     //   265: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   268: iload #9
/*     */     //   270: aaload
/*     */     //   271: iload #5
/*     */     //   273: invokevirtual getComponentHeightOnPage : (I)I
/*     */     //   276: iadd
/*     */     //   277: dup
/*     */     //   278: istore #7
/*     */     //   280: iload #6
/*     */     //   282: if_icmplt -> 292
/*     */     //   285: iload #9
/*     */     //   287: istore #8
/*     */     //   289: goto -> 349
/*     */     //   292: iload #7
/*     */     //   294: aload_3
/*     */     //   295: iload #9
/*     */     //   297: invokevirtual getGapHeight : (I)I
/*     */     //   300: iadd
/*     */     //   301: istore #7
/*     */     //   303: iinc #9, 1
/*     */     //   306: goto -> 252
/*     */     //   309: ldc 'Should not ever get to this code.'
/*     */     //   311: astore #9
/*     */     //   313: new java/lang/Exception
/*     */     //   316: dup
/*     */     //   317: aload #9
/*     */     //   319: invokespecial <init> : (Ljava/lang/String;)V
/*     */     //   322: iconst_0
/*     */     //   323: iconst_0
/*     */     //   324: invokestatic handleException : (Ljava/lang/Throwable;ZZ)V
/*     */     //   327: getstatic jpdf/printer/AbstractComponentListPrinter.l : Z
/*     */     //   330: ifne -> 349
/*     */     //   333: new java/lang/AssertionError
/*     */     //   336: dup
/*     */     //   337: aload #9
/*     */     //   339: invokespecial <init> : (Ljava/lang/Object;)V
/*     */     //   342: athrow
/*     */     //   343: iinc #9, 1
/*     */     //   346: goto -> 212
/*     */     //   349: iload #8
/*     */     //   351: istore #10
/*     */     //   353: aload_0
/*     */     //   354: aload_1
/*     */     //   355: aload_2
/*     */     //   356: iconst_0
/*     */     //   357: iload #10
/*     */     //   359: ldc 'transparent image'
/*     */     //   361: aload #4
/*     */     //   363: invokespecial a : (Ljava/awt/Graphics;Ljava/awt/print/PageFormat;IILjava/lang/String;Ljava/awt/Rectangle;)I
/*     */     //   366: dup
/*     */     //   367: istore #11
/*     */     //   369: ireturn
/*     */     //   370: iload_3
/*     */     //   371: aload_0
/*     */     //   372: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   375: iload #10
/*     */     //   377: aaload
/*     */     //   378: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$b;)I
/*     */     //   381: isub
/*     */     //   382: istore #9
/*     */     //   384: aload #4
/*     */     //   386: getfield y : I
/*     */     //   389: aload #7
/*     */     //   391: getfield y : I
/*     */     //   394: isub
/*     */     //   395: istore #12
/*     */     //   397: aload #5
/*     */     //   399: aload #6
/*     */     //   401: invokevirtual setTransform : (Ljava/awt/geom/AffineTransform;)V
/*     */     //   404: aload #5
/*     */     //   406: aload #7
/*     */     //   408: invokevirtual setClip : (Ljava/awt/Shape;)V
/*     */     //   411: aload_0
/*     */     //   412: getstatic jpdf/printer/observer/PrinterEventType.START_PAGE_CONTENT_PRINT : Ljpdf/printer/observer/PrinterEventType;
/*     */     //   415: aload #5
/*     */     //   417: aload_2
/*     */     //   418: iload_3
/*     */     //   419: fconst_0
/*     */     //   420: invokevirtual broadcastEventToObservers : (Ljpdf/printer/observer/PrinterEventType;Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;IF)V
/*     */     //   423: aload_0
/*     */     //   424: aload_1
/*     */     //   425: aload_2
/*     */     //   426: iload #9
/*     */     //   428: iload #10
/*     */     //   430: aconst_null
/*     */     //   431: aload #4
/*     */     //   433: invokespecial a : (Ljava/awt/Graphics;Ljava/awt/print/PageFormat;IILjava/lang/String;Ljava/awt/Rectangle;)I
/*     */     //   436: dup
/*     */     //   437: istore #11
/*     */     //   439: ifne -> 610
/*     */     //   442: aload_0
/*     */     //   443: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   446: iload #10
/*     */     //   448: aaload
/*     */     //   449: invokevirtual getPageCount : ()I
/*     */     //   452: iload #9
/*     */     //   454: iconst_1
/*     */     //   455: iadd
/*     */     //   456: if_icmpne -> 463
/*     */     //   459: iconst_1
/*     */     //   460: goto -> 464
/*     */     //   463: iconst_0
/*     */     //   464: istore #8
/*     */     //   466: iload #10
/*     */     //   468: aload_0
/*     */     //   469: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   472: arraylength
/*     */     //   473: iconst_1
/*     */     //   474: isub
/*     */     //   475: if_icmpge -> 568
/*     */     //   478: iinc #10, 1
/*     */     //   481: aload_0
/*     */     //   482: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   485: iload #10
/*     */     //   487: aaload
/*     */     //   488: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$b;)I
/*     */     //   491: iload_3
/*     */     //   492: if_icmpne -> 565
/*     */     //   495: aload #5
/*     */     //   497: aload #6
/*     */     //   499: invokevirtual setTransform : (Ljava/awt/geom/AffineTransform;)V
/*     */     //   502: aload #5
/*     */     //   504: aload #7
/*     */     //   506: invokevirtual setClip : (Ljava/awt/Shape;)V
/*     */     //   509: aload_0
/*     */     //   510: iload #10
/*     */     //   512: iconst_1
/*     */     //   513: isub
/*     */     //   514: aload #5
/*     */     //   516: aload_2
/*     */     //   517: iload #12
/*     */     //   519: iconst_0
/*     */     //   520: iconst_0
/*     */     //   521: invokespecial a : (ILjava/awt/Graphics2D;Ljava/awt/print/PageFormat;IZI)V
/*     */     //   524: aload_0
/*     */     //   525: aload_1
/*     */     //   526: aload_2
/*     */     //   527: iconst_0
/*     */     //   528: iload #10
/*     */     //   530: aconst_null
/*     */     //   531: aload #4
/*     */     //   533: invokespecial a : (Ljava/awt/Graphics;Ljava/awt/print/PageFormat;IILjava/lang/String;Ljava/awt/Rectangle;)I
/*     */     //   536: istore #11
/*     */     //   538: aload_0
/*     */     //   539: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   542: iload #10
/*     */     //   544: aaload
/*     */     //   545: invokevirtual getPageCount : ()I
/*     */     //   548: iconst_1
/*     */     //   549: if_icmpne -> 556
/*     */     //   552: iconst_1
/*     */     //   553: goto -> 557
/*     */     //   556: iconst_0
/*     */     //   557: istore #8
/*     */     //   559: iconst_0
/*     */     //   560: istore #9
/*     */     //   562: goto -> 466
/*     */     //   565: iinc #10, -1
/*     */     //   568: iload #8
/*     */     //   570: ifeq -> 601
/*     */     //   573: aload #5
/*     */     //   575: aload #6
/*     */     //   577: invokevirtual setTransform : (Ljava/awt/geom/AffineTransform;)V
/*     */     //   580: aload #5
/*     */     //   582: aload #7
/*     */     //   584: invokevirtual setClip : (Ljava/awt/Shape;)V
/*     */     //   587: aload_0
/*     */     //   588: iload #10
/*     */     //   590: aload #5
/*     */     //   592: aload_2
/*     */     //   593: iload #12
/*     */     //   595: iconst_1
/*     */     //   596: iload #9
/*     */     //   598: invokespecial a : (ILjava/awt/Graphics2D;Ljava/awt/print/PageFormat;IZI)V
/*     */     //   601: aload_0
/*     */     //   602: iload_3
/*     */     //   603: istore_2
/*     */     //   604: dup
/*     */     //   605: astore_1
/*     */     //   606: iload_2
/*     */     //   607: putfield h : I
/*     */     //   610: iload #15
/*     */     //   612: ifeq -> 624
/*     */     //   615: aload #5
/*     */     //   617: aload #13
/*     */     //   619: aload #14
/*     */     //   621: invokestatic a : (Ljava/awt/Graphics2D;Ljava/awt/geom/AffineTransform;Ljava/awt/Rectangle;)V
/*     */     //   624: iload #11
/*     */     //   626: ireturn } public void reset() { byte b2 = -1; AbstractComponentListPrinter abstractComponentListPrinter; (abstractComponentListPrinter = this).g = b2; b2 = -1; (abstractComponentListPrinter = this).h = b2; for (byte b1 = 0; b1 < this.b.length; b1++)
/*     */       this.b[b1].reset();  } public void setAttributeSet(PrintRequestAttributeSet paramPrintRequestAttributeSet) { if (this.b == null) { super.setAttributeSet(paramPrintRequestAttributeSet); return; }
/*     */      if (this.d) { a(paramPrintRequestAttributeSet, a(this.e)); getPrimaryPrinter().setAttributeSet(paramPrintRequestAttributeSet); return; }
/*     */      a(paramPrintRequestAttributeSet, true); for (byte b1 = 0; b1 < this.b.length; b1++)
/*     */       this.b[b1].setAttributeSet(paramPrintRequestAttributeSet);  } public void setGapHeight(int paramInt) { if (paramInt < 0) { String str = "Invalid Gap Height: " + paramInt + ".  Must be zero or greater."; throw new IllegalArgumentException(str); }
/*     */      if (paramInt > 999) { String str = "Invalid Gap Height: " + paramInt + ".  Must not exceed 999."; throw new IllegalArgumentException(str); }
/*     */      for (byte b1 = 0; b1 < this.c.length; b1++)
/*     */       b.b(this.c[b1], paramInt);  } public void setGapHeight(int paramInt1, int paramInt2) { String str; if (paramInt2 < 0) { str = "Invalid Gap Height: " + paramInt2 + ".  Must be zero or greater."; throw new IllegalArgumentException(str); }
/*     */      if (paramInt2 > 999) { str = "Invalid Gap Height: " + paramInt2 + ".  Must not exceed 999."; throw new IllegalArgumentException(str); }
/*     */      b.b(this.c[str], paramInt2); } public void setGapPainter(GapPainter paramGapPainter) { for (byte b1 = 0; b1 < this.c.length; b1++)
/*     */       b.a(this.c[b1], paramGapPainter);  } public void setGapPainter(int paramInt, GapPainter paramGapPainter) { b.a(this.c[paramInt], paramGapPainter); } public void setPageBackgroundColor(Color paramColor) { getPrimaryPrinter().setPageBackgroundColor(paramColor); } public void setStartNewPageHeight(int paramInt) { for (byte b1 = 0; b1 < this.c.length; b1++)
/*     */       b.c(this.c[b1], paramInt);  } public void setStartNewPageHeight(int paramInt1, int paramInt2) { String str; if (paramInt2 < 0 && paramInt2 != -1 && paramInt2 != -91) { str = "Invalid Start New Page Height: " + paramInt2 + ".  Must be zero or greater."; throw new IllegalArgumentException(str); }
/*     */      b.c(this.c[str], paramInt2); } protected static PrintRequestAttributeSet[] buildAttributeSetArray(PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt) { PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[paramInt]; for (byte b1 = 0; b1 < paramInt; b1++)
/*     */       arrayOfPrintRequestAttributeSet[b1] = paramPrintRequestAttributeSet;  return arrayOfPrintRequestAttributeSet; } protected static int[] buildGapArray(JComponent[] paramArrayOfJComponent, int paramInt) { int[] arrayOfInt = new int[paramArrayOfJComponent.length]; for (byte b1 = 0; b1 < paramArrayOfJComponent.length; b1++) { if (paramArrayOfJComponent[b1] instanceof PrintGapGettable) { arrayOfInt[b1] = ((PrintGapGettable)paramArrayOfJComponent[b1]).getPrintGapBelow(); }
/*     */       else { arrayOfInt[b1] = paramInt; }
/*     */        }
/*     */      return arrayOfInt; } protected static int[] buildGapArray(int paramInt1, int paramInt2) { int[] arrayOfInt = new int[paramInt2]; for (byte b1 = 0; b1 < paramInt2; b1++)
/*     */       arrayOfInt[b1] = paramInt1;  return arrayOfInt; } protected AbstractComponentPrinter getPrinterForPage(int paramInt) { return this.b[getPrinterIndexForPage(paramInt)]; } protected int getPrinterIndexForPage(int paramInt) { int i = this.b.length - 1; if (getPageCount() == -1) { String str = "The Page Count must be computed before this method can be invoked."; throw new IllegalStateException(str); }
/*     */      for (byte b1 = 0; b1 < this.c.length; b1++) { if (b.a(this.c[b1]) + this.b[b1].getPageCount() > paramInt) { i = b1; break; }
/*     */        }
/*     */      return i; } protected int getVerticalSpaceUsage(PageFormat paramPageFormat, int paramInt, boolean paramBoolean) { AbstractComponentPrinter abstractComponentPrinter; float f = (abstractComponentPrinter = getComponentPrinter(paramInt)).computeScaleFactor(paramPageFormat); int i = (int)((abstractComponentPrinter.getTargetComponentPrintSize()).height * f + 0.9F); if (paramBoolean && paramInt > 0)
/*     */       i += getGapHeight(paramInt - 1);  return i; } protected boolean isToStartNewPage(PageFormat paramPageFormat, int paramInt) { int i = b.c(this.c[paramInt]); int j = paramInt + 1; int k; if ((k = getStartNewPageHeight(j)) == -1)
/*     */       return true;  paramInt = (paramInt = this.b[paramInt].getEmptySpaceAtLastPageBottom()) - i; return (k == -91) ? (((m = getVerticalSpaceUsage(paramPageFormat, j, false)) > paramInt)) : ((paramInt <= k)); } protected void printPageDecorations(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt1, int paramInt2) { NoDrawGraphics2DWrapper noDrawGraphics2DWrapper; AbstractComponentPrinter abstractComponentPrinter = getPrimaryPrinter(); boolean bool = isToPrintPageDecorations(); float f = abstractComponentPrinter.SCALE_FACTOR_INFO_HOLDER.scaleFactor; if (bool)
/*     */       abstractComponentPrinter.a(paramGraphics2D, paramPageFormat);  AbstractComponentListPrinter abstractComponentListPrinter; this.DECORATION_OPTIONS.pageSubheaderPainter = (abstractComponentListPrinter = this).f; if (!bool)
/*     */       noDrawGraphics2DWrapper = new NoDrawGraphics2DWrapper(paramGraphics2D);  this.PRINT_PARAM_HOLDER.pageNo = paramInt1 + 1 + getDisplayPageNumberOffset(); this.PRINT_PARAM_HOLDER.pageCount = paramInt2; this.PRINT_PARAM_HOLDER.scaleFactor = f; this.PRINT_PARAM_HOLDER.pageGridWidth = 1; PageDecorationUtility.printStandardPageDecorations(this, (Graphics2D)noDrawGraphics2DWrapper, paramPageFormat, this.DECORATION_OPTIONS, this.PRINT_PARAM_HOLDER, false); } protected void setPageSubheaderPainter(PageDecorationPainter paramPageDecorationPainter) { this.f = paramPageDecorationPainter; this.DECORATION_OPTIONS.pageSubheaderPainter = paramPageDecorationPainter; for (byte b1 = 0; b1 < this.b.length; b1++)
/*     */       (this.b[b1]).DECORATION_OPTIONS.pageSubheaderPainter = paramPageDecorationPainter;  } private void a(AttributeSet paramAttributeSet) { AttributeSetUpdateObserver attributeSetUpdateObserver = null; for (byte b1 = 0; b1 < this.b.length; b1++) { if (this.b[b1] instanceof AttributeSetUpdateObserver)
/*     */         (attributeSetUpdateObserver = (AttributeSetUpdateObserver)this.b[b1]).updatedAttributeSet(paramAttributeSet, this);  }
/*     */      } private void a(PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet, int[] paramArrayOfint, boolean paramBoolean) { int[] arrayOfInt = paramArrayOfint; AbstractComponentListPrinter abstractComponentListPrinter; boolean[] arrayOfBoolean2 = new boolean[(abstractComponentListPrinter = this).b.length]; int j = abstractComponentListPrinter.b.length - 1; if (arrayOfInt.length == 1) { arrayOfBoolean2[0] = false; }
/*     */     else { arrayOfBoolean2[0] = (arrayOfInt[0] >= 0); arrayOfBoolean2[j] = (arrayOfInt[j - 1] >= 0); for (byte b1 = 1; b1 < j; b1++)
/*     */         arrayOfBoolean2[b1] = (arrayOfInt[b1] >= 0 || arrayOfInt[b1 - 1] >= 0);  }
/*     */      boolean[] arrayOfBoolean1 = arrayOfBoolean2; if (paramBoolean) { a(paramArrayOfPrintRequestAttributeSet[0], true); }
/*     */     else { for (paramBoolean = false; paramBoolean < paramArrayOfPrintRequestAttributeSet.length; paramBoolean++)
/*     */         a(paramArrayOfPrintRequestAttributeSet[paramBoolean], arrayOfBoolean1[paramBoolean]);  }
/*     */      for (paramBoolean = false; paramBoolean < this.b.length; paramBoolean++) { this.c[paramBoolean] = new b(); this.b[paramBoolean].setToPrintPageDecorations(false); this.b[paramBoolean].a(true); if (arrayOfBoolean1[paramBoolean])
/*     */         this.b[paramBoolean].c(1);  }
/*     */      int i = this.b.length; if (paramArrayOfint.length < i)
/*     */       i = paramArrayOfint.length;  for (paramBoolean = false; paramBoolean < i; paramBoolean++)
/*     */       b.b(this.c[paramBoolean], paramArrayOfint[paramBoolean]);  } private boolean b(AttributeSet paramAttributeSet) { byte b1 = 0; for (byte b2 = 0; b2 < this.b.length; b2++) { if (paramAttributeSet == this.b[b2].getAttributeSet() && ++b1 > 1)
/*     */         return true;  }
/*     */      return false; } private boolean a(int paramInt) { int i = this.b.length - 1; return (paramInt == 0) ? ((getGapHeight(0) >= 0)) : ((paramInt == i) ? ((getGapHeight(i - 1) >= 0)) : ((getGapHeight(paramInt) >= 0 || getGapHeight(paramInt - 1) >= 0))); } private static boolean a(PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet) { for (byte b1 = 1; b1 < paramArrayOfPrintRequestAttributeSet.length; b1++) { if (paramArrayOfPrintRequestAttributeSet[b1] != paramArrayOfPrintRequestAttributeSet[0])
/*     */         return false;  }
/*     */      return true; } private void a(AttributeSet paramAttributeSet, boolean paramBoolean) { paramAttributeSet.remove(AlignmentFactorVertical.class); paramAttributeSet.add((Attribute)a); paramAttributeSet.add((Attribute)WrapToFitPage.TRUE); if (paramBoolean || b(paramAttributeSet))
/*     */       paramAttributeSet.add((Attribute)SplitColumns.TRUE);  } private void a(int paramInt1, Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt2, boolean paramBoolean, int paramInt3) { GapPainter gapPainter; if ((gapPainter = b.e(this.c[paramInt1])) == null)
/*     */       return;  if (paramBoolean) { if (!gapPainter.isToPaintAtPageBottom())
/*     */         return;  int i = this.b[paramInt1].getEmptySpaceAtFirstPageTop(); paramInt2 = (int)paramPageFormat.getImageableY() + paramInt2 + i + this.b[paramInt1].getComponentHeightOnPage(paramInt3); }
/*     */     else { int i = this.b[paramInt1 + 1].getEmptySpaceAtFirstPageTop(); paramInt2 = (int)paramPageFormat.getImageableY() + paramInt2 + i - getGapHeight(paramInt1); }
/*     */      gapPainter.paintGapContents(this, paramInt1, paramGraphics2D, paramPageFormat, paramInt2); } private int a(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt1, int paramInt2, String paramString, Rectangle paramRectangle) { AbstractComponentPrinter abstractComponentPrinter = this.b[paramInt2]; String str = null; boolean bool; if (bool = isToDebugPrinting()) { if (paramString == null)
/*     */         paramString = "component";  str = getClass().getName() + " printing " + paramString + " at index " + paramInt2; updatePrintJobStatus(str); }
/*     */      abstractComponentPrinter.a(paramRectangle); int i = abstractComponentPrinter.print(paramGraphics, paramPageFormat, paramInt1); if (bool) { paramString = null; str = "Return Code: " + ((i == 1) ? "NO_SUCH_PAGE" : "PAGE_EXISTS"); updatePrintJobStatus(str); }
/*     */      return i; } public int printPreview(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, Rectangle paramRectangle, float paramFloat) { // Byte code:
/*     */     //   0: aload_1
/*     */     //   1: invokevirtual getTransform : ()Ljava/awt/geom/AffineTransform;
/*     */     //   4: astore #6
/*     */     //   6: aload_0
/*     */     //   7: invokevirtual getPrintCustomizer : ()Ljpdf/printer/PrintCustomizer;
/*     */     //   10: astore #7
/*     */     //   12: aload_1
/*     */     //   13: invokevirtual getClipBounds : ()Ljava/awt/Rectangle;
/*     */     //   16: astore #8
/*     */     //   18: aload_0
/*     */     //   19: invokevirtual getPageCount : ()I
/*     */     //   22: dup
/*     */     //   23: istore #9
/*     */     //   25: iconst_m1
/*     */     //   26: if_icmpne -> 36
/*     */     //   29: aload_0
/*     */     //   30: aload_2
/*     */     //   31: invokevirtual computePageCount : (Ljava/awt/print/PageFormat;)I
/*     */     //   34: istore #9
/*     */     //   36: iload_3
/*     */     //   37: iload #9
/*     */     //   39: if_icmplt -> 44
/*     */     //   42: iconst_1
/*     */     //   43: ireturn
/*     */     //   44: aload #7
/*     */     //   46: ifnull -> 72
/*     */     //   49: aload #7
/*     */     //   51: aload_1
/*     */     //   52: aload_2
/*     */     //   53: iload_3
/*     */     //   54: aload_0
/*     */     //   55: aload_0
/*     */     //   56: invokevirtual getPrimaryPrinter : ()Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   59: invokevirtual getAttributeSet : ()Ljavax/print/attribute/PrintRequestAttributeSet;
/*     */     //   62: aload_0
/*     */     //   63: getfield PRINT_PARAM_HOLDER : Ljpdf/manage/PrintParameterHolder;
/*     */     //   66: invokeinterface customizePrint : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;ILjpdf/printer/AbstractPrinter;Ljavax/print/attribute/AttributeSet;Ljpdf/manage/PrintParameterHolder;)Ljava/awt/Graphics2D;
/*     */     //   71: astore_1
/*     */     //   72: aload #4
/*     */     //   74: getfield y : I
/*     */     //   77: istore #7
/*     */     //   79: aload #4
/*     */     //   81: getfield y : I
/*     */     //   84: aload #4
/*     */     //   86: getfield height : I
/*     */     //   89: iadd
/*     */     //   90: istore #9
/*     */     //   92: iload #7
/*     */     //   94: i2f
/*     */     //   95: fload #5
/*     */     //   97: fdiv
/*     */     //   98: f2i
/*     */     //   99: istore #7
/*     */     //   101: iload #9
/*     */     //   103: i2f
/*     */     //   104: fload #5
/*     */     //   106: fdiv
/*     */     //   107: f2i
/*     */     //   108: iconst_2
/*     */     //   109: iadd
/*     */     //   110: istore #9
/*     */     //   112: aload_0
/*     */     //   113: getfield k : Ljpdf/printer/AbstractComponentListPrinter$1;
/*     */     //   116: iload_3
/*     */     //   117: aload #4
/*     */     //   119: fload #5
/*     */     //   121: aload_0
/*     */     //   122: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*     */     //   125: invokevirtual a : (ILjava/awt/Rectangle;FLjpdf/utility/PageDecorationUtility$DecorationOptions;)Ljava/awt/Rectangle;
/*     */     //   128: dup
/*     */     //   129: astore #4
/*     */     //   131: ifnonnull -> 161
/*     */     //   134: aload_0
/*     */     //   135: aload_1
/*     */     //   136: aload_2
/*     */     //   137: iload_3
/*     */     //   138: aload_0
/*     */     //   139: invokevirtual getDisplayPageCount : ()I
/*     */     //   142: invokevirtual printPageDecorations : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;II)V
/*     */     //   145: aload_0
/*     */     //   146: getfield k : Ljpdf/printer/AbstractComponentListPrinter$1;
/*     */     //   149: aload_0
/*     */     //   150: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*     */     //   153: invokevirtual a : (Ljpdf/utility/PageDecorationUtility$DecorationOptions;)Ljava/awt/Rectangle;
/*     */     //   156: astore #4
/*     */     //   158: goto -> 185
/*     */     //   161: aload_0
/*     */     //   162: invokevirtual getPrimaryPrinter : ()Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   165: aload_1
/*     */     //   166: aload_2
/*     */     //   167: invokevirtual a : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;)V
/*     */     //   170: aload_0
/*     */     //   171: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*     */     //   174: getfield framePrinted : Z
/*     */     //   177: ifeq -> 185
/*     */     //   180: aload_1
/*     */     //   181: aload_2
/*     */     //   182: invokestatic printStandardPageFrame : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;)V
/*     */     //   185: aload_1
/*     */     //   186: invokevirtual getTransform : ()Ljava/awt/geom/AffineTransform;
/*     */     //   189: astore #5
/*     */     //   191: aload_0
/*     */     //   192: getfield k : Ljpdf/printer/AbstractComponentListPrinter$1;
/*     */     //   195: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$1;)[I
/*     */     //   198: iconst_0
/*     */     //   199: iaload
/*     */     //   200: iload_3
/*     */     //   201: if_icmpne -> 218
/*     */     //   204: aload_0
/*     */     //   205: getfield k : Ljpdf/printer/AbstractComponentListPrinter$1;
/*     */     //   208: invokestatic b : (Ljpdf/printer/AbstractComponentListPrinter$1;)[Ljava/awt/Rectangle;
/*     */     //   211: iconst_0
/*     */     //   212: aaload
/*     */     //   213: astore #10
/*     */     //   215: goto -> 229
/*     */     //   218: aload_0
/*     */     //   219: getfield k : Ljpdf/printer/AbstractComponentListPrinter$1;
/*     */     //   222: invokestatic b : (Ljpdf/printer/AbstractComponentListPrinter$1;)[Ljava/awt/Rectangle;
/*     */     //   225: iconst_1
/*     */     //   226: aaload
/*     */     //   227: astore #10
/*     */     //   229: aload_0
/*     */     //   230: aload_1
/*     */     //   231: aload_2
/*     */     //   232: iload_3
/*     */     //   233: iload #7
/*     */     //   235: iload #9
/*     */     //   237: aload #6
/*     */     //   239: aload #8
/*     */     //   241: aload #4
/*     */     //   243: astore #12
/*     */     //   245: astore #11
/*     */     //   247: astore #9
/*     */     //   249: istore #8
/*     */     //   251: istore #7
/*     */     //   253: istore #6
/*     */     //   255: astore #4
/*     */     //   257: astore_3
/*     */     //   258: dup
/*     */     //   259: astore_2
/*     */     //   260: iload #6
/*     */     //   262: invokevirtual getPrinterIndexForPage : (I)I
/*     */     //   265: istore #13
/*     */     //   267: aload #12
/*     */     //   269: getfield y : I
/*     */     //   272: aload #11
/*     */     //   274: getfield y : I
/*     */     //   277: isub
/*     */     //   278: istore #14
/*     */     //   280: iload #8
/*     */     //   282: aload #12
/*     */     //   284: getfield y : I
/*     */     //   287: iconst_2
/*     */     //   288: isub
/*     */     //   289: if_icmplt -> 752
/*     */     //   292: iload #7
/*     */     //   294: aload #12
/*     */     //   296: getfield y : I
/*     */     //   299: isub
/*     */     //   300: istore #7
/*     */     //   302: iload #8
/*     */     //   304: aload #12
/*     */     //   306: getfield y : I
/*     */     //   309: isub
/*     */     //   310: istore #8
/*     */     //   312: aload_2
/*     */     //   313: iload #6
/*     */     //   315: iload #13
/*     */     //   317: iload #7
/*     */     //   319: iconst_0
/*     */     //   320: aload_2
/*     */     //   321: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   324: invokespecial a : (IIIZLjpdf/printer/AbstractComponentListPrinter$c;)V
/*     */     //   327: aload_2
/*     */     //   328: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   331: getfield b : Z
/*     */     //   334: ifne -> 752
/*     */     //   337: aload_2
/*     */     //   338: iload #6
/*     */     //   340: iload #13
/*     */     //   342: iload #8
/*     */     //   344: iconst_1
/*     */     //   345: aload_2
/*     */     //   346: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   349: invokespecial a : (IIIZLjpdf/printer/AbstractComponentListPrinter$c;)V
/*     */     //   352: aload_2
/*     */     //   353: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   356: getfield b : Z
/*     */     //   359: ifne -> 752
/*     */     //   362: aload_2
/*     */     //   363: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   366: getfield c : Z
/*     */     //   369: ifeq -> 402
/*     */     //   372: aload_2
/*     */     //   373: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   376: getfield d : I
/*     */     //   379: aload_2
/*     */     //   380: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   383: getfield d : I
/*     */     //   386: if_icmpeq -> 752
/*     */     //   389: aload_2
/*     */     //   390: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   393: dup
/*     */     //   394: getfield d : I
/*     */     //   397: iconst_1
/*     */     //   398: iadd
/*     */     //   399: putfield d : I
/*     */     //   402: aload_2
/*     */     //   403: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   406: getfield a : Z
/*     */     //   409: ifeq -> 421
/*     */     //   412: aload_2
/*     */     //   413: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   416: iload #13
/*     */     //   418: putfield d : I
/*     */     //   421: aload_2
/*     */     //   422: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   425: getfield d : I
/*     */     //   428: ifge -> 445
/*     */     //   431: aload_2
/*     */     //   432: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   435: aload_2
/*     */     //   436: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   439: getfield d : I
/*     */     //   442: putfield d : I
/*     */     //   445: new java/awt/Rectangle
/*     */     //   448: dup
/*     */     //   449: aload #12
/*     */     //   451: invokespecial <init> : (Ljava/awt/Rectangle;)V
/*     */     //   454: astore #13
/*     */     //   456: iload #7
/*     */     //   458: iload #8
/*     */     //   460: istore #16
/*     */     //   462: istore #15
/*     */     //   464: iload #16
/*     */     //   466: iload #15
/*     */     //   468: isub
/*     */     //   469: iconst_1
/*     */     //   470: iadd
/*     */     //   471: dup
/*     */     //   472: istore #17
/*     */     //   474: bipush #72
/*     */     //   476: if_icmpge -> 483
/*     */     //   479: iconst_1
/*     */     //   480: goto -> 484
/*     */     //   483: iconst_0
/*     */     //   484: ifeq -> 613
/*     */     //   487: aload #12
/*     */     //   489: getfield y : I
/*     */     //   492: iload #7
/*     */     //   494: iadd
/*     */     //   495: iconst_1
/*     */     //   496: isub
/*     */     //   497: aload #12
/*     */     //   499: getfield y : I
/*     */     //   502: iload #8
/*     */     //   504: iadd
/*     */     //   505: iconst_2
/*     */     //   506: iadd
/*     */     //   507: aload #13
/*     */     //   509: astore #17
/*     */     //   511: istore #16
/*     */     //   513: istore #15
/*     */     //   515: iload #16
/*     */     //   517: iload #15
/*     */     //   519: isub
/*     */     //   520: iconst_1
/*     */     //   521: iadd
/*     */     //   522: istore #7
/*     */     //   524: iload #15
/*     */     //   526: aload #17
/*     */     //   528: getfield y : I
/*     */     //   531: if_icmpge -> 561
/*     */     //   534: aload #17
/*     */     //   536: getfield y : I
/*     */     //   539: iload #15
/*     */     //   541: isub
/*     */     //   542: istore #8
/*     */     //   544: aload #17
/*     */     //   546: getfield y : I
/*     */     //   549: istore #15
/*     */     //   551: iload #7
/*     */     //   553: iload #8
/*     */     //   555: isub
/*     */     //   556: istore #7
/*     */     //   558: goto -> 591
/*     */     //   561: aload #17
/*     */     //   563: getfield y : I
/*     */     //   566: aload #17
/*     */     //   568: getfield height : I
/*     */     //   571: iadd
/*     */     //   572: istore #8
/*     */     //   574: iload #16
/*     */     //   576: iload #8
/*     */     //   578: if_icmple -> 591
/*     */     //   581: iload #7
/*     */     //   583: iload #16
/*     */     //   585: iload #8
/*     */     //   587: isub
/*     */     //   588: isub
/*     */     //   589: istore #7
/*     */     //   591: aload #17
/*     */     //   593: iload #15
/*     */     //   595: putfield y : I
/*     */     //   598: aload #17
/*     */     //   600: iload #7
/*     */     //   602: putfield height : I
/*     */     //   605: aload #13
/*     */     //   607: getfield height : I
/*     */     //   610: ifle -> 752
/*     */     //   613: aload_2
/*     */     //   614: getfield i : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   617: getfield d : I
/*     */     //   620: istore #7
/*     */     //   622: iload #7
/*     */     //   624: aload_2
/*     */     //   625: getfield j : Ljpdf/printer/AbstractComponentListPrinter$c;
/*     */     //   628: getfield d : I
/*     */     //   631: if_icmpgt -> 752
/*     */     //   634: iload #6
/*     */     //   636: aload_2
/*     */     //   637: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   640: iload #7
/*     */     //   642: aaload
/*     */     //   643: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$b;)I
/*     */     //   646: isub
/*     */     //   647: istore #8
/*     */     //   649: aload_3
/*     */     //   650: aload #13
/*     */     //   652: invokevirtual setClip : (Ljava/awt/Shape;)V
/*     */     //   655: aload_2
/*     */     //   656: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   659: iload #7
/*     */     //   661: aaload
/*     */     //   662: aload #12
/*     */     //   664: invokevirtual a : (Ljava/awt/Rectangle;)V
/*     */     //   667: aload_2
/*     */     //   668: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   671: iload #7
/*     */     //   673: aaload
/*     */     //   674: aload_3
/*     */     //   675: aload #4
/*     */     //   677: iload #8
/*     */     //   679: invokevirtual print : (Ljava/awt/Graphics;Ljava/awt/print/PageFormat;I)I
/*     */     //   682: pop
/*     */     //   683: aload_3
/*     */     //   684: aload #9
/*     */     //   686: invokevirtual setTransform : (Ljava/awt/geom/AffineTransform;)V
/*     */     //   689: aload_3
/*     */     //   690: aload #11
/*     */     //   692: invokevirtual setClip : (Ljava/awt/Shape;)V
/*     */     //   695: iload #7
/*     */     //   697: aload_2
/*     */     //   698: getfield b : [Ljpdf/printer/AbstractComponentPrinter;
/*     */     //   701: arraylength
/*     */     //   702: iconst_1
/*     */     //   703: isub
/*     */     //   704: if_icmpeq -> 724
/*     */     //   707: aload_2
/*     */     //   708: getfield c : [Ljpdf/printer/AbstractComponentListPrinter$b;
/*     */     //   711: iload #7
/*     */     //   713: iconst_1
/*     */     //   714: iadd
/*     */     //   715: aaload
/*     */     //   716: invokestatic a : (Ljpdf/printer/AbstractComponentListPrinter$b;)I
/*     */     //   719: iload #6
/*     */     //   721: if_icmple -> 728
/*     */     //   724: iconst_1
/*     */     //   725: goto -> 729
/*     */     //   728: iconst_0
/*     */     //   729: istore #15
/*     */     //   731: aload_2
/*     */     //   732: iload #7
/*     */     //   734: aload_3
/*     */     //   735: aload #4
/*     */     //   737: iload #14
/*     */     //   739: iload #15
/*     */     //   741: iload #8
/*     */     //   743: invokespecial a : (ILjava/awt/Graphics2D;Ljava/awt/print/PageFormat;IZI)V
/*     */     //   746: iinc #7, 1
/*     */     //   749: goto -> 622
/*     */     //   752: iconst_0
/*     */     //   753: pop
/*     */     //   754: aload_1
/*     */     //   755: aload #5
/*     */     //   757: aload #10
/*     */     //   759: invokestatic a : (Ljava/awt/Graphics2D;Ljava/awt/geom/AffineTransform;Ljava/awt/Rectangle;)V
/*     */     //   762: iconst_0
/*     */     //   763: ireturn } private void a(int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean, c paramc) { int i = 0; boolean bool = false; int j = this.c.length - 1; c c1; (c1 = paramc).a = false; c1.b = false; c1.c = false; c1.d = -1; for (int k = paramInt2; k <= j; k++) { if (b.a(this.c[k]) > paramInt1) { if (paramBoolean) { paramc.d = k - 1; return; }
/*     */          paramc.b = true; return; }
/*     */        int n; if ((n = paramInt1 - b.a(this.c[k])) == 0)
/*     */         i = this.b[k].getEmptySpaceAtFirstPageTop() - 2;  int m = i + this.b[k].getComponentHeightOnPage(n) + 3; if (n > 0)
/*     */         m += this.b[k].b();  if (k < j && b.e(this.c[k]) != null)
/*     */         m += b.c(this.c[k]);  if (paramInt3 < i - 2) { if (k == paramInt2) { paramc.a = true; return; }
/*     */          paramc.d = k - 1; if (!paramBoolean)
/*     */           paramc.c = true;  return; }
/*     */        if (paramInt3 < m) { paramc.d = k; return; }
/*     */        }
/*     */      if (paramBoolean) { paramc.d = this.c.length - 1; return; }
/*     */      paramc.b = true; } static { a = new FitToPages(1, 999); } static class c {
/*     */     boolean a = false; boolean b = false; boolean c = false; int d = 0; private c() {} public final String toString() { return "VerticalOffsetInfo [aboveTop=" + this.a + ", belowBottom=" + this.a + ", inEmptyGap=" + this.c + ", printerIndex=" + this.d + "]"; }
/*     */   } static class a extends JPanel
/*     */   {
/* 145 */     public a(JComponent param1JComponent) { super(new FlowLayout(0, 0, 0));
/*     */       
/* 147 */       add(param1JComponent);
/*     */ 
/*     */       
/* 150 */       setDoubleBuffered(false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 156 */       addNotify();
/*     */ 
/*     */       
/* 159 */       param1JComponent.invalidate();
/* 160 */       validate(); }
/*     */ 
/*     */     
/*     */     public a(AbstractComponentPrinter[] param1ArrayOfAbstractComponentPrinter) {
/*     */       super((LayoutManager)new ColLayout(1, 2, 0, false));
/*     */       a(param1ArrayOfAbstractComponentPrinter);
/*     */     }
/*     */     
/*     */     private void a(AbstractComponentPrinter[] param1ArrayOfAbstractComponentPrinter) {
/*     */       for (byte b = 0; b < param1ArrayOfAbstractComponentPrinter.length; b++) {
/*     */         JComponent jComponent = (JComponent)param1ArrayOfAbstractComponentPrinter[b].getTargetComponent();
/*     */         a a1 = this;
/*     */         JScrollPane jScrollPane = null;
/*     */         if (jComponent instanceof JTable) {
/*     */           if ((jScrollPane = jpdf_common.gui.d.a.b(jComponent)) != null) {
/*     */             a1.add(jScrollPane);
/*     */             jScrollPane.invalidate();
/*     */           } else {
/*     */             a1.add(jComponent);
/*     */           } 
/*     */         } else {
/*     */           a1.add(jComponent);
/*     */         } 
/*     */         jComponent.invalidate();
/*     */       } 
/*     */       setDoubleBuffered(false);
/*     */       addNotify();
/*     */       validate();
/*     */     }
/*     */   }
/*     */   
/*     */   static class b {
/*     */     private GapPainter a = null;
/*     */     private int b = 0;
/*     */     private int c = 0;
/*     */     private int d = 72;
/*     */   }
/*     */   
/*     */   public static class StringGapPainter implements GapPainter {
/*     */     private final String a;
/*     */     private final Color b;
/*     */     private final Font c;
/*     */     private final int d;
/*     */     private final int e;
/*     */     private final int f;
/*     */     private boolean g = false;
/*     */     
/*     */     public StringGapPainter(String param1String) {
/*     */       this(param1String, Color.BLACK, jpdf_common.gui.a.c.c, 0, 0, 2);
/*     */     }
/*     */     
/*     */     public StringGapPainter(String param1String, int param1Int) {
/*     */       this(param1String, Color.BLACK, jpdf_common.gui.a.c.c, param1Int, 0, 2);
/*     */     }
/*     */     
/*     */     public StringGapPainter(String param1String, int param1Int1, int param1Int2) {
/*     */       this(param1String, Color.BLACK, jpdf_common.gui.a.c.c, param1Int1, 0, param1Int2);
/*     */     }
/*     */     
/*     */     public StringGapPainter(String param1String, int param1Int1, int param1Int2, int param1Int3) {
/*     */       this(param1String, Color.BLACK, jpdf_common.gui.a.c.c, param1Int1, param1Int2, param1Int3);
/*     */     }
/*     */     
/*     */     public StringGapPainter(String param1String, Color param1Color, Font param1Font, int param1Int1, int param1Int2, int param1Int3) {
/*     */       if (param1Int3 != 2 && param1Int3 != 0 && param1Int3 != 4) {
/*     */         param1String = "Invalid Horizontal Alignment.  Must be SwingConstants.LEFT, SwingConstants.CENTER, or SwingConstants.RIGHT.";
/*     */         throw new IllegalArgumentException(param1String);
/*     */       } 
/*     */       this.a = param1String;
/*     */       this.b = param1Color;
/*     */       this.c = param1Font;
/*     */       this.e = param1Int1;
/*     */       this.d = param1Int2;
/*     */       this.f = param1Int3;
/*     */     }
/*     */     
/*     */     public boolean isToPaintAtPageBottom() {
/*     */       return this.g;
/*     */     }
/*     */     
/*     */     public void paintGapContents(AbstractComponentListPrinter param1AbstractComponentListPrinter, int param1Int1, Graphics2D param1Graphics2D, PageFormat param1PageFormat, int param1Int2) {
/*     */       FontMetrics fontMetrics = param1Graphics2D.getFontMetrics(this.c);
/*     */       param1Int1 = 0;
/*     */       int j = (int)param1PageFormat.getImageableX();
/*     */       int k = 0;
/*     */       if (this.f == 2) {
/*     */         param1Int1 = j + 2;
/*     */       } else {
/*     */         param1Int1 = (int)param1PageFormat.getImageableWidth();
/*     */         k = fontMetrics.stringWidth(this.a);
/*     */         if (this.f == 0) {
/*     */           param1Int1 = j + (param1Int1 - k) / 2;
/*     */         } else {
/*     */           param1Int1 = (param1Int1 = j + param1Int1 - k) - 4;
/*     */         } 
/*     */       } 
/*     */       param1Int1 += this.e;
/*     */       int i = param1Int2 + fontMetrics.getAscent() + this.d;
/*     */       param1Graphics2D.setColor(this.b);
/*     */       param1Graphics2D.setFont(this.c);
/*     */       param1Graphics2D.drawString(this.a, param1Int1, i);
/*     */     }
/*     */     
/*     */     public void setToPaintAtPageBottom(boolean param1Boolean) {
/*     */       this.g = param1Boolean;
/*     */     }
/*     */   }
/*     */   
/*     */   public static class LineGapPainter implements GapPainter {
/*     */     private final Color a;
/*     */     private final BasicStroke b;
/*     */     private final int c;
/*     */     private final int d;
/*     */     private boolean e = false;
/*     */     
/*     */     public LineGapPainter() {
/*     */       this(PageDecorationUtility.getFooterLineColor(), PageDecorationUtility.getFooterLineStroke(), 10, -1);
/*     */     }
/*     */     
/*     */     public LineGapPainter(int param1Int) {
/*     */       this(PageDecorationUtility.getFooterLineColor(), PageDecorationUtility.getFooterLineStroke(), 10, param1Int);
/*     */     }
/*     */     
/*     */     public LineGapPainter(Color param1Color, int param1Int) {
/*     */       this(param1Color, PageDecorationUtility.getFooterLineStroke(), 10, param1Int);
/*     */     }
/*     */     
/*     */     public LineGapPainter(Color param1Color, float param1Float, int param1Int1, int param1Int2) {
/*     */       this(param1Color, new BasicStroke(param1Float), param1Int1, param1Int2);
/*     */     }
/*     */     
/*     */     public LineGapPainter(Color param1Color, BasicStroke param1BasicStroke, int param1Int1, int param1Int2) {
/*     */       this.a = param1Color;
/*     */       this.b = param1BasicStroke;
/*     */       this.c = param1Int1;
/*     */       this.d = param1Int2;
/*     */     }
/*     */     
/*     */     public boolean isToPaintAtPageBottom() {
/*     */       return this.e;
/*     */     }
/*     */     
/*     */     public void paintGapContents(AbstractComponentListPrinter param1AbstractComponentListPrinter, int param1Int1, Graphics2D param1Graphics2D, PageFormat param1PageFormat, int param1Int2) {
/*     */       // Byte code:
/*     */       //   0: aload_0
/*     */       //   1: getfield d : I
/*     */       //   4: iflt -> 18
/*     */       //   7: iload #5
/*     */       //   9: aload_0
/*     */       //   10: getfield d : I
/*     */       //   13: iadd
/*     */       //   14: istore_1
/*     */       //   15: goto -> 31
/*     */       //   18: iload #5
/*     */       //   20: aload_1
/*     */       //   21: iload_2
/*     */       //   22: invokevirtual getGapHeight : (I)I
/*     */       //   25: iconst_2
/*     */       //   26: idiv
/*     */       //   27: iconst_1
/*     */       //   28: isub
/*     */       //   29: iadd
/*     */       //   30: istore_1
/*     */       //   31: aload_3
/*     */       //   32: aload #4
/*     */       //   34: aload_0
/*     */       //   35: getfield a : Ljava/awt/Color;
/*     */       //   38: aload_0
/*     */       //   39: getfield b : Ljava/awt/BasicStroke;
/*     */       //   42: iload_1
/*     */       //   43: aload_0
/*     */       //   44: getfield c : I
/*     */       //   47: invokestatic printHorizontalLineAt : (Ljava/awt/Graphics2D;Ljava/awt/print/PageFormat;Ljava/awt/Color;Ljava/awt/BasicStroke;II)V
/*     */       //   50: return
/*     */     }
/*     */     
/*     */     public void setToPaintAtPageBottom(boolean param1Boolean) {
/*     */       this.e = param1Boolean;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\AbstractComponentListPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */