/*      */ package jpdf.printer;
/*      */ 
/*      */ import java.awt.Color;
/*      */ import java.awt.Component;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.GraphicsConfiguration;
/*      */ import java.awt.Image;
/*      */ import java.awt.Point;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.Window;
/*      */ import java.awt.image.BufferedImage;
/*      */ import java.awt.image.ImageObserver;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Printable;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.Icon;
/*      */ import javax.swing.ImageIcon;
/*      */ import javax.swing.JDialog;
/*      */ import javax.swing.JFrame;
/*      */ import javax.swing.JInternalFrame;
/*      */ import javax.swing.LookAndFeel;
/*      */ import javax.swing.UIManager;
/*      */ import jpdf.ability.ContentAlignable;
/*      */ import jpdf.ability.PageBreakAdjuster;
/*      */ import jpdf.attribute.AlignmentFactorHorizontal;
/*      */ import jpdf.attribute.AlignmentFactorVertical;
/*      */ import jpdf.manage.PrintCustomizationFacade;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.utility.AttributeSetFactory;
/*      */ import jpdf.utility.PageDecorationUtility;
/*      */ import jpdf.wrap.graphics.EllipsisEliminatorGraphics2DWrapper;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class GenericComponentPrinter
/*      */   extends AbstractComponentPrinter
/*      */   implements ContentAlignable
/*      */ {
/*      */   public static final int USE_IMAGE = 0;
/*      */   public static final int DONT_USE_IMAGE = 1;
/*      */   public static final int USE_IMAGE_IF_MULTIPAGE = 2;
/*      */   
/*      */   class a
/*      */     extends JInternalFrame
/*      */   {
/*      */     private a(JDialog param1JDialog) {
/*  153 */       super(param1JDialog.getTitle(), param1JDialog.isResizable(), true);
/*      */       Image image;
/*  155 */       GenericComponentPrinter.this = null;
/*  156 */       JFrame jFrame = null;
/*      */ 
/*      */ 
/*      */       
/*  160 */       if (param1JDialog.isResizable())
/*      */       {
/*      */         
/*  163 */         if ((jFrame = (JFrame)jpdf_common.gui.d.a.a(param1JDialog, JFrame.class)) != null) image = jFrame.getIconImage();
/*      */       
/*      */       }
/*      */       
/*  167 */       a(param1JDialog, image);
/*      */     }
/*      */ 
/*      */     
/*      */     private a(JFrame param1JFrame) {
/*  172 */       super(param1JFrame.getTitle(), param1JFrame.isResizable(), true, true, true);
/*      */ 
/*      */       
/*  175 */       a(param1JFrame, param1JFrame.getIconImage());
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final boolean isSelected() {
/*  185 */       return true;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void paint(Graphics param1Graphics) {
/*  194 */       boolean bool = false;
/*      */       
/*  196 */       if (GenericComponentPrinter.a(GenericComponentPrinter.this) != null) bool = GenericComponentPrinter.a(GenericComponentPrinter.a(GenericComponentPrinter.this)); 
/*  197 */       super.paint(param1Graphics);
/*  198 */       if (bool) GenericComponentPrinter.a(GenericComponentPrinter.b(GenericComponentPrinter.this));
/*      */     
/*      */     }
/*      */     
/*      */     private void a(Window param1Window, Image param1Image) {
/*  203 */       setSize(param1Window.getSize());
/*  204 */       if (param1Image == null) {
/*      */         
/*  206 */         setFrameIcon((Icon)null);
/*      */       }
/*      */       else {
/*      */         
/*  210 */         setFrameIcon(new ImageIcon(param1Image));
/*      */       } 
/*      */ 
/*      */       
/*  214 */       addNotify();
/*  215 */       invalidate();
/*  216 */       validate();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  228 */   private static int a = 0;
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean b = false;
/*      */ 
/*      */   
/*  235 */   private final Dimension c = new Dimension(0, 0);
/*  236 */   private final Point d = new Point(-1, -1);
/*      */ 
/*      */   
/*      */   private final int e;
/*      */ 
/*      */   
/*      */   private final LookAndFeel f;
/*      */ 
/*      */   
/*  245 */   private final LookAndFeel g = UIManager.getLookAndFeel();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected final JInternalFrame WINDOW_DECORATION_INTERNAL_FRAME;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  257 */   private int[] h = new int[10];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public GenericComponentPrinter(Component paramComponent, String paramString) {
/*  269 */     this(paramComponent, paramString, getDefaultPrintMode());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public GenericComponentPrinter(Component paramComponent, String paramString, AttributeSet paramAttributeSet) {
/*  278 */     this(paramComponent, paramString, getDefaultPrintMode(), paramAttributeSet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public GenericComponentPrinter(Component paramComponent, String paramString, int paramInt) {
/*  287 */     super(paramComponent, paramString, false);
/*      */     
/*  289 */     this.e = paramInt;
/*  290 */     if (paramComponent instanceof Window) {
/*      */ 
/*      */       
/*  293 */       this.f = isToUseNativeWindowDecorations() ? e() : null;
/*  294 */       this.WINDOW_DECORATION_INTERNAL_FRAME = a(paramComponent);
/*      */       
/*      */       return;
/*      */     } 
/*  298 */     this.f = null;
/*  299 */     this.WINDOW_DECORATION_INTERNAL_FRAME = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public GenericComponentPrinter(Component paramComponent, String paramString, int paramInt, AttributeSet paramAttributeSet) {
/*  310 */     super(paramComponent, paramString, paramAttributeSet, false);
/*      */     
/*  312 */     this.e = paramInt;
/*  313 */     if (paramComponent instanceof Window) {
/*      */ 
/*      */       
/*  316 */       this.f = isToUseNativeWindowDecorations() ? e() : null;
/*  317 */       this.WINDOW_DECORATION_INTERNAL_FRAME = a(paramComponent);
/*      */       
/*      */       return;
/*      */     } 
/*  321 */     this.f = null;
/*  322 */     this.WINDOW_DECORATION_INTERNAL_FRAME = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   GenericComponentPrinter(Component paramComponent, String paramString, int paramInt, boolean paramBoolean) {
/*  333 */     super(paramComponent, paramString, true);
/*      */     
/*  335 */     this.e = paramInt;
/*  336 */     if (paramComponent instanceof Window) {
/*      */ 
/*      */       
/*  339 */       this.f = isToUseNativeWindowDecorations() ? e() : null;
/*  340 */       this.WINDOW_DECORATION_INTERNAL_FRAME = a(paramComponent);
/*      */       
/*      */       return;
/*      */     } 
/*  344 */     this.f = null;
/*  345 */     this.WINDOW_DECORATION_INTERNAL_FRAME = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clipTargetComponent(int paramInt1, int paramInt2) {
/*  360 */     clipTargetComponent(paramInt1, paramInt2, 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clipTargetComponent(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  375 */     int i = this.TARGET_COMPONENT.getWidth();
/*  376 */     int j = this.TARGET_COMPONENT.getHeight();
/*      */ 
/*      */     
/*  379 */     if (paramInt3 < 0) paramInt3 = 0; 
/*  380 */     if (paramInt4 < 0) paramInt4 = 0; 
/*  381 */     if (paramInt3 + paramInt1 > i) paramInt1 = i - paramInt3; 
/*  382 */     if (paramInt4 + paramInt2 > j) paramInt2 = j - paramInt4;
/*      */ 
/*      */     
/*  385 */     this.c.width = paramInt1;
/*  386 */     this.c.height = paramInt2;
/*  387 */     this.d.x = paramInt3;
/*  388 */     this.d.y = paramInt4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clipTargetComponentToActualSize() {
/*  396 */     this.c.width = 0;
/*  397 */     this.c.height = 0;
/*  398 */     this.d.x = -1;
/*  399 */     this.d.y = -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clipTargetComponentToPreferredSize() {
/*  407 */     Dimension dimension = this.TARGET_COMPONENT.getPreferredSize();
/*      */     
/*  409 */     clipTargetComponent(dimension.width, dimension.height);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getDefaultPrintMode() {
/*  417 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFitScalingSupportCode() {
/*  436 */     if (this.TARGET_COMPONENT instanceof PageBreakAdjuster)
/*      */     {
/*  438 */       return 3;
/*      */     }
/*      */     
/*  441 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTargetComponentClipStartX() {
/*  450 */     return this.d.x;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTargetComponentClipStartY() {
/*  459 */     return this.d.y;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTargetComponentClipToHeight() {
/*  468 */     return this.c.height;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTargetComponentClipToWidth() {
/*  477 */     return this.c.width;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dimension getTargetComponentPrintSize() {
/*  487 */     if (this.d.x >= 0) return this.c;
/*      */     
/*  489 */     return this.TARGET_COMPONENT.getSize();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isBackgroundColorSupported() {
/*  499 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isHorizontallyAlignable() {
/*  510 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isToPrintPageContentFrame() {
/*  527 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isToPrintWithImage() {
/*  544 */     if (this.e == 0 || this.e == 2)
/*      */     {
/*  546 */       return false;
/*      */     }
/*      */     
/*  549 */     return super.isToPrintWithImage();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToUseNativeWindowDecorations() {
/*  560 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isVerticallyAlignable() {
/*  578 */     return !(this.TARGET_COMPONENT instanceof PageBreakAdjuster);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printComponent(Component paramComponent, String paramString) {
/*  587 */     printComponent(paramComponent, paramString, AttributeSetFactory.buildFromDefaultAttributeSet(true), getDefaultPrintMode(), false, PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printComponent(Component paramComponent, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  597 */     printComponent(paramComponent, getTitleForComponent(paramComponent), paramPrintRequestAttributeSet, getDefaultPrintMode(), false, PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printComponent(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  608 */     printComponent(paramComponent, paramString, paramPrintRequestAttributeSet, getDefaultPrintMode(), true, PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printComponent(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt, boolean paramBoolean1, boolean paramBoolean2) {
/*  622 */     GenericComponentPrinter genericComponentPrinter = null;
/*      */ 
/*      */     
/*  625 */     if (paramComponent instanceof Printable) {
/*      */       
/*  627 */       PrintManager.printPrintable((Printable)paramComponent, paramPrintRequestAttributeSet, null, null, false, paramBoolean1, paramBoolean2);
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  633 */     genericComponentPrinter = new GenericComponentPrinter(paramComponent, paramString, paramInt);
/*      */ 
/*      */     
/*  636 */     if (paramPrintRequestAttributeSet != null) genericComponentPrinter.setAttributeSet(paramPrintRequestAttributeSet);
/*      */ 
/*      */     
/*  639 */     PrintManager.printPrintable((Printable)genericComponentPrinter, paramPrintRequestAttributeSet, null, null, false, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printComponent(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  657 */     GenericComponentPrinter genericComponentPrinter = null;
/*      */ 
/*      */     
/*  660 */     if (paramComponent instanceof Printable) {
/*      */       
/*  662 */       PrintManager.printPrintable((Printable)paramComponent, paramPrintRequestAttributeSet, null, null, paramBoolean1, paramBoolean2, paramBoolean3);
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */ 
/*      */     
/*  669 */     genericComponentPrinter = new GenericComponentPrinter(paramComponent, paramString, paramInt);
/*      */ 
/*      */     
/*  672 */     if (paramPrintRequestAttributeSet != null) genericComponentPrinter.setAttributeSet(paramPrintRequestAttributeSet);
/*      */ 
/*      */     
/*  675 */     PrintManager.printPrintable((Printable)genericComponentPrinter, paramPrintRequestAttributeSet, null, null, paramBoolean1, paramBoolean2, paramBoolean3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDefaultPrintMode(int paramInt) {
/*  686 */     if (paramInt == 0 || paramInt == 1 || paramInt == 2) {
/*      */ 
/*      */       
/*  689 */       a = paramInt;
/*      */       
/*      */       return;
/*      */     } 
/*  693 */     throw new IllegalArgumentException("Invalid Print Mode: " + paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToUseNativeWindowDecorations(boolean paramBoolean) {
/*  705 */     b = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int adjustCandidatePageBreakOffset(Component paramComponent, int paramInt1, int paramInt2, float paramFloat, int paramInt3) {
/*  753 */     int i = 0;
/*      */     
/*  755 */     if (paramComponent instanceof PageBreakAdjuster)
/*      */     {
/*  757 */       i = ((PageBreakAdjuster)paramComponent).adjustCandidatePageBreakOffset(paramInt1, paramInt2, paramFloat, paramInt3);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  762 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void computePageGridSize(PageFormat paramPageFormat, AttributeSet paramAttributeSet, float paramFloat, Dimension paramDimension) {
/*      */     int k, m;
/*  775 */     AbstractComponentPrinter.a a = a();
/*  776 */     int n = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  781 */     byte b = -1;
/*  782 */     int i3 = 0;
/*      */ 
/*      */ 
/*      */     
/*  786 */     int i4 = 0;
/*      */ 
/*      */     
/*      */     Dimension dimension;
/*      */     
/*  791 */     if ((dimension = getTargetComponentPrintSize()).width <= 0 || dimension.height <= 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  797 */       k = 1;
/*  798 */       m = 1;
/*      */     }
/*      */     else {
/*      */       
/*  802 */       k = (int)(dimension.width * paramFloat + 0.5F);
/*  803 */       m = (int)(dimension.height * paramFloat + 0.5F);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  809 */     int j = PageDecorationUtility.computeAvailablePageWidth(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, 0);
/*      */     
/*  811 */     if (k > j)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  816 */       if (c() != 1)
/*      */       {
/*  818 */         n = (int)(k / j + 0.999F);
/*      */       }
/*      */     }
/*      */ 
/*      */     
/*  823 */     int i1 = j * n;
/*      */ 
/*      */     
/*  826 */     this.PRINT_PARAM_HOLDER.scaleFactor = paramFloat;
/*      */ 
/*      */     
/*  829 */     int i2 = 0;
/*      */     
/*  831 */     j = (m <= 0) ? 1 : 0;
/*  832 */     this.PRINT_PARAM_HOLDER.pageNo = getDisplayPageNumberOffset();
/*  833 */     while (j == 0) {
/*      */       
/*  835 */       b++;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  840 */       this.PRINT_PARAM_HOLDER.pageNo++;
/*  841 */       i3 = PageDecorationUtility.computeAvailablePageHeight(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, this.PRINT_PARAM_HOLDER);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  846 */       if (b == 0) {
/*      */         
/*  848 */         i3 -= getEmptySpaceAtFirstPageTop();
/*      */ 
/*      */       
/*      */       }
/*  852 */       else if (a != null) {
/*      */         
/*  854 */         i3 -= a.a();
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  862 */       if ((j = ((i2 = i2 + i3) >= m) ? 1 : 0) == 0)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  869 */         if ((i4 = adjustCandidatePageBreakOffset(this.TARGET_COMPONENT, b, i2, paramFloat, i3)) > 0) {
/*      */ 
/*      */           
/*  872 */           i4 = (int)(paramFloat * i4 + 0.5F);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  879 */           if (i3 - i4 < 72)
/*      */           {
/*  881 */             if (b > 0 || getEmptySpaceAtFirstPageTop() == 0)
/*      */             {
/*  883 */               i4 = (i3 <= 72) ? 0 : (i3 - 72);
/*      */             }
/*      */           }
/*      */           
/*  887 */           i2 -= i4;
/*      */         } 
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  893 */       if (b >= this.h.length)
/*      */       {
/*  895 */         this.h = a(this.h, m, i2);
/*      */       }
/*      */       
/*  898 */       this.h[b] = i2;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  903 */     this.h[b] = m;
/*      */ 
/*      */     
/*  906 */     int i = this.h[b];
/*  907 */     if (b > 0) i -= this.h[b - 1];
/*      */ 
/*      */     
/*  910 */     b(i3 - i);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  917 */     this.EXTRA_SPACE.width = i1 - k;
/*      */     
/*  919 */     if (this.EXTRA_SPACE.width < 0) this.EXTRA_SPACE.width = 0; 
/*  920 */     this.EXTRA_SPACE.height = i2 - m;
/*      */ 
/*      */     
/*  923 */     paramDimension.width = n;
/*  924 */     paramDimension.height = b + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Image createComponentImage(Graphics2D paramGraphics2D, float paramFloat, int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, boolean paramBoolean) {
/*  940 */     GraphicsConfiguration graphicsConfiguration = paramGraphics2D.getDeviceConfiguration();
/*  941 */     Dimension dimension = getTargetComponentPrintSize();
/*      */     
/*  943 */     boolean bool = (this.d.x >= 0) ? true : false;
/*      */     
/*  945 */     float f = d();
/*  946 */     byte b = (paramInt2 == 0) ? 1 : 0;
/*      */ 
/*      */     
/*  949 */     if (paramBoolean) {
/*      */       
/*  951 */       paramInt5 += 4;
/*  952 */       paramInt6 += 4;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  958 */     paramInt5 += b;
/*      */ 
/*      */ 
/*      */     
/*      */     BufferedImage bufferedImage;
/*      */ 
/*      */ 
/*      */     
/*  966 */     Graphics2D graphics2D = (Graphics2D)(bufferedImage = graphicsConfiguration.createCompatibleImage((int)(paramInt5 * f), (int)(paramInt6 * f))).getGraphics();
/*      */ 
/*      */     
/*  969 */     if (f != 1.0D)
/*      */     {
/*  971 */       graphics2D.scale(f, f);
/*      */     }
/*      */ 
/*      */     
/*  975 */     graphics2D.setColor(Color.WHITE);
/*  976 */     graphics2D.fillRect(0, 0, paramInt5, paramInt6);
/*      */ 
/*      */     
/*  979 */     if (paramBoolean)
/*      */     {
/*  981 */       graphics2D.clipRect(0, 0, paramInt5 - 4, paramInt6 - 4);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  988 */       graphics2D = prepareScalableGraphics(graphics2D);
/*      */ 
/*      */       
/*  991 */       if (paramFloat != 1.0F) graphics2D.scale(paramFloat, paramFloat);
/*      */ 
/*      */       
/*  994 */       if (this.WINDOW_DECORATION_INTERNAL_FRAME != null)
/*      */       {
/*  996 */         this.WINDOW_DECORATION_INTERNAL_FRAME.paint(graphics2D);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1002 */       if (bool) {
/*      */         
/* 1004 */         graphics2D.translate(-this.d.x, -this.d.y);
/* 1005 */         graphics2D.clipRect(this.d.x, this.d.y, this.c.width, this.c.height);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1010 */       graphics2D.translate(-paramInt3 + b, -paramInt4);
/* 1011 */       printTargetComponent(graphics2D, false);
/*      */     }
/* 1013 */     catch (Exception exception2) {
/*      */       Exception exception1;
/*      */       
/* 1016 */       PrintManager.handleException(exception1 = null);
/*      */     } 
/*      */ 
/*      */     
/* 1020 */     if (paramBoolean) {
/*      */ 
/*      */       
/* 1023 */       graphics2D.setClip(null);
/*      */ 
/*      */ 
/*      */       
/* 1027 */       graphics2D.setColor(Color.BLACK);
/* 1028 */       if (bool) {
/*      */         
/* 1030 */         graphics2D.drawRect(this.d.x, this.d.y, this.c.width, this.c.height);
/*      */       
/*      */       }
/*      */       else {
/*      */         
/* 1035 */         graphics2D.drawRect(0, 0, dimension.width, dimension.height);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 1040 */     graphics2D.dispose();
/*      */     
/* 1042 */     return bufferedImage;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void drawComponentImage(Graphics2D paramGraphics2D, Rectangle paramRectangle, int paramInt1, int paramInt2, float paramFloat1, Dimension paramDimension, int paramInt3, int paramInt4, float paramFloat2, float paramFloat3, boolean paramBoolean) {
/* 1055 */     Dimension dimension = getTargetComponentPrintSize();
/* 1056 */     float f = d();
/*      */     
/* 1058 */     int j = 0;
/*      */     
/* 1060 */     int k = (int)(this.EXTRA_SPACE.width * paramFloat2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1068 */     int m = (int)(this.EXTRA_SPACE.height * paramFloat3);
/*      */ 
/*      */ 
/*      */     
/* 1072 */     int n = dimension.width;
/* 1073 */     if (paramFloat1 != 1.0F) n = (int)(n * paramFloat1 + 0.99F); 
/* 1074 */     n -= paramRectangle.width * paramInt4;
/* 1075 */     int i1 = this.h[paramInt3];
/* 1076 */     if (paramInt3 > 0) i1 -= this.h[paramInt3 - 1];
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1081 */     if (paramInt4 == 0) {
/*      */       
/* 1083 */       if (paramInt4 < this.PAGE_GRID_SIZE.width - 1) n -= k;
/*      */     
/*      */     } else {
/*      */       
/* 1087 */       n += k;
/*      */     } 
/* 1089 */     if (paramInt3 == 0) {
/*      */       
/* 1091 */       if (paramInt3 < this.PAGE_GRID_SIZE.height - 1) i1 -= m;
/*      */     
/*      */     } else {
/*      */       
/* 1095 */       i1 += m;
/*      */     } 
/*      */ 
/*      */     
/* 1099 */     n = Math.min(n, paramRectangle.width);
/* 1100 */     i1 = Math.min(i1, paramRectangle.height);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1106 */     int i = paramRectangle.width * paramInt4;
/* 1107 */     if (paramInt3 > 0) j = this.h[paramInt3 - 1];
/*      */ 
/*      */     
/* 1110 */     if (paramInt4 > 0) i -= k; 
/* 1111 */     if (paramInt3 > 0) j -= m; 
/* 1112 */     if (paramFloat1 != 1.0F) {
/*      */       
/* 1114 */       i = (int)(i / paramFloat1);
/* 1115 */       j = (int)(j / paramFloat1);
/*      */     } 
/*      */ 
/*      */     
/* 1119 */     Image image = createComponentImage(paramGraphics2D, paramFloat1, paramInt3, paramInt4, i, j, n, i1, paramBoolean);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1124 */     if (paramInt4 == 0) paramGraphics2D.translate(k, 0); 
/* 1125 */     if (paramInt3 == 0) paramGraphics2D.translate(0, m);
/*      */ 
/*      */     
/* 1128 */     paramGraphics2D.translate(paramRectangle.x, paramRectangle.y);
/*      */ 
/*      */     
/* 1131 */     if (f != 1.0D) {
/*      */       
/* 1133 */       float f1 = 1.0F / f;
/* 1134 */       paramGraphics2D.scale(f1, f1);
/*      */     } 
/*      */ 
/*      */     
/* 1138 */     paramGraphics2D.drawImage(image, 0, 0, (ImageObserver)null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getComponentHeightOnPage(int paramInt) {
/* 1152 */     if (paramInt < 0 || paramInt >= this.PAGE_GRID_SIZE.height) return 0;
/*      */ 
/*      */     
/* 1155 */     if (paramInt == 0) return this.h[0];
/*      */ 
/*      */     
/* 1158 */     return this.h[paramInt] - this.h[paramInt - 1];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isBorderSupported() {
/* 1172 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintComponent(Graphics2D paramGraphics2D, Rectangle paramRectangle, int paramInt1, int paramInt2, float paramFloat1, Dimension paramDimension, int paramInt3, int paramInt4, float paramFloat2, float paramFloat3, boolean paramBoolean) {
/* 1184 */     if (paramInt3 < paramDimension.height - 1) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1193 */       paramRectangle.height = this.h[paramInt3] + 1;
/* 1194 */       if (paramInt3 > 0)
/*      */       {
/* 1196 */         paramRectangle.height -= this.h[paramInt3 - 1] + 1;
/*      */       }
/*      */     } 
/* 1199 */     paramGraphics2D.clip(paramRectangle);
/*      */ 
/*      */ 
/*      */     
/* 1203 */     paramInt1 = paramRectangle.x - paramRectangle.width * paramInt4;
/* 1204 */     paramInt2 = paramRectangle.y;
/* 1205 */     if (paramInt3 > 0) paramInt2 -= this.h[paramInt3 - 1] + 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1211 */     paramInt1 += (paramFloat2 == 0.0F) ? 1 : (int)(this.EXTRA_SPACE.width * paramFloat2);
/*      */     
/* 1213 */     paramInt2 += (paramFloat3 == 0.0F) ? 1 : (int)(this.EXTRA_SPACE.height * paramFloat3);
/*      */ 
/*      */ 
/*      */     
/* 1217 */     paramGraphics2D.translate(paramInt1, paramInt2);
/*      */ 
/*      */     
/* 1220 */     if (paramFloat1 != 1.0F) paramGraphics2D.scale(paramFloat1, paramFloat1);
/*      */ 
/*      */     
/* 1223 */     if (this.WINDOW_DECORATION_INTERNAL_FRAME != null)
/*      */     {
/* 1225 */       this.WINDOW_DECORATION_INTERNAL_FRAME.paint(paramGraphics2D);
/*      */     }
/*      */ 
/*      */     
/* 1229 */     if (this.d.x >= 0) {
/*      */       
/* 1231 */       paramGraphics2D.translate(-this.d.x, -this.d.y);
/* 1232 */       paramGraphics2D.clipRect(this.d.x, this.d.y, this.c.width, this.c.height);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1237 */     printTargetComponent(paramGraphics2D, false);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1243 */     if (this.d.x >= 0) paramGraphics2D.translate(this.d.x, this.d.y);
/*      */ 
/*      */     
/* 1246 */     a(paramGraphics2D, paramInt1, paramInt2, paramFloat1, paramRectangle, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Graphics2D prepareScalableGraphics(Graphics2D paramGraphics2D) {
/* 1268 */     return (Graphics2D)new EllipsisEliminatorGraphics2DWrapper(paramGraphics2D);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void printTargetComponent(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, AttributeSet paramAttributeSet, float paramFloat) {
/* 1279 */     Rectangle rectangle = this.DECORATION_OPTIONS.pageContentRectangle;
/* 1280 */     float f1 = 0.0F;
/*      */     
/* 1282 */     float f2 = 0.0F;
/* 1283 */     Dimension dimension2 = this.PAGE_GRID_SIZE; GenericComponentPrinter genericComponentPrinter; boolean bool1 = ((genericComponentPrinter = this).e == 2) ? ((dimension2.width * dimension2.height > 1) ? true : false) : ((genericComponentPrinter.e == 0) ? true : false);
/* 1284 */     boolean bool2 = !(paramGraphics2D instanceof java.awt.print.PrinterGraphics) ? true : false;
/* 1285 */     boolean bool = isToPrintContentFrame();
/*      */ 
/*      */     
/*      */     Dimension dimension1;
/*      */ 
/*      */     
/* 1291 */     int j = (int)((dimension1 = getTargetComponentPrintSize()).width * paramFloat + 0.5F);
/* 1292 */     int i = (int)(dimension1.height * paramFloat + 0.5F);
/*      */ 
/*      */     
/* 1295 */     if (isHorizontallyAlignable())
/*      */     {
/* 1297 */       f1 = AlignmentFactorHorizontal.getAlignmentFactor(paramAttributeSet);
/*      */     }
/* 1299 */     if (isVerticallyAlignable())
/*      */     {
/* 1301 */       f2 = AlignmentFactorVertical.getAlignmentFactor(paramAttributeSet);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1306 */     if (paramInt1 == 0) {
/*      */       
/* 1308 */       rectangle.y += getEmptySpaceAtFirstPageTop();
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1314 */       a(paramGraphics2D, rectangle);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1323 */     if (bool1 && !bool2) {
/*      */ 
/*      */ 
/*      */       
/* 1327 */       drawComponentImage(paramGraphics2D, rectangle, j, i, paramFloat, this.PAGE_GRID_SIZE, paramInt1, paramInt2, f1, f2, bool);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1339 */     paramGraphics2D = prepareScalableGraphics(paramGraphics2D);
/* 1340 */     paintComponent(paramGraphics2D, rectangle, j, i, paramFloat, this.PAGE_GRID_SIZE, paramInt1, paramInt2, f1, f2, bool);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final float d() {
/* 1358 */     AbstractPrinter.PrintWithImageOptions printWithImageOptions = getPrintWithImageOptions();
/* 1359 */     float f = 1.0F;
/*      */     
/* 1361 */     if (printWithImageOptions != null)
/*      */     {
/* 1363 */       f = printWithImageOptions.getImageScaleFactor();
/*      */     }
/*      */     
/* 1366 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private JInternalFrame a(Component paramComponent) {
/* 1380 */     a a = null;
/* 1381 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1386 */     if (this.f != null) bool = b(this.f);
/*      */ 
/*      */     
/* 1389 */     if (paramComponent instanceof JFrame) {
/*      */       
/* 1391 */       if (!((JFrame)paramComponent).isUndecorated())
/*      */       {
/* 1393 */         a = new a((JFrame)paramComponent, (byte)0);
/*      */       }
/*      */     }
/* 1396 */     else if (paramComponent instanceof JDialog) {
/*      */       
/* 1398 */       if (!((JDialog)paramComponent).isUndecorated())
/*      */       {
/* 1400 */         a = new a((JDialog)paramComponent, (byte)0);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1405 */     if (bool) b(this.g);
/*      */     
/* 1407 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static LookAndFeel e() {
/* 1417 */     LookAndFeel lookAndFeel1 = UIManager.getLookAndFeel();
/* 1418 */     LookAndFeel lookAndFeel2 = null;
/* 1419 */     ClassLoader classLoader = null;
/* 1420 */     classLoader = null;
/*      */     
/* 1422 */     if (!lookAndFeel1.isNativeLookAndFeel()) {
/*      */       try {
/*      */         Class<?> clazz;
/*      */ 
/*      */ 
/*      */         
/* 1428 */         lookAndFeel2 = (LookAndFeel)(clazz = (classLoader = GenericComponentPrinter.class.getClassLoader()).loadClass(UIManager.getSystemLookAndFeelClassName())).newInstance();
/*      */       }
/* 1430 */       catch (Throwable throwable) {}
/*      */     }
/*      */     
/* 1433 */     return lookAndFeel2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean b(LookAndFeel paramLookAndFeel) {
/* 1459 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/* 1463 */       UIManager.setLookAndFeel(paramLookAndFeel);
/* 1464 */       bool = true;
/*      */     }
/* 1466 */     catch (Exception exception) {}
/*      */     
/* 1468 */     return bool;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\GenericComponentPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */