/*      */ package jpdf.printer;
/*      */ 
/*      */ import java.awt.Component;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Font;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.lang.reflect.Constructor;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.DefaultListSelectionModel;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.JScrollPane;
/*      */ import javax.swing.JTable;
/*      */ import javax.swing.JViewport;
/*      */ import javax.swing.ListSelectionModel;
/*      */ import javax.swing.border.Border;
/*      */ import javax.swing.table.DefaultTableColumnModel;
/*      */ import javax.swing.table.JTableHeader;
/*      */ import javax.swing.table.TableCellRenderer;
/*      */ import javax.swing.table.TableColumn;
/*      */ import javax.swing.table.TableColumnModel;
/*      */ import javax.swing.table.TableModel;
/*      */ import jpdf.ability.clone.CloneableViewTable;
/*      */ import jpdf.attribute.AlignmentFactorHorizontal;
/*      */ import jpdf.attribute.ColumnHeaders;
/*      */ import jpdf.attribute.ContentHeadersOnEveryPage;
/*      */ import jpdf.attribute.HighlightSelections;
/*      */ import jpdf.attribute.RowHeaders;
/*      */ import jpdf.attribute.SelectedRows;
/*      */ import jpdf.attribute.SizeColumnsToFitData;
/*      */ import jpdf.attribute.SizeToFitPageWidth;
/*      */ import jpdf.attribute.SplitColumns;
/*      */ import jpdf.attribute.TableGridHorizontal;
/*      */ import jpdf.attribute.TableGridVertical;
/*      */ import jpdf.diagnostics.JpdfNotEnoughPageSpaceException;
/*      */ import jpdf.diagnostics.JpdfRuntimeException;
/*      */ import jpdf.printer.swing.PrintTableUtility;
/*      */ import jpdf.utility.PageDecorationUtility;
/*      */ import jpdf.wrap.SelectedRowTableModelWrapper;
/*      */ import jpdf_common.gui.component.table.RowNumberTable;
/*      */ import jpdf_common.gui.d.j;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class TableComponentPrinter
/*      */   extends AbstractComponentPrinter
/*      */ {
/*      */   public static final int MINIMUM_ROW_HEADER_WIDTH = 1;
/*      */   private final a a;
/*      */   
/*      */   static class a
/*      */     extends JScrollPane
/*      */   {
/*      */     public a(JTable param1JTable) {
/*  169 */       super(param1JTable, 21, 31);
/*      */ 
/*      */       
/*  172 */       a(param1JTable);
/*      */     }
/*      */ 
/*      */     
/*      */     private void a(JTable param1JTable) {
/*  177 */       TableColumnModel tableColumnModel = param1JTable.getColumnModel();
/*      */ 
/*      */ 
/*      */       
/*      */       Dimension dimension;
/*      */ 
/*      */ 
/*      */       
/*  185 */       (dimension = param1JTable.getPreferredSize()).width = tableColumnModel.getTotalColumnWidth();
/*  186 */       param1JTable.setPreferredSize(dimension);
/*      */ 
/*      */       
/*  189 */       setPreferredSize(dimension);
/*  190 */       setSize(dimension);
/*  191 */       setDoubleBuffered(false);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  201 */       addNotify();
/*      */ 
/*      */       
/*  204 */       param1JTable.invalidate();
/*  205 */       validate();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  231 */   private final ListSelectionModel b = new DefaultListSelectionModel();
/*      */   
/*      */   private final ListSelectionModel c;
/*      */   
/*      */   private final ListSelectionModel d;
/*      */   
/*      */   private final TableModel e;
/*      */   
/*      */   private final Dimension f;
/*      */   
/*      */   private final int[] g;
/*  242 */   private TableColumnResizer h = new DefaultTableColumnResizer();
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean i = true;
/*      */ 
/*      */ 
/*      */   
/*  250 */   private JViewport j = null;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  255 */   private JViewport k = null;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  260 */   private JViewport l = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  266 */   private TableModel m = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  272 */   private int[] n = new int[5];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  280 */   private int o = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  287 */   private int[] p = new int[10];
/*  288 */   private int[] q = new int[10];
/*      */   
/*  290 */   private int r = 216;
/*  291 */   private int s = 10;
/*  292 */   private int t = 3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableComponentPrinter(JTable paramJTable, String paramString) {
/*  306 */     this(paramJTable, paramString, true, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableComponentPrinter(JTable paramJTable, String paramString, boolean paramBoolean1, boolean paramBoolean2) {
/*  332 */     super(paramBoolean1 ? cloneTableView(paramJTable, true) : paramJTable, paramString, true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  341 */     this.a = new a((JTable)this.TARGET_COMPONENT);
/*      */ 
/*      */ 
/*      */     
/*  345 */     this.f = this.TARGET_COMPONENT.getSize();
/*      */ 
/*      */     
/*  348 */     this.e = ((JTable)this.TARGET_COMPONENT).getModel();
/*  349 */     this.c = ((JTable)this.TARGET_COMPONENT).getSelectionModel();
/*  350 */     this.d = ((JTable)this.TARGET_COMPONENT).getColumnModel().getSelectionModel();
/*  351 */     this.g = PrintTableUtility.getColumnPreferredWidths((JTable)this.TARGET_COMPONENT);
/*      */ 
/*      */ 
/*      */     
/*  355 */     if (!isSelectedRowsAllowed((JTable)this.TARGET_COMPONENT)) setSelectedRowsNotAllowed();
/*      */ 
/*      */     
/*      */     TableComponentPrinter tableComponentPrinter;
/*  359 */     (tableComponentPrinter = this).k = tableComponentPrinter.a.getRowHeader(); if (tableComponentPrinter.k == null) tableComponentPrinter.k = a((JTable)tableComponentPrinter.TARGET_COMPONENT, (Font)null, false, (Border)null, 0);
/*      */ 
/*      */ 
/*      */     
/*  363 */     setMinimumOffsets(1, 1, 0, 1);
/*      */ 
/*      */ 
/*      */     
/*  367 */     if (!paramBoolean1 && paramBoolean2) configureForPrinting(paramJTable);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static TableColumnModel cloneTableColumnModel(JTable paramJTable) {
/*  393 */     DefaultTableColumnModel defaultTableColumnModel = new DefaultTableColumnModel();
/*  394 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/*  395 */     ListSelectionModel listSelectionModel = defaultTableColumnModel.getSelectionModel();
/*  396 */     TableColumn tableColumn1 = null;
/*  397 */     TableColumn tableColumn2 = null;
/*  398 */     int[] arrayOfInt = tableColumnModel.getSelectedColumns();
/*  399 */     int i = paramJTable.getColumnCount();
/*      */ 
/*      */     
/*  402 */     defaultTableColumnModel.setColumnSelectionAllowed(tableColumnModel.getColumnSelectionAllowed());
/*  403 */     defaultTableColumnModel.setColumnMargin(tableColumnModel.getColumnMargin());
/*      */     
/*      */     byte b;
/*  406 */     for (b = 0; b < i; b++) {
/*      */ 
/*      */       
/*  409 */       tableColumn1 = new TableColumn(paramJTable.convertColumnIndexToModel(b));
/*  410 */       defaultTableColumnModel.addColumn(tableColumn1);
/*      */ 
/*      */       
/*  413 */       tableColumn2 = tableColumnModel.getColumn(b);
/*  414 */       tableColumn1.setCellRenderer(tableColumn2.getCellRenderer());
/*  415 */       tableColumn1.setHeaderRenderer(tableColumn2.getHeaderRenderer());
/*  416 */       tableColumn1.setPreferredWidth(tableColumn2.getPreferredWidth());
/*  417 */       tableColumn1.setWidth(tableColumn2.getWidth());
/*  418 */       tableColumn1.setHeaderValue(tableColumn2.getHeaderValue());
/*      */     } 
/*      */ 
/*      */     
/*  422 */     for (b = 0; b < arrayOfInt.length; b++)
/*      */     {
/*  424 */       listSelectionModel.addSelectionInterval(arrayOfInt[b], arrayOfInt[b]);
/*      */     }
/*      */     
/*  427 */     return defaultTableColumnModel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static JTable cloneTableView(JTable paramJTable, boolean paramBoolean) {
/*      */     JTable jTable;
/*  479 */     if (paramJTable instanceof CloneableViewTable) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  488 */       if ((jTable = ((CloneableViewTable)paramJTable).cloneView()).getColumnModel() == paramJTable.getColumnModel())
/*      */       {
/*  490 */         jTable.setColumnModel(cloneTableColumnModel(paramJTable));
/*      */       }
/*      */     } else {
/*      */       JTable jTable1;
/*      */ 
/*      */       
/*  496 */       ListSelectionModel listSelectionModel1 = (jTable1 = paramJTable).getSelectionModel(); TableColumnModel tableColumnModel1 = jTable1.getColumnModel(); TableColumn tableColumn = null; int arrayOfInt2[] = tableColumnModel1.getSelectedColumns(), i = jTable1.getColumnCount(); TableColumnModel tableColumnModel2; JTable jTable2; if ((tableColumnModel2 = (jTable2 = a(jTable1)).getColumnModel()) == tableColumnModel1 || tableColumnModel2.getColumnCount() != i) { tableColumnModel2 = cloneTableColumnModel(jTable1); jTable2.setColumnModel(tableColumnModel2); }  PrintTableUtility.copyColumnOrder(jTable1, jTable2); if (jTable1.getAutoResizeMode() == 0) { PrintTableUtility.copyColumnWidths(tableColumnModel1, tableColumnModel2); } else { jTable2.setAutoResizeMode(0); for (byte b1 = 0; b1 < i; ) { (tableColumn = tableColumnModel2.getColumn(b1)).setWidth(tableColumn.getPreferredWidth()); b1++; }  }  int[] arrayOfInt1 = arrayOfInt2; listSelectionModel1 = listSelectionModel1; ListSelectionModel listSelectionModel2 = (jTable1 = jTable2).getColumnModel().getSelectionModel(); jTable1.setSelectionModel(listSelectionModel1); for (byte b = 0; b < arrayOfInt1.length; ) { listSelectionModel2.addSelectionInterval(arrayOfInt1[b], arrayOfInt1[b]); b++; }  jTable = jTable2;
/*      */ 
/*      */       
/*  499 */       setTableComponentCloneProperties(paramJTable, jTable);
/*      */     } 
/*      */ 
/*      */     
/*  503 */     jTable.setSize(paramJTable.getWidth(), paramJTable.getHeight());
/*      */ 
/*      */     
/*  506 */     PrintTableUtility.setToPreferredColumnWidths(jTable);
/*      */ 
/*      */     
/*  509 */     if (paramBoolean) configureForPrinting(jTable);
/*      */     
/*  511 */     return jTable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void configureForPrinting(JTable paramJTable) {
/*  523 */     paramJTable.setDoubleBuffered(false);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  528 */     paramJTable.setAutoCreateColumnsFromModel(false);
/*      */ 
/*      */     
/*  531 */     paramJTable.setAutoResizeMode(0);
/*      */ 
/*      */     
/*  534 */     j.i().j().a(paramJTable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void copyColumnWidths(JTable paramJTable) {
/*  546 */     JTable jTable = (JTable)this.TARGET_COMPONENT;
/*      */ 
/*      */     
/*  549 */     PrintTableUtility.copyColumnWidths(paramJTable, jTable);
/*      */ 
/*      */     
/*  552 */     doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void doLayout() {
/*  564 */     JTable jTable = (JTable)this.TARGET_COMPONENT;
/*      */     
/*  566 */     a.a(this.a, jTable);
/*  567 */     this.f.width = jTable.getWidth();
/*  568 */     this.f.height = jTable.getHeight();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFitColWidthExtra() {
/*  581 */     return this.t;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFitColWidthMaximum() {
/*  593 */     return this.r;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFitColWidthMinimum() {
/*  605 */     return this.s;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFitScalingSupportCode() {
/*  617 */     return 2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getMaxEmptySpaceAtPageBottom() {
/*  629 */     return this.o;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getPageTableRowIndexFirst(int paramInt) {
/*  638 */     int i = 0;
/*  639 */     if (paramInt < 0 || paramInt >= getPageCount())
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  644 */       throw new IllegalArgumentException("Invalid page index: " + paramInt);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  649 */     if ((paramInt = a(paramInt)) > 0)
/*      */     {
/*  651 */       i = this.q[paramInt - 1] + 1;
/*      */     }
/*      */     
/*  654 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getPageTableRowIndexLast(int paramInt) {
/*  663 */     if (paramInt < 0 || paramInt >= getPageCount())
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  669 */       throw new IllegalArgumentException("Invalid page index: " + paramInt);
/*      */     }
/*      */ 
/*      */     
/*  673 */     paramInt = a(paramInt);
/*      */ 
/*      */     
/*  676 */     return paramInt = this.q[paramInt];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dimension getTargetComponentPrintSize() {
/*  686 */     PrintRequestAttributeSet printRequestAttributeSet = getAttributeSet();
/*  687 */     Dimension dimension = this.TARGET_COMPONENT.getSize();
/*  688 */     JViewport jViewport = null;
/*  689 */     jViewport = null;
/*  690 */     boolean bool2 = RowHeaders.isToInclude(printRequestAttributeSet);
/*      */ 
/*      */     
/*      */     boolean bool1;
/*      */     
/*  695 */     if (bool1 = ColumnHeaders.isToInclude(printRequestAttributeSet))
/*      */     {
/*      */       
/*  698 */       if ((jViewport = this.a.getColumnHeader()) != null) {
/*      */         Component component;
/*      */         
/*  701 */         if ((component = jViewport.getView()) != null)
/*      */         {
/*  703 */           dimension.height += component.getHeight();
/*      */         }
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  709 */     if (bool2) {
/*      */       TableComponentPrinter tableComponentPrinter;
/*      */       
/*  712 */       if ((jViewport = (tableComponentPrinter = this).j) != null) {
/*      */         Component component;
/*      */         
/*  715 */         if ((component = jViewport.getView()) != null)
/*      */         {
/*  717 */           dimension.width += component.getWidth();
/*      */         }
/*      */       } 
/*      */     } 
/*      */     
/*  722 */     return dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isSelectedRowsAllowed() {
/*  740 */     return this.i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isSelectedRowsAllowed(JTable paramJTable) {
/*  752 */     return ((paramJTable.getRowSelectionAllowed() && paramJTable.getSelectedRowCount() > 0) || (paramJTable = paramJTable).getModel() instanceof SelectedRowTableModelWrapper);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnResizer(TableColumnResizer paramTableColumnResizer) {
/*  766 */     if (paramTableColumnResizer == null)
/*      */     {
/*  768 */       throw new IllegalArgumentException("The Table Column Resizer cannot be NULL.");
/*      */     }
/*  770 */     this.h = paramTableColumnResizer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnWidth(int paramInt1, int paramInt2) {
/*      */     JTable jTable;
/*  786 */     TableColumnModel tableColumnModel = (jTable = (JTable)this.TARGET_COMPONENT).getColumnModel();
/*  787 */     int i = jTable.convertColumnIndexToView(paramInt1);
/*      */ 
/*      */     
/*      */     TableColumn tableColumn;
/*      */ 
/*      */     
/*  793 */     (tableColumn = tableColumnModel.getColumn(i)).setPreferredWidth(paramInt2);
/*  794 */     tableColumn.setWidth(paramInt2);
/*      */ 
/*      */     
/*  797 */     this.g[paramInt1] = paramInt2;
/*      */ 
/*      */     
/*  800 */     doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnWidths(int[] paramArrayOfint) {
/*      */     JTable jTable;
/*  817 */     TableColumnModel tableColumnModel = (jTable = (JTable)this.TARGET_COMPONENT).getColumnModel();
/*  818 */     int i = Math.min(paramArrayOfint.length, tableColumnModel.getColumnCount());
/*      */ 
/*      */ 
/*      */     
/*  822 */     PrintTableUtility.setColumnWidths(jTable, paramArrayOfint);
/*      */ 
/*      */     
/*  825 */     for (byte b = 0; b < i; b++)
/*      */     {
/*  827 */       this.g[b] = paramArrayOfint[b];
/*      */     }
/*      */ 
/*      */     
/*  831 */     doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnWidthsToFitData(int paramInt1, int paramInt2, int paramInt3) {
/*  845 */     PrintTableUtility.setColumnWidthsToFitData((JTable)this.TARGET_COMPONENT, paramInt1, paramInt2, paramInt3);
/*      */ 
/*      */ 
/*      */     
/*  849 */     doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean setDoubleBuffered(boolean paramBoolean) {
/*  858 */     JTable jTable = (JTable)this.TARGET_COMPONENT;
/*  859 */     boolean bool = false;
/*      */     
/*  861 */     if (jTable.isDoubleBuffered() != paramBoolean) {
/*      */       
/*  863 */       jTable.setDoubleBuffered(paramBoolean);
/*  864 */       this.a.setDoubleBuffered(paramBoolean);
/*  865 */       bool = true;
/*      */     } 
/*      */     
/*  868 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFitColWidthExtra(int paramInt) {
/*  880 */     this.t = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFitColWidthMaximum(int paramInt) {
/*  891 */     this.r = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFitColWidthMinimum(int paramInt) {
/*  902 */     this.s = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setMaxEmptySpaceAtPageBottom(int paramInt) {
/*  925 */     if (paramInt >= 0 && paramInt <= 36)
/*      */     {
/*  927 */       throw new IllegalArgumentException("The Max Space must be negative or greater than 36.");
/*      */     }
/*      */     
/*  930 */     this.o = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowHeaderView(JComponent paramJComponent) {
/*  943 */     this.a.setRowHeaderView(paramJComponent);
/*  944 */     this.k = this.a.getRowHeader();
/*  945 */     doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowNumberOffset(int paramInt1, int paramInt2) {
/*  960 */     TableComponentPrinter tableComponentPrinter2 = null;
/*      */     
/*  962 */     boolean bool = false;
/*      */     
/*      */     JViewport jViewport2;
/*      */     
/*  966 */     if ((jViewport2 = (tableComponentPrinter2 = this).k) != null) {
/*      */       Component component;
/*      */       
/*  969 */       if (component = jViewport2.getView() instanceof RowNumberTable) {
/*      */         
/*  971 */         ((RowNumberTable)component).setRowNumberOffset(paramInt1, paramInt2);
/*  972 */         bool = true;
/*      */       } 
/*      */     } 
/*      */     
/*      */     TableComponentPrinter tableComponentPrinter1;
/*      */     JViewport jViewport1;
/*  978 */     if ((jViewport1 = (tableComponentPrinter1 = this).l) != null) {
/*      */       Component component;
/*      */       
/*  981 */       if (component = jViewport1.getView() instanceof RowNumberTable) {
/*      */         
/*  983 */         ((RowNumberTable)component).setRowNumberOffset(paramInt1, paramInt2);
/*  984 */         bool = true;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  989 */     if (bool) doLayout();
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelectedRowsNotAllowed() {
/* 1003 */     this.i = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setTableComponentCloneProperties(JTable paramJTable1, JTable paramJTable2) {
/* 1018 */     TableCellRenderer tableCellRenderer2 = null;
/*      */     
/* 1020 */     TableModel tableModel = paramJTable1.getModel();
/* 1021 */     JTableHeader jTableHeader = paramJTable1.getTableHeader();
/* 1022 */     Object object = null;
/* 1023 */     Class<?> clazz = null;
/* 1024 */     int j = paramJTable1.getColumnCount();
/* 1025 */     int i = 0;
/*      */ 
/*      */ 
/*      */     
/* 1029 */     paramJTable2.setAutoResizeMode(paramJTable1.getAutoResizeMode());
/* 1030 */     paramJTable2.setGridColor(paramJTable1.getGridColor());
/* 1031 */     paramJTable2.setIntercellSpacing(paramJTable1.getIntercellSpacing());
/* 1032 */     paramJTable2.setRowHeight(paramJTable1.getRowHeight());
/* 1033 */     paramJTable2.setSelectionBackground(paramJTable1.getSelectionBackground());
/* 1034 */     paramJTable2.setSelectionForeground(paramJTable1.getSelectionForeground());
/* 1035 */     paramJTable2.setShowHorizontalLines(paramJTable1.getShowHorizontalLines());
/* 1036 */     paramJTable2.setShowVerticalLines(paramJTable1.getShowVerticalLines());
/*      */ 
/*      */ 
/*      */     
/* 1040 */     if (!PrintTableUtility.isSingleRowHeightTable(paramJTable1)) {
/*      */       
/* 1042 */       i = paramJTable1.getRowCount();
/* 1043 */       for (byte b1 = 0; b1 < i; b1++)
/*      */       {
/* 1045 */         paramJTable2.setRowHeight(b1, paramJTable1.getRowHeight(b1));
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1054 */     TableCellRenderer tableCellRenderer1 = paramJTable1.getDefaultRenderer(Object.class);
/* 1055 */     paramJTable2.setDefaultRenderer(Object.class, tableCellRenderer1);
/* 1056 */     for (byte b = 0; b < j; b++) {
/*      */ 
/*      */       
/* 1059 */       if ((clazz = tableModel.getColumnClass(b)) != Object.class)
/*      */       {
/*      */         
/* 1062 */         if ((tableCellRenderer2 = paramJTable1.getDefaultRenderer(clazz)) != tableCellRenderer1)
/*      */         {
/* 1064 */           paramJTable2.setDefaultRenderer(clazz, tableCellRenderer2);
/*      */         }
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1071 */     setComponentCloneProperties(paramJTable1, paramJTable2, true);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1076 */     if (jTableHeader != null) {
/*      */       
/* 1078 */       JTableHeader jTableHeader1 = paramJTable2.getTableHeader();
/* 1079 */       setComponentCloneProperties(jTableHeader, jTableHeader1, true);
/* 1080 */       jTableHeader1.setDefaultRenderer(jTableHeader.getDefaultRenderer());
/*      */       
/*      */       return;
/*      */     } 
/* 1084 */     paramJTable2.setTableHeader((JTableHeader)null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int adjustCandidatePageBreakRow(JTable paramJTable, int paramInt1, int paramInt2, int paramInt3, float paramFloat, int paramInt4) {
/* 1120 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void computePageGridSize(PageFormat paramPageFormat, AttributeSet paramAttributeSet, float paramFloat, Dimension paramDimension) {
/*      */     TableComponentPrinter tableComponentPrinter2;
/*      */     PageFormat pageFormat;
/* 1137 */     JViewport jViewport2 = null;
/* 1138 */     JViewport jViewport3 = null;
/* 1139 */     JTable jTable1 = (JTable)this.TARGET_COMPONENT;
/*      */     
/* 1141 */     boolean bool1 = SplitColumns.isToSplitColumns(paramAttributeSet);
/* 1142 */     boolean bool2 = ContentHeadersOnEveryPage.isOnEveryPage(paramAttributeSet);
/* 1143 */     boolean bool3 = (jTable1.getRowCount() == 0);
/* 1144 */     boolean bool4 = RowHeaders.isToInclude(paramAttributeSet);
/* 1145 */     boolean bool5 = ColumnHeaders.isToInclude(paramAttributeSet);
/* 1146 */     int m = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1157 */     if (bool3) {
/*      */       
/* 1159 */       paramDimension.width = 1;
/* 1160 */       paramDimension.height = 1;
/* 1161 */       if (!bool5)
/* 1162 */         return;  if (this.a.getColumnHeader().getView().getHeight() == 0) {
/*      */         return;
/*      */       }
/*      */       
/* 1166 */       jTable1.setSize(this.a.getColumnHeader().getView().getWidth(), 0);
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/* 1174 */       m = (jTable1.getUI().getPreferredSize(jTable1)).height;
/* 1175 */       jTable1.setSize(this.f.width, m);
/*      */     } 
/*      */ 
/*      */     
/* 1179 */     m = PageDecorationUtility.computeAvailablePageWidth(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, 0);
/*      */ 
/*      */ 
/*      */     
/* 1183 */     if (bool5)
/*      */     {
/* 1185 */       jViewport2 = this.a.getColumnHeader();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1193 */     if (bool3 || PrintTableUtility.isSingleRowHeightTable(jTable1)) {
/*      */ 
/*      */ 
/*      */       
/* 1197 */       float f4 = paramFloat; boolean bool = bool2; JViewport jViewport = jViewport2; AttributeSet attributeSet = paramAttributeSet; pageFormat = paramPageFormat; AbstractComponentPrinter.a a1 = (tableComponentPrinter2 = this).a(); Object object = null; JTable jTable; int i5 = (jTable = (JTable)tableComponentPrinter2.TARGET_COMPONENT).getRowHeight(), i7 = 0, i8 = 0; byte b = 0; int i9 = jTable.getRowCount() - 1, i10 = -1; boolean bool6 = false; int i11 = 0, i12 = 0, i14 = 0; float f5 = i5 * f4; Component component; if (jViewport != null && (component = jViewport.getView()) != null) i8 = (int)(component.getHeight() * f4) + 1;  tableComponentPrinter2.PRINT_PARAM_HOLDER.pageGridWidth = 1; tableComponentPrinter2.PRINT_PARAM_HOLDER.pageNo = 1 + tableComponentPrinter2.getDisplayPageNumberOffset(); tableComponentPrinter2.PRINT_PARAM_HOLDER.scaleFactor = f4; i6 -= tableComponentPrinter2.getEmptySpaceAtFirstPageTop(); tableComponentPrinter2.b(i6 - i8); for (boolean bool7 = (i9 < 0) ? true : false; !bool7; ) { if (b && !bool) { i7 = i6; } else { i7 = i6 - i8; }  if (b && a1 != null) i7 -= a1.a();  int i15; if ((i15 = (int)(i7 / f5)) <= 0) i15 = 1;  if ((i10 += i15) > i9) i10 = i9;  if (!(bool7 = (i10 >= i9) ? true : false)) { i12 = i7 - (int)(i15 * f5); if ((i11 = tableComponentPrinter2.adjustCandidatePageBreakRow(jTable, b, i10, i15, f4, i12)) >= i15) i11 = i15 - 1;  if (i11 > 0) i10 -= i11;  }  i14 = (int)(((i10 + 1) * f5) + 0.5D); tableComponentPrinter2.a(b, i9, i14, i10); b++; tableComponentPrinter2.PRINT_PARAM_HOLDER.pageNo++; i6 = PageDecorationUtility.computeAvailablePageHeight(pageFormat, attributeSet, tableComponentPrinter2.DECORATION_OPTIONS, tableComponentPrinter2.PRINT_PARAM_HOLDER); }  int i13 = tableComponentPrinter2.p[b - 1]; if (b > 1) i13 -= tableComponentPrinter2.p[b - 2];  tableComponentPrinter2.b(i7 - i13); int i6; paramDimension.height = ((i6 = PageDecorationUtility.computeAvailablePageHeight(pageFormat, attributeSet, tableComponentPrinter2.DECORATION_OPTIONS, tableComponentPrinter2.PRINT_PARAM_HOLDER)) <= i8 + f5) ? 1 : ((i9 < 0) ? 1 : b);
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1204 */       float f4 = paramFloat; boolean bool = bool2; PageFormat pageFormat1 = pageFormat; AttributeSet attributeSet = paramAttributeSet; TableComponentPrinter tableComponentPrinter = tableComponentPrinter2; int i6 = (tableComponentPrinter2 = this).getMaxEmptySpaceAtPageBottom(); AbstractComponentPrinter.a a1 = tableComponentPrinter2.a(); Object object = null; JTable jTable = (JTable)tableComponentPrinter2.TARGET_COMPONENT; boolean bool8 = false, bool9 = false; float f5 = 0.0F, f7 = 0.0F, f8 = 0.0F; int i8 = 0, i9 = 0; byte b = 0; int i10 = jTable.getRowCount() - 1, i11 = -1, i7 = 0; boolean bool6 = false; bool6 = false; Component component; if (pageFormat1 != null && (component = pageFormat1.getView()) != null) i9 = (int)(component.getHeight() * f4) + 1;  boolean bool7; float f6; for (tableComponentPrinter2.PRINT_PARAM_HOLDER.pageGridWidth = 1, tableComponentPrinter2.PRINT_PARAM_HOLDER.pageNo = 1 + tableComponentPrinter2.getDisplayPageNumberOffset(), tableComponentPrinter2.PRINT_PARAM_HOLDER.scaleFactor = f4, i7 = PageDecorationUtility.computeAvailablePageHeight((PageFormat)tableComponentPrinter, attributeSet, tableComponentPrinter2.DECORATION_OPTIONS, tableComponentPrinter2.PRINT_PARAM_HOLDER), f6 = jTable.getRowHeight(0) * f4, i7 -= tableComponentPrinter2.getEmptySpaceAtFirstPageTop(), bool7 = (i10 < 0) ? true : false; !bool7; ) { if (b && !bool) { i8 = i7; } else { i8 = i7 - i9; }  if (b && a1 != null) i8 -= a1.a();  f7 = 0.0F; i7 = 0; i11++; for (bool9 = true; i11 <= i10; ) { f6 = jTable.getRowHeight(i11) * f4; if (bool9 && bool8) f6 -= f5;  if ((f7 += f6) > i8) { f7 -= f6; i11--; float f = i8 - f7; if ((i6 > 0 && f > i6) || (f7 == 0.0F && i8 > 288)) { bool8 = true; f = tableComponentPrinter2.computeRowSplitLocation(jTable, i11 + 1, f4, f5, f); f7 += f - f5; f5 = f; break; }  bool8 = false; f5 = 0.0F; break; }  i11++; i7++; bool9 = false; }  if (f7 <= 0.0F && b) throw new JpdfRuntimeException(new JpdfNotEnoughPageSpaceException());  if (i11 > i10) i11 = i10;  if (!(bool7 = (i11 >= i10) ? true : false) && !bool8) { int i12 = i8 - (int)(f7 + 0.5F); if ((i12 = tableComponentPrinter2.adjustCandidatePageBreakRow(jTable, b, i11, i7, f4, i12)) >= i7) i12 = i7 - 1;  for (byte b3 = 1; b3 <= i12; ) { f6 = jTable.getRowHeight(i11) * f4; f7 -= f6; i11--; b3++; }  }  f8 += f7; tableComponentPrinter2.a(b, i10, (int)(f8 + 0.5F), i11); b++; tableComponentPrinter2.PRINT_PARAM_HOLDER.pageNo++; i7 = PageDecorationUtility.computeAvailablePageHeight((PageFormat)tableComponentPrinter, attributeSet, tableComponentPrinter2.DECORATION_OPTIONS, tableComponentPrinter2.PRINT_PARAM_HOLDER); }  int i5 = tableComponentPrinter2.p[b - 1]; if (b > 1) i5 -= tableComponentPrinter2.p[b - 2];  tableComponentPrinter2.b(i8 - i5); paramDimension.height = (i7 <= i9 + f6) ? 1 : b;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1215 */     int j = (int)((getTargetComponentPrintSize()).width * paramFloat + 0.999F);
/* 1216 */     int i = (int)(jTable1.getWidth() * paramFloat + 0.999F);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1227 */     paramDimension.width = 1;
/* 1228 */     this.n[0] = i;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1237 */     paramDimension.width = 1;
/* 1238 */     this.n[0] = m;
/* 1239 */     if (bool4)
/*      */     {
/* 1241 */       this.n[0] = this.n[0] - a(paramFloat) + 2;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1249 */     if (bool4) {
/*      */       TableComponentPrinter tableComponentPrinter;
/* 1251 */       jViewport3 = (tableComponentPrinter = this).j;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1256 */     if (bool1) {
/*      */       int i10;
/* 1258 */       float f4 = paramFloat; int i5 = m; bool5 = bool2; JViewport jViewport = jViewport3; AttributeSet attributeSet = paramAttributeSet; TableComponentPrinter tableComponentPrinter; JTable jTable = (JTable)(tableComponentPrinter = this).TARGET_COMPONENT; int i7 = 0, i8 = 0, i9 = 0, i11 = -1, i6 = (int)(jTable.getWidth() * f4 + 0.999F); if (jViewport != null) i8 = (int)((i7 = jViewport.getView().getWidth() + 1) * f4 + 0.5F);  if (bool5) { for (i10 = (int)(i6 / i5 + 0.999F); i10 != i11; ) { i11 = i10; i10 = (int)((i9 = i6 + i10 * i8) / i5 + 0.999F); }  } else { i10 = (int)((i9 = i8 + i6) / i5 + 0.999F); }  tableComponentPrinter.n[0] = i5 - i8; if (bool5) i5 -= i8;  int i14; for (i14 = 1; i14 < i10; ) { tableComponentPrinter.a(i14, tableComponentPrinter.n[i14 - 1] + i5); i14++; }  tableComponentPrinter.n[i10 - 1] = i6; int i12 = i10 * i5; if (!bool5) i12 -= i8;  tableComponentPrinter.EXTRA_SPACE.width = i12 - i6; float f5 = AlignmentFactorHorizontal.getAlignmentFactor(attributeSet); int i13; if ((i13 = (int)(tableComponentPrinter.EXTRA_SPACE.width * f5 + 0.5F)) > 0) { byte b; for (i14 = i10 - 1, b = 0; b < i14; ) { tableComponentPrinter.n[b] = tableComponentPrinter.n[b] - i13; b++; }  }  paramDimension.width = (i5 <= 0 || i5 <= i8) ? 1 : i10;
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1264 */     float f1 = paramFloat; int k = m; bool3 = bool2; JViewport jViewport1 = jViewport3; TableComponentPrinter tableComponentPrinter1; JTable jTable2; TableColumnModel tableColumnModel = (jTable2 = (JTable)(tableComponentPrinter1 = this).TARGET_COMPONENT).getColumnModel(); float f2 = 0.0F, f3 = 0.0F; int n = tableColumnModel.getColumnCount(), i2 = 0; byte b1 = 0; int i3 = 0, i4 = 0; if (jViewport1 != null) i2 = (int)((jViewport1.getView().getWidth() + 1) * f1 + 0.5F);  byte b2; for (int i1 = k - i2; b2 < n; ) { f3 = tableColumnModel.getColumn(b2).getWidth() * f1; if (f2 + f3 <= i1) { f2 += f3; } else { tableComponentPrinter1.n[b1] = (int)(f2 + 0.5F); if (f3 > i1) { i3 = i1 - tableComponentPrinter1.n[b1]; tableComponentPrinter1.n[b1] = i1; i4 = (int)(f3 + 0.5F) - i3; if (!bool3) i1 = k;  while (i4 > i1) { tableComponentPrinter1.a(++b1, i1); i4 -= i1; }  tableComponentPrinter1.a(++b1, 0); f2 = i4; } else { tableComponentPrinter1.a(++b1, 0); f2 = f3; }  if (!bool3) i1 = k;  }  b2++; }  for (tableComponentPrinter1.n[b1] = (int)f2, b2 = 1; b2 <= b1; ) { tableComponentPrinter1.n[b2] = tableComponentPrinter1.n[b2] + tableComponentPrinter1.n[b2 - 1]; b2++; }  paramDimension.width = (this.SCALE_FACTOR_INFO_HOLDER.fitsPagesWide == 1) ? (m - j) : ((c() == 1 && j > m) ? 2 : ((k <= 0 || k <= i2) ? 1 : (b1 + 1)));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected float computeRowSplitLocation(JTable paramJTable, int paramInt, float paramFloat1, float paramFloat2, float paramFloat3) {
/* 1300 */     Object object = null;
/*      */     
/* 1302 */     float f2 = paramFloat2 + paramFloat3 - 1.0F;
/* 1303 */     float f1 = 0.0F;
/* 1304 */     int i = 0;
/* 1305 */     int j = 0;
/*      */     
/* 1307 */     int k = 0;
/*      */ 
/*      */     
/* 1310 */     i = PrintTableUtility.getTallestColIndexForRow(paramJTable, paramInt);
/*      */ 
/*      */     
/*      */     Component component;
/*      */ 
/*      */     
/* 1316 */     if (component = PrintTableUtility.getRendererComponent(paramJTable, paramInt, i) instanceof javax.swing.JTextArea) {
/*      */       
/* 1318 */       component = component;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1323 */       if (paramFloat2 == 0.0F) j = (component.getInsets()).top;
/*      */ 
/*      */       
/* 1326 */       float f = component.getFontMetrics(component.getFont()).getHeight() * paramFloat1;
/*      */ 
/*      */ 
/*      */       
/* 1330 */       k = (int)((paramFloat3 - j) / f);
/*      */ 
/*      */       
/* 1333 */       f2 = j + paramFloat2 + k * f + 1.0F;
/*      */ 
/*      */       
/* 1336 */       int m = paramJTable.getRowHeight(paramInt);
/* 1337 */       if (f2 > m)
/*      */       {
/* 1339 */         f2 = m;
/*      */       }
/*      */     } 
/*      */     
/* 1343 */     return f2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getComponentHeightOnPage(int paramInt) {
/* 1356 */     PrintRequestAttributeSet printRequestAttributeSet = getAttributeSet();
/* 1357 */     float f = this.SCALE_FACTOR_INFO_HOLDER.scaleFactor;
/* 1358 */     int i = 0;
/* 1359 */     if (paramInt < 0 || paramInt >= this.PAGE_GRID_SIZE.height) return 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1365 */     if (ColumnHeaders.isToInclude(printRequestAttributeSet))
/*      */     {
/* 1367 */       if (paramInt == 0 || ContentHeadersOnEveryPage.isOnEveryPage(printRequestAttributeSet)) {
/*      */         
/* 1369 */         f = f; TableComponentPrinter tableComponentPrinter = this; Component component = null; int j = 0; JViewport jViewport; if ((jViewport = tableComponentPrinter.a.getColumnHeader()) != null && (component = jViewport.getView()) != null) j = (int)(component.getHeight() * f + 0.5F);  i = j;
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/* 1374 */     if (paramInt == 0) {
/*      */       
/* 1376 */       paramInt = i + this.p[0];
/*      */     }
/*      */     else {
/*      */       
/* 1380 */       paramInt = i + this.p[paramInt] - this.p[paramInt - 1];
/*      */     } 
/*      */ 
/*      */     
/* 1384 */     return paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isBorderSupported() {
/* 1398 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void prepareForPrinting(PageFormat paramPageFormat, AttributeSet paramAttributeSet) {
/* 1412 */     JTable jTable1 = (JTable)this.TARGET_COMPONENT;
/* 1413 */     boolean bool1 = false;
/* 1414 */     bool1 = SelectedRows.isToPrintSelectedRows(paramAttributeSet);
/* 1415 */     boolean bool2 = jTable1.getShowHorizontalLines();
/* 1416 */     boolean bool3 = jTable1.getShowVerticalLines();
/* 1417 */     super.prepareForPrinting(paramPageFormat, paramAttributeSet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1424 */     bool2 = TableGridHorizontal.isToPrintGrid(paramAttributeSet, bool2);
/* 1425 */     bool3 = TableGridVertical.isToPrintGrid(paramAttributeSet, bool3);
/* 1426 */     jTable1.setShowHorizontalLines(bool2);
/* 1427 */     jTable1.setShowVerticalLines(bool3);
/*      */ 
/*      */     
/* 1430 */     if (isSelectedRowsAllowed() && bool1) {
/*      */       
/* 1432 */       JTable jTable3 = jTable1; TableComponentPrinter tableComponentPrinter1, tableComponentPrinter2; JViewport jViewport = (tableComponentPrinter2 = tableComponentPrinter1 = this).k; JTable jTable4 = null; jTable3.setSelectionModel(tableComponentPrinter1.c); jTable4 = jTable3; TableComponentPrinter tableComponentPrinter3; if ((tableComponentPrinter3 = tableComponentPrinter1).m == null) tableComponentPrinter3.m = (TableModel)new SelectedRowTableModelWrapper(jTable4);  TableModel tableModel = tableComponentPrinter3.m; tableComponentPrinter1.a(jTable3, tableModel, false); if (jViewport != null) { TableComponentPrinter tableComponentPrinter4; JViewport jViewport1; if ((jViewport1 = (tableComponentPrinter4 = tableComponentPrinter1).l) == null) { JTable jTable = jTable3; tableComponentPrinter3 = tableComponentPrinter1; TableCellRenderer tableCellRenderer = null; JViewport jViewport2 = (tableComponentPrinter4 = tableComponentPrinter3).k; Font font = null; Border border = null; int j = 0; Component component; if (component = jViewport2.getView() instanceof RowNumberTable) { if (tableCellRenderer = ((JTable)component).getCellRenderer(0, 0) instanceof JLabel) { font = ((JLabel)tableCellRenderer).getFont(); border = ((JLabel)tableCellRenderer).getBorder(); }  j = ((RowNumberTable)component).getRowNumberOffset(); tableComponentPrinter3.l = a(jTable, font, true, border, j); } else { tableComponentPrinter3.l = jViewport2; }  jViewport1 = tableComponentPrinter3.l; }  tableComponentPrinter1.a(jViewport1); }
/*      */     
/*      */     } else {
/*      */       
/* 1436 */       bool1 = HighlightSelections.isToHighlightSelections(paramAttributeSet);
/* 1437 */       bool3 = bool1; JTable jTable = jTable1; TableComponentPrinter tableComponentPrinter1; (tableComponentPrinter1 = this).a(jTable, tableComponentPrinter1.e, bool3); TableComponentPrinter tableComponentPrinter2; tableComponentPrinter1.a((tableComponentPrinter2 = tableComponentPrinter1).k);
/*      */     } 
/*      */ 
/*      */     
/* 1441 */     if (SizeToFitPageWidth.isToSizeToFitWidth(paramAttributeSet)) {
/*      */       
/* 1443 */       JTable jTable = jTable1; AttributeSet attributeSet = paramAttributeSet; PageFormat pageFormat = paramPageFormat; TableComponentPrinter tableComponentPrinter1, tableComponentPrinter3; TableColumnResizer tableColumnResizer = (tableComponentPrinter3 = tableComponentPrinter1 = this).h; JViewport jViewport = null; Component component = null; boolean bool4 = false; int j = PageDecorationUtility.computeAvailablePageWidth(pageFormat, attributeSet, tableComponentPrinter1.DECORATION_OPTIONS, 0); j -= 2; if (RowHeaders.isToInclude(attributeSet)) j -= tableComponentPrinter1.a(1.0F) - 1;  boolean bool = tableColumnResizer.sizeColumnsToFitWidth(jTable, j); ((TableRowResizer)jTable).resizeRows(jTable); bool4 = true; TableComponentPrinter tableComponentPrinter2; if (jTable instanceof TableRowResizer && (jViewport = (tableComponentPrinter2 = tableComponentPrinter1).j) != null && component = jViewport.getView() instanceof RowNumberTable) PrintTableUtility.copyRowHeights(jTable, (JTable)component);  if (bool || bool4) tableComponentPrinter1.doLayout();
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1449 */     if (SizeColumnsToFitData.isToSizeToFitData(paramAttributeSet)) {
/*      */       
/* 1451 */       setColumnWidthsToFitData(getFitColWidthMinimum(), getFitColWidthMaximum(), getFitColWidthExtra()); return;
/*      */     }  TableComponentPrinter tableComponentPrinter; JTable jTable2; TableColumnModel tableColumnModel; TableColumn tableColumn;
/*      */     int i;
/*      */     byte b;
/* 1455 */     for (tableColumnModel = (jTable2 = (JTable)(tableComponentPrinter = this).TARGET_COMPONENT).getColumnModel(), tableColumn = null, i = tableColumnModel.getColumnCount(), b = 0; b < i; ) { (tableColumn = tableColumnModel.getColumn(b)).setPreferredWidth(tableComponentPrinter.g[b]); tableColumn.setWidth(tableComponentPrinter.g[b]); b++; }  tableComponentPrinter.doLayout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void printTargetComponent(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, AttributeSet paramAttributeSet, float paramFloat) {
/*      */     // Byte code:
/*      */     //   0: aconst_null
/*      */     //   1: astore #6
/*      */     //   3: aconst_null
/*      */     //   4: astore #7
/*      */     //   6: aconst_null
/*      */     //   7: astore #8
/*      */     //   9: aload #4
/*      */     //   11: invokestatic isOnEveryPage : (Ljavax/print/attribute/AttributeSet;)Z
/*      */     //   14: istore #9
/*      */     //   16: aload #4
/*      */     //   18: invokestatic isToSplitColumns : (Ljavax/print/attribute/AttributeSet;)Z
/*      */     //   21: istore #10
/*      */     //   23: aload #4
/*      */     //   25: invokestatic isToInclude : (Ljavax/print/attribute/AttributeSet;)Z
/*      */     //   28: istore #11
/*      */     //   30: aload #4
/*      */     //   32: invokestatic isToInclude : (Ljavax/print/attribute/AttributeSet;)Z
/*      */     //   35: istore #8
/*      */     //   37: iconst_0
/*      */     //   38: istore #12
/*      */     //   40: iconst_0
/*      */     //   41: istore #15
/*      */     //   43: iconst_0
/*      */     //   44: istore #16
/*      */     //   46: iconst_0
/*      */     //   47: istore #17
/*      */     //   49: iconst_0
/*      */     //   50: istore #18
/*      */     //   52: iload_2
/*      */     //   53: ifne -> 75
/*      */     //   56: aload_0
/*      */     //   57: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*      */     //   60: getfield pageContentRectangle : Ljava/awt/Rectangle;
/*      */     //   63: dup
/*      */     //   64: getfield y : I
/*      */     //   67: aload_0
/*      */     //   68: invokevirtual getEmptySpaceAtFirstPageTop : ()I
/*      */     //   71: iadd
/*      */     //   72: putfield y : I
/*      */     //   75: aload #4
/*      */     //   77: invokestatic getAlignmentFactor : (Ljavax/print/attribute/AttributeSet;)F
/*      */     //   80: fstore #4
/*      */     //   82: iload_2
/*      */     //   83: ifle -> 98
/*      */     //   86: aload_0
/*      */     //   87: getfield p : [I
/*      */     //   90: iload_2
/*      */     //   91: iconst_1
/*      */     //   92: isub
/*      */     //   93: iaload
/*      */     //   94: iconst_1
/*      */     //   95: isub
/*      */     //   96: istore #12
/*      */     //   98: aload_0
/*      */     //   99: getfield p : [I
/*      */     //   102: iload_2
/*      */     //   103: iaload
/*      */     //   104: iload #12
/*      */     //   106: isub
/*      */     //   107: istore #13
/*      */     //   109: aload_0
/*      */     //   110: getfield n : [I
/*      */     //   113: iload_3
/*      */     //   114: iaload
/*      */     //   115: istore #14
/*      */     //   117: iload_3
/*      */     //   118: ifle -> 134
/*      */     //   121: iload #14
/*      */     //   123: aload_0
/*      */     //   124: getfield n : [I
/*      */     //   127: iload_3
/*      */     //   128: iconst_1
/*      */     //   129: isub
/*      */     //   130: iaload
/*      */     //   131: isub
/*      */     //   132: istore #14
/*      */     //   134: iload #8
/*      */     //   136: ifeq -> 190
/*      */     //   139: aload_0
/*      */     //   140: getfield a : Ljpdf/printer/TableComponentPrinter$a;
/*      */     //   143: invokevirtual getColumnHeader : ()Ljavax/swing/JViewport;
/*      */     //   146: dup
/*      */     //   147: astore #8
/*      */     //   149: ifnull -> 190
/*      */     //   152: aload #8
/*      */     //   154: invokevirtual getView : ()Ljava/awt/Component;
/*      */     //   157: dup
/*      */     //   158: astore #7
/*      */     //   160: ifnull -> 190
/*      */     //   163: aload #7
/*      */     //   165: invokevirtual getHeight : ()I
/*      */     //   168: i2f
/*      */     //   169: fload #5
/*      */     //   171: fmul
/*      */     //   172: ldc 0.5
/*      */     //   174: fadd
/*      */     //   175: f2i
/*      */     //   176: istore #15
/*      */     //   178: iload #9
/*      */     //   180: ifne -> 190
/*      */     //   183: iload_2
/*      */     //   184: ifle -> 190
/*      */     //   187: aconst_null
/*      */     //   188: astore #7
/*      */     //   190: iload #11
/*      */     //   192: ifeq -> 246
/*      */     //   195: aload_0
/*      */     //   196: dup
/*      */     //   197: astore #65
/*      */     //   199: getfield j : Ljavax/swing/JViewport;
/*      */     //   202: dup
/*      */     //   203: astore #8
/*      */     //   205: ifnull -> 241
/*      */     //   208: aload #8
/*      */     //   210: invokevirtual getView : ()Ljava/awt/Component;
/*      */     //   213: dup
/*      */     //   214: astore #6
/*      */     //   216: invokevirtual getWidth : ()I
/*      */     //   219: i2f
/*      */     //   220: fload #5
/*      */     //   222: fmul
/*      */     //   223: ldc 0.5
/*      */     //   225: fadd
/*      */     //   226: f2i
/*      */     //   227: istore #16
/*      */     //   229: iload #9
/*      */     //   231: ifne -> 241
/*      */     //   234: iload_3
/*      */     //   235: ifle -> 241
/*      */     //   238: aconst_null
/*      */     //   239: astore #6
/*      */     //   241: iload #16
/*      */     //   243: ifgt -> 249
/*      */     //   246: iconst_1
/*      */     //   247: istore #16
/*      */     //   249: fload #4
/*      */     //   251: fconst_0
/*      */     //   252: fcmpl
/*      */     //   253: ifle -> 318
/*      */     //   256: iload #10
/*      */     //   258: ifeq -> 282
/*      */     //   261: iload_3
/*      */     //   262: ifne -> 318
/*      */     //   265: aload_0
/*      */     //   266: getfield EXTRA_SPACE : Ljava/awt/Dimension;
/*      */     //   269: getfield width : I
/*      */     //   272: i2f
/*      */     //   273: fload #4
/*      */     //   275: fmul
/*      */     //   276: f2i
/*      */     //   277: istore #17
/*      */     //   279: goto -> 318
/*      */     //   282: iload #14
/*      */     //   284: istore #18
/*      */     //   286: aload #6
/*      */     //   288: ifnull -> 298
/*      */     //   291: iload #18
/*      */     //   293: iload #16
/*      */     //   295: iadd
/*      */     //   296: istore #18
/*      */     //   298: aload_0
/*      */     //   299: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*      */     //   302: getfield pageContentRectangle : Ljava/awt/Rectangle;
/*      */     //   305: getfield width : I
/*      */     //   308: iload #18
/*      */     //   310: isub
/*      */     //   311: i2f
/*      */     //   312: fload #4
/*      */     //   314: fmul
/*      */     //   315: f2i
/*      */     //   316: istore #17
/*      */     //   318: aload_0
/*      */     //   319: aload_1
/*      */     //   320: iload_2
/*      */     //   321: iload_3
/*      */     //   322: iload #9
/*      */     //   324: fload #5
/*      */     //   326: iload #17
/*      */     //   328: i2f
/*      */     //   329: aload_0
/*      */     //   330: getfield DECORATION_OPTIONS : Ljpdf/utility/PageDecorationUtility$DecorationOptions;
/*      */     //   333: getfield pageContentRectangle : Ljava/awt/Rectangle;
/*      */     //   336: iload #14
/*      */     //   338: iload #13
/*      */     //   340: iload #12
/*      */     //   342: iload #15
/*      */     //   344: aload #7
/*      */     //   346: iload #16
/*      */     //   348: aload #6
/*      */     //   350: astore #15
/*      */     //   352: istore #14
/*      */     //   354: astore #13
/*      */     //   356: istore #12
/*      */     //   358: istore #11
/*      */     //   360: istore #10
/*      */     //   362: istore #9
/*      */     //   364: astore #8
/*      */     //   366: fstore #7
/*      */     //   368: fstore #6
/*      */     //   370: istore #5
/*      */     //   372: istore #4
/*      */     //   374: istore_3
/*      */     //   375: astore_2
/*      */     //   376: dup
/*      */     //   377: astore_1
/*      */     //   378: getfield TARGET_COMPONENT : Ljava/awt/Component;
/*      */     //   381: checkcast javax/swing/JTable
/*      */     //   384: astore #16
/*      */     //   386: fload #6
/*      */     //   388: fconst_1
/*      */     //   389: fcmpl
/*      */     //   390: ifeq -> 397
/*      */     //   393: iconst_1
/*      */     //   394: goto -> 398
/*      */     //   397: iconst_0
/*      */     //   398: istore #17
/*      */     //   400: iconst_0
/*      */     //   401: istore #18
/*      */     //   403: fconst_1
/*      */     //   404: fload #6
/*      */     //   406: fdiv
/*      */     //   407: fstore #19
/*      */     //   409: iconst_0
/*      */     //   410: istore #20
/*      */     //   412: iload_3
/*      */     //   413: ifle -> 424
/*      */     //   416: aload_1
/*      */     //   417: aload_2
/*      */     //   418: aload #8
/*      */     //   420: invokevirtual a : (Ljava/awt/Graphics2D;Ljava/awt/Rectangle;)I
/*      */     //   423: pop
/*      */     //   424: aload #13
/*      */     //   426: ifnull -> 460
/*      */     //   429: aload_2
/*      */     //   430: invokevirtual getClipBounds : ()Ljava/awt/Rectangle;
/*      */     //   433: dup
/*      */     //   434: astore #18
/*      */     //   436: getfield y : I
/*      */     //   439: aload #8
/*      */     //   441: getfield y : I
/*      */     //   444: isub
/*      */     //   445: dup
/*      */     //   446: istore #18
/*      */     //   448: iload #12
/*      */     //   450: if_icmpgt -> 457
/*      */     //   453: iconst_1
/*      */     //   454: goto -> 458
/*      */     //   457: iconst_0
/*      */     //   458: istore #18
/*      */     //   460: aload_2
/*      */     //   461: aload #8
/*      */     //   463: getfield x : I
/*      */     //   466: i2f
/*      */     //   467: fload #7
/*      */     //   469: fadd
/*      */     //   470: f2d
/*      */     //   471: aload #8
/*      */     //   473: getfield y : I
/*      */     //   476: i2d
/*      */     //   477: invokevirtual translate : (DD)V
/*      */     //   480: iload #4
/*      */     //   482: ifle -> 497
/*      */     //   485: aload_1
/*      */     //   486: getfield n : [I
/*      */     //   489: iload #4
/*      */     //   491: iconst_1
/*      */     //   492: isub
/*      */     //   493: iaload
/*      */     //   494: ineg
/*      */     //   495: istore #20
/*      */     //   497: iload #11
/*      */     //   499: ineg
/*      */     //   500: istore #7
/*      */     //   502: iload #18
/*      */     //   504: ifne -> 512
/*      */     //   507: aload #15
/*      */     //   509: ifnull -> 900
/*      */     //   512: aload_1
/*      */     //   513: aload_2
/*      */     //   514: aload #13
/*      */     //   516: aload #15
/*      */     //   518: iload #20
/*      */     //   520: iload #7
/*      */     //   522: iload #12
/*      */     //   524: iload #14
/*      */     //   526: iload #11
/*      */     //   528: iload #9
/*      */     //   530: iload #10
/*      */     //   532: fload #6
/*      */     //   534: fload #19
/*      */     //   536: iload #17
/*      */     //   538: iload #18
/*      */     //   540: istore #33
/*      */     //   542: istore #32
/*      */     //   544: fstore #31
/*      */     //   546: fstore #30
/*      */     //   548: istore #29
/*      */     //   550: istore #28
/*      */     //   552: istore #27
/*      */     //   554: istore #26
/*      */     //   556: istore #25
/*      */     //   558: istore #24
/*      */     //   560: istore #23
/*      */     //   562: astore #22
/*      */     //   564: astore #21
/*      */     //   566: astore #18
/*      */     //   568: astore #8
/*      */     //   570: aload #18
/*      */     //   572: invokevirtual getClipBounds : ()Ljava/awt/Rectangle;
/*      */     //   575: astore #34
/*      */     //   577: aconst_null
/*      */     //   578: astore #35
/*      */     //   580: aload #21
/*      */     //   582: ifnull -> 589
/*      */     //   585: iconst_1
/*      */     //   586: goto -> 590
/*      */     //   589: iconst_0
/*      */     //   590: istore #36
/*      */     //   592: aload #22
/*      */     //   594: ifnull -> 601
/*      */     //   597: iconst_1
/*      */     //   598: goto -> 602
/*      */     //   601: iconst_0
/*      */     //   602: istore #64
/*      */     //   604: iload #33
/*      */     //   606: ifeq -> 674
/*      */     //   609: iload #36
/*      */     //   611: ifeq -> 674
/*      */     //   614: iload #64
/*      */     //   616: ifeq -> 674
/*      */     //   619: aload #8
/*      */     //   621: getfield a : Ljpdf/printer/TableComponentPrinter$a;
/*      */     //   624: ldc 'UPPER_LEFT_CORNER'
/*      */     //   626: invokevirtual getCorner : (Ljava/lang/String;)Ljava/awt/Component;
/*      */     //   629: dup
/*      */     //   630: astore #35
/*      */     //   632: ifnull -> 674
/*      */     //   635: iload #32
/*      */     //   637: ifeq -> 651
/*      */     //   640: aload #18
/*      */     //   642: fload #30
/*      */     //   644: f2d
/*      */     //   645: fload #30
/*      */     //   647: f2d
/*      */     //   648: invokevirtual scale : (DD)V
/*      */     //   651: aload #35
/*      */     //   653: aload #18
/*      */     //   655: invokevirtual print : (Ljava/awt/Graphics;)V
/*      */     //   658: iload #32
/*      */     //   660: ifeq -> 674
/*      */     //   663: aload #18
/*      */     //   665: fload #31
/*      */     //   667: f2d
/*      */     //   668: fload #31
/*      */     //   670: f2d
/*      */     //   671: invokevirtual scale : (DD)V
/*      */     //   674: iload #33
/*      */     //   676: ifeq -> 805
/*      */     //   679: iload #36
/*      */     //   681: ifeq -> 805
/*      */     //   684: iload #64
/*      */     //   686: ifeq -> 726
/*      */     //   689: iload #23
/*      */     //   691: iload #26
/*      */     //   693: iadd
/*      */     //   694: istore #23
/*      */     //   696: aload #18
/*      */     //   698: iload #23
/*      */     //   700: iconst_0
/*      */     //   701: invokevirtual translate : (II)V
/*      */     //   704: aload #18
/*      */     //   706: iload #23
/*      */     //   708: ineg
/*      */     //   709: iload #26
/*      */     //   711: iadd
/*      */     //   712: iconst_0
/*      */     //   713: iload #28
/*      */     //   715: iload #25
/*      */     //   717: bipush #10
/*      */     //   719: iadd
/*      */     //   720: invokevirtual clipRect : (IIII)V
/*      */     //   723: goto -> 750
/*      */     //   726: aload #18
/*      */     //   728: iload #23
/*      */     //   730: iconst_0
/*      */     //   731: invokevirtual translate : (II)V
/*      */     //   734: aload #18
/*      */     //   736: iload #23
/*      */     //   738: ineg
/*      */     //   739: iconst_0
/*      */     //   740: iload #28
/*      */     //   742: iload #25
/*      */     //   744: bipush #10
/*      */     //   746: iadd
/*      */     //   747: invokevirtual clipRect : (IIII)V
/*      */     //   750: iload #32
/*      */     //   752: ifeq -> 766
/*      */     //   755: aload #18
/*      */     //   757: fload #30
/*      */     //   759: f2d
/*      */     //   760: fload #30
/*      */     //   762: f2d
/*      */     //   763: invokevirtual scale : (DD)V
/*      */     //   766: aload #21
/*      */     //   768: aload #18
/*      */     //   770: invokevirtual print : (Ljava/awt/Graphics;)V
/*      */     //   773: iload #32
/*      */     //   775: ifeq -> 789
/*      */     //   778: aload #18
/*      */     //   780: fload #31
/*      */     //   782: f2d
/*      */     //   783: fload #31
/*      */     //   785: f2d
/*      */     //   786: invokevirtual scale : (DD)V
/*      */     //   789: aload #18
/*      */     //   791: iload #23
/*      */     //   793: ineg
/*      */     //   794: iconst_0
/*      */     //   795: invokevirtual translate : (II)V
/*      */     //   798: aload #18
/*      */     //   800: aload #34
/*      */     //   802: invokevirtual setClip : (Ljava/awt/Shape;)V
/*      */     //   805: iload #64
/*      */     //   807: ifeq -> 900
/*      */     //   810: iload #36
/*      */     //   812: ifeq -> 822
/*      */     //   815: iload #24
/*      */     //   817: iload #25
/*      */     //   819: iadd
/*      */     //   820: istore #24
/*      */     //   822: aload #18
/*      */     //   824: iconst_0
/*      */     //   825: iload #24
/*      */     //   827: invokevirtual translate : (II)V
/*      */     //   830: aload #18
/*      */     //   832: iconst_0
/*      */     //   833: iload #27
/*      */     //   835: iload #26
/*      */     //   837: bipush #10
/*      */     //   839: iadd
/*      */     //   840: iload #29
/*      */     //   842: invokevirtual clipRect : (IIII)V
/*      */     //   845: iload #32
/*      */     //   847: ifeq -> 861
/*      */     //   850: aload #18
/*      */     //   852: fload #30
/*      */     //   854: f2d
/*      */     //   855: fload #30
/*      */     //   857: f2d
/*      */     //   858: invokevirtual scale : (DD)V
/*      */     //   861: aload #22
/*      */     //   863: aload #18
/*      */     //   865: invokevirtual print : (Ljava/awt/Graphics;)V
/*      */     //   868: iload #32
/*      */     //   870: ifeq -> 884
/*      */     //   873: aload #18
/*      */     //   875: fload #31
/*      */     //   877: f2d
/*      */     //   878: fload #31
/*      */     //   880: f2d
/*      */     //   881: invokevirtual scale : (DD)V
/*      */     //   884: aload #18
/*      */     //   886: iconst_0
/*      */     //   887: iload #24
/*      */     //   889: ineg
/*      */     //   890: invokevirtual translate : (II)V
/*      */     //   893: aload #18
/*      */     //   895: aload #34
/*      */     //   897: invokevirtual setClip : (Ljava/awt/Shape;)V
/*      */     //   900: iconst_0
/*      */     //   901: istore #8
/*      */     //   903: iload #5
/*      */     //   905: ifeq -> 929
/*      */     //   908: iload #20
/*      */     //   910: iload #14
/*      */     //   912: iadd
/*      */     //   913: istore #20
/*      */     //   915: iload #7
/*      */     //   917: iload #12
/*      */     //   919: iadd
/*      */     //   920: istore #7
/*      */     //   922: iload #14
/*      */     //   924: istore #8
/*      */     //   926: goto -> 956
/*      */     //   929: iload_3
/*      */     //   930: ifne -> 940
/*      */     //   933: iload #7
/*      */     //   935: iload #12
/*      */     //   937: iadd
/*      */     //   938: istore #7
/*      */     //   940: iload #4
/*      */     //   942: ifne -> 956
/*      */     //   945: iload #20
/*      */     //   947: iload #14
/*      */     //   949: iadd
/*      */     //   950: istore #20
/*      */     //   952: iload #14
/*      */     //   954: istore #8
/*      */     //   956: iload #20
/*      */     //   958: ineg
/*      */     //   959: iload #8
/*      */     //   961: iadd
/*      */     //   962: istore_3
/*      */     //   963: aload_2
/*      */     //   964: iload #20
/*      */     //   966: iload #7
/*      */     //   968: invokevirtual translate : (II)V
/*      */     //   971: aload_2
/*      */     //   972: iload_3
/*      */     //   973: iload #11
/*      */     //   975: iload #9
/*      */     //   977: iload #10
/*      */     //   979: invokevirtual clipRect : (IIII)V
/*      */     //   982: iload #17
/*      */     //   984: ifeq -> 997
/*      */     //   987: aload_2
/*      */     //   988: fload #6
/*      */     //   990: f2d
/*      */     //   991: fload #6
/*      */     //   993: f2d
/*      */     //   994: invokevirtual scale : (DD)V
/*      */     //   997: aload_1
/*      */     //   998: aload_2
/*      */     //   999: iconst_1
/*      */     //   1000: invokevirtual printTargetComponent : (Ljava/awt/Graphics2D;Z)V
/*      */     //   1003: iload #17
/*      */     //   1005: ifeq -> 1018
/*      */     //   1008: aload_2
/*      */     //   1009: fload #19
/*      */     //   1011: f2d
/*      */     //   1012: fload #19
/*      */     //   1014: f2d
/*      */     //   1015: invokevirtual scale : (DD)V
/*      */     //   1018: aload #15
/*      */     //   1020: ifnonnull -> 1026
/*      */     //   1023: iconst_0
/*      */     //   1024: istore #14
/*      */     //   1026: aload #13
/*      */     //   1028: ifnonnull -> 1034
/*      */     //   1031: iconst_0
/*      */     //   1032: istore #12
/*      */     //   1034: aload_1
/*      */     //   1035: aload_2
/*      */     //   1036: aload #16
/*      */     //   1038: iload_3
/*      */     //   1039: iload #11
/*      */     //   1041: iload #9
/*      */     //   1043: iload #10
/*      */     //   1045: iload #14
/*      */     //   1047: iload #12
/*      */     //   1049: fload #6
/*      */     //   1051: fstore #28
/*      */     //   1053: istore #27
/*      */     //   1055: istore #26
/*      */     //   1057: istore #25
/*      */     //   1059: istore #24
/*      */     //   1061: istore #23
/*      */     //   1063: istore #22
/*      */     //   1065: astore #21
/*      */     //   1067: astore #18
/*      */     //   1069: astore #8
/*      */     //   1071: aconst_null
/*      */     //   1072: astore #29
/*      */     //   1074: aconst_null
/*      */     //   1075: astore #30
/*      */     //   1077: aload #8
/*      */     //   1079: invokevirtual isToPrintPageContentFrame : ()Z
/*      */     //   1082: ifeq -> 1201
/*      */     //   1085: new java/awt/Rectangle
/*      */     //   1088: dup
/*      */     //   1089: iload #22
/*      */     //   1091: iload #23
/*      */     //   1093: iload #24
/*      */     //   1095: iload #25
/*      */     //   1097: invokespecial <init> : (IIII)V
/*      */     //   1100: dup
/*      */     //   1101: astore #30
/*      */     //   1103: dup
/*      */     //   1104: getfield x : I
/*      */     //   1107: iload #26
/*      */     //   1109: iconst_1
/*      */     //   1110: iadd
/*      */     //   1111: isub
/*      */     //   1112: putfield x : I
/*      */     //   1115: aload #30
/*      */     //   1117: dup
/*      */     //   1118: getfield y : I
/*      */     //   1121: iload #27
/*      */     //   1123: isub
/*      */     //   1124: putfield y : I
/*      */     //   1127: aload #30
/*      */     //   1129: dup
/*      */     //   1130: getfield width : I
/*      */     //   1133: iload #26
/*      */     //   1135: iconst_1
/*      */     //   1136: iadd
/*      */     //   1137: iadd
/*      */     //   1138: putfield width : I
/*      */     //   1141: aload #30
/*      */     //   1143: dup
/*      */     //   1144: getfield height : I
/*      */     //   1147: iload #27
/*      */     //   1149: iadd
/*      */     //   1150: putfield height : I
/*      */     //   1153: aload #18
/*      */     //   1155: aload #30
/*      */     //   1157: getfield x : I
/*      */     //   1160: iconst_2
/*      */     //   1161: isub
/*      */     //   1162: aload #30
/*      */     //   1164: getfield y : I
/*      */     //   1167: iconst_2
/*      */     //   1168: isub
/*      */     //   1169: aload #30
/*      */     //   1171: getfield width : I
/*      */     //   1174: iconst_4
/*      */     //   1175: iadd
/*      */     //   1176: aload #30
/*      */     //   1178: getfield height : I
/*      */     //   1181: iconst_4
/*      */     //   1182: iadd
/*      */     //   1183: invokevirtual setClip : (IIII)V
/*      */     //   1186: aload #18
/*      */     //   1188: getstatic java/awt/Color.BLACK : Ljava/awt/Color;
/*      */     //   1191: invokevirtual setColor : (Ljava/awt/Color;)V
/*      */     //   1194: aload #18
/*      */     //   1196: aload #30
/*      */     //   1198: invokevirtual draw : (Ljava/awt/Shape;)V
/*      */     //   1201: aload #8
/*      */     //   1203: invokevirtual isToPrintContentFrame : ()Z
/*      */     //   1206: ifeq -> 1366
/*      */     //   1209: new java/awt/Rectangle
/*      */     //   1212: dup
/*      */     //   1213: iload #22
/*      */     //   1215: iload #23
/*      */     //   1217: iload #24
/*      */     //   1219: iload #25
/*      */     //   1221: invokespecial <init> : (IIII)V
/*      */     //   1224: dup
/*      */     //   1225: astore #29
/*      */     //   1227: dup
/*      */     //   1228: getfield x : I
/*      */     //   1231: iload #26
/*      */     //   1233: iconst_2
/*      */     //   1234: iadd
/*      */     //   1235: isub
/*      */     //   1236: putfield x : I
/*      */     //   1239: aload #29
/*      */     //   1241: dup
/*      */     //   1242: getfield y : I
/*      */     //   1245: iload #27
/*      */     //   1247: iconst_3
/*      */     //   1248: iadd
/*      */     //   1249: isub
/*      */     //   1250: putfield y : I
/*      */     //   1253: aload #29
/*      */     //   1255: dup
/*      */     //   1256: getfield width : I
/*      */     //   1259: iload #26
/*      */     //   1261: iconst_3
/*      */     //   1262: iadd
/*      */     //   1263: iadd
/*      */     //   1264: putfield width : I
/*      */     //   1267: aload #29
/*      */     //   1269: dup
/*      */     //   1270: getfield height : I
/*      */     //   1273: iload #27
/*      */     //   1275: iconst_4
/*      */     //   1276: iadd
/*      */     //   1277: iadd
/*      */     //   1278: putfield height : I
/*      */     //   1281: aload #18
/*      */     //   1283: aload #29
/*      */     //   1285: invokevirtual setClip : (Ljava/awt/Shape;)V
/*      */     //   1288: aload #29
/*      */     //   1290: dup
/*      */     //   1291: astore #30
/*      */     //   1293: iload #26
/*      */     //   1295: iconst_1
/*      */     //   1296: iadd
/*      */     //   1297: ineg
/*      */     //   1298: putfield x : I
/*      */     //   1301: aload #30
/*      */     //   1303: iload #27
/*      */     //   1305: iconst_1
/*      */     //   1306: iadd
/*      */     //   1307: ineg
/*      */     //   1308: putfield y : I
/*      */     //   1311: aload #30
/*      */     //   1313: aload #21
/*      */     //   1315: invokevirtual getWidth : ()I
/*      */     //   1318: i2f
/*      */     //   1319: fload #28
/*      */     //   1321: fmul
/*      */     //   1322: f2i
/*      */     //   1323: iload #26
/*      */     //   1325: iconst_1
/*      */     //   1326: iadd
/*      */     //   1327: iadd
/*      */     //   1328: putfield width : I
/*      */     //   1331: aload #30
/*      */     //   1333: aload #21
/*      */     //   1335: invokevirtual getHeight : ()I
/*      */     //   1338: i2f
/*      */     //   1339: fload #28
/*      */     //   1341: fmul
/*      */     //   1342: f2i
/*      */     //   1343: iload #27
/*      */     //   1345: iconst_1
/*      */     //   1346: iadd
/*      */     //   1347: iadd
/*      */     //   1348: putfield height : I
/*      */     //   1351: aload #18
/*      */     //   1353: getstatic java/awt/Color.BLACK : Ljava/awt/Color;
/*      */     //   1356: invokevirtual setColor : (Ljava/awt/Color;)V
/*      */     //   1359: aload #18
/*      */     //   1361: aload #30
/*      */     //   1363: invokevirtual draw : (Ljava/awt/Shape;)V
/*      */     //   1366: return
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #1468	-> 0
/*      */     //   #1469	-> 3
/*      */     //   #1470	-> 6
/*      */     //   #1471	-> 9
/*      */     //   #1472	-> 16
/*      */     //   #1473	-> 23
/*      */     //   #1474	-> 30
/*      */     //   #1475	-> 37
/*      */     //   #1477	-> 40
/*      */     //   #1480	-> 43
/*      */     //   #1481	-> 46
/*      */     //   #1482	-> 49
/*      */     //   #1486	-> 52
/*      */     //   #1489	-> 75
/*      */     //   #1492	-> 82
/*      */     //   #1494	-> 86
/*      */     //   #1496	-> 98
/*      */     //   #1499	-> 109
/*      */     //   #1500	-> 117
/*      */     //   #1502	-> 121
/*      */     //   #1508	-> 134
/*      */     //   #1510	-> 139
/*      */     //   #1511	-> 147
/*      */     //   #1513	-> 152
/*      */     //   #1514	-> 158
/*      */     //   #1516	-> 163
/*      */     //   #1517	-> 178
/*      */     //   #1525	-> 190
/*      */     //   #1527	-> 195
/*      */     //   #1528	-> 203
/*      */     //   #1530	-> 208
/*      */     //   #1531	-> 214
/*      */     //   #1532	-> 229
/*      */     //   #1534	-> 238
/*      */     //   #1537	-> 241
/*      */     //   #1543	-> 246
/*      */     //   #1562	-> 249
/*      */     //   #1564	-> 256
/*      */     //   #1566	-> 261
/*      */     //   #1568	-> 265
/*      */     //   #1573	-> 282
/*      */     //   #1574	-> 286
/*      */     //   #1575	-> 298
/*      */     //   #1581	-> 318
/*      */     //   #1585	-> 1366
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int a(float paramFloat) {
/* 1622 */     Object object = null;
/* 1623 */     int i = 0;
/*      */     
/* 1625 */     boolean bool = false;
/*      */     
/*      */     JViewport jViewport;
/*      */     TableComponentPrinter tableComponentPrinter;
/* 1629 */     if ((jViewport = (tableComponentPrinter = this).j) != null) {
/*      */       Component component;
/*      */ 
/*      */       
/* 1633 */       if ((component = jViewport.getView()) != null) {
/*      */         int j;
/*      */         
/* 1636 */         i = (int)((j = component.getWidth() + 1) * paramFloat + 0.5F);
/*      */       } 
/*      */     } 
/*      */     
/* 1640 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static JViewport a(JTable paramJTable, Font paramFont, boolean paramBoolean, Border paramBorder, int paramInt) {
/* 1700 */     RowNumberTable rowNumberTable = new RowNumberTable(paramJTable, false);
/* 1701 */     JTableHeader jTableHeader = paramJTable.getTableHeader();
/* 1702 */     JViewport jViewport = new JViewport();
/* 1703 */     Dimension dimension = rowNumberTable.getPreferredSize();
/*      */ 
/*      */     
/* 1706 */     j.i().j().a(rowNumberTable);
/*      */ 
/*      */ 
/*      */     
/* 1710 */     if (paramInt > 0)
/*      */     {
/* 1712 */       rowNumberTable.setRowNumberOffset(paramInt);
/*      */     }
/*      */ 
/*      */     
/* 1716 */     jViewport.setView((Component)rowNumberTable);
/* 1717 */     jViewport.setViewSize(dimension);
/* 1718 */     rowNumberTable.setSize(dimension);
/*      */ 
/*      */     
/* 1721 */     if (jTableHeader != null) {
/*      */       
/* 1723 */       rowNumberTable.setForeground(jTableHeader.getForeground());
/* 1724 */       rowNumberTable.setBackground(jTableHeader.getBackground());
/*      */     } 
/*      */ 
/*      */     
/* 1728 */     if (paramFont != null) rowNumberTable.setCellFont(paramFont); 
/* 1729 */     if (paramBoolean) rowNumberTable.setCellBorder(paramBorder);
/*      */ 
/*      */     
/* 1732 */     jViewport.addNotify();
/* 1733 */     rowNumberTable.invalidate();
/* 1734 */     jViewport.validate();
/*      */     
/* 1736 */     return jViewport;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static JTable a(JTable paramJTable) {
/* 1871 */     Class[] arrayOfClass = null;
/* 1872 */     Constructor<?> constructor = null;
/* 1873 */     arrayOfClass = null;
/* 1874 */     arrayOfClass = null;
/* 1875 */     arrayOfClass = null;
/* 1876 */     Class<?> clazz = paramJTable.getClass();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1899 */       arrayOfClass = new Class[] { TableModel.class };
/* 1900 */       constructor = clazz.getConstructor(arrayOfClass);
/* 1901 */       Object[] arrayOfObject = { paramJTable.getModel() };
/*      */       
/*      */       JTable jTable;
/* 1904 */       return jTable = (JTable)constructor.newInstance(arrayOfObject);
/*      */     }
/* 1906 */     catch (Exception exception) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */         
/* 1912 */         arrayOfClass = new Class[0];
/* 1913 */         constructor = clazz.getConstructor(arrayOfClass);
/* 1914 */         Object[] arrayOfObject = new Object[0];
/*      */         JTable jTable;
/* 1916 */         (jTable = (JTable)constructor.newInstance(arrayOfObject)).setAutoCreateColumnsFromModel(false);
/* 1917 */         jTable.setModel(paramJTable.getModel());
/*      */         
/* 1919 */         return jTable;
/*      */       }
/* 1921 */       catch (Exception exception1) {
/*      */ 
/*      */         
/*      */         try {
/*      */ 
/*      */           
/* 1927 */           arrayOfClass = new Class[] { TableModel.class, TableColumnModel.class };
/* 1928 */           constructor = clazz.getConstructor(arrayOfClass);
/* 1929 */           TableColumnModel tableColumnModel = cloneTableColumnModel(paramJTable);
/* 1930 */           Object[] arrayOfObject = { paramJTable.getModel(), tableColumnModel };
/*      */           
/*      */           JTable jTable;
/* 1933 */           return jTable = (JTable)constructor.newInstance(arrayOfObject);
/*      */         }
/* 1935 */         catch (Exception exception2) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1941 */           TableColumnModel tableColumnModel = cloneTableColumnModel(paramJTable);
/*      */           
/*      */           JTable jTable;
/* 1944 */           return jTable = new JTable(paramJTable.getModel(), tableColumnModel);
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(JTable paramJTable, TableModel paramTableModel, boolean paramBoolean) {
/* 2340 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2346 */     paramJTable.setSelectionModel(this.b);
/* 2347 */     tableColumnModel.setSelectionModel(this.b);
/* 2348 */     paramJTable.setModel(paramTableModel);
/*      */ 
/*      */     
/* 2351 */     if (paramBoolean) {
/*      */       
/* 2353 */       paramJTable.setSelectionModel(this.c);
/* 2354 */       tableColumnModel.setSelectionModel(this.d);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(JViewport paramJViewport) {
/* 2363 */     this.j = paramJViewport;
/* 2364 */     this.a.setRowHeader(paramJViewport);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt1, int paramInt2) {
/* 2434 */     if (paramInt1 >= this.n.length)
/*      */     {
/* 2436 */       this.n = a(this.n, 5);
/*      */     }
/* 2438 */     this.n[paramInt1] = paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 3020 */     if (paramInt1 >= this.p.length)
/*      */     {
/* 3022 */       this.p = a(this.p, paramInt2, paramInt4);
/*      */     }
/*      */     
/* 3025 */     this.p[paramInt1] = paramInt3;
/*      */ 
/*      */ 
/*      */     
/* 3029 */     if (paramInt1 >= this.q.length)
/*      */     {
/* 3031 */       this.q = a(this.q, paramInt2, paramInt4);
/*      */     }
/*      */     
/* 3034 */     this.q[paramInt1] = paramInt4;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\TableComponentPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */