/*     */ package jpdf.printer.swing;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.util.Arrays;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.table.JTableHeader;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.table.TableModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintTableUtility
/*     */ {
/*     */   public static void copyColumnOrder(JTable paramJTable1, JTable paramJTable2) {
/*  47 */     int i = paramJTable1.getColumnCount();
/*  48 */     int j = 0;
/*  49 */     j = 0;
/*     */ 
/*     */     
/*  52 */     if (i != paramJTable2.getColumnCount()) {
/*     */       
/*  54 */       String str = "These tables do not have equal column counts: " + i + " != " + paramJTable2.getColumnCount();
/*     */       
/*  56 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/*  60 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */       
/*  63 */       j = paramJTable1.convertColumnIndexToModel(b);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  70 */       if ((j = paramJTable2.convertColumnIndexToView(j)) != b) paramJTable2.moveColumn(j, b);
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyColumnWidths(JTable paramJTable1, JTable paramJTable2) {
/*     */     String str;
/*  82 */     if (paramJTable1.getColumnCount() != paramJTable2.getColumnCount()) {
/*     */       
/*  84 */       str = "These tables do not have equal column counts: " + paramJTable1.getColumnCount() + " != " + paramJTable2.getColumnCount();
/*     */ 
/*     */       
/*  87 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/*  91 */     copyColumnWidths(str.getColumnModel(), paramJTable2.getColumnModel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyColumnWidths(TableColumnModel paramTableColumnModel1, TableColumnModel paramTableColumnModel2) {
/* 101 */     TableColumn tableColumn = null;
/* 102 */     int i = 0;
/*     */     
/*     */     int j;
/*     */     
/* 106 */     if ((j = paramTableColumnModel1.getColumnCount()) != paramTableColumnModel2.getColumnCount()) {
/*     */       
/* 108 */       String str = "These models do not have equal column counts: " + j + " != " + paramTableColumnModel2.getColumnCount();
/*     */       
/* 110 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 114 */     for (byte b = 0; b < j; b++) {
/*     */       
/* 116 */       i = paramTableColumnModel1.getColumn(b).getWidth();
/*     */       
/* 118 */       (tableColumn = paramTableColumnModel2.getColumn(b)).setWidth(i);
/* 119 */       tableColumn.setPreferredWidth(i);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyRowHeights(JTable paramJTable1, JTable paramJTable2) {
/*     */     int i;
/* 132 */     if ((i = paramJTable1.getRowCount()) != paramJTable2.getRowCount()) {
/*     */       
/* 134 */       String str = "These tables do not have equal row counts: " + i + " != " + paramJTable2.getRowCount();
/*     */       
/* 136 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 140 */     for (byte b = 0; b < i; b++)
/*     */     {
/* 142 */       paramJTable2.setRowHeight(b, paramJTable1.getRowHeight(b));
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getColumnMaxWidthsInModel(JTable paramJTable) {
/*     */     TableColumnModel tableColumnModel;
/* 154 */     int i = (tableColumnModel = paramJTable.getColumnModel()).getColumnCount();
/* 155 */     int j = 0;
/* 156 */     int[] arrayOfInt = new int[i];
/*     */     
/* 158 */     for (byte b = 0; b < i; b++) {
/*     */       
/* 160 */       j = paramJTable.convertColumnIndexToModel(b);
/* 161 */       arrayOfInt[j] = tableColumnModel.getColumn(b).getMaxWidth();
/*     */     } 
/*     */     
/* 164 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getColumnMinWidthsInModel(JTable paramJTable) {
/*     */     TableColumnModel tableColumnModel;
/* 175 */     int i = (tableColumnModel = paramJTable.getColumnModel()).getColumnCount();
/* 176 */     int j = 0;
/* 177 */     int[] arrayOfInt = new int[i];
/*     */     
/* 179 */     for (byte b = 0; b < i; b++) {
/*     */       
/* 181 */       j = paramJTable.convertColumnIndexToModel(b);
/* 182 */       arrayOfInt[j] = tableColumnModel.getColumn(b).getMinWidth();
/*     */     } 
/*     */     
/* 185 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getColumnPreferredWidths(JTable paramJTable) {
/*     */     TableColumnModel tableColumnModel;
/* 197 */     int i, arrayOfInt[] = new int[i = (tableColumnModel = paramJTable.getColumnModel()).getColumnCount()];
/*     */     
/* 199 */     for (byte b = 0; b < i; b++)
/*     */     {
/* 201 */       arrayOfInt[b] = tableColumnModel.getColumn(b).getPreferredWidth();
/*     */     }
/*     */     
/* 204 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getColumnPreferredWidthsInModel(JTable paramJTable) {
/*     */     TableColumnModel tableColumnModel;
/* 215 */     int i = (tableColumnModel = paramJTable.getColumnModel()).getColumnCount();
/* 216 */     int j = 0;
/* 217 */     int[] arrayOfInt = new int[i];
/*     */     
/* 219 */     for (byte b = 0; b < i; b++) {
/*     */       
/* 221 */       j = paramJTable.convertColumnIndexToModel(b);
/* 222 */       arrayOfInt[j] = tableColumnModel.getColumn(b).getPreferredWidth();
/*     */     } 
/*     */     
/* 225 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getColumnWidths(JTable paramJTable) {
/*     */     TableColumnModel tableColumnModel;
/* 236 */     int i, arrayOfInt[] = new int[i = (tableColumnModel = paramJTable.getColumnModel()).getColumnCount()];
/*     */     
/* 238 */     for (byte b = 0; b < i; b++)
/*     */     {
/* 240 */       arrayOfInt[b] = tableColumnModel.getColumn(b).getWidth();
/*     */     }
/*     */     
/* 243 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Component getRendererComponent(JTable paramJTable, int paramInt1, int paramInt2) {
/* 253 */     Object object = paramJTable.getValueAt(paramInt1, paramInt2);
/*     */ 
/*     */     
/*     */     Component component;
/*     */ 
/*     */     
/*     */     TableCellRenderer tableCellRenderer;
/*     */ 
/*     */     
/* 262 */     return component = (tableCellRenderer = paramJTable.getCellRenderer(paramInt1, paramInt2)).getTableCellRendererComponent(paramJTable, object, false, false, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getTallestColIndexForRow(JTable paramJTable, int paramInt) {
/* 273 */     Object object = null;
/* 274 */     int i = paramJTable.getColumnCount();
/* 275 */     byte b = -1;
/* 276 */     int j = -1;
/* 277 */     boolean bool = false;
/*     */     
/* 279 */     for (byte b1 = 0; b1 < i; b1++) {
/*     */       Component component;
/*     */       
/*     */       int k;
/* 283 */       if ((k = ((component = getRendererComponent(paramJTable, paramInt, b1)).getPreferredSize()).height) > j) {
/*     */         
/* 285 */         b = b1;
/* 286 */         j = k;
/*     */       } 
/*     */     } 
/*     */     
/* 290 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isSingleRowHeightTable(JTable paramJTable) {
/* 305 */     boolean bool = true;
/* 306 */     int i = paramJTable.getRowHeight();
/*     */     
/*     */     int j;
/* 309 */     if ((j = paramJTable.getRowCount()) < 25) {
/*     */       
/* 311 */       for (byte b = 0; b < j; b++) {
/*     */         
/* 313 */         if (paramJTable.getRowHeight(b) != i) {
/*     */           
/* 315 */           bool = false;
/*     */ 
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */     } else {
/* 322 */       bool = ((paramJTable.getPreferredSize()).height == i * j) ? true : false;
/*     */     } 
/*     */     
/* 325 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printColumnWidths(JTable paramJTable, String paramString) {
/* 334 */     int[] arrayOfInt = getColumnWidths(paramJTable);
/*     */     
/* 336 */     System.out.print(paramString);
/* 337 */     for (byte b = 0; b < arrayOfInt.length; b++)
/*     */     {
/* 339 */       System.out.print("  [" + b + "]: " + arrayOfInt[b]);
/*     */     }
/* 341 */     System.out.println();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printRowHeights(JTable paramJTable, String paramString) {
/* 351 */     int i = paramJTable.getRowCount();
/*     */     
/* 353 */     System.out.print(paramString);
/* 354 */     for (byte b = 0; b < i; b++)
/*     */     {
/* 356 */       System.out.print("  [" + b + "]: " + paramJTable.getRowHeight(b));
/*     */     }
/* 358 */     System.out.println();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setColumnWidths(JTable paramJTable, int[] paramArrayOfint) {
/* 369 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/* 370 */     Object object = null;
/* 371 */     int i = 0;
/* 372 */     int j = Math.min(paramArrayOfint.length, tableColumnModel.getColumnCount());
/*     */ 
/*     */ 
/*     */     
/* 376 */     for (byte b = 0; b < j; b++) {
/*     */       
/* 378 */       i = paramJTable.convertColumnIndexToView(b);
/*     */       TableColumn tableColumn;
/* 380 */       (tableColumn = tableColumnModel.getColumn(i)).setPreferredWidth(paramArrayOfint[b]);
/* 381 */       tableColumn.setWidth(paramArrayOfint[b]);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setColumnWidthsToFitData(JTable paramJTable, int paramInt1, int paramInt2, int paramInt3) {
/*     */     int[] arrayOfInt;
/* 395 */     Arrays.fill(arrayOfInt = new int[paramJTable.getColumnCount()], paramInt2);
/* 396 */     setColumnWidthsToFitData(paramJTable, paramInt1, arrayOfInt, paramInt3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setColumnWidthsToFitData(JTable paramJTable, int paramInt1, int[] paramArrayOfint, int paramInt2) {
/*     */     String str;
/* 410 */     TableCellRenderer tableCellRenderer = null;
/* 411 */     JTableHeader jTableHeader = null;
/* 412 */     jTableHeader = paramJTable.getTableHeader();
/* 413 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/* 414 */     TableModel tableModel = paramJTable.getModel();
/* 415 */     Object object = null;
/* 416 */     object = null;
/* 417 */     int j = tableColumnModel.getColumnMargin();
/*     */     
/* 419 */     int k = tableModel.getRowCount();
/* 420 */     int i = tableColumnModel.getColumnCount();
/*     */ 
/*     */     
/* 423 */     if (paramArrayOfint.length != i) {
/*     */       
/* 425 */       str = "The length of the Maximum Column Width array (" + paramArrayOfint.length + ") is not the same as the number of columns in the table (" + i + ").";
/*     */       
/* 427 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 431 */     if (jTableHeader != null)
/*     */     {
/* 433 */       tableCellRenderer = jTableHeader.getDefaultRenderer();
/*     */     }
/*     */ 
/*     */     
/* 437 */     for (int m = i - 1; m >= 0; m--) {
/*     */       TableColumn tableColumn;
/*     */       
/* 440 */       int n = (tableColumn = tableColumnModel.getColumn(m)).getModelIndex();
/* 441 */       int i1 = -1;
/*     */       
/*     */       TableCellRenderer tableCellRenderer1;
/*     */       
/* 445 */       if ((tableCellRenderer1 = tableColumn.getHeaderRenderer()) == null) tableCellRenderer1 = tableCellRenderer; 
/* 446 */       if (tableCellRenderer1 != null) {
/*     */         Component component;
/*     */ 
/*     */ 
/*     */         
/* 451 */         i1 = ((component = tableCellRenderer1.getTableCellRendererComponent((JTable)str, tableColumn.getHeaderValue(), false, false, -1, m)).getPreferredSize()).width;
/*     */       } 
/*     */ 
/*     */       
/* 455 */       for (int i2 = k - 1; i2 >= 0; i2--) {
/*     */ 
/*     */         
/* 458 */         Object object1 = tableModel.getValueAt(i2, n);
/*     */         
/* 460 */         object1 = (tableCellRenderer1 = str.getCellRenderer(i2, m)).getTableCellRendererComponent((JTable)str, object1, false, false, i2, m);
/*     */ 
/*     */         
/* 463 */         i1 = Math.max(i1, (object1.getPreferredSize()).width);
/*     */       } 
/*     */ 
/*     */       
/* 467 */       if (i1 >= 0) {
/*     */ 
/*     */         
/* 470 */         if ((i1 = i1 + paramInt2 + j) > paramArrayOfint[m]) {
/*     */           
/* 472 */           i1 = paramArrayOfint[m];
/*     */         }
/* 474 */         else if (i1 < paramInt1) {
/*     */           
/* 476 */           i1 = paramInt1;
/*     */         } 
/* 478 */         tableColumn.setPreferredWidth(i1);
/* 479 */         tableColumn.setWidth(i1);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setRowHeightsToFitData(JTable paramJTable) {
/* 492 */     int i = paramJTable.getRowHeight();
/*     */     
/* 494 */     int j = (paramJTable.getIntercellSpacing()).height;
/* 495 */     int k = paramJTable.getColumnCount();
/* 496 */     int m = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 499 */     for (byte b = 0; b < m; b++)
/*     */     {
/* 501 */       a(paramJTable, b, k, i, j);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 506 */     if (m > 0)
/*     */     {
/* 508 */       a(paramJTable, 0, k, i, j);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToPreferredColumnWidths(JTable paramJTable) {
/* 521 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/* 522 */     TableColumn tableColumn = null;
/* 523 */     int i = tableColumnModel.getColumnCount();
/*     */ 
/*     */     
/* 526 */     paramJTable.setAutoResizeMode(0);
/*     */ 
/*     */     
/* 529 */     for (byte b = 0; b < i; b++)
/*     */     {
/*     */       
/* 532 */       (tableColumn = tableColumnModel.getColumn(b)).setWidth(tableColumn.getPreferredWidth());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(JTable paramJTable, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 548 */     TableCellRenderer tableCellRenderer = null;
/* 549 */     tableCellRenderer = null;
/* 550 */     tableCellRenderer = null;
/* 551 */     Object object = null;
/* 552 */     paramInt3 = paramInt3;
/*     */ 
/*     */ 
/*     */     
/* 556 */     for (byte b = 0; b < paramInt2; b++) {
/*     */ 
/*     */       
/* 559 */       tableCellRenderer = paramJTable.getCellRenderer(paramInt1, b);
/* 560 */       object = paramJTable.getValueAt(paramInt1, b);
/*     */ 
/*     */       
/*     */       Dimension dimension;
/*     */ 
/*     */       
/*     */       JComponent jComponent;
/*     */ 
/*     */       
/* 569 */       if ((dimension = (jComponent = (JComponent)tableCellRenderer.getTableCellRendererComponent(paramJTable, object, false, false, paramInt1, b)).getPreferredSize()).height > paramInt3) paramInt3 = dimension.height;
/*     */     
/*     */     } 
/*     */     
/* 573 */     paramJTable.setRowHeight(paramInt1, paramInt3 + paramInt4);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\swing\PrintTableUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */