/*     */ package jpdf.printer.swing;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.event.ComponentListener;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JList;
/*     */ import javax.swing.JProgressBar;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JSlider;
/*     */ import javax.swing.JSpinner;
/*     */ import javax.swing.JSplitPane;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.JTree;
/*     */ import javax.swing.JViewport;
/*     */ import javax.swing.ListCellRenderer;
/*     */ import javax.swing.ListSelectionModel;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf_common.system.manage.ApplicationException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class SwingPropertyCopier
/*     */ {
/*     */   static class a
/*     */     extends ApplicationException
/*     */   {
/*     */     private a(Component param1Component1, Component param1Component2, String param1String) {
/*  68 */       super("Cannot copy the visible properties of the Source Component to the Target Component.", "The Source Component and the Target Component are not compatible: " + param1String + ".\n  **** Source Component: " + param1Component1.getClass().getName() + "\n  **** Target Component: " + param1Component2.getClass().getName(), 2);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyButtonVisibleProperties(AbstractButton paramAbstractButton1, AbstractButton paramAbstractButton2) {
/*  99 */     if (paramAbstractButton1.isVisible()) {
/*     */       
/* 101 */       copyComponentVisibleProperties(paramAbstractButton1, paramAbstractButton2);
/* 102 */       paramAbstractButton2.setBorderPainted(paramAbstractButton1.isBorderPainted());
/* 103 */       paramAbstractButton2.setContentAreaFilled(paramAbstractButton1.isContentAreaFilled());
/* 104 */       paramAbstractButton2.setHorizontalAlignment(paramAbstractButton1.getHorizontalAlignment());
/* 105 */       paramAbstractButton2.setHorizontalTextPosition(paramAbstractButton1.getHorizontalTextPosition());
/* 106 */       paramAbstractButton2.setIcon(paramAbstractButton1.getIcon());
/* 107 */       paramAbstractButton2.setIconTextGap(paramAbstractButton1.getIconTextGap());
/* 108 */       paramAbstractButton2.setMargin(paramAbstractButton1.getMargin());
/* 109 */       paramAbstractButton2.setMnemonic(paramAbstractButton1.getMnemonic());
/* 110 */       paramAbstractButton2.setSelected(paramAbstractButton1.isSelected());
/* 111 */       paramAbstractButton2.setText(paramAbstractButton1.getText());
/* 112 */       paramAbstractButton2.setVerticalAlignment(paramAbstractButton1.getVerticalAlignment());
/* 113 */       paramAbstractButton2.setVerticalTextPosition(paramAbstractButton1.getVerticalTextPosition());
/*     */ 
/*     */       
/* 116 */       paramAbstractButton2.setDisplayedMnemonicIndex(paramAbstractButton1.getDisplayedMnemonicIndex());
/*     */       
/*     */       return;
/*     */     } 
/* 120 */     paramAbstractButton2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyCheckBoxVisibleProperties(JCheckBox paramJCheckBox1, JCheckBox paramJCheckBox2) {
/* 133 */     if (paramJCheckBox1.isVisible()) {
/*     */       
/* 135 */       copyButtonVisibleProperties(paramJCheckBox1, paramJCheckBox2);
/* 136 */       paramJCheckBox2.setBorderPaintedFlat(paramJCheckBox1.isBorderPaintedFlat());
/*     */       
/*     */       return;
/*     */     } 
/* 140 */     paramJCheckBox2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyComboBoxVisibleProperties(JComboBox paramJComboBox1, JComboBox paramJComboBox2) {
/* 152 */     ListCellRenderer listCellRenderer1 = null;
/* 153 */     ListCellRenderer listCellRenderer2 = null;
/* 154 */     listCellRenderer1 = null;
/* 155 */     listCellRenderer2 = null;
/*     */ 
/*     */     
/* 158 */     if (paramJComboBox1.isVisible()) {
/*     */ 
/*     */       
/* 161 */       copyComponentVisibleProperties(paramJComboBox1, paramJComboBox2);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 166 */       paramJComboBox2.setModel(paramJComboBox1.getModel());
/* 167 */       paramJComboBox2.setSelectedIndex(paramJComboBox1.getSelectedIndex());
/*     */ 
/*     */       
/* 170 */       listCellRenderer1 = paramJComboBox1.getRenderer();
/* 171 */       listCellRenderer2 = paramJComboBox2.getRenderer();
/* 172 */       if (listCellRenderer1 instanceof JLabel && listCellRenderer2 instanceof JLabel)
/*     */       {
/* 174 */         copyLabelVisibleProperties((JLabel)listCellRenderer1, (JLabel)listCellRenderer2);
/*     */       }
/*     */ 
/*     */       
/* 178 */       Component component1 = paramJComboBox1.getEditor().getEditorComponent();
/* 179 */       Component component2 = paramJComboBox2.getEditor().getEditorComponent();
/* 180 */       if (component1 instanceof JTextField && component2 instanceof JTextField) {
/*     */ 
/*     */         
/* 183 */         copyTextComponentVisibleProperties((JTextField)component1, (JTextField)component2);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */     } else {
/* 189 */       paramJComboBox2.setVisible(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyComponentVisibleProperties(JComponent paramJComponent1, JComponent paramJComponent2) {
/* 204 */     if (paramJComponent1.isVisible()) {
/*     */       JComponent jComponent;
/*     */ 
/*     */       
/*     */       ComponentListener[] arrayOfComponentListener;
/*     */       
/*     */       byte b;
/*     */       
/* 212 */       for (arrayOfComponentListener = (jComponent = paramJComponent2).getComponentListeners(), b = 0; b < arrayOfComponentListener.length; ) { jComponent.removeComponentListener(arrayOfComponentListener[b]); b++; }
/*     */ 
/*     */       
/* 215 */       paramJComponent2.setBackground(paramJComponent1.getBackground());
/* 216 */       paramJComponent2.setBorder(paramJComponent1.getBorder());
/* 217 */       paramJComponent2.setComponentOrientation(paramJComponent1.getComponentOrientation());
/* 218 */       paramJComponent2.setEnabled(paramJComponent1.isEnabled());
/* 219 */       paramJComponent2.setFont(paramJComponent1.getFont());
/* 220 */       paramJComponent2.setForeground(paramJComponent1.getForeground());
/* 221 */       paramJComponent2.setOpaque(paramJComponent1.isOpaque());
/* 222 */       paramJComponent2.setVisible(true);
/* 223 */       paramJComponent2.setSize(paramJComponent1.getSize());
/* 224 */       if (paramJComponent1.isPreferredSizeSet()) {
/*     */         
/* 226 */         paramJComponent2.setPreferredSize(paramJComponent1.getPreferredSize());
/*     */         
/*     */         return;
/*     */       } 
/*     */     } else {
/* 231 */       paramJComponent2.setVisible(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyContainerVisibleProperties(Container paramContainer1, Container paramContainer2) {
/* 245 */     a(paramContainer1, paramContainer2, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyLabelVisibleProperties(JLabel paramJLabel1, JLabel paramJLabel2) {
/* 258 */     if (paramJLabel1.isVisible()) {
/*     */       
/* 260 */       copyComponentVisibleProperties(paramJLabel1, paramJLabel2);
/* 261 */       paramJLabel2.setHorizontalAlignment(paramJLabel1.getHorizontalAlignment());
/* 262 */       paramJLabel2.setHorizontalTextPosition(paramJLabel1.getHorizontalTextPosition());
/* 263 */       paramJLabel2.setIcon(paramJLabel1.getIcon());
/* 264 */       paramJLabel2.setIconTextGap(paramJLabel1.getIconTextGap());
/* 265 */       paramJLabel2.setText(paramJLabel1.getText());
/* 266 */       paramJLabel2.setVerticalAlignment(paramJLabel1.getVerticalAlignment());
/* 267 */       paramJLabel2.setVerticalTextPosition(paramJLabel1.getVerticalTextPosition());
/*     */ 
/*     */       
/* 270 */       paramJLabel2.setDisplayedMnemonicIndex(paramJLabel1.getDisplayedMnemonicIndex());
/*     */       
/*     */       return;
/*     */     } 
/* 274 */     paramJLabel2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyListVisibleProperties(JList paramJList1, JList paramJList2) {
/* 286 */     if (paramJList1.isVisible()) {
/*     */ 
/*     */       
/* 289 */       copyComponentVisibleProperties(paramJList1, paramJList2);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 294 */       paramJList2.setModel(paramJList1.getModel());
/* 295 */       paramJList2.setSelectionMode(paramJList1.getSelectionMode());
/* 296 */       paramJList2.setSelectedIndices(paramJList1.getSelectedIndices());
/* 297 */       paramJList2.setSelectionForeground(paramJList1.getSelectionForeground());
/* 298 */       paramJList2.setVisibleRowCount(paramJList1.getVisibleRowCount());
/*     */       
/*     */       return;
/*     */     } 
/* 302 */     paramJList2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyProgressBarVisibleProperties(JProgressBar paramJProgressBar1, JProgressBar paramJProgressBar2) {
/* 315 */     if (paramJProgressBar1.isVisible()) {
/*     */       
/* 317 */       copyComponentVisibleProperties(paramJProgressBar1, paramJProgressBar2);
/* 318 */       paramJProgressBar2.setBorderPainted(paramJProgressBar1.isBorderPainted());
/* 319 */       paramJProgressBar2.setIndeterminate(paramJProgressBar1.isIndeterminate());
/* 320 */       paramJProgressBar2.setMaximum(paramJProgressBar1.getMaximum());
/* 321 */       paramJProgressBar2.setMinimum(paramJProgressBar1.getMinimum());
/* 322 */       paramJProgressBar2.setOrientation(paramJProgressBar1.getOrientation());
/* 323 */       paramJProgressBar2.setString(paramJProgressBar1.getString());
/* 324 */       paramJProgressBar2.setStringPainted(paramJProgressBar1.isStringPainted());
/* 325 */       paramJProgressBar2.setValue(paramJProgressBar1.getValue());
/*     */       
/*     */       return;
/*     */     } 
/* 329 */     paramJProgressBar2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyScrollPaneVisibleProperties(JScrollPane paramJScrollPane1, JScrollPane paramJScrollPane2, boolean paramBoolean) {
/* 343 */     JViewport jViewport = paramJScrollPane1.getViewport();
/*     */ 
/*     */     
/* 346 */     if (paramJScrollPane1.isVisible()) {
/*     */       
/* 348 */       copyComponentVisibleProperties(paramJScrollPane1, paramJScrollPane2);
/* 349 */       if (paramBoolean)
/*     */       {
/* 351 */         copyViewportVisibleProperties(jViewport, paramJScrollPane2.getViewport());
/*     */       }
/* 353 */       paramJScrollPane2.setHorizontalScrollBarPolicy(paramJScrollPane1.getHorizontalScrollBarPolicy());
/* 354 */       paramJScrollPane2.setVerticalScrollBarPolicy(paramJScrollPane1.getVerticalScrollBarPolicy());
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 359 */       if (jViewport.getView() instanceof JList) {
/*     */         
/* 361 */         paramJScrollPane2.setPreferredSize(paramJScrollPane1.getSize());
/*     */         
/*     */         return;
/*     */       } 
/*     */     } else {
/* 366 */       paramJScrollPane2.setVisible(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copySeparatorVisibleProperties(JSeparator paramJSeparator1, JSeparator paramJSeparator2) {
/* 379 */     if (paramJSeparator1.isVisible()) {
/*     */       
/* 381 */       copyComponentVisibleProperties(paramJSeparator1, paramJSeparator2);
/* 382 */       paramJSeparator2.setOrientation(paramJSeparator1.getOrientation());
/*     */       
/*     */       return;
/*     */     } 
/* 386 */     paramJSeparator2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copySliderVisibleProperties(JSlider paramJSlider1, JSlider paramJSlider2) {
/* 399 */     if (paramJSlider1.isVisible()) {
/*     */       
/* 401 */       copyComponentVisibleProperties(paramJSlider1, paramJSlider2);
/* 402 */       paramJSlider2.setExtent(paramJSlider1.getExtent());
/* 403 */       paramJSlider2.setInverted(paramJSlider1.getInverted());
/* 404 */       paramJSlider2.setMajorTickSpacing(paramJSlider1.getMajorTickSpacing());
/* 405 */       paramJSlider2.setMaximum(paramJSlider1.getMaximum());
/* 406 */       paramJSlider2.setMinimum(paramJSlider1.getMinimum());
/* 407 */       paramJSlider2.setMinorTickSpacing(paramJSlider1.getMinorTickSpacing());
/* 408 */       paramJSlider2.setOrientation(paramJSlider1.getOrientation());
/* 409 */       paramJSlider2.setPaintLabels(paramJSlider1.getPaintLabels());
/* 410 */       paramJSlider2.setPaintTicks(paramJSlider1.getPaintTicks());
/* 411 */       paramJSlider2.setPaintTrack(paramJSlider1.getPaintTrack());
/* 412 */       paramJSlider2.setSnapToTicks(paramJSlider1.getSnapToTicks());
/* 413 */       paramJSlider2.setValue(paramJSlider1.getValue());
/*     */       
/*     */       return;
/*     */     } 
/* 417 */     paramJSlider2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copySpinnerVisibleProperties(JSpinner paramJSpinner1, JSpinner paramJSpinner2) {
/* 430 */     if (paramJSpinner1.isVisible()) {
/*     */       
/* 432 */       copyComponentVisibleProperties(paramJSpinner1, paramJSpinner2);
/* 433 */       paramJSpinner2.setValue(paramJSpinner1.getValue());
/*     */       
/*     */       return;
/*     */     } 
/* 437 */     paramJSpinner2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copySplitPaneVisibleProperties(JSplitPane paramJSplitPane1, JSplitPane paramJSplitPane2) {
/* 450 */     if (paramJSplitPane1.isVisible()) {
/*     */       
/* 452 */       copyComponentVisibleProperties(paramJSplitPane1, paramJSplitPane2);
/* 453 */       paramJSplitPane2.setContinuousLayout(paramJSplitPane1.isContinuousLayout());
/* 454 */       paramJSplitPane2.setDividerLocation(paramJSplitPane1.getDividerLocation());
/* 455 */       paramJSplitPane2.setDividerSize(paramJSplitPane1.getDividerSize());
/* 456 */       paramJSplitPane2.setOneTouchExpandable(paramJSplitPane1.isOneTouchExpandable());
/* 457 */       paramJSplitPane2.setOrientation(paramJSplitPane1.getOrientation());
/* 458 */       paramJSplitPane2.setResizeWeight(paramJSplitPane1.getResizeWeight());
/*     */       
/*     */       return;
/*     */     } 
/* 462 */     paramJSplitPane2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyTabbedPaneVisibleProperties(JTabbedPane paramJTabbedPane1, JTabbedPane paramJTabbedPane2) {
/* 475 */     int i = paramJTabbedPane1.getTabCount();
/*     */ 
/*     */     
/* 478 */     if (paramJTabbedPane2.getTabCount() != i)
/*     */     {
/* 480 */       throw new a(paramJTabbedPane1, paramJTabbedPane2, "different tab count", (byte)0);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 485 */     if (paramJTabbedPane1.isVisible()) {
/*     */       
/* 487 */       copyComponentVisibleProperties(paramJTabbedPane1, paramJTabbedPane2);
/* 488 */       paramJTabbedPane2.setSelectedIndex(paramJTabbedPane1.getSelectedIndex());
/* 489 */       paramJTabbedPane2.setTabLayoutPolicy(paramJTabbedPane1.getTabLayoutPolicy());
/* 490 */       paramJTabbedPane2.setTabPlacement(paramJTabbedPane1.getTabPlacement());
/* 491 */       for (byte b = 0; b < i; b++) {
/*     */         
/* 493 */         paramJTabbedPane2.setBackgroundAt(b, paramJTabbedPane1.getBackgroundAt(b));
/* 494 */         paramJTabbedPane2.setDisabledIconAt(b, paramJTabbedPane1.getDisabledIconAt(b));
/* 495 */         paramJTabbedPane2.setEnabledAt(b, paramJTabbedPane1.isEnabledAt(b));
/* 496 */         paramJTabbedPane2.setForegroundAt(b, paramJTabbedPane1.getForegroundAt(b));
/* 497 */         paramJTabbedPane2.setIconAt(b, paramJTabbedPane1.getIconAt(b));
/* 498 */         paramJTabbedPane2.setMnemonicAt(b, paramJTabbedPane1.getMnemonicAt(b));
/* 499 */         paramJTabbedPane2.setTitleAt(b, paramJTabbedPane1.getTitleAt(b));
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/* 504 */     paramJTabbedPane2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyTableVisibleProperties(JTable paramJTable1, JTable paramJTable2) {
/* 517 */     TableColumnModel tableColumnModel = null;
/* 518 */     tableColumnModel = null;
/*     */ 
/*     */     
/* 521 */     if (paramJTable1.isVisible()) {
/*     */       
/* 523 */       copyComponentVisibleProperties(paramJTable1, paramJTable2);
/*     */ 
/*     */ 
/*     */       
/* 527 */       tableColumnModel = paramJTable1.getColumnModel();
/* 528 */       if (paramJTable2.getColumnModel() != tableColumnModel)
/*     */       {
/* 530 */         paramJTable2.setColumnModel(tableColumnModel);
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 538 */       ListSelectionModel listSelectionModel = paramJTable1.getSelectionModel();
/* 539 */       if (paramJTable2.getSelectionModel() != listSelectionModel) {
/*     */         
/* 541 */         paramJTable2.setSelectionModel(listSelectionModel);
/*     */         
/*     */         return;
/*     */       } 
/*     */     } else {
/* 546 */       paramJTable2.setVisible(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyTextComponentVisibleProperties(JTextComponent paramJTextComponent1, JTextComponent paramJTextComponent2) {
/* 559 */     boolean bool = false;
/*     */ 
/*     */     
/* 562 */     if (paramJTextComponent1.isVisible()) {
/*     */       
/* 564 */       copyComponentVisibleProperties(paramJTextComponent1, paramJTextComponent2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 574 */       if (paramJTextComponent2 instanceof javax.swing.JTextArea) {
/*     */         
/* 576 */         paramJTextComponent2.setText(paramJTextComponent1.getText());
/*     */       }
/*     */       else {
/*     */         
/* 580 */         paramJTextComponent2.setDocument(paramJTextComponent1.getDocument());
/*     */       } 
/*     */ 
/*     */       
/* 584 */       paramJTextComponent2.setCaretColor(paramJTextComponent1.getCaretColor());
/* 585 */       paramJTextComponent2.setCaretPosition(paramJTextComponent1.getCaretPosition());
/* 586 */       paramJTextComponent2.setEditable(paramJTextComponent1.isEditable());
/* 587 */       paramJTextComponent2.setMargin(paramJTextComponent1.getMargin());
/* 588 */       paramJTextComponent2.setSelectedTextColor(paramJTextComponent1.getSelectedTextColor());
/* 589 */       paramJTextComponent2.setSelectionColor(paramJTextComponent1.getSelectionColor());
/* 590 */       paramJTextComponent2.setSelectionStart(paramJTextComponent1.getSelectionStart());
/* 591 */       paramJTextComponent2.setSelectionEnd(paramJTextComponent1.getSelectionEnd());
/*     */ 
/*     */       
/* 594 */       bool = paramJTextComponent1.getCaret().isSelectionVisible();
/* 595 */       paramJTextComponent2.getCaret().setSelectionVisible(bool);
/*     */       
/*     */       return;
/*     */     } 
/* 599 */     paramJTextComponent2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyTreeVisibleProperties(JTree paramJTree1, JTree paramJTree2) {
/* 614 */     if (paramJTree1.isVisible()) {
/*     */       
/* 616 */       copyComponentVisibleProperties(paramJTree1, paramJTree2); JTree jTree1, jTree2; int i;
/*     */       JTree jTree3;
/*     */       int j;
/* 619 */       for (jTree2 = paramJTree2, i = (jTree1 = paramJTree1).getRowCount(), j = (jTree3 = jTree2).getRowCount() - 1; j >= 0; ) { jTree3.collapseRow(j); j--; }  if (jTree1.isRootVisible() && jTree1.isCollapsed(0)) { jTree2.collapseRow(0); } else { for (byte b = 0; b < i; ) { if (jTree1.isExpanded(b)) jTree2.expandRow(b);  b++; }
/*     */          }
/*     */       
/* 622 */       paramJTree2.setSelectionRows(paramJTree1.getSelectionRows());
/*     */       
/*     */       return;
/*     */     } 
/* 626 */     paramJTree2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyViewportVisibleProperties(JViewport paramJViewport1, JViewport paramJViewport2) {
/* 639 */     if (paramJViewport1.isVisible()) {
/*     */       
/* 641 */       copyComponentVisibleProperties(paramJViewport1, paramJViewport2);
/* 642 */       paramJViewport2.setViewPosition(paramJViewport1.getViewPosition());
/* 643 */       paramJViewport2.setExtentSize(paramJViewport1.getExtentSize());
/*     */       
/*     */       return;
/*     */     } 
/* 647 */     paramJViewport2.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a(Component paramComponent1, Component paramComponent2) {
/* 690 */     boolean bool = false;
/*     */ 
/*     */     
/* 693 */     if (paramComponent1 instanceof javax.swing.JInternalFrame || paramComponent1 instanceof javax.swing.JMenuBar || paramComponent1 instanceof javax.swing.JToolBar) {
/*     */ 
/*     */ 
/*     */       
/* 697 */       copyComponentVisibleProperties((JComponent)paramComponent1, (JComponent)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 701 */     else if (paramComponent1 instanceof JLabel) {
/*     */       
/* 703 */       copyLabelVisibleProperties((JLabel)paramComponent1, (JLabel)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 707 */     else if (paramComponent1 instanceof JTextComponent) {
/*     */       
/* 709 */       copyTextComponentVisibleProperties((JTextComponent)paramComponent1, (JTextComponent)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 714 */     else if (paramComponent1 instanceof JComboBox) {
/*     */       
/* 716 */       copyComboBoxVisibleProperties((JComboBox)paramComponent1, (JComboBox)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 720 */     else if (paramComponent1 instanceof JCheckBox) {
/*     */       
/* 722 */       copyCheckBoxVisibleProperties((JCheckBox)paramComponent1, (JCheckBox)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 727 */     else if (paramComponent1 instanceof AbstractButton) {
/*     */       
/* 729 */       copyButtonVisibleProperties((AbstractButton)paramComponent1, (AbstractButton)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 734 */     else if (paramComponent1 instanceof JSpinner) {
/*     */       
/* 736 */       copySpinnerVisibleProperties((JSpinner)paramComponent1, (JSpinner)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 741 */     else if (paramComponent1 instanceof JTabbedPane) {
/*     */       
/* 743 */       copyTabbedPaneVisibleProperties((JTabbedPane)paramComponent1, (JTabbedPane)paramComponent2);
/*     */       
/* 745 */       bool = true;
/*     */ 
/*     */     
/*     */     }
/* 749 */     else if (paramComponent1 instanceof JSplitPane) {
/*     */       
/* 751 */       copySplitPaneVisibleProperties((JSplitPane)paramComponent1, (JSplitPane)paramComponent2);
/*     */       
/* 753 */       bool = true;
/*     */ 
/*     */     
/*     */     }
/* 757 */     else if (paramComponent1 instanceof JList) {
/*     */       
/* 759 */       copyListVisibleProperties((JList)paramComponent1, (JList)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 763 */     else if (paramComponent1 instanceof JProgressBar) {
/*     */       
/* 765 */       copyProgressBarVisibleProperties((JProgressBar)paramComponent1, (JProgressBar)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 770 */     else if (paramComponent1 instanceof JSlider) {
/*     */       
/* 772 */       copySliderVisibleProperties((JSlider)paramComponent1, (JSlider)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 776 */     else if (paramComponent1 instanceof JSeparator) {
/*     */       
/* 778 */       copySeparatorVisibleProperties((JSeparator)paramComponent1, (JSeparator)paramComponent2);
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 783 */     else if (paramComponent1 instanceof JTable) {
/*     */       
/* 785 */       copyTableVisibleProperties((JTable)paramComponent1, (JTable)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 789 */     else if (paramComponent1 instanceof JTree) {
/*     */       
/* 791 */       copyTreeVisibleProperties((JTree)paramComponent1, (JTree)paramComponent2);
/*     */ 
/*     */     
/*     */     }
/* 795 */     else if (paramComponent1 instanceof JComponent) {
/*     */       
/* 797 */       copyComponentVisibleProperties((JComponent)paramComponent1, (JComponent)paramComponent2);
/*     */       
/* 799 */       bool = true;
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 805 */       paramComponent2 = paramComponent2; paramComponent1 = paramComponent1; paramComponent2.setBackground(paramComponent1.getBackground()); paramComponent2.setEnabled(paramComponent1.isEnabled()); paramComponent2.setFont(paramComponent1.getFont()); paramComponent2.setForeground(paramComponent1.getForeground()); paramComponent2.setVisible(paramComponent1.isVisible()); paramComponent2.setSize(paramComponent1.getSize());
/*     */     } 
/*     */     
/* 808 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(Container paramContainer1, Container paramContainer2, boolean paramBoolean) {
/*     */     String str;
/*     */     Component[] arrayOfComponent1;
/*     */     Component[] arrayOfComponent2;
/*     */     while (true) {
/* 821 */       arrayOfComponent1 = paramContainer1.getComponents();
/* 822 */       arrayOfComponent2 = paramContainer2.getComponents();
/* 823 */       boolean bool = false;
/*     */ 
/*     */       
/* 826 */       if (paramContainer1.getClass() != paramContainer2.getClass())
/*     */       {
/* 828 */         throw new a(paramContainer1, paramContainer2, "different container class", (byte)0);
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 836 */       if (paramContainer1 instanceof JScrollPane) {
/*     */         
/* 838 */         copyScrollPaneVisibleProperties((JScrollPane)paramContainer1, (JScrollPane)paramContainer2, true);
/*     */ 
/*     */ 
/*     */         
/* 842 */         paramBoolean = true; paramContainer2 = (Container)((JScrollPane)paramContainer2).getViewport().getView(); paramContainer1 = (Container)((JScrollPane)paramContainer1).getViewport().getView(); continue;
/*     */       }  break;
/* 844 */     }  if (arrayOfComponent1.length != arrayOfComponent2.length) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 850 */       str = "different component counts (" + arrayOfComponent1.length + " / " + arrayOfComponent2.length + ")";
/*     */       
/* 852 */       throw new a(paramContainer1, paramContainer2, str, (byte)0);
/*     */     } 
/*     */ 
/*     */     
/* 856 */     if (str != null && paramContainer1 instanceof JComponent)
/*     */     {
/* 858 */       a(paramContainer1, paramContainer2);
/*     */     }
/*     */ 
/*     */     
/* 862 */     for (byte b = 0; b < arrayOfComponent1.length; b++) {
/*     */ 
/*     */       
/* 865 */       if (arrayOfComponent1[b].getClass() != arrayOfComponent2[b].getClass())
/*     */       {
/* 867 */         throw new a(arrayOfComponent1[b], arrayOfComponent2[b], "different component class", (byte)0);
/*     */       }
/*     */ 
/*     */       
/*     */       boolean bool;
/*     */       
/* 873 */       if (bool = a(arrayOfComponent1[b], arrayOfComponent2[b]))
/*     */       {
/*     */         
/* 876 */         a((Container)arrayOfComponent1[b], (Container)arrayOfComponent2[b], false);
/*     */       }
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\swing\SwingPropertyCopier.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */