/*      */ package jpdf.printer.text.html;
/*      */ 
/*      */ import java.awt.Insets;
/*      */ import java.awt.Point;
/*      */ import java.awt.Rectangle;
/*      */ import java.util.Vector;
/*      */ import java.util.regex.Pattern;
/*      */ import javax.swing.plaf.basic.BasicTextUI;
/*      */ import javax.swing.text.AttributeSet;
/*      */ import javax.swing.text.BadLocationException;
/*      */ import javax.swing.text.CompositeView;
/*      */ import javax.swing.text.JTextComponent;
/*      */ import javax.swing.text.Position;
/*      */ import javax.swing.text.View;
/*      */ import javax.swing.text.html.CSS;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.printer.text.ViewUtility;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class HtmlViewUtility
/*      */ {
/*      */   public static class AdjustBreakPreferences
/*      */   {
/*   51 */     public int maxEmptySpaceFor_H1_Element = 144;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   56 */     public int maxEmptySpaceFor_H2_Element = 144;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   61 */     public int maxEmptySpaceFor_H3_Element = 108;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   66 */     public int maxEmptySpaceFor_Hx_Element = 72;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   71 */     public int maxEmptySpaceFor_TABLE_Element = 108;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   76 */     public int maxEmptySpaceFor_TR_Element = 72;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   83 */     public int maxEmptySpaceFor_DT_Element = 108;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   88 */     public int maxEmptySpaceForOtherBlockElement = 36;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean examine_TR_contents = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  102 */     public int maxEmptySpaceForTopMargin = 80;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     protected int computeMaxEmptySpaceForBlockElement(int param1Int, String param1String, boolean param1Boolean1, boolean param1Boolean2, boolean param1Boolean3, boolean param1Boolean4) {
/*  116 */       param1Int = this.maxEmptySpaceForOtherBlockElement;
/*      */ 
/*      */       
/*  119 */       if (param1Boolean1) {
/*      */         
/*  121 */         if (param1String.equals("h1"))
/*      */         {
/*  123 */           param1Int = this.maxEmptySpaceFor_H1_Element;
/*      */         }
/*  125 */         else if (param1String.equals("h2"))
/*      */         {
/*  127 */           param1Int = this.maxEmptySpaceFor_H2_Element;
/*      */         }
/*  129 */         else if (param1String.equals("h3"))
/*      */         {
/*  131 */           param1Int = this.maxEmptySpaceFor_H3_Element;
/*      */         }
/*      */         else
/*      */         {
/*  135 */           param1Int = this.maxEmptySpaceFor_Hx_Element;
/*      */         }
/*      */       
/*  138 */       } else if (param1Boolean2) {
/*      */         
/*  140 */         param1Int = this.maxEmptySpaceFor_TABLE_Element;
/*      */       }
/*  142 */       else if (param1Boolean3) {
/*      */         
/*  144 */         param1Int = this.maxEmptySpaceFor_TR_Element;
/*      */       } 
/*      */       
/*  147 */       return param1Int;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int adjustCandidatePageBreak(JTextComponent paramJTextComponent, int paramInt1, int paramInt2, int paramInt3) {
/*  205 */     return adjustCandidatePageBreak(paramJTextComponent, paramInt1, paramInt2, paramInt3, new AdjustBreakPreferences());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int adjustCandidatePageBreak(JTextComponent paramJTextComponent, int paramInt1, int paramInt2, int paramInt3, AdjustBreakPreferences paramAdjustBreakPreferences) {
/*  236 */     Rectangle rectangle = new Rectangle();
/*  237 */     View view1 = null;
/*  238 */     String str = null;
/*      */     
/*  240 */     View view2 = ((BasicTextUI)paramJTextComponent.getUI()).getRootView(paramJTextComponent);
/*  241 */     View view3 = null;
/*  242 */     Object object = null;
/*  243 */     int i = 0;
/*  244 */     int j = 0;
/*  245 */     boolean bool1 = false;
/*  246 */     boolean bool2 = false;
/*  247 */     boolean bool3 = false;
/*  248 */     boolean bool4 = false;
/*  249 */     int k = 0;
/*  250 */     int m = paramInt2;
/*  251 */     int n = 0;
/*  252 */     j = 0;
/*  253 */     i = 0;
/*  254 */     i = 0;
/*  255 */     j = 0;
/*  256 */     int i1 = b(paramJTextComponent, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  264 */     while (k) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  269 */       if ((k = view1.getViewIndex(i1, Position.Bias.Backward)) >= 0) {
/*      */         
/*  271 */         str = (view3 = view1.getView(k)).getElement().getName();
/*  272 */         rectangle = (Rectangle)view1.getChildAllocation(k, rectangle);
/*      */ 
/*      */         
/*  275 */         if (str.equals("center"))
/*      */         {
/*  277 */           if (((CompositeView)view3).getViewCount() > 0)
/*      */           {
/*      */             
/*  280 */             str = (view3 = ((CompositeView)view3).getView(0)).getElement().getName();
/*      */           }
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  293 */         j = (str.length() == 2 && str.charAt(0) == 'h') ? 1 : 0;
/*  294 */         bool1 = str.equals("table");
/*  295 */         bool3 = (view3.getClass().getName().indexOf("swing.text.html.TableView") >= 0) ? true : false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  301 */         if (i = (j || bool3 || view3 instanceof javax.swing.text.html.BlockView) ? 1 : 0) {
/*      */           
/*  303 */           i = rectangle.y + rectangle.height - 1;
/*  304 */           n = rectangle.y;
/*  305 */           bool2 = str.equals("tr");
/*      */ 
/*      */ 
/*      */           
/*      */           try {
/*  310 */             if (i > 0 && i <= paramInt3) {
/*      */ 
/*      */               
/*  313 */               if (str.equals("html")) {
/*      */                 
/*  315 */                 m = paramInt3;
/*      */                 
/*      */                 break;
/*      */               } 
/*  319 */               if (bool1 || bool2) {
/*      */                 
/*  321 */                 m = i;
/*      */                 
/*      */                 break;
/*      */               } 
/*      */             } 
/*      */             
/*  327 */             i = paramAdjustBreakPreferences.computeMaxEmptySpaceForBlockElement(paramInt1, str, j, bool1, bool2, bool4);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  333 */             if (!bool3) {
/*      */               
/*  335 */               j = 0;
/*      */               Rectangle rectangle1;
/*  337 */               if ((rectangle1 = paramJTextComponent.modelToView(view3.getStartOffset())) != null) j = rectangle1.y; 
/*  338 */               if (j > paramInt2 || 
/*  339 */                 j == paramInt2) {
/*      */                 break;
/*      */               }
/*      */             } 
/*      */ 
/*      */ 
/*      */             
/*  346 */             if (n > 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  352 */               if (n > paramInt2)
/*      */                 break; 
/*  354 */               if ((j = paramInt3 - n) <= i) {
/*      */ 
/*      */                 
/*  357 */                 m = n;
/*  358 */                 if (bool1) m -= 2;
/*      */ 
/*      */ 
/*      */                 
/*      */                 View view;
/*      */                 
/*  364 */                 if ((view = (View)(str.equals("dd") ? view3 : a(view3, "dd"))) != null) {
/*      */ 
/*      */                   
/*  367 */                   view = ViewUtility.getPrecedingSiblingView(view);
/*      */                   
/*  369 */                   if ((n = a(paramJTextComponent, view, true)) <= paramInt2 && (
/*      */                     
/*  371 */                     j = paramInt3 - n) <= paramAdjustBreakPreferences.maxEmptySpaceFor_DT_Element) {
/*      */                     
/*  373 */                     m = n;
/*  374 */                     view3 = view;
/*      */                   } 
/*      */                 } 
/*      */                 
/*      */                 break;
/*      */               } 
/*      */             } 
/*  381 */           } catch (Throwable throwable2) {
/*      */             Throwable throwable1;
/*  383 */             PrintManager.handleException(throwable1 = null, false);
/*  384 */             return paramInt2;
/*      */           } 
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/*  390 */         if (!bool2 || paramAdjustBreakPreferences.examine_TR_contents) {
/*      */ 
/*      */           
/*  393 */           view1 = view3;
/*      */ 
/*      */ 
/*      */           
/*  397 */           if (bool1) bool4 = true;
/*      */         
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*      */       null ;
/*      */ 
/*      */ 
/*      */       
/*  411 */       if (( = a(view2, view3)) != null && null.a() != null)
/*      */       {
/*  413 */         if ((null.b()).y < m) {
/*      */           String str1;
/*      */           
/*  416 */           if ((str1 = null.a().getElement().getName()).equals("table"))
/*      */           {
/*  418 */             if (m - (null.b()).y < 30)
/*      */             {
/*  420 */               m = (null.b()).y;
/*      */             }
/*      */           }
/*      */         } 
/*      */       }
/*      */ 
/*      */       
/*  427 */       if (!str.equals("content"))
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  435 */         if (( = b(view2, view3)) != null && null.a() != null) {
/*      */           String str1;
/*      */ 
/*      */ 
/*      */           
/*  440 */           if ((j = ((str1 = null.a().getElement().getName()).length() == 2 && str1.charAt(0) == 'h') ? 1 : 0) != 0)
/*      */           {
/*  442 */             j = paramInt3 - (null.b()).y;
/*  443 */             i = paramAdjustBreakPreferences.computeMaxEmptySpaceForBlockElement(paramInt1, str1, true, false, false, false);
/*      */             
/*  445 */             if (j < i)
/*      */             {
/*  447 */               m = (null.b()).y;
/*      */             }
/*      */           }
/*      */         
/*      */         }
/*      */       
/*      */       }
/*  454 */     } catch (Throwable throwable2) {
/*      */       Throwable throwable1;
/*  456 */       PrintManager.handleException(throwable1 = null, false);
/*      */     } 
/*      */     
/*  459 */     return m;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computeElementViewTopBreak(JTextComponent paramJTextComponent, String paramString1, String paramString2) {
/*  478 */     int i = -1;
/*      */ 
/*      */     
/*      */     View view;
/*      */     
/*  483 */     if ((view = findView(paramJTextComponent, paramString1, paramString2)) == null) return -1;
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  488 */       i = a(paramJTextComponent, view, false);
/*      */     }
/*  490 */     catch (BadLocationException badLocationException) {}
/*      */     
/*  492 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int[] computeElementViewTopBreaks(JTextComponent paramJTextComponent, String paramString) {
/*  505 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*  506 */     Vector<Integer> vector = new Vector();
/*  507 */     Integer integer = null;
/*      */ 
/*      */ 
/*      */     
/*  511 */     paramString = paramString.toLowerCase().trim();
/*  512 */     a(paramJTextComponent, view, paramString, vector);
/*      */ 
/*      */ 
/*      */     
/*  516 */     int[] arrayOfInt = new int[vector.size()];
/*  517 */     for (byte b = 0; b < arrayOfInt.length; b++) {
/*      */       
/*  519 */       integer = vector.elementAt(b);
/*  520 */       arrayOfInt[b] = integer.intValue();
/*      */     } 
/*      */     
/*  523 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int[] computeElementViewTopBreaks(JTextComponent paramJTextComponent, String paramString1, String paramString2) {
/*  539 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  541 */     Vector<Integer> vector = new Vector();
/*  542 */     Integer integer = null;
/*      */ 
/*      */ 
/*      */     
/*  546 */     Pattern pattern = Pattern.compile(paramString2);
/*      */ 
/*      */     
/*  549 */     paramString1 = paramString1.toLowerCase().trim();
/*  550 */     a(paramJTextComponent, view, paramString1, pattern, vector);
/*      */ 
/*      */ 
/*      */     
/*  554 */     int[] arrayOfInt = new int[vector.size()];
/*  555 */     for (byte b = 0; b < arrayOfInt.length; b++) {
/*      */       
/*  557 */       integer = vector.elementAt(b);
/*  558 */       arrayOfInt[b] = integer.intValue();
/*      */     } 
/*      */     
/*  561 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static View findView(JTextComponent paramJTextComponent, String paramString1, String paramString2) {
/*  578 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  580 */     paramString1 = paramString1.trim();
/*      */     
/*  582 */     return a(view, paramString1, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getBodyViewBottom(JTextComponent paramJTextComponent) {
/*  591 */     Object object = null;
/*  592 */     View view = ((BasicTextUI)paramJTextComponent.getUI()).getRootView(paramJTextComponent).getView(0);
/*  593 */     int i = 0;
/*      */ 
/*      */     
/*      */     int j;
/*      */ 
/*      */     
/*  599 */     if ((j = ((CompositeView)view).getViewCount()) > 0) {
/*      */       Rectangle rectangle;
/*      */       
/*  602 */       if ((rectangle = (Rectangle)view.getChildAllocation(j - 1, new Rectangle())) == null) {
/*      */         
/*  604 */         i = -1;
/*      */       }
/*      */       else {
/*      */         
/*  608 */         i = i.y + i.height;
/*      */       } 
/*      */     } 
/*      */     
/*  612 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isTablePresent(JTextComponent paramJTextComponent, int paramInt) {
/*  622 */     View view1 = null;
/*      */     
/*  624 */     view1 = view1 = ((BasicTextUI)paramJTextComponent.getUI()).getRootView(paramJTextComponent);
/*  625 */     View view2 = null;
/*  626 */     boolean bool = false;
/*  627 */     int j = 0;
/*  628 */     int i = a(paramJTextComponent, paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  633 */     while (j) {
/*      */       String str;
/*      */ 
/*      */ 
/*      */       
/*  638 */       if ((j = view1.getViewIndex(i, Position.Bias.Backward)) >= 0 && 
/*      */ 
/*      */ 
/*      */         
/*  642 */         !(bool = (str = (view2 = view1.getView(j)).getElement().getName()).equals("table")))
/*      */       {
/*      */         
/*  645 */         View view = view2;
/*      */       }
/*      */     } 
/*      */     
/*  649 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(JTextComponent paramJTextComponent, View paramView, String paramString, Vector<Integer> paramVector) {
/*  667 */     String str = paramView.getElement().getName();
/*  668 */     Object object = null;
/*  669 */     int j = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  674 */     if (str.equals(paramString)) {
/*      */       
/*      */       try {
/*      */         
/*  678 */         j = a(paramJTextComponent, paramView, false);
/*  679 */         paramVector.add(Integer.valueOf(j));
/*      */         return;
/*  681 */       } catch (BadLocationException badLocationException) {
/*      */         return;
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  688 */     int i = paramView.getViewCount();
/*  689 */     for (byte b = 0; b < i; b++) {
/*      */       View view;
/*      */ 
/*      */ 
/*      */       
/*  694 */       if (!(view = paramView.getView(b)).getElement().getName().equals("content"))
/*      */       {
/*      */         
/*  697 */         a(paramJTextComponent, view, paramString, paramVector);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(JTextComponent paramJTextComponent, View paramView, String paramString, Pattern paramPattern, Vector<Integer> paramVector) {
/*  714 */     String str = paramView.getElement().getName();
/*  715 */     Object object = null;
/*  716 */     object = null;
/*  717 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  722 */     if (str.equals(paramString)) {
/*      */       
/*      */       try {
/*      */ 
/*      */         
/*  727 */         String str1 = ViewUtility.getViewText(paramView).trim();
/*  728 */         if (paramPattern.matcher(str1).matches()) {
/*      */           
/*  730 */           int j = a(paramJTextComponent, paramView, false);
/*  731 */           paramVector.add(Integer.valueOf(j));
/*      */ 
/*      */ 
/*      */           
/*      */           return;
/*      */         } 
/*  737 */       } catch (BadLocationException badLocationException) {}
/*      */     }
/*      */ 
/*      */     
/*  741 */     int i = paramView.getViewCount();
/*  742 */     for (byte b = 0; b < i; b++) {
/*      */       View view;
/*      */ 
/*      */ 
/*      */       
/*  747 */       if (!(view = paramView.getView(b)).getElement().getName().equals("content"))
/*      */       {
/*      */         
/*  750 */         a(paramJTextComponent, view, paramString, paramPattern, paramVector);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(JTextComponent paramJTextComponent, View paramView, boolean paramBoolean) {
/*  764 */     Object object = null;
/*  765 */     int i = paramView.getStartOffset();
/*  766 */     int j = 0;
/*      */     
/*  768 */     if (i > 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  774 */       boolean bool = paramBoolean; View view; AttributeSet attributeSet = (view = paramView).getAttributes(); Rectangle rectangle = null; float f2 = 0.0F, f1 = 0.0F; Object object1; if ((object1 = attributeSet.getAttribute(CSS.Attribute.PADDING_TOP)) != null) f2 = 0.0F + a(object1);  if ((object1 = attributeSet.getAttribute(CSS.Attribute.BORDER_TOP_WIDTH)) != null && (f1 = a(object1)) > 0.0F) { f2 += f1; if (!bool) f2 += 4.0F;  }  if (bool && (object1 = attributeSet.getAttribute(CSS.Attribute.MARGIN_TOP)) != null) f2 += a(object1);  while (view instanceof CompositeView && ((CompositeView)view).getViewCount() != 0) { View view1; if ((object1 = (attributeSet = (view1 = ((CompositeView)view).getView(0)).getAttributes()).getAttribute(CSS.Attribute.PADDING_TOP)) != null) f2 += a(object1);  if ((object1 = attributeSet.getAttribute(CSS.Attribute.BORDER_TOP_WIDTH)) != null) f2 += a(object1);  if ((object1 = attributeSet.getAttribute(CSS.Attribute.MARGIN_TOP)) != null) f2 += a(object1);  view = view1; }  j = (rectangle = paramJTextComponent.modelToView(i)).y - (int)f2;
/*      */     } 
/*      */     
/*  777 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static View a(View paramView, String paramString1, String paramString2) {
/*  866 */     String str1 = paramView.getElement().getName();
/*  867 */     String str2 = null;
/*  868 */     str2 = null;
/*  869 */     View view = null;
/*  870 */     if (str1.equals(paramString1)) {
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  879 */         str2 = ViewUtility.getViewText(paramView).trim();
/*  880 */         if (paramString2.equals(str2))
/*      */         {
/*  882 */           return paramView;
/*      */         }
/*      */       }
/*  885 */       catch (BadLocationException badLocationException) {}
/*      */     }
/*      */ 
/*      */     
/*  889 */     int i = paramView.getViewCount();
/*  890 */     for (byte b = 0; b < i; b++) {
/*      */       View view1;
/*      */ 
/*      */ 
/*      */       
/*  895 */       if (!(view1 = paramView.getView(b)).getElement().getName().equals("content")) {
/*      */ 
/*      */ 
/*      */         
/*  899 */         if ((view = a(view1, paramString1, paramString2)) == null)
/*      */           continue;  break;
/*      */       }  continue;
/*      */     } 
/*  903 */     return view;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(JTextComponent paramJTextComponent, int paramInt) {
/*      */     Insets insets;
/*  913 */     int j = (insets = paramJTextComponent.getInsets()).left + (paramJTextComponent.getWidth() - insets.left + insets.right) / 2;
/*      */ 
/*      */ 
/*      */     
/*      */     int i;
/*      */ 
/*      */ 
/*      */     
/*  921 */     return i = paramJTextComponent.viewToModel(new Point(j, paramInt));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int b(JTextComponent paramJTextComponent, int paramInt) {
/*  930 */     Object object = null;
/*  931 */     boolean bool = false;
/*  932 */     int i = a(paramJTextComponent, paramInt + 20);
/*      */ 
/*      */     
/*      */     try {
/*  936 */       while (i > 0) {
/*      */         int j;
/*      */         
/*      */         Rectangle rectangle;
/*  940 */         if ((j = (rectangle = paramJTextComponent.modelToView(i)).y + rectangle.height - 1) > paramInt) {
/*  941 */           i--;
/*      */         }
/*      */       } 
/*  944 */     } catch (BadLocationException badLocationException) {
/*      */       
/*  946 */       PrintManager.handleException((Throwable)(paramJTextComponent = null));
/*      */     } 
/*      */     
/*  949 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static View a(View paramView, String paramString) {
/*  960 */     String str = null;
/*  961 */     paramView = paramView.getParent();
/*  962 */     View view = null;
/*      */     
/*  964 */     while (paramView != null) {
/*      */ 
/*      */       
/*  967 */       if ((str = paramView.getElement().getName()).equals(paramString)) {
/*      */         
/*  969 */         view = paramView;
/*      */         break;
/*      */       } 
/*  972 */       paramView = paramView.getParent();
/*      */     } 
/*      */     
/*  975 */     return view;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static float a(Object paramObject) {
/*      */     float f;
/*  989 */     if ((paramObject = paramObject.toString()).endsWith("px"))
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  994 */       paramObject = paramObject.substring(0, paramObject.length() - 2);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1000 */       f = Float.valueOf((String)paramObject).floatValue();
/*      */     }
/* 1002 */     catch (NumberFormatException numberFormatException) {
/*      */       
/* 1004 */       f = 0.0F;
/*      */     } 
/*      */     
/* 1007 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static null a(View paramView1, View paramView2) {
/* 1017 */     Rectangle rectangle = new Rectangle();
/* 1018 */     View view1 = paramView1;
/* 1019 */     View view2 = null;
/* 1020 */     View view3 = null;
/* 1021 */     int i = paramView2.getEndOffset() + 1;
/* 1022 */     int j = 0;
/*      */     
/* 1024 */     if (i < paramView1.getEndOffset())
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1030 */       while (j) {
/*      */ 
/*      */         
/* 1033 */         if ((j = view1.getViewIndex(i, Position.Bias.Backward)) < 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1038 */           if (view1.getElement().getName().equals("img"))
/*      */           {
/* 1040 */             view3 = view1;
/*      */           }
/*      */           break;
/*      */         } 
/* 1044 */         rectangle = (Rectangle)view1.getChildAllocation(j, rectangle);
/*      */         
/* 1046 */         if ((view2 = view1.getView(j)).getStartOffset() >= i - 1) {
/*      */           
/* 1048 */           view3 = view2;
/*      */           break;
/*      */         } 
/* 1051 */         view1 = view2;
/*      */       } 
/*      */     }
/*      */     
/* 1055 */     return (null)new Object(view3, rectangle, (byte)0)
/*      */       {
/*      */         private final View a;
/*      */         
/*      */         private final Rectangle b;
/*      */       };
/*      */   }
/*      */ 
/*      */   
/*      */   private static null b(View paramView1, View paramView2) {
/* 1065 */     Rectangle rectangle = new Rectangle();
/* 1066 */     View view1 = paramView1;
/* 1067 */     View view2 = null;
/* 1068 */     View view3 = null;
/* 1069 */     int i = paramView2.getStartOffset();
/* 1070 */     int j = 0;
/* 1071 */     int k = i - 1;
/* 1072 */     int m = 0;
/*      */     
/* 1074 */     if (k < paramView1.getEndOffset())
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1080 */       while (m) {
/*      */ 
/*      */         
/* 1083 */         if ((m = view1.getViewIndex(k, Position.Bias.Backward)) < 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1088 */           if (view1.getElement().getName().equals("img"))
/*      */           {
/* 1090 */             view3 = view1;
/*      */           }
/*      */           break;
/*      */         } 
/* 1094 */         rectangle = (Rectangle)view1.getChildAllocation(m, rectangle);
/*      */ 
/*      */         
/* 1097 */         if ((j = (view2 = view1.getView(m)).getEndOffset()) >= k - 1 && j <= i) {
/*      */           
/* 1099 */           view3 = view2;
/*      */           break;
/*      */         } 
/* 1102 */         view1 = view2;
/*      */       } 
/*      */     }
/*      */     
/* 1106 */     return (null)new Object(view3, rectangle, (byte)0) {
/*      */         private final View a;
/*      */         private final Rectangle b;
/*      */       };
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\html\HtmlViewUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */