/*     */ package jpdf.printer.text.html;
/*     */ 
/*     */ import javax.swing.text.AttributeSet;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.text.GlyphView;
/*     */ import javax.swing.text.StyleConstants;
/*     */ import javax.swing.text.View;
/*     */ import javax.swing.text.ViewFactory;
/*     */ import javax.swing.text.html.CSS;
/*     */ import javax.swing.text.html.HTML;
/*     */ import javax.swing.text.html.HTMLDocument;
/*     */ import javax.swing.text.html.HTMLEditorKit;
/*     */ import javax.swing.text.html.InlineView;
/*     */ import jpdf.printer.text.PrintEditorKit;
/*     */ import jpdf.printer.text.PrintGlyphForceShapesPainter;
/*     */ import jpdf.printer.text.PrintGlyphPainter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintHtmlEditorKit
/*     */   extends HTMLEditorKit
/*     */   implements PrintEditorKit
/*     */ {
/*     */   private final PrintGlyphPainter PRINT_GLYPH_PAINTER;
/*     */   private final PrintViewFactory VIEW_FACTORY;
/*     */   private final boolean OPTIMIZE_SIZING;
/*     */   
/*     */   static class a
/*     */     extends InlineView
/*     */   {
/*     */     public a(Element param1Element, PrintGlyphPainter param1PrintGlyphPainter) {
/*  49 */       super(param1Element);
/*     */       
/*  51 */       setGlyphPainter((GlyphView.GlyphPainter)param1PrintGlyphPainter);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class PrintViewFactory
/*     */     extends HTMLEditorKit.HTMLFactory
/*     */   {
/*  62 */     private PrintHtmlEditorKit a = null;
/*     */ 
/*     */ 
/*     */     
/*     */     public View create(Element param1Element) {
/*  67 */       PrintHtmlEditorKit printHtmlEditorKit = getEditorKit();
/*     */       AttributeSet attributeSet;
/*     */       Object object;
/*  70 */       if ((object = (attributeSet = param1Element.getAttributes()).getAttribute(StyleConstants.NameAttribute)) == HTML.Tag.CONTENT)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/*  75 */         return new PrintHtmlEditorKit.a(param1Element, PrintHtmlEditorKit.a(printHtmlEditorKit));
/*     */       }
/*     */ 
/*     */       
/*  79 */       if (object == HTML.Tag.IMPLIED) {
/*     */ 
/*     */ 
/*     */         
/*  83 */         if ((object = attributeSet.getAttribute(CSS.Attribute.WHITE_SPACE)) != null && object.toString().equals(HTML.Tag.PRE.toString()))
/*     */         {
/*     */           
/*  86 */           return new PrintHtmlPreLineView(param1Element);
/*     */         }
/*     */         
/*  89 */         if (a(attributeSet))
/*     */         {
/*  91 */           return new a(param1Element, printHtmlEditorKit);
/*     */         }
/*  93 */         return new PrintHtmlParagraphView(param1Element, printHtmlEditorKit);
/*     */       } 
/*     */ 
/*     */       
/*  97 */       if (object == HTML.Tag.P || object == HTML.Tag.H1 || object == HTML.Tag.H2 || object == HTML.Tag.H3 || object == HTML.Tag.H4 || object == HTML.Tag.H5 || object == HTML.Tag.H6 || object == HTML.Tag.DT) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 102 */         if (a(attributeSet))
/*     */         {
/* 104 */           return new a(param1Element, printHtmlEditorKit);
/*     */         }
/* 106 */         return new PrintHtmlParagraphView(param1Element, printHtmlEditorKit);
/*     */       } 
/*     */ 
/*     */       
/* 110 */       if (object == HTML.Tag.LI || object == HTML.Tag.CENTER || object == HTML.Tag.DL || object == HTML.Tag.DD || object == HTML.Tag.DIV || object == HTML.Tag.BLOCKQUOTE || object == HTML.Tag.PRE || object == HTML.Tag.FORM)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/* 115 */         return new PrintHtmlBlockView(param1Element, 1, printHtmlEditorKit);
/*     */       }
/*     */ 
/*     */       
/* 119 */       if (object == HTML.Tag.HTML) {
/*     */ 
/*     */         
/* 122 */         if (PrintHtmlEditorKit.b(printHtmlEditorKit))
/*     */         {
/* 124 */           return new PrintHtmlHtmlBlockView(param1Element, 1, printHtmlEditorKit);
/*     */         }
/*     */ 
/*     */         
/* 128 */         return new PrintHtmlBlockView(param1Element, 1, printHtmlEditorKit);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 133 */       if (object == HTML.Tag.IMG)
/*     */       {
/* 135 */         return new PrintHtmlImageView(param1Element, printHtmlEditorKit);
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 152 */       return super.create(param1Element);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected PrintHtmlEditorKit getEditorKit() {
/* 160 */       return this.a;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static boolean a(AttributeSet param1AttributeSet) {
/*     */       Object object;
/* 175 */       if ((object = param1AttributeSet.getAttribute(HTML.Attribute.ALIGN)) == null)
/*     */       {
/*     */         
/* 178 */         if ((object = param1AttributeSet.getAttribute(CSS.Attribute.TEXT_ALIGN)) == null) return false;
/*     */       
/*     */       }
/*     */       
/*     */       String str;
/*     */       
/* 184 */       return (str = object.toString().toLowerCase().trim()).equals("justify");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 201 */   private int availablePageWidth = Integer.MAX_VALUE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintHtmlEditorKit(boolean paramBoolean1, boolean paramBoolean2) {
/* 224 */     this(paramBoolean1, paramBoolean2, true, new PrintViewFactory());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintHtmlEditorKit(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/* 249 */     this(paramBoolean1, paramBoolean2, paramBoolean3, new PrintViewFactory());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintHtmlEditorKit(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, PrintViewFactory paramPrintViewFactory) {
/* 265 */     this.VIEW_FACTORY = paramPrintViewFactory;
/* 266 */     PrintViewFactory.a(this.VIEW_FACTORY, this);
/*     */ 
/*     */     
/* 269 */     if (paramBoolean2) {
/*     */       
/* 271 */       this.PRINT_GLYPH_PAINTER = (PrintGlyphPainter)new PrintGlyphForceShapesPainter();
/*     */     }
/*     */     else {
/*     */       
/* 275 */       this.PRINT_GLYPH_PAINTER = new PrintGlyphPainter(paramBoolean1);
/*     */     } 
/*     */ 
/*     */     
/* 279 */     this.OPTIMIZE_SIZING = paramBoolean3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Document createDefaultDocument() {
/*     */     HTMLDocument hTMLDocument;
/* 297 */     (hTMLDocument = (HTMLDocument)super.createDefaultDocument()).setAsynchronousLoadPriority(-1);
/*     */     
/* 299 */     return hTMLDocument;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAvailablePageWidth() {
/* 309 */     return this.availablePageWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ViewFactory getViewFactory() {
/* 318 */     return this.VIEW_FACTORY;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAvailablePageWidth(int paramInt) {
/* 328 */     this.availablePageWidth = paramInt;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\html\PrintHtmlEditorKit.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */