/*     */ package jpdf.report;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import javax.swing.UIManager;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.BackgroundColorOnPage;
/*     */ import jpdf.attribute.ColumnHeaders;
/*     */ import jpdf.attribute.ContentHeadersOnEveryPage;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.attribute.HeaderFooterDateFormat;
/*     */ import jpdf.attribute.HeaderFooterTimeFormat;
/*     */ import jpdf.attribute.OffsetTop;
/*     */ import jpdf.attribute.PageContentFrame;
/*     */ import jpdf.attribute.RowHeaders;
/*     */ import jpdf.attribute.ScaleFactor;
/*     */ import jpdf.attribute.ScaleFactorMax;
/*     */ import jpdf.attribute.SizeToFitPageWidth;
/*     */ import jpdf.attribute.TableGridHorizontal;
/*     */ import jpdf.attribute.TableGridVertical;
/*     */ import jpdf.attribute.UseBackgroundColor;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.GlobalTableCustomizer;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReportStandardizer
/*     */ {
/*     */   public static abstract class AbstractPageOptions
/*     */   {
/*     */     public boolean landscapePage = false;
/*     */     public boolean centerAlignedContent = true;
/*     */     public boolean pageContentFrame = false;
/*     */     
/*     */     public AbstractPageOptions(boolean param1Boolean) {
/*  74 */       this.landscapePage = param1Boolean;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class PageOptionsInches
/*     */     extends AbstractPageOptions
/*     */   {
/*  88 */     public final float DEFAULT_MARGIN_WIDTH_INCHES = 0.5F;
/*  89 */     public final float DEFAULT_TOP_OFFSET_WIDTH_INCHES = 0.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  94 */     public float topMarginInInches = 0.5F;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  99 */     public float leftMarginInInches = 0.5F;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 104 */     public float bottomMarginInInches = 0.5F;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 109 */     public float rightMarginInInches = 0.5F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 116 */     public float topOffsetInInches = 0.0F;
/*     */ 
/*     */ 
/*     */     
/*     */     public PageOptionsInches(boolean param1Boolean) {
/* 121 */       super(param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public PageOptionsInches(boolean param1Boolean, float param1Float) {
/* 126 */       this(param1Boolean, param1Float, param1Float, param1Float, param1Float);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public PageOptionsInches(boolean param1Boolean, float param1Float1, float param1Float2, float param1Float3, float param1Float4) {
/* 134 */       super(param1Boolean);
/*     */       
/* 136 */       this.topMarginInInches = param1Float1;
/* 137 */       this.leftMarginInInches = param1Float2;
/* 138 */       this.bottomMarginInInches = param1Float3;
/* 139 */       this.rightMarginInInches = param1Float4;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class PageOptionsMillimeters
/*     */     extends AbstractPageOptions
/*     */   {
/* 153 */     public final int DEFAULT_MARGIN_WIDTH_MILLIMETERS = 15;
/* 154 */     public final int DEFAULT_TOP_OFFSET_WIDTH_MILLIMETERS = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 159 */     public int topMarginInMillimeters = 15;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 164 */     public int leftMarginInMillimeters = 15;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 169 */     public int bottomMarginInMillimeters = 15;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 174 */     public int rightMarginInMillimeters = 15;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 181 */     public int topOffsetInMillimeters = 0;
/*     */ 
/*     */ 
/*     */     
/*     */     public PageOptionsMillimeters(boolean param1Boolean) {
/* 186 */       super(param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public PageOptionsMillimeters(boolean param1Boolean, int param1Int) {
/* 191 */       this(param1Boolean, param1Int, param1Int, param1Int, param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public PageOptionsMillimeters(boolean param1Boolean, int param1Int1, int param1Int2, int param1Int3, int param1Int4) {
/* 199 */       super(param1Boolean);
/*     */       
/* 201 */       this.topMarginInMillimeters = param1Int1;
/* 202 */       this.leftMarginInMillimeters = param1Int2;
/* 203 */       this.bottomMarginInMillimeters = param1Int3;
/* 204 */       this.rightMarginInMillimeters = param1Int4;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TableOptions
/*     */   {
/*     */     public boolean colHeaders = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean rowNumbers = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean horizontalGridLines = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean verticalGridLines = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean sizeToFitPageWidth = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TableOptions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TableOptions(boolean param1Boolean1, boolean param1Boolean2) {
/* 254 */       this.horizontalGridLines = param1Boolean1;
/* 255 */       this.verticalGridLines = param1Boolean2;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 264 */   public static final Font DEFAULT_SECTION_TITLE_FONT = new Font("SansSerif", 1, 16);
/* 265 */   public static final Font DEFAULT_SUBSECTION_TITLE_FONT = new Font("SansSerif", 1, 12);
/* 266 */   public static final Font DEFAULT_SECTION_CONTENT_FONT = new Font("SansSerif", 0, 10);
/*     */   
/* 268 */   private static final TitleOptions a = new TitleOptions(DEFAULT_SECTION_TITLE_FONT, 10, 5);
/*     */   
/* 270 */   private static final TitleOptions b = new TitleOptions(DEFAULT_SECTION_TITLE_FONT, 5, 5);
/*     */   
/* 272 */   private static final TitleOptions c = new TitleOptions(DEFAULT_SUBSECTION_TITLE_FONT, 5, 5);
/*     */   
/* 274 */   private static final TitleOptions d = new TitleOptions(DEFAULT_SUBSECTION_TITLE_FONT, 1, 1);
/*     */ 
/*     */   
/* 277 */   private static Font e = DEFAULT_SECTION_CONTENT_FONT;
/*     */ 
/*     */ 
/*     */   
/* 281 */   private static GlobalTableCustomizer f = new GlobalTableCustomizer();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addFormAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, PageOptionsInches paramPageOptionsInches) {
/* 312 */     PrintUtility.updateAttributeSet(paramPageOptionsInches.landscapePage, paramPageOptionsInches.topMarginInInches, paramPageOptionsInches.leftMarginInInches, paramPageOptionsInches.bottomMarginInInches, paramPageOptionsInches.rightMarginInInches, paramPrintRequestAttributeSet, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 319 */     if (paramPageOptionsInches.topOffsetInInches > 0.0F) {
/*     */       
/* 321 */       paramPrintRequestAttributeSet.add((Attribute)new OffsetTop(paramPageOptionsInches.topOffsetInInches, true));
/*     */     }
/*     */     else {
/*     */       
/* 325 */       paramPrintRequestAttributeSet.remove(OffsetTop.class);
/*     */     } 
/*     */ 
/*     */     
/* 329 */     b(paramPrintRequestAttributeSet, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addFormAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, PageOptionsMillimeters paramPageOptionsMillimeters) {
/* 347 */     PrintUtility.updateAttributeSet(paramPageOptionsMillimeters.landscapePage, paramPageOptionsMillimeters.topMarginInMillimeters, paramPageOptionsMillimeters.leftMarginInMillimeters, paramPageOptionsMillimeters.bottomMarginInMillimeters, paramPageOptionsMillimeters.rightMarginInMillimeters, paramPrintRequestAttributeSet, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 354 */     if (paramPageOptionsMillimeters.topOffsetInMillimeters > 0) {
/*     */       
/* 356 */       paramPrintRequestAttributeSet.add((Attribute)new OffsetTop(paramPageOptionsMillimeters.topOffsetInMillimeters, false));
/*     */     }
/*     */     else {
/*     */       
/* 360 */       paramPrintRequestAttributeSet.remove(OffsetTop.class);
/*     */     } 
/*     */ 
/*     */     
/* 364 */     b(paramPrintRequestAttributeSet, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addReportAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, PageOptionsInches paramPageOptionsInches) {
/* 376 */     PrintUtility.updateAttributeSet(paramPageOptionsInches.landscapePage, paramPageOptionsInches.topMarginInInches, paramPageOptionsInches.leftMarginInInches, paramPageOptionsInches.bottomMarginInInches, paramPageOptionsInches.rightMarginInInches, paramPrintRequestAttributeSet, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 383 */     if (paramPageOptionsInches.topOffsetInInches > 0.0F) {
/*     */       
/* 385 */       paramPrintRequestAttributeSet.add((Attribute)new OffsetTop(paramPageOptionsInches.topOffsetInInches, true));
/*     */     }
/*     */     else {
/*     */       
/* 389 */       paramPrintRequestAttributeSet.remove(OffsetTop.class);
/*     */     } 
/*     */ 
/*     */     
/* 393 */     a(paramPrintRequestAttributeSet, paramString, paramPageOptionsInches.centerAlignedContent, paramPageOptionsInches.pageContentFrame);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addReportAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, PageOptionsMillimeters paramPageOptionsMillimeters) {
/* 406 */     PrintUtility.updateAttributeSet(paramPageOptionsMillimeters.landscapePage, paramPageOptionsMillimeters.topMarginInMillimeters, paramPageOptionsMillimeters.leftMarginInMillimeters, paramPageOptionsMillimeters.bottomMarginInMillimeters, paramPageOptionsMillimeters.rightMarginInMillimeters, paramPrintRequestAttributeSet, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 413 */     if (paramPageOptionsMillimeters.topOffsetInMillimeters > 0) {
/*     */       
/* 415 */       paramPrintRequestAttributeSet.add((Attribute)new OffsetTop(paramPageOptionsMillimeters.topOffsetInMillimeters, false));
/*     */     }
/*     */     else {
/*     */       
/* 419 */       paramPrintRequestAttributeSet.remove(OffsetTop.class);
/*     */     } 
/*     */ 
/*     */     
/* 423 */     a(paramPrintRequestAttributeSet, paramString, paramPageOptionsMillimeters.centerAlignedContent, paramPageOptionsMillimeters.pageContentFrame);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addReportTableAttributes(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableOptions paramTableOptions) {
/* 436 */     paramPrintRequestAttributeSet.add((Attribute)ContentHeadersOnEveryPage.TRUE);
/*     */ 
/*     */     
/* 439 */     paramPrintRequestAttributeSet.add(paramTableOptions.colHeaders ? (Attribute)ColumnHeaders.TRUE : (Attribute)ColumnHeaders.FALSE);
/* 440 */     paramPrintRequestAttributeSet.add(paramTableOptions.rowNumbers ? (Attribute)RowHeaders.TRUE : (Attribute)RowHeaders.FALSE);
/*     */ 
/*     */     
/* 443 */     paramPrintRequestAttributeSet.add(paramTableOptions.horizontalGridLines ? (Attribute)TableGridHorizontal.TRUE : (Attribute)TableGridHorizontal.FALSE);
/*     */     
/* 445 */     paramPrintRequestAttributeSet.add(paramTableOptions.verticalGridLines ? (Attribute)TableGridVertical.TRUE : (Attribute)TableGridVertical.FALSE);
/*     */ 
/*     */ 
/*     */     
/* 449 */     paramPrintRequestAttributeSet.add(paramTableOptions.sizeToFitPageWidth ? (Attribute)SizeToFitPageWidth.TRUE : (Attribute)SizeToFitPageWidth.FALSE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font getDefaultSectionContentFont() {
/* 459 */     return e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlobalTableCustomizer getGlobalTableCustomizer() {
/* 467 */     return f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TitleOptions getSectionFooterTitleOptions() {
/* 475 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TitleOptions getSectionHeaderTitleOptions() {
/* 483 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TitleOptions getSubsectionFooterTitleOptions() {
/* 491 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TitleOptions getSubsectionHeaderTitleOptions() {
/* 499 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Color getStandardTableHeaderBackgroundColor() {
/* 507 */     return UIManager.getColor("TableHeader.background");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setAllTitleBackgroundColors(Color paramColor) {
/* 515 */     a.setBackgroundColor(paramColor);
/* 516 */     b.setBackgroundColor(paramColor);
/* 517 */     c.setBackgroundColor(paramColor);
/* 518 */     d.setBackgroundColor(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setAllTitleForegroundColors(Color paramColor) {
/* 526 */     a.setForegroundColor(paramColor);
/* 527 */     b.setForegroundColor(paramColor);
/* 528 */     c.setForegroundColor(paramColor);
/* 529 */     d.setForegroundColor(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultSectionContentFont(Font paramFont) {
/*     */     GlobalTableCustomizer globalTableCustomizer;
/* 540 */     if ((globalTableCustomizer = getGlobalTableCustomizer()).getTableFont() == e)
/*     */     {
/* 542 */       globalTableCustomizer.setTableFont(paramFont);
/*     */     }
/*     */     
/* 545 */     e = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setGlobalTableCustomizer(GlobalTableCustomizer paramGlobalTableCustomizer) {
/* 553 */     f = paramGlobalTableCustomizer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString) {
/* 568 */     paramPrintRequestAttributeSet.add(new JobName(paramString, null));
/*     */ 
/*     */     
/* 571 */     paramPrintRequestAttributeSet.add((Attribute)UseBackgroundColor.TRUE);
/* 572 */     paramPrintRequestAttributeSet.add((Attribute)BackgroundColorOnPage.FALSE);
/*     */ 
/*     */     
/* 575 */     paramPrintRequestAttributeSet.add((Attribute)HeaderFooterDateFormat.MEDIUM);
/* 576 */     paramPrintRequestAttributeSet.add((Attribute)HeaderFooterTimeFormat.SHORT);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void b(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString) {
/* 586 */     a(paramPrintRequestAttributeSet, paramString);
/*     */ 
/*     */     
/* 589 */     paramPrintRequestAttributeSet.add((Attribute)new AlignmentFactorHorizontal(0.0F));
/* 590 */     paramPrintRequestAttributeSet.add((Attribute)FitToPagesSelected.FALSE);
/* 591 */     paramPrintRequestAttributeSet.add((Attribute)new ScaleFactor(1.0F));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, boolean paramBoolean1, boolean paramBoolean2) {
/* 601 */     float f = paramBoolean1 ? 0.5F : 0.0F;
/*     */ 
/*     */     
/* 604 */     a(paramPrintRequestAttributeSet, paramString);
/*     */ 
/*     */     
/* 607 */     paramPrintRequestAttributeSet.add(paramBoolean2 ? (Attribute)PageContentFrame.TRUE : (Attribute)PageContentFrame.FALSE);
/*     */ 
/*     */     
/* 610 */     paramPrintRequestAttributeSet.add((Attribute)new AlignmentFactorHorizontal(f));
/* 611 */     paramPrintRequestAttributeSet.add((Attribute)FitToPagesSelected.TRUE);
/* 612 */     paramPrintRequestAttributeSet.add((Attribute)new ScaleFactorMax(1.0F));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\ReportStandardizer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */