/*     */ package jpdf.report.decoration;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.util.ArrayList;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableModel;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.table.GlobalTableCustomizer;
/*     */ import jpdf.report.table.renderer.BasicReportCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractStatisticsTableBuilder
/*     */   extends AbstractReportDecorationBuilder
/*     */ {
/*     */   public static class TitleBuilder
/*     */     extends AbstractStatisticsTableBuilder
/*     */   {
/*     */     public final String TITLE_TEXT;
/*     */     private final TitleOptions a;
/*     */     private final int b;
/*     */     
/*     */     public TitleBuilder(boolean param1Boolean, String param1String, TitleOptions param1TitleOptions, int param1Int) {
/*  74 */       super(param1Boolean);
/*     */       
/*  76 */       this.TITLE_TEXT = param1String;
/*  77 */       this.a = param1TitleOptions;
/*  78 */       this.b = param1Int;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public JComponent buildDecorationComponent(ArrayList param1ArrayList, JComponent param1JComponent) {
/*  88 */       JTable jTable = (JTable)param1JComponent;
/*     */ 
/*     */       
/*  91 */       StatisticsTable statisticsTable = buildStatisticsTable(jTable, 1, new int[] { 0 });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  97 */       BasicReportCellRenderer basicReportCellRenderer = new BasicReportCellRenderer(this.a, this.b);
/*  98 */       statisticsTable.setDefaultRenderer(Object.class, (TableCellRenderer)basicReportCellRenderer);
/*  99 */       int i = this.a.getFont().getSize() + this.a.getTopInset() + this.a.getBottomInset();
/*     */       
/* 101 */       statisticsTable.setRowHeight(i);
/*     */ 
/*     */       
/* 104 */       statisticsTable.setCellValue(0, 0, getTitleText(jTable));
/*     */       
/* 106 */       return (JComponent)statisticsTable;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected String getTitleText(JTable param1JTable) {
/* 114 */       return replaceMarkers(this.TITLE_TEXT);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class RowCountBuilder
/*     */     extends TitleBuilder
/*     */   {
/*     */     public RowCountBuilder(boolean param1Boolean, String param1String, TitleOptions param1TitleOptions, int param1Int) {
/* 136 */       super(param1Boolean, param1String, param1TitleOptions, param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected String getTitleText(JTable param1JTable) {
/* 145 */       return super.getTitleText(param1JTable) + param1JTable.getRowCount();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractStatisticsTableBuilder() {
/* 160 */     this(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractStatisticsTableBuilder(boolean paramBoolean) {
/* 169 */     super(paramBoolean);
/*     */     
/* 171 */     GlobalTableCustomizer globalTableCustomizer = ReportStandardizer.getGlobalTableCustomizer();
/* 172 */     setBackgroundColor(globalTableCustomizer.getTableBackgroundColor());
/* 173 */     setForegroundColor(globalTableCustomizer.getTableForegroundColor());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable buildStatisticsTable(JTable paramJTable, int paramInt) {
/* 188 */     StatisticsTable statisticsTable = new StatisticsTable(this.HEADER_BUILDER, paramJTable, paramInt, getForegroundColor(), getBackgroundColor(), getDecorationFont());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 196 */     ReportStandardizer.getGlobalTableCustomizer().customizeTable((JTable)statisticsTable);
/*     */ 
/*     */     
/* 199 */     a(statisticsTable);
/*     */     
/* 201 */     return statisticsTable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable buildStatisticsTable(JTable paramJTable, int paramInt, int[] paramArrayOfint) {
/* 212 */     StatisticsTable statisticsTable = new StatisticsTable(this.HEADER_BUILDER, paramJTable, paramInt, paramArrayOfint, getForegroundColor(), getBackgroundColor(), getDecorationFont());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 221 */     ReportStandardizer.getGlobalTableCustomizer().customizeTable((JTable)statisticsTable);
/*     */ 
/*     */     
/* 224 */     a(statisticsTable);
/*     */     
/* 226 */     return statisticsTable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void replaceMarkers(StatisticsTable paramStatisticsTable) {
/* 236 */     TableModel tableModel = paramStatisticsTable.getModel();
/* 237 */     Object object = null;
/* 238 */     int i = tableModel.getRowCount();
/* 239 */     int j = tableModel.getColumnCount();
/*     */     
/* 241 */     for (byte b = 0; b < i; b++) {
/*     */       
/* 243 */       for (byte b1 = 0; b1 < j; b1++) {
/*     */ 
/*     */         
/* 246 */         if (object = tableModel.getValueAt(b, b1) instanceof String)
/*     */         {
/* 248 */           tableModel.setValueAt(replaceMarkers((String)object), b, b1);
/*     */         }
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDecorationBorder(Border paramBorder) {
/* 263 */     if (paramBorder != null) {
/*     */       
/* 265 */       String str = "Border not supported for Statistics Table.";
/* 266 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(StatisticsTable paramStatisticsTable) {
/* 280 */     Color color1 = getBackgroundColor();
/* 281 */     Color color2 = getForegroundColor();
/* 282 */     Font font = getDecorationFont();
/*     */ 
/*     */     
/* 285 */     if (color1 == null) {
/*     */ 
/*     */       
/* 288 */       if ((color1 = paramStatisticsTable.getBackground()) == null || color1 instanceof javax.swing.plaf.UIResource)
/*     */       {
/*     */         
/* 291 */         paramStatisticsTable.setOpaque(false);
/*     */       }
/*     */     }
/*     */     else {
/*     */       
/* 296 */       paramStatisticsTable.setOpaque(true);
/* 297 */       paramStatisticsTable.setBackground(getBackgroundColor());
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 304 */     if (color2 != null)
/*     */     {
/* 306 */       paramStatisticsTable.setForeground(color2);
/*     */     }
/*     */ 
/*     */     
/* 310 */     if (font != null) paramStatisticsTable.setFont(font);
/*     */ 
/*     */     
/* 313 */     paramStatisticsTable.setPrintGapBelow(getBottomMargin());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\decoration\AbstractStatisticsTableBuilder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */