/*     */ package jpdf.report.table;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.border.CompoundBorder;
/*     */ import javax.swing.border.MatteBorder;
/*     */ import javax.swing.table.JTableHeader;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.table.renderer.BasicReportCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class GlobalTableCustomizer
/*     */   implements TableCustomizer
/*     */ {
/*     */   public static class DefaultTableHeaderCellRenderer
/*     */     extends BasicReportCellRenderer
/*     */   {
/*     */     public DefaultTableHeaderCellRenderer() {
/*  78 */       this(2, 0);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public DefaultTableHeaderCellRenderer(int param1Int) {
/*  86 */       this(param1Int, 0);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public DefaultTableHeaderCellRenderer(int param1Int1, int param1Int2) {
/*  97 */       this(ReportStandardizer.getGlobalTableCustomizer().getTableHeaderFont(), ReportStandardizer.getGlobalTableCustomizer().getTableHeaderForegroundColor(), param1Int1, param1Int2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public DefaultTableHeaderCellRenderer(Font param1Font, Color param1Color, int param1Int1, int param1Int2) {
/* 112 */       super(3, param1Font, Color.WHITE, param1Color);
/*     */       
/* 114 */       setHorizontalAlignment(param1Int1);
/* 115 */       setBorder(a(param1Color, param1Int2));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private DefaultTableHeaderCellRenderer(GlobalTableCustomizer param1GlobalTableCustomizer) {
/* 124 */       super(3, param1GlobalTableCustomizer.getTableHeaderFont(), Color.WHITE, param1GlobalTableCustomizer.getTableHeaderForegroundColor());
/*     */ 
/*     */       
/* 127 */       setBorder(a(param1GlobalTableCustomizer.getTableHeaderForegroundColor(), 0));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static Border a(Color param1Color, int param1Int) {
/* 137 */       MatteBorder matteBorder = BorderFactory.createMatteBorder(3, 0, 3, 0, param1Color);
/* 138 */       Border border1 = BorderFactory.createEmptyBorder(0, 2, 0, 0);
/* 139 */       Border border2 = null;
/*     */       
/* 141 */       CompoundBorder compoundBorder = BorderFactory.createCompoundBorder(matteBorder, border1);
/* 142 */       if (param1Int > 0)
/*     */       {
/*     */         
/* 145 */         compoundBorder = BorderFactory.createCompoundBorder(border2 = BorderFactory.createEmptyBorder(0, 0, param1Int, 0), compoundBorder);
/*     */       }
/*     */       
/* 148 */       return compoundBorder;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 156 */   private TableCellRenderer a = null;
/* 157 */   private Dimension b = null;
/* 158 */   private Integer c = null;
/* 159 */   private Color d = Color.WHITE;
/* 160 */   private Color e = Color.BLACK;
/* 161 */   private Color f = Color.BLACK;
/* 162 */   private Color g = Color.LIGHT_GRAY;
/* 163 */   private Font h = ReportStandardizer.getDefaultSectionContentFont();
/* 164 */   private Font i = a(this.h);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void customizeTable(JTable paramJTable) {
/* 188 */     Dimension dimension = null;
/* 189 */     JTableHeader jTableHeader = paramJTable.getTableHeader();
/* 190 */     dimension = getTableIntercellSpacing();
/* 191 */     Integer integer = getTableRowHeight();
/*     */ 
/*     */     
/*     */     Font font;
/*     */ 
/*     */     
/* 197 */     if ((font = getTableFont()) != null) paramJTable.setFont(font); 
/*     */     Color color;
/* 199 */     if ((color = getTableBackgroundColor()) != null) paramJTable.setBackground(color);
/*     */     
/* 201 */     if ((color = getTableForegroundColor()) != null) paramJTable.setForeground(color);
/*     */     
/* 203 */     if ((color = getTableGridColor()) != null) paramJTable.setGridColor(color); 
/* 204 */     if (dimension != null)
/*     */     {
/* 206 */       paramJTable.setIntercellSpacing(dimension);
/*     */     }
/* 208 */     if (integer != null)
/*     */     {
/* 210 */       paramJTable.setRowHeight(integer.intValue());
/*     */     }
/*     */ 
/*     */     
/* 214 */     if (jTableHeader != null) {
/*     */       TableCellRenderer tableCellRenderer;
/*     */ 
/*     */ 
/*     */       
/* 219 */       if ((tableCellRenderer = getTableHeaderCellRenderer()) == null) tableCellRenderer = jTableHeader.getDefaultRenderer();
/*     */ 
/*     */ 
/*     */       
/* 223 */       if ((font = getTableHeaderFont()) == null) font = a(paramJTable.getFont()); 
/* 224 */       color = getTableHeaderForegroundColor();
/* 225 */       if (tableCellRenderer instanceof JLabel) {
/*     */         
/* 227 */         ((JLabel)tableCellRenderer).setForeground(color);
/* 228 */         ((JLabel)tableCellRenderer).setFont(font);
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 238 */       jTableHeader.setDefaultRenderer(tableCellRenderer);
/* 239 */       jTableHeader.setForeground(color);
/* 240 */       jTableHeader.setFont(font);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getTableBackgroundColor() {
/* 250 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Font getTableFont() {
/* 259 */     return this.h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getTableForegroundColor() {
/* 267 */     return this.e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getTableGridColor() {
/* 276 */     return this.g;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TableCellRenderer getTableHeaderCellRenderer() {
/* 289 */     if (this.a == null)
/*     */     {
/* 291 */       this.a = (TableCellRenderer)new DefaultTableHeaderCellRenderer(this, (byte)0);
/*     */     }
/*     */     
/* 294 */     return this.a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Font getTableHeaderFont() {
/* 304 */     return this.i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getTableHeaderForegroundColor() {
/* 312 */     return this.f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension getTableIntercellSpacing() {
/* 321 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Integer getTableRowHeight() {
/* 330 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableBackgroundColor(Color paramColor) {
/* 339 */     this.d = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableFont(Font paramFont) {
/* 347 */     this.h = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableForegroundColor(Color paramColor) {
/* 355 */     this.e = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableGridColor(Color paramColor) {
/* 364 */     this.g = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableHeaderCellRenderer(TableCellRenderer paramTableCellRenderer) {
/* 377 */     this.a = paramTableCellRenderer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableHeaderFont(Font paramFont) {
/* 385 */     this.i = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableHeaderForegroundColor(Color paramColor) {
/* 393 */     this.f = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableIntercellSpacing(Dimension paramDimension) {
/* 402 */     this.b = paramDimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableRowHeight(Integer paramInteger) {
/* 411 */     this.c = paramInteger;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static Font a(Font paramFont) {
/* 425 */     if (paramFont == null) paramFont = ReportStandardizer.getDefaultSectionContentFont();
/*     */ 
/*     */     
/* 428 */     int i = paramFont.getSize() + 1;
/*     */     
/* 430 */     return paramFont.deriveFont(1, i);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\GlobalTableCustomizer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */