/*     */ package jpdf.report.table;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.util.ArrayList;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.table.AbstractTableModel;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import jpdf.report.decoration.AbstractReportTitleBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SegmentedReportTable
/*     */   extends ReportTable
/*     */ {
/*     */   public static class SegmentTitleBuilder
/*     */     extends AbstractReportTitleBuilder
/*     */   {
/*     */     public SegmentTitleBuilder(TitleOptions param1TitleOptions) {
/*  58 */       super(true, param1TitleOptions);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public JComponent buildDecorationComponent(ArrayList param1ArrayList, JComponent param1JComponent) {
/*  64 */       if (!(param1JComponent instanceof SegmentedReportTable)) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  71 */         String str1 = "This component is not a Segmented Report Table: " + param1JComponent.getClass().getName();
/*     */         
/*  73 */         throw new IllegalArgumentException(str1);
/*     */       } 
/*     */ 
/*     */       
/*  77 */       SegmentedReportTable segmentedReportTable = (SegmentedReportTable)param1JComponent;
/*  78 */       String str = segmentedReportTable.getSegmentTitlePrefix() + segmentedReportTable.getSegmentTitleValue() + ' ';
/*     */ 
/*     */       
/*  81 */       return buildTitlePanel(str);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   static class a
/*     */     extends AbstractTableModel
/*     */   {
/*     */     private final TableData FULL_TABLE_DATA;
/*     */ 
/*     */     
/*     */     private final int SEGMENTATION_LEVEL;
/*     */ 
/*     */     
/*  96 */     private String segmentTitleValue = null;
/*  97 */     private int startIndex = 0;
/*  98 */     private int endIndex = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private a(SegmentedTableSectionOptions param1SegmentedTableSectionOptions) {
/* 108 */       this.FULL_TABLE_DATA = param1SegmentedTableSectionOptions.TABLE_DATA;
/* 109 */       this.SEGMENTATION_LEVEL = 0;
/* 110 */       this.startIndex = 0;
/* 111 */       this.endIndex = this.FULL_TABLE_DATA.getRowCount() - 1;
/* 112 */       this.segmentTitleValue = "[-All-]";
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private a(SegmentedTableSectionOptions param1SegmentedTableSectionOptions, int param1Int1, int param1Int2) {
/* 129 */       this.FULL_TABLE_DATA = param1SegmentedTableSectionOptions.TABLE_DATA;
/* 130 */       this.SEGMENTATION_LEVEL = param1Int2;
/* 131 */       this.startIndex = param1Int1;
/* 132 */       if (this.FULL_TABLE_DATA.getValueAt(param1Int1, param1Int2 - 1) != null)
/*     */       {
/* 134 */         this.segmentTitleValue = this.FULL_TABLE_DATA.getValueAt(param1Int1, param1Int2 - 1).toString();
/*     */       }
/*     */ 
/*     */       
/* 138 */       this.endIndex = a(param1Int1, param1Int2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private int a(int param1Int1, int param1Int2) {
/* 146 */       int i = this.FULL_TABLE_DATA.getRowCount();
/* 147 */       int j = -1;
/*     */ 
/*     */       
/* 150 */       while (++param1Int1 < i) {
/*     */ 
/*     */         
/* 153 */         for (byte b = 0; b < param1Int2; b++) {
/*     */ 
/*     */ 
/*     */           
/* 157 */           Object object2 = this.FULL_TABLE_DATA.getValueAt(param1Int1 - 1, b); Object object1; if (!(((object1 = this.FULL_TABLE_DATA.getValueAt(param1Int1, b)) == null && object2 == null) ? 1 : ((object1 == null || object2 == null) ? 0 : object1.toString().equalsIgnoreCase(object2.toString())))) {
/*     */             
/* 159 */             j = param1Int1 - 1;
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/*     */         
/* 165 */         if (j < 0) {
/*     */           param1Int1++;
/*     */         }
/*     */       } 
/* 169 */       if (j < 0) j = i - 1;
/*     */       
/* 171 */       return j;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final int getRowCount() {
/* 187 */       return this.endIndex - this.startIndex + 1;
/*     */     }
/*     */ 
/*     */     
/*     */     public final int getColumnCount() {
/* 192 */       return this.FULL_TABLE_DATA.getColumnCount() - this.SEGMENTATION_LEVEL;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final String getColumnName(int param1Int) {
/* 198 */       return this.FULL_TABLE_DATA.getColumnName(param1Int + this.SEGMENTATION_LEVEL);
/*     */     }
/*     */ 
/*     */     
/*     */     public final Object getValueAt(int param1Int1, int param1Int2) {
/* 203 */       return this.FULL_TABLE_DATA.getValueAt(this.startIndex + param1Int1, param1Int2 + this.SEGMENTATION_LEVEL);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 211 */   private static String a = "[-none-]";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String SEGMENT_TITLE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final int MAX_SEGMENTATION_LEVEL;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SegmentedReportTable(SegmentedTableSectionOptions paramSegmentedTableSectionOptions) {
/* 239 */     super(new a(paramSegmentedTableSectionOptions, (byte)0), (Color)null, (Color)null, (Font)null);
/*     */     
/* 241 */     this.MAX_SEGMENTATION_LEVEL = paramSegmentedTableSectionOptions.SEGMENTATION_COLUMNS;
/*     */ 
/*     */     
/* 244 */     this.SEGMENT_TITLE = "";
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 249 */     paramSegmentedTableSectionOptions.a(this, true, false, 0, this.MAX_SEGMENTATION_LEVEL);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SegmentedReportTable(SegmentedTableSectionOptions paramSegmentedTableSectionOptions, int paramInt1, int paramInt2, int paramInt3) {
/* 266 */     super(new a(paramSegmentedTableSectionOptions, paramInt1, paramInt3, (byte)0), (Color)null, (Color)null, (Font)null);
/*     */     
/* 268 */     this.MAX_SEGMENTATION_LEVEL = paramSegmentedTableSectionOptions.SEGMENTATION_COLUMNS;
/*     */ 
/*     */     
/* 271 */     this.SEGMENT_TITLE = paramSegmentedTableSectionOptions.TABLE_DATA.getColumnName(paramInt3 - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 276 */     setName(this.SEGMENT_TITLE + ": " + getSegmentTitleValue());
/*     */ 
/*     */ 
/*     */     
/* 280 */     if (paramInt3 == paramInt2)
/*     */     {
/* 282 */       paramSegmentedTableSectionOptions.a(this, false, paramSegmentedTableSectionOptions.isRowHeightToFit(), paramInt3, paramInt2);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addSegmentedTableComponents(SegmentedTableSectionOptions paramSegmentedTableSectionOptions, ArrayList paramArrayList, int paramInt) {
/* 306 */     int i = getRowCount() - 1; int[] arrayOfInt; SegmentedReportTable segmentedReportTable;
/*     */     TableColumnModel tableColumnModel;
/*     */     byte b;
/* 309 */     for (tableColumnModel = (segmentedReportTable = this).getColumnModel(), arrayOfInt = new int[segmentedReportTable.getColumnCount()], b = 0; b < arrayOfInt.length; ) { arrayOfInt[b] = tableColumnModel.getColumn(b).getWidth(); b++; }  arrayOfInt = arrayOfInt;
/*     */     
/* 311 */     a(paramSegmentedTableSectionOptions, paramArrayList, arrayOfInt, paramInt, 1, 0, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getNullSegmentTitleString() {
/* 321 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSegmentationLevel() {
/* 330 */     return a.a((a)getModel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSegmentationLevelLeaf() {
/* 340 */     return this.MAX_SEGMENTATION_LEVEL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSegmentTitle() {
/* 352 */     return this.SEGMENT_TITLE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSegmentTitlePrefix() {
/* 363 */     return this.SEGMENT_TITLE + ": ";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSegmentTitleValue() {
/*     */     String str;
/* 381 */     if ((str = a.b((a)getModel())) == null) str = getNullSegmentTitleString();
/*     */     
/* 383 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setNullSegmentTitleString(String paramString) {
/* 391 */     a = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/*     */     a a;
/* 401 */     int i = a.c(a = (a)getModel());
/*     */ 
/*     */     
/* 404 */     int j = a.d(a);
/*     */     
/*     */     int k;
/* 407 */     String str1 = ((k = getSegmentationLevel()) > 1) ? (a(", ") + ", ") : "";
/*     */     
/* 409 */     String str2 = (k > 0) ? getSegmentTitlePrefix() : "";
/*     */     
/* 411 */     return getClass().getName() + " [Level: " + k + ", " + str1 + str2 + getSegmentTitleValue() + ", Rows: " + i + "-" + j + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final String a(String paramString) {
/*     */     a a;
/* 436 */     TableData tableData = a.e(a = (a)getModel());
/* 437 */     StringBuilder stringBuilder = new StringBuilder(64);
/* 438 */     int k = a.c(a);
/* 439 */     int j = a.a(a) - 1;
/* 440 */     int m = paramString.length();
/*     */ 
/*     */     
/* 443 */     for (byte b = 0; b < j; b++)
/*     */     {
/* 445 */       stringBuilder.append(tableData.getColumnName(b) + ": " + tableData.getValueAt(k, b).toString() + paramString);
/*     */     }
/*     */     
/*     */     int i;
/*     */     
/* 450 */     if ((i = stringBuilder.length()) > m)
/*     */     {
/* 452 */       stringBuilder.setLength(i - m);
/*     */     }
/*     */     
/* 455 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int a() {
/* 471 */     return a.d((a)getModel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(SegmentedTableSectionOptions paramSegmentedTableSectionOptions, ArrayList<SegmentedReportTable> paramArrayList, int[] paramArrayOfint, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 494 */     SegmentedReportTable segmentedReportTable = null;
/*     */ 
/*     */     
/* 497 */     while (paramInt3 <= paramInt4) {
/*     */       SegmentedReportTable segmentedReportTable1;
/*     */       
/*     */       int i;
/*     */       
/*     */       int[] arrayOfInt;
/*     */       
/*     */       TableColumnModel tableColumnModel;
/*     */       
/*     */       TableColumn tableColumn;
/*     */       int j;
/*     */       byte b;
/* 509 */       for (arrayOfInt = paramArrayOfint, tableColumnModel = (segmentedReportTable1 = segmentedReportTable = new SegmentedReportTable(paramSegmentedTableSectionOptions, paramInt3, paramInt1, paramInt2)).getColumnModel(), tableColumn = null, i = segmentedReportTable1.getColumnCount(), j = arrayOfInt.length - i, b = 0; b < i; ) { (tableColumn = tableColumnModel.getColumn(b)).setPreferredWidth(arrayOfInt[b + j]); tableColumn.setWidth(arrayOfInt[b + j]); b++; }
/*     */ 
/*     */       
/* 512 */       if (paramInt2 < paramInt1) {
/*     */ 
/*     */ 
/*     */         
/* 516 */         paramSegmentedTableSectionOptions.addSegmentHeaderComponent(paramArrayList, segmentedReportTable);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 521 */         a(paramSegmentedTableSectionOptions, paramArrayList, paramArrayOfint, paramInt1, paramInt2 + 1, paramInt3, segmentedReportTable.a());
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 526 */         paramSegmentedTableSectionOptions.addSegmentFooterComponent(paramArrayList, segmentedReportTable);
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 533 */         paramSegmentedTableSectionOptions.addSegmentHeaderComponent(paramArrayList, segmentedReportTable);
/*     */ 
/*     */         
/* 536 */         paramArrayList.add(segmentedReportTable);
/*     */ 
/*     */         
/* 539 */         paramSegmentedTableSectionOptions.addSegmentFooterComponent(paramArrayList, segmentedReportTable);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 544 */       paramInt3 = segmentedReportTable.a() + 1;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\SegmentedReportTable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */