/*      */ package jpdf.report.table;
/*      */ 
/*      */ import java.awt.Color;
/*      */ import java.awt.Font;
/*      */ import java.text.Format;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Arrays;
/*      */ import java.util.Iterator;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.table.TableCellRenderer;
/*      */ import javax.swing.table.TableColumn;
/*      */ import javax.swing.table.TableColumnModel;
/*      */ import jpdf.attribute.SizeToFitPageWidth;
/*      */ import jpdf.printer.DefaultTableColumnResizer;
/*      */ import jpdf.report.AbstractSectionOptions;
/*      */ import jpdf.report.ReportStandardizer;
/*      */ import jpdf.report.decoration.ReportDecorationBuilder;
/*      */ import jpdf.report.decoration.TitleDecorationBuilder;
/*      */ import jpdf.report.table.data.TableData;
/*      */ import jpdf.report.table.renderer.FormattedCellRenderer;
/*      */ import jpdf.report.table.renderer.HtmlCellRenderer;
/*      */ import jpdf.report.table.renderer.ReportDataCellRenderer;
/*      */ import jpdf.report.table.renderer.TableCellCustomizer;
/*      */ import jpdf.report.table.renderer.WrappedTextCellRenderer;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class TableSectionOptions
/*      */   extends AbstractSectionOptions
/*      */ {
/*  100 */   private final ArrayList a = new ArrayList(6);
/*      */   
/*      */   public final TableData TABLE_DATA;
/*      */   
/*      */   private final boolean[] b;
/*  105 */   private ReportDecorationBuilder c = null;
/*  106 */   private ReportDecorationBuilder d = null;
/*  107 */   private TableCellRenderer[] e = null;
/*  108 */   private TableCellRenderer[] f = null;
/*  109 */   private TableCellCustomizer g = null;
/*  110 */   private Color[] h = null;
/*  111 */   private Color[] i = null;
/*  112 */   private Font[] j = null;
/*      */   private boolean k = false;
/*  114 */   private float[] l = null;
/*  115 */   private int[] m = null;
/*  116 */   private int[] n = null;
/*  117 */   private int[] o = null;
/*  118 */   private int[] p = null;
/*  119 */   private int[] q = null;
/*  120 */   private int[] r = null;
/*  121 */   private int s = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, ReportDecorationBuilder paramReportDecorationBuilder) {
/*  138 */     super(paramPrintRequestAttributeSet);
/*      */     
/*  140 */     this.TABLE_DATA = paramTableData;
/*  141 */     this.b = new boolean[paramTableData.getColumnCount()];
/*  142 */     Arrays.fill(this.b, false);
/*      */ 
/*      */ 
/*      */     
/*  146 */     this.d = paramReportDecorationBuilder;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int addSectionComponents(ArrayList paramArrayList) {
/*  164 */     return addSectionComponents(paramArrayList, new ReportTable(this));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addTableCustomizer(TableCustomizer paramTableCustomizer) {
/*  176 */     if (paramTableCustomizer != null)
/*      */     {
/*  178 */       this.a.add(paramTableCustomizer);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float[] getColumnResizeWeights() {
/*  198 */     return this.l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int[] getMaxColumnWidths() {
/*  208 */     return this.m;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTableBottomMargin() {
/*  217 */     return this.s;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableCellCustomizer getTableCellCustomizer() {
/*  226 */     return this.g;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTableColumnCount() {
/*  234 */     return this.TABLE_DATA.getColumnCount();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableCustomizer getTableCustomizer() {
/*  245 */     return getTableCustomizer(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableCustomizer getTableCustomizer(int paramInt) {
/*  255 */     return this.a.get(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTableCustomizerCount() {
/*  264 */     return this.a.size();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ReportDecorationBuilder getTableFooterBuilder() {
/*  272 */     return this.d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ReportDecorationBuilder getTableHeaderBuilder() {
/*  280 */     return this.c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isRowHeightToFit() {
/*  289 */     return this.k;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnBackground(int paramInt, Color paramColor) {
/*      */     ReportDataCellRenderer reportDataCellRenderer;
/*      */     TableCellRenderer tableCellRenderer;
/*  306 */     if ((tableCellRenderer = b(paramInt)) == null) {
/*      */       
/*  308 */       reportDataCellRenderer = new ReportDataCellRenderer();
/*  309 */       a(paramInt, (TableCellRenderer)reportDataCellRenderer, false);
/*      */     } 
/*      */ 
/*      */     
/*  313 */     if (reportDataCellRenderer instanceof JComponent)
/*      */     {
/*  315 */       ((JComponent)reportDataCellRenderer).setBackground(paramColor);
/*      */     }
/*      */ 
/*      */     
/*  319 */     this.i = a(this.i, (Color)null, paramInt, paramColor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnFont(int paramInt, Font paramFont) {
/*      */     ReportDataCellRenderer reportDataCellRenderer;
/*      */     TableCellRenderer tableCellRenderer;
/*  337 */     if ((tableCellRenderer = b(paramInt)) == null) {
/*      */       
/*  339 */       reportDataCellRenderer = new ReportDataCellRenderer();
/*  340 */       a(paramInt, (TableCellRenderer)reportDataCellRenderer, false);
/*      */     } 
/*      */ 
/*      */     
/*  344 */     if (reportDataCellRenderer instanceof JComponent)
/*      */     {
/*  346 */       ((JComponent)reportDataCellRenderer).setFont(paramFont);
/*      */     }
/*      */ 
/*      */     
/*  350 */     Font font = paramFont; int i = paramInt; TableSectionOptions tableSectionOptions = null; Font[] arrayOfFont = this.j; tableSectionOptions = this; if (arrayOfFont == null) { int j = tableSectionOptions.getTableColumnCount(); tableSectionOptions = null; Arrays.fill((Object[])(arrayOfFont = new Font[j]), tableSectionOptions); arrayOfFont = arrayOfFont; }  arrayOfFont[i] = font; this.j = arrayOfFont;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnForeground(int paramInt, Color paramColor) {
/*      */     ReportDataCellRenderer reportDataCellRenderer;
/*      */     TableCellRenderer tableCellRenderer;
/*  367 */     if ((tableCellRenderer = b(paramInt)) == null) {
/*      */       
/*  369 */       reportDataCellRenderer = new ReportDataCellRenderer();
/*  370 */       a(paramInt, (TableCellRenderer)reportDataCellRenderer, false);
/*      */     } 
/*      */ 
/*      */     
/*  374 */     if (reportDataCellRenderer instanceof JComponent)
/*      */     {
/*  376 */       ((JComponent)reportDataCellRenderer).setForeground(paramColor);
/*      */     }
/*      */ 
/*      */     
/*  380 */     this.h = a(this.h, (Color)null, paramInt, paramColor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnFormat(int paramInt, Format paramFormat) {
/*  390 */     a(paramInt, (TableCellRenderer)new FormattedCellRenderer(paramFormat), true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnHeaderRenderer(int paramInt, TableCellRenderer paramTableCellRenderer) {
/*  403 */     a(true)[paramInt] = paramTableCellRenderer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnPadding(int paramInt1, int paramInt2, int paramInt3) {
/*  417 */     setColumnPadding(paramInt1, 0, paramInt2, 0, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnPadding(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5) {
/*      */     ReportDataCellRenderer reportDataCellRenderer;
/*      */     TableCellRenderer tableCellRenderer;
/*  436 */     if ((tableCellRenderer = b(paramInt1)) == null) {
/*      */       
/*  438 */       reportDataCellRenderer = new ReportDataCellRenderer();
/*  439 */       a(paramInt1, (TableCellRenderer)reportDataCellRenderer, false);
/*      */     } 
/*      */ 
/*      */     
/*  443 */     if (reportDataCellRenderer instanceof JComponent)
/*      */     {
/*  445 */       ReportTable.applyPadding((JComponent)reportDataCellRenderer, paramInt2, paramInt3, paramInt4, paramInt5);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  450 */     this.o = a(this.o, 0, paramInt1, paramInt2);
/*  451 */     this.p = a(this.p, 0, paramInt1, paramInt3);
/*  452 */     this.q = a(this.q, 0, paramInt1, paramInt4);
/*  453 */     this.r = a(this.r, 0, paramInt1, paramInt5);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnRenderer(int paramInt, TableCellRenderer paramTableCellRenderer) {
/*  467 */     a(paramInt, paramTableCellRenderer, false);
/*      */ 
/*      */ 
/*      */     
/*  471 */     int i = paramInt; TableSectionOptions tableSectionOptions; if ((tableSectionOptions = this).h != null) tableSectionOptions.h[i] = null;  if (tableSectionOptions.i != null) tableSectionOptions.i[i] = null;  if (tableSectionOptions.j != null) tableSectionOptions.i[i] = null;  if (tableSectionOptions.n != null) tableSectionOptions.n[i] = 2;  if (tableSectionOptions.o != null) tableSectionOptions.o[i] = 0;  if (tableSectionOptions.p != null) tableSectionOptions.p[i] = 0;  if (tableSectionOptions.q != null) tableSectionOptions.q[i] = 0;  if (tableSectionOptions.r != null) tableSectionOptions.r[i] = 0;
/*      */ 
/*      */     
/*  474 */     this.b[paramInt] = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnRendererForHtml(int paramInt1, int paramInt2) {
/*  492 */     a(paramInt1, (TableCellRenderer)new HtmlCellRenderer(), true);
/*  493 */     setMaxColumnWidth(paramInt1, paramInt2);
/*      */ 
/*      */     
/*  496 */     setRowHeightToFit(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnResizeable(int paramInt) {
/*  518 */     a(paramInt, this.TABLE_DATA.getColumnCount() - 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnResizeWeights(float[] paramArrayOffloat) {
/*      */     String str;
/*  545 */     if (paramArrayOffloat.length != this.TABLE_DATA.getColumnCount()) {
/*      */       
/*  547 */       str = "The number of Resize Weights (" + paramArrayOffloat.length + ") must be the same as the number of table columns (" + this.TABLE_DATA.getColumnCount() + ").";
/*      */ 
/*      */       
/*  550 */       throw new IllegalArgumentException(str);
/*      */     } 
/*      */     
/*  553 */     a((float[])str);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnTextAlignment(int paramInt1, int paramInt2) {
/*      */     String str;
/*      */     ReportDataCellRenderer reportDataCellRenderer;
/*  571 */     if (paramInt2 != 2 && paramInt2 != 0 && paramInt2 != 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  578 */       str = "Invalid alignment: " + paramInt2 + "  Must be one of the javax.swing.SwingConstants: \n LEFT, CENTER, or RIGHT";
/*      */ 
/*      */       
/*  581 */       throw new IllegalArgumentException(str);
/*      */     } 
/*      */     
/*      */     TableCellRenderer tableCellRenderer;
/*      */     
/*  586 */     if ((tableCellRenderer = b(str)) == null) {
/*      */       
/*  588 */       reportDataCellRenderer = new ReportDataCellRenderer();
/*  589 */       a(str, (TableCellRenderer)reportDataCellRenderer, false);
/*      */     } 
/*      */ 
/*      */     
/*  593 */     if (reportDataCellRenderer instanceof JLabel)
/*      */     {
/*  595 */       ((JLabel)reportDataCellRenderer).setHorizontalAlignment(paramInt2);
/*      */     }
/*      */ 
/*      */     
/*  599 */     this.n = a(this.n, 2, str, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnToWrap(int paramInt1, int paramInt2) {
/*  614 */     setColumnToWrap(paramInt1, paramInt2, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnToWrap(int paramInt1, int paramInt2, int paramInt3) {
/*  634 */     Font font = ReportStandardizer.getGlobalTableCustomizer().getTableFont();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  639 */     WrappedTextCellRenderer wrappedTextCellRenderer = new WrappedTextCellRenderer(font);
/*      */ 
/*      */     
/*  642 */     if (paramInt3 != 0)
/*      */     {
/*  644 */       wrappedTextCellRenderer.setTextAlignment(paramInt3);
/*      */     }
/*      */ 
/*      */     
/*  648 */     a(paramInt1, (TableCellRenderer)wrappedTextCellRenderer, true);
/*  649 */     setMaxColumnWidth(paramInt1, paramInt2);
/*      */ 
/*      */     
/*  652 */     setRowHeightToFit(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setMaxColumnWidth(int paramInt1, int paramInt2) {
/*  660 */     if (this.m == null)
/*      */     {
/*  662 */       this.m = b(9999, getTableColumnCount());
/*      */     }
/*  664 */     this.m[paramInt1] = paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setMaxColumnWidths(int paramInt) {
/*  673 */     int i = getTableColumnCount();
/*      */     
/*  675 */     if (this.m == null) {
/*      */       
/*  677 */       this.m = b(paramInt, i);
/*      */       
/*      */       return;
/*      */     } 
/*  681 */     for (i = 0; i <= this.m.length; i++)
/*      */     {
/*  683 */       this.m[i] = paramInt;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setMaxColumnWidths(int[] paramArrayOfint) {
/*      */     String str;
/*  695 */     int i = getTableColumnCount();
/*      */     
/*  697 */     if (paramArrayOfint.length != i) {
/*      */       
/*  699 */       str = "The number of Max Width values (" + paramArrayOfint.length + ") does not match the number of columns in the table (" + i + ").";
/*      */       
/*  701 */       throw new IllegalArgumentException(str);
/*      */     } 
/*  703 */     this.m = (int[])str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowHeightToFit(boolean paramBoolean) {
/*  712 */     this.k = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTableBottomMargin(int paramInt) {
/*  721 */     this.s = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTableCellCustomizer(TableCellCustomizer paramTableCellCustomizer) {
/*  730 */     this.g = paramTableCellCustomizer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTableCustomizer(TableCustomizer paramTableCustomizer) {
/*  740 */     addTableCustomizer(paramTableCustomizer);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTableFooterBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/*  748 */     this.d = paramReportDecorationBuilder;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTableHeaderBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/*  756 */     this.c = paramReportDecorationBuilder;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int addSectionComponents(ArrayList<JComponent> paramArrayList, ReportTable paramReportTable) {
/*  774 */     ReportDecorationBuilder reportDecorationBuilder = null;
/*      */     
/*  776 */     int j = paramArrayList.size();
/*  777 */     a(paramArrayList, paramReportTable);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  786 */     if ((reportDecorationBuilder = getSectionHeaderBuilder()) != null) {
/*      */       
/*  788 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*      */       
/*  790 */       paramArrayList.add(j, jComponent);
/*      */     } 
/*      */     
/*  793 */     if ((reportDecorationBuilder = getSectionFooterBuilder()) != null) {
/*      */       
/*  795 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*      */       
/*  797 */       paramArrayList.add(jComponent);
/*      */     } 
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  803 */     return i = paramArrayList.size() - j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int a(ArrayList<JComponent> paramArrayList, ReportTable paramReportTable) {
/*  820 */     ReportDecorationBuilder reportDecorationBuilder = null;
/*      */     
/*  822 */     int j = paramArrayList.size();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  827 */     if ((reportDecorationBuilder = getTableHeaderBuilder()) != null) {
/*      */       
/*  829 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*      */       
/*  831 */       paramArrayList.add(jComponent);
/*      */     } 
/*  833 */     paramArrayList.add(paramReportTable);
/*      */     
/*  835 */     if ((reportDecorationBuilder = getTableFooterBuilder()) != null) {
/*      */       
/*  837 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*      */       
/*  839 */       paramArrayList.add(jComponent);
/*      */     } 
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  845 */     return i = paramArrayList.size() - j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(ReportTable paramReportTable) {
/*  853 */     a(paramReportTable, true, isRowHeightToFit(), 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(ReportTable paramReportTable, boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/*  869 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintAttributeSet();
/*  870 */     int[] arrayOfInt1 = getMaxColumnWidths();
/*      */     
/*  872 */     ReportTable reportTable = paramReportTable; TableSectionOptions tableSectionOptions = this; ReportDecorationBuilder reportDecorationBuilder; String str; paramReportTable.setName(((str = reportTable.getName()) != null) ? str : (((str = tableSectionOptions.getContentName()) != null) ? str : ((reportDecorationBuilder = tableSectionOptions.getTableHeaderBuilder() instanceof TitleDecorationBuilder) ? (str = ((TitleDecorationBuilder)reportDecorationBuilder).getTitleText()) : ((reportDecorationBuilder = tableSectionOptions.getSectionHeaderBuilder() instanceof TitleDecorationBuilder) ? (str = ((TitleDecorationBuilder)reportDecorationBuilder).getTitleText()) : null))));
/*      */ 
/*      */ 
/*      */     
/*  876 */     paramReportTable.setPrintGapBelow(getTableBottomMargin());
/*      */ 
/*      */ 
/*      */     
/*  880 */     boolean bool2 = SizeToFitPageWidth.isToSizeToFitWidth(printRequestAttributeSet);
/*      */ 
/*      */     
/*  883 */     if (paramInt1 == paramInt2)
/*      */     {
/*  885 */       paramReportTable.setCellCustomizer(getTableCellCustomizer());
/*      */     }
/*      */     
/*      */     GlobalTableCustomizer globalTableCustomizer;
/*      */     
/*  890 */     if ((globalTableCustomizer = ReportStandardizer.getGlobalTableCustomizer()) != null) globalTableCustomizer.customizeTable(paramReportTable);
/*      */ 
/*      */     
/*  893 */     int j = paramInt1; reportTable = paramReportTable; tableSectionOptions = this; globalTableCustomizer = null; int m = 0, n = reportTable.getColumnCount(); TableCellRenderer[] arrayOfTableCellRenderer1; if ((arrayOfTableCellRenderer1 = tableSectionOptions.b(false)) != null) { TableColumnModel tableColumnModel1; byte b; for (tableColumnModel1 = reportTable.getColumnModel(), b = 0; b < n; ) { m = b + j; if (arrayOfTableCellRenderer1[m] != null) tableColumnModel1.getColumn(b).setCellRenderer(arrayOfTableCellRenderer1[m]);  b++; }  }  if ((arrayOfTableCellRenderer1 = tableSectionOptions.a(false)) != null) { TableColumnModel tableColumnModel1; byte b; for (tableColumnModel1 = reportTable.getColumnModel(), b = 0; b < n; ) { m = b + j; if (arrayOfTableCellRenderer1[m] != null) tableColumnModel1.getColumn(b).setHeaderRenderer(arrayOfTableCellRenderer1[m]);  b++; }
/*      */        }
/*      */     
/*  896 */     for (Iterator<TableCustomizer> iterator = this.a.iterator(); iterator.hasNext();)
/*      */     {
/*  898 */       (tableCustomizer = iterator.next()).customizeTable(paramReportTable); }  TableColumnModel tableColumnModel;
/*      */     JComponent jComponent;
/*      */     Color color1, color2;
/*      */     Font font;
/*      */     int i1, i2, i3;
/*  903 */     for (j = paramInt1, reportTable = paramReportTable, tableSectionOptions = this, arrayOfTableCellRenderer1 = null, jComponent = null, color1 = reportTable.getBackground(), color2 = reportTable.getForeground(), font = reportTable.getFont(), i1 = reportTable.getColumnCount(), i2 = 0, tableColumnModel = reportTable.getColumnModel(), i3 = 0; i3 < i1; ) { i2 = i3 + j; TableCellRenderer tableCellRenderer; if (!tableSectionOptions.b[i2] && tableCellRenderer = tableColumnModel.getColumn(i3).getCellRenderer() instanceof JComponent) { jComponent = (JComponent)tableCellRenderer; if (tableSectionOptions.i == null || tableSectionOptions.i[i2] == null) jComponent.setBackground(color1);  if (tableSectionOptions.h == null || tableSectionOptions.h[i2] == null) jComponent.setForeground(color2);  if (tableSectionOptions.j == null || tableSectionOptions.j[i2] == null) jComponent.setFont(font);  }  i3++; }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  909 */     if (paramBoolean1) paramReportTable.setColumnWidthsToFit(arrayOfInt1);
/*      */ 
/*      */ 
/*      */     
/*  913 */     boolean bool1 = bool2; int k = paramInt1, arrayOfInt2[] = arrayOfInt1; reportTable = paramReportTable; TableCellRenderer[] arrayOfTableCellRenderer2 = (tableSectionOptions = this).b(false); color2 = null; font = null; i2 = (reportTable.getIntercellSpacing()).width; i3 = 0; int i = reportTable.getColumnCount(); paramInt1 = 0; bool2 = false; if (arrayOfTableCellRenderer2 != null) { int i4; float[] arrayOfFloat; TableColumnModel tableColumnModel1 = reportTable.getColumnModel(); if (bool1) for (arrayOfFloat = tableSectionOptions.getColumnResizeWeights(), bool1 = false; bool1 < i; ) { i3 = bool1 + k; if (arrayOfTableCellRenderer2[i3] instanceof jpdf.report.table.renderer.WrappedRenderer && (arrayOfFloat == null || arrayOfFloat[i3] > 0.0F)) i4 = bool2 + arrayOfInt2[i3];  bool1++; }   for (i1 = (arrayOfFloat == null) ? 1 : 0, bool1 = false; bool1 < i; ) { i3 = bool1 + k; if (arrayOfTableCellRenderer2[i3] instanceof jpdf.report.table.renderer.WrappedRenderer) { if (arrayOfFloat != null) i1 = (arrayOfFloat[i3] > 0.0F) ? 1 : 0;  if (i4 > 0 && i1 != 0) { paramInt1 = 32 * arrayOfInt2[i3] / i4; } else { paramInt1 = arrayOfInt2[i3] - i2; }  TableColumn tableColumn; (tableColumn = tableColumnModel1.getColumn(bool1)).setWidth(paramInt1); tableColumn.setPreferredWidth(paramInt1); }  bool1++; }
/*      */        }
/*      */ 
/*      */     
/*  917 */     if (paramBoolean2) paramReportTable.setRowHeightsToFit();
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(int paramInt1, int paramInt2) {
/*      */     String str;
/*  926 */     float[] arrayOfFloat = getColumnResizeWeights();
/*      */ 
/*      */     
/*  929 */     if (paramInt1 < 0 || paramInt1 > paramInt2) {
/*      */       
/*  931 */       str = "Invalid Column Index (" + paramInt1 + ").  Must be between 0 and " + paramInt2 + " inclusive.";
/*      */       
/*  933 */       throw new IllegalArgumentException(str);
/*      */     } 
/*      */ 
/*      */     
/*  937 */     if (arrayOfFloat == null)
/*      */     {
/*  939 */       arrayOfFloat = new float[paramInt2 + 1];
/*      */     }
/*      */ 
/*      */     
/*  943 */     Arrays.fill(arrayOfFloat, 0.0F);
/*  944 */     arrayOfFloat[str] = 1.0F;
/*      */ 
/*      */     
/*  947 */     a(arrayOfFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(float[] paramArrayOffloat) {
/*  960 */     DefaultTableColumnResizer.validateResizeWeights(paramArrayOffloat);
/*      */     
/*  962 */     this.l = paramArrayOffloat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int[] b(int paramInt1, int paramInt2) {
/*      */     int[] arrayOfInt;
/* 1103 */     Arrays.fill(arrayOfInt = new int[paramInt2], paramInt1);
/*      */     
/* 1105 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private TableCellRenderer[] a(boolean paramBoolean) {
/* 1188 */     if (paramBoolean && this.f == null)
/*      */     {
/* 1190 */       this.f = new TableCellRenderer[getTableColumnCount()];
/*      */     }
/*      */     
/* 1193 */     return this.f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private TableCellRenderer b(int paramInt) {
/*      */     TableCellRenderer[] arrayOfTableCellRenderer;
/* 1208 */     if ((arrayOfTableCellRenderer = b(false)) == null) return null;
/*      */     
/* 1210 */     return arrayOfTableCellRenderer[paramInt];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private TableCellRenderer[] b(boolean paramBoolean) {
/* 1218 */     if (paramBoolean && this.e == null)
/*      */     {
/* 1220 */       this.e = new TableCellRenderer[getTableColumnCount()];
/*      */     }
/*      */     
/* 1223 */     return this.e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt, TableCellRenderer paramTableCellRenderer, boolean paramBoolean) {
/* 1234 */     TableCellRenderer[] arrayOfTableCellRenderer = b(true);
/* 1235 */     boolean bool = false;
/* 1236 */     int i = 0;
/* 1237 */     int j = 0;
/* 1238 */     int k = 0;
/* 1239 */     int m = 0;
/*      */ 
/*      */     
/* 1242 */     if (paramBoolean && paramTableCellRenderer instanceof JComponent) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1247 */       if ((bool = paramTableCellRenderer instanceof JLabel) && this.n != null)
/*      */       {
/* 1249 */         ((JLabel)paramTableCellRenderer).setHorizontalAlignment(this.n[paramInt]);
/*      */       }
/*      */ 
/*      */       
/* 1253 */       if (this.o != null) i = this.o[paramInt]; 
/* 1254 */       if (this.p != null) j = this.p[paramInt]; 
/* 1255 */       if (this.q != null) k = this.q[paramInt]; 
/* 1256 */       if (this.r != null) m = this.r[paramInt]; 
/* 1257 */       if (i > 0 || j > 0 || k > 0 || m > 0)
/*      */       {
/*      */         
/* 1260 */         ReportTable.applyPadding((JComponent)paramTableCellRenderer, i, j, k, m);
/*      */       }
/*      */ 
/*      */ 
/*      */       
/* 1265 */       if (this.h != null && this.h[paramInt] != null)
/*      */       {
/* 1267 */         ((JComponent)paramTableCellRenderer).setForeground(this.h[paramInt]);
/*      */       }
/* 1269 */       if (this.i != null && this.i[paramInt] != null)
/*      */       {
/* 1271 */         ((JComponent)paramTableCellRenderer).setBackground(this.i[paramInt]);
/*      */       }
/*      */ 
/*      */       
/* 1275 */       if (this.j != null && this.j[paramInt] != null)
/*      */       {
/* 1277 */         ((JComponent)paramTableCellRenderer).setFont(this.j[paramInt]);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1282 */     arrayOfTableCellRenderer[paramInt] = paramTableCellRenderer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Color[] a(Color[] paramArrayOfColor, Color paramColor1, int paramInt, Color paramColor2) {
/* 1396 */     if (paramArrayOfColor == null) {
/*      */       
/* 1398 */       int i = getTableColumnCount(); paramArrayOfColor = null; Color[] arrayOfColor; Arrays.fill((Object[])(arrayOfColor = new Color[i]), paramArrayOfColor); paramArrayOfColor = arrayOfColor;
/*      */     } 
/* 1400 */     paramArrayOfColor[paramInt] = paramColor2;
/*      */     
/* 1402 */     return paramArrayOfColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int[] a(int[] paramArrayOfint, int paramInt1, int paramInt2, int paramInt3) {
/* 1430 */     if (paramArrayOfint == null)
/*      */     {
/* 1432 */       paramArrayOfint = b(paramInt1, getTableColumnCount());
/*      */     }
/* 1434 */     paramArrayOfint[paramInt2] = paramInt3;
/*      */     
/* 1436 */     return paramArrayOfint;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\TableSectionOptions.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */