/*     */ package jpdf.report.table.function;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.table.TableModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractTableFunction
/*     */   implements TableFunction
/*     */ {
/*     */   public static abstract class AbstractTableIterator
/*     */     implements Iterator
/*     */   {
/*     */     final TableModel a;
/*     */     final int b;
/*     */     final int c;
/*     */     
/*     */     public AbstractTableIterator(JTable param1JTable) {
/*  43 */       if (param1JTable == null)
/*     */       {
/*  45 */         throw new NullPointerException("NULL table not allowed.");
/*     */       }
/*     */       
/*  48 */       this.a = param1JTable.getModel();
/*  49 */       this.b = this.a.getRowCount();
/*  50 */       this.c = this.a.getColumnCount();
/*     */     }
/*     */ 
/*     */     
/*     */     public void remove() {
/*  55 */       throw new UnsupportedOperationException("Remove not supported.");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TableCellIterator
/*     */     implements Iterator
/*     */   {
/*     */     private final TableModel a;
/*     */ 
/*     */     
/*     */     private final boolean b;
/*     */     
/*     */     private final int c;
/*     */     
/*     */     private final int d;
/*     */     
/*     */     private boolean e = false;
/*     */ 
/*     */     
/*     */     public TableCellIterator(JTable param1JTable, int param1Int1, int param1Int2) {
/*  77 */       this.a = param1JTable.getModel();
/*  78 */       this.b = (AbstractTableFunction.isValidRowIndex(param1JTable, param1Int1) && AbstractTableFunction.isValidColIndex(param1JTable, param1Int2));
/*     */       
/*  80 */       this.c = param1Int1;
/*  81 */       this.d = param1Int2;
/*     */     }
/*     */ 
/*     */     
/*     */     public boolean hasNext() {
/*  86 */       if (!this.b) return false;
/*     */       
/*  88 */       return !this.e;
/*     */     }
/*     */ 
/*     */     
/*     */     public Object next() {
/*  93 */       Object object = this.a.getValueAt(this.c, this.d);
/*  94 */       this.e = true;
/*     */       
/*  96 */       return object;
/*     */     }
/*     */ 
/*     */     
/*     */     public void remove() {
/* 101 */       throw new UnsupportedOperationException("Remove not supported.");
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public static class TableRowIterator
/*     */     extends AbstractTableIterator
/*     */   {
/*     */     private final boolean d;
/*     */     
/*     */     private final int e;
/*     */     
/* 113 */     private int f = 0;
/*     */ 
/*     */     
/*     */     public TableRowIterator(JTable param1JTable, int param1Int) {
/* 117 */       super(param1JTable);
/*     */       
/* 119 */       this.d = AbstractTableFunction.isValidRowIndex(param1JTable, param1Int);
/* 120 */       this.e = param1Int;
/*     */     }
/*     */ 
/*     */     
/*     */     public boolean hasNext() {
/* 125 */       if (!this.d) return false;
/*     */       
/* 127 */       return (this.f < this.c);
/*     */     }
/*     */ 
/*     */     
/*     */     public Object next() {
/* 132 */       Object object = this.a.getValueAt(this.e, this.f);
/* 133 */       this.f++;
/*     */       
/* 135 */       return object;
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public static class TableColIterator
/*     */     extends AbstractTableIterator
/*     */   {
/*     */     private final boolean d;
/*     */     
/*     */     private final int e;
/*     */     
/* 147 */     private int f = 0;
/*     */ 
/*     */     
/*     */     public TableColIterator(JTable param1JTable, int param1Int) {
/* 151 */       super(param1JTable);
/*     */       
/* 153 */       this.d = AbstractTableFunction.isValidColIndex(param1JTable, param1Int);
/* 154 */       this.e = param1Int;
/*     */     }
/*     */ 
/*     */     
/*     */     public boolean hasNext() {
/* 159 */       if (!this.d) return false;
/*     */       
/* 161 */       return (this.f < this.b);
/*     */     }
/*     */ 
/*     */     
/*     */     public Object next() {
/* 166 */       Object object = this.a.getValueAt(this.f, this.e);
/* 167 */       this.f++;
/*     */       
/* 169 */       return object;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TableIterator
/*     */     extends AbstractTableIterator
/*     */   {
/* 179 */     private int d = 0;
/* 180 */     private int e = 0;
/*     */ 
/*     */     
/*     */     public TableIterator(JTable param1JTable) {
/* 184 */       super(param1JTable);
/*     */     }
/*     */ 
/*     */     
/*     */     public boolean hasNext() {
/* 189 */       return (this.d < this.b);
/*     */     }
/*     */ 
/*     */     
/*     */     public Object next() {
/* 194 */       Object object = this.a.getValueAt(this.d, this.e);
/* 195 */       this.e++;
/* 196 */       if (this.e >= this.c) {
/*     */         
/* 198 */         this.d++;
/* 199 */         this.e = 0;
/*     */       } 
/*     */       
/* 202 */       return object;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isValidColIndex(JTable paramJTable, int paramInt) {
/* 215 */     return (paramInt >= 0 && paramInt < paramJTable.getColumnCount());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isValidRowIndex(JTable paramJTable, int paramInt) {
/* 223 */     return (paramInt >= 0 && paramInt < paramJTable.getRowCount());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\function\AbstractTableFunction.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */