/*     */ package jpdf.report.text;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Toolkit;
/*     */ import java.io.File;
/*     */ import java.io.FileReader;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.text.TabExpander;
/*     */ import jpdf.ability.PrintGapGettable;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf_common.system.c.f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PlainTextSectionOptions
/*     */   extends AbstractTextSectionOptions
/*     */ {
/*     */   public static final int MINIMUM_TAB_STOP_INTERVAL = 8;
/*     */   
/*     */   public static class ReportTextPanel
/*     */     extends PlainTextPanel
/*     */     implements PrintGapGettable
/*     */   {
/*     */     private final int PRINT_GAP_BELOW;
/*     */     
/*     */     public ReportTextPanel(PlainTextSectionOptions param1PlainTextSectionOptions) {
/* 103 */       super(param1PlainTextSectionOptions.a, param1PlainTextSectionOptions.getSectionFont(), param1PlainTextSectionOptions.getLineHeight(), param1PlainTextSectionOptions.getPageBottomAdjustment());
/*     */ 
/*     */       
/* 106 */       this.PRINT_GAP_BELOW = param1PlainTextSectionOptions.getTextBottomMargin();
/* 107 */       PlainTextSectionOptions.a(param1PlainTextSectionOptions, this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ReportTextPanel(PlainTextSectionOptions param1PlainTextSectionOptions, int param1Int) {
/* 116 */       super(param1PlainTextSectionOptions.a[param1Int], param1PlainTextSectionOptions.getSectionFont(), param1PlainTextSectionOptions.getLineHeight(), param1PlainTextSectionOptions.getPageBottomAdjustment());
/*     */ 
/*     */ 
/*     */       
/* 120 */       this.PRINT_GAP_BELOW = param1PlainTextSectionOptions.getTextBottomMargin();
/* 121 */       PlainTextSectionOptions.a(param1PlainTextSectionOptions, this);
/*     */     }
/*     */ 
/*     */     
/*     */     public int getPrintGapBelow() {
/* 126 */       return this.PRINT_GAP_BELOW;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public static class ReportWrappedTextPanel
/*     */     extends WrappedPlainTextPanel
/*     */     implements PrintGapGettable
/*     */   {
/*     */     private final int PRINT_GAP_BELOW;
/*     */ 
/*     */ 
/*     */     
/*     */     public ReportWrappedTextPanel(PlainTextSectionOptions param1PlainTextSectionOptions) {
/* 141 */       super(param1PlainTextSectionOptions.a, param1PlainTextSectionOptions.getSectionFont(), param1PlainTextSectionOptions.getLineHeight(), param1PlainTextSectionOptions.getPageBottomAdjustment());
/*     */ 
/*     */       
/* 144 */       this.PRINT_GAP_BELOW = param1PlainTextSectionOptions.getTextBottomMargin();
/* 145 */       PlainTextSectionOptions.a(param1PlainTextSectionOptions, this);
/* 146 */       setTextAlignment(param1PlainTextSectionOptions.getTextAlignment());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ReportWrappedTextPanel(PlainTextSectionOptions param1PlainTextSectionOptions, int param1Int) {
/* 155 */       super(param1PlainTextSectionOptions.a[param1Int], param1PlainTextSectionOptions.getSectionFont(), param1PlainTextSectionOptions.getLineHeight(), param1PlainTextSectionOptions.getPageBottomAdjustment());
/*     */ 
/*     */ 
/*     */       
/* 159 */       this.PRINT_GAP_BELOW = param1PlainTextSectionOptions.getTextBottomMargin();
/* 160 */       PlainTextSectionOptions.a(param1PlainTextSectionOptions, this);
/* 161 */       setTextAlignment(param1PlainTextSectionOptions.getTextAlignment());
/*     */     }
/*     */ 
/*     */     
/*     */     public int getPrintGapBelow() {
/* 166 */       return this.PRINT_GAP_BELOW;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class a
/*     */     implements TabExpander
/*     */   {
/*     */     private final int a;
/*     */ 
/*     */ 
/*     */     
/*     */     private a(int param1Int) {
/*     */       String str;
/* 182 */       if (param1Int < 8) {
/*     */         
/* 184 */         str = "Invalid Tab Stop Interval: " + param1Int + ".  Must be at least " + '\b' + ". ";
/*     */         
/* 186 */         throw new IllegalArgumentException(str);
/*     */       } 
/*     */       
/* 189 */       this.a = str;
/*     */     }
/*     */ 
/*     */     
/*     */     public final float nextTabStop(float param1Float, int param1Int) {
/* 194 */       return (((int)(param1Float / this.a) + 1) * this.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class b
/*     */     implements TabExpander
/*     */   {
/*     */     private final int[] a;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private b(int[] param1ArrayOfint) {
/*     */       String str;
/* 211 */       for (byte b1 = 1; b1 < param1ArrayOfint.length; b1++) {
/*     */         int i;
/*     */         
/* 214 */         if ((i = param1ArrayOfint[b1] - param1ArrayOfint[b1 - 1]) < 8) {
/*     */           
/* 216 */           str = "Invalid Tab Stop Interval: " + i + ".  Must be at least " + '\b' + ". ";
/*     */           
/* 218 */           throw new IllegalArgumentException(str);
/*     */         } 
/*     */       } 
/* 221 */       this.a = (int[])str;
/*     */     }
/*     */ 
/*     */     
/*     */     public final float nextTabStop(float param1Float, int param1Int) {
/* 226 */       float f = param1Float;
/*     */       
/* 228 */       for (byte b1 = 0; b1 < this.a.length; b1++) {
/*     */         
/* 230 */         if (this.a[b1] > param1Float) {
/*     */           
/* 232 */           f = this.a[b1];
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/* 237 */       return f;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 256 */   private TabExpander b = null;
/*     */   private boolean c = true;
/* 258 */   private int d = -1;
/* 259 */   private int e = 0;
/* 260 */   private int f = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, File paramFile) {
/* 280 */     super(paramPrintRequestAttributeSet, paramString, jpdf_common.gui.d.a.a(new FileReader(paramFile)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString1, String paramString2) {
/* 291 */     super(paramPrintRequestAttributeSet, paramString1, f.a(paramString2));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString, String[] paramArrayOfString) {
/* 301 */     super(paramPrintRequestAttributeSet, paramString, paramArrayOfString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2, File paramFile) {
/* 320 */     this(paramPrintRequestAttributeSet, paramReportDecorationBuilder1, paramReportDecorationBuilder2, jpdf_common.gui.d.a.a(new FileReader(paramFile)), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2, String paramString) {
/* 334 */     this(paramPrintRequestAttributeSet, paramReportDecorationBuilder1, paramReportDecorationBuilder2, f.a(paramString), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2, String[] paramArrayOfString) {
/* 349 */     this(paramPrintRequestAttributeSet, paramReportDecorationBuilder1, paramReportDecorationBuilder2, paramArrayOfString, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PlainTextSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2, String[] paramArrayOfString, boolean paramBoolean) {
/* 364 */     super(paramPrintRequestAttributeSet, paramReportDecorationBuilder1, paramReportDecorationBuilder2, paramArrayOfString, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addToLineHeight(int paramInt) {
/* 380 */     paramInt = getLineHeight() + paramInt;
/*     */     
/* 382 */     setLineHeight(paramInt);
/*     */     
/* 384 */     return paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PlainTextSectionOptions buildMultiTextInstance(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2, String[] paramArrayOfString) {
/* 402 */     return new PlainTextSectionOptions(paramPrintRequestAttributeSet, paramReportDecorationBuilder1, paramReportDecorationBuilder2, paramArrayOfString, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineHeight() {
/* 414 */     if (this.d < 0)
/*     */     {
/* 416 */       return Toolkit.getDefaultToolkit().getFontMetrics(getSectionFont()).getHeight();
/*     */     }
/*     */     
/* 419 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageBottomAdjustment() {
/* 431 */     return this.e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTextAlignment() {
/* 442 */     return this.f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToWrapText() {
/* 451 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLineHeight(int paramInt) {
/* 460 */     if (paramInt <= 4)
/*     */     {
/* 462 */       throw new IllegalArgumentException("The Line Height must be greater than 4.");
/*     */     }
/*     */     
/* 465 */     this.d = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPageBottomAdjustment(int paramInt) {
/* 476 */     this.e = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTabStops(int paramInt) {
/*     */     PlainTextSectionOptions plainTextSectionOptions;
/* 486 */     a a = new a(paramInt, (byte)0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTabStops(int[] paramArrayOfint) {
/*     */     PlainTextSectionOptions plainTextSectionOptions;
/* 496 */     b b = new b(paramArrayOfint, (byte)0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToWrapText(boolean paramBoolean) {
/*     */     String str;
/* 508 */     if (!paramBoolean && getTextAlignment() != 0) {
/*     */       PlainTextSectionOptions plainTextSectionOptions;
/*     */       
/*     */       int i;
/*     */       
/* 513 */       str = "The text must be wrapped for the currently specified alignment: " + (((i = (plainTextSectionOptions = this).getTextAlignment()) == 0) ? "Left" : ((i == 1) ? "Center" : ((i == 2) ? "Right" : ((i == 3) ? "Justify" : "???")))) + ".  The alignment must be set to LEFT before Wrap Text can be set to FALSE.";
/*     */ 
/*     */       
/* 516 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 519 */     this.c = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTextAlignment(int paramInt) {
/*     */     String str;
/* 533 */     b(paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 539 */     if (!isToWrapText()) {
/*     */       
/* 541 */       str = "The Text Alignemnt cannot be set for unwrapped text.";
/* 542 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 545 */     this.f = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JComponent[] buildSectionComponents() {
/* 561 */     if (!isMultiText()) {
/*     */       JPanel[] arrayOfJPanel1;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 567 */       (arrayOfJPanel1 = new JPanel[1])[0] = isToWrapText() ? new ReportWrappedTextPanel(this) : new ReportTextPanel(this);
/*     */       
/* 569 */       return (JComponent[])arrayOfJPanel1;
/*     */     } 
/*     */ 
/*     */     
/* 573 */     JPanel[] arrayOfJPanel = new JPanel[this.a.length];
/* 574 */     if (isToWrapText()) {
/*     */       
/* 576 */       for (byte b = 0; b < this.a.length; b++)
/*     */       {
/* 578 */         arrayOfJPanel[b] = new ReportWrappedTextPanel(this, b);
/*     */       }
/*     */     }
/*     */     else {
/*     */       
/* 583 */       for (byte b = 0; b < this.a.length; b++)
/*     */       {
/* 585 */         arrayOfJPanel[b] = new ReportTextPanel(this, b);
/*     */       }
/*     */     } 
/*     */     
/* 589 */     return (JComponent[])arrayOfJPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel buildSectionTextPanel() {
/* 598 */     if (isToWrapText()) return new ReportWrappedTextPanel(this);
/*     */     
/* 600 */     return new ReportTextPanel(this);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\text\PlainTextSectionOptions.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */