/*     */ package jpdf.utility;
/*     */ 
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.standard.Chromaticity;
/*     */ import javax.print.attribute.standard.Destination;
/*     */ import javax.print.attribute.standard.JobPriority;
/*     */ import javax.print.attribute.standard.JobSheets;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import javax.print.attribute.standard.PrintQuality;
/*     */ import javax.print.attribute.standard.RequestingUserName;
/*     */ import javax.print.attribute.standard.Sides;
/*     */ import jpdf.attribute.CoverPage;
/*     */ import jpdf.attribute.FileDestinationType;
/*     */ import jpdf.attribute.HeaderFooterDateFormat;
/*     */ import jpdf.attribute.HeaderFooterTimeFormat;
/*     */ import jpdf.attribute.OffsetBottom;
/*     */ import jpdf.attribute.OffsetLeft;
/*     */ import jpdf.attribute.OffsetRight;
/*     */ import jpdf.attribute.OffsetTop;
/*     */ import jpdf.attribute.PageFooterAttribute;
/*     */ import jpdf.attribute.PageFooterIncludedAttribute;
/*     */ import jpdf.attribute.PageFooterLine;
/*     */ import jpdf.attribute.PageFrame;
/*     */ import jpdf.attribute.PageHeaderAttribute;
/*     */ import jpdf.attribute.PageHeaderIncludedAttribute;
/*     */ import jpdf.attribute.PageHeaderLine;
/*     */ import jpdf.attribute.RequestDestinationFile;
/*     */ import jpdf.attribute.RequestFileDestination;
/*     */ import jpdf.attribute.RequestMediaSize;
/*     */ import jpdf.attribute.RequestMediaSizeName;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AttributeClassifier
/*     */ {
/*     */   public static void copyAttributes(AttributeSet paramAttributeSet1, Class[] paramArrayOfClass, AttributeSet paramAttributeSet2) {
/*  66 */     Attribute attribute = null;
/*     */     
/*  68 */     for (byte b = 0; b < paramArrayOfClass.length; b++) {
/*     */ 
/*     */       
/*  71 */       if ((attribute = paramAttributeSet1.get(paramArrayOfClass[b])) != null) {
/*     */         
/*  73 */         paramAttributeSet2.add(attribute);
/*     */       }
/*     */       else {
/*     */         
/*  77 */         paramAttributeSet2.remove(paramArrayOfClass[b]);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Class[] getPageDecorationAttributeClasses() {
/*  90 */     return new Class[] { OffsetLeft.class, OffsetRight.class, OffsetTop.class, OffsetBottom.class, PageFooterAttribute.class, PageFooterIncludedAttribute.class, PageFooterLine.class, PageHeaderAttribute.class, PageHeaderIncludedAttribute.class, PageHeaderLine.class, HeaderFooterDateFormat.class, HeaderFooterTimeFormat.class, PageFrame.class };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Class[] getPageFormatAttributeClasses() {
/* 104 */     return new Class[] { Media.class, MediaPrintableArea.class, OrientationRequested.class, RequestMediaSize.class, RequestMediaSizeName.class };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Class[] getPrintDestinationAttributeClasses() {
/* 116 */     return new Class[] { Destination.class, FileDestinationType.class, RequestDestinationFile.class, RequestFileDestination.class };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Class[] getPrintOptionsAttributeClasses() {
/* 137 */     return new Class[] { Chromaticity.class, CoverPage.class, JobPriority.class, JobSheets.class, PrintQuality.class, RequestingUserName.class, Sides.class };
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\AttributeClassifier.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */