/*      */ package jpdf.utility;
/*      */ 
/*      */ import java.awt.BasicStroke;
/*      */ import java.awt.Color;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Font;
/*      */ import java.awt.FontMetrics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Insets;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.geom.Line2D;
/*      */ import java.awt.print.PageFormat;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.swing.SwingConstants;
/*      */ import jpdf.attribute.OffsetBottom;
/*      */ import jpdf.attribute.OffsetLeft;
/*      */ import jpdf.attribute.OffsetRight;
/*      */ import jpdf.attribute.OffsetTop;
/*      */ import jpdf.attribute.PageFooterAttribute;
/*      */ import jpdf.attribute.PageFooterLine;
/*      */ import jpdf.attribute.PageFooterOnFirstPage;
/*      */ import jpdf.attribute.PageFrame;
/*      */ import jpdf.attribute.PageHeaderAttribute;
/*      */ import jpdf.attribute.PageHeaderLine;
/*      */ import jpdf.attribute.PageHeaderOnFirstPage;
/*      */ import jpdf.manage.PrintParameterHolder;
/*      */ import jpdf.printer.AbstractPrinter;
/*      */ import jpdf.printer.observer.PrinterEventType;
/*      */ import jpdf_common.gui.a.c;
/*      */ import jpdf_common.gui.a.d;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PageDecorationUtility
/*      */   implements SwingConstants
/*      */ {
/*      */   public static class DecorationOptions
/*      */   {
/*  186 */     public Rectangle pageContentRectangle = new Rectangle();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  191 */     public Insets minimumOffsets = new Insets(2, 2, 2, 2);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  196 */     public Insets offsets = new Insets(0, 0, 0, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  202 */     public Color footNoteColor = Color.BLACK;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  208 */     public Color headNoteColor = Color.BLACK;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  214 */     public Font footNoteFont = PageDecorationUtility.DEFAULT_DECORATION_FONT;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  220 */     public Font headNoteFont = PageDecorationUtility.DEFAULT_DECORATION_FONT;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean footLinePrinted = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean headLinePrinted = true;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean framePrinted = true;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  242 */     public int pageIndex = -99;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  249 */     public PageDecorationPainter pageSubheaderPainter = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  254 */     private Insets a = new Insets(0, 0, 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  270 */   public static final Font DEFAULT_DECORATION_FONT = c.d;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int FRAME_OFFSET = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  283 */   private static int a = 4;
/*  284 */   private static int b = 6;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  289 */   private static Color c = Color.LIGHT_GRAY;
/*  290 */   private static Color d = Color.LIGHT_GRAY;
/*  291 */   private static BasicStroke e = d.a;
/*  292 */   private static BasicStroke f = d.a;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computeAvailablePageHeight(PageFormat paramPageFormat, AttributeSet paramAttributeSet, DecorationOptions paramDecorationOptions, PrintParameterHolder paramPrintParameterHolder) {
/*  331 */     boolean bool1 = false;
/*      */ 
/*      */     
/*  334 */     boolean bool2 = false;
/*  335 */     boolean bool3 = PageFrame.isToPrintFrame(paramAttributeSet);
/*  336 */     int i = paramPrintParameterHolder.pageNo - 1;
/*  337 */     int k = 0;
/*      */     
/*  339 */     int m = 0;
/*      */ 
/*      */     
/*  342 */     int j = a(paramPageFormat, bool3);
/*      */ 
/*      */ 
/*      */     
/*  346 */     a(paramAttributeSet, true, paramDecorationOptions.minimumOffsets, DecorationOptions.a(paramDecorationOptions));
/*      */ 
/*      */ 
/*      */     
/*      */     PageHeaderAttribute pageHeaderAttribute;
/*      */ 
/*      */     
/*  353 */     if ((pageHeaderAttribute = (PageHeaderAttribute)paramAttributeSet.get(PageHeaderAttribute.class)) != null && b(paramAttributeSet, i)) {
/*      */       
/*  355 */       k = pageHeaderAttribute.getRequiredHeight(j, paramPrintParameterHolder);
/*  356 */       bool1 = PageHeaderLine.isToPrintLine(paramAttributeSet);
/*      */     } 
/*      */     PageFooterAttribute pageFooterAttribute;
/*  359 */     if ((pageFooterAttribute = (PageFooterAttribute)paramAttributeSet.get(PageFooterAttribute.class)) != null && a(paramAttributeSet, i)) {
/*      */       
/*  361 */       m = pageFooterAttribute.getRequiredHeight(j, paramPrintParameterHolder);
/*  362 */       bool2 = PageFooterLine.isToPrintLine(paramAttributeSet);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  367 */     if (paramDecorationOptions.pageSubheaderPainter != null) {
/*      */       
/*  369 */       int n = computeAvailablePageWidth(paramPageFormat, paramAttributeSet, paramDecorationOptions, 1);
/*      */       
/*  371 */       k += paramDecorationOptions.pageSubheaderPainter.getRequiredHeight(j, n, paramPrintParameterHolder);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  378 */     return a(paramPageFormat, DecorationOptions.a(paramDecorationOptions), k, m, bool1, bool2, bool3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Dimension computeAvailablePageSpace(PageFormat paramPageFormat, AttributeSet paramAttributeSet, DecorationOptions paramDecorationOptions, PrintParameterHolder paramPrintParameterHolder) {
/*  404 */     PageHeaderAttribute pageHeaderAttribute = null;
/*  405 */     pageHeaderAttribute = null;
/*  406 */     boolean bool1 = false;
/*  407 */     boolean bool2 = false;
/*  408 */     boolean bool3 = PageFrame.isToPrintFrame(paramAttributeSet);
/*  409 */     int j = 0;
/*  410 */     int k = 0;
/*  411 */     int m = 0;
/*  412 */     a(paramAttributeSet, true, paramDecorationOptions.minimumOffsets, DecorationOptions.a(paramDecorationOptions));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  419 */     int n = computeAvailablePageWidth(paramPageFormat, paramAttributeSet, paramDecorationOptions, 0);
/*      */ 
/*      */     
/*  422 */     if (paramAttributeSet != null) {
/*      */ 
/*      */       
/*  425 */       j = a(paramPageFormat, bool3);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  430 */       if ((pageHeaderAttribute = (PageHeaderAttribute)paramAttributeSet.get(PageHeaderAttribute.class)) != null) {
/*      */         
/*  432 */         k = pageHeaderAttribute.getRequiredHeight(j, paramPrintParameterHolder);
/*  433 */         bool1 = PageHeaderLine.isToPrintLine(paramAttributeSet);
/*      */       } 
/*      */       PageFooterAttribute pageFooterAttribute;
/*  436 */       if ((pageFooterAttribute = (PageFooterAttribute)paramAttributeSet.get(PageFooterAttribute.class)) != null) {
/*      */         
/*  438 */         m = pageFooterAttribute.getRequiredHeight(j, paramPrintParameterHolder);
/*  439 */         bool2 = PageFooterLine.isToPrintLine(paramAttributeSet);
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  445 */     if (paramDecorationOptions.pageSubheaderPainter != null) {
/*      */       
/*  447 */       if (j == 0)
/*      */       {
/*  449 */         j = a(paramPageFormat, bool3);
/*      */       }
/*      */       
/*  452 */       k += paramDecorationOptions.pageSubheaderPainter.getRequiredHeight(j, n, paramPrintParameterHolder);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  458 */     int i = a(paramPageFormat, DecorationOptions.a(paramDecorationOptions), k, m, bool1, bool2, bool3);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  463 */     return new Dimension(n, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computeAvailablePageWidth(PageFormat paramPageFormat, AttributeSet paramAttributeSet, DecorationOptions paramDecorationOptions, int paramInt) {
/*  483 */     a(paramAttributeSet, true, paramDecorationOptions.minimumOffsets, DecorationOptions.a(paramDecorationOptions));
/*      */     
/*  485 */     return a(paramPageFormat, DecorationOptions.a(paramDecorationOptions), PageFrame.isToPrintFrame(paramAttributeSet));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void fillBackground(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor) {
/*  495 */     Color color = paramGraphics2D.getColor();
/*      */     
/*  497 */     paramGraphics2D.setColor(paramColor);
/*  498 */     paramGraphics2D.fillRect((int)(paramPageFormat.getImageableX() + 2.0D), (int)(paramPageFormat.getImageableY() + 2.0D), (int)(paramPageFormat.getImageableWidth() - 4.0D - 1.0D), (int)(paramPageFormat.getImageableHeight() - 4.0D - 1.0D));
/*      */ 
/*      */ 
/*      */     
/*  502 */     paramGraphics2D.setColor(color);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Color getFooterLineColor() {
/*  510 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static BasicStroke getFooterLineStroke() {
/*  518 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Color getHeaderLineColor() {
/*  526 */     return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static BasicStroke getHeaderLineStroke() {
/*  534 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getNoteXOffsetLeft() {
/*  543 */     return a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getNoteXOffsetRight() {
/*  552 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int printFooterLine(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, boolean paramBoolean) {
/*  565 */     return a(paramGraphics2D, paramPageFormat, getHeaderLineColor(), getHeaderLineStroke(), paramInt, false, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int printFootNote(Graphics2D paramGraphics2D, PageFormat paramPageFormat, String paramString, Font paramFont, int paramInt, boolean paramBoolean) {
/*  579 */     if (paramFont != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  587 */       paramGraphics2D.setFont(paramFont);
/*      */     }
/*      */     else {
/*      */       
/*  591 */       paramFont = paramGraphics2D.getFont();
/*      */     } 
/*      */     
/*      */     FontMetrics fontMetrics;
/*      */     
/*  596 */     int j = (fontMetrics = paramGraphics2D.getFontMetrics()).getHeight();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  602 */     paramInt = a(paramString, paramPageFormat, fontMetrics, paramInt);
/*  603 */     int i = 0 + (int)(paramPageFormat.getImageableY() + paramPageFormat.getImageableHeight()) - 2 - j + fontMetrics.getMaxAscent();
/*      */     
/*  605 */     if (paramFont.getSize() >= 8) i--;
/*      */ 
/*      */     
/*  608 */     paramGraphics2D.drawString(paramString, paramInt, i);
/*      */ 
/*      */     
/*  611 */     if (paramBoolean)
/*      */     {
/*  613 */       j += printFooterLine(paramGraphics2D, paramPageFormat, j, true);
/*      */     }
/*      */     
/*  616 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printFrame(Graphics2D paramGraphics2D, PageFormat paramPageFormat, BasicStroke paramBasicStroke) {
/*  632 */     if (paramBasicStroke != null) paramGraphics2D.setStroke(paramBasicStroke);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  639 */     paramGraphics2D.drawRect((int)(paramPageFormat.getImageableX() + 1.5D), (int)(paramPageFormat.getImageableY() + 1.5D), (int)(paramPageFormat.getImageableWidth() - 3.5D), (int)(paramPageFormat.getImageableHeight() - 3.5D));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int printHeaderLine(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, boolean paramBoolean) {
/*  655 */     return a(paramGraphics2D, paramPageFormat, getHeaderLineColor(), getHeaderLineStroke(), paramInt, true, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int printHeadNote(Graphics2D paramGraphics2D, PageFormat paramPageFormat, String paramString, Font paramFont, int paramInt, boolean paramBoolean) {
/*  669 */     if (paramFont != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  678 */       paramGraphics2D.setFont(paramFont);
/*      */     }
/*      */     else {
/*      */       
/*  682 */       paramFont = paramGraphics2D.getFont();
/*      */     } 
/*      */     
/*      */     FontMetrics fontMetrics;
/*      */     
/*  687 */     int j = (fontMetrics = paramGraphics2D.getFontMetrics()).getHeight() - 1;
/*      */ 
/*      */     
/*  690 */     paramInt = a(paramString, paramPageFormat, fontMetrics, paramInt);
/*  691 */     int i = 0 + (int)paramPageFormat.getImageableY() + 2 + fontMetrics.getMaxAscent();
/*  692 */     if (paramFont.getSize() >= 8) i--;
/*      */ 
/*      */     
/*  695 */     paramGraphics2D.drawString(paramString, paramInt, i);
/*      */ 
/*      */     
/*  698 */     if (paramBoolean)
/*      */     {
/*  700 */       j += printHeaderLine(paramGraphics2D, paramPageFormat, j + 1, true);
/*      */     }
/*      */     
/*  703 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printHorizontalBlock(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, int paramInt1, int paramInt2) {
/*  715 */     int i = (int)paramPageFormat.getImageableY();
/*      */     
/*  717 */     if (paramInt1 >= 0) {
/*      */       
/*  719 */       i += paramInt1;
/*      */     }
/*      */     else {
/*      */       
/*  723 */       i += (int)paramPageFormat.getImageableHeight() + paramInt1 - paramInt2;
/*      */     } 
/*  725 */     printHorizontalBlockAt(paramGraphics2D, paramPageFormat, paramColor, i, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printHorizontalBlockAt(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, int paramInt1, int paramInt2) {
/*  735 */     int j = (int)paramPageFormat.getImageableX() + 2;
/*  736 */     int i = (int)paramPageFormat.getImageableWidth() - 4;
/*      */     
/*  738 */     if (paramColor != null) paramGraphics2D.setColor(paramColor); 
/*  739 */     paramGraphics2D.fillRect(j, paramInt1, i, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printHorizontalLine(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, BasicStroke paramBasicStroke, int paramInt) {
/*  751 */     int i = (int)paramPageFormat.getImageableY();
/*      */     
/*  753 */     if (paramInt >= 0) {
/*      */       
/*  755 */       i += paramInt;
/*      */     }
/*      */     else {
/*      */       
/*  759 */       i += (int)paramPageFormat.getImageableHeight() + paramInt;
/*      */     } 
/*  761 */     printHorizontalLineAt(paramGraphics2D, paramPageFormat, paramColor, paramBasicStroke, i, 2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printHorizontalLineAt(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, BasicStroke paramBasicStroke, int paramInt) {
/*  777 */     printHorizontalLineAt(paramGraphics2D, paramPageFormat, paramColor, paramBasicStroke, paramInt, 2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printHorizontalLineAt(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, BasicStroke paramBasicStroke, int paramInt1, int paramInt2) {
/*  797 */     int j, i = (j = (int)paramPageFormat.getImageableX() + paramInt2 - 1) + (int)paramPageFormat.getImageableWidth() - 2 * paramInt2 - 1;
/*      */     
/*  799 */     if (paramBasicStroke != null) paramGraphics2D.setStroke(paramBasicStroke); 
/*  800 */     if (paramColor != null) paramGraphics2D.setColor(paramColor); 
/*  801 */     paramGraphics2D.drawLine(j, paramInt1, i, paramInt1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printStandardPageDecorations(Graphics2D paramGraphics2D, PageFormat paramPageFormat, DecorationOptions paramDecorationOptions, String[] paramArrayOfString1, String[] paramArrayOfString2) {
/*  817 */     int i = 0;
/*  818 */     int j = 0;
/*      */ 
/*      */     
/*  821 */     if (paramArrayOfString1 != null) {
/*      */       
/*  823 */       paramGraphics2D.setColor(paramDecorationOptions.headNoteColor);
/*  824 */       printHeadNote(paramGraphics2D, paramPageFormat, paramArrayOfString1[0], paramDecorationOptions.headNoteFont, 2, false);
/*  825 */       printHeadNote(paramGraphics2D, paramPageFormat, paramArrayOfString1[1], paramDecorationOptions.headNoteFont, 0, false);
/*  826 */       i = printHeadNote(paramGraphics2D, paramPageFormat, paramArrayOfString1[2], paramDecorationOptions.headNoteFont, 4, paramDecorationOptions.headLinePrinted);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  831 */     if (paramArrayOfString2 != null) {
/*      */ 
/*      */       
/*  834 */       paramGraphics2D.setColor(paramDecorationOptions.footNoteColor);
/*  835 */       printFootNote(paramGraphics2D, paramPageFormat, paramArrayOfString2[0], paramDecorationOptions.footNoteFont, 2, false);
/*  836 */       printFootNote(paramGraphics2D, paramPageFormat, paramArrayOfString2[1], paramDecorationOptions.footNoteFont, 0, false);
/*  837 */       j = printFootNote(paramGraphics2D, paramPageFormat, paramArrayOfString2[2], paramDecorationOptions.footNoteFont, 4, paramDecorationOptions.footLinePrinted);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  842 */     if (paramDecorationOptions.framePrinted) {
/*      */       
/*  844 */       printStandardPageFrame(paramGraphics2D, paramPageFormat);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  850 */       paramGraphics2D.setColor(Color.BLACK);
/*  851 */       paramGraphics2D.setStroke(d.a);
/*      */     } 
/*      */ 
/*      */     
/*  855 */     a(paramGraphics2D, paramPageFormat, paramDecorationOptions.offsets, i, j, paramDecorationOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printStandardPageDecorations(Graphics2D paramGraphics2D, AttributeSet paramAttributeSet, PageFormat paramPageFormat, DecorationOptions paramDecorationOptions, PrintParameterHolder paramPrintParameterHolder) {
/*  872 */     a((AbstractPrinter)null, paramGraphics2D, paramAttributeSet, paramPageFormat, paramDecorationOptions, paramPrintParameterHolder, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printStandardPageDecorations(AbstractPrinter paramAbstractPrinter, Graphics2D paramGraphics2D, PageFormat paramPageFormat, DecorationOptions paramDecorationOptions, PrintParameterHolder paramPrintParameterHolder, boolean paramBoolean) {
/*  896 */     a(paramAbstractPrinter, paramGraphics2D, paramAbstractPrinter.getAttributeSet(), paramPageFormat, paramDecorationOptions, paramPrintParameterHolder, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printStandardPageFrame(Graphics2D paramGraphics2D, PageFormat paramPageFormat) {
/*  907 */     paramGraphics2D.setColor(Color.BLACK);
/*  908 */     printFrame(paramGraphics2D, paramPageFormat, d.a);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setFooterLineColor(Color paramColor) {
/*  916 */     d = paramColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setFooterLineStroke(BasicStroke paramBasicStroke) {
/*  925 */     f = paramBasicStroke;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setHeaderLineColor(Color paramColor) {
/*  933 */     c = paramColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setHeaderLineStroke(BasicStroke paramBasicStroke) {
/*  942 */     e = paramBasicStroke;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setNoteXOffsetLeft(int paramInt) {
/*  951 */     a = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setNoteXOffsetRight(int paramInt) {
/*  960 */     b = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(PageFormat paramPageFormat, Insets paramInsets, int paramInt1, int paramInt2, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*      */     // Byte code:
/*      */     //   0: iload #6
/*      */     //   2: ifne -> 13
/*      */     //   5: iload_2
/*      */     //   6: ifgt -> 13
/*      */     //   9: iload_3
/*      */     //   10: ifle -> 44
/*      */     //   13: aload_0
/*      */     //   14: invokevirtual getImageableHeight : ()D
/*      */     //   17: ldc2_w 0.5
/*      */     //   20: dadd
/*      */     //   21: d2i
/*      */     //   22: iconst_4
/*      */     //   23: aload_1
/*      */     //   24: getfield top : I
/*      */     //   27: iadd
/*      */     //   28: aload_1
/*      */     //   29: getfield bottom : I
/*      */     //   32: iadd
/*      */     //   33: iconst_4
/*      */     //   34: iadd
/*      */     //   35: isub
/*      */     //   36: iload_2
/*      */     //   37: iload_3
/*      */     //   38: iadd
/*      */     //   39: isub
/*      */     //   40: istore_0
/*      */     //   41: goto -> 70
/*      */     //   44: aload_0
/*      */     //   45: invokevirtual getImageableHeight : ()D
/*      */     //   48: ldc2_w 0.5
/*      */     //   51: dadd
/*      */     //   52: d2i
/*      */     //   53: aload_1
/*      */     //   54: getfield top : I
/*      */     //   57: aload_1
/*      */     //   58: getfield bottom : I
/*      */     //   61: iadd
/*      */     //   62: iconst_2
/*      */     //   63: iadd
/*      */     //   64: isub
/*      */     //   65: iload_2
/*      */     //   66: iload_3
/*      */     //   67: iadd
/*      */     //   68: isub
/*      */     //   69: istore_0
/*      */     //   70: iload #4
/*      */     //   72: ifeq -> 86
/*      */     //   75: iload_0
/*      */     //   76: i2f
/*      */     //   77: invokestatic getHeaderLineStroke : ()Ljava/awt/BasicStroke;
/*      */     //   80: invokevirtual getLineWidth : ()F
/*      */     //   83: fsub
/*      */     //   84: f2i
/*      */     //   85: istore_0
/*      */     //   86: iload #5
/*      */     //   88: ifeq -> 102
/*      */     //   91: iload_0
/*      */     //   92: i2f
/*      */     //   93: invokestatic getFooterLineStroke : ()Ljava/awt/BasicStroke;
/*      */     //   96: invokevirtual getLineWidth : ()F
/*      */     //   99: fsub
/*      */     //   100: f2i
/*      */     //   101: istore_0
/*      */     //   102: iload_0
/*      */     //   103: ireturn
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #978	-> 0
/*      */     //   #991	-> 13
/*      */     //   #1000	-> 44
/*      */     //   #1006	-> 70
/*      */     //   #1008	-> 75
/*      */     //   #1010	-> 86
/*      */     //   #1012	-> 91
/*      */     //   #1015	-> 102
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(PageFormat paramPageFormat, Insets paramInsets, boolean paramBoolean) {
/*      */     // Byte code:
/*      */     //   0: iload_2
/*      */     //   1: ifeq -> 31
/*      */     //   4: aload_0
/*      */     //   5: invokevirtual getImageableWidth : ()D
/*      */     //   8: ldc2_w 0.5
/*      */     //   11: dadd
/*      */     //   12: d2i
/*      */     //   13: iconst_4
/*      */     //   14: aload_1
/*      */     //   15: getfield left : I
/*      */     //   18: iadd
/*      */     //   19: aload_1
/*      */     //   20: getfield right : I
/*      */     //   23: iadd
/*      */     //   24: iconst_4
/*      */     //   25: iadd
/*      */     //   26: isub
/*      */     //   27: istore_0
/*      */     //   28: goto -> 53
/*      */     //   31: aload_0
/*      */     //   32: invokevirtual getImageableWidth : ()D
/*      */     //   35: ldc2_w 0.5
/*      */     //   38: dadd
/*      */     //   39: d2i
/*      */     //   40: aload_1
/*      */     //   41: getfield left : I
/*      */     //   44: aload_1
/*      */     //   45: getfield right : I
/*      */     //   48: iadd
/*      */     //   49: iconst_2
/*      */     //   50: iadd
/*      */     //   51: isub
/*      */     //   52: istore_0
/*      */     //   53: iload_0
/*      */     //   54: ireturn
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #1026	-> 0
/*      */     //   #1034	-> 4
/*      */     //   #1042	-> 31
/*      */     //   #1046	-> 53
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(PageFormat paramPageFormat, boolean paramBoolean) {
/*      */     int i;
/* 1067 */     return i = (int)paramPageFormat.getImageableWidth() - (paramBoolean ? 4 : 2) - 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(String paramString, PageFormat paramPageFormat, FontMetrics paramFontMetrics, int paramInt) {
/* 1076 */     int i = (int)paramPageFormat.getImageableX();
/* 1077 */     int j = 0;
/*      */ 
/*      */     
/* 1080 */     if (paramInt == 0) {
/*      */       
/* 1082 */       j = paramFontMetrics.stringWidth(paramString);
/* 1083 */       i += (int)((paramPageFormat.getImageableWidth() - j) / 2.0D);
/*      */ 
/*      */     
/*      */     }
/* 1087 */     else if (paramInt == 4) {
/*      */       
/* 1089 */       j = paramFontMetrics.stringWidth(paramString);
/* 1090 */       i += (int)paramPageFormat.getImageableWidth() - j - getNoteXOffsetRight();
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1096 */       i += getNoteXOffsetLeft();
/*      */     } 
/*      */     
/* 1099 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean a(AttributeSet paramAttributeSet, int paramInt) {
/* 1123 */     boolean bool = false; AttributeSet attributeSet; if (((
/*      */       
/* 1125 */       attributeSet = paramAttributeSet) != null && attributeSet.get(PageFooterAttribute.class) != null))
/*      */     {
/* 1127 */       bool = PageFooterOnFirstPage.isFooterIncludedOnPage(paramAttributeSet, paramInt);
/*      */     }
/*      */     
/* 1130 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean b(AttributeSet paramAttributeSet, int paramInt) {
/* 1154 */     boolean bool = false; AttributeSet attributeSet; if (((
/*      */       
/* 1156 */       attributeSet = paramAttributeSet) != null && attributeSet.get(PageHeaderAttribute.class) != null))
/*      */     {
/* 1158 */       bool = PageHeaderOnFirstPage.isHeaderIncludedOnPage(paramAttributeSet, paramInt);
/*      */     }
/*      */     
/* 1161 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Color paramColor, BasicStroke paramBasicStroke, int paramInt, boolean paramBoolean1, boolean paramBoolean2) {
/* 1172 */     float f1 = paramBasicStroke.getLineWidth();
/*      */ 
/*      */     
/* 1175 */     float f2, f3 = (f2 = (float)paramPageFormat.getImageableX()) + (float)paramPageFormat.getImageableWidth();
/* 1176 */     int i = (int)paramPageFormat.getImageableY();
/*      */ 
/*      */     
/* 1179 */     if (paramBoolean1) {
/*      */       
/* 1181 */       i += paramInt + 2 + (int)(f1 / 2.0F);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1187 */       i = (i = i + (int)paramPageFormat.getImageableHeight() - paramInt + 2 - 1) - ((f1 == 1.0F) ? 1 : (int)(f1 / 2.0F));
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1195 */     if (paramBoolean2) {
/*      */       
/* 1197 */       f2++;
/* 1198 */       f3 -= 4.0F;
/*      */     } 
/*      */ 
/*      */     
/* 1202 */     paramGraphics2D.setStroke(paramBasicStroke);
/* 1203 */     paramGraphics2D.setColor(paramColor);
/* 1204 */     Line2D.Float float_ = new Line2D.Float(f2, i, f3, i);
/* 1205 */     paramGraphics2D.draw(float_);
/*      */     
/* 1207 */     return (int)(f1 + 0.5F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(AbstractPrinter paramAbstractPrinter, Graphics2D paramGraphics2D, AttributeSet paramAttributeSet, PageFormat paramPageFormat, DecorationOptions paramDecorationOptions, PrintParameterHolder paramPrintParameterHolder, boolean paramBoolean) {
/* 1233 */     int i, j = (i = paramPrintParameterHolder.pageNo - 1) / paramPrintParameterHolder.pageGridWidth;
/* 1234 */     int m = (int)paramPageFormat.getImageableX();
/*      */     
/* 1236 */     int n = 0;
/* 1237 */     int i1 = 0;
/* 1238 */     int i2 = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1249 */     if (!(paramGraphics2D instanceof java.awt.print.PrinterGraphics) || paramDecorationOptions.pageIndex != i) {
/*      */ 
/*      */ 
/*      */       
/* 1253 */       paramDecorationOptions.framePrinted = PageFrame.isToPrintFrame(paramAttributeSet);
/*      */ 
/*      */       
/* 1256 */       paramDecorationOptions.pageIndex = i;
/*      */ 
/*      */ 
/*      */       
/* 1260 */       a(paramAttributeSet, paramBoolean, paramDecorationOptions.minimumOffsets, paramDecorationOptions.offsets);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1265 */     int k = a(paramPageFormat, paramDecorationOptions.framePrinted);
/*      */ 
/*      */ 
/*      */     
/*      */     PageHeaderAttribute pageHeaderAttribute;
/*      */ 
/*      */ 
/*      */     
/* 1273 */     if ((pageHeaderAttribute = (PageHeaderAttribute)paramAttributeSet.get(PageHeaderAttribute.class)) != null && b(paramAttributeSet, j)) {
/*      */       
/* 1275 */       if (paramAbstractPrinter != null)
/*      */       {
/* 1277 */         paramAbstractPrinter.broadcastEventToObservers(PrinterEventType.START_PAGE_HEADER_PRINT, paramGraphics2D, paramPageFormat, i, paramPrintParameterHolder.scaleFactor);
/*      */       }
/*      */       
/* 1280 */       n = (int)paramPageFormat.getImageableY() + 2;
/* 1281 */       i1 = pageHeaderAttribute.print(paramGraphics2D, k, m, n, paramPrintParameterHolder);
/*      */       
/* 1283 */       if (PageHeaderLine.isToPrintLine(paramAttributeSet))
/*      */       {
/* 1285 */         i1 += printHeaderLine(paramGraphics2D, paramPageFormat, i1, paramDecorationOptions.framePrinted);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1292 */     if (paramDecorationOptions.pageSubheaderPainter != null) {
/*      */       
/* 1294 */       int i3 = computeAvailablePageWidth(paramPageFormat, paramAttributeSet, paramDecorationOptions, 1);
/*      */       
/* 1296 */       n += i1;
/* 1297 */       i1 += paramDecorationOptions.pageSubheaderPainter.print(paramGraphics2D, i3, i3, m, n, paramPrintParameterHolder);
/*      */     } 
/*      */ 
/*      */     
/*      */     PageFooterAttribute pageFooterAttribute;
/*      */ 
/*      */     
/* 1304 */     if ((pageFooterAttribute = (PageFooterAttribute)paramAttributeSet.get(PageFooterAttribute.class)) != null && a(paramAttributeSet, j)) {
/*      */       
/* 1306 */       if (paramAbstractPrinter != null)
/*      */       {
/* 1308 */         paramAbstractPrinter.broadcastEventToObservers(PrinterEventType.START_PAGE_FOOTER_PRINT, paramGraphics2D, paramPageFormat, i, paramPrintParameterHolder.scaleFactor);
/*      */       }
/*      */       
/* 1311 */       n = (int)(paramPageFormat.getImageableY() + paramPageFormat.getImageableHeight()) - 4;
/*      */       
/* 1313 */       i2 = pageFooterAttribute.print(paramGraphics2D, k, m, n, paramPrintParameterHolder);
/*      */       
/* 1315 */       if (PageFooterLine.isToPrintLine(paramAttributeSet))
/*      */       {
/*      */ 
/*      */ 
/*      */         
/* 1320 */         i2 += printFooterLine(paramGraphics2D, paramPageFormat, i2, paramDecorationOptions.framePrinted);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1326 */     if (paramDecorationOptions.framePrinted) {
/*      */       
/* 1328 */       printStandardPageFrame(paramGraphics2D, paramPageFormat);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1334 */       paramGraphics2D.setColor(Color.BLACK);
/* 1335 */       paramGraphics2D.setStroke(d.a);
/*      */     } 
/*      */ 
/*      */     
/* 1339 */     a(paramGraphics2D, paramPageFormat, paramDecorationOptions.offsets, i1, i2, paramDecorationOptions);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Insets paramInsets, int paramInt1, int paramInt2, DecorationOptions paramDecorationOptions) {
/* 1364 */     int k = (int)Math.round(paramPageFormat.getImageableX());
/*      */ 
/*      */     
/* 1367 */     int m = (int)Math.round(paramPageFormat.getImageableY());
/* 1368 */     int n = (int)Math.round(paramPageFormat.getImageableWidth());
/* 1369 */     int i1 = (int)Math.round(paramPageFormat.getImageableHeight());
/*      */ 
/*      */     
/* 1372 */     int j = a(paramPageFormat, paramInsets, paramDecorationOptions.framePrinted);
/* 1373 */     int i = a(paramPageFormat, paramInsets, paramInt1, paramInt2, false, false, paramDecorationOptions.framePrinted);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1383 */     if (paramDecorationOptions.framePrinted) {
/*      */       
/* 1385 */       paramDecorationOptions.pageContentRectangle.x = k + 2 + paramInsets.left + 2;
/*      */     }
/*      */     else {
/*      */       
/* 1389 */       paramDecorationOptions.pageContentRectangle.x = k + paramInsets.left + 1;
/*      */     } 
/* 1391 */     if (paramDecorationOptions.framePrinted || paramInt1 > 0) {
/*      */       
/* 1393 */       paramDecorationOptions.pageContentRectangle.y = m + 2 + paramInsets.top + paramInt1 + 2;
/*      */     }
/*      */     else {
/*      */       
/* 1397 */       paramDecorationOptions.pageContentRectangle.y = m + paramInsets.top + 1;
/*      */     } 
/*      */ 
/*      */     
/* 1401 */     paramDecorationOptions.pageContentRectangle.width = Math.min(n, j);
/* 1402 */     paramDecorationOptions.pageContentRectangle.height = Math.min(i1, i);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1408 */     paramGraphics2D.clip(paramDecorationOptions.pageContentRectangle);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(AttributeSet paramAttributeSet, boolean paramBoolean, Insets paramInsets1, Insets paramInsets2) {
/* 1420 */     if (paramBoolean) {
/*      */ 
/*      */       
/* 1423 */       paramInsets2.left = OffsetLeft.getOffsetPixelsRounded(paramAttributeSet, 0) + paramInsets1.left;
/*      */ 
/*      */ 
/*      */       
/* 1427 */       paramInsets2.right = OffsetRight.getOffsetPixelsRounded(paramAttributeSet, 0) + paramInsets1.right;
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1432 */       paramInsets2.left = paramInsets1.left;
/* 1433 */       paramInsets2.right = paramInsets1.right;
/*      */     } 
/*      */ 
/*      */     
/* 1437 */     paramInsets2.top = OffsetTop.getOffsetPixelsRounded(paramAttributeSet, 0) + paramInsets1.top;
/*      */ 
/*      */ 
/*      */     
/* 1441 */     paramInsets2.bottom = OffsetBottom.getOffsetPixelsRounded(paramAttributeSet, 0) + paramInsets1.bottom;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\PageDecorationUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */