/*      */ package jpdf.utility;
/*      */ 
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.geom.Rectangle2D;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Paper;
/*      */ import java.awt.print.Printable;
/*      */ import java.io.Serializable;
/*      */ import java.util.Arrays;
/*      */ import java.util.Comparator;
/*      */ import java.util.Locale;
/*      */ import javax.print.DocFlavor;
/*      */ import javax.print.PrintService;
/*      */ import javax.print.attribute.Attribute;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.print.attribute.standard.Media;
/*      */ import javax.print.attribute.standard.MediaPrintableArea;
/*      */ import javax.print.attribute.standard.MediaSize;
/*      */ import javax.print.attribute.standard.MediaSizeName;
/*      */ import javax.print.attribute.standard.NumberUp;
/*      */ import javax.print.attribute.standard.OrientationRequested;
/*      */ import javax.print.attribute.standard.PageRanges;
/*      */ import jpdf.attribute.PrintPageOddEven;
/*      */ import jpdf.attribute.RequestMediaSizeName;
/*      */ import jpdf.manage.PrintServiceRegistry;
/*      */ import jpdf.printable.PageCountPrintable;
/*      */ import jpdf.printer.AbstractComponentListPrinter;
/*      */ import jpdf.printer.AbstractComponentPrinter;
/*      */ import jpdf.wrap.printable.AbstractPrintableWrapper;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PrintUtility
/*      */ {
/*      */   public static final MediaSize DEFAULT_MEDIA_SIZE;
/*      */   
/*      */   static class a
/*      */     implements Serializable, Comparator
/*      */   {
/*      */     private a() {}
/*      */     
/*      */     public final int compare(Object param1Object1, Object param1Object2) {
/*   65 */       if (param1Object1 instanceof PrintService)
/*      */       {
/*   67 */         param1Object1 = ((PrintService)param1Object1).getName();
/*      */       }
/*   69 */       if (param1Object2 instanceof PrintService)
/*      */       {
/*   71 */         param1Object2 = ((PrintService)param1Object2).getName();
/*      */       }
/*      */       
/*   74 */       return param1Object1.toString().compareToIgnoreCase(param1Object2.toString());
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static {
/*  103 */     MediaSize mediaSize = null;
/*  104 */     Media media = null;
/*      */ 
/*      */     
/*      */     PrintService printService;
/*      */     
/*  109 */     if ((printService = PrintServiceRegistry.lookupDefaultPrintService()) != null) {
/*      */       
/*      */       try {
/*      */ 
/*      */         
/*  114 */         if (media = (Media)printService.getDefaultAttributeValue((Class)Media.class) instanceof MediaSizeName)
/*      */         {
/*  116 */           mediaSize = MediaSize.getMediaSizeForName((MediaSizeName)media);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  128 */       catch (Throwable throwable) {}
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  133 */     if (media != null && mediaSize != null) {
/*      */       
/*  135 */       DEFAULT_MEDIA_SIZE_NAME = (MediaSizeName)media;
/*  136 */       DEFAULT_MEDIA_SIZE = mediaSize;
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  141 */     if (isLetterPageSizeLocale(Locale.getDefault())) {
/*      */       
/*  143 */       DEFAULT_MEDIA_SIZE_NAME = MediaSizeName.NA_LETTER;
/*  144 */       DEFAULT_MEDIA_SIZE = MediaSize.NA.LETTER;
/*      */       return;
/*      */     } 
/*      */   }
/*  148 */   public static final MediaSizeName DEFAULT_MEDIA_SIZE_NAME = MediaSizeName.ISO_A4; static {
/*  149 */     DEFAULT_MEDIA_SIZE = MediaSize.ISO.A4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final float MM_TO_INCH_CONVERSION_FACTOR = 0.03937008F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void addDefaultPageFormatAttributes(AttributeSet paramAttributeSet) {
/*  181 */     paramAttributeSet.add(DEFAULT_MEDIA_SIZE_NAME);
/*      */ 
/*      */     
/*  184 */     if (DEFAULT_MEDIA_SIZE_NAME == MediaSizeName.ISO_A4) {
/*      */       
/*  186 */       updateAttributeSet(false, 12, paramAttributeSet, false);
/*      */       
/*      */       return;
/*      */     } 
/*  190 */     updateAttributeSet(false, 0.5F, paramAttributeSet, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaPrintableArea buildPrintableArea(MediaSize paramMediaSize) {
/*  202 */     return buildPrintableArea(paramMediaSize, 0, 0, 0, 0, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaPrintableArea buildPrintableArea(MediaSize paramMediaSize, int paramInt1, int paramInt2, int paramInt3, int paramInt4, boolean paramBoolean1, boolean paramBoolean2) {
/*  224 */     return buildPrintableArea(paramMediaSize, convertToInches(paramInt1), convertToInches(paramInt2), convertToInches(paramInt3), convertToInches(paramInt4), paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaPrintableArea buildPrintableArea(MediaSize paramMediaSize, float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4, boolean paramBoolean1, boolean paramBoolean2) {
/*  249 */     float f2, f3, f5, f4 = paramMediaSize.getX(25400);
/*      */     
/*  251 */     float f1 = paramMediaSize.getY(25400);
/*  252 */     if (paramBoolean1) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  263 */       if (paramBoolean2)
/*      */       {
/*  265 */         f3 = paramFloat3;
/*  266 */         f5 = paramFloat2;
/*  267 */         f2 = f4 - paramFloat1 + paramFloat3;
/*  268 */         f1 -= paramFloat2 + paramFloat4;
/*      */       }
/*      */       else
/*      */       {
/*  272 */         f3 = paramFloat1;
/*  273 */         f5 = paramFloat4;
/*  274 */         f2 = f4 - paramFloat1 + paramFloat3;
/*  275 */         f1 -= paramFloat2 + paramFloat4;
/*      */       
/*      */       }
/*      */     
/*      */     }
/*  280 */     else if (f3 != 0.0F) {
/*      */       
/*  282 */       f3 = paramFloat4;
/*  283 */       f5 = paramFloat3;
/*  284 */       f2 = f4 - paramFloat2 + paramFloat4;
/*  285 */       f1 -= paramFloat1 + paramFloat3;
/*      */     }
/*      */     else {
/*      */       
/*  289 */       f3 = paramFloat2;
/*  290 */       f5 = paramFloat1;
/*  291 */       f2 = f4 - paramFloat2 + paramFloat4;
/*  292 */       f1 -= paramFloat1 + paramFloat3;
/*      */     } 
/*      */ 
/*      */     
/*  296 */     return new MediaPrintableArea(f3, f5, f2, f1, 25400);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computePrintablePageCount(Printable paramPrintable) {
/*  308 */     int i = -1;
/*      */ 
/*      */     
/*  311 */     if (paramPrintable instanceof PageCountPrintable) {
/*      */       
/*  313 */       i = ((PageCountPrintable)paramPrintable).getPageCount();
/*      */ 
/*      */ 
/*      */       
/*  317 */       if (paramPrintable instanceof AbstractComponentPrinter)
/*      */       {
/*  319 */         if (i == -1)
/*      */         {
/*  321 */           i = ((AbstractComponentPrinter)paramPrintable).computePageCount();
/*      */         }
/*      */       }
/*  324 */       else if (paramPrintable instanceof AbstractComponentListPrinter)
/*      */       {
/*  326 */         if (i == -1)
/*      */         {
/*  328 */           i = ((AbstractComponentListPrinter)paramPrintable).computePageCount();
/*      */         
/*      */         }
/*      */       }
/*      */     
/*      */     }
/*  334 */     else if (paramPrintable instanceof AbstractPrintableWrapper) {
/*      */       
/*  336 */       i = ((AbstractPrintableWrapper)paramPrintable).computePageCount();
/*      */     } 
/*      */     
/*  339 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computePrintPageCount(AttributeSet paramAttributeSet, int paramInt) {
/*  356 */     return computePrintPageCount(paramAttributeSet, paramInt, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int computePrintPageCount(AttributeSet paramAttributeSet, int paramInt, boolean paramBoolean) {
/*  378 */     NumberUp numberUp = null;
/*      */ 
/*      */     
/*  381 */     int i = 0;
/*  382 */     int j = -1;
/*  383 */     boolean bool = false;
/*      */ 
/*      */     
/*  386 */     PrintPageOddEven printPageOddEven = (PrintPageOddEven)paramAttributeSet.get(PrintPageOddEven.class);
/*  387 */     PageRanges pageRanges = (PageRanges)paramAttributeSet.get(PageRanges.class);
/*  388 */     if (paramBoolean)
/*      */     {
/*  390 */       numberUp = (NumberUp)paramAttributeSet.get(NumberUp.class);
/*      */     }
/*      */ 
/*      */     
/*  394 */     if (printPageOddEven != null || pageRanges != null) {
/*      */ 
/*      */       
/*  397 */       if (printPageOddEven != null && pageRanges != null) {
/*      */         
/*  399 */         while ((j = pageRanges.next(j)) != -1) {
/*      */           
/*  401 */           if (printPageOddEven.isToPrint(j)) i++;
/*      */         
/*      */         } 
/*  404 */       } else if (pageRanges != null) {
/*      */         
/*  406 */         while ((j = pageRanges.next(j)) != -1)
/*      */         {
/*  408 */           i++;
/*      */         }
/*      */       }
/*      */       else {
/*      */         
/*  413 */         i = paramInt / 2;
/*  414 */         if (printPageOddEven == PrintPageOddEven.ODD_ONLY && !PrintPageOddEven.isEven(paramInt))
/*      */         {
/*      */           
/*  417 */           i++;
/*      */         
/*      */         }
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  425 */       i = paramInt;
/*      */     } 
/*      */ 
/*      */     
/*  429 */     if (numberUp != null) {
/*      */       int k;
/*      */       
/*  432 */       if ((k = numberUp.getValue()) > 1)
/*      */       {
/*  434 */         if (i % k == 0) {
/*      */           
/*  436 */           i /= k;
/*      */         }
/*      */         else {
/*      */           
/*  440 */           i = i / k + 1;
/*      */         } 
/*      */       }
/*      */     } 
/*      */     
/*  445 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static float convertToInches(int paramInt) {
/*  454 */     return paramInt * 0.03937008F;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static PageFormat createPageFormat(AttributeSet paramAttributeSet) {
/*  462 */     PageFormat pageFormat = new PageFormat();
/*      */     
/*  464 */     updatePageFormat(paramAttributeSet, pageFormat);
/*      */     
/*  466 */     return pageFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaSize getMediaSize(AttributeSet paramAttributeSet) {
/*  476 */     MediaSizeName mediaSizeName = getMediaSizeName(paramAttributeSet);
/*  477 */     MediaSize mediaSize = null;
/*      */     
/*  479 */     if (mediaSizeName != null)
/*      */     {
/*  481 */       mediaSize = RequestMediaSizeName.getMediaSize(mediaSizeName);
/*      */     }
/*      */     
/*  484 */     return mediaSize;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaSizeName getMediaSizeName(AttributeSet paramAttributeSet) {
/*      */     MediaSizeName mediaSizeName;
/*  497 */     RequestMediaSizeName requestMediaSizeName = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  503 */     if ((requestMediaSizeName = (RequestMediaSizeName)paramAttributeSet.get(RequestMediaSizeName.class)) != null) {
/*      */       
/*  505 */       mediaSizeName = requestMediaSizeName.getMediaSizeName();
/*      */     } else {
/*      */       Media media;
/*      */ 
/*      */       
/*  510 */       if (media = (Media)mediaSizeName.get(Media.class) instanceof MediaSizeName) {
/*      */         
/*  512 */         mediaSizeName = (MediaSizeName)media;
/*      */       }
/*      */       else {
/*      */         
/*  516 */         mediaSizeName = DEFAULT_MEDIA_SIZE_NAME;
/*      */       } 
/*      */     } 
/*      */     
/*  520 */     return mediaSizeName;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isMediaSizeSpecified(AttributeSet paramAttributeSet) {
/*  530 */     if (paramAttributeSet.get(RequestMediaSizeName.class) != null)
/*      */     {
/*  532 */       return true;
/*      */     }
/*  534 */     if (paramAttributeSet.get(Media.class) instanceof MediaSizeName)
/*      */     {
/*  536 */       return true;
/*      */     }
/*      */     
/*  539 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaPrintableArea getSupportedPrintableArea(PrintService paramPrintService, AttributeSet paramAttributeSet, DocFlavor paramDocFlavor) {
/*      */     String str;
/*  551 */     MediaPrintableArea mediaPrintableArea = null;
/*  552 */     if (!(paramAttributeSet.get(Media.class) instanceof MediaSizeName)) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  557 */       str = "The Printable Area cannot be determined because the given Attribute Set does not specify the Media Size.";
/*      */       
/*  559 */       throw new IllegalArgumentException(str);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*      */     Object object;
/*      */ 
/*      */     
/*  567 */     if (object = str.getSupportedAttributeValues((Class)MediaPrintableArea.class, paramDocFlavor, paramAttributeSet) instanceof MediaPrintableArea[] && ((Object[])object).length > 0)
/*      */     {
/*  569 */       mediaPrintableArea = ((MediaPrintableArea[])object)[0];
/*      */     }
/*      */     
/*  572 */     return mediaPrintableArea;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isLetterPageSizeLocale(Locale paramLocale) {
/*      */     String str;
/*  585 */     if ((str = paramLocale.getCountry()).equals("US") || str.equals("CA") || str.equals("MX")) return true;  return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isPreviewGraphics(Graphics paramGraphics) {
/*  595 */     return !(paramGraphics instanceof java.awt.print.PrinterGraphics);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaSizeName lookupMediaSizeName(Paper paramPaper) {
/*      */     MediaSizeName mediaSizeName;
/*  604 */     float f1 = (float)paramPaper.getWidth() / 72.0F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  611 */     float f2 = (float)paramPaper.getHeight() / 72.0F;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  618 */     float[] arrayOfFloat = DEFAULT_MEDIA_SIZE.getSize(25400);
/*  619 */     if (Math.abs(f1 - arrayOfFloat[0]) < 0.001F && Math.abs(f2 - arrayOfFloat[1]) < 0.001F) {
/*      */ 
/*      */       
/*  622 */       mediaSizeName = DEFAULT_MEDIA_SIZE_NAME;
/*      */     }
/*      */     else {
/*      */       
/*  626 */       mediaSizeName = MediaSize.findMedia(f1, f2, 25400);
/*      */     } 
/*      */     
/*  629 */     return mediaSizeName;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static MediaSizeName lookupMediaSizeName(PageFormat paramPageFormat) {
/*  638 */     return lookupMediaSizeName(paramPageFormat.getPaper());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void removeUnsupportedAttributes(PrintService paramPrintService, DocFlavor paramDocFlavor, AttributeSet paramAttributeSet) {
/*  648 */     Attribute[] arrayOfAttribute = paramAttributeSet.toArray();
/*      */     
/*  650 */     for (byte b = 0; b < arrayOfAttribute.length; b++) {
/*      */       
/*  652 */       if (!paramPrintService.isAttributeValueSupported(arrayOfAttribute[b], paramDocFlavor, paramAttributeSet))
/*      */       {
/*  654 */         paramAttributeSet.remove(arrayOfAttribute[b]);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void shiftContentToCenter(Graphics2D paramGraphics2D, PageFormat paramPageFormat, Rectangle2D.Float paramFloat) {
/*  670 */     int j = (int)paramPageFormat.getImageableWidth();
/*  671 */     int k = (int)paramPageFormat.getImageableHeight();
/*  672 */     int m = (int)paramPageFormat.getImageableX();
/*  673 */     int i = (int)paramPageFormat.getImageableY();
/*      */ 
/*      */     
/*  676 */     if (j > paramFloat.width)
/*      */     {
/*  678 */       m += (int)((j - paramFloat.width) / 2.0F) - (int)paramFloat.x;
/*      */     }
/*      */     
/*  681 */     if (k > paramFloat.height)
/*      */     {
/*  683 */       i += (int)((k - paramFloat.height) / 3.0F) - (int)paramFloat.y;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  688 */     paramGraphics2D.translate(m, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void sortPrintServiceList(PrintService[] paramArrayOfPrintService) {
/*  696 */     Arrays.sort(paramArrayOfPrintService, new a((byte)0));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(PageFormat paramPageFormat, AttributeSet paramAttributeSet, boolean paramBoolean) {
/*  707 */     Paper paper = paramPageFormat.getPaper();
/*      */     
/*  709 */     int i = paramPageFormat.getOrientation();
/*      */ 
/*      */ 
/*      */     
/*  713 */     if (paramBoolean) {
/*      */       
/*  715 */       paramAttributeSet.clear();
/*      */     }
/*      */     else {
/*      */       
/*  719 */       paramAttributeSet.remove(RequestMediaSizeName.class);
/*      */     } 
/*      */ 
/*      */     
/*  723 */     if (i == 0) {
/*      */       
/*  725 */       paramAttributeSet.add(OrientationRequested.LANDSCAPE);
/*      */     }
/*  727 */     else if (i == 2) {
/*      */       
/*  729 */       paramAttributeSet.add(OrientationRequested.LANDSCAPE);
/*      */     }
/*      */     else {
/*      */       
/*  733 */       paramAttributeSet.add(OrientationRequested.PORTRAIT);
/*      */     } 
/*      */ 
/*      */     
/*  737 */     paramAttributeSet.add(new MediaPrintableArea((float)paper.getImageableX() / 72.0F, (float)paper.getImageableY() / 72.0F, (float)paper.getImageableWidth() / 72.0F, (float)paper.getImageableHeight() / 72.0F, 25400));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  744 */     MediaSizeName mediaSizeName = lookupMediaSizeName(paramPageFormat);
/*  745 */     paramAttributeSet.add((mediaSizeName == null) ? DEFAULT_MEDIA_SIZE_NAME : mediaSizeName);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(boolean paramBoolean1, int paramInt, AttributeSet paramAttributeSet, boolean paramBoolean2) {
/*  762 */     updateAttributeSet(paramBoolean1, convertToInches(paramInt), paramAttributeSet, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(boolean paramBoolean1, float paramFloat, AttributeSet paramAttributeSet, boolean paramBoolean2) {
/*  774 */     PageFormat pageFormat = new PageFormat();
/*      */ 
/*      */     
/*  777 */     float f1, f2 = (f1 = paramFloat * 72.0F) * 2.0F;
/*      */ 
/*      */     
/*  780 */     updatePageFormat(paramAttributeSet, pageFormat);
/*      */     
/*      */     Paper paper;
/*      */     
/*  784 */     (paper = pageFormat.getPaper()).setImageableArea(f1, f1, paper.getWidth() - f2, paper.getHeight() - f2);
/*      */     
/*  786 */     pageFormat.setPaper(paper);
/*  787 */     pageFormat.setOrientation(paramBoolean1 ? 0 : 1);
/*      */ 
/*      */     
/*  790 */     updateAttributeSet(pageFormat, paramAttributeSet, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(boolean paramBoolean1, int paramInt1, int paramInt2, int paramInt3, int paramInt4, AttributeSet paramAttributeSet, boolean paramBoolean2) {
/*  813 */     updateAttributeSet(paramBoolean1, convertToInches(paramInt1), convertToInches(paramInt2), convertToInches(paramInt3), convertToInches(paramInt4), paramAttributeSet, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(boolean paramBoolean1, float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4, AttributeSet paramAttributeSet, boolean paramBoolean2) {
/*  834 */     PageFormat pageFormat = new PageFormat();
/*  835 */     float f = paramFloat1 * 72.0F;
/*      */     
/*  837 */     paramFloat2 *= 72.0F;
/*  838 */     paramFloat3 *= 72.0F;
/*  839 */     paramFloat4 *= 72.0F;
/*      */ 
/*      */     
/*  842 */     updatePageFormat(paramAttributeSet, pageFormat);
/*      */ 
/*      */     
/*  845 */     Paper paper = pageFormat.getPaper();
/*  846 */     if (paramBoolean1) {
/*      */       
/*  848 */       paper.setImageableArea(f, paramFloat4, paper.getWidth() - (f + paramFloat3), paper.getHeight() - (paramFloat2 + paramFloat4));
/*      */ 
/*      */       
/*  851 */       pageFormat.setPaper(paper);
/*  852 */       pageFormat.setOrientation(0);
/*      */     }
/*      */     else {
/*      */       
/*  856 */       paper.setImageableArea(paramFloat2, f, paper.getWidth() - (paramFloat2 + paramFloat4), paper.getHeight() - (f + paramFloat3));
/*      */ 
/*      */       
/*  859 */       pageFormat.setPaper(paper);
/*  860 */       pageFormat.setOrientation(1);
/*      */     } 
/*      */ 
/*      */     
/*  864 */     updateAttributeSet(pageFormat, paramAttributeSet, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updateAttributeSet(MediaSize paramMediaSize, AttributeSet paramAttributeSet) {
/*      */     String str;
/*  878 */     MediaSize mediaSize = getMediaSize(paramAttributeSet);
/*      */     
/*  880 */     if (paramMediaSize.equals(mediaSize)) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     MediaSizeName mediaSizeName;
/*      */ 
/*      */ 
/*      */     
/*  890 */     if ((mediaSizeName = paramMediaSize.getMediaSizeName()) == null) {
/*      */       
/*  892 */       str = "The Media Size Name could not be determined.";
/*  893 */       throw new IllegalArgumentException(str);
/*      */     } 
/*  895 */     paramAttributeSet.add(mediaSizeName);
/*      */ 
/*      */     
/*  898 */     if (mediaSize == null) {
/*      */       return;
/*      */     }
/*  901 */     float f2 = (str.getX(25400) - mediaSize.getX(25400)) * 72.0F;
/*  902 */     float f1 = (str.getY(25400) - mediaSize.getY(25400)) * 72.0F;
/*      */     
/*      */     PageFormat pageFormat;
/*      */     
/*      */     Paper paper;
/*      */     
/*  908 */     (paper = (pageFormat = createPageFormat(paramAttributeSet)).getPaper()).setImageableArea(paper.getImageableX(), paper.getImageableY(), paper.getImageableWidth() + f2, paper.getImageableHeight() + f1);
/*      */ 
/*      */     
/*  911 */     pageFormat.setPaper(paper);
/*      */ 
/*      */     
/*  914 */     updateAttributeSet(pageFormat, paramAttributeSet, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updatePageFormat(PageFormat paramPageFormat1, PageFormat paramPageFormat2) {
/*  922 */     paramPageFormat2.setOrientation(paramPageFormat1.getOrientation());
/*  923 */     paramPageFormat2.setPaper(paramPageFormat1.getPaper());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updatePageFormat(AttributeSet paramAttributeSet, PageFormat paramPageFormat) {
/*  931 */     OrientationRequested orientationRequested = null;
/*      */     
/*  933 */     MediaSize mediaSize = getMediaSize(paramAttributeSet);
/*  934 */     Paper paper = paramPageFormat.getPaper();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  940 */     if ((orientationRequested = (OrientationRequested)paramAttributeSet.get(OrientationRequested.class)) == OrientationRequested.LANDSCAPE) {
/*      */       
/*  942 */       paramPageFormat.setOrientation(0);
/*      */     }
/*  944 */     else if (orientationRequested == OrientationRequested.REVERSE_LANDSCAPE) {
/*      */       
/*  946 */       paramPageFormat.setOrientation(2);
/*      */     }
/*      */     else {
/*      */       
/*  950 */       paramPageFormat.setOrientation(1);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  956 */     if (mediaSize == null) {
/*      */       
/*  958 */       paper = new Paper();
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  963 */       paper.setSize((mediaSize.getX(25400) * 72.0F), (mediaSize.getY(25400) * 72.0F));
/*      */ 
/*      */ 
/*      */       
/*      */       MediaPrintableArea mediaPrintableArea;
/*      */ 
/*      */ 
/*      */       
/*  971 */       if ((mediaPrintableArea = (MediaPrintableArea)paramAttributeSet.get(MediaPrintableArea.class)) == null) {
/*      */         
/*  973 */         paper.setImageableArea(72.0D, 72.0D, paper.getWidth() - 144.0D, paper.getHeight() - 144.0D);
/*      */       }
/*      */       else {
/*      */         
/*  977 */         paper.setImageableArea((mediaPrintableArea.getX(25400) * 72.0F), (mediaPrintableArea.getY(25400) * 72.0F), (mediaPrintableArea.getWidth(25400) * 72.0F), (mediaPrintableArea.getHeight(25400) * 72.0F));
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  985 */     paramPageFormat.setPaper(paper);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void updatePageFormat(Rectangle paramRectangle, PageFormat paramPageFormat) {
/*  994 */     Paper paper = paramPageFormat.getPaper();
/*      */     
/*  996 */     if (paramPageFormat.getOrientation() == 1) {
/*      */       
/*  998 */       paper.setImageableArea(paramRectangle.x, paramRectangle.y, paramRectangle.width, paramRectangle.height);
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1005 */       int i = (int)(paramPageFormat.getWidth() - (paramRectangle.x + paramRectangle.width));
/* 1006 */       paper.setImageableArea(paramRectangle.y, i, paramRectangle.height, paramRectangle.width);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1014 */     paramPageFormat.setPaper(paper);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\PrintUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */