/*     */ package jpdf.wrap.graphics;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.GradientPaint;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Paint;
/*     */ import javax.swing.Icon;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NoAlphaGraphics2DWrapper
/*     */   extends Graphics2DWrapper
/*     */ {
/*     */   protected final PaintFactory PAINT_FACTORY;
/*     */   
/*     */   public static interface PaintFactory
/*     */   {
/*     */     Color buildReplacementColor(Color param1Color);
/*     */     
/*     */     Paint buildReplacementPaint(Paint param1Paint);
/*     */   }
/*     */   
/*     */   public static class DefaultPaintFactory
/*     */     implements PaintFactory
/*     */   {
/*     */     public Color buildReplacementColor(Color param1Color) {
/*     */       Color color;
/*  81 */       if ((color = param1Color) == null) return color;
/*     */ 
/*     */       
/*  84 */       if (param1Color.getAlpha() < 255)
/*     */       {
/*  86 */         color = NoAlphaGraphics2DWrapper.createOpaqueColor(param1Color);
/*     */       }
/*     */       
/*  89 */       return color;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Paint buildReplacementPaint(Paint param1Paint) {
/*     */       Paint paint;
/* 115 */       if ((paint = param1Paint) == null) return paint;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 120 */       String str = param1Paint.getClass().getName();
/* 121 */       if (param1Paint instanceof GradientPaint) {
/*     */         
/* 123 */         paint = ((GradientPaint)param1Paint).getColor1();
/*     */       
/*     */       }
/* 126 */       else if (str.startsWith("java.awt.") && str.endsWith("GradientPaint")) {
/*     */ 
/*     */         
/* 129 */         paint = Color.LIGHT_GRAY;
/*     */       } 
/*     */ 
/*     */       
/* 133 */       if (paint.getTransparency() != 1)
/*     */       {
/*     */         
/* 136 */         if (paint instanceof Color) {
/*     */           
/* 138 */           paint = NoAlphaGraphics2DWrapper.createOpaqueColor((Color)paint);
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 144 */           paint = Color.WHITE;
/*     */         } 
/*     */       }
/*     */       
/* 148 */       return paint;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class NoAlphaIconWrapper
/*     */     implements Icon
/*     */   {
/*     */     private final Icon a;
/*     */ 
/*     */ 
/*     */     
/* 163 */     private NoAlphaGraphics2DWrapper b = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public NoAlphaIconWrapper(Icon param1Icon) {
/* 169 */       this.a = param1Icon;
/*     */     }
/*     */ 
/*     */     
/*     */     public int getIconHeight() {
/* 174 */       return this.a.getIconHeight();
/*     */     }
/*     */ 
/*     */     
/*     */     public int getIconWidth() {
/* 179 */       return this.a.getIconWidth();
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public void paintIcon(Component param1Component, Graphics param1Graphics, int param1Int1, int param1Int2) {
/* 185 */       if (this.b == null) {
/*     */         
/* 187 */         this.b = new NoAlphaGraphics2DWrapper((Graphics2D)param1Graphics);
/*     */       }
/*     */       else {
/*     */         
/* 191 */         this.b.setTargetGraphics((Graphics2D)param1Graphics);
/*     */       } 
/* 193 */       this.a.paintIcon(param1Component, this.b, param1Int1, param1Int2);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NoAlphaGraphics2DWrapper(Graphics2D paramGraphics2D) {
/* 219 */     this(paramGraphics2D, new DefaultPaintFactory());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NoAlphaGraphics2DWrapper(Graphics2D paramGraphics2D, PaintFactory paramPaintFactory) {
/* 234 */     super(paramGraphics2D);
/*     */     
/* 236 */     this.PAINT_FACTORY = (paramPaintFactory == null) ? new DefaultPaintFactory() : paramPaintFactory;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Graphics create() {
/* 254 */     return new NoAlphaGraphics2DWrapper((Graphics2D)this.a.create(), this.PAINT_FACTORY);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Graphics create(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 266 */     Graphics2D graphics2D = (Graphics2D)this.a.create(paramInt1, paramInt2, paramInt3, paramInt4);
/*     */ 
/*     */ 
/*     */     
/* 270 */     return new NoAlphaGraphics2DWrapper(graphics2D, this.PAINT_FACTORY);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColor(Color paramColor) {
/* 279 */     this.a.setColor(this.PAINT_FACTORY.buildReplacementColor(paramColor));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBackground(Color paramColor) {
/* 293 */     this.a.setBackground(this.PAINT_FACTORY.buildReplacementColor(paramColor));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPaint(Paint paramPaint) {
/* 302 */     this.a.setPaint(this.PAINT_FACTORY.buildReplacementPaint(paramPaint));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Color createOpaqueColor(Color paramColor) {
/* 318 */     int i = paramColor.getAlpha();
/*     */     
/* 320 */     int j = paramColor.getRed();
/* 321 */     int k = paramColor.getGreen();
/* 322 */     int m = paramColor.getBlue();
/*     */     
/* 324 */     float f = 1.0F - i / 255.0F;
/*     */     
/* 326 */     j += (int)(f * (255 - j));
/* 327 */     k += (int)(f * (255 - k));
/* 328 */     m += (int)(f * (255 - m));
/*     */     
/* 330 */     return new Color(j, k, m);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\wrap\graphics\NoAlphaGraphics2DWrapper.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */