/*     */ package jpdf_common.gui.component.table;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Font;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.UIManager;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.table.AbstractTableModel;
/*     */ import javax.swing.table.DefaultTableCellRenderer;
/*     */ import javax.swing.table.JTableHeader;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RowNumberTable
/*     */   extends JTable
/*     */ {
/*     */   public static class DataModel
/*     */     extends AbstractTableModel
/*     */   {
/*     */     private final JTable NUMBERED_TABLE;
/*     */     private final TableModel NUMBERED_TABLE_MODEL;
/*     */     private final boolean IS_NUMBERED_TABLE_MODEL_MAPPED;
/*  49 */     private int rowNumberOffset = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private DataModel(JTable param1JTable) {
/*  55 */       this.NUMBERED_TABLE = param1JTable;
/*  56 */       this.NUMBERED_TABLE_MODEL = param1JTable.getModel();
/*  57 */       this.IS_NUMBERED_TABLE_MODEL_MAPPED = this.NUMBERED_TABLE_MODEL instanceof MappedRowTableModel;
/*     */     }
/*     */ 
/*     */     
/*     */     public int getColumnCount() {
/*  62 */       return 1;
/*     */     }
/*     */ 
/*     */     
/*     */     public int getRowCount() {
/*  67 */       return this.NUMBERED_TABLE.getRowCount();
/*     */     }
/*     */ 
/*     */     
/*     */     public Object getValueAt(int param1Int1, int param1Int2) {
/*  72 */       if (this.IS_NUMBERED_TABLE_MODEL_MAPPED)
/*     */       {
/*  74 */         param1Int1 = ((MappedRowTableModel)this.NUMBERED_TABLE_MODEL).getMappedRowIndex(param1Int1);
/*     */       }
/*     */       
/*  77 */       return new Integer(param1Int1 + this.rowNumberOffset + 1);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class CellRenderer
/*     */     extends DefaultTableCellRenderer
/*     */   {
/*     */     public CellRenderer(JTable param1JTable, boolean param1Boolean) {
/* 101 */       boolean bool = param1Boolean; JTable jTable = param1JTable; CellRenderer cellRenderer = this; JTableHeader jTableHeader2 = null; jTableHeader2 = null; cellRenderer.setOpaque(true); cellRenderer.setHorizontalAlignment(0); if (bool) { jTableHeader2 = jTable.getTableHeader(); cellRenderer.setForeground(jTableHeader2.getForeground()); cellRenderer.setBackground(jTableHeader2.getBackground()); cellRenderer.setBorder(jTableHeader2.getBorder()); cellRenderer.setFont(jTableHeader2.getFont()); return; }  Color color; if ((color = (Color)UIManager.get("TableHeader.background")) != null) { cellRenderer.setBackground(color); cellRenderer.setBorder((Border)UIManager.get("TableHeader.cellBorder")); cellRenderer.setFont((Font)UIManager.get("TableHeader.font")); return; }  JTableHeader jTableHeader1 = jTable.getTableHeader(); cellRenderer.setBackground(jTableHeader1.getBackground()); cellRenderer.setBorder((Border)UIManager.get(jTableHeader1.getBorder())); cellRenderer.setFont((Font)UIManager.get(jTableHeader1.getFont()));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Component getTableCellRendererComponent(JTable param1JTable, Object param1Object, boolean param1Boolean1, boolean param1Boolean2, int param1Int1, int param1Int2) {
/* 111 */       setText(param1Object.toString());
/*     */       
/* 113 */       return this;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowNumberTable(JTable paramJTable) {
/* 166 */     this(paramJTable, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowNumberTable(JTable paramJTable, boolean paramBoolean) {
/* 176 */     super(new DataModel(paramJTable, (byte)0));
/*     */     
/* 178 */     a(paramJTable, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRowNumberOffset() {
/* 193 */     return DataModel.a((DataModel)getModel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCellEditable(int paramInt1, int paramInt2) {
/* 201 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellBorder(Border paramBorder) {
/*     */     TableCellRenderer tableCellRenderer;
/* 211 */     if (tableCellRenderer = getCellRenderer(0, 0) instanceof CellRenderer)
/*     */     {
/* 213 */       ((CellRenderer)tableCellRenderer).setBorder(paramBorder);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellFont(Font paramFont) {
/*     */     TableCellRenderer tableCellRenderer;
/* 224 */     if (tableCellRenderer = getCellRenderer(0, 0) instanceof CellRenderer)
/*     */     {
/* 226 */       ((CellRenderer)tableCellRenderer).setFont(paramFont);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRowNumberOffset(int paramInt) {
/* 237 */     setRowNumberOffset(paramInt, getRowCount() + paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRowNumberOffset(int paramInt1, int paramInt2) {
/* 248 */     DataModel dataModel = (DataModel)getModel();
/*     */ 
/*     */     
/* 251 */     if (paramInt1 < 0) {
/*     */       return;
/*     */     }
/* 254 */     DataModel.a(dataModel, paramInt1);
/*     */ 
/*     */     
/* 257 */     a(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(JTable paramJTable, boolean paramBoolean) {
/* 270 */     CellRenderer cellRenderer = new CellRenderer(paramJTable, paramBoolean);
/* 271 */     TableColumn tableColumn = getColumnModel().getColumn(0);
/* 272 */     int i = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 275 */     setRowHeight(paramJTable.getRowHeight());
/* 276 */     setAutoResizeMode(0);
/* 277 */     setCellSelectionEnabled(false);
/* 278 */     setFocusable(false);
/* 279 */     setFocusTraversalKeysEnabled(false);
/* 280 */     tableColumn.setCellRenderer(cellRenderer);
/*     */ 
/*     */     
/* 283 */     JTable jTable = paramJTable; boolean bool = true; int j = jTable.getRowHeight(); int k; if ((k = jTable.getRowCount()) < 25) { for (byte b = 0; b < k; ) { if (jTable.getRowHeight(b) != j) { bool = false; break; }  b++; }  } else { bool = ((jTable.getPreferredSize()).height == j * k) ? true : false; }  if (!bool)
/*     */     {
/* 285 */       for (byte b = 0; b < i; b++)
/*     */       {
/* 287 */         setRowHeight(b, paramJTable.getRowHeight(b));
/*     */       }
/*     */     }
/*     */ 
/*     */     
/* 292 */     a(i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(int paramInt) {
/*     */     TableColumn tableColumn;
/* 336 */     JLabel jLabel = (JLabel)(tableColumn = getColumnModel().getColumn(0)).getCellRenderer();
/* 337 */     if (paramInt < 99) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 342 */       jLabel.setText(" 99 ");
/*     */     }
/* 344 */     else if (paramInt < 999) {
/*     */       
/* 346 */       jLabel.setText(" 999 ");
/*     */     }
/*     */     else {
/*     */       
/* 350 */       jLabel.setText(" 9999 ");
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 356 */     if ((paramInt = (jLabel.getPreferredSize()).width) == 0) {
/*     */       
/* 358 */       tableColumn.setPreferredWidth(5 * jLabel.getText().length());
/*     */     }
/*     */     else {
/*     */       
/* 362 */       tableColumn.setPreferredWidth(paramInt);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 367 */     tableColumn.setWidth(paramInt);
/* 368 */     setSize(paramInt, getHeight());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\component\table\RowNumberTable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */