/*      */ package jpdf_common.system.log;
/*      */ 
/*      */ import java.awt.Component;
/*      */ import java.awt.Container;
/*      */ import java.awt.Frame;
/*      */ import java.awt.event.ComponentListener;
/*      */ import java.awt.event.ContainerListener;
/*      */ import java.awt.event.FocusListener;
/*      */ import java.awt.event.HierarchyBoundsListener;
/*      */ import java.awt.event.HierarchyListener;
/*      */ import java.awt.event.InputMethodListener;
/*      */ import java.awt.event.KeyEvent;
/*      */ import java.awt.event.KeyListener;
/*      */ import java.awt.event.MouseListener;
/*      */ import java.awt.event.MouseMotionListener;
/*      */ import java.beans.PropertyChangeListener;
/*      */ import java.beans.VetoableChangeListener;
/*      */ import java.lang.reflect.Constructor;
/*      */ import java.lang.reflect.Method;
/*      */ import java.util.Arrays;
/*      */ import java.util.Dictionary;
/*      */ import java.util.Enumeration;
/*      */ import java.util.Map;
/*      */ import java.util.Vector;
/*      */ import javax.swing.AbstractButton;
/*      */ import javax.swing.Action;
/*      */ import javax.swing.ActionMap;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.KeyStroke;
/*      */ import javax.swing.UIManager;
/*      */ import javax.swing.event.AncestorListener;
/*      */ import javax.swing.text.AttributeSet;
/*      */ import javax.swing.text.BadLocationException;
/*      */ import javax.swing.text.Document;
/*      */ import javax.swing.text.Element;
/*      */ import javax.swing.text.JTextComponent;
/*      */ import javax.swing.text.Keymap;
/*      */ import javax.swing.text.Style;
/*      */ import javax.swing.text.View;
/*      */ import javax.swing.text.html.StyleSheet;
/*      */ import jpdf_common.system.c.f;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class DebugMessageConstructor
/*      */ {
/*      */   protected static final String DEBUG_MESSAGE_PREFIX = "*** DEBUG: ";
/*      */   
/*      */   public static String buildActionListMessage(Action[] paramArrayOfAction) {
/*   54 */     String str = "[*Action List*]\n  ";
/*      */     
/*   56 */     for (byte b = 0; b < paramArrayOfAction.length; b++)
/*      */     {
/*   58 */       str = str + "\n\t" + paramArrayOfAction[b].getValue("Name") + ": accellerator: " + paramArrayOfAction[b].getValue("AcceleratorKey") + ", description: " + paramArrayOfAction[b].getValue("ShortDescription");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*   63 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildActionMapMessage(JComponent paramJComponent) {
/*   71 */     String str = "[*Component Action Map*]\n  " + a(paramJComponent, true);
/*      */     
/*      */     ActionMap actionMap;
/*      */     Object[] arrayOfObject;
/*   75 */     if ((arrayOfObject = (actionMap = paramJComponent.getActionMap()).allKeys()) != null)
/*      */     {
/*   77 */       for (byte b = 0; b < arrayOfObject.length; b++)
/*      */       {
/*   79 */         str = str + "\n\t" + arrayOfObject[b] + " -> " + actionMap.get(arrayOfObject[b]);
/*      */       }
/*      */     }
/*      */ 
/*      */     
/*   84 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildAllComponentListenersMessage(JComponent paramJComponent) {
/*   97 */     return "[*All Component Listeners*]\n  " + a(paramJComponent, false) + a(paramJComponent, AncestorListener.class) + a(paramJComponent, ComponentListener.class) + a(paramJComponent, ContainerListener.class) + a(paramJComponent, FocusListener.class) + a(paramJComponent, HierarchyBoundsListener.class) + a(paramJComponent, HierarchyListener.class) + a(paramJComponent, InputMethodListener.class) + a(paramJComponent, KeyListener.class) + a(paramJComponent, MouseListener.class) + a(paramJComponent, MouseMotionListener.class) + a(paramJComponent, PropertyChangeListener.class) + a(paramJComponent, VetoableChangeListener.class);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildAllContainerComponentsMessage(Container paramContainer) {
/*  118 */     String str = "[*All Container Components*]\n  " + paramContainer;
/*      */     
/*  120 */     return a(paramContainer, str, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildAllSystemPropertiesMessage() {
/*  128 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/*  132 */       str = buildMapMessageSorted(System.getProperties(), "All System Properties");
/*      */     }
/*  134 */     catch (Exception exception2) {
/*      */       Exception exception1;
/*  136 */       BasicLogManager.logException(exception1 = null);
/*      */     } 
/*      */     
/*  139 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildArrayMessage(Object[] paramArrayOfObject, String paramString) {
/*      */     StringBuffer stringBuffer;
/*  149 */     (stringBuffer = new StringBuffer(32 * (paramArrayOfObject.length + 1))).append("[*" + paramString + " Array*] ");
/*  150 */     for (byte b = 0; b < paramArrayOfObject.length; b++)
/*      */     {
/*  152 */       stringBuffer.append("\n  " + b + ".\t" + paramArrayOfObject[b]);
/*      */     }
/*      */     
/*  155 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildAttributeSetMessage(AttributeSet paramAttributeSet, String paramString) {
/*  163 */     Enumeration<?> enumeration = paramAttributeSet.getAttributeNames();
/*  164 */     Object object = null;
/*  165 */     paramString = "[*" + paramString + " Attribute Set*] " + paramAttributeSet.getClass().getName();
/*      */     
/*  167 */     while (enumeration.hasMoreElements()) {
/*      */       
/*  169 */       object = enumeration.nextElement();
/*  170 */       paramString = paramString + "\n\t" + object + " [" + object.getClass().getName() + "] = " + paramAttributeSet.getAttribute(object);
/*      */     } 
/*      */ 
/*      */     
/*  174 */     return paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildComponentListenersMessage(JComponent paramJComponent, Class paramClass) {
/*  184 */     return "[*Component Listeners*]\n  " + a(paramJComponent, false) + a(paramJComponent, paramClass);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildContainerComponentsMessage(Container paramContainer) {
/*  194 */     String str = "[*Container Components*]\n  " + paramContainer;
/*  195 */     Component[] arrayOfComponent = paramContainer.getComponents();
/*      */     
/*  197 */     for (byte b = 0; b < arrayOfComponent.length; b++)
/*      */     {
/*  199 */       str = str + "\n\t" + a(arrayOfComponent[b], true);
/*      */     }
/*      */     
/*  202 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDebugLogMessage(String paramString, boolean paramBoolean) {
/*  210 */     return computeDebugLogMessage(paramString, paramBoolean).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDictionaryMessage(Dictionary paramDictionary, String paramString) {
/*  218 */     Enumeration<Object> enumeration = paramDictionary.keys();
/*  219 */     String str = null;
/*      */     
/*      */     StringBuffer stringBuffer;
/*  222 */     (stringBuffer = new StringBuffer(256)).append("[*" + paramString + " Dictionary*] ");
/*  223 */     while (enumeration.hasMoreElements()) {
/*      */       
/*  225 */       str = (String)enumeration.nextElement();
/*  226 */       stringBuffer.append("\n\t" + str + " = " + paramDictionary.get(str));
/*      */     } 
/*      */     
/*  229 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDictionaryMessage(Dictionary paramDictionary, String paramString1, String paramString2) {
/*  239 */     Enumeration<Object> enumeration = paramDictionary.keys();
/*  240 */     String str = null;
/*      */     
/*      */     StringBuffer stringBuffer;
/*  243 */     (stringBuffer = new StringBuffer(256)).append("[*" + paramString1 + " Dictionary*] ");
/*  244 */     while (enumeration.hasMoreElements()) {
/*      */ 
/*      */       
/*  247 */       if ((str = (String)enumeration.nextElement()).toString().startsWith(paramString2))
/*      */       {
/*  249 */         stringBuffer.append("\n\t" + str + " = " + paramDictionary.get(str));
/*      */       }
/*      */     } 
/*      */     
/*  253 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDictionaryMessage(Dictionary paramDictionary, String paramString, Class paramClass) {
/*  263 */     Enumeration<Object> enumeration = paramDictionary.keys();
/*  264 */     String str = null;
/*  265 */     Object object = null;
/*      */     
/*      */     StringBuffer stringBuffer;
/*  268 */     (stringBuffer = new StringBuffer(256)).append("[*" + paramString + " Dictionary*] ");
/*  269 */     while (enumeration.hasMoreElements()) {
/*      */       
/*  271 */       str = (String)enumeration.nextElement();
/*  272 */       object = paramDictionary.get(str);
/*  273 */       if (paramClass.isInstance(object))
/*      */       {
/*  275 */         stringBuffer.append("\n\t" + str + " = " + object);
/*      */       }
/*      */     } 
/*      */     
/*  279 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDocumentElementsMessage(Document paramDocument, boolean paramBoolean) {
/*  287 */     String str = "[*Document Elements*]  " + paramDocument + "\n";
/*  288 */     Element element = paramDocument.getDefaultRootElement();
/*      */     
/*  290 */     if (paramBoolean) {
/*      */       
/*  292 */       str = buildDocumentElementsAndAttributesMessage(str, "", element);
/*      */     }
/*      */     else {
/*      */       
/*  296 */       str = buildDocumentElementsMessage(str, "", element);
/*      */     } 
/*      */     
/*  299 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDocumentElementsMessage(String paramString1, String paramString2, Element paramElement) {
/*  310 */     Element element = null;
/*  311 */     int i = paramElement.getElementCount();
/*      */     
/*  313 */     paramString1 = paramString1 + paramString2 + paramElement;
/*  314 */     paramString2 = paramString2 + "  ";
/*  315 */     for (byte b = 0; b < i; b++) {
/*      */       
/*  317 */       element = paramElement.getElement(b);
/*  318 */       paramString1 = buildDocumentElementsMessage(paramString1, paramString2, element);
/*      */     } 
/*      */     
/*  321 */     return paramString1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildDocumentElementsAndAttributesMessage(String paramString1, String paramString2, Element paramElement) {
/*  333 */     AttributeSet attributeSet = null;
/*      */ 
/*      */     
/*  336 */     Object object = null;
/*  337 */     int i = paramElement.getElementCount();
/*      */ 
/*      */     
/*  340 */     paramString1 = paramString1 + "\n" + paramString2 + paramElement;
/*  341 */     paramString2 = paramString2 + "  ";
/*      */ 
/*      */ 
/*      */     
/*  345 */     Enumeration<?> enumeration = (attributeSet = paramElement.getAttributes()).getAttributeNames();
/*  346 */     while (enumeration.hasMoreElements()) {
/*      */       
/*  348 */       object = enumeration.nextElement();
/*  349 */       paramString1 = paramString1 + "  " + paramString2 + object + " [" + object.getClass().getName() + "] = " + attributeSet.getAttribute(object) + "\n";
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  354 */     for (byte b = 0; b < i; b++) {
/*      */       
/*  356 */       Element element = paramElement.getElement(b);
/*  357 */       paramString1 = buildDocumentElementsAndAttributesMessage(paramString1, paramString2, element);
/*      */     } 
/*      */     
/*  360 */     return paramString1;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public static String computeDocumentTextMessage(Document paramDocument) {
/*      */     String str;
/*      */     try {
/*  368 */       str = paramDocument.getText(0, paramDocument.getLength());
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  374 */     catch (Exception exception) {
/*      */       
/*  376 */       str = (paramDocument = null).toString();
/*      */     } 
/*      */     
/*  379 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildEnumerationMessage(Enumeration<String> paramEnumeration, String paramString) {
/*  387 */     paramString = "[*" + paramString + " Enumeration*] ";
/*      */     
/*  389 */     while (paramEnumeration.hasMoreElements())
/*      */     {
/*  391 */       paramString = paramString + "\n\t" + paramEnumeration.nextElement();
/*      */     }
/*      */     
/*  394 */     return paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildInputMapMessage(InputMap paramInputMap, boolean paramBoolean) {
/*  402 */     return "[*Input Map - with" + (paramBoolean ? "" : "out") + " parent keys*]\n  " + a(paramInputMap, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildInputMapMessage(InputMap paramInputMap, boolean paramBoolean, String paramString) {
/*  412 */     return paramString + a(paramInputMap, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildInputMapMessage(JComponent paramJComponent, boolean paramBoolean) {
/*  420 */     return "[*Component Input Map - with" + (paramBoolean ? "" : "out") + " parent keys*]\n  " + a(paramJComponent, true) + a(paramJComponent.getInputMap(), paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildInputMapsMessage(JComponent paramJComponent, boolean paramBoolean) {
/*  431 */     return "[*Component Input Map - with" + (paramBoolean ? "" : "out") + " parent keys*]\n  " + a(paramJComponent, true) + "\n    When Focused\n    =====================================" + a(paramJComponent.getInputMap(0), paramBoolean) + "\n    When Ancestor Of Focused Component\n    =====================================" + a(paramJComponent.getInputMap(1), paramBoolean) + "\n    When In Focused Window\n    =====================================" + a(paramJComponent.getInputMap(2), paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildKeymapMessage(JTextComponent paramJTextComponent) {
/*  450 */     String str = "[*Text Component Key Map*]\n  " + paramJTextComponent;
/*      */     Keymap keymap;
/*  452 */     KeyStroke[] arrayOfKeyStroke = (keymap = paramJTextComponent.getKeymap()).getBoundKeyStrokes();
/*      */     
/*  454 */     for (byte b = 0; b < arrayOfKeyStroke.length; b++)
/*      */     {
/*  456 */       str = str + "\n\t" + arrayOfKeyStroke[b] + " -> " + keymap.getAction(arrayOfKeyStroke[b]);
/*      */     }
/*      */ 
/*      */     
/*  460 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildMapMessageSorted(Map paramMap, String paramString) {
/*  469 */     StringBuffer stringBuffer = new StringBuffer(256);
/*      */     
/*      */     Object[] arrayOfObject;
/*      */     
/*  473 */     Arrays.sort(arrayOfObject = paramMap.keySet().toArray(), f.a());
/*      */ 
/*      */     
/*  476 */     stringBuffer.append("[*" + paramString + " Map*] ");
/*  477 */     for (byte b = 0; b < arrayOfObject.length; b++)
/*      */     {
/*  479 */       stringBuffer.append("\n\t" + arrayOfObject[b] + " = " + paramMap.get(arrayOfObject[b]));
/*      */     }
/*      */     
/*  482 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildObjectAncestryMessage(Object paramObject) {
/*      */     String str1;
/*  490 */     Vector<Class<?>> vector = new Vector(5);
/*  491 */     Object object = null;
/*  492 */     String str2 = "";
/*      */     
/*  494 */     boolean bool = false;
/*      */     
/*  496 */     if (paramObject == null) {
/*      */       
/*  498 */       str1 = "[*Object Ancestry*]  null object";
/*      */     }
/*      */     else {
/*      */       
/*  502 */       str1 = "[*Object Ancestry*]  " + paramObject.toString();
/*      */ 
/*      */       
/*  505 */       Class<?> clazz = paramObject.getClass();
/*  506 */       while (clazz != Object.class) {
/*      */         
/*  508 */         vector.addElement(clazz);
/*  509 */         clazz = clazz.getSuperclass();
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  514 */       for (int j = vector.size() - 1, i = j; i >= 0; i--) {
/*      */         
/*  516 */         str1 = str1 + "\n\t" + str2 + ((Class)vector.elementAt(i)).getName();
/*  517 */         str2 = str2 + "  ";
/*      */       } 
/*      */     } 
/*      */     
/*  521 */     return str1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildObjectClassInfoMessage(Object paramObject, boolean paramBoolean) {
/*  534 */     Class<?> clazz = null;
/*      */     
/*  536 */     Constructor[] arrayOfConstructor = null;
/*  537 */     Method[] arrayOfMethod = null;
/*      */     
/*  539 */     if (paramObject == null) {
/*      */       
/*  541 */       paramObject = "[*Class Info*]  null object";
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  546 */       clazz = paramObject.getClass();
/*  547 */       if (paramBoolean) {
/*      */         
/*  549 */         arrayOfConstructor = (Constructor[])clazz.getDeclaredConstructors();
/*  550 */         arrayOfMethod = clazz.getDeclaredMethods();
/*      */       }
/*      */       else {
/*      */         
/*  554 */         arrayOfConstructor = (Constructor[])clazz.getConstructors();
/*  555 */         arrayOfMethod = clazz.getMethods();
/*      */       } 
/*  557 */       paramObject = "[*Class Info*]\n  " + clazz.getName() + " extends " + clazz.getSuperclass().getName() + "\n    Constructors\n    -------------";
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  562 */       for (paramBoolean = false; paramBoolean < arrayOfConstructor.length; paramBoolean++)
/*      */       {
/*  564 */         paramObject = paramObject + "\n\t" + arrayOfConstructor[paramBoolean];
/*      */       }
/*      */ 
/*      */       
/*  568 */       paramObject = paramObject + "\n    Methods\n    -------------";
/*  569 */       for (paramBoolean = false; paramBoolean < arrayOfMethod.length; paramBoolean++) {
/*      */ 
/*      */         
/*  572 */         if (arrayOfMethod[paramBoolean].getDeclaringClass() != Object.class)
/*      */         {
/*  574 */           paramObject = paramObject + "\n\t" + arrayOfMethod[paramBoolean];
/*      */         }
/*      */       } 
/*      */     } 
/*      */     
/*  579 */     return (String)paramObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildObjectClassInfoMessage(Object paramObject, boolean paramBoolean, String paramString) {
/*  593 */     Class<?> clazz = null;
/*      */     
/*  595 */     Constructor[] arrayOfConstructor = null;
/*      */     
/*  597 */     Method[] arrayOfMethod = null;
/*      */     
/*  599 */     if (paramObject == null) {
/*      */       
/*  601 */       paramObject = "[*Class Info*]  null object";
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  606 */       clazz = paramObject.getClass();
/*  607 */       if (paramBoolean) {
/*      */         
/*  609 */         arrayOfConstructor = (Constructor[])clazz.getDeclaredConstructors();
/*  610 */         arrayOfMethod = clazz.getDeclaredMethods();
/*      */       }
/*      */       else {
/*      */         
/*  614 */         arrayOfConstructor = (Constructor[])clazz.getConstructors();
/*  615 */         arrayOfMethod = clazz.getMethods();
/*      */       } 
/*  617 */       paramObject = "[*Class Info*]\n  " + clazz.getName() + " extends " + clazz.getSuperclass().getName() + "\n    Constructors\n    -------------";
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  622 */       for (paramBoolean = false; paramBoolean < arrayOfConstructor.length; paramBoolean++)
/*      */       {
/*  624 */         paramObject = paramObject + "\n\t" + arrayOfConstructor[paramBoolean];
/*      */       }
/*      */ 
/*      */       
/*  628 */       paramObject = paramObject + "\n    Methods\n    -------------";
/*  629 */       for (paramBoolean = false; paramBoolean < arrayOfMethod.length; paramBoolean++) {
/*      */ 
/*      */         
/*  632 */         if (arrayOfMethod[paramBoolean].getDeclaringClass().getName().startsWith(paramString))
/*      */         {
/*  634 */           paramObject = paramObject + "\n\t" + arrayOfMethod[paramBoolean];
/*      */         }
/*      */       } 
/*      */     } 
/*      */     
/*  639 */     return (String)paramObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildParentTreeMessage(Component paramComponent) {
/*  647 */     Vector<Container> vector = new Vector(8);
/*  648 */     String str = "[*Parent Tree*] " + paramComponent.toString();
/*  649 */     Container container = paramComponent.getParent();
/*  650 */     while (container != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  655 */       vector.addElement(container);
/*  656 */       container = container.getParent();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  661 */     for (int i = vector.size() - 1; i >= 0; i--)
/*      */     {
/*  663 */       str = str + "\n\t" + vector.elementAt(i).getClass().getName();
/*      */     }
/*      */ 
/*      */     
/*  667 */     return str = str + "\n\t" + paramComponent.getClass().getName();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildShowingFramesMessage() {
/*  675 */     Frame[] arrayOfFrame = Frame.getFrames();
/*  676 */     String str = "[*All Showing Frames*]";
/*      */     
/*  678 */     for (byte b = 0; b < arrayOfFrame.length; b++) {
/*      */       
/*  680 */       if (arrayOfFrame[b].isShowing()) str = str + "\n\t" + arrayOfFrame[b];
/*      */     
/*      */     } 
/*  683 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildStyleSheetMessage(StyleSheet paramStyleSheet) {
/*  691 */     Enumeration<?> enumeration = paramStyleSheet.getStyleNames();
/*  692 */     String str = null;
/*  693 */     Style style = null;
/*  694 */     StringBuffer stringBuffer = new StringBuffer(256);
/*  695 */     str = null;
/*  696 */     Object object = null;
/*      */     
/*  698 */     stringBuffer.append("[*Style Sheet*] ");
/*  699 */     while (enumeration.hasMoreElements()) {
/*      */       
/*  701 */       str = enumeration.nextElement().toString();
/*  702 */       style = paramStyleSheet.getRule(str);
/*  703 */       stringBuffer.append("\n\t" + str + " : {");
/*      */       
/*  705 */       Enumeration<?> enumeration1 = style.getAttributeNames();
/*  706 */       while (enumeration1.hasMoreElements()) {
/*      */         
/*  708 */         object = enumeration1.nextElement();
/*  709 */         stringBuffer.append(object + ":" + style.getAttribute(object) + "; ");
/*      */       } 
/*  711 */       stringBuffer.append("}");
/*      */     } 
/*      */     
/*  714 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildUIDefaultsMessage() {
/*  723 */     return buildDictionaryMessage(UIManager.getDefaults(), "User Default");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildUIDefaultsMessage(String paramString) {
/*  735 */     return buildDictionaryMessage(UIManager.getDefaults(), paramString + " User Default", paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildUIDefaultsMessage(Class paramClass) {
/*  745 */     return buildDictionaryMessage(UIManager.getDefaults(), paramClass.getName() + " User Defaults", paramClass);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildVectorMessage(Vector<String> paramVector, String paramString) {
/*  754 */     paramString = "[*" + paramString + " Vector*] ";
/*  755 */     int i = paramVector.size();
/*      */     
/*  757 */     for (byte b = 0; b < i; b++)
/*      */     {
/*  759 */       paramString = paramString + "\n  " + b + "\t" + paramVector.elementAt(b);
/*      */     }
/*      */     
/*  762 */     return paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildViewsMessage(View paramView, boolean paramBoolean) {
/*      */     StringBuffer stringBuffer;
/*  777 */     (stringBuffer = new StringBuffer(paramBoolean ? 1024 : 512)).append("[*Root View Views*]  " + paramView.getClass().getName() + "\n");
/*      */ 
/*      */     
/*  780 */     return (stringBuffer = a(stringBuffer, "", paramView, paramBoolean)).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildViewsMessage(JTextComponent paramJTextComponent, boolean paramBoolean) {
/*  794 */     StringBuffer stringBuffer = new StringBuffer(paramBoolean ? 1024 : 512);
/*  795 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  797 */     stringBuffer.append("[*Text Component Views*]  " + paramJTextComponent.getClass().getName() + "\n");
/*      */ 
/*      */     
/*  800 */     return (stringBuffer = a(stringBuffer, "", view, paramBoolean)).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildViewsWithAttributesMessage(JTextComponent paramJTextComponent) {
/*  812 */     StringBuffer stringBuffer = new StringBuffer(2048);
/*  813 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  815 */     stringBuffer.append("[*Text Component Views*]  " + paramJTextComponent.getClass().getName() + "\n");
/*      */ 
/*      */     
/*  818 */     return (stringBuffer = a(stringBuffer, "", view)).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildViewsWithTextMessage(JTextComponent paramJTextComponent, Class paramClass, boolean paramBoolean) {
/*  829 */     StringBuffer stringBuffer = new StringBuffer(1024);
/*  830 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  832 */     stringBuffer.append("[*Text Component Views*]  " + paramJTextComponent.getClass().getName() + "\n");
/*      */ 
/*      */ 
/*      */     
/*  836 */     return (stringBuffer = a(paramJTextComponent.getDocument(), stringBuffer, "", view, paramClass, paramBoolean)).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String buildViewsWithTextMessage(JTextComponent paramJTextComponent, String paramString, boolean paramBoolean) {
/*  848 */     StringBuffer stringBuffer = new StringBuffer(1024);
/*  849 */     View view = paramJTextComponent.getUI().getRootView(paramJTextComponent);
/*      */     
/*  851 */     stringBuffer.append("[*Text Component Views*]  " + paramJTextComponent.getClass().getName() + "\n");
/*      */ 
/*      */ 
/*      */     
/*  855 */     return (stringBuffer = a(paramJTextComponent.getDocument(), stringBuffer, "", view, paramString, paramBoolean)).toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected static StringBuffer computeDebugLogMessage(String paramString, boolean paramBoolean) {
/*      */     StringBuffer stringBuffer;
/*  868 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  875 */       stringBuffer = new StringBuffer("\n*** DEBUG: " + paramString + "\n================================================= \n" + BasicLogManager.getTraceString(3));
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  882 */       stringBuffer = new StringBuffer("*** DEBUG: " + stringBuffer);
/*      */     } 
/*      */     
/*  885 */     return stringBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String a(InputMap paramInputMap, boolean paramBoolean) {
/*  898 */     StringBuffer stringBuffer = new StringBuffer(100);
/*  899 */     KeyStroke[] arrayOfKeyStroke = paramBoolean ? paramInputMap.allKeys() : paramInputMap.keys();
/*  900 */     String str = null;
/*      */     
/*  902 */     if (arrayOfKeyStroke != null) {
/*      */ 
/*      */       
/*  905 */       Arrays.sort(arrayOfKeyStroke, f.a());
/*      */ 
/*      */       
/*  908 */       for (byte b = 0; b < arrayOfKeyStroke.length; b++) {
/*      */ 
/*      */         
/*  911 */         if ((str = KeyEvent.getKeyModifiersText(arrayOfKeyStroke[b].getModifiers())).length() > 0) {
/*      */           
/*  913 */           stringBuffer.append("\n\t" + str + "+" + KeyEvent.getKeyText(arrayOfKeyStroke[b].getKeyCode()) + " -> " + paramInputMap.get(arrayOfKeyStroke[b]));
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  919 */           stringBuffer.append("\n\t" + KeyEvent.getKeyText(arrayOfKeyStroke[b].getKeyCode()) + " -> " + paramInputMap.get(arrayOfKeyStroke[b]));
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  925 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static StringBuffer a(StringBuffer paramStringBuffer, String paramString, View paramView, boolean paramBoolean) {
/*  940 */     String str = paramView.getElement().getName();
/*  941 */     View view = null;
/*  942 */     int i = paramView.getViewCount();
/*      */     
/*  944 */     paramStringBuffer.append("\n" + paramString + paramView.getClass().getName() + " [" + str + "]");
/*  945 */     paramString = paramString + "  ";
/*  946 */     for (byte b = 0; b < i; b++) {
/*      */       
/*  948 */       view = paramView.getView(b);
/*  949 */       if (paramBoolean || !view.getElement().getName().equals("content"))
/*      */       {
/*      */         
/*  952 */         paramStringBuffer = a(paramStringBuffer, paramString, view, paramBoolean);
/*      */       }
/*      */     } 
/*      */     
/*  956 */     return paramStringBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static StringBuffer a(StringBuffer paramStringBuffer, String paramString, View paramView) {
/*  970 */     Enumeration<?> enumeration = null;
/*      */     
/*  972 */     String str = paramView.getElement().getName();
/*  973 */     enumeration = null;
/*  974 */     Object object = null;
/*  975 */     int i = paramView.getViewCount();
/*      */ 
/*      */     
/*  978 */     paramStringBuffer.append("\n" + paramString + paramView.getClass().getName() + " [" + str + "]");
/*  979 */     paramString = paramString + "  ";
/*      */     
/*      */     AttributeSet attributeSet;
/*      */     
/*  983 */     if ((attributeSet = paramView.getAttributes()) != null) {
/*      */       
/*  985 */       enumeration = attributeSet.getAttributeNames();
/*  986 */       while (enumeration.hasMoreElements()) {
/*      */         
/*  988 */         object = enumeration.nextElement();
/*  989 */         paramStringBuffer.append("\n  " + paramString + object + " [" + object.getClass().getName() + "] = " + attributeSet.getAttribute(object));
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  996 */     for (byte b = 0; b < i; b++) {
/*      */       View view;
/*      */       
/*  999 */       if (!(view = paramView.getView(b)).getElement().getName().equals("content"))
/*      */       {
/* 1001 */         paramStringBuffer = a(paramStringBuffer, paramString, view);
/*      */       }
/*      */     } 
/*      */     
/* 1005 */     return paramStringBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static StringBuffer a(Document paramDocument, StringBuffer paramStringBuffer, String paramString, View paramView, Class paramClass, boolean paramBoolean) {
/* 1024 */     String str = paramView.getElement().getName();
/* 1025 */     View view = null;
/* 1026 */     int i = paramView.getViewCount();
/*      */ 
/*      */     
/* 1029 */     paramStringBuffer.append("\n" + paramString + paramView.getClass().getName() + " [" + str + "]");
/* 1030 */     paramString = paramString + "  ";
/*      */ 
/*      */     
/* 1033 */     if (paramClass.isInstance(paramView))
/*      */     {
/* 1035 */       paramStringBuffer.append("\n  " + paramString + a(paramDocument, paramView));
/*      */     }
/*      */ 
/*      */     
/* 1039 */     for (byte b = 0; b < i; b++) {
/*      */       
/* 1041 */       view = paramView.getView(b);
/*      */       
/* 1043 */       if (paramBoolean || !view.getElement().getName().equals("content"))
/*      */       {
/* 1045 */         paramStringBuffer = a(paramDocument, paramStringBuffer, paramString, view, paramClass, paramBoolean);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1050 */     return paramStringBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static StringBuffer a(Document paramDocument, StringBuffer paramStringBuffer, String paramString1, View paramView, String paramString2, boolean paramBoolean) {
/* 1067 */     String str = paramView.getElement().getName();
/* 1068 */     View view = null;
/* 1069 */     int i = paramView.getViewCount();
/*      */ 
/*      */     
/* 1072 */     paramStringBuffer.append("\n" + paramString1 + paramView.getClass().getName() + " [" + str + "]");
/* 1073 */     paramString1 = paramString1 + "  ";
/*      */ 
/*      */     
/* 1076 */     if (str.equalsIgnoreCase(paramString2))
/*      */     {
/* 1078 */       paramStringBuffer.append("\n  " + paramString1 + a(paramDocument, paramView));
/*      */     }
/*      */ 
/*      */     
/* 1082 */     for (byte b = 0; b < i; b++) {
/*      */       
/* 1084 */       view = paramView.getView(b);
/*      */       
/* 1086 */       if (paramBoolean || !view.getElement().getName().equals("content"))
/*      */       {
/* 1088 */         paramStringBuffer = a(paramDocument, paramStringBuffer, paramString1, view, paramString2, paramBoolean);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1093 */     return paramStringBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String a(Container paramContainer, String paramString, int paramInt) {
/* 1104 */     Component[] arrayOfComponent = paramContainer.getComponents();
/* 1105 */     String str = "\n\t";
/*      */     
/*      */     byte b;
/* 1108 */     for (b = 1; b <= paramInt; b++)
/*      */     {
/* 1110 */       str = str + "\t";
/*      */     }
/*      */ 
/*      */     
/* 1114 */     for (b = 0; b < arrayOfComponent.length; b++) {
/*      */       
/* 1116 */       paramString = paramString + str + b + ". " + a(arrayOfComponent[b], true);
/*      */ 
/*      */       
/* 1119 */       if (arrayOfComponent[b] instanceof Container)
/*      */       {
/* 1121 */         paramString = a((Container)arrayOfComponent[b], paramString, paramInt + 1);
/*      */       }
/*      */     } 
/*      */     
/* 1125 */     return paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String a(JComponent paramJComponent, Class paramClass) {
/*      */     // Byte code:
/*      */     //   0: aload_0
/*      */     //   1: aload_1
/*      */     //   2: invokevirtual getListeners : (Ljava/lang/Class;)[Ljava/util/EventListener;
/*      */     //   5: astore_0
/*      */     //   6: new java/lang/StringBuilder
/*      */     //   9: dup
/*      */     //   10: ldc '\\n    Class: '
/*      */     //   12: invokespecial <init> : (Ljava/lang/String;)V
/*      */     //   15: aload_1
/*      */     //   16: invokevirtual getName : ()Ljava/lang/String;
/*      */     //   19: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuilder;
/*      */     //   22: invokevirtual toString : ()Ljava/lang/String;
/*      */     //   25: astore_1
/*      */     //   26: iconst_0
/*      */     //   27: istore_2
/*      */     //   28: iload_2
/*      */     //   29: aload_0
/*      */     //   30: arraylength
/*      */     //   31: if_icmpge -> 83
/*      */     //   34: new java/lang/StringBuilder
/*      */     //   37: dup
/*      */     //   38: invokespecial <init> : ()V
/*      */     //   41: aload_1
/*      */     //   42: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuilder;
/*      */     //   45: ldc '\\n\\t'
/*      */     //   47: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuilder;
/*      */     //   50: aload_0
/*      */     //   51: iload_2
/*      */     //   52: aaload
/*      */     //   53: invokevirtual getClass : ()Ljava/lang/Class;
/*      */     //   56: invokevirtual getName : ()Ljava/lang/String;
/*      */     //   59: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuilder;
/*      */     //   62: ldc ': '
/*      */     //   64: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuilder;
/*      */     //   67: aload_0
/*      */     //   68: iload_2
/*      */     //   69: aaload
/*      */     //   70: invokevirtual append : (Ljava/lang/Object;)Ljava/lang/StringBuilder;
/*      */     //   73: invokevirtual toString : ()Ljava/lang/String;
/*      */     //   76: astore_1
/*      */     //   77: iinc #2, 1
/*      */     //   80: goto -> 28
/*      */     //   83: aload_1
/*      */     //   84: areturn
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #1136	-> 0
/*      */     //   #1137	-> 6
/*      */     //   #1139	-> 26
/*      */     //   #1141	-> 34
/*      */     //   #1139	-> 77
/*      */     //   #1144	-> 83
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String a(Component paramComponent, boolean paramBoolean) {
/* 1153 */     StringBuffer stringBuffer = new StringBuffer(80);
/* 1154 */     String str = null;
/* 1155 */     boolean bool = false;
/*      */ 
/*      */     
/* 1158 */     stringBuffer.append(paramComponent.getClass().getName());
/*      */ 
/*      */     
/* 1161 */     if (paramComponent instanceof AbstractButton) {
/*      */ 
/*      */       
/* 1164 */       if ((str = ((AbstractButton)paramComponent).getText()) != null && !str.trim().equals(""))
/*      */       {
/* 1166 */         stringBuffer.append(" [text=" + str);
/* 1167 */         bool = true;
/*      */ 
/*      */ 
/*      */       
/*      */       }
/* 1172 */       else if ((str = ((AbstractButton)paramComponent).getToolTipText()) != null && !str.trim().equals(""))
/*      */       {
/* 1174 */         stringBuffer.append(" [tip=" + str);
/* 1175 */         bool = true;
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/* 1181 */     else if (paramComponent instanceof JLabel) {
/*      */       
/* 1183 */       stringBuffer.append(" [text=" + ((JLabel)paramComponent).getText());
/* 1184 */       bool = true;
/*      */     } 
/*      */ 
/*      */     
/* 1188 */     if (!bool && paramComponent.getName() != null) {
/*      */       
/* 1190 */       stringBuffer.append(" [name=" + paramComponent.getName());
/* 1191 */       bool = true;
/*      */     } 
/*      */ 
/*      */     
/* 1195 */     if (paramBoolean) {
/*      */       
/* 1197 */       stringBuffer.append(bool ? ", " : "[").append("focusable=");
/* 1198 */       stringBuffer.append(paramComponent.isFocusable() ? "yes" : "no");
/* 1199 */       bool = true;
/*      */     } 
/*      */ 
/*      */     
/* 1203 */     if (bool) stringBuffer.append(']');
/*      */ 
/*      */     
/* 1206 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String a(Document paramDocument, View paramView) {
/*      */     String str;
/*      */     Element element;
/* 1215 */     int j = (element = paramView.getElement()).getStartOffset();
/*      */     
/* 1217 */     int i = element.getEndOffset() - j;
/*      */ 
/*      */     
/*      */     try {
/* 1221 */       str = paramDocument.getText(j, i);
/*      */     }
/* 1223 */     catch (BadLocationException badLocationException) {
/*      */       
/* 1225 */       str = "****ERROR: " + badLocationException.toString();
/*      */     } 
/*      */     
/* 1228 */     return str;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\system\log\DebugMessageConstructor.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */