/*     */ package jpdf_common.system.manage;
/*     */ 
/*     */ import java.awt.KeyboardFocusManager;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.Window;
/*     */ import java.io.File;
/*     */ import java.io.FileFilter;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.PrintStream;
/*     */ import javax.swing.JOptionPane;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ import jpdf_common.gui.manage.a;
/*     */ import jpdf_common.system.b.a;
/*     */ import jpdf_common.system.c.g;
/*     */ import jpdf_common.system.log.BasicLogManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BasicApplicationManager
/*     */ {
/*     */   public static class LogErrorHandler
/*     */     implements ErrorHandler
/*     */   {
/*     */     public void displayErrorMessage(String param1String1, String param1String2) {
/*  60 */       a.a(param1String1, param1String2);
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleError(Throwable param1Throwable, boolean param1Boolean) {
/*  65 */       BasicLogManager.logException(param1Throwable, param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleUncaughtError(Throwable param1Throwable) {
/*  70 */       BasicLogManager.logUncaughtException(param1Throwable);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class NoLogErrorHandler
/*     */     implements ErrorHandler
/*     */   {
/*     */     public void displayErrorMessage(String param1String1, String param1String2) {
/*  83 */       a.a(param1String1, param1String2);
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleError(Throwable param1Throwable, boolean param1Boolean) {
/*  88 */       if (param1Boolean)
/*     */       {
/*  90 */         a.a(param1Throwable);
/*     */       }
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleUncaughtError(Throwable param1Throwable) {
/*  96 */       a.b(param1Throwable);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class ConsoleErrorHandler
/*     */     implements ErrorHandler
/*     */   {
/*     */     public void displayErrorMessage(String param1String1, String param1String2) {
/* 109 */       System.out.println("\n*** ERROR: " + param1String1);
/* 110 */       System.out.println("------------------------------------------------");
/* 111 */       System.out.println(param1String2 + "\n");
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleError(Throwable param1Throwable, boolean param1Boolean) {
/* 116 */       System.out.println("\n*** ERROR: " + param1Throwable);
/* 117 */       System.out.println("------------------------------------------------");
/* 118 */       param1Throwable.printStackTrace(System.out);
/*     */     }
/*     */ 
/*     */     
/*     */     public void handleUncaughtError(Throwable param1Throwable) {
/* 123 */       System.out.println("\n*** UNCAUGHT ERROR: " + param1Throwable);
/* 124 */       System.out.println("------------------------------------------------");
/* 125 */       param1Throwable.printStackTrace(System.out);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class DefaultAbortHandler
/*     */     implements AbortHandler
/*     */   {
/*     */     public void handleStartAbort(String param1String1, String param1String2, Throwable param1Throwable) {
/* 145 */       PrintStream printStream = null;
/* 146 */       String str1 = null;
/* 147 */       printStream = null;
/* 148 */       str1 = "";
/* 149 */       String str2 = null;
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 154 */         str2 = g.a(param1Throwable, 9999);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 161 */         System.out.println("\n\n===================================\n" + param1String1 + "\n===================================\n");
/*     */ 
/*     */         
/* 164 */         System.out.println(str2);
/* 165 */         System.out.println("\n\n===============================\n" + param1String1 + "\n===============================\n");
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 170 */         if (param1String2 != null) {
/*     */           
/* 172 */           str1 = BasicLogManager.buildQualifiedLogFileName(param1String2 + ".abort");
/*     */           
/* 174 */           (printStream = new PrintStream(new FileOutputStream(str1), true)).println(str2);
/* 175 */           str1 = "<FONT color=\"#0000ff\">Error information has been written to file: " + str1 + "</FONT>";
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 181 */         if (param1Throwable instanceof Diagnostic) {
/*     */           
/* 183 */           str = ((Diagnostic)param1Throwable).getDetailedExplanation(true, 12);
/*     */         }
/*     */         else {
/*     */           
/* 187 */           str = param1Throwable.getMessage();
/*     */         } 
/* 189 */         if (str == null) str = param1Throwable.toString(); 
/* 190 */         if (str == null) str = param1Throwable.getClass().getName(); 
/* 191 */         String str = str.replaceAll("\n", "<BR>");
/* 192 */         str = "<HTML> <B>A Fatal Error has occurred: " + param1Throwable.getClass().getName() + "<HR><B>" + str + "</B><HR>" + str1 + "</B></HTML>";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 199 */         Toolkit.getDefaultToolkit().beep();
/* 200 */         JOptionPane.showMessageDialog(null, str, "Fatal Error", 0);
/*     */       }
/* 202 */       catch (Throwable throwable) {}
/*     */ 
/*     */       
/* 205 */       System.exit(99);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void handleAbort(String param1String1, String param1String2, Throwable param1Throwable, boolean param1Boolean) {
/* 217 */       String str = null;
/*     */ 
/*     */       
/* 220 */       if (param1Boolean) {
/*     */ 
/*     */         
/* 223 */         if (param1String2 != null) {
/*     */           
/* 225 */           str = BasicLogManager.buildQualifiedLogFileName(param1String2 + ".abort");
/*     */           
/*     */           try {
/* 228 */             param1Throwable.printStackTrace(new PrintStream(new FileOutputStream(str), true));
/*     */           }
/* 230 */           catch (Throwable throwable) {}
/*     */         } 
/*     */ 
/*     */         
/* 234 */         System.out.println("\n\n===============================\n" + param1String1 + "\n===============================\n");
/*     */ 
/*     */         
/* 237 */         BasicApplicationManager.exit(-10);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 243 */       handleStartAbort(param1String1, param1String2, param1Throwable);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 252 */   private static AbortHandler a = new DefaultAbortHandler();
/* 253 */   private static ErrorHandler b = new NoLogErrorHandler();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean c = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void abort(String paramString1, Throwable paramThrowable, String paramString2, boolean paramBoolean) {
/* 274 */     getAbortHandler().handleAbort(paramString2, paramString1, paramThrowable, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void abortStart(String paramString, Throwable paramThrowable) {
/* 289 */     getAbortHandler().handleStartAbort("Critical system startup error", paramString, paramThrowable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void displayDataErrorMessage(String paramString) {
/* 300 */     getErrorHandler().displayErrorMessage("Invalid Data Input", paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void displayErrorMessage(String paramString1, String paramString2) {
/* 310 */     getErrorHandler().displayErrorMessage(paramString1, paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void establishUncaughtExceptionHandling(String paramString) {
/* 324 */     Object object = null;
/* 325 */     int i = 0;
/*     */ 
/*     */ 
/*     */     
/* 329 */     if (paramString == null) {
/*     */       
/* 331 */       System.setErr(new UncaughtExceptionPrintStream());
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */ 
/*     */     
/* 338 */     i = a(paramString);
/*     */     
/* 340 */     String str = BasicLogManager.buildQualifiedLogFileName(paramString = paramString + "." + i + ".error");
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 345 */       System.setErr(new UncaughtExceptionPrintStream(str));
/*     */       return;
/* 347 */     } catch (FileNotFoundException fileNotFoundException) {
/*     */       
/* 349 */       handleError((Throwable)(paramString = null), true);
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void exit(int paramInt) {
/* 359 */     if (BasicLogManager.isInitialized()) BasicLogManager.logMessage("\nExit..."); 
/* 360 */     BasicLogManager.terminate();
/* 361 */     System.exit(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbortHandler getAbortHandler() {
/* 370 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ErrorHandler getErrorHandler() {
/* 378 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void handleError(Throwable paramThrowable) {
/* 386 */     getErrorHandler().handleError(paramThrowable, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void handleError(Throwable paramThrowable, boolean paramBoolean) {
/* 394 */     Window window = null;
/*     */ 
/*     */ 
/*     */     
/* 398 */     if (paramBoolean)
/*     */     {
/*     */       
/* 401 */       if (window = KeyboardFocusManager.getCurrentKeyboardFocusManager().getFocusedWindow() instanceof WaitCursorable)
/*     */       {
/* 403 */         ((WaitCursorable)window).setDefaultCursor();
/*     */       }
/*     */     }
/*     */     
/* 407 */     getErrorHandler().handleError(paramThrowable, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void handleUncaughtError(Throwable paramThrowable) {
/*     */     Window window;
/* 420 */     if (window = KeyboardFocusManager.getCurrentKeyboardFocusManager().getFocusedWindow() instanceof WaitCursorable)
/*     */     {
/* 422 */       ((WaitCursorable)window).setDefaultCursor();
/*     */     }
/*     */     
/* 425 */     getErrorHandler().handleUncaughtError(paramThrowable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void initialize(String paramString1, String paramString2, ErrorHandler paramErrorHandler, boolean paramBoolean1, boolean paramBoolean2) {
/* 436 */     initialize(paramString1, paramString2, paramErrorHandler, paramBoolean1, true, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void initialize(String paramString1, String paramString2, ErrorHandler paramErrorHandler, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/* 481 */     String str = null;
/*     */ 
/*     */     
/* 484 */     if (paramErrorHandler instanceof AbortHandler)
/*     */     {
/* 486 */       setAbortHandler((AbortHandler)paramErrorHandler);
/*     */     }
/*     */ 
/*     */     
/* 490 */     if (paramString2 != null)
/*     */     {
/* 492 */       BasicLogManager.initialize(paramString2, paramString1);
/*     */     }
/*     */ 
/*     */     
/* 496 */     if (paramBoolean1) {
/*     */       
/* 498 */       if (paramBoolean2)
/*     */       {
/* 500 */         str = (paramString2 == null) ? "UncaughtException" : paramString2;
/*     */       }
/*     */       
/* 503 */       establishUncaughtExceptionHandling(str);
/*     */     } 
/*     */ 
/*     */     
/* 507 */     BasicResourceManager.initialize();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 513 */     if (paramErrorHandler != null) {
/*     */       
/* 515 */       setErrorHandler(paramErrorHandler);
/*     */     }
/* 517 */     else if (paramString2 != null) {
/*     */       
/* 519 */       setErrorHandler(new LogErrorHandler());
/*     */     } 
/*     */ 
/*     */     
/* 523 */     if (paramBoolean3) boolean bool = true;
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isInitialized() {
/* 534 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setAbortHandler(AbortHandler paramAbortHandler) {
/* 543 */     if (paramAbortHandler == null)
/*     */     {
/* 545 */       throw new IllegalArgumentException("The Abort Handler cannot be NULL.");
/*     */     }
/* 547 */     a = paramAbortHandler;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setErrorHandler(ErrorHandler paramErrorHandler) {
/* 555 */     if (paramErrorHandler == null)
/*     */     {
/* 557 */       throw new IllegalArgumentException("The Error Handler cannot be NULL.");
/*     */     }
/* 559 */     b = paramErrorHandler;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setInitialized(boolean paramBoolean) {
/* 569 */     c = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(String paramString) {
/* 583 */     File file = null;
/*     */ 
/*     */     
/* 586 */     file = null;
/* 587 */     file = new File(BasicLogManager.getLogFilePath());
/*     */     
/* 589 */     int i = paramString.length() + 1;
/* 590 */     int j = -1;
/* 591 */     byte b = -1;
/* 592 */     int k = 0;
/* 593 */     int m = 0;
/* 594 */     k = 0;
/*     */ 
/*     */     
/* 597 */     paramString = paramString + ".*.error.log";
/*     */ 
/*     */     
/* 600 */     a a = new a(false, false, paramString);
/*     */     File[] arrayOfFile;
/* 602 */     if ((arrayOfFile = file.listFiles((FileFilter)a)) != null)
/*     */     {
/* 604 */       for (byte b1 = 0; b1 < arrayOfFile.length; b1++) {
/*     */         String str;
/*     */         
/* 607 */         k = (str = arrayOfFile[b1].getName()).indexOf(".", i);
/* 608 */         str = str.substring(i, k);
/*     */ 
/*     */         
/*     */         try {
/* 612 */           if ((k = Integer.parseInt(str)) > j)
/*     */           {
/* 614 */             j = k;
/* 615 */             b = b1;
/*     */           }
/*     */         
/* 618 */         } catch (NumberFormatException numberFormatException) {}
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 624 */     if (b >= 0)
/*     */     {
/* 626 */       if (arrayOfFile[b].length() == 0L) {
/*     */         
/* 628 */         m = j;
/*     */       }
/*     */       else {
/*     */         
/* 632 */         m = j + 1;
/*     */       } 
/*     */     }
/*     */     
/* 636 */     return m;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\system\manage\BasicApplicationManager.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */