/*      */ package jpdf_demo;
/*      */ 
/*      */ import java.awt.Color;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Window;
/*      */ import java.awt.print.Pageable;
/*      */ import java.awt.print.Printable;
/*      */ import java.io.File;
/*      */ import java.io.IOException;
/*      */ import java.net.URL;
/*      */ import java.util.Locale;
/*      */ import javax.print.PrintService;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.swing.JFrame;
/*      */ import javax.swing.UIManager;
/*      */ import jpdf.ability.FileProcessor;
/*      */ import jpdf.diagnostics.DiagnosticsManager;
/*      */ import jpdf.diagnostics.JpdfDiagnosticsException;
/*      */ import jpdf.diagnostics.JpdfException;
/*      */ import jpdf.diagnostics.LogPanel;
/*      */ import jpdf.diagnostics.MinimumMarginFixer;
/*      */ import jpdf.gui.controller.AbstractPrintServiceSelectorPanel;
/*      */ import jpdf.gui.preview.AbstractViewDialog;
/*      */ import jpdf.manage.GhostscriptPrintingOptions;
/*      */ import jpdf.manage.PrintCustomizationFacade;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.PrintServiceRegistry;
/*      */ import jpdf.utility.FindReplaceFileProcessor;
/*      */ import jpdf.wrap.AliasPrintServiceWrapper;
/*      */ import jpdf_common.gui.d.j;
/*      */ import jpdf_common.system.manage.BasicApplicationManager;
/*      */ import jpdf_common.system.manage.BasicLocalizationManager;
/*      */ import jpdf_common.system.manage.BasicResourceManager;
/*      */ import jpdf_demo.gui.DemoDriverFrame;
/*      */ import jpdf_demo.gui.about.HeraldWindow;
/*      */ import jpdf_demo.gui.b.i;
/*      */ import jpdf_demo.gui.b.j;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class DemoApplication
/*      */ {
/*      */   public static final String a;
/*      */   
/*      */   public static class DemoException
/*      */     extends Exception
/*      */   {
/*      */     public DemoException() {
/*   90 */       super("Demo Exception - intended for JPDF demonstration purposes.");
/*      */     }
/*      */ 
/*      */     
/*      */     public DemoException(String param1String) {
/*   95 */       super(param1String);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   static class a
/*      */     extends Thread
/*      */   {
/*      */     private final Window a;
/*      */ 
/*      */     
/*      */     private final int b;
/*      */ 
/*      */ 
/*      */     
/*      */     private a(Window param1Window, int param1Int) {
/*  112 */       this.a = param1Window;
/*  113 */       this.b = param1Int * 1000;
/*  114 */       setPriority(1);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public final void run() {
/*      */       try {
/*  121 */         sleep(this.b);
/*      */       }
/*  123 */       catch (InterruptedException interruptedException) {}
/*  124 */       this.a.dispose();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static class CommandLineParamInfo
/*      */   {
/*  133 */     public Dimension a = null;
/*  134 */     public Dimension b = null;
/*  135 */     public String c = "native";
/*      */     public boolean d = false;
/*      */     public boolean e = false;
/*      */     public boolean f = false;
/*      */     public boolean g;
/*      */     public boolean h = false;
/*      */     public boolean i = false;
/*      */     public boolean j = false;
/*      */     public boolean k = false;
/*      */     public boolean l = false;
/*      */     public boolean m = false;
/*  146 */     public String n = null;
/*  147 */     public String o = null;
/*  148 */     public String p = null;
/*  149 */     public String q = "Ghostscript PDF";
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static {
/*  157 */     String str = "jpdf_demo/resources/Intro_Welcome.html"; ClassLoader classLoader; if ((classLoader = DemoApplication.class.getClassLoader()) == null) classLoader = ClassLoader.getSystemClassLoader();  URL uRL; if ((uRL = classLoader.getResource(str)) == null) { str = "The specified Demo Resource could not be located:\n  " + str + "\nIt is either missing or the Class Path is not correct."; throw new RuntimeException(str); }  a = str = (str = uRL.toString()).substring(0, str.lastIndexOf('/') + 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  163 */   private static Exception b = null;
/*      */ 
/*      */   
/*      */   private static boolean c = true;
/*      */ 
/*      */   
/*      */   private static boolean d = false;
/*      */   
/*      */   private static boolean e = false;
/*      */   
/*      */   private static boolean f = false;
/*      */   
/*      */   private static boolean g = false;
/*      */   
/*      */   private static boolean h = true;
/*      */ 
/*      */   
/*      */   public static void addDemoPageable(String paramString, Pageable paramPageable) {
/*  181 */     String str = null;
/*      */     
/*  183 */     if (!i.a(paramString, paramPageable)) {
/*      */       
/*  185 */       if (paramString.toLowerCase().indexOf("pageable") < 0) paramString = paramString + " Pageable";
/*      */ 
/*      */       
/*  188 */       jpdf_common.gui.manage.a.b(str = "The " + paramString + " cannot be added to the Demo because the List of Demo Pageable is full.");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void addDemoPrintable(String paramString, Printable paramPrintable) {
/*  197 */     String str = null;
/*      */     
/*  199 */     if (!j.a(paramString, paramPrintable)) {
/*      */       
/*  201 */       if (paramString.toLowerCase().indexOf("printable") < 0) paramString = paramString + " Printable";
/*      */ 
/*      */       
/*  204 */       jpdf_common.gui.manage.a.b(str = "The " + paramString + " cannot be added to the Demo because the List of Demo Printables is full.");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void addDialogLanguage(String paramString, Locale paramLocale) {
/*      */     DemoDriverFrame demoDriverFrame;
/*  216 */     (demoDriverFrame = DemoDriverFrame.getInstance()).DIALOG_OPTIONS_PANEL.a(paramString, paramLocale);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static File createDemoFile(String paramString) {
/*  224 */     return new File("./files/" + paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DemoDriverFrame createWindow(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  237 */     if (paramBoolean3) {
/*      */ 
/*      */ 
/*      */       
/*  241 */       DemoDriverFrame.setToPersistState(true);
/*  242 */       DemoDriverFrame.setToPersistPrinterAndAttributes(false);
/*      */     } 
/*  244 */     DemoDriverFrame demoDriverFrame = DemoDriverFrame.getInstance(false, paramBoolean2, DemoDriverFrame.a);
/*  245 */     if (paramBoolean1) demoDriverFrame.configureToTerminateOnClose();
/*      */     
/*  247 */     return demoDriverFrame;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static HeraldWindow displayHeraldWindow() {
/*  255 */     return new HeraldWindow();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static HeraldWindow displayHeraldWindow(JFrame paramJFrame) {
/*  263 */     return new HeraldWindow(paramJFrame);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void displayHeraldWindow(JFrame paramJFrame, int paramInt) {
/*  271 */     removeWindow((Window)new HeraldWindow(paramJFrame), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void displayWindow() {
/*  279 */     DemoDriverFrame.getInstance().setVisible(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void exitDemo() {
/*  289 */     BasicApplicationManager.exit(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Exception getDemoException() {
/*  299 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getHelpInfoCommandLineParameters() {
/*  307 */     return "Command Line Parameters\n------------------------------------------------------\n Diagnostics <option>         - run diagnostics at startup -- can be 'yes', 'no', 'once'.\n WindowMax                    - the Demo Window is initially maximized.\n WindowSize <width>:<height>  - the initial Demo Window size.\n LookAndFeel <plafClass>      - the Look And Feel class -- can be 'metal', 'native' \n                                 (default), or a fully qualified class name.\n ?                            - displays this message.";
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static URL getResourceUrl(String paramString) {
/*      */     try {
/*  324 */       return new URL(a + paramString);
/*      */     }
/*  326 */     catch (Exception exception) {
/*      */       
/*  328 */       handleException((Throwable)(paramString = null));
/*      */ 
/*      */       
/*  331 */       return null;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void handleException(Throwable paramThrowable) {
/*  339 */     DemoDriverFrame.logMessage("\n **Error: " + paramThrowable);
/*  340 */     BasicApplicationManager.handleError(paramThrowable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean initializeEnvironment(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  351 */     return initializeEnvironment(paramBoolean1 ? "native" : "metal", paramBoolean2, false, paramBoolean3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean initializeEnvironment(String paramString, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  365 */     PrintManager.EnvironmentOptions environmentOptions = new PrintManager.EnvironmentOptions();
/*  366 */     Object object = null;
/*  367 */     boolean bool2 = true;
/*      */ 
/*      */     
/*  370 */     paramString = paramString; object = null; object = null; boolean bool1 = false; if (!(bool1 = (paramString == null || paramString.equalsIgnoreCase("metal")) ? true : false)) { if (paramString.equalsIgnoreCase("native")) paramString = UIManager.getSystemLookAndFeelClassName();  try { UIManager.setLookAndFeel(paramString); } catch (Exception exception) { System.out.println("\n*** Error attempting to set Look And Feel: " + paramString); System.out.println("    " + exception); }  }  UIManager.put("GroupableTableHeaderUI", "jpdf_demo.gui.group_header.GroupableTableHeaderUI"); j.i(); if (!j.k()) { String str; boolean bool; Color color; if ((!(bool = ((str = System.getProperty("os.name")).indexOf(" Vista") > 0) ? true : false) || !jpdf_common.system.a.a.b) && (color = j.h()).equals(Color.WHITE)) { UIManager.put("TextEntryField.disabledTransparent", Boolean.TRUE); UIManager.put("ValueSpinner.disabledTransparent", Boolean.TRUE); UIManager.put("AbstractComboBoxEditor.disabledForeground", Color.BLACK); }
/*      */        }
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  376 */       environmentOptions.herald = "Java Print Dialog Framework Demo [3.0.0]";
/*  377 */       environmentOptions.logFilePath = "./files/";
/*  378 */       environmentOptions.logFileName = "JPDFDemo";
/*  379 */       environmentOptions.toHandleUncaughtExceptions = true;
/*  380 */       environmentOptions.toLogUncaughtExceptions = true;
/*  381 */       environmentOptions.toShowUncaughtExceptionsToUser = true;
/*  382 */       environmentOptions.toRunDiagnostics = paramBoolean1;
/*  383 */       environmentOptions.toRunQuickDiagnostics = paramBoolean2;
/*  384 */       environmentOptions.toShowUncaughtExceptionsToUser = paramBoolean3;
/*  385 */       PrintManager.initializeEnvironment(environmentOptions);
/*      */ 
/*      */     
/*      */     }
/*  389 */     catch (JpdfDiagnosticsException jpdfDiagnosticsException) {
/*      */ 
/*      */       
/*  392 */       bool2 = ((paramString = null).getFirstCriticalError() == null) ? true : false;
/*      */ 
/*      */     
/*      */     }
/*  396 */     catch (JpdfException jpdfException) {
/*      */       
/*  398 */       System.out.println("\n>>> JPDF Initialization Error caught by Demo.");
/*  399 */       if (jpdfException.isWarning()) {
/*      */         String str;
/*      */         
/*  402 */         jpdf_common.gui.manage.a.b(str = jpdfException.getDetailedExplanation());
/*      */       }
/*      */       else {
/*      */         
/*  406 */         BasicApplicationManager.abortStart("JPDF", (Throwable)jpdfException);
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  414 */     if (paramBoolean1)
/*      */     {
/*  416 */       if (bool2) {
/*      */         
/*  418 */         String str = "Diagnostics Flag File"; paramString = "diagnosticsFlag.dat"; try { createDemoFile(paramString).createNewFile(); } catch (IOException iOException) { System.out.println("Could not create " + str + ": " + paramString + "\n   ERROR: " + iOException); }
/*      */       
/*      */       } else {
/*      */         
/*  422 */         createDemoFile(paramString = "diagnosticsFlag.dat").delete();
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  427 */     setDemoException(new DemoException());
/*      */     
/*  429 */     return bool2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isFullyInitialized() {
/*  438 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isInTestMode() {
/*  452 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToConfirmLargePrintJobs() {
/*  460 */     return h;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayLogPanel() {
/*  468 */     return g;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToDisplayPrintCompletionDialog() {
/*  476 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToPrintFromDialogs() {
/*  488 */     return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void logAttributeSet(AttributeSet paramAttributeSet) {
/*  498 */     LogPanel logPanel = null;
/*      */     
/*  500 */     if (isFullyInitialized())
/*      */     {
/*      */       
/*  503 */       if ((logPanel = DemoDriverFrame.getInstance().getLogPanel()) != null)
/*      */       {
/*  505 */         logPanel.logAttributeSet("Java Print Dialog Framework Demo", paramAttributeSet);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void logMessage(String paramString) {
/*  517 */     if (isFullyInitialized()) {
/*      */       
/*  519 */       DemoDriverFrame.logMessage(paramString);
/*      */       
/*      */       return;
/*      */     } 
/*  523 */     System.out.println("LOG: " + paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void logTrace(String paramString, int paramInt) {
/*  536 */     LogPanel logPanel = null;
/*      */ 
/*      */     
/*  539 */     if (isFullyInitialized()) {
/*      */ 
/*      */ 
/*      */       
/*  543 */       if ((logPanel = DemoDriverFrame.getInstance().getLogPanel()) == null) {
/*      */         return;
/*      */       }
/*  546 */       logPanel.logMessage(paramString);
/*      */ 
/*      */ 
/*      */       
/*  550 */       paramInt = ((arrayOfStackTraceElement = (new Exception()).getStackTrace()).length > paramInt) ? paramInt : arrayOfStackTraceElement.length;
/*  551 */       for (byte b1 = 1; b1 < paramInt; b1++)
/*      */       {
/*  553 */         logPanel.logMessage("  >" + arrayOfStackTraceElement[b1].toString());
/*      */       }
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  559 */     System.out.println("LOG: " + arrayOfStackTraceElement);
/*      */     
/*      */     StackTraceElement[] arrayOfStackTraceElement;
/*      */     
/*  563 */     paramInt = ((arrayOfStackTraceElement = (new Exception()).getStackTrace()).length > paramInt) ? paramInt : arrayOfStackTraceElement.length;
/*  564 */     for (byte b = 1; b < paramInt; b++)
/*      */     {
/*  566 */       System.out.println("  >" + arrayOfStackTraceElement[b].toString());
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void logTrace(String paramString1, String paramString2) {
/*  580 */     StackTraceElement[] arrayOfStackTraceElement = null;
/*  581 */     LogPanel logPanel = null;
/*  582 */     int i = 0;
/*      */     
/*  584 */     if (isFullyInitialized()) {
/*      */ 
/*      */ 
/*      */       
/*  588 */       if ((logPanel = DemoDriverFrame.getInstance().getLogPanel()) == null) {
/*      */         return;
/*      */       }
/*  591 */       logPanel.logMessage(paramString1);
/*      */ 
/*      */       
/*  594 */       (new Exception()).getStackTrace();
/*      */       
/*      */       int j;
/*      */       
/*  598 */       for (j = (arrayOfStackTraceElement = (new Exception()).getStackTrace()).length - 1; j > 0; j--) {
/*      */         
/*  600 */         if (arrayOfStackTraceElement[j].toString().indexOf(paramString2) >= 0) {
/*      */           
/*  602 */           i = j + 1;
/*      */           
/*      */           break;
/*      */         } 
/*      */       } 
/*      */       
/*  608 */       for (j = 1; j < i; j++)
/*      */       {
/*  610 */         logPanel.logMessage("  >" + arrayOfStackTraceElement[j].toString());
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void main(String[] paramArrayOfString) {
/*  620 */     File file = null;
/*      */     
/*  622 */     long l = System.currentTimeMillis();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  629 */     if (jpdf_common.system.a.a.g) {
/*      */       
/*  631 */       System.setProperty("apple.laf.useScreenMenuBar", "true");
/*  632 */       System.setProperty("com.apple.mrj.application.apple.menu.about.name", "JPDF Demo");
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  637 */     HeraldWindow heraldWindow = new HeraldWindow();
/*      */ 
/*      */ 
/*      */     
/*  641 */     if (!(file = new File("./files/")).exists())
/*      */     {
/*  643 */       file.mkdir();
/*      */     }
/*      */     
/*      */     CommandLineParamInfo commandLineParamInfo;
/*      */     
/*  648 */     if ((commandLineParamInfo = a(paramArrayOfString)).h)
/*      */     {
/*  650 */       System.out.println("\nA: " + jpdf_common.gui.d.a.a(l));
/*      */     }
/*  652 */     if (commandLineParamInfo.i) setInTestMode(true);
/*      */ 
/*      */     
/*  655 */     if (!initializeEnvironment(commandLineParamInfo.c, commandLineParamInfo.d, commandLineParamInfo.e, commandLineParamInfo.l))
/*      */     {
/*      */ 
/*      */       
/*  659 */       System.exit(99);
/*      */     }
/*      */ 
/*      */     
/*  663 */     if (commandLineParamInfo.p != null) {
/*      */       
/*      */       try {
/*      */ 
/*      */         
/*  668 */         boolean bool1 = commandLineParamInfo.q.equals("Ghostscript PDF");
/*      */ 
/*      */         
/*      */         GhostscriptPrintingOptions ghostscriptPrintingOptions;
/*      */         
/*  673 */         (ghostscriptPrintingOptions = new GhostscriptPrintingOptions(commandLineParamInfo.p, commandLineParamInfo.q, bool1)).tiffFileType = GhostscriptPrintingOptions.TiffFileType.TIFF_24NC;
/*  674 */         ghostscriptPrintingOptions.tiffImageResolutionDpi = 150;
/*  675 */         ghostscriptPrintingOptions.toEchoGhostscriptCommands = commandLineParamInfo.i;
/*      */ 
/*      */ 
/*      */         
/*  679 */         if (jpdf_common.system.a.a.d && jpdf_common.system.a.a.b) {
/*      */           
/*  681 */           String str = "/DeferredMediaSelection true";
/*  682 */           ghostscriptPrintingOptions.postscriptFileProcessor = (FileProcessor)new FindReplaceFileProcessor(str);
/*      */         } 
/*      */ 
/*      */         
/*  686 */         PrintCustomizationFacade.prepareForGhostscriptPrinting(ghostscriptPrintingOptions);
/*      */       }
/*  688 */       catch (Throwable throwable) {
/*      */         
/*  690 */         (file = null).printStackTrace();
/*  691 */         System.exit(99);
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  696 */     if (commandLineParamInfo.b != null)
/*      */     {
/*  698 */       AbstractViewDialog.setDefaultDisplaySize(commandLineParamInfo.b);
/*      */     }
/*      */ 
/*      */     
/*  702 */     if (commandLineParamInfo.j) { PrintService printService = PrintManager.getDefaultPrintService(); AliasPrintServiceWrapper aliasPrintServiceWrapper; (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("Z Dorsal Fin", printService)).setPrinterMakeAndModel("DA 123"); aliasPrintServiceWrapper.setPrinterInfo("Prints very stealthily."); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("\\\\Malduvis\\10th Floor Corporate Center Epson Stylus Pro 4880", printService)).setPrinterAcceptingJobs(false); aliasPrintServiceWrapper.setPrinterInfo("Drinks ink like a boozer."); aliasPrintServiceWrapper.setPrinterMakeAndModel("EPSON Stylus CX6400"); aliasPrintServiceWrapper.setTestServiceUIFactory(); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("\\\\Rodrigo\\Kyocera FS-3750 KX (not color)", printService)).setPrinterMakeAndModel("Bubiski Ultra XJ73-K.13 Plus"); aliasPrintServiceWrapper.setTestServiceUIFactory(); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("\\\\Henry\\HP LaserJet P4510", printService)).setPrinterMakeAndModel("Bubiski Ultra XJ73-K.13"); aliasPrintServiceWrapper.setTestServiceUIFactory(); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("HP Business Inkjet 2800", printService)).setPrinterMakeAndModel("RA 123"); aliasPrintServiceWrapper.setPrinterInfo("Prints very slowly."); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); (aliasPrintServiceWrapper = new AliasPrintServiceWrapper("\\\\Henry\\Kyocera FS-3750 KX", printService)).setPrinterMakeAndModel("Bubiski Ultra XJ73-K.13 Plus"); aliasPrintServiceWrapper.setTestServiceUIFactory(); PrintServiceRegistry.registerService((PrintService)aliasPrintServiceWrapper); }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  708 */     boolean bool = (System.currentTimeMillis() - l < 4000L) ? true : false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  715 */       DemoDriverFrame.setToPersistState(true);
/*  716 */       DemoDriverFrame.setToPersistPrinterAndAttributes(commandLineParamInfo.m);
/*      */       DemoDriverFrame demoDriverFrame;
/*  718 */       (demoDriverFrame = DemoDriverFrame.getInstance(bool, commandLineParamInfo)).configureToTerminateOnClose();
/*  719 */       demoDriverFrame.setVisible(true);
/*      */ 
/*      */     
/*      */     }
/*  723 */     catch (Throwable throwable) {
/*      */       
/*  725 */       heraldWindow.dispose();
/*  726 */       BasicApplicationManager.abortStart("JPDFDemo", throwable);
/*      */     } 
/*      */ 
/*      */     
/*  730 */     heraldWindow.dispose();
/*      */ 
/*      */     
/*  733 */     if (commandLineParamInfo.n != null && commandLineParamInfo.o != null)
/*      */     {
/*  735 */       addDialogLanguage(commandLineParamInfo.n, new Locale(commandLineParamInfo.o));
/*      */     }
/*      */ 
/*      */     
/*  739 */     setFullyInitialized();
/*      */ 
/*      */     
/*  742 */     if (commandLineParamInfo.h) {
/*      */       
/*  744 */       System.out.println("C: " + jpdf_common.gui.d.a.a(l));
/*  745 */       System.out.println("   >Diagnostics Run: " + commandLineParamInfo.d);
/*  746 */       System.out.println("   >Demo Resource URL Prefix: " + a);
/*  747 */       System.out.println("   >Resource URL Prefix: " + BasicResourceManager.RESOURCE_URL_PREFIX);
/*  748 */       System.out.println("   >Localization URL Prefix: " + BasicLocalizationManager.RESOURCE_URL_PREFIX);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void printTrace(String paramString, int paramInt) {
/*  758 */     System.out.println(paramString);
/*      */ 
/*      */ 
/*      */     
/*      */     StackTraceElement[] arrayOfStackTraceElement;
/*      */ 
/*      */     
/*  765 */     paramInt = ((arrayOfStackTraceElement = (new Exception()).getStackTrace()).length > paramInt) ? paramInt : arrayOfStackTraceElement.length;
/*  766 */     for (byte b = 1; b < paramInt; b++)
/*      */     {
/*  768 */       System.out.println("  >" + arrayOfStackTraceElement[b].toString());
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void removeWindow(Window paramWindow, int paramInt) {
/*  779 */     (new a(paramWindow, paramInt, (byte)0)).start();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setDemoException(Exception paramException) {
/*  789 */     b = paramException;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setFullyInitialized() {
/*  798 */     e = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setInTestMode(boolean paramBoolean) {
/*  807 */     f = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setLogging(boolean paramBoolean) {
/*  817 */     LogPanel logPanel = null;
/*      */     
/*  819 */     if (isFullyInitialized())
/*      */     {
/*      */ 
/*      */       
/*  823 */       if ((logPanel = DemoDriverFrame.getInstance().getLogPanel()) != null) logPanel.setLogging(paramBoolean);
/*      */     
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToConfirmLargePrintJobs(boolean paramBoolean) {
/*  832 */     h = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayLogPanel(boolean paramBoolean) {
/*  840 */     g = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToDisplayPrintCompletionDialog(boolean paramBoolean) {
/*  849 */     d = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToPrintFromDialogs(boolean paramBoolean) {
/*  861 */     String str = paramBoolean ? "Yes." : "No (no printing from JPDF dialogs).";
/*      */     
/*  863 */     DemoDriverFrame.logMessage("\n Submit Print Jobs: " + str);
/*      */     
/*  865 */     c = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToSubmitTestJob(boolean paramBoolean) {
/*  873 */     PrintCustomizationFacade.setToSubmitTestJob(paramBoolean);
/*  874 */     DemoDriverFrame.getInstance().setToSubmitTestJob(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static Dimension a(String paramString) {
/* 1031 */     Dimension dimension = null;
/* 1032 */     int i = paramString.indexOf(':');
/* 1033 */     int j = 0;
/* 1034 */     int k = 0;
/*      */     
/* 1036 */     if (i > 0)
/*      */     {
/* 1038 */       if (paramString.matches("\\d\\d*:\\d\\d*")) {
/*      */         
/* 1040 */         j = Integer.parseInt(paramString.substring(0, i));
/* 1041 */         k = Integer.parseInt(paramString.substring(i + 1));
/* 1042 */         if (j > 200 && k > 200)
/*      */         {
/* 1044 */           dimension = new Dimension(j, k);
/*      */         }
/*      */       } 
/*      */     }
/*      */     
/* 1049 */     return dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static CommandLineParamInfo a(String[] paramArrayOfString) {
/* 1057 */     CommandLineParamInfo commandLineParamInfo = new CommandLineParamInfo();
/*      */     
/*      */     byte b;
/*      */     
/* 1061 */     for (b = 0; b < paramArrayOfString.length; b++) {
/*      */       
/* 1063 */       if (paramArrayOfString[b].equals("?")) {
/*      */         
/* 1065 */         System.out.println("\nJava Print Dialog Framework Demo [3.0.0]");
/* 1066 */         System.out.println(getHelpInfoCommandLineParameters());
/* 1067 */         System.exit(0);
/*      */       } 
/*      */     } 
/* 1070 */     System.out.println();
/*      */ 
/*      */     
/* 1073 */     System.out.println("Java Print Dialog Framework Demo [3.0.0]");
/* 1074 */     System.out.print("  Parameters:");
/* 1075 */     for (b = 0; b < paramArrayOfString.length; b++)
/*      */     {
/* 1077 */       System.out.print(" " + paramArrayOfString[b]);
/*      */     }
/* 1079 */     System.out.println();
/*      */ 
/*      */     
/* 1082 */     for (b = 0; b < paramArrayOfString.length; b++) {
/*      */ 
/*      */       
/* 1085 */       if (paramArrayOfString[b].equalsIgnoreCase("windowMax")) {
/*      */         
/* 1087 */         commandLineParamInfo.f = true;
/*      */       
/*      */       }
/* 1090 */       else if (paramArrayOfString[b].equalsIgnoreCase("windowSize")) {
/*      */         
/* 1092 */         b++;
/* 1093 */         if (b < paramArrayOfString.length)
/*      */         {
/* 1095 */           commandLineParamInfo.a = a(paramArrayOfString[b]);
/* 1096 */           if (commandLineParamInfo.a == null)
/*      */           {
/* 1098 */             System.out.println("   **Invalid Window Size specification: " + paramArrayOfString[b]);
/* 1099 */             commandLineParamInfo.g = true;
/*      */           }
/*      */         
/*      */         }
/*      */       
/* 1104 */       } else if (paramArrayOfString[b].equalsIgnoreCase("lookAndFeel") || paramArrayOfString[b].equalsIgnoreCase("laf")) {
/*      */         
/* 1106 */         b++;
/* 1107 */         if (b < paramArrayOfString.length)
/*      */         {
/* 1109 */           commandLineParamInfo.c = paramArrayOfString[b];
/*      */         
/*      */         }
/*      */       }
/* 1113 */       else if (paramArrayOfString[b].equalsIgnoreCase("previewSize")) {
/*      */         
/* 1115 */         b++;
/* 1116 */         if (b < paramArrayOfString.length)
/*      */         {
/* 1118 */           commandLineParamInfo.b = a(paramArrayOfString[b]);
/* 1119 */           if (commandLineParamInfo.b == null)
/*      */           {
/* 1121 */             System.out.println("   **Invalid Preview Size specification: " + paramArrayOfString[b]);
/* 1122 */             commandLineParamInfo.g = true;
/*      */           }
/*      */         
/*      */         }
/*      */       
/* 1127 */       } else if (paramArrayOfString[b].equalsIgnoreCase("diagnostics")) {
/*      */         
/* 1129 */         b++;
/* 1130 */         if (b < paramArrayOfString.length)
/*      */         {
/* 1132 */           if (paramArrayOfString[b].equalsIgnoreCase("yes")) {
/*      */             
/* 1134 */             commandLineParamInfo.d = true;
/*      */           }
/* 1136 */           else if (paramArrayOfString[b].equalsIgnoreCase("once")) {
/*      */             String str;
/*      */ 
/*      */             
/* 1140 */             commandLineParamInfo.e = !createDemoFile(str = "diagnosticsFlag.dat").exists();
/* 1141 */             commandLineParamInfo.d = commandLineParamInfo.e;
/*      */           }
/*      */           else {
/*      */             
/* 1145 */             commandLineParamInfo.d = false;
/*      */           }
/*      */         
/*      */         }
/*      */       }
/* 1150 */       else if (paramArrayOfString[b].equalsIgnoreCase("verbose")) {
/*      */         
/* 1152 */         commandLineParamInfo.h = true;
/*      */       
/*      */       }
/* 1155 */       else if (paramArrayOfString[b].equalsIgnoreCase("testing")) {
/*      */         
/* 1157 */         commandLineParamInfo.i = true;
/*      */       
/*      */       }
/* 1160 */       else if (paramArrayOfString[b].equalsIgnoreCase("testingAliasPrinters")) {
/*      */         
/* 1162 */         commandLineParamInfo.j = true;
/*      */       
/*      */       }
/* 1165 */       else if (paramArrayOfString[b].equalsIgnoreCase("NativePrinterDialogs")) {
/*      */         
/* 1167 */         AbstractPrintServiceSelectorPanel.setToShowNativePropertiesDialog(true);
/*      */       
/*      */       }
/* 1170 */       else if (paramArrayOfString[b].equalsIgnoreCase("allowPrintToPdf")) {
/*      */         
/* 1172 */         b++;
/* 1173 */         if (b < paramArrayOfString.length) commandLineParamInfo.p = paramArrayOfString[b];
/*      */       
/*      */       }
/* 1176 */       else if (paramArrayOfString[b].equalsIgnoreCase("ghostscriptPrinter")) {
/*      */         
/* 1178 */         b++;
/* 1179 */         if (b < paramArrayOfString.length) commandLineParamInfo.q = paramArrayOfString[b];
/*      */       
/* 1181 */       } else if (paramArrayOfString[b].equalsIgnoreCase("persistPrintingOptions")) {
/*      */         
/* 1183 */         commandLineParamInfo.m = true;
/*      */       
/*      */       }
/* 1186 */       else if (paramArrayOfString[b].equalsIgnoreCase("fixMinimumMargins")) {
/*      */         
/* 1188 */         String str1 = null;
/* 1189 */         String str2 = null;
/* 1190 */         float f = 0.0F;
/*      */         
/* 1192 */         b++;
/* 1193 */         if (b < paramArrayOfString.length) str1 = paramArrayOfString[b]; 
/* 1194 */         b++;
/* 1195 */         if (b < paramArrayOfString.length)
/*      */         {
/* 1197 */           str2 = paramArrayOfString[b];
/*      */           
/*      */           try {
/* 1200 */             f = Float.parseFloat(str2);
/* 1201 */             MinimumMarginFixer.fixPrinterMinimumMargins(str1, f);
/*      */           }
/* 1203 */           catch (NumberFormatException numberFormatException) {
/*      */             
/* 1205 */             System.out.println("   **Invalid Fix Margin Minimum Numeric Value: " + str2);
/* 1206 */             commandLineParamInfo.g = true;
/*      */           }
/*      */         
/*      */         }
/*      */       
/* 1211 */       } else if (paramArrayOfString[b].equalsIgnoreCase("printSystemInfoLabel")) {
/*      */         
/* 1213 */         commandLineParamInfo.k = true;
/*      */       
/*      */       }
/* 1216 */       else if (paramArrayOfString[b].equalsIgnoreCase("showUncaughtExceptions")) {
/*      */         
/* 1218 */         commandLineParamInfo.l = true;
/*      */       
/*      */       }
/* 1221 */       else if (paramArrayOfString[b].equalsIgnoreCase("displayLogPanel")) {
/*      */         
/* 1223 */         setToDisplayLogPanel(true);
/*      */       
/*      */       }
/* 1226 */       else if (paramArrayOfString[b].equalsIgnoreCase("writeDiagnosticFile")) {
/*      */         
/* 1228 */         DiagnosticsManager.writePrintServiceDiagnosticsFile();
/* 1229 */         System.exit(0);
/*      */       
/*      */       }
/* 1232 */       else if (paramArrayOfString[b].equalsIgnoreCase("language")) {
/*      */         
/* 1234 */         b++;
/* 1235 */         if (b < paramArrayOfString.length) commandLineParamInfo.n = paramArrayOfString[b]; 
/* 1236 */         b++;
/* 1237 */         if (b < paramArrayOfString.length) commandLineParamInfo.o = paramArrayOfString[b];
/*      */       
/*      */       }
/*      */       else {
/*      */         
/* 1242 */         System.out.println("   **Unrecognized command line parameter: " + paramArrayOfString[b]);
/* 1243 */         commandLineParamInfo.g = true;
/*      */       } 
/*      */     } 
/* 1246 */     System.out.println();
/*      */     
/* 1248 */     return commandLineParamInfo;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\DemoApplication.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */