/*     */ package jxl;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.format.PageOrientation;
/*     */ import jxl.format.PaperSize;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class SheetSettings
/*     */ {
/*     */   private PageOrientation orientation;
/*     */   private PaperSize paperSize;
/*     */   private boolean sheetProtected;
/*     */   private boolean hidden;
/*     */   private boolean selected;
/*     */   private double headerMargin;
/*     */   private double footerMargin;
/*     */   private int scaleFactor;
/*     */   private int zoomFactor;
/*     */   private int pageStart;
/*     */   private int fitWidth;
/*     */   private int fitHeight;
/*     */   private int horizontalPrintResolution;
/*     */   private int verticalPrintResolution;
/*     */   private double leftMargin;
/*     */   private double rightMargin;
/*     */   private double topMargin;
/*     */   private double bottomMargin;
/*     */   private boolean fitToPages;
/*     */   private boolean showGridLines;
/*     */   private boolean printGridLines;
/*     */   private boolean printHeaders;
/*     */   private boolean displayZeroValues;
/*     */   private String password;
/*     */   private int passwordHash;
/*     */   private int defaultColumnWidth;
/*     */   private int defaultRowHeight;
/*     */   private int horizontalFreeze;
/*     */   private int verticalFreeze;
/*     */   private int copies;
/* 190 */   private static final PageOrientation defaultOrientation = PageOrientation.PORTRAIT;
/*     */   
/* 192 */   private static final PaperSize defaultPaperSize = PaperSize.A4;
/*     */   
/*     */   private static final double defaultHeaderMargin = 0.5D;
/*     */   
/*     */   private static final double defaultFooterMargin = 0.5D;
/*     */   
/*     */   private static final int defaultPrintResolution = 300;
/*     */   
/*     */   private static final double defaultWidthMargin = 0.75D;
/*     */   
/*     */   private static final double defaultHeightMargin = 1.0D;
/*     */   private static final int defaultDefaultColumnWidth = 8;
/*     */   private static final int defaultDefaultRowHeight = 255;
/*     */   private static final int defaultZoomFactor = 100;
/*     */   
/*     */   public SheetSettings() {
/* 208 */     this.orientation = defaultOrientation;
/* 209 */     this.paperSize = defaultPaperSize;
/* 210 */     this.sheetProtected = false;
/* 211 */     this.hidden = false;
/* 212 */     this.selected = false;
/* 213 */     this.headerMargin = 0.5D;
/* 214 */     this.footerMargin = 0.5D;
/* 215 */     this.horizontalPrintResolution = 300;
/* 216 */     this.verticalPrintResolution = 300;
/* 217 */     this.leftMargin = 0.75D;
/* 218 */     this.rightMargin = 0.75D;
/* 219 */     this.topMargin = 1.0D;
/* 220 */     this.bottomMargin = 1.0D;
/* 221 */     this.fitToPages = false;
/* 222 */     this.showGridLines = true;
/* 223 */     this.printGridLines = false;
/* 224 */     this.printHeaders = false;
/* 225 */     this.displayZeroValues = true;
/* 226 */     this.defaultColumnWidth = 8;
/* 227 */     this.defaultRowHeight = 255;
/* 228 */     this.zoomFactor = 100;
/* 229 */     this.horizontalFreeze = 0;
/* 230 */     this.verticalFreeze = 0;
/* 231 */     this.copies = 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SheetSettings(SheetSettings copy) {
/* 240 */     Assert.verify((copy != null));
/*     */     
/* 242 */     this.orientation = copy.orientation;
/* 243 */     this.paperSize = copy.paperSize;
/* 244 */     this.sheetProtected = copy.sheetProtected;
/* 245 */     this.hidden = copy.hidden;
/* 246 */     this.selected = false;
/* 247 */     this.headerMargin = copy.headerMargin;
/* 248 */     this.footerMargin = copy.footerMargin;
/* 249 */     this.scaleFactor = copy.scaleFactor;
/* 250 */     this.pageStart = copy.pageStart;
/* 251 */     this.fitWidth = copy.fitWidth;
/* 252 */     this.fitHeight = copy.fitHeight;
/* 253 */     this.horizontalPrintResolution = copy.horizontalPrintResolution;
/* 254 */     this.verticalPrintResolution = copy.verticalPrintResolution;
/* 255 */     this.leftMargin = copy.leftMargin;
/* 256 */     this.rightMargin = copy.rightMargin;
/* 257 */     this.topMargin = copy.topMargin;
/* 258 */     this.bottomMargin = copy.bottomMargin;
/* 259 */     this.fitToPages = copy.fitToPages;
/* 260 */     this.password = copy.password;
/* 261 */     this.passwordHash = copy.passwordHash;
/* 262 */     this.defaultColumnWidth = copy.defaultColumnWidth;
/* 263 */     this.defaultRowHeight = copy.defaultRowHeight;
/* 264 */     this.zoomFactor = copy.zoomFactor;
/* 265 */     this.showGridLines = copy.showGridLines;
/* 266 */     this.displayZeroValues = copy.displayZeroValues;
/* 267 */     this.horizontalFreeze = copy.horizontalFreeze;
/* 268 */     this.verticalFreeze = copy.verticalFreeze;
/* 269 */     this.copies = copy.copies;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setOrientation(PageOrientation po) {
/* 279 */     this.orientation = po;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageOrientation getOrientation() {
/* 289 */     return this.orientation;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPaperSize(PaperSize ps) {
/* 299 */     this.paperSize = ps;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PaperSize getPaperSize() {
/* 309 */     return this.paperSize;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isProtected() {
/* 319 */     return this.sheetProtected;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setProtected(boolean p) {
/* 329 */     this.sheetProtected = p;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHeaderMargin(double d) {
/* 339 */     this.headerMargin = d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getHeaderMargin() {
/* 349 */     return this.headerMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFooterMargin(double d) {
/* 359 */     this.footerMargin = d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getFooterMargin() {
/* 369 */     return this.footerMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHidden(boolean h) {
/* 379 */     this.hidden = h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 389 */     return this.hidden;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSelected() {
/* 397 */     this.selected = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isSelected() {
/* 407 */     return this.selected;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setScaleFactor(int sf) {
/* 419 */     this.scaleFactor = sf;
/* 420 */     this.fitToPages = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getScaleFactor() {
/* 430 */     return this.scaleFactor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPageStart(int ps) {
/* 440 */     this.pageStart = ps;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageStart() {
/* 450 */     return this.pageStart;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFitWidth(int fw) {
/* 461 */     this.fitWidth = fw;
/* 462 */     this.fitToPages = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFitWidth() {
/* 472 */     return this.fitWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFitHeight(int fh) {
/* 482 */     this.fitHeight = fh;
/* 483 */     this.fitToPages = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFitHeight() {
/* 493 */     return this.fitHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalPrintResolution(int hpw) {
/* 503 */     this.horizontalPrintResolution = hpw;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalPrintResolution() {
/* 513 */     return this.horizontalPrintResolution;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalPrintResolution(int vpw) {
/* 523 */     this.verticalPrintResolution = vpw;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalPrintResolution() {
/* 533 */     return this.verticalPrintResolution;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRightMargin(double m) {
/* 543 */     this.rightMargin = m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getRightMargin() {
/* 553 */     return this.rightMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLeftMargin(double m) {
/* 563 */     this.leftMargin = m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getLeftMargin() {
/* 573 */     return this.leftMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTopMargin(double m) {
/* 583 */     this.topMargin = m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getTopMargin() {
/* 593 */     return this.topMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBottomMargin(double m) {
/* 603 */     this.bottomMargin = m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getBottomMargin() {
/* 613 */     return this.bottomMargin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getDefaultWidthMargin() {
/* 623 */     return 0.75D;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getDefaultHeightMargin() {
/* 633 */     return 1.0D;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getFitToPages() {
/* 642 */     return this.fitToPages;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFitToPages(boolean b) {
/* 651 */     this.fitToPages = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getPassword() {
/* 661 */     return this.password;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPassword(String s) {
/* 671 */     this.password = s;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPasswordHash() {
/* 681 */     return this.passwordHash;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPasswordHash(int ph) {
/* 691 */     this.passwordHash = ph;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getDefaultColumnWidth() {
/* 701 */     return this.defaultColumnWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDefaultColumnWidth(int w) {
/* 711 */     this.defaultColumnWidth = w;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getDefaultRowHeight() {
/* 721 */     return this.defaultRowHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDefaultRowHeight(int h) {
/* 731 */     this.defaultRowHeight = h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getZoomFactor() {
/* 743 */     return this.zoomFactor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setZoomFactor(int zf) {
/* 755 */     this.zoomFactor = zf;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getDisplayZeroValues() {
/* 765 */     return this.displayZeroValues;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDisplayZeroValues(boolean b) {
/* 775 */     this.displayZeroValues = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getShowGridLines() {
/* 785 */     return this.showGridLines;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setShowGridLines(boolean b) {
/* 795 */     this.showGridLines = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getPrintGridLines() {
/* 805 */     return this.printGridLines;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintGridLines(boolean b) {
/* 815 */     this.printGridLines = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getPrintHeaders() {
/* 825 */     return this.printHeaders;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintHeaders(boolean b) {
/* 835 */     this.printHeaders = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalFreeze() {
/* 846 */     return this.horizontalFreeze;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalFreeze(int row) {
/* 856 */     this.horizontalFreeze = Math.max(row, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalFreeze() {
/* 867 */     return this.verticalFreeze;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalFreeze(int col) {
/* 877 */     this.verticalFreeze = Math.max(col, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCopies(int c) {
/* 887 */     this.copies = c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getCopies() {
/* 897 */     return this.copies;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\SheetSettings.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */