/*     */ package jxl;
/*     */ 
/*     */ import common.Logger;
/*     */ import java.util.HashMap;
/*     */ import java.util.Locale;
/*     */ import jxl.biff.formula.FunctionNames;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class WorkbookSettings
/*     */ {
/*  40 */   private static Logger logger = Logger.getLogger(WorkbookSettings.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 140 */   private int initialFileSize = 5242880; private boolean drawingsDisabled; private boolean namesDisabled; private boolean formulaReferenceAdjustDisabled; private boolean gcDisabled;
/* 141 */   private int arrayGrowSize = 1048576; private boolean rationalizationDisabled; private Locale locale; private FunctionNames functionNames; private String encoding;
/* 142 */   private HashMap localeFunctionNames = new HashMap(); private static final int defaultInitialFileSize = 5242880;
/*     */   private static final int defaultArrayGrowSize = 1048576;
/*     */   
/*     */   public WorkbookSettings() {
/*     */     try {
/* 147 */       boolean suppressWarnings = Boolean.getBoolean("jxl.nowarnings");
/* 148 */       setSuppressWarnings(suppressWarnings);
/* 149 */       this.drawingsDisabled = Boolean.getBoolean("jxl.nodrawings");
/* 150 */       this.namesDisabled = Boolean.getBoolean("jxl.nonames");
/* 151 */       this.gcDisabled = Boolean.getBoolean("jxl.nogc");
/* 152 */       this.rationalizationDisabled = Boolean.getBoolean("jxl.norat");
/* 153 */       this.formulaReferenceAdjustDisabled = Boolean.getBoolean("jxl.noformulaadjust");
/*     */ 
/*     */       
/* 156 */       this.encoding = System.getProperty("file.encoding");
/*     */     }
/* 158 */     catch (SecurityException e) {
/*     */       
/* 160 */       logger.warn("Error accessing system properties.", e);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 166 */       if (System.getProperty("jxl.lang") == null || System.getProperty("jxl.country") == null) {
/*     */ 
/*     */         
/* 169 */         this.locale = Locale.getDefault();
/*     */       }
/*     */       else {
/*     */         
/* 173 */         this.locale = new Locale(System.getProperty("jxl.lang"), System.getProperty("jxl.country"));
/*     */       } 
/*     */ 
/*     */       
/* 177 */       if (System.getProperty("jxl.encoding") != null)
/*     */       {
/* 179 */         this.encoding = System.getProperty("jxl.encoding");
/*     */       }
/*     */     }
/* 182 */     catch (SecurityException e) {
/*     */       
/* 184 */       logger.warn("Error accessing system properties.", e);
/* 185 */       this.locale = Locale.getDefault();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setArrayGrowSize(int sz) {
/* 200 */     this.arrayGrowSize = sz;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getArrayGrowSize() {
/* 210 */     return this.arrayGrowSize;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setInitialFileSize(int sz) {
/* 223 */     this.initialFileSize = sz;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getInitialFileSize() {
/* 233 */     return this.initialFileSize;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getDrawingsDisabled() {
/* 243 */     return this.drawingsDisabled;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getGCDisabled() {
/* 253 */     return this.gcDisabled;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getNamesDisabled() {
/* 263 */     return this.namesDisabled;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNamesDisabled(boolean b) {
/* 273 */     this.namesDisabled = b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRationalization(boolean r) {
/* 284 */     this.rationalizationDisabled = !r;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getRationalizationDisabled() {
/* 294 */     return this.rationalizationDisabled;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSuppressWarnings(boolean w) {
/* 306 */     logger.setSuppressWarnings(w);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getFormulaAdjust() {
/* 317 */     return !this.formulaReferenceAdjustDisabled;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFormulaAdjust(boolean b) {
/* 327 */     this.formulaReferenceAdjustDisabled = !b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLocale(Locale l) {
/* 337 */     this.locale = l;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Locale getLocale() {
/* 347 */     return this.locale;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getEncoding() {
/* 357 */     return this.encoding;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setEncoding(String enc) {
/* 367 */     this.encoding = enc;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FunctionNames getFunctionNames() {
/* 379 */     if (this.functionNames == null) {
/*     */       
/* 381 */       this.functionNames = (FunctionNames)this.localeFunctionNames.get(this.locale);
/*     */ 
/*     */ 
/*     */       
/* 385 */       if (this.functionNames == null) {
/*     */         
/* 387 */         this.functionNames = new FunctionNames(this.locale);
/* 388 */         this.localeFunctionNames.put(this.locale, this.functionNames);
/*     */       } 
/*     */     } 
/*     */     
/* 392 */     return this.functionNames;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\WorkbookSettings.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */