/*     */ package jxl.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class BaseCompoundFile
/*     */ {
/*  32 */   protected static final byte[] IDENTIFIER = new byte[] { -48, -49, 17, -32, -95, -79, 26, -31 };
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int NUM_BIG_BLOCK_DEPOT_BLOCKS_POS = 44;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int SMALL_BLOCK_DEPOT_BLOCK_POS = 60;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int ROOT_START_BLOCK_POS = 48;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int BIG_BLOCK_SIZE = 512;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int SMALL_BLOCK_SIZE = 64;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int EXTENSION_BLOCK_POS = 68;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int NUM_EXTENSION_BLOCK_POS = 72;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int PROPERTY_STORAGE_BLOCK_SIZE = 128;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int BIG_BLOCK_DEPOT_BLOCKS_POS = 76;
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final int SMALL_BLOCK_THRESHOLD = 4096;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int SIZE_OF_NAME_POS = 64;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int TYPE_POS = 66;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int PREVIOUS_POS = 68;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int NEXT_POS = 72;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int DIRECTORY_POS = 76;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int START_BLOCK_POS = 116;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int SIZE_POS = 120;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected class PropertyStorage
/*     */   {
/*     */     public String name;
/*     */ 
/*     */ 
/*     */     
/*     */     public int type;
/*     */ 
/*     */ 
/*     */     
/*     */     public int startBlock;
/*     */ 
/*     */ 
/*     */     
/*     */     public int size;
/*     */ 
/*     */ 
/*     */     
/*     */     public int previous;
/*     */ 
/*     */     
/*     */     public int next;
/*     */ 
/*     */     
/*     */     public int directory;
/*     */ 
/*     */     
/*     */     public byte[] data;
/*     */ 
/*     */     
/*     */     private final BaseCompoundFile this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     public PropertyStorage(BaseCompoundFile this$0, byte[] d) {
/* 140 */       this.this$0 = this$0;
/* 141 */       this.data = d;
/* 142 */       int nameSize = IntegerHelper.getInt(this.data[64], this.data[65]);
/*     */       
/* 144 */       this.type = this.data[66];
/*     */       
/* 146 */       this.startBlock = IntegerHelper.getInt(this.data[116], this.data[117], this.data[118], this.data[119]);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 151 */       this.size = IntegerHelper.getInt(this.data[120], this.data[121], this.data[122], this.data[123]);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 157 */       int chars = 0;
/* 158 */       if (nameSize > 2)
/*     */       {
/* 160 */         chars = (nameSize - 1) / 2;
/*     */       }
/*     */       
/* 163 */       StringBuffer n = new StringBuffer("");
/* 164 */       for (int i = 0; i < chars; i++)
/*     */       {
/* 166 */         n.append((char)this.data[i * 2]);
/*     */       }
/*     */       
/* 169 */       this.name = n.toString();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public PropertyStorage(BaseCompoundFile this$0, String name) {
/* 178 */       this.this$0 = this$0;
/* 179 */       this.data = new byte[128];
/*     */       
/* 181 */       Assert.verify((name.length() < 32));
/*     */       
/* 183 */       IntegerHelper.getTwoBytes((name.length() + 1) * 2, this.data, 64);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 188 */       for (int i = 0; i < name.length(); i++)
/*     */       {
/* 190 */         this.data[i * 2] = (byte)name.charAt(i);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setType(int t) {
/* 201 */       this.type = t;
/* 202 */       this.data[66] = (byte)t;
/* 203 */       this.data[67] = 1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setStartBlock(int sb) {
/* 213 */       this.startBlock = sb;
/* 214 */       IntegerHelper.getFourBytes(sb, this.data, 116);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setSize(int s) {
/* 224 */       this.size = s;
/* 225 */       IntegerHelper.getFourBytes(s, this.data, 120);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setPrevious(int prev) {
/* 235 */       this.previous = prev;
/* 236 */       IntegerHelper.getFourBytes(prev, this.data, 68);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setNext(int nxt) {
/* 246 */       this.next = nxt;
/* 247 */       IntegerHelper.getFourBytes(this.next, this.data, 72);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setDirectory(int dir) {
/* 257 */       this.directory = dir;
/* 258 */       IntegerHelper.getFourBytes(this.directory, this.data, 76);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\BaseCompoundFile.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */