/*     */ package jxl.biff;
/*     */ 
/*     */ import common.Logger;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class CellReferenceHelper
/*     */ {
/*  39 */   private static Logger logger = Logger.getLogger(CellReferenceHelper.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final char fixedInd = '$';
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void getCellReference(int column, int row, StringBuffer buf) {
/*  63 */     getColumnReference(column, buf);
/*     */ 
/*     */     
/*  66 */     buf.append(Integer.toString(row + 1));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getColumnReference(int column) {
/*  77 */     StringBuffer buf = new StringBuffer();
/*  78 */     getColumnReference(column, buf);
/*  79 */     return buf.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void getColumnReference(int column, StringBuffer buf) {
/*  90 */     int v = column / 26;
/*  91 */     int r = column % 26;
/*     */     
/*  93 */     StringBuffer tmp = new StringBuffer();
/*  94 */     while (v != 0) {
/*     */       
/*  96 */       char c = (char)(65 + r);
/*     */       
/*  98 */       tmp.append(c);
/*     */       
/* 100 */       r = v % 26 - 1;
/* 101 */       v /= 26;
/*     */     } 
/*     */     
/* 104 */     char col = (char)(65 + r);
/* 105 */     tmp.append(col);
/*     */ 
/*     */     
/* 108 */     for (int i = tmp.length() - 1; i >= 0; i--)
/*     */     {
/* 110 */       buf.append(tmp.charAt(i));
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void getCellReference(int sheet, int column, int row, ExternalSheet workbook, StringBuffer buf) {
/* 128 */     buf.append(workbook.getExternalSheetName(sheet));
/* 129 */     buf.append('!');
/* 130 */     getCellReference(column, row, buf);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getCellReference(int column, int row) {
/* 142 */     StringBuffer buf = new StringBuffer();
/* 143 */     getCellReference(column, row, buf);
/* 144 */     return buf.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getColumn(String s) {
/* 155 */     int colnum = 0;
/* 156 */     int numindex = getNumberIndex(s);
/*     */     
/* 158 */     String s2 = s.toUpperCase();
/*     */     
/* 160 */     int startPos = 0;
/* 161 */     if (s.charAt(0) == '$')
/*     */     {
/* 163 */       startPos = 1;
/*     */     }
/*     */     
/* 166 */     int endPos = numindex;
/* 167 */     if (s.charAt(numindex - 1) == '$')
/*     */     {
/* 169 */       endPos--;
/*     */     }
/*     */     
/* 172 */     for (int i = startPos; i < endPos; i++) {
/*     */ 
/*     */       
/* 175 */       if (i != startPos)
/*     */       {
/* 177 */         colnum = (colnum + 1) * 26;
/*     */       }
/* 179 */       colnum += s2.charAt(i) - 65;
/*     */     } 
/*     */     
/* 182 */     return colnum;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getRow(String s) {
/*     */     try {
/* 192 */       return Integer.parseInt(s.substring(getNumberIndex(s))) - 1;
/*     */     }
/* 194 */     catch (NumberFormatException e) {
/*     */       
/* 196 */       logger.warn(e, e);
/* 197 */       return 65535;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int getNumberIndex(String s) {
/* 207 */     boolean numberFound = false;
/* 208 */     int pos = 0;
/* 209 */     char c = Character.MIN_VALUE;
/*     */     
/* 211 */     while (!numberFound && pos < s.length()) {
/*     */       
/* 213 */       c = s.charAt(pos);
/*     */       
/* 215 */       if (c >= '0' && c <= '9') {
/*     */         
/* 217 */         numberFound = true;
/*     */         
/*     */         continue;
/*     */       } 
/* 221 */       pos++;
/*     */     } 
/*     */ 
/*     */     
/* 225 */     return pos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isColumnRelative(String s) {
/* 236 */     return (s.charAt(0) != '$');
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isRowRelative(String s) {
/* 247 */     return (s.charAt(getNumberIndex(s) - 1) != '$');
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\CellReferenceHelper.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */