/*     */ package jxl.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.format.Colour;
/*     */ import jxl.format.Font;
/*     */ import jxl.format.ScriptStyle;
/*     */ import jxl.format.UnderlineStyle;
/*     */ import jxl.read.biff.Record;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FontRecord
/*     */   extends WritableRecordData
/*     */   implements Font
/*     */ {
/*     */   private int pointHeight;
/*     */   private int colourIndex;
/*     */   private int boldWeight;
/*     */   private int scriptStyle;
/*     */   private int underlineStyle;
/*     */   private byte fontFamily;
/*     */   private byte characterSet;
/*     */   private boolean italic;
/*     */   private boolean struckout;
/*     */   private String name;
/*     */   private boolean initialized;
/*     */   private int fontIndex;
/*     */   
/*     */   private static class Biff7
/*     */   {
/*     */     private Biff7() {}
/*     */   }
/*     */   
/*  92 */   public static final Biff7 biff7 = new Biff7();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int EXCEL_UNITS_PER_POINT = 20;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected FontRecord(String fn, int ps, int bold, boolean it, int us, int ci, int ss) {
/* 113 */     super(Type.FONT);
/* 114 */     this.boldWeight = bold;
/* 115 */     this.underlineStyle = us;
/* 116 */     this.name = fn;
/* 117 */     this.pointHeight = ps;
/* 118 */     this.italic = it;
/* 119 */     this.scriptStyle = ss;
/* 120 */     this.colourIndex = ci;
/* 121 */     this.initialized = false;
/* 122 */     this.struckout = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FontRecord(Record t, WorkbookSettings ws) {
/* 134 */     super(t);
/*     */     
/* 136 */     byte[] data = getRecord().getData();
/*     */     
/* 138 */     this.pointHeight = IntegerHelper.getInt(data[0], data[1]) / 20;
/*     */     
/* 140 */     this.colourIndex = IntegerHelper.getInt(data[4], data[5]);
/* 141 */     this.boldWeight = IntegerHelper.getInt(data[6], data[7]);
/* 142 */     this.scriptStyle = IntegerHelper.getInt(data[8], data[9]);
/* 143 */     this.underlineStyle = data[10];
/* 144 */     this.fontFamily = data[11];
/* 145 */     this.characterSet = data[12];
/* 146 */     this.initialized = false;
/*     */     
/* 148 */     if ((data[2] & 0x2) != 0)
/*     */     {
/* 150 */       this.italic = true;
/*     */     }
/*     */     
/* 153 */     if ((data[2] & 0x8) != 0)
/*     */     {
/* 155 */       this.struckout = true;
/*     */     }
/*     */     
/* 158 */     int numChars = data[14];
/* 159 */     if (data[15] == 0) {
/*     */       
/* 161 */       this.name = StringHelper.getString(data, numChars, 16, ws);
/*     */     }
/* 163 */     else if (data[15] == 1) {
/*     */       
/* 165 */       this.name = StringHelper.getUnicodeString(data, numChars, 16);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 170 */       this.name = StringHelper.getString(data, numChars, 15, ws);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FontRecord(Record t, WorkbookSettings ws, Biff7 dummy) {
/* 184 */     super(t);
/*     */     
/* 186 */     byte[] data = getRecord().getData();
/*     */     
/* 188 */     this.pointHeight = IntegerHelper.getInt(data[0], data[1]) / 20;
/*     */     
/* 190 */     this.colourIndex = IntegerHelper.getInt(data[4], data[5]);
/* 191 */     this.boldWeight = IntegerHelper.getInt(data[6], data[7]);
/* 192 */     this.scriptStyle = IntegerHelper.getInt(data[8], data[9]);
/* 193 */     this.underlineStyle = data[10];
/* 194 */     this.fontFamily = data[11];
/* 195 */     this.initialized = false;
/*     */     
/* 197 */     if ((data[2] & 0x2) != 0)
/*     */     {
/* 199 */       this.italic = true;
/*     */     }
/*     */     
/* 202 */     if ((data[2] & 0x8) != 0)
/*     */     {
/* 204 */       this.struckout = true;
/*     */     }
/*     */     
/* 207 */     int numChars = data[14];
/* 208 */     this.name = StringHelper.getString(data, numChars, 15, ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected FontRecord(Font f) {
/* 218 */     super(Type.FONT);
/*     */     
/* 220 */     Assert.verify((f != null));
/*     */     
/* 222 */     this.pointHeight = f.getPointSize();
/* 223 */     this.colourIndex = f.getColour().getValue();
/* 224 */     this.boldWeight = f.getBoldWeight();
/* 225 */     this.scriptStyle = f.getScriptStyle().getValue();
/* 226 */     this.underlineStyle = f.getUnderlineStyle().getValue();
/* 227 */     this.italic = f.isItalic();
/* 228 */     this.name = f.getName();
/* 229 */     this.struckout = false;
/* 230 */     this.initialized = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 240 */     byte[] data = new byte[16 + this.name.length() * 2];
/*     */ 
/*     */     
/* 243 */     IntegerHelper.getTwoBytes(this.pointHeight * 20, data, 0);
/*     */ 
/*     */     
/* 246 */     if (this.italic)
/*     */     {
/* 248 */       data[2] = (byte)(data[2] | 0x2);
/*     */     }
/*     */     
/* 251 */     if (this.struckout)
/*     */     {
/* 253 */       data[2] = (byte)(data[2] | 0x8);
/*     */     }
/*     */ 
/*     */     
/* 257 */     IntegerHelper.getTwoBytes(this.colourIndex, data, 4);
/*     */ 
/*     */     
/* 260 */     IntegerHelper.getTwoBytes(this.boldWeight, data, 6);
/*     */ 
/*     */     
/* 263 */     IntegerHelper.getTwoBytes(this.scriptStyle, data, 8);
/*     */ 
/*     */     
/* 266 */     data[10] = (byte)this.underlineStyle;
/*     */ 
/*     */     
/* 269 */     data[11] = this.fontFamily;
/*     */ 
/*     */     
/* 272 */     data[12] = this.characterSet;
/*     */ 
/*     */     
/* 275 */     data[13] = 0;
/*     */ 
/*     */     
/* 278 */     data[14] = (byte)this.name.length();
/*     */     
/* 280 */     data[15] = 1;
/*     */ 
/*     */     
/* 283 */     StringHelper.getUnicodeBytes(this.name, data, 16);
/*     */     
/* 285 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean isInitialized() {
/* 295 */     return this.initialized;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void initialize(int pos) {
/* 306 */     this.fontIndex = pos;
/* 307 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void uninitialize() {
/* 316 */     this.initialized = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getFontIndex() {
/* 326 */     return this.fontIndex;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontPointSize(int ps) {
/* 336 */     Assert.verify(!this.initialized);
/*     */     
/* 338 */     this.pointHeight = ps;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPointSize() {
/* 348 */     return this.pointHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontBoldStyle(int bs) {
/* 358 */     Assert.verify(!this.initialized);
/*     */     
/* 360 */     this.boldWeight = bs;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getBoldWeight() {
/* 370 */     return this.boldWeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontItalic(boolean i) {
/* 381 */     Assert.verify(!this.initialized);
/*     */     
/* 383 */     this.italic = i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isItalic() {
/* 393 */     return this.italic;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontUnderlineStyle(int us) {
/* 404 */     Assert.verify(!this.initialized);
/*     */     
/* 406 */     this.underlineStyle = us;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public UnderlineStyle getUnderlineStyle() {
/* 416 */     return UnderlineStyle.getStyle(this.underlineStyle);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontColour(int c) {
/* 427 */     Assert.verify(!this.initialized);
/*     */     
/* 429 */     this.colourIndex = c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Colour getColour() {
/* 439 */     return Colour.getInternalColour(this.colourIndex);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontScriptStyle(int ss) {
/* 450 */     Assert.verify(!this.initialized);
/*     */     
/* 452 */     this.scriptStyle = ss;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ScriptStyle getScriptStyle() {
/* 462 */     return ScriptStyle.getStyle(this.scriptStyle);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() {
/* 472 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 481 */     return this.name.hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object o) {
/* 491 */     if (o == this)
/*     */     {
/* 493 */       return true;
/*     */     }
/*     */     
/* 496 */     if (!(o instanceof FontRecord))
/*     */     {
/* 498 */       return false;
/*     */     }
/*     */     
/* 501 */     FontRecord font = (FontRecord)o;
/*     */     
/* 503 */     if (this.pointHeight == font.pointHeight && this.colourIndex == font.colourIndex && this.boldWeight == font.boldWeight && this.scriptStyle == font.scriptStyle && this.underlineStyle == font.underlineStyle && this.italic == font.italic && this.struckout == font.struckout && this.fontFamily == font.fontFamily && this.characterSet == font.characterSet && this.name.equals(font.name))
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 514 */       return true;
/*     */     }
/*     */     
/* 517 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isStruckout() {
/* 527 */     return this.struckout;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFontStruckout(boolean os) {
/* 537 */     this.struckout = os;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\FontRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */