/*     */ package jxl.biff;
/*     */ 
/*     */ import java.text.DateFormat;
/*     */ import java.text.DecimalFormat;
/*     */ import java.text.Format;
/*     */ import java.text.NumberFormat;
/*     */ import java.text.SimpleDateFormat;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.format.Format;
/*     */ import jxl.read.biff.Record;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FormatRecord
/*     */   extends WritableRecordData
/*     */   implements DisplayFormat, Format
/*     */ {
/*     */   private boolean initialized;
/*     */   private byte[] data;
/*     */   private int indexCode;
/*     */   private String formatString;
/*     */   private boolean date;
/*     */   private boolean number;
/*     */   private Format format;
/*  75 */   private static String[] dateStrings = new String[] { "dd", "mm", "yy", "hh", "ss", "m/", "/d" };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static class BiffType
/*     */   {
/*     */     private BiffType() {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  91 */   public static final BiffType biff8 = new BiffType();
/*  92 */   public static final BiffType biff7 = new BiffType();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   FormatRecord(String fmt, int refno) {
/* 102 */     super(Type.FORMAT);
/* 103 */     this.formatString = fmt;
/* 104 */     this.indexCode = refno;
/* 105 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected FormatRecord() {
/* 113 */     super(Type.FORMAT);
/* 114 */     this.initialized = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected FormatRecord(FormatRecord fr) {
/* 124 */     super(Type.FORMAT);
/* 125 */     this.initialized = false;
/*     */     
/* 127 */     this.formatString = new String(fr.formatString);
/* 128 */     this.date = fr.date;
/* 129 */     this.number = fr.number;
/* 130 */     this.format = (Format)fr.format.clone();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormatRecord(Record t, WorkbookSettings ws, BiffType biffType) {
/* 143 */     super(t);
/*     */     
/* 145 */     byte[] data = getRecord().getData();
/* 146 */     this.indexCode = IntegerHelper.getInt(data[0], data[1]);
/* 147 */     this.initialized = true;
/*     */     
/* 149 */     if (biffType == biff8) {
/*     */       
/* 151 */       int numchars = IntegerHelper.getInt(data[2], data[3]);
/* 152 */       if (data[4] == 0)
/*     */       {
/* 154 */         this.formatString = StringHelper.getString(data, numchars, 5, ws);
/*     */       }
/*     */       else
/*     */       {
/* 158 */         this.formatString = StringHelper.getUnicodeString(data, numchars, 5);
/*     */       }
/*     */     
/*     */     } else {
/*     */       
/* 163 */       int numchars = data[2];
/* 164 */       byte[] chars = new byte[numchars];
/* 165 */       System.arraycopy(data, 3, chars, 0, chars.length);
/* 166 */       this.formatString = new String(chars);
/*     */     } 
/*     */     
/* 169 */     this.date = false;
/* 170 */     this.number = false;
/*     */ 
/*     */     
/* 173 */     for (int i = 0; i < dateStrings.length; i++) {
/*     */       
/* 175 */       String dateString = dateStrings[i];
/* 176 */       if (this.formatString.indexOf(dateString) != -1 || this.formatString.indexOf(dateString.toUpperCase()) != -1) {
/*     */ 
/*     */         
/* 179 */         this.date = true;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */     
/* 185 */     if (!this.date)
/*     */     {
/* 187 */       if (this.formatString.indexOf('#') != -1 || this.formatString.indexOf('0') != -1)
/*     */       {
/*     */         
/* 190 */         this.number = true;
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 202 */     this.data = new byte[this.formatString.length() * 2 + 3 + 2];
/*     */     
/* 204 */     IntegerHelper.getTwoBytes(this.indexCode, this.data, 0);
/* 205 */     IntegerHelper.getTwoBytes(this.formatString.length(), this.data, 2);
/* 206 */     this.data[4] = 1;
/* 207 */     StringHelper.getUnicodeBytes(this.formatString, this.data, 5);
/*     */     
/* 209 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFormatIndex() {
/* 219 */     return this.indexCode;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isInitialized() {
/* 229 */     return this.initialized;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initialize(int pos) {
/* 241 */     this.indexCode = pos;
/* 242 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final String replace(String input, String search, String replace) {
/* 256 */     String fmtstr = input;
/* 257 */     int pos = fmtstr.indexOf(search);
/* 258 */     while (pos != -1) {
/*     */       
/* 260 */       StringBuffer tmp = new StringBuffer(fmtstr.substring(0, pos));
/* 261 */       tmp.append(replace);
/* 262 */       tmp.append(fmtstr.substring(pos + search.length()));
/* 263 */       fmtstr = tmp.toString();
/* 264 */       pos = fmtstr.indexOf(search);
/*     */     } 
/* 266 */     return fmtstr;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void setFormatString(String s) {
/* 277 */     this.formatString = s;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean isDate() {
/* 287 */     return this.date;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean isNumber() {
/* 297 */     return this.number;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final NumberFormat getNumberFormat() {
/* 307 */     if (this.format != null && this.format instanceof NumberFormat)
/*     */     {
/* 309 */       return (NumberFormat)this.format;
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/* 314 */       String fs = this.formatString;
/*     */ 
/*     */       
/* 317 */       fs = replace(fs, "E+", "E");
/* 318 */       fs = replace(fs, "_)", "");
/* 319 */       fs = replace(fs, "_", "");
/* 320 */       fs = replace(fs, "[Red]", "");
/* 321 */       fs = replace(fs, "\\", "");
/*     */       
/* 323 */       this.format = new DecimalFormat(fs);
/*     */     }
/* 325 */     catch (IllegalArgumentException e) {
/*     */ 
/*     */ 
/*     */       
/* 329 */       this.format = new DecimalFormat("#.###");
/*     */     } 
/*     */     
/* 332 */     return (NumberFormat)this.format;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final DateFormat getDateFormat() {
/* 342 */     if (this.format != null && this.format instanceof DateFormat)
/*     */     {
/* 344 */       return (DateFormat)this.format;
/*     */     }
/*     */     
/* 347 */     String fmt = this.formatString;
/*     */ 
/*     */     
/* 350 */     int pos = fmt.indexOf("AM/PM");
/* 351 */     while (pos != -1) {
/*     */       
/* 353 */       StringBuffer stringBuffer = new StringBuffer(fmt.substring(0, pos));
/* 354 */       stringBuffer.append('a');
/* 355 */       stringBuffer.append(fmt.substring(pos + 5));
/* 356 */       fmt = stringBuffer.toString();
/* 357 */       pos = fmt.indexOf("AM/PM");
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 362 */     pos = fmt.indexOf("ss.0");
/* 363 */     while (pos != -1) {
/*     */       
/* 365 */       StringBuffer stringBuffer = new StringBuffer(fmt.substring(0, pos));
/* 366 */       stringBuffer.append("ss.SSS");
/*     */ 
/*     */       
/* 369 */       pos += 4;
/* 370 */       while (pos < fmt.length() && fmt.charAt(pos) == '0')
/*     */       {
/* 372 */         pos++;
/*     */       }
/*     */       
/* 375 */       stringBuffer.append(fmt.substring(pos));
/* 376 */       fmt = stringBuffer.toString();
/* 377 */       pos = fmt.indexOf("ss.0");
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 382 */     StringBuffer sb = new StringBuffer();
/* 383 */     for (int i = 0; i < fmt.length(); i++) {
/*     */       
/* 385 */       if (fmt.charAt(i) != '\\')
/*     */       {
/* 387 */         sb.append(fmt.charAt(i));
/*     */       }
/*     */     } 
/*     */     
/* 391 */     fmt = sb.toString();
/*     */ 
/*     */ 
/*     */     
/* 395 */     char[] formatBytes = fmt.toCharArray();
/*     */     
/* 397 */     for (int j = 0; j < formatBytes.length; j++) {
/*     */       
/* 399 */       if (formatBytes[j] == 'm')
/*     */       {
/*     */ 
/*     */         
/* 403 */         if (j > 0 && (formatBytes[j - 1] == 'm' || formatBytes[j - 1] == 'M')) {
/*     */           
/* 405 */           formatBytes[j] = formatBytes[j - 1];
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */ 
/*     */           
/* 413 */           int minuteDist = Integer.MAX_VALUE; int k;
/* 414 */           for (k = j - 1; k > 0; k--) {
/*     */             
/* 416 */             if (formatBytes[k] == 'h') {
/*     */               
/* 418 */               minuteDist = j - k;
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 423 */           for (k = j + 1; k < formatBytes.length; k++) {
/*     */             
/* 425 */             if (formatBytes[k] == 'h') {
/*     */               
/* 427 */               minuteDist = Math.min(minuteDist, k - j);
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 432 */           for (k = j - 1; k > 0; k--) {
/*     */             
/* 434 */             if (formatBytes[k] == 'H') {
/*     */               
/* 436 */               minuteDist = j - k;
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 441 */           for (k = j + 1; k < formatBytes.length; k++) {
/*     */             
/* 443 */             if (formatBytes[k] == 'H') {
/*     */               
/* 445 */               minuteDist = Math.min(minuteDist, k - j);
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/*     */           
/* 451 */           for (k = j - 1; k > 0; k--) {
/*     */             
/* 453 */             if (formatBytes[k] == 's') {
/*     */               
/* 455 */               minuteDist = Math.min(minuteDist, j - k);
/*     */               break;
/*     */             } 
/*     */           } 
/* 459 */           for (k = j + 1; k < formatBytes.length; k++) {
/*     */             
/* 461 */             if (formatBytes[k] == 's') {
/*     */               
/* 463 */               minuteDist = Math.min(minuteDist, k - j);
/*     */ 
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/*     */           
/* 470 */           int monthDist = Integer.MAX_VALUE; int m;
/* 471 */           for (m = j - 1; m > 0; m--) {
/*     */             
/* 473 */             if (formatBytes[m] == 'd') {
/*     */               
/* 475 */               monthDist = j - m;
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 480 */           for (m = j + 1; m < formatBytes.length; m++) {
/*     */             
/* 482 */             if (formatBytes[m] == 'd') {
/*     */               
/* 484 */               monthDist = Math.min(monthDist, m - j);
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 489 */           for (m = j - 1; m > 0; m--) {
/*     */             
/* 491 */             if (formatBytes[m] == 'y') {
/*     */               
/* 493 */               monthDist = Math.min(monthDist, j - m);
/*     */               break;
/*     */             } 
/*     */           } 
/* 497 */           for (m = j + 1; m < formatBytes.length; m++) {
/*     */             
/* 499 */             if (formatBytes[m] == 'y') {
/*     */               
/* 501 */               monthDist = Math.min(monthDist, m - j);
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 506 */           if (monthDist < minuteDist) {
/*     */ 
/*     */             
/* 509 */             formatBytes[j] = Character.toUpperCase(formatBytes[j]);
/*     */           }
/* 511 */           else if (monthDist == minuteDist && monthDist != Integer.MAX_VALUE) {
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 516 */             char ind = formatBytes[j - monthDist];
/* 517 */             if (ind == 'y' || ind == 'd')
/*     */             {
/*     */               
/* 520 */               formatBytes[j] = Character.toUpperCase(formatBytes[j]);
/*     */             }
/*     */           } 
/*     */         } 
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/*     */     try {
/* 529 */       this.format = new SimpleDateFormat(new String(formatBytes));
/*     */     }
/* 531 */     catch (IllegalArgumentException e) {
/*     */ 
/*     */       
/* 534 */       this.format = new SimpleDateFormat("dd MM yyyy hh:mm:ss");
/*     */     } 
/* 536 */     return (DateFormat)this.format;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getIndexCode() {
/* 546 */     return this.indexCode;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFormatString() {
/* 556 */     return this.formatString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isBuiltIn() {
/* 566 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 575 */     return this.formatString.hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object o) {
/* 587 */     if (o == this)
/*     */     {
/* 589 */       return true;
/*     */     }
/*     */     
/* 592 */     if (!(o instanceof FormatRecord))
/*     */     {
/* 594 */       return false;
/*     */     }
/*     */     
/* 597 */     FormatRecord fr = (FormatRecord)o;
/*     */ 
/*     */     
/* 600 */     if (!this.initialized || !fr.initialized)
/*     */     {
/* 602 */       return false;
/*     */     }
/*     */ 
/*     */     
/* 606 */     if (this.date != fr.date || this.number != fr.number)
/*     */     {
/*     */       
/* 609 */       return false;
/*     */     }
/*     */     
/* 612 */     return this.formatString.equals(fr.formatString);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\FormatRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */