/*     */ package jxl.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import common.Logger;
/*     */ import java.io.IOException;
/*     */ import java.text.DateFormat;
/*     */ import java.text.NumberFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import jxl.format.Colour;
/*     */ import jxl.write.biff.File;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FormattingRecords
/*     */ {
/*  43 */   private static Logger logger = Logger.getLogger(FormattingRecords.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private HashMap formats;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList formatsList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList xfRecords;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int nextCustomIndexNumber;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Fonts fonts;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PaletteRecord palette;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int customFormatStartIndex = 164;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int maxFormatRecordsIndex = 441;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int minXFRecords = 21;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormattingRecords(Fonts f) {
/* 100 */     this.xfRecords = new ArrayList(10);
/* 101 */     this.formats = new HashMap(10);
/* 102 */     this.formatsList = new ArrayList(10);
/* 103 */     this.fonts = f;
/* 104 */     this.nextCustomIndexNumber = 164;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void addStyle(XFRecord xf) throws NumFormatRecordsException {
/* 119 */     if (!xf.isInitialized()) {
/*     */       
/* 121 */       int pos = this.xfRecords.size();
/* 122 */       xf.initialize(pos, this, this.fonts);
/* 123 */       this.xfRecords.add(xf);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 130 */     else if (xf.getXFIndex() >= this.xfRecords.size()) {
/*     */       
/* 132 */       this.xfRecords.add(xf);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void addFormat(DisplayFormat fr) throws NumFormatRecordsException {
/* 148 */     if (!fr.isInitialized()) {
/*     */       
/* 150 */       fr.initialize(this.nextCustomIndexNumber);
/* 151 */       this.nextCustomIndexNumber++;
/*     */     } 
/*     */     
/* 154 */     if (this.nextCustomIndexNumber > 441) {
/*     */       
/* 156 */       this.nextCustomIndexNumber = 441;
/* 157 */       throw new NumFormatRecordsException();
/*     */     } 
/*     */     
/* 160 */     if (fr.getFormatIndex() >= this.nextCustomIndexNumber)
/*     */     {
/* 162 */       this.nextCustomIndexNumber = fr.getFormatIndex() + 1;
/*     */     }
/*     */     
/* 165 */     if (!fr.isBuiltIn()) {
/*     */       
/* 167 */       this.formatsList.add(fr);
/* 168 */       this.formats.put(new Integer(fr.getFormatIndex()), fr);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean isDate(int pos) {
/* 182 */     XFRecord xfr = this.xfRecords.get(pos);
/*     */     
/* 184 */     if (xfr.isDate())
/*     */     {
/* 186 */       return true;
/*     */     }
/*     */     
/* 189 */     FormatRecord fr = (FormatRecord)this.formats.get(new Integer(xfr.getFormatRecord()));
/*     */ 
/*     */     
/* 192 */     return (fr == null) ? false : fr.isDate();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final DateFormat getDateFormat(int pos) {
/* 204 */     XFRecord xfr = this.xfRecords.get(pos);
/*     */     
/* 206 */     if (xfr.isDate())
/*     */     {
/* 208 */       return xfr.getDateFormat();
/*     */     }
/*     */     
/* 211 */     FormatRecord fr = (FormatRecord)this.formats.get(new Integer(xfr.getFormatRecord()));
/*     */ 
/*     */     
/* 214 */     if (fr == null)
/*     */     {
/* 216 */       return null;
/*     */     }
/*     */     
/* 219 */     return fr.isDate() ? fr.getDateFormat() : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final NumberFormat getNumberFormat(int pos) {
/* 231 */     XFRecord xfr = this.xfRecords.get(pos);
/*     */     
/* 233 */     if (xfr.isNumber())
/*     */     {
/* 235 */       return xfr.getNumberFormat();
/*     */     }
/*     */     
/* 238 */     FormatRecord fr = (FormatRecord)this.formats.get(new Integer(xfr.getFormatRecord()));
/*     */ 
/*     */     
/* 241 */     if (fr == null)
/*     */     {
/* 243 */       return null;
/*     */     }
/*     */     
/* 246 */     return fr.isNumber() ? fr.getNumberFormat() : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   FormatRecord getFormatRecord(int index) {
/* 257 */     return (FormatRecord)this.formats.get(new Integer(index));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write(File outputFile) throws IOException {
/* 269 */     Iterator i = this.formatsList.iterator();
/* 270 */     FormatRecord fr = null;
/* 271 */     while (i.hasNext()) {
/*     */       
/* 273 */       fr = i.next();
/* 274 */       outputFile.write(fr);
/*     */     } 
/*     */ 
/*     */     
/* 278 */     i = this.xfRecords.iterator();
/* 279 */     XFRecord xfr = null;
/* 280 */     while (i.hasNext()) {
/*     */       
/* 282 */       xfr = (XFRecord)i.next();
/* 283 */       outputFile.write(xfr);
/*     */     } 
/*     */ 
/*     */     
/* 287 */     BuiltInStyle style = new BuiltInStyle(16, 3);
/* 288 */     outputFile.write(style);
/*     */     
/* 290 */     style = new BuiltInStyle(17, 6);
/* 291 */     outputFile.write(style);
/*     */     
/* 293 */     style = new BuiltInStyle(18, 4);
/* 294 */     outputFile.write(style);
/*     */     
/* 296 */     style = new BuiltInStyle(19, 7);
/* 297 */     outputFile.write(style);
/*     */     
/* 299 */     style = new BuiltInStyle(0, 0);
/* 300 */     outputFile.write(style);
/*     */     
/* 302 */     style = new BuiltInStyle(20, 5);
/* 303 */     outputFile.write(style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final Fonts getFonts() {
/* 313 */     return this.fonts;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final XFRecord getXFRecord(int index) {
/* 325 */     return this.xfRecords.get(index);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final int getNumberOfFormatRecords() {
/* 337 */     return this.formatsList.size();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public IndexMapping rationalizeFonts() {
/* 347 */     return this.fonts.rationalize();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public IndexMapping rationalize(IndexMapping fontMapping, IndexMapping formatMapping) {
/* 365 */     XFRecord xfr = null;
/* 366 */     for (Iterator it = this.xfRecords.iterator(); it.hasNext(); ) {
/*     */       
/* 368 */       xfr = it.next();
/*     */       
/* 370 */       if (xfr.getFormatRecord() >= 164)
/*     */       {
/* 372 */         xfr.setFormatIndex(formatMapping.getNewIndex(xfr.getFormatRecord()));
/*     */       }
/*     */       
/* 375 */       xfr.setFontIndex(fontMapping.getNewIndex(xfr.getFontIndex()));
/*     */     } 
/*     */     
/* 378 */     ArrayList newrecords = new ArrayList(21);
/* 379 */     IndexMapping mapping = new IndexMapping(this.xfRecords.size());
/* 380 */     int numremoved = 0;
/*     */     
/*     */     int j;
/* 383 */     for (j = 0; j < 21; j++) {
/*     */       
/* 385 */       newrecords.add(this.xfRecords.get(j));
/* 386 */       mapping.setMapping(j, j);
/*     */     } 
/*     */ 
/*     */     
/* 390 */     for (j = 21; j < this.xfRecords.size(); j++) {
/*     */       
/* 392 */       XFRecord xf = this.xfRecords.get(j);
/*     */ 
/*     */       
/* 395 */       boolean duplicate = false;
/* 396 */       Iterator iterator = newrecords.iterator();
/* 397 */       while (iterator.hasNext() && !duplicate) {
/*     */         
/* 399 */         XFRecord xf2 = iterator.next();
/* 400 */         if (xf2.equals(xf)) {
/*     */           
/* 402 */           duplicate = true;
/* 403 */           mapping.setMapping(j, mapping.getNewIndex(xf2.getXFIndex()));
/* 404 */           numremoved++;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 409 */       if (!duplicate) {
/*     */         
/* 411 */         newrecords.add(xf);
/* 412 */         mapping.setMapping(j, j - numremoved);
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 419 */     for (Iterator i = this.xfRecords.iterator(); i.hasNext(); ) {
/*     */       
/* 421 */       XFRecord xf = i.next();
/* 422 */       xf.rationalize(mapping);
/*     */     } 
/*     */ 
/*     */     
/* 426 */     this.xfRecords = newrecords;
/*     */     
/* 428 */     return mapping;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public IndexMapping rationalizeDisplayFormats() {
/* 441 */     ArrayList newformats = new ArrayList();
/* 442 */     int numremoved = 0;
/* 443 */     IndexMapping mapping = new IndexMapping(this.nextCustomIndexNumber);
/*     */ 
/*     */     
/* 446 */     Iterator i = this.formatsList.iterator();
/* 447 */     DisplayFormat df = null;
/* 448 */     DisplayFormat df2 = null;
/* 449 */     boolean duplicate = false;
/* 450 */     while (i.hasNext()) {
/*     */       
/* 452 */       df = i.next();
/*     */       
/* 454 */       Assert.verify(!df.isBuiltIn());
/*     */ 
/*     */       
/* 457 */       Iterator i2 = newformats.iterator();
/* 458 */       duplicate = false;
/* 459 */       while (i2.hasNext() && !duplicate) {
/*     */         
/* 461 */         df2 = i2.next();
/* 462 */         if (df2.equals(df)) {
/*     */           
/* 464 */           duplicate = true;
/* 465 */           mapping.setMapping(df.getFormatIndex(), mapping.getNewIndex(df2.getFormatIndex()));
/*     */           
/* 467 */           numremoved++;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 472 */       if (!duplicate) {
/*     */         
/* 474 */         newformats.add(df);
/* 475 */         int indexnum = df.getFormatIndex() - numremoved;
/* 476 */         if (indexnum > 441) {
/*     */           
/* 478 */           logger.warn("Too many number formats - using default format.");
/* 479 */           indexnum = 0;
/*     */         } 
/* 481 */         mapping.setMapping(df.getFormatIndex(), df.getFormatIndex() - numremoved);
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 487 */     this.formatsList = newformats;
/*     */ 
/*     */     
/* 490 */     i = this.formatsList.iterator();
/*     */     
/* 492 */     while (i.hasNext()) {
/*     */       
/* 494 */       df = i.next();
/* 495 */       df.initialize(mapping.getNewIndex(df.getFormatIndex()));
/*     */     } 
/*     */     
/* 498 */     return mapping;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PaletteRecord getPalette() {
/* 508 */     return this.palette;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPalette(PaletteRecord pr) {
/* 518 */     this.palette = pr;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColourRGB(Colour c, int r, int g, int b) {
/* 531 */     if (this.palette == null)
/*     */     {
/* 533 */       this.palette = new PaletteRecord();
/*     */     }
/* 535 */     this.palette.setColourRGB(c, r, g, b);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\FormattingRecords.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */