/*      */ package jxl.biff;
/*      */ 
/*      */ import common.Assert;
/*      */ import java.text.DateFormat;
/*      */ import java.text.DecimalFormat;
/*      */ import java.text.NumberFormat;
/*      */ import java.text.SimpleDateFormat;
/*      */ import jxl.format.Alignment;
/*      */ import jxl.format.Border;
/*      */ import jxl.format.BorderLineStyle;
/*      */ import jxl.format.CellFormat;
/*      */ import jxl.format.Colour;
/*      */ import jxl.format.Font;
/*      */ import jxl.format.Format;
/*      */ import jxl.format.Orientation;
/*      */ import jxl.format.Pattern;
/*      */ import jxl.format.VerticalAlignment;
/*      */ import jxl.read.biff.Record;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class XFRecord
/*      */   extends WritableRecordData
/*      */   implements CellFormat
/*      */ {
/*      */   private int formatIndex;
/*      */   private int parentFormat;
/*      */   private XFType xfFormatType;
/*      */   private boolean date;
/*      */   private boolean number;
/*      */   private DateFormat dateFormat;
/*      */   private NumberFormat numberFormat;
/*      */   private byte usedAttributes;
/*      */   private int fontIndex;
/*      */   private boolean locked;
/*      */   private boolean hidden;
/*      */   private Alignment align;
/*      */   private VerticalAlignment valign;
/*      */   private Orientation orientation;
/*      */   private boolean wrap;
/*      */   private boolean shrinkToFit;
/*      */   private BorderLineStyle leftBorder;
/*      */   private BorderLineStyle rightBorder;
/*      */   private BorderLineStyle topBorder;
/*      */   private BorderLineStyle bottomBorder;
/*      */   private Colour backgroundColour;
/*      */   private Pattern pattern;
/*      */   private int options;
/*      */   private int xfIndex;
/*      */   private FontRecord font;
/*      */   private DisplayFormat format;
/*      */   private boolean initialized;
/*      */   private boolean read;
/*      */   private Format excelFormat;
/*      */   private boolean formatInfoInitialized;
/*      */   private boolean copied;
/*      */   private FormattingRecords formattingRecords;
/*  208 */   private static final int[] dateFormats = new int[] { 14, 15, 16, 17, 18, 19, 20, 21, 22, 45, 46, 47 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  225 */   private static final DateFormat[] javaDateFormats = new DateFormat[] { new SimpleDateFormat("dd/MM/yyyy"), new SimpleDateFormat("d-MMM-yy"), new SimpleDateFormat("d-MMM"), new SimpleDateFormat("MMM-yy"), new SimpleDateFormat("h:mm a"), new SimpleDateFormat("h:mm:ss a"), new SimpleDateFormat("H:mm"), new SimpleDateFormat("H:mm:ss"), new SimpleDateFormat("M/d/yy H:mm"), new SimpleDateFormat("mm:ss"), new SimpleDateFormat("H:mm:ss"), new SimpleDateFormat("mm:ss.S") };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  242 */   private static int[] numberFormats = new int[] { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 37, 38, 39, 40, 41, 42, 43, 44, 48 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  267 */   private static NumberFormat[] javaNumberFormats = new NumberFormat[] { new DecimalFormat("0"), new DecimalFormat("0.00"), new DecimalFormat("#,##0"), new DecimalFormat("#,##0.00"), new DecimalFormat("$#,##0;($#,##0)"), new DecimalFormat("$#,##0;($#,##0)"), new DecimalFormat("$#,##0.00;($#,##0.00)"), new DecimalFormat("$#,##0.00;($#,##0.00)"), new DecimalFormat("0%"), new DecimalFormat("0.00%"), new DecimalFormat("0.00E00"), new DecimalFormat("#,##0;(#,##0)"), new DecimalFormat("#,##0;(#,##0)"), new DecimalFormat("#,##0.00;(#,##0.00)"), new DecimalFormat("#,##0.00;(#,##0.00)"), new DecimalFormat("#,##0;(#,##0)"), new DecimalFormat("$#,##0;($#,##0)"), new DecimalFormat("#,##0.00;(#,##0.00)"), new DecimalFormat("$#,##0.00;($#,##0.00)"), new DecimalFormat("##0.0E0") };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static class BiffType
/*      */   {
/*      */     private BiffType() {}
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  292 */   public static final BiffType biff8 = new BiffType();
/*  293 */   public static final BiffType biff7 = new BiffType();
/*      */   
/*      */   private BiffType biffType;
/*      */ 
/*      */   
/*      */   private static class XFType
/*      */   {
/*      */     private XFType() {}
/*      */   }
/*      */ 
/*      */   
/*  304 */   protected static final XFType cell = new XFType();
/*  305 */   protected static final XFType style = new XFType();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public XFRecord(Record t, BiffType bt) {
/*  315 */     super(t);
/*      */     
/*  317 */     this.biffType = bt;
/*      */     
/*  319 */     byte[] data = getRecord().getData();
/*      */     
/*  321 */     this.fontIndex = IntegerHelper.getInt(data[0], data[1]);
/*  322 */     this.formatIndex = IntegerHelper.getInt(data[2], data[3]);
/*  323 */     this.date = false;
/*  324 */     this.number = false;
/*      */     
/*      */     int i;
/*  327 */     for (i = 0; i < dateFormats.length; i++) {
/*      */       
/*  329 */       if (this.formatIndex == dateFormats[i]) {
/*      */         
/*  331 */         this.date = true;
/*  332 */         this.dateFormat = javaDateFormats[i];
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  337 */     for (i = 0; i < numberFormats.length; i++) {
/*      */       
/*  339 */       if (this.formatIndex == numberFormats[i]) {
/*      */         
/*  341 */         this.number = true;
/*  342 */         this.numberFormat = javaNumberFormats[i];
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  347 */     int cellAttributes = IntegerHelper.getInt(data[4], data[5]);
/*  348 */     this.parentFormat = (cellAttributes & 0xFFF0) >> 4;
/*  349 */     int formatType = cellAttributes & 0x4;
/*  350 */     this.xfFormatType = (formatType == 0) ? cell : style;
/*  351 */     this.locked = ((cellAttributes & 0x1) != 0);
/*  352 */     this.hidden = ((cellAttributes & 0x2) != 0);
/*      */     
/*  354 */     this.initialized = false;
/*  355 */     this.read = true;
/*  356 */     this.formatInfoInitialized = false;
/*  357 */     this.copied = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public XFRecord(FontRecord fnt, DisplayFormat form) {
/*  368 */     super(Type.XF);
/*      */     
/*  370 */     this.initialized = false;
/*  371 */     this.locked = true;
/*  372 */     this.hidden = false;
/*  373 */     this.align = Alignment.GENERAL;
/*  374 */     this.valign = VerticalAlignment.BOTTOM;
/*  375 */     this.orientation = Orientation.HORIZONTAL;
/*  376 */     this.wrap = false;
/*  377 */     this.leftBorder = BorderLineStyle.NONE;
/*  378 */     this.rightBorder = BorderLineStyle.NONE;
/*  379 */     this.topBorder = BorderLineStyle.NONE;
/*  380 */     this.bottomBorder = BorderLineStyle.NONE;
/*  381 */     this.pattern = Pattern.NONE;
/*  382 */     this.backgroundColour = Colour.DEFAULT_BACKGROUND;
/*  383 */     this.shrinkToFit = false;
/*      */ 
/*      */     
/*  386 */     this.parentFormat = 0;
/*  387 */     this.xfFormatType = null;
/*      */     
/*  389 */     this.font = fnt;
/*  390 */     this.format = form;
/*  391 */     this.biffType = biff8;
/*  392 */     this.read = false;
/*  393 */     this.copied = false;
/*  394 */     this.formatInfoInitialized = true;
/*      */     
/*  396 */     Assert.verify((this.font != null));
/*  397 */     Assert.verify((this.format != null));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected XFRecord(XFRecord fmt) {
/*  408 */     super(Type.XF);
/*      */     
/*  410 */     this.initialized = false;
/*  411 */     this.locked = fmt.locked;
/*  412 */     this.hidden = fmt.hidden;
/*  413 */     this.align = fmt.align;
/*  414 */     this.valign = fmt.valign;
/*  415 */     this.orientation = fmt.orientation;
/*  416 */     this.wrap = fmt.wrap;
/*  417 */     this.leftBorder = fmt.leftBorder;
/*  418 */     this.rightBorder = fmt.rightBorder;
/*  419 */     this.topBorder = fmt.topBorder;
/*  420 */     this.bottomBorder = fmt.bottomBorder;
/*  421 */     this.pattern = fmt.pattern;
/*  422 */     this.xfFormatType = fmt.xfFormatType;
/*  423 */     this.shrinkToFit = fmt.shrinkToFit;
/*  424 */     this.parentFormat = fmt.parentFormat;
/*  425 */     this.backgroundColour = fmt.backgroundColour;
/*      */ 
/*      */     
/*  428 */     this.font = fmt.font;
/*  429 */     this.format = fmt.format;
/*      */     
/*  431 */     this.fontIndex = fmt.fontIndex;
/*  432 */     this.formatIndex = fmt.formatIndex;
/*      */     
/*  434 */     this.formatInfoInitialized = fmt.formatInfoInitialized;
/*      */     
/*  436 */     this.biffType = biff8;
/*  437 */     this.read = false;
/*  438 */     this.copied = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected XFRecord(CellFormat cellFormat) {
/*  450 */     super(Type.XF);
/*      */     
/*  452 */     Assert.verify(cellFormat instanceof XFRecord);
/*  453 */     XFRecord fmt = (XFRecord)cellFormat;
/*      */     
/*  455 */     if (!fmt.formatInfoInitialized)
/*      */     {
/*  457 */       fmt.initializeFormatInformation();
/*      */     }
/*      */     
/*  460 */     this.locked = fmt.locked;
/*  461 */     this.hidden = fmt.hidden;
/*  462 */     this.align = fmt.align;
/*  463 */     this.valign = fmt.valign;
/*  464 */     this.orientation = fmt.orientation;
/*  465 */     this.wrap = fmt.wrap;
/*  466 */     this.leftBorder = fmt.leftBorder;
/*  467 */     this.rightBorder = fmt.rightBorder;
/*  468 */     this.topBorder = fmt.topBorder;
/*  469 */     this.bottomBorder = fmt.bottomBorder;
/*  470 */     this.pattern = fmt.pattern;
/*  471 */     this.xfFormatType = fmt.xfFormatType;
/*  472 */     this.parentFormat = fmt.parentFormat;
/*  473 */     this.shrinkToFit = fmt.shrinkToFit;
/*  474 */     this.backgroundColour = fmt.backgroundColour;
/*      */ 
/*      */     
/*  477 */     this.font = new FontRecord(fmt.getFont());
/*      */ 
/*      */ 
/*      */     
/*  481 */     if (fmt.getFormat() instanceof BuiltInFormat) {
/*      */       
/*  483 */       this.excelFormat = fmt.excelFormat;
/*  484 */       this.format = (BuiltInFormat)fmt.excelFormat;
/*      */     }
/*      */     else {
/*      */       
/*  488 */       Assert.verify(fmt.formatInfoInitialized);
/*      */ 
/*      */ 
/*      */       
/*  492 */       Assert.verify(fmt.excelFormat instanceof FormatRecord);
/*      */ 
/*      */       
/*  495 */       FormatRecord fr = new FormatRecord((FormatRecord)fmt.excelFormat);
/*      */ 
/*      */ 
/*      */       
/*  499 */       this.excelFormat = fr;
/*  500 */       this.format = fr;
/*      */     } 
/*      */     
/*  503 */     this.biffType = biff8;
/*      */ 
/*      */     
/*  506 */     this.formatInfoInitialized = true;
/*      */ 
/*      */     
/*  509 */     this.read = false;
/*      */ 
/*      */     
/*  512 */     this.copied = false;
/*      */ 
/*      */     
/*  515 */     this.initialized = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DateFormat getDateFormat() {
/*  525 */     return this.dateFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public NumberFormat getNumberFormat() {
/*  535 */     return this.numberFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFormatRecord() {
/*  545 */     return this.formatIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isDate() {
/*  555 */     return this.date;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isNumber() {
/*  565 */     return this.number;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] getData() {
/*  581 */     if (!this.formatInfoInitialized)
/*      */     {
/*  583 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  586 */     byte[] data = new byte[20];
/*      */     
/*  588 */     IntegerHelper.getTwoBytes(this.fontIndex, data, 0);
/*  589 */     IntegerHelper.getTwoBytes(this.formatIndex, data, 2);
/*      */ 
/*      */     
/*  592 */     int cellAttributes = 0;
/*      */     
/*  594 */     if (getLocked())
/*      */     {
/*  596 */       cellAttributes |= 0x1;
/*      */     }
/*      */     
/*  599 */     if (getHidden())
/*      */     {
/*  601 */       cellAttributes |= 0x2;
/*      */     }
/*      */     
/*  604 */     if (this.xfFormatType == style) {
/*      */       
/*  606 */       cellAttributes |= 0x4;
/*  607 */       this.parentFormat = 65535;
/*      */     } 
/*      */     
/*  610 */     cellAttributes |= this.parentFormat << 4;
/*      */     
/*  612 */     IntegerHelper.getTwoBytes(cellAttributes, data, 4);
/*      */     
/*  614 */     int alignMask = this.align.getValue();
/*      */     
/*  616 */     if (this.wrap)
/*      */     {
/*  618 */       alignMask |= 0x8;
/*      */     }
/*      */     
/*  621 */     alignMask |= this.valign.getValue() << 4;
/*      */     
/*  623 */     alignMask |= this.orientation.getValue() << 8;
/*      */     
/*  625 */     IntegerHelper.getTwoBytes(alignMask, data, 6);
/*      */ 
/*      */     
/*  628 */     int borderMask = this.leftBorder.getValue();
/*  629 */     borderMask |= this.rightBorder.getValue() << 4;
/*  630 */     borderMask |= this.topBorder.getValue() << 8;
/*  631 */     borderMask |= this.bottomBorder.getValue() << 12;
/*      */     
/*  633 */     IntegerHelper.getTwoBytes(borderMask, data, 10);
/*      */ 
/*      */ 
/*      */     
/*  637 */     if (borderMask != 0) {
/*      */       
/*  639 */       data[12] = 64;
/*  640 */       data[13] = 32;
/*  641 */       data[14] = 64;
/*  642 */       data[15] = 32;
/*      */     } 
/*      */ 
/*      */     
/*  646 */     IntegerHelper.getTwoBytes(this.pattern.getValue(), data, 16);
/*      */ 
/*      */     
/*  649 */     int colourPaletteMask = this.backgroundColour.getValue();
/*  650 */     colourPaletteMask |= 0x2000;
/*  651 */     IntegerHelper.getTwoBytes(colourPaletteMask, data, 18);
/*      */ 
/*      */     
/*  654 */     if (this.shrinkToFit) {
/*      */       
/*  656 */       this.options |= 0x10;
/*      */     }
/*      */     else {
/*      */       
/*  660 */       this.options &= 0xFFEF;
/*      */     } 
/*      */     
/*  663 */     IntegerHelper.getTwoBytes(this.options, data, 8);
/*      */     
/*  665 */     return data;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected final boolean getLocked() {
/*  675 */     return this.locked;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected final boolean getHidden() {
/*  685 */     return this.hidden;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected final void setXFLocked(boolean l) {
/*  695 */     this.locked = l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected final void setXFCellOptions(int opt) {
/*  705 */     this.options |= opt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFAlignment(Alignment a) {
/*  717 */     Assert.verify(!this.initialized);
/*  718 */     this.align = a;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFShrinkToFit(boolean s) {
/*  728 */     Assert.verify(!this.initialized);
/*  729 */     this.shrinkToFit = s;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Alignment getAlignment() {
/*  739 */     if (!this.formatInfoInitialized)
/*      */     {
/*  741 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  744 */     return this.align;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isShrinkToFit() {
/*  754 */     if (!this.formatInfoInitialized)
/*      */     {
/*  756 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  759 */     return this.shrinkToFit;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isLocked() {
/*  769 */     if (!this.formatInfoInitialized)
/*      */     {
/*  771 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  774 */     return this.locked;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public VerticalAlignment getVerticalAlignment() {
/*  785 */     if (!this.formatInfoInitialized)
/*      */     {
/*  787 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  790 */     return this.valign;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Orientation getOrientation() {
/*  800 */     if (!this.formatInfoInitialized)
/*      */     {
/*  802 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  805 */     return this.orientation;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFBackground(Colour c, Pattern p) {
/*  818 */     Assert.verify(!this.initialized);
/*  819 */     this.backgroundColour = c;
/*  820 */     this.pattern = p;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Colour getBackgroundColour() {
/*  830 */     if (!this.formatInfoInitialized)
/*      */     {
/*  832 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  835 */     return this.backgroundColour;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Pattern getPattern() {
/*  845 */     if (!this.formatInfoInitialized)
/*      */     {
/*  847 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  850 */     return this.pattern;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFVerticalAlignment(VerticalAlignment va) {
/*  863 */     Assert.verify(!this.initialized);
/*  864 */     this.valign = va;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFOrientation(Orientation o) {
/*  877 */     Assert.verify(!this.initialized);
/*  878 */     this.orientation = o;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFWrap(boolean w) {
/*  890 */     Assert.verify(!this.initialized);
/*  891 */     this.wrap = w;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getWrap() {
/*  901 */     if (!this.formatInfoInitialized)
/*      */     {
/*  903 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  906 */     return this.wrap;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFBorder(Border b, BorderLineStyle ls) {
/*  919 */     Assert.verify(!this.initialized);
/*      */     
/*  921 */     if (b == Border.LEFT) {
/*      */       
/*  923 */       this.leftBorder = ls;
/*      */     }
/*  925 */     else if (b == Border.RIGHT) {
/*      */       
/*  927 */       this.rightBorder = ls;
/*      */     }
/*  929 */     else if (b == Border.TOP) {
/*      */       
/*  931 */       this.topBorder = ls;
/*      */     }
/*  933 */     else if (b == Border.BOTTOM) {
/*      */       
/*  935 */       this.bottomBorder = ls;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BorderLineStyle getBorder(Border border) {
/*  951 */     if (border == Border.NONE || border == Border.ALL)
/*      */     {
/*      */       
/*  954 */       return BorderLineStyle.NONE;
/*      */     }
/*      */     
/*  957 */     if (!this.formatInfoInitialized)
/*      */     {
/*  959 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  962 */     if (border == Border.LEFT)
/*      */     {
/*  964 */       return this.leftBorder;
/*      */     }
/*  966 */     if (border == Border.RIGHT)
/*      */     {
/*  968 */       return this.rightBorder;
/*      */     }
/*  970 */     if (border == Border.TOP)
/*      */     {
/*  972 */       return this.topBorder;
/*      */     }
/*  974 */     if (border == Border.BOTTOM)
/*      */     {
/*  976 */       return this.bottomBorder;
/*      */     }
/*      */     
/*  979 */     return BorderLineStyle.NONE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final boolean hasBorders() {
/*  990 */     if (!this.formatInfoInitialized)
/*      */     {
/*  992 */       initializeFormatInformation();
/*      */     }
/*      */     
/*  995 */     if (this.leftBorder == BorderLineStyle.NONE && this.rightBorder == BorderLineStyle.NONE && this.topBorder == BorderLineStyle.NONE && this.bottomBorder == BorderLineStyle.NONE)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 1000 */       return false;
/*      */     }
/*      */     
/* 1003 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final void initialize(int pos, FormattingRecords fr, Fonts fonts) throws NumFormatRecordsException {
/* 1019 */     this.xfIndex = pos;
/* 1020 */     this.formattingRecords = fr;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1026 */     if (this.read || this.copied) {
/*      */       
/* 1028 */       this.initialized = true;
/*      */       
/*      */       return;
/*      */     } 
/* 1032 */     if (!this.font.isInitialized())
/*      */     {
/* 1034 */       fonts.addFont(this.font);
/*      */     }
/*      */     
/* 1037 */     if (!this.format.isInitialized())
/*      */     {
/* 1039 */       fr.addFormat(this.format);
/*      */     }
/*      */     
/* 1042 */     this.fontIndex = this.font.getFontIndex();
/* 1043 */     this.formatIndex = this.format.getFormatIndex();
/*      */     
/* 1045 */     this.initialized = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final void uninitialize() {
/* 1054 */     this.initialized = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void setXFIndex(int xfi) {
/* 1065 */     this.xfIndex = xfi;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final int getXFIndex() {
/* 1075 */     return this.xfIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final boolean isInitialized() {
/* 1085 */     return this.initialized;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final boolean isRead() {
/* 1097 */     return this.read;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Format getFormat() {
/* 1107 */     if (!this.formatInfoInitialized)
/*      */     {
/* 1109 */       initializeFormatInformation();
/*      */     }
/* 1111 */     return this.excelFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Font getFont() {
/* 1121 */     if (!this.formatInfoInitialized)
/*      */     {
/* 1123 */       initializeFormatInformation();
/*      */     }
/* 1125 */     return this.font;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeFormatInformation() {
/* 1134 */     if (this.formatIndex < BuiltInFormat.builtIns.length && BuiltInFormat.builtIns[this.formatIndex] != null) {
/*      */ 
/*      */       
/* 1137 */       this.excelFormat = BuiltInFormat.builtIns[this.formatIndex];
/*      */     }
/*      */     else {
/*      */       
/* 1141 */       this.excelFormat = this.formattingRecords.getFormatRecord(this.formatIndex);
/*      */     } 
/*      */ 
/*      */     
/* 1145 */     this.font = this.formattingRecords.getFonts().getFont(this.fontIndex);
/*      */ 
/*      */     
/* 1148 */     byte[] data = getRecord().getData();
/*      */ 
/*      */     
/* 1151 */     int cellAttributes = IntegerHelper.getInt(data[4], data[5]);
/* 1152 */     this.parentFormat = (cellAttributes & 0xFFF0) >> 4;
/* 1153 */     int formatType = cellAttributes & 0x4;
/* 1154 */     this.xfFormatType = (formatType == 0) ? cell : style;
/* 1155 */     this.locked = ((cellAttributes & 0x1) != 0);
/* 1156 */     this.hidden = ((cellAttributes & 0x2) != 0);
/*      */     
/* 1158 */     int alignMask = IntegerHelper.getInt(data[6], data[7]);
/*      */ 
/*      */     
/* 1161 */     if ((alignMask & 0x8) != 0)
/*      */     {
/* 1163 */       this.wrap = true;
/*      */     }
/*      */ 
/*      */     
/* 1167 */     this.align = Alignment.getAlignment(alignMask & 0x7);
/*      */ 
/*      */     
/* 1170 */     this.valign = VerticalAlignment.getAlignment(alignMask >> 4 & 0x7);
/*      */ 
/*      */     
/* 1173 */     this.orientation = Orientation.getOrientation(alignMask >> 8 & 0xFF);
/*      */     
/* 1175 */     int attr = IntegerHelper.getInt(data[8], data[9]);
/*      */ 
/*      */     
/* 1178 */     this.shrinkToFit = ((attr & 0x10) != 0);
/*      */ 
/*      */     
/* 1181 */     if (this.biffType == biff8)
/*      */     {
/* 1183 */       this.usedAttributes = data[9];
/*      */     }
/*      */ 
/*      */     
/* 1187 */     int borderMask = IntegerHelper.getInt(data[10], data[11]);
/*      */     
/* 1189 */     this.leftBorder = BorderLineStyle.getStyle(borderMask & 0x7);
/* 1190 */     this.rightBorder = BorderLineStyle.getStyle(borderMask >> 4 & 0x7);
/* 1191 */     this.topBorder = BorderLineStyle.getStyle(borderMask >> 8 & 0x7);
/* 1192 */     this.bottomBorder = BorderLineStyle.getStyle(borderMask >> 12 & 0x7);
/*      */     
/* 1194 */     if (this.biffType == biff8) {
/*      */ 
/*      */       
/* 1197 */       int patternVal = IntegerHelper.getInt(data[16], data[17]);
/* 1198 */       this.pattern = Pattern.getPattern(patternVal);
/*      */ 
/*      */       
/* 1201 */       int colourPaletteMask = IntegerHelper.getInt(data[18], data[19]);
/* 1202 */       this.backgroundColour = Colour.getInternalColour(colourPaletteMask & 0x3F);
/*      */ 
/*      */       
/* 1205 */       if (this.backgroundColour == Colour.UNKNOWN || this.backgroundColour == Colour.DEFAULT_BACKGROUND1)
/*      */       {
/*      */         
/* 1208 */         this.backgroundColour = Colour.DEFAULT_BACKGROUND;
/*      */       }
/*      */     }
/*      */     else {
/*      */       
/* 1213 */       this.pattern = Pattern.NONE;
/* 1214 */       this.backgroundColour = Colour.DEFAULT_BACKGROUND;
/*      */     } 
/*      */ 
/*      */     
/* 1218 */     this.formatInfoInitialized = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int hashCode() {
/* 1227 */     return 17;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean equals(Object o) {
/* 1239 */     if (o == this)
/*      */     {
/* 1241 */       return true;
/*      */     }
/*      */     
/* 1244 */     if (!(o instanceof XFRecord))
/*      */     {
/* 1246 */       return false;
/*      */     }
/*      */     
/* 1249 */     XFRecord xfr = (XFRecord)o;
/*      */ 
/*      */     
/* 1252 */     if (!this.formatInfoInitialized)
/*      */     {
/* 1254 */       initializeFormatInformation();
/*      */     }
/*      */     
/* 1257 */     if (!xfr.formatInfoInitialized)
/*      */     {
/* 1259 */       xfr.initializeFormatInformation();
/*      */     }
/*      */     
/* 1262 */     if (this.xfFormatType != xfr.xfFormatType || this.parentFormat != this.parentFormat || this.locked != xfr.locked || this.hidden != xfr.hidden || this.usedAttributes != xfr.usedAttributes)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1268 */       return false;
/*      */     }
/*      */     
/* 1271 */     if (this.align != xfr.align || this.valign != xfr.valign || this.orientation != xfr.orientation || this.wrap != xfr.wrap || this.shrinkToFit != xfr.shrinkToFit)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1277 */       return false;
/*      */     }
/*      */     
/* 1280 */     if (this.leftBorder != xfr.leftBorder || this.rightBorder != xfr.rightBorder || this.topBorder != xfr.topBorder || this.bottomBorder != xfr.bottomBorder)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 1285 */       return false;
/*      */     }
/*      */     
/* 1288 */     if (this.backgroundColour != xfr.backgroundColour || this.pattern != xfr.pattern)
/*      */     {
/*      */       
/* 1291 */       return false;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1298 */     if (this.fontIndex != xfr.fontIndex || this.formatIndex != xfr.formatIndex)
/*      */     {
/*      */       
/* 1301 */       return false;
/*      */     }
/*      */     
/* 1304 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setFormatIndex(int newindex) {
/* 1314 */     this.formatIndex = newindex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getFontIndex() {
/* 1324 */     return this.fontIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setFontIndex(int newindex) {
/* 1335 */     this.fontIndex = newindex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setXFDetails(XFType t, int pf) {
/* 1345 */     this.xfFormatType = t;
/* 1346 */     this.parentFormat = pf;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void rationalize(IndexMapping xfMapping) {
/* 1355 */     this.xfIndex = xfMapping.getNewIndex(this.xfIndex);
/*      */     
/* 1357 */     if (this.xfFormatType == cell)
/*      */     {
/* 1359 */       this.parentFormat = xfMapping.getNewIndex(this.parentFormat);
/*      */     }
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\XFRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */