/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.ByteData;
/*     */ import jxl.biff.IndexMapping;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.read.biff.File;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Chart
/*     */   implements ByteData, EscherStream
/*     */ {
/*     */   private MsoDrawingRecord msoDrawingRecord;
/*     */   private ObjRecord objRecord;
/*     */   private int startpos;
/*     */   private int endpos;
/*     */   private File file;
/*     */   private byte[] data;
/*     */   private boolean initialized;
/*     */   private WorkbookSettings workbookSettings;
/*     */   
/*     */   public Chart(MsoDrawingRecord mso, ObjRecord obj, int sp, int ep, File f, WorkbookSettings ws) {
/*  90 */     this.msoDrawingRecord = mso;
/*  91 */     this.objRecord = obj;
/*  92 */     this.startpos = sp;
/*  93 */     this.endpos = ep;
/*  94 */     this.file = f;
/*  95 */     this.workbookSettings = ws;
/*  96 */     this.initialized = false;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 101 */     Assert.verify(((mso != null && obj != null) || (mso == null && obj == null)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getBytes() {
/* 112 */     if (!this.initialized)
/*     */     {
/* 114 */       initialize();
/*     */     }
/*     */     
/* 117 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 127 */     return this.msoDrawingRecord.getRecord().getData();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initialize() {
/* 135 */     this.data = this.file.read(this.startpos, this.endpos - this.startpos);
/* 136 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void rationalize(IndexMapping xfMapping, IndexMapping fontMapping, IndexMapping formatMapping) {
/* 149 */     if (!this.initialized)
/*     */     {
/* 151 */       initialize();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 157 */     int pos = 0;
/* 158 */     int code = 0;
/* 159 */     int length = 0;
/* 160 */     Type type = null;
/* 161 */     while (pos < this.data.length) {
/*     */       
/* 163 */       code = IntegerHelper.getInt(this.data[pos], this.data[pos + 1]);
/* 164 */       length = IntegerHelper.getInt(this.data[pos + 2], this.data[pos + 3]);
/*     */       
/* 166 */       type = Type.getType(code);
/*     */       
/* 168 */       if (type == Type.FONTX) {
/*     */         
/* 170 */         int fontind = IntegerHelper.getInt(this.data[pos + 4], this.data[pos + 5]);
/* 171 */         IntegerHelper.getTwoBytes(fontMapping.getNewIndex(fontind), this.data, pos + 4);
/*     */       
/*     */       }
/* 174 */       else if (type == Type.FBI) {
/*     */         
/* 176 */         int fontind = IntegerHelper.getInt(this.data[pos + 12], this.data[pos + 13]);
/* 177 */         IntegerHelper.getTwoBytes(fontMapping.getNewIndex(fontind), this.data, pos + 12);
/*     */       
/*     */       }
/* 180 */       else if (type == Type.IFMT) {
/*     */         
/* 182 */         int formind = IntegerHelper.getInt(this.data[pos + 4], this.data[pos + 5]);
/* 183 */         IntegerHelper.getTwoBytes(formatMapping.getNewIndex(formind), this.data, pos + 4);
/*     */       } 
/*     */ 
/*     */       
/* 187 */       pos += length + 4;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   SpContainer getSpContainer() {
/* 198 */     EscherRecordData er = new EscherRecordData(this, 0);
/* 199 */     Assert.verify(er.isContainer());
/*     */     
/* 201 */     EscherContainer escherData = new EscherContainer(er);
/*     */     
/* 203 */     SpContainer spContainer = null;
/* 204 */     if (escherData.getType() == EscherRecordType.DG_CONTAINER) {
/*     */       
/* 206 */       EscherRecordData erd = new EscherRecordData(this, 80);
/* 207 */       Assert.verify((erd.getType() == EscherRecordType.SP_CONTAINER));
/* 208 */       spContainer = new SpContainer(erd);
/*     */     }
/*     */     else {
/*     */       
/* 212 */       Assert.verify((escherData.getType() == EscherRecordType.SP_CONTAINER));
/* 213 */       spContainer = new SpContainer(er);
/*     */     } 
/*     */     
/* 216 */     return spContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   MsoDrawingRecord getMsoDrawingRecord() {
/* 226 */     return this.msoDrawingRecord;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   ObjRecord getObjRecord() {
/* 236 */     return this.objRecord;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\Chart.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */