/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.io.File;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Drawing
/*     */   implements EscherStream
/*     */ {
/*     */   private byte[] drawingData;
/*     */   private SpContainer readSpContainer;
/*     */   private MsoDrawingRecord msoDrawingRecord;
/*     */   private ObjRecord objRecord;
/*     */   private boolean initialized = false;
/*     */   private File imageFile;
/*     */   private int objectId;
/*     */   private int blipId;
/*     */   private double x;
/*     */   private double y;
/*     */   private double width;
/*     */   private double height;
/*     */   private int referenceCount;
/*     */   private EscherContainer escherData;
/*     */   private Origin origin;
/*     */   private DrawingGroup drawingGroup;
/*     */   
/*     */   static final class Origin {}
/*     */   
/* 121 */   public static final Origin READ = new Origin();
/* 122 */   public static final Origin WRITE = new Origin();
/* 123 */   public static final Origin READ_WRITE = new Origin();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Drawing(MsoDrawingRecord mso, ObjRecord obj, DrawingGroup dg) {
/* 134 */     this.drawingGroup = dg;
/* 135 */     this.msoDrawingRecord = mso;
/* 136 */     this.objRecord = obj;
/* 137 */     this.initialized = false;
/* 138 */     this.origin = READ;
/* 139 */     this.drawingData = this.msoDrawingRecord.getData();
/*     */     
/* 141 */     Assert.verify((mso != null && obj != null));
/*     */     
/* 143 */     initialize();
/* 144 */     this.drawingGroup.addDrawing(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Drawing(Drawing d) {
/* 154 */     Assert.verify((d.origin == READ));
/* 155 */     this.msoDrawingRecord = d.msoDrawingRecord;
/* 156 */     this.objRecord = d.objRecord;
/* 157 */     this.initialized = false;
/* 158 */     this.origin = READ;
/* 159 */     this.drawingData = d.drawingData;
/* 160 */     this.drawingGroup = d.drawingGroup;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Drawing(double x, double y, double width, double height, File image) {
/* 175 */     this.imageFile = image;
/* 176 */     this.initialized = true;
/* 177 */     this.origin = WRITE;
/* 178 */     this.x = x;
/* 179 */     this.y = y;
/* 180 */     this.width = width;
/* 181 */     this.height = height;
/* 182 */     this.referenceCount = 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initialize() {
/* 190 */     EscherRecordData er = new EscherRecordData(this, 0);
/* 191 */     Assert.verify(er.isContainer());
/*     */     
/* 193 */     this.escherData = new EscherContainer(er);
/*     */     
/* 195 */     this.readSpContainer = null;
/* 196 */     if (this.escherData.getType() == EscherRecordType.DG_CONTAINER) {
/*     */       
/* 198 */       EscherRecordData erd = new EscherRecordData(this, 80);
/* 199 */       Assert.verify((erd.getType() == EscherRecordType.SP_CONTAINER));
/* 200 */       this.readSpContainer = new SpContainer(erd);
/*     */     }
/*     */     else {
/*     */       
/* 204 */       Assert.verify((this.escherData.getType() == EscherRecordType.SP_CONTAINER));
/* 205 */       this.readSpContainer = new SpContainer(er);
/*     */     } 
/*     */     
/* 208 */     Sp sp = (Sp)this.readSpContainer.getChildren()[0];
/* 209 */     this.objectId = sp.getShapeId() - 1024;
/*     */     
/* 211 */     Opt opt = (Opt)this.readSpContainer.getChildren()[1];
/* 212 */     this.blipId = (opt.getProperty(260)).value;
/* 213 */     this.imageFile = new File((opt.getProperty(261)).stringValue);
/*     */     
/* 215 */     ClientAnchor clientAnchor = (ClientAnchor)this.readSpContainer.getChildren()[2];
/* 216 */     this.x = clientAnchor.getX1();
/* 217 */     this.y = clientAnchor.getY1();
/* 218 */     this.width = clientAnchor.getX2() - this.x;
/* 219 */     this.height = clientAnchor.getY2() - this.y;
/*     */     
/* 221 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected File getImageFile() {
/* 231 */     return this.imageFile;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void setObjectId(int objid, int bip) {
/* 243 */     this.objectId = objid;
/* 244 */     this.blipId = bip;
/*     */     
/* 246 */     if (this.origin == READ)
/*     */     {
/* 248 */       this.origin = READ_WRITE;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int getObjectId() {
/* 259 */     return this.objectId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int getBlipId() {
/* 269 */     if (!this.initialized)
/*     */     {
/* 271 */       initialize();
/*     */     }
/*     */     
/* 274 */     return this.blipId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 284 */     return this.drawingData;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   MsoDrawingRecord getMsoDrawingRecord() {
/* 294 */     return this.msoDrawingRecord;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   ObjRecord getObjRecord() {
/* 304 */     return this.objRecord;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SpContainer getSpContainer() {
/* 314 */     if (!this.initialized)
/*     */     {
/* 316 */       initialize();
/*     */     }
/*     */     
/* 319 */     if (this.origin == READ)
/*     */     {
/* 321 */       return getReadSpContainer();
/*     */     }
/*     */     
/* 324 */     SpContainer spContainer = new SpContainer();
/* 325 */     Sp sp = new Sp(Sp.PICTURE_FRAME, 1024 + this.objectId, 2560);
/* 326 */     spContainer.add(sp);
/* 327 */     Opt opt = new Opt();
/* 328 */     opt.addProperty(260, true, false, this.blipId);
/* 329 */     String filePath = this.imageFile.getPath();
/* 330 */     opt.addProperty(261, true, true, filePath.length() * 2, filePath);
/* 331 */     opt.addProperty(447, false, false, 65536);
/* 332 */     opt.addProperty(959, false, false, 524288);
/* 333 */     spContainer.add(opt);
/* 334 */     ClientAnchor clientAnchor = new ClientAnchor(this.x, this.y, this.x + this.width, this.y + this.height);
/* 335 */     spContainer.add(clientAnchor);
/* 336 */     ClientData clientData = new ClientData();
/* 337 */     spContainer.add(clientData);
/*     */     
/* 339 */     return spContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setDrawingGroup(DrawingGroup dg) {
/* 350 */     this.drawingGroup = dg;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   DrawingGroup getDrawingGroup() {
/* 360 */     return this.drawingGroup;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Origin getOrigin() {
/* 370 */     return this.origin;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getReferenceCount() {
/* 380 */     return this.referenceCount;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setReferenceCount(int r) {
/* 390 */     this.referenceCount = r;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getX() {
/* 400 */     if (!this.initialized)
/*     */     {
/* 402 */       initialize();
/*     */     }
/* 404 */     return this.x;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setX(double x) {
/* 414 */     if (this.origin == READ) {
/*     */       
/* 416 */       if (!this.initialized)
/*     */       {
/* 418 */         initialize();
/*     */       }
/* 420 */       this.origin = READ_WRITE;
/*     */     } 
/*     */     
/* 423 */     this.x = x;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getY() {
/* 433 */     if (!this.initialized)
/*     */     {
/* 435 */       initialize();
/*     */     }
/*     */     
/* 438 */     return this.y;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setY(double y) {
/* 448 */     if (this.origin == READ) {
/*     */       
/* 450 */       if (!this.initialized)
/*     */       {
/* 452 */         initialize();
/*     */       }
/* 454 */       this.origin = READ_WRITE;
/*     */     } 
/*     */     
/* 457 */     this.y = y;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getWidth() {
/* 468 */     if (!this.initialized)
/*     */     {
/* 470 */       initialize();
/*     */     }
/*     */     
/* 473 */     return this.width;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setWidth(double w) {
/* 483 */     if (this.origin == READ) {
/*     */       
/* 485 */       if (!this.initialized)
/*     */       {
/* 487 */         initialize();
/*     */       }
/* 489 */       this.origin = READ_WRITE;
/*     */     } 
/*     */     
/* 492 */     this.width = w;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getHeight() {
/* 502 */     if (!this.initialized)
/*     */     {
/* 504 */       initialize();
/*     */     }
/*     */     
/* 507 */     return this.height;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHeight(double h) {
/* 517 */     if (this.origin == READ) {
/*     */       
/* 519 */       if (!this.initialized)
/*     */       {
/* 521 */         initialize();
/*     */       }
/* 523 */       this.origin = READ_WRITE;
/*     */     } 
/*     */     
/* 526 */     this.height = h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SpContainer getReadSpContainer() {
/* 537 */     if (!this.initialized)
/*     */     {
/* 539 */       initialize();
/*     */     }
/*     */     
/* 542 */     return this.readSpContainer;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\Drawing.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */