/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import jxl.biff.ByteData;
/*     */ import jxl.read.biff.Record;
/*     */ import jxl.write.biff.File;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DrawingGroup
/*     */   implements EscherStream
/*     */ {
/*     */   private byte[] drawingData;
/*     */   private EscherContainer escherData;
/*     */   private BStoreContainer bstoreContainer;
/*     */   private boolean initialized;
/*     */   private ArrayList drawings;
/*     */   private int numBlips;
/*     */   private int numCharts;
/*     */   private int drawingGroupId;
/*     */   private Origin origin;
/*     */   private HashMap imageFiles;
/*     */   
/*     */   private static class Origin
/*     */   {
/*     */     private Origin() {}
/*     */   }
/*     */   
/*  90 */   public static final Origin READ = new Origin();
/*  91 */   public static final Origin WRITE = new Origin();
/*  92 */   public static final Origin READ_WRITE = new Origin();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DrawingGroup(Origin o) {
/* 101 */     this.origin = o;
/* 102 */     this.initialized = (o == WRITE);
/* 103 */     this.drawings = new ArrayList();
/* 104 */     this.imageFiles = new HashMap();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void add(MsoDrawingGroupRecord mso) {
/* 116 */     addData(mso.getData());
/*     */   }
/*     */ 
/*     */   
/*     */   public void add(Record cont) {
/* 121 */     addData(cont.getData());
/*     */   }
/*     */ 
/*     */   
/*     */   private void addData(byte[] msodata) {
/* 126 */     if (this.drawingData == null) {
/*     */       
/* 128 */       this.drawingData = new byte[msodata.length];
/* 129 */       System.arraycopy(msodata, 0, this.drawingData, 0, msodata.length);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 134 */     byte[] newdata = new byte[this.drawingData.length + msodata.length];
/* 135 */     System.arraycopy(this.drawingData, 0, newdata, 0, this.drawingData.length);
/* 136 */     System.arraycopy(msodata, 0, newdata, this.drawingData.length, msodata.length);
/* 137 */     this.drawingData = newdata;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void addDrawing(Drawing d) {
/* 147 */     this.drawings.add(d);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void add(Chart c) {
/* 157 */     this.numCharts++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void add(Drawing d) {
/* 167 */     if (this.origin == READ) {
/*     */       
/* 169 */       this.origin = READ_WRITE;
/* 170 */       this.numBlips = getBStoreContainer().getNumBlips();
/*     */       
/* 172 */       Dgg dgg = (Dgg)this.escherData.getChildren()[0];
/* 173 */       this.drawingGroupId = (dgg.getCluster(1)).drawingGroupId - this.numBlips - 1;
/*     */     } 
/*     */ 
/*     */     
/* 177 */     Drawing refImage = (Drawing)this.imageFiles.get(d.getImageFile().getPath());
/*     */ 
/*     */     
/* 180 */     if (refImage == null) {
/*     */ 
/*     */ 
/*     */       
/* 184 */       this.drawings.add(d);
/* 185 */       d.setDrawingGroup(this);
/* 186 */       d.setObjectId(this.numBlips + 1, this.numBlips + 1);
/* 187 */       this.numBlips++;
/* 188 */       this.imageFiles.put(d.getImageFile().getPath(), d);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 195 */       refImage.setReferenceCount(refImage.getReferenceCount() + 1);
/* 196 */       d.setDrawingGroup(this);
/* 197 */       d.setObjectId(refImage.getObjectId(), refImage.getBlipId());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void remove(Drawing d) {
/* 208 */     if (this.origin == READ) {
/*     */       
/* 210 */       this.origin = READ_WRITE;
/* 211 */       this.numBlips = getBStoreContainer().getNumBlips();
/* 212 */       Dgg dgg = (Dgg)this.escherData.getChildren()[0];
/* 213 */       this.drawingGroupId = (dgg.getCluster(1)).drawingGroupId - this.numBlips - 1;
/*     */     } 
/*     */ 
/*     */     
/* 217 */     EscherRecord[] children = getBStoreContainer().getChildren();
/* 218 */     BlipStoreEntry bse = (BlipStoreEntry)children[d.getBlipId() - 1];
/*     */     
/* 220 */     bse.dereference();
/*     */     
/* 222 */     if (bse.getReferenceCount() == 0) {
/*     */ 
/*     */       
/* 225 */       getBStoreContainer().remove(bse);
/*     */ 
/*     */       
/* 228 */       for (Iterator i = this.drawings.iterator(); i.hasNext(); ) {
/*     */         
/* 230 */         Drawing drawing = i.next();
/*     */         
/* 232 */         if (drawing.getBlipId() > d.getBlipId())
/*     */         {
/* 234 */           drawing.setObjectId(drawing.getObjectId(), drawing.getBlipId() - 1);
/*     */         }
/*     */       } 
/*     */       
/* 238 */       this.numBlips--;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initialize() {
/* 248 */     EscherRecordData er = new EscherRecordData(this, 0);
/*     */     
/* 250 */     Assert.verify(er.isContainer());
/*     */     
/* 252 */     this.escherData = new EscherContainer(er);
/*     */     
/* 254 */     Assert.verify((this.escherData.getLength() == this.drawingData.length));
/* 255 */     Assert.verify((this.escherData.getType() == EscherRecordType.DGG_CONTAINER));
/*     */     
/* 257 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BStoreContainer getBStoreContainer() {
/* 267 */     if (this.bstoreContainer == null) {
/*     */       
/* 269 */       if (!this.initialized)
/*     */       {
/* 271 */         initialize();
/*     */       }
/*     */       
/* 274 */       EscherRecord[] children = this.escherData.getChildren();
/* 275 */       Assert.verify((children[1].getType() == EscherRecordType.BSTORE_CONTAINER));
/*     */       
/* 277 */       this.bstoreContainer = (BStoreContainer)children[1];
/*     */     } 
/*     */     
/* 280 */     return this.bstoreContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 290 */     return this.drawingData;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write(File outputFile) throws IOException {
/* 301 */     if (this.origin == WRITE) {
/*     */       
/* 303 */       DggContainer dggContainer = new DggContainer();
/*     */       
/* 305 */       Dgg dgg = new Dgg(this.numBlips + this.numCharts + 1, this.numBlips);
/*     */       
/* 307 */       dgg.addCluster(1, 0);
/* 308 */       dgg.addCluster(this.numBlips + 1, 0);
/*     */       
/* 310 */       dggContainer.add(dgg);
/*     */       
/* 312 */       BStoreContainer bstoreContainer = new BStoreContainer(this.drawings.size());
/*     */ 
/*     */       
/* 315 */       for (Iterator i = this.drawings.iterator(); i.hasNext(); ) {
/*     */         
/* 317 */         Drawing d = i.next();
/* 318 */         BlipStoreEntry bse = new BlipStoreEntry(d);
/*     */         
/* 320 */         bstoreContainer.add(bse);
/*     */       } 
/* 322 */       dggContainer.add(bstoreContainer);
/*     */       
/* 324 */       Opt opt = new Opt();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 332 */       dggContainer.add(opt);
/*     */       
/* 334 */       SplitMenuColors splitMenuColors = new SplitMenuColors();
/* 335 */       dggContainer.add(splitMenuColors);
/*     */       
/* 337 */       this.drawingData = dggContainer.getData();
/*     */     }
/* 339 */     else if (this.origin == READ_WRITE) {
/*     */       
/* 341 */       DggContainer dggContainer = new DggContainer();
/*     */       
/* 343 */       Dgg dgg = new Dgg(this.numBlips + this.numCharts + 1, this.numBlips);
/*     */       
/* 345 */       dgg.addCluster(1, 0);
/* 346 */       dgg.addCluster(this.drawingGroupId + this.numBlips + 1, 0);
/*     */       
/* 348 */       dggContainer.add(dgg);
/*     */       
/* 350 */       BStoreContainer bstoreContainer = new BStoreContainer(this.numBlips);
/*     */ 
/*     */       
/* 353 */       BStoreContainer readBStoreContainer = getBStoreContainer();
/* 354 */       EscherRecord[] children = readBStoreContainer.getChildren();
/* 355 */       for (int j = 0; j < children.length; j++) {
/*     */         
/* 357 */         BlipStoreEntry bse = (BlipStoreEntry)children[j];
/* 358 */         bstoreContainer.add(bse);
/*     */       } 
/*     */ 
/*     */       
/* 362 */       for (Iterator i = this.drawings.iterator(); i.hasNext(); ) {
/*     */         
/* 364 */         Drawing d = i.next();
/* 365 */         if (d.getOrigin() != Drawing.READ) {
/*     */           
/* 367 */           BlipStoreEntry bse = new BlipStoreEntry(d);
/* 368 */           bstoreContainer.add(bse);
/*     */         } 
/*     */       } 
/* 371 */       dggContainer.add(bstoreContainer);
/*     */       
/* 373 */       Opt opt = new Opt();
/*     */       
/* 375 */       opt.addProperty(191, false, false, 524296);
/* 376 */       opt.addProperty(385, false, false, 134217737);
/* 377 */       opt.addProperty(448, false, false, 134217792);
/*     */ 
/*     */       
/* 380 */       dggContainer.add(opt);
/*     */       
/* 382 */       SplitMenuColors splitMenuColors = new SplitMenuColors();
/* 383 */       dggContainer.add(splitMenuColors);
/*     */       
/* 385 */       this.drawingData = dggContainer.getData();
/*     */     } 
/*     */ 
/*     */     
/* 389 */     MsoDrawingGroupRecord msodg = new MsoDrawingGroupRecord(this.drawingData);
/* 390 */     outputFile.write((ByteData)msodg);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int getNumberOfBlips() {
/* 400 */     return this.numBlips;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\DrawingGroup.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */