/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class EscherContainer
/*     */   extends EscherRecord
/*     */ {
/*     */   private boolean initialized;
/*     */   private ArrayList children;
/*     */   
/*     */   public EscherContainer(EscherRecordData erd) {
/*  36 */     super(erd);
/*  37 */     this.initialized = false;
/*  38 */     this.children = new ArrayList();
/*     */   }
/*     */ 
/*     */   
/*     */   protected EscherContainer(EscherRecordType type) {
/*  43 */     super(type);
/*  44 */     setContainer(true);
/*  45 */     this.children = new ArrayList();
/*     */   }
/*     */ 
/*     */   
/*     */   public EscherRecord[] getChildren() {
/*  50 */     if (!this.initialized)
/*     */     {
/*  52 */       initialize();
/*     */     }
/*     */     
/*  55 */     Object[] ca = this.children.toArray();
/*  56 */     EscherRecord[] era = new EscherRecord[ca.length];
/*  57 */     System.arraycopy(ca, 0, era, 0, ca.length);
/*     */     
/*  59 */     return era;
/*     */   }
/*     */ 
/*     */   
/*     */   public void add(EscherRecord child) {
/*  64 */     this.children.add(child);
/*     */   }
/*     */ 
/*     */   
/*     */   public void remove(EscherRecord child) {
/*  69 */     this.children.remove(child);
/*     */   }
/*     */ 
/*     */   
/*     */   private void initialize() {
/*  74 */     int curpos = getPos() + 8;
/*  75 */     int endpos = getPos() + getLength();
/*     */     
/*  77 */     EscherRecord newRecord = null;
/*     */     
/*  79 */     while (curpos < endpos) {
/*     */       
/*  81 */       EscherRecordData erd = new EscherRecordData(getEscherStream(), curpos);
/*     */       
/*  83 */       EscherRecordType type = erd.getType();
/*  84 */       if (type == EscherRecordType.DGG) {
/*     */         
/*  86 */         newRecord = new Dgg(erd);
/*     */       }
/*  88 */       else if (type == EscherRecordType.DG) {
/*     */         
/*  90 */         newRecord = new Dg(erd);
/*     */       }
/*  92 */       else if (type == EscherRecordType.BSTORE_CONTAINER) {
/*     */         
/*  94 */         newRecord = new BStoreContainer(erd);
/*     */       }
/*  96 */       else if (type == EscherRecordType.SPGR_CONTAINER) {
/*     */         
/*  98 */         newRecord = new SpgrContainer(erd);
/*     */       }
/* 100 */       else if (type == EscherRecordType.SP_CONTAINER) {
/*     */         
/* 102 */         newRecord = new SpContainer(erd);
/*     */       }
/* 104 */       else if (type == EscherRecordType.SPGR) {
/*     */         
/* 106 */         newRecord = new Spgr(erd);
/*     */       }
/* 108 */       else if (type == EscherRecordType.SP) {
/*     */         
/* 110 */         newRecord = new Sp(erd);
/*     */       }
/* 112 */       else if (type == EscherRecordType.CLIENT_ANCHOR) {
/*     */         
/* 114 */         newRecord = new ClientAnchor(erd);
/*     */       }
/* 116 */       else if (type == EscherRecordType.CLIENT_DATA) {
/*     */         
/* 118 */         newRecord = new ClientData(erd);
/*     */       }
/* 120 */       else if (type == EscherRecordType.BSE) {
/*     */         
/* 122 */         newRecord = new BlipStoreEntry(erd);
/*     */       }
/* 124 */       else if (type == EscherRecordType.OPT) {
/*     */         
/* 126 */         newRecord = new Opt(erd);
/*     */       }
/* 128 */       else if (type == EscherRecordType.SPLIT_MENU_COLORS) {
/*     */         
/* 130 */         newRecord = new SplitMenuColors(erd);
/*     */       }
/*     */       else {
/*     */         
/* 134 */         newRecord = new EscherAtom(erd);
/*     */       } 
/*     */       
/* 137 */       this.children.add(newRecord);
/* 138 */       curpos += newRecord.getLength();
/*     */     } 
/*     */     
/* 141 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */   
/*     */   byte[] getData() {
/* 146 */     byte[] data = new byte[0];
/* 147 */     for (Iterator i = this.children.iterator(); i.hasNext(); ) {
/*     */       
/* 149 */       EscherRecord er = i.next();
/* 150 */       byte[] childData = er.getData();
/* 151 */       byte[] newData = new byte[data.length + childData.length];
/* 152 */       System.arraycopy(data, 0, newData, 0, data.length);
/* 153 */       System.arraycopy(childData, 0, newData, data.length, childData.length);
/* 154 */       data = newData;
/*     */     } 
/*     */     
/* 157 */     return setHeaderData(data);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\EscherContainer.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */