/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class EscherRecordData
/*     */ {
/*     */   private int pos;
/*     */   private int instance;
/*     */   private int version;
/*     */   private int recordId;
/*     */   private int length;
/*     */   private boolean container;
/*     */   private EscherRecordType type;
/*     */   private EscherStream escherStream;
/*     */   
/*     */   public EscherRecordData(EscherStream dg, int p) {
/*  76 */     this.escherStream = dg;
/*  77 */     this.pos = p;
/*  78 */     byte[] data = this.escherStream.getData();
/*     */ 
/*     */     
/*  81 */     int value = IntegerHelper.getInt(data[this.pos], data[this.pos + 1]);
/*     */ 
/*     */     
/*  84 */     this.instance = (value & 0xFFF0) >> 4;
/*     */ 
/*     */     
/*  87 */     this.version = value & 0xF;
/*     */ 
/*     */     
/*  90 */     this.recordId = IntegerHelper.getInt(data[this.pos + 2], data[this.pos + 3]);
/*     */ 
/*     */     
/*  93 */     this.length = IntegerHelper.getInt(data[this.pos + 4], data[this.pos + 5], data[this.pos + 6], data[this.pos + 7]);
/*     */ 
/*     */     
/*  96 */     if (this.version == 15) {
/*     */       
/*  98 */       this.container = true;
/*     */     }
/*     */     else {
/*     */       
/* 102 */       this.container = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public EscherRecordData(EscherRecordType t) {
/* 113 */     this.type = t;
/* 114 */     this.recordId = this.type.getValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isContainer() {
/* 124 */     return this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLength() {
/* 134 */     return this.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRecordId() {
/* 144 */     return this.recordId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   EscherStream getDrawingGroup() {
/* 154 */     return this.escherStream;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getPos() {
/* 164 */     return this.pos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   EscherRecordType getType() {
/* 172 */     if (this.type == null)
/*     */     {
/* 174 */       this.type = EscherRecordType.getType(this.recordId);
/*     */     }
/*     */     
/* 177 */     return this.type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getInstance() {
/* 187 */     return this.instance;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setContainer(boolean c) {
/* 198 */     this.container = c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setInstance(int inst) {
/* 208 */     this.instance = inst;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setLength(int l) {
/* 218 */     this.length = l;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setVersion(int v) {
/* 228 */     this.version = v;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] setHeaderData(byte[] d) {
/* 240 */     byte[] data = new byte[d.length + 8];
/* 241 */     System.arraycopy(d, 0, data, 8, d.length);
/*     */     
/* 243 */     if (this.container)
/*     */     {
/* 245 */       this.version = 15;
/*     */     }
/*     */ 
/*     */     
/* 249 */     int value = this.instance << 4;
/* 250 */     value |= this.version;
/* 251 */     IntegerHelper.getTwoBytes(value, data, 0);
/*     */ 
/*     */     
/* 254 */     IntegerHelper.getTwoBytes(this.recordId, data, 2);
/*     */ 
/*     */     
/* 257 */     IntegerHelper.getFourBytes(d.length, data, 4);
/*     */     
/* 259 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   EscherStream getEscherStream() {
/* 269 */     return this.escherStream;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 279 */     byte[] d = new byte[this.length];
/* 280 */     System.arraycopy(this.escherStream.getData(), this.pos + 8, d, 0, this.length);
/* 281 */     return d;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\EscherRecordData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */