/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.read.biff.Record;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ObjRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private ObjType type;
/*     */   private boolean read;
/*     */   private int objectId;
/*     */   
/*     */   private static final class ObjType
/*     */   {
/*     */     int value;
/*     */     
/*     */     ObjType(int v) {
/*  56 */       this.value = v;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  63 */   public static final ObjType PICTURE = new ObjType(8);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  68 */   public static final ObjType CHART = new ObjType(5);
/*     */ 
/*     */   
/*     */   private static final int COMMON_DATA_LENGTH = 22;
/*     */ 
/*     */   
/*     */   private static final int CLIPBOARD_FORMAT_LENGTH = 6;
/*     */ 
/*     */   
/*     */   private static final int PICTURE_OPTION_LENGTH = 6;
/*     */   
/*     */   private static final int END_LENGTH = 4;
/*     */ 
/*     */   
/*     */   public ObjRecord(Record t) {
/*  83 */     super(t);
/*  84 */     byte[] data = t.getData();
/*  85 */     int objtype = IntegerHelper.getInt(data[4], data[5]);
/*  86 */     this.read = true;
/*     */     
/*  88 */     if (objtype == CHART.value) {
/*     */       
/*  90 */       this.type = CHART;
/*     */     }
/*  92 */     else if (objtype == PICTURE.value) {
/*     */       
/*  94 */       this.type = PICTURE;
/*     */     } 
/*     */     
/*  97 */     this.objectId = IntegerHelper.getInt(data[6], data[7]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   ObjRecord(int objId) {
/* 107 */     super(Type.OBJ);
/* 108 */     this.objectId = objId;
/* 109 */     this.type = PICTURE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 119 */     if (this.read)
/*     */     {
/* 121 */       return getRecord().getData();
/*     */     }
/*     */     
/* 124 */     int dataLength = 38;
/*     */ 
/*     */ 
/*     */     
/* 128 */     int pos = 0;
/* 129 */     byte[] data = new byte[dataLength];
/*     */ 
/*     */ 
/*     */     
/* 133 */     IntegerHelper.getTwoBytes(21, data, pos);
/*     */ 
/*     */     
/* 136 */     IntegerHelper.getTwoBytes(18, data, pos + 2);
/*     */ 
/*     */     
/* 139 */     IntegerHelper.getTwoBytes(this.type.value, data, pos + 4);
/*     */ 
/*     */     
/* 142 */     IntegerHelper.getTwoBytes(this.objectId, data, pos + 6);
/*     */ 
/*     */     
/* 145 */     IntegerHelper.getTwoBytes(24593, data, pos + 8);
/* 146 */     pos += 22;
/*     */ 
/*     */ 
/*     */     
/* 150 */     IntegerHelper.getTwoBytes(7, data, pos);
/*     */ 
/*     */     
/* 153 */     IntegerHelper.getTwoBytes(2, data, pos + 2);
/*     */ 
/*     */     
/* 156 */     IntegerHelper.getTwoBytes(65535, data, pos + 4);
/* 157 */     pos += 6;
/*     */ 
/*     */ 
/*     */     
/* 161 */     IntegerHelper.getTwoBytes(8, data, pos);
/*     */ 
/*     */     
/* 164 */     IntegerHelper.getTwoBytes(2, data, pos + 2);
/*     */ 
/*     */     
/* 167 */     IntegerHelper.getTwoBytes(1, data, pos + 4);
/* 168 */     pos += 6;
/*     */ 
/*     */ 
/*     */     
/* 172 */     IntegerHelper.getTwoBytes(0, data, pos);
/*     */ 
/*     */     
/* 175 */     IntegerHelper.getTwoBytes(0, data, pos + 2);
/*     */ 
/*     */     
/* 178 */     pos += 4;
/*     */     
/* 180 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Record getRecord() {
/* 190 */     return super.getRecord();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ObjType getType() {
/* 200 */     return this.type;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\ObjRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */