/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.StringHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Opt
/*     */   extends EscherAtom
/*     */ {
/*     */   private byte[] data;
/*     */   private int numProperties;
/*     */   private ArrayList properties;
/*     */   
/*     */   static final class Property
/*     */   {
/*     */     int id;
/*     */     boolean blipId;
/*     */     boolean complex;
/*     */     int value;
/*     */     String stringValue;
/*     */     
/*     */     public Property(int i, boolean bl, boolean co, int v) {
/*  43 */       this.id = i;
/*  44 */       this.blipId = bl;
/*  45 */       this.complex = co;
/*  46 */       this.value = v;
/*     */     }
/*     */ 
/*     */     
/*     */     public Property(int i, boolean bl, boolean co, int v, String s) {
/*  51 */       this.id = i;
/*  52 */       this.blipId = bl;
/*  53 */       this.complex = co;
/*  54 */       this.value = v;
/*  55 */       this.stringValue = s;
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public Opt(EscherRecordData erd) {
/*  61 */     super(erd);
/*  62 */     this.numProperties = getInstance();
/*  63 */     readProperties();
/*     */   }
/*     */ 
/*     */   
/*     */   private void readProperties() {
/*  68 */     this.properties = new ArrayList();
/*  69 */     int pos = 0;
/*  70 */     byte[] bytes = getBytes();
/*     */     
/*  72 */     for (int j = 0; j < this.numProperties; j++) {
/*     */       
/*  74 */       int val = IntegerHelper.getInt(bytes[pos], bytes[pos + 1]);
/*  75 */       int id = val & 0x3FFF;
/*  76 */       int value = IntegerHelper.getInt(bytes[pos + 2], bytes[pos + 3], bytes[pos + 4], bytes[pos + 5]);
/*     */       
/*  78 */       Property p = new Property(id, ((val & 0x4000) != 0), ((val & 0x8000) != 0), value);
/*     */ 
/*     */ 
/*     */       
/*  82 */       pos += 6;
/*  83 */       this.properties.add(p);
/*     */     } 
/*     */     
/*  86 */     for (Iterator i = this.properties.iterator(); i.hasNext(); ) {
/*     */       
/*  88 */       Property p = i.next();
/*  89 */       if (p.complex) {
/*     */         
/*  91 */         p.stringValue = StringHelper.getUnicodeString(bytes, p.value / 2, pos);
/*     */         
/*  93 */         pos += p.value;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public Opt() {
/* 101 */     super(EscherRecordType.OPT);
/* 102 */     this.properties = new ArrayList();
/* 103 */     setVersion(3);
/*     */   }
/*     */ 
/*     */   
/*     */   byte[] getData() {
/* 108 */     this.numProperties = this.properties.size();
/* 109 */     setInstance(this.numProperties);
/*     */     
/* 111 */     this.data = new byte[this.numProperties * 6];
/* 112 */     int pos = 0;
/*     */ 
/*     */     
/* 115 */     for (Iterator iterator1 = this.properties.iterator(); iterator1.hasNext(); ) {
/*     */       
/* 117 */       Property p = iterator1.next();
/* 118 */       int val = p.id & 0x3FFF;
/*     */       
/* 120 */       if (p.blipId)
/*     */       {
/* 122 */         val |= 0x4000;
/*     */       }
/*     */       
/* 125 */       if (p.complex)
/*     */       {
/* 127 */         val |= 0x8000;
/*     */       }
/*     */       
/* 130 */       IntegerHelper.getTwoBytes(val, this.data, pos);
/* 131 */       IntegerHelper.getFourBytes(p.value, this.data, pos + 2);
/* 132 */       pos += 6;
/*     */     } 
/*     */ 
/*     */     
/* 136 */     for (Iterator i = this.properties.iterator(); i.hasNext(); ) {
/*     */       
/* 138 */       Property p = i.next();
/*     */       
/* 140 */       if (p.complex && p.stringValue != null) {
/*     */         
/* 142 */         byte[] newData = new byte[this.data.length + p.stringValue.length() * 2];
/*     */         
/* 144 */         System.arraycopy(this.data, 0, newData, 0, this.data.length);
/* 145 */         StringHelper.getUnicodeBytes(p.stringValue, newData, this.data.length);
/* 146 */         this.data = newData;
/*     */       } 
/*     */     } 
/*     */     
/* 150 */     return setHeaderData(this.data);
/*     */   }
/*     */ 
/*     */   
/*     */   void addProperty(int id, boolean blip, boolean complex, int val) {
/* 155 */     Property p = new Property(id, blip, complex, val);
/* 156 */     this.properties.add(p);
/*     */   }
/*     */ 
/*     */   
/*     */   void addProperty(int id, boolean blip, boolean complex, int val, String s) {
/* 161 */     Property p = new Property(id, blip, complex, val, s);
/* 162 */     this.properties.add(p);
/*     */   }
/*     */ 
/*     */   
/*     */   Property getProperty(int id) {
/* 167 */     boolean found = false;
/* 168 */     Property p = null;
/* 169 */     for (Iterator i = this.properties.iterator(); i.hasNext() && !found; ) {
/*     */       
/* 171 */       p = i.next();
/* 172 */       if (p.id == id)
/*     */       {
/* 174 */         found = true;
/*     */       }
/*     */     } 
/* 177 */     return found ? p : null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\Opt.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */