/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.ByteData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.write.biff.File;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SheetDrawingWriter
/*     */ {
/*     */   private ArrayList drawings;
/*  58 */   private Chart[] charts = new Chart[0];
/*     */ 
/*     */   
/*     */   private WorkbookSettings workbookSettings;
/*     */ 
/*     */   
/*     */   public SheetDrawingWriter(WorkbookSettings ws) {}
/*     */ 
/*     */   
/*     */   public void setDrawings(ArrayList dr) {
/*  68 */     this.drawings = dr;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write(File outputFile) throws IOException {
/*  81 */     if (this.drawings.size() == 0 && this.charts.length == 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  87 */     boolean modified = false;
/*  88 */     for (Iterator i = this.drawings.iterator(); i.hasNext() && !modified; ) {
/*     */       
/*  90 */       Drawing d = i.next();
/*  91 */       if (d.getOrigin() != Drawing.READ)
/*     */       {
/*  93 */         modified = true;
/*     */       }
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*  99 */     if (!modified) {
/*     */       
/* 101 */       writeUnmodified(outputFile);
/*     */       
/*     */       return;
/*     */     } 
/* 105 */     int numImages = this.drawings.size();
/* 106 */     Object[] spContainerData = new Object[numImages + this.charts.length];
/* 107 */     int length = 0;
/* 108 */     EscherContainer firstSpContainer = null;
/*     */     
/*     */     int j;
/*     */     
/* 112 */     for (j = 0; j < numImages; j++) {
/*     */       
/* 114 */       Drawing drawing = this.drawings.get(j);
/*     */       
/* 116 */       SpContainer spc = drawing.getSpContainer();
/* 117 */       byte[] data = spc.getData();
/* 118 */       spContainerData[j] = data;
/*     */       
/* 120 */       if (j == 0) {
/*     */         
/* 122 */         firstSpContainer = spc;
/*     */       }
/*     */       else {
/*     */         
/* 126 */         length += data.length;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 131 */     for (j = 0; j < this.charts.length; j++) {
/*     */       
/* 133 */       EscherContainer escherContainer = this.charts[j].getSpContainer();
/* 134 */       byte[] data = escherContainer.getBytes();
/* 135 */       data = escherContainer.setHeaderData(data);
/* 136 */       spContainerData[j + numImages] = data;
/*     */       
/* 138 */       if (j == 0 && numImages == 0) {
/*     */         
/* 140 */         firstSpContainer = escherContainer;
/*     */       }
/*     */       else {
/*     */         
/* 144 */         length += data.length;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 149 */     Drawing firstDrawing = this.drawings.get(0);
/* 150 */     DgContainer dgContainer = new DgContainer();
/* 151 */     Dg dg = new Dg(numImages + this.charts.length);
/* 152 */     dgContainer.add(dg);
/*     */     
/* 154 */     SpgrContainer spgrContainer = new SpgrContainer();
/*     */     
/* 156 */     SpContainer spContainer = new SpContainer();
/* 157 */     Spgr spgr = new Spgr();
/* 158 */     spContainer.add(spgr);
/* 159 */     Sp sp = new Sp(Sp.MIN, 1024, 5);
/* 160 */     spContainer.add(sp);
/* 161 */     spgrContainer.add(spContainer);
/*     */     
/* 163 */     spgrContainer.add(firstSpContainer);
/*     */     
/* 165 */     dgContainer.add(spgrContainer);
/*     */     
/* 167 */     byte[] firstMsoData = dgContainer.getData();
/*     */ 
/*     */     
/* 170 */     int len = IntegerHelper.getInt(firstMsoData[4], firstMsoData[5], firstMsoData[6], firstMsoData[7]);
/*     */ 
/*     */ 
/*     */     
/* 174 */     IntegerHelper.getFourBytes(len + length, firstMsoData, 4);
/*     */ 
/*     */     
/* 177 */     len = IntegerHelper.getInt(firstMsoData[28], firstMsoData[29], firstMsoData[30], firstMsoData[31]);
/*     */ 
/*     */ 
/*     */     
/* 181 */     IntegerHelper.getFourBytes(len + length, firstMsoData, 28);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 186 */     MsoDrawingRecord msoDrawingRecord = new MsoDrawingRecord(firstMsoData);
/* 187 */     outputFile.write((ByteData)msoDrawingRecord);
/*     */     
/* 189 */     ObjRecord objRecord = new ObjRecord(firstDrawing.getObjectId());
/* 190 */     outputFile.write((ByteData)objRecord);
/*     */ 
/*     */     
/* 193 */     for (int k = 1; k < spContainerData.length; k++) {
/*     */       
/* 195 */       byte[] bytes = (byte[])spContainerData[k];
/* 196 */       msoDrawingRecord = new MsoDrawingRecord(bytes);
/* 197 */       outputFile.write((ByteData)msoDrawingRecord);
/*     */       
/* 199 */       if (k < numImages) {
/*     */         
/* 201 */         objRecord = new ObjRecord(((Drawing)this.drawings.get(k)).getObjectId());
/*     */         
/* 203 */         outputFile.write((ByteData)objRecord);
/*     */       }
/*     */       else {
/*     */         
/* 207 */         Chart chart = this.charts[k - numImages];
/* 208 */         objRecord = chart.getObjRecord();
/* 209 */         outputFile.write((ByteData)objRecord);
/* 210 */         outputFile.write(chart);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeUnmodified(File outputFile) throws IOException {
/* 223 */     if (this.charts.length == 0 && this.drawings.size() == 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 228 */     if (this.charts.length == 0 && this.drawings.size() != 0) {
/*     */ 
/*     */       
/* 231 */       for (Iterator iterator = this.drawings.iterator(); iterator.hasNext(); ) {
/*     */         
/* 233 */         Drawing d = iterator.next();
/* 234 */         outputFile.write((ByteData)d.getMsoDrawingRecord());
/* 235 */         outputFile.write((ByteData)d.getObjRecord());
/*     */       } 
/*     */       return;
/*     */     } 
/* 239 */     if (this.drawings.size() == 0 && this.charts.length != 0) {
/*     */ 
/*     */       
/* 242 */       for (int k = 0; k < this.charts.length; k++) {
/*     */         
/* 244 */         outputFile.write((ByteData)this.charts[k].getMsoDrawingRecord());
/* 245 */         outputFile.write((ByteData)this.charts[k].getObjRecord());
/* 246 */         outputFile.write(this.charts[k]);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 256 */     int numDrawings = this.drawings.size();
/* 257 */     int length = 0;
/* 258 */     SpContainer[] spContainers = new SpContainer[numDrawings + this.charts.length];
/*     */     int i;
/* 260 */     for (i = 0; i < numDrawings; i++) {
/*     */       
/* 262 */       Drawing d = this.drawings.get(i);
/* 263 */       spContainers[i] = d.getSpContainer();
/*     */       
/* 265 */       if (i > 0)
/*     */       {
/* 267 */         length += spContainers[i].getLength();
/*     */       }
/*     */     } 
/*     */     
/* 271 */     for (i = 0; i < this.charts.length; i++) {
/*     */       
/* 273 */       spContainers[i + numDrawings] = this.charts[i].getSpContainer();
/* 274 */       length += spContainers[i + numDrawings].getLength();
/*     */     } 
/*     */ 
/*     */     
/* 278 */     DgContainer dgContainer = new DgContainer();
/* 279 */     Dg dg = new Dg(numDrawings + this.charts.length);
/* 280 */     dgContainer.add(dg);
/*     */     
/* 282 */     SpgrContainer spgrContainer = new SpgrContainer();
/*     */     
/* 284 */     SpContainer spContainer = new SpContainer();
/* 285 */     Spgr spgr = new Spgr();
/* 286 */     spContainer.add(spgr);
/* 287 */     Sp sp = new Sp(Sp.MIN, 1024, 5);
/* 288 */     spContainer.add(sp);
/* 289 */     spgrContainer.add(spContainer);
/*     */     
/* 291 */     spgrContainer.add(spContainers[0]);
/*     */     
/* 293 */     dgContainer.add(spgrContainer);
/*     */     
/* 295 */     byte[] firstMsoData = dgContainer.getData();
/*     */ 
/*     */     
/* 298 */     int len = IntegerHelper.getInt(firstMsoData[4], firstMsoData[5], firstMsoData[6], firstMsoData[7]);
/*     */ 
/*     */ 
/*     */     
/* 302 */     IntegerHelper.getFourBytes(len + length, firstMsoData, 4);
/*     */ 
/*     */     
/* 305 */     len = IntegerHelper.getInt(firstMsoData[28], firstMsoData[29], firstMsoData[30], firstMsoData[31]);
/*     */ 
/*     */ 
/*     */     
/* 309 */     IntegerHelper.getFourBytes(len + length, firstMsoData, 28);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 314 */     MsoDrawingRecord msoDrawingRecord = new MsoDrawingRecord(firstMsoData);
/* 315 */     outputFile.write((ByteData)msoDrawingRecord);
/*     */     
/* 317 */     ObjRecord objRecord = ((Drawing)this.drawings.get(0)).getObjRecord();
/* 318 */     outputFile.write((ByteData)objRecord);
/*     */ 
/*     */     
/* 321 */     for (int j = 1; j < spContainers.length; j++) {
/*     */       
/* 323 */       byte[] bytes = spContainers[j].getBytes();
/* 324 */       byte[] bytes2 = spContainers[j].setHeaderData(bytes);
/* 325 */       msoDrawingRecord = new MsoDrawingRecord(bytes2);
/* 326 */       outputFile.write((ByteData)msoDrawingRecord);
/*     */       
/* 328 */       if (j < numDrawings) {
/*     */         
/* 330 */         objRecord = ((Drawing)this.drawings.get(j)).getObjRecord();
/* 331 */         outputFile.write((ByteData)objRecord);
/*     */       }
/*     */       else {
/*     */         
/* 335 */         Chart chart = this.charts[j - numDrawings];
/* 336 */         objRecord = chart.getObjRecord();
/* 337 */         outputFile.write((ByteData)objRecord);
/* 338 */         outputFile.write(chart);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCharts(Chart[] ch) {
/* 350 */     this.charts = ch;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Chart[] getCharts() {
/* 360 */     return this.charts;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\SheetDrawingWriter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */