/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Area
/*     */   extends Operand
/*     */   implements ParsedThing
/*     */ {
/*     */   private int columnFirst;
/*     */   private int rowFirst;
/*     */   private int columnLast;
/*     */   private int rowLast;
/*     */   private boolean columnFirstRelative;
/*     */   private boolean rowFirstRelative;
/*     */   private boolean columnLastRelative;
/*     */   private boolean rowLastRelative;
/*     */   
/*     */   Area() {}
/*     */   
/*     */   Area(String s) {
/*  59 */     int seppos = s.indexOf(":");
/*  60 */     Assert.verify((seppos != -1));
/*  61 */     String startcell = s.substring(0, seppos);
/*  62 */     String endcell = s.substring(seppos + 1);
/*     */     
/*  64 */     this.columnFirst = CellReferenceHelper.getColumn(startcell);
/*  65 */     this.rowFirst = CellReferenceHelper.getRow(startcell);
/*  66 */     this.columnLast = CellReferenceHelper.getColumn(endcell);
/*  67 */     this.rowLast = CellReferenceHelper.getRow(endcell);
/*     */     
/*  69 */     this.columnFirstRelative = true;
/*  70 */     this.rowFirstRelative = true;
/*  71 */     this.columnLastRelative = true;
/*  72 */     this.rowLastRelative = true;
/*     */   }
/*     */ 
/*     */   
/*     */   int getFirstColumn() {
/*  77 */     return this.columnFirst;
/*     */   }
/*     */ 
/*     */   
/*     */   int getFirstRow() {
/*  82 */     return this.rowFirst;
/*     */   }
/*     */ 
/*     */   
/*     */   int getLastColumn() {
/*  87 */     return this.columnLast;
/*     */   }
/*     */ 
/*     */   
/*     */   int getLastRow() {
/*  92 */     return this.rowLast;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/* 104 */     this.rowFirst = IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 105 */     this.rowLast = IntegerHelper.getInt(data[pos + 2], data[pos + 3]);
/* 106 */     int columnMask = IntegerHelper.getInt(data[pos + 4], data[pos + 5]);
/* 107 */     this.columnFirst = columnMask & 0xFF;
/* 108 */     this.columnFirstRelative = ((columnMask & 0x4000) != 0);
/* 109 */     this.rowFirstRelative = ((columnMask & 0x8000) != 0);
/* 110 */     columnMask = IntegerHelper.getInt(data[pos + 6], data[pos + 7]);
/* 111 */     this.columnLast = columnMask & 0xFF;
/* 112 */     this.columnLastRelative = ((columnMask & 0x4000) != 0);
/* 113 */     this.rowLastRelative = ((columnMask & 0x8000) != 0);
/*     */     
/* 115 */     return 8;
/*     */   }
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 120 */     CellReferenceHelper.getCellReference(this.columnFirst, this.rowFirst, buf);
/* 121 */     buf.append(':');
/* 122 */     CellReferenceHelper.getCellReference(this.columnLast, this.rowLast, buf);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 132 */     byte[] data = new byte[9];
/* 133 */     data[0] = Token.AREA.getCode();
/*     */     
/* 135 */     IntegerHelper.getTwoBytes(this.rowFirst, data, 1);
/* 136 */     IntegerHelper.getTwoBytes(this.rowLast, data, 3);
/*     */     
/* 138 */     int grcol = this.columnFirst;
/*     */ 
/*     */     
/* 141 */     if (this.rowFirstRelative)
/*     */     {
/* 143 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 146 */     if (this.columnFirstRelative)
/*     */     {
/* 148 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 151 */     IntegerHelper.getTwoBytes(grcol, data, 5);
/*     */     
/* 153 */     grcol = this.columnLast;
/*     */ 
/*     */     
/* 156 */     if (this.rowLastRelative)
/*     */     {
/* 158 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 161 */     if (this.columnLastRelative)
/*     */     {
/* 163 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 166 */     IntegerHelper.getTwoBytes(grcol, data, 7);
/*     */     
/* 168 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 180 */     if (this.columnFirstRelative)
/*     */     {
/* 182 */       this.columnFirst += colAdjust;
/*     */     }
/*     */     
/* 185 */     if (this.columnLastRelative)
/*     */     {
/* 187 */       this.columnLast += colAdjust;
/*     */     }
/*     */     
/* 190 */     if (this.rowFirstRelative)
/*     */     {
/* 192 */       this.rowFirst += rowAdjust;
/*     */     }
/*     */     
/* 195 */     if (this.rowLastRelative)
/*     */     {
/* 197 */       this.rowLast += rowAdjust;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 213 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 218 */     if (col <= this.columnFirst)
/*     */     {
/* 220 */       this.columnFirst++;
/*     */     }
/*     */     
/* 223 */     if (col <= this.columnLast)
/*     */     {
/* 225 */       this.columnLast++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 241 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 246 */     if (col < this.columnFirst)
/*     */     {
/* 248 */       this.columnFirst--;
/*     */     }
/*     */     
/* 251 */     if (col <= this.columnLast)
/*     */     {
/* 253 */       this.columnLast--;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int row, boolean currentSheet) {
/* 269 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 274 */     if (row <= this.rowFirst)
/*     */     {
/* 276 */       this.rowFirst++;
/*     */     }
/*     */     
/* 279 */     if (row <= this.rowLast)
/*     */     {
/* 281 */       this.rowLast++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int row, boolean currentSheet) {
/* 297 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 302 */     if (row < this.rowFirst)
/*     */     {
/* 304 */       this.rowFirst--;
/*     */     }
/*     */     
/* 307 */     if (row <= this.rowLast)
/*     */     {
/* 309 */       this.rowLast--;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\Area.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */