/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Area3d
/*     */   extends Operand
/*     */   implements ParsedThing
/*     */ {
/*     */   private int sheet;
/*     */   private int columnFirst;
/*     */   private int rowFirst;
/*     */   private int columnLast;
/*     */   private int rowLast;
/*     */   private boolean columnFirstRelative;
/*     */   private boolean rowFirstRelative;
/*     */   private boolean columnLastRelative;
/*     */   private boolean rowLastRelative;
/*     */   private ExternalSheet workbook;
/*     */   
/*     */   Area3d(ExternalSheet es) {
/*  53 */     this.workbook = es;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Area3d(String s, ExternalSheet es) throws FormulaException {
/*  63 */     this.workbook = es;
/*  64 */     int seppos = s.indexOf(":");
/*  65 */     Assert.verify((seppos != -1));
/*  66 */     String startcell = s.substring(0, seppos);
/*  67 */     String endcell = s.substring(seppos + 1);
/*     */ 
/*     */     
/*  70 */     int sep = s.indexOf('!');
/*  71 */     String cellString = s.substring(sep + 1, seppos);
/*  72 */     this.columnFirst = CellReferenceHelper.getColumn(cellString);
/*  73 */     this.rowFirst = CellReferenceHelper.getRow(cellString);
/*     */ 
/*     */     
/*  76 */     String sheetName = s.substring(0, sep);
/*     */ 
/*     */     
/*  79 */     if (sheetName.charAt(0) == '\'' && sheetName.charAt(sheetName.length() - 1) == '\'')
/*     */     {
/*     */       
/*  82 */       sheetName = sheetName.substring(1, sheetName.length() - 1);
/*     */     }
/*  84 */     this.sheet = es.getExternalSheetIndex(sheetName);
/*     */     
/*  86 */     if (this.sheet < 0)
/*     */     {
/*  88 */       throw new FormulaException(FormulaException.sheetRefNotFound, sheetName);
/*     */     }
/*     */ 
/*     */     
/*  92 */     this.columnLast = CellReferenceHelper.getColumn(endcell);
/*  93 */     this.rowLast = CellReferenceHelper.getRow(endcell);
/*     */     
/*  95 */     this.columnFirstRelative = true;
/*  96 */     this.rowFirstRelative = true;
/*  97 */     this.columnLastRelative = true;
/*  98 */     this.rowLastRelative = true;
/*     */   }
/*     */   
/* 101 */   int getFirstColumn() { return this.columnFirst; }
/* 102 */   int getFirstRow() { return this.rowFirst; }
/* 103 */   int getLastColumn() { return this.columnLast; } int getLastRow() {
/* 104 */     return this.rowLast;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/* 115 */     this.sheet = IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 116 */     this.rowFirst = IntegerHelper.getInt(data[pos + 2], data[pos + 3]);
/* 117 */     this.rowLast = IntegerHelper.getInt(data[pos + 4], data[pos + 5]);
/* 118 */     int columnMask = IntegerHelper.getInt(data[pos + 6], data[pos + 7]);
/* 119 */     this.columnFirst = columnMask & 0xFF;
/* 120 */     this.columnFirstRelative = ((columnMask & 0x4000) != 0);
/* 121 */     this.rowFirstRelative = ((columnMask & 0x8000) != 0);
/* 122 */     columnMask = IntegerHelper.getInt(data[pos + 8], data[pos + 9]);
/* 123 */     this.columnLast = columnMask & 0xFF;
/* 124 */     this.columnLastRelative = ((columnMask & 0x4000) != 0);
/* 125 */     this.rowLastRelative = ((columnMask & 0x8000) != 0);
/*     */     
/* 127 */     return 10;
/*     */   }
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 132 */     CellReferenceHelper.getCellReference(this.sheet, this.columnFirst, this.rowFirst, this.workbook, buf);
/*     */     
/* 134 */     buf.append(':');
/* 135 */     CellReferenceHelper.getCellReference(this.columnLast, this.rowLast, buf);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 145 */     byte[] data = new byte[11];
/* 146 */     data[0] = Token.AREA3D.getCode();
/*     */     
/* 148 */     IntegerHelper.getTwoBytes(this.sheet, data, 1);
/*     */     
/* 150 */     IntegerHelper.getTwoBytes(this.rowFirst, data, 3);
/* 151 */     IntegerHelper.getTwoBytes(this.rowLast, data, 5);
/*     */     
/* 153 */     int grcol = this.columnFirst;
/*     */ 
/*     */     
/* 156 */     if (this.rowFirstRelative)
/*     */     {
/* 158 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 161 */     if (this.columnFirstRelative)
/*     */     {
/* 163 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 166 */     IntegerHelper.getTwoBytes(grcol, data, 7);
/*     */     
/* 168 */     grcol = this.columnLast;
/*     */ 
/*     */     
/* 171 */     if (this.rowLastRelative)
/*     */     {
/* 173 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 176 */     if (this.columnLastRelative)
/*     */     {
/* 178 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 181 */     IntegerHelper.getTwoBytes(grcol, data, 9);
/*     */     
/* 183 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 195 */     if (this.columnFirstRelative)
/*     */     {
/* 197 */       this.columnFirst += colAdjust;
/*     */     }
/*     */     
/* 200 */     if (this.columnLastRelative)
/*     */     {
/* 202 */       this.columnLast += colAdjust;
/*     */     }
/*     */     
/* 205 */     if (this.rowFirstRelative)
/*     */     {
/* 207 */       this.rowFirst += rowAdjust;
/*     */     }
/*     */     
/* 210 */     if (this.rowLastRelative)
/*     */     {
/* 212 */       this.rowLast += rowAdjust;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 228 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 233 */     if (this.columnFirst >= col)
/*     */     {
/* 235 */       this.columnFirst++;
/*     */     }
/*     */     
/* 238 */     if (this.columnLast >= col)
/*     */     {
/* 240 */       this.columnLast++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 256 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 261 */     if (col < this.columnFirst)
/*     */     {
/* 263 */       this.columnFirst--;
/*     */     }
/*     */     
/* 266 */     if (col <= this.columnLast)
/*     */     {
/* 268 */       this.columnLast--;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int row, boolean currentSheet) {
/* 284 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 289 */     if (row <= this.rowFirst)
/*     */     {
/* 291 */       this.rowFirst++;
/*     */     }
/*     */     
/* 294 */     if (row <= this.rowLast)
/*     */     {
/* 296 */       this.rowLast++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int row, boolean currentSheet) {
/* 312 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */     
/* 316 */     if (row < this.rowFirst)
/*     */     {
/* 318 */       this.rowFirst--;
/*     */     }
/*     */     
/* 321 */     if (row <= this.rowLast)
/*     */     {
/* 323 */       this.rowLast--;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\Area3d.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */