/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import java.util.Stack;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Attribute
/*     */   extends Operator
/*     */   implements ParsedThing
/*     */ {
/*     */   private int options;
/*     */   private int word;
/*     */   private WorkbookSettings settings;
/*     */   private static final int sumMask = 16;
/*     */   private static final int ifMask = 2;
/*     */   private static final int gotoMask = 8;
/*     */   private VariableArgFunction ifConditions;
/*     */   
/*     */   public Attribute(WorkbookSettings ws) {
/*  64 */     this.settings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute(StringFunction sf, WorkbookSettings ws) {
/*  75 */     this.settings = ws;
/*     */     
/*  77 */     if (sf.getFunction(this.settings) == Function.SUM) {
/*     */       
/*  79 */       this.options |= 0x10;
/*     */     }
/*  81 */     else if (sf.getFunction(this.settings) == Function.IF) {
/*     */       
/*  83 */       this.options |= 0x2;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setIfConditions(VariableArgFunction vaf) {
/*  94 */     this.ifConditions = vaf;
/*     */ 
/*     */ 
/*     */     
/*  98 */     this.options |= 0x2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/* 110 */     this.options = data[pos];
/* 111 */     this.word = IntegerHelper.getInt(data[pos + 1], data[pos + 2]);
/* 112 */     return 3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFunction() {
/* 122 */     return ((this.options & 0x12) != 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isSum() {
/* 132 */     return ((this.options & 0x10) != 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isIf() {
/* 142 */     return ((this.options & 0x2) != 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isGoto() {
/* 152 */     return ((this.options & 0x8) != 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void getOperands(Stack s) {
/* 160 */     if ((this.options & 0x10) != 0) {
/*     */       
/* 162 */       ParseItem o1 = s.pop();
/*     */       
/* 164 */       add(o1);
/*     */     }
/* 166 */     else if ((this.options & 0x2) != 0) {
/*     */       
/* 168 */       ParseItem o1 = s.pop();
/* 169 */       add(o1);
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 175 */     if ((this.options & 0x10) != 0) {
/*     */       
/* 177 */       ParseItem[] operands = getOperands();
/* 178 */       buf.append(Function.SUM.getName(this.settings));
/* 179 */       buf.append('(');
/* 180 */       operands[0].getString(buf);
/* 181 */       buf.append(')');
/*     */     }
/* 183 */     else if ((this.options & 0x2) != 0) {
/*     */       
/* 185 */       buf.append(Function.IF.getName(this.settings));
/* 186 */       buf.append('(');
/*     */       
/* 188 */       ParseItem[] operands = this.ifConditions.getOperands();
/*     */ 
/*     */       
/* 191 */       for (int i = 0; i < operands.length - 1; i++) {
/*     */         
/* 193 */         operands[i].getString(buf);
/* 194 */         buf.append(',');
/*     */       } 
/* 196 */       operands[operands.length - 1].getString(buf);
/* 197 */       buf.append(')');
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 210 */     byte[] data = new byte[0];
/* 211 */     if (isSum()) {
/*     */ 
/*     */       
/* 214 */       ParseItem[] operands = getOperands();
/*     */ 
/*     */       
/* 217 */       for (int i = operands.length - 1; i >= 0; i--) {
/*     */         
/* 219 */         byte[] opdata = operands[i].getBytes();
/*     */ 
/*     */         
/* 222 */         byte[] arrayOfByte1 = new byte[data.length + opdata.length];
/* 223 */         System.arraycopy(data, 0, arrayOfByte1, 0, data.length);
/* 224 */         System.arraycopy(opdata, 0, arrayOfByte1, data.length, opdata.length);
/* 225 */         data = arrayOfByte1;
/*     */       } 
/*     */ 
/*     */       
/* 229 */       byte[] newdata = new byte[data.length + 4];
/* 230 */       System.arraycopy(data, 0, newdata, 0, data.length);
/* 231 */       newdata[data.length] = Token.ATTRIBUTE.getCode();
/* 232 */       newdata[data.length + 1] = 16;
/* 233 */       data = newdata;
/*     */     }
/* 235 */     else if (isIf()) {
/*     */       
/* 237 */       return getIf();
/*     */     } 
/*     */     
/* 240 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getIf() {
/* 250 */     ParseItem[] operands = this.ifConditions.getOperands();
/*     */ 
/*     */     
/* 253 */     int falseOffsetPos = 0;
/* 254 */     int gotoEndPos = 0;
/* 255 */     int numArgs = operands.length;
/*     */ 
/*     */     
/* 258 */     byte[] data = operands[0].getBytes();
/*     */ 
/*     */     
/* 261 */     int pos = data.length;
/* 262 */     byte[] newdata = new byte[data.length + 4];
/* 263 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 264 */     data = newdata;
/* 265 */     data[pos] = Token.ATTRIBUTE.getCode();
/* 266 */     data[pos + 1] = 2;
/* 267 */     falseOffsetPos = pos + 2;
/*     */ 
/*     */     
/* 270 */     byte[] truedata = operands[1].getBytes();
/* 271 */     newdata = new byte[data.length + truedata.length];
/* 272 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 273 */     System.arraycopy(truedata, 0, newdata, data.length, truedata.length);
/* 274 */     data = newdata;
/*     */ 
/*     */     
/* 277 */     pos = data.length;
/* 278 */     newdata = new byte[data.length + 4];
/* 279 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 280 */     data = newdata;
/* 281 */     data[pos] = Token.ATTRIBUTE.getCode();
/* 282 */     data[pos + 1] = 8;
/* 283 */     gotoEndPos = pos + 2;
/*     */ 
/*     */     
/* 286 */     if (numArgs > 2) {
/*     */ 
/*     */       
/* 289 */       IntegerHelper.getTwoBytes(data.length - falseOffsetPos - 2, data, falseOffsetPos);
/*     */ 
/*     */ 
/*     */       
/* 293 */       byte[] falsedata = operands[numArgs - 1].getBytes();
/* 294 */       newdata = new byte[data.length + falsedata.length];
/* 295 */       System.arraycopy(data, 0, newdata, 0, data.length);
/* 296 */       System.arraycopy(falsedata, 0, newdata, data.length, falsedata.length);
/* 297 */       data = newdata;
/*     */ 
/*     */       
/* 300 */       pos = data.length;
/* 301 */       newdata = new byte[data.length + 4];
/* 302 */       System.arraycopy(data, 0, newdata, 0, data.length);
/* 303 */       data = newdata;
/* 304 */       data[pos] = Token.ATTRIBUTE.getCode();
/* 305 */       data[pos + 1] = 8;
/* 306 */       data[pos + 2] = 3;
/*     */     } 
/*     */ 
/*     */     
/* 310 */     pos = data.length;
/* 311 */     newdata = new byte[data.length + 4];
/* 312 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 313 */     data = newdata;
/* 314 */     data[pos] = Token.FUNCTIONVARARG.getCode();
/* 315 */     data[pos + 1] = (byte)numArgs;
/* 316 */     data[pos + 2] = 1;
/* 317 */     data[pos + 3] = 0;
/*     */ 
/*     */     
/* 320 */     int endPos = data.length - 1;
/*     */     
/* 322 */     if (numArgs < 3)
/*     */     {
/*     */       
/* 325 */       IntegerHelper.getTwoBytes(endPos - falseOffsetPos - 5, data, falseOffsetPos);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 330 */     IntegerHelper.getTwoBytes(endPos - gotoEndPos - 2, data, gotoEndPos);
/*     */ 
/*     */     
/* 333 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getPrecedence() {
/* 344 */     return 3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 355 */     ParseItem[] operands = getOperands();
/* 356 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 358 */       operands[i].adjustRelativeCellReferences(colAdjust, rowAdjust);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 374 */     ParseItem[] operands = getOperands();
/* 375 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 377 */       operands[i].columnInserted(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 393 */     ParseItem[] operands = getOperands();
/* 394 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 396 */       operands[i].columnRemoved(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int row, boolean currentSheet) {
/* 412 */     ParseItem[] operands = getOperands();
/* 413 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 415 */       operands[i].rowInserted(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int row, boolean currentSheet) {
/* 431 */     ParseItem[] operands = getOperands();
/* 432 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 434 */       operands[i].rowRemoved(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\Attribute.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */