/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.util.Stack;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class BuiltInFunction
/*     */   extends Operator
/*     */   implements ParsedThing
/*     */ {
/*     */   private Function function;
/*     */   private WorkbookSettings settings;
/*     */   
/*     */   public BuiltInFunction(WorkbookSettings ws) {
/*  50 */     this.settings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BuiltInFunction(Function f, WorkbookSettings ws) {
/*  61 */     this.function = f;
/*  62 */     this.settings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/*  74 */     int index = IntegerHelper.getInt(data[pos], data[pos + 1]);
/*  75 */     this.function = Function.getFunction(index);
/*  76 */     Assert.verify((this.function != Function.UNKNOWN), "function code " + index);
/*  77 */     return 2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void getOperands(Stack s) {
/*  86 */     ParseItem[] items = new ParseItem[this.function.getNumArgs()];
/*     */     int i;
/*  88 */     for (i = this.function.getNumArgs() - 1; i >= 0; i--) {
/*     */       
/*  90 */       ParseItem pi = s.pop();
/*     */       
/*  92 */       items[i] = pi;
/*     */     } 
/*     */     
/*  95 */     for (i = 0; i < this.function.getNumArgs(); i++)
/*     */     {
/*  97 */       add(items[i]);
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 103 */     buf.append(this.function.getName(this.settings));
/* 104 */     buf.append('(');
/*     */     
/* 106 */     if (this.function.getNumArgs() > 0) {
/*     */       
/* 108 */       ParseItem[] operands = getOperands();
/*     */ 
/*     */       
/* 111 */       operands[0].getString(buf);
/*     */       
/* 113 */       for (int i = 1; i < operands.length; i++) {
/*     */         
/* 115 */         buf.append(',');
/* 116 */         operands[i].getString(buf);
/*     */       } 
/*     */     } 
/*     */     
/* 120 */     buf.append(')');
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 132 */     ParseItem[] operands = getOperands();
/*     */     
/* 134 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 136 */       operands[i].adjustRelativeCellReferences(colAdjust, rowAdjust);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 152 */     ParseItem[] operands = getOperands();
/* 153 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 155 */       operands[i].columnInserted(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 171 */     ParseItem[] operands = getOperands();
/* 172 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 174 */       operands[i].columnRemoved(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int row, boolean currentSheet) {
/* 191 */     ParseItem[] operands = getOperands();
/* 192 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 194 */       operands[i].rowInserted(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int row, boolean currentSheet) {
/* 210 */     ParseItem[] operands = getOperands();
/* 211 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 213 */       operands[i].rowRemoved(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 225 */     ParseItem[] operands = getOperands();
/* 226 */     byte[] data = new byte[0];
/*     */     
/* 228 */     for (int i = 0; i < operands.length; i++) {
/*     */       
/* 230 */       byte[] opdata = operands[i].getBytes();
/*     */ 
/*     */       
/* 233 */       byte[] arrayOfByte1 = new byte[data.length + opdata.length];
/* 234 */       System.arraycopy(data, 0, arrayOfByte1, 0, data.length);
/* 235 */       System.arraycopy(opdata, 0, arrayOfByte1, data.length, opdata.length);
/* 236 */       data = arrayOfByte1;
/*     */     } 
/*     */ 
/*     */     
/* 240 */     byte[] newdata = new byte[data.length + 3];
/* 241 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 242 */     newdata[data.length] = !useAlternateCode() ? Token.FUNCTION.getCode() : Token.FUNCTION.getCode2();
/*     */     
/* 244 */     IntegerHelper.getTwoBytes(this.function.getCode(), newdata, data.length + 1);
/*     */     
/* 246 */     return newdata;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getPrecedence() {
/* 257 */     return 3;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\BuiltInFunction.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */