/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import jxl.Cell;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class CellReference
/*     */   extends Operand
/*     */   implements ParsedThing
/*     */ {
/*     */   private boolean columnRelative;
/*     */   private boolean rowRelative;
/*     */   private int column;
/*     */   private int row;
/*     */   private Cell relativeTo;
/*     */   
/*     */   public CellReference(Cell rt) {
/*  64 */     this.relativeTo = rt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellReference() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellReference(String s) {
/*  81 */     this.column = CellReferenceHelper.getColumn(s);
/*  82 */     this.row = CellReferenceHelper.getRow(s);
/*  83 */     this.columnRelative = CellReferenceHelper.isColumnRelative(s);
/*  84 */     this.rowRelative = CellReferenceHelper.isRowRelative(s);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/*  96 */     this.row = IntegerHelper.getInt(data[pos], data[pos + 1]);
/*  97 */     int columnMask = IntegerHelper.getInt(data[pos + 2], data[pos + 3]);
/*  98 */     this.column = columnMask & 0xFF;
/*  99 */     this.columnRelative = ((columnMask & 0x4000) != 0);
/* 100 */     this.rowRelative = ((columnMask & 0x8000) != 0);
/*     */     
/* 102 */     return 4;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 112 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRow() {
/* 122 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 132 */     CellReferenceHelper.getCellReference(this.column, this.row, buf);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 142 */     byte[] data = new byte[5];
/* 143 */     data[0] = !useAlternateCode() ? Token.REF.getCode() : Token.REF.getCode2();
/*     */ 
/*     */     
/* 146 */     IntegerHelper.getTwoBytes(this.row, data, 1);
/*     */     
/* 148 */     int grcol = this.column;
/*     */ 
/*     */     
/* 151 */     if (this.rowRelative)
/*     */     {
/* 153 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 156 */     if (this.columnRelative)
/*     */     {
/* 158 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 161 */     IntegerHelper.getTwoBytes(grcol, data, 3);
/*     */     
/* 163 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 175 */     if (this.columnRelative)
/*     */     {
/* 177 */       this.column += colAdjust;
/*     */     }
/*     */     
/* 180 */     if (this.rowRelative)
/*     */     {
/* 182 */       this.row += rowAdjust;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 198 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 203 */     if (this.column >= col)
/*     */     {
/* 205 */       this.column++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 221 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 226 */     if (this.column >= col)
/*     */     {
/* 228 */       this.column--;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int r, boolean currentSheet) {
/* 244 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 249 */     if (this.row >= r)
/*     */     {
/* 251 */       this.row++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int r, boolean currentSheet) {
/* 267 */     if (!currentSheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 272 */     if (this.row >= r)
/*     */     {
/* 274 */       this.row--;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\CellReference.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */