/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import jxl.Cell;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class CellReference3d
/*     */   extends Operand
/*     */   implements ParsedThing
/*     */ {
/*     */   private boolean columnRelative;
/*     */   private boolean rowRelative;
/*     */   private int column;
/*     */   private int row;
/*     */   private Cell relativeTo;
/*     */   private int sheet;
/*     */   private ExternalSheet workbook;
/*     */   
/*     */   public CellReference3d(Cell rt, ExternalSheet w) {
/*  75 */     this.relativeTo = rt;
/*  76 */     this.workbook = w;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellReference3d(String s, ExternalSheet w) throws FormulaException {
/*  88 */     this.workbook = w;
/*  89 */     this.columnRelative = true;
/*  90 */     this.rowRelative = true;
/*     */ 
/*     */     
/*  93 */     int sep = s.indexOf('!');
/*  94 */     String cellString = s.substring(sep + 1);
/*  95 */     this.column = CellReferenceHelper.getColumn(cellString);
/*  96 */     this.row = CellReferenceHelper.getRow(cellString);
/*     */ 
/*     */     
/*  99 */     String sheetName = s.substring(0, sep);
/*     */ 
/*     */     
/* 102 */     if (sheetName.charAt(0) == '\'' && sheetName.charAt(sheetName.length() - 1) == '\'')
/*     */     {
/*     */       
/* 105 */       sheetName = sheetName.substring(1, sheetName.length() - 1);
/*     */     }
/* 107 */     this.sheet = w.getExternalSheetIndex(sheetName);
/*     */     
/* 109 */     if (this.sheet < 0)
/*     */     {
/* 111 */       throw new FormulaException(FormulaException.sheetRefNotFound, sheetName);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) {
/* 124 */     this.sheet = IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 125 */     this.row = IntegerHelper.getInt(data[pos + 2], data[pos + 3]);
/* 126 */     int columnMask = IntegerHelper.getInt(data[pos + 4], data[pos + 5]);
/* 127 */     this.column = columnMask & 0xFF;
/* 128 */     this.columnRelative = ((columnMask & 0x4000) != 0);
/* 129 */     this.rowRelative = ((columnMask & 0x8000) != 0);
/*     */     
/* 131 */     return 6;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 141 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRow() {
/* 151 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 161 */     CellReferenceHelper.getCellReference(this.sheet, this.column, this.row, this.workbook, buf);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 171 */     byte[] data = new byte[7];
/* 172 */     data[0] = Token.REF3D.getCode();
/*     */     
/* 174 */     IntegerHelper.getTwoBytes(this.sheet, data, 1);
/* 175 */     IntegerHelper.getTwoBytes(this.row, data, 3);
/*     */     
/* 177 */     int grcol = this.column;
/*     */ 
/*     */     
/* 180 */     if (this.rowRelative)
/*     */     {
/* 182 */       grcol |= 0x8000;
/*     */     }
/*     */     
/* 185 */     if (this.columnRelative)
/*     */     {
/* 187 */       grcol |= 0x4000;
/*     */     }
/*     */     
/* 190 */     IntegerHelper.getTwoBytes(grcol, data, 5);
/*     */     
/* 192 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 204 */     if (this.columnRelative)
/*     */     {
/* 206 */       this.column += colAdjust;
/*     */     }
/*     */     
/* 209 */     if (this.rowRelative)
/*     */     {
/* 211 */       this.row += rowAdjust;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 227 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 232 */     if (this.column >= col)
/*     */     {
/* 234 */       this.column++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 251 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 256 */     if (this.column >= col)
/*     */     {
/* 258 */       this.column--;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int r, boolean currentSheet) {
/* 274 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 279 */     if (this.row >= r)
/*     */     {
/* 281 */       this.row++;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int r, boolean currentSheet) {
/* 297 */     if (sheetIndex != this.sheet) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 302 */     if (this.row >= r)
/*     */     {
/* 304 */       this.row--;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\CellReference3d.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */