/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import common.Logger;
/*     */ import jxl.WorkbookSettings;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Function
/*     */ {
/*  38 */   private static Logger logger = Logger.getLogger(Function.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final int code;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String name;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final int numArgs;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   static Function[] functions = new Function[0];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Function(int v, String s, int a) {
/*  69 */     this.code = v;
/*  70 */     this.name = s;
/*  71 */     this.numArgs = a;
/*     */ 
/*     */     
/*  74 */     Function[] newarray = new Function[functions.length + 1];
/*  75 */     System.arraycopy(functions, 0, newarray, 0, functions.length);
/*  76 */     newarray[functions.length] = this;
/*  77 */     functions = newarray;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/*  87 */     return this.code;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getCode() {
/*  97 */     return this.code;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String getPropertyName() {
/* 108 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String getName(WorkbookSettings ws) {
/* 118 */     FunctionNames fn = ws.getFunctionNames();
/* 119 */     return fn.getName(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getNumArgs() {
/* 127 */     return this.numArgs;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Function getFunction(int v) {
/* 135 */     Function f = null;
/*     */     
/* 137 */     for (int i = 0; i < functions.length; i++) {
/*     */       
/* 139 */       if ((functions[i]).code == v) {
/*     */         
/* 141 */         f = functions[i];
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 146 */     return (f != null) ? f : UNKNOWN;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Function getFunction(String v, WorkbookSettings ws) {
/* 157 */     FunctionNames fn = ws.getFunctionNames();
/* 158 */     Function f = fn.getFunction(v);
/* 159 */     return (f != null) ? f : UNKNOWN;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 164 */   public static final Function COUNT = new Function(0, "count", 255);
/*     */   
/* 166 */   public static final Function ATTRIBUTE = new Function(1, "", 255);
/* 167 */   public static final Function ISNA = new Function(2, "isna", 1);
/*     */   
/* 169 */   public static final Function ISERROR = new Function(3, "iserror", 1);
/*     */   
/* 171 */   public static final Function SUM = new Function(4, "sum", 255);
/*     */   
/* 173 */   public static final Function AVERAGE = new Function(5, "average", 255);
/*     */   
/* 175 */   public static final Function MIN = new Function(6, "min", 255);
/*     */   
/* 177 */   public static final Function MAX = new Function(7, "max", 255);
/*     */   
/* 179 */   public static final Function ROW = new Function(8, "row", 255);
/*     */   
/* 181 */   public static final Function COLUMN = new Function(9, "column", 1);
/*     */   
/* 183 */   public static final Function NA = new Function(10, "na", 0);
/*     */   
/* 185 */   public static final Function NPV = new Function(11, "npv", 255);
/*     */   
/* 187 */   public static final Function STDEV = new Function(12, "stdev", 255);
/*     */   
/* 189 */   public static final Function DOLLAR = new Function(13, "dollar", 2);
/*     */   
/* 191 */   public static final Function FIXED = new Function(14, "fixed", 255);
/*     */   
/* 193 */   public static final Function SIN = new Function(15, "sin", 1);
/*     */   
/* 195 */   public static final Function COS = new Function(16, "cos", 1);
/*     */   
/* 197 */   public static final Function TAN = new Function(17, "tan", 1);
/*     */   
/* 199 */   public static final Function ATAN = new Function(18, "atan", 1);
/*     */   
/* 201 */   public static final Function PI = new Function(19, "pi", 0);
/*     */   
/* 203 */   public static final Function SQRT = new Function(20, "sqrt", 1);
/*     */   
/* 205 */   public static final Function EXP = new Function(21, "exp", 1);
/*     */   
/* 207 */   public static final Function LN = new Function(22, "ln", 1);
/*     */   
/* 209 */   public static final Function LOG10 = new Function(23, "log10", 1);
/*     */   
/* 211 */   public static final Function ABS = new Function(24, "abs", 1);
/*     */   
/* 213 */   public static final Function INT = new Function(25, "int", 1);
/*     */   
/* 215 */   public static final Function SIGN = new Function(26, "sign", 1);
/*     */   
/* 217 */   public static final Function ROUND = new Function(27, "round", 2);
/*     */ 
/*     */   
/* 220 */   public static final Function INDEX = new Function(29, "index", 3);
/*     */ 
/*     */   
/* 223 */   public static final Function MID = new Function(31, "mid", 3);
/*     */   
/* 225 */   public static final Function LEN = new Function(32, "len", 1);
/*     */   
/* 227 */   public static final Function VALUE = new Function(33, "value", 1);
/*     */   
/* 229 */   public static final Function TRUE = new Function(34, "true", 0);
/*     */   
/* 231 */   public static final Function FALSE = new Function(35, "false", 0);
/*     */   
/* 233 */   public static final Function AND = new Function(36, "and", 255);
/*     */   
/* 235 */   public static final Function OR = new Function(37, "or", 255);
/*     */   
/* 237 */   public static final Function NOT = new Function(38, "not", 1);
/*     */ 
/*     */   
/* 240 */   public static final Function DCOUNT = new Function(40, "dcount", 3);
/*     */   
/* 242 */   public static final Function DSUM = new Function(41, "dsum", 3);
/*     */   
/* 244 */   public static final Function DAVERAGE = new Function(42, "daverage", 3);
/*     */   
/* 246 */   public static final Function DMIN = new Function(43, "dmin", 3);
/*     */   
/* 248 */   public static final Function DMAX = new Function(44, "dmax", 3);
/*     */   
/* 250 */   public static final Function DSTDEV = new Function(45, "dstdev", 3);
/*     */   
/* 252 */   public static final Function VAR = new Function(46, "var", 255);
/*     */   
/* 254 */   public static final Function DVAR = new Function(47, "dvar", 3);
/*     */   
/* 256 */   public static final Function TEXT = new Function(48, "text", 2);
/*     */   
/* 258 */   public static final Function LINEST = new Function(49, "linest", 255);
/*     */   
/* 260 */   public static final Function TREND = new Function(50, "trend", 255);
/*     */   
/* 262 */   public static final Function LOGEST = new Function(51, "logest", 255);
/*     */   
/* 264 */   public static final Function GROWTH = new Function(52, "growth", 255);
/*     */ 
/*     */ 
/*     */   
/* 268 */   public static final Function PV = new Function(56, "pv", 255);
/*     */   
/* 270 */   public static final Function FV = new Function(57, "fv", 255);
/*     */   
/* 272 */   public static final Function NPER = new Function(58, "nper", 255);
/*     */   
/* 274 */   public static final Function PMT = new Function(59, "pmt", 255);
/*     */   
/* 276 */   public static final Function RATE = new Function(60, "rate", 255);
/*     */ 
/*     */ 
/*     */   
/* 280 */   public static final Function RAND = new Function(63, "rand", 0);
/*     */   
/* 282 */   public static final Function MATCH = new Function(64, "match", 3);
/*     */   
/* 284 */   public static final Function DATE = new Function(65, "date", 3);
/*     */   
/* 286 */   public static final Function TIME = new Function(66, "time", 3);
/*     */   
/* 288 */   public static final Function DAY = new Function(67, "day", 1);
/*     */   
/* 290 */   public static final Function MONTH = new Function(68, "month", 1);
/*     */   
/* 292 */   public static final Function YEAR = new Function(69, "year", 1);
/*     */   
/* 294 */   public static final Function WEEKDAY = new Function(70, "weekday", 2);
/*     */   
/* 296 */   public static final Function HOUR = new Function(71, "hour", 1);
/*     */   
/* 298 */   public static final Function MINUTE = new Function(72, "minute", 1);
/*     */   
/* 300 */   public static final Function SECOND = new Function(73, "second", 1);
/*     */   
/* 302 */   public static final Function NOW = new Function(74, "now", 0);
/*     */   
/* 304 */   public static final Function AREAS = new Function(75, "areas", 255);
/*     */   
/* 306 */   public static final Function ROWS = new Function(76, "rows", 255);
/*     */   
/* 308 */   public static final Function COLUMNS = new Function(77, "columns", 255);
/*     */   
/* 310 */   public static final Function OFFSET = new Function(78, "offset", 255);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 316 */   public static final Function TRANSPOSE = new Function(83, "transpose", 255);
/*     */   
/* 318 */   public static final Function ERROR = new Function(84, "error", 1);
/*     */ 
/*     */   
/* 321 */   public static final Function TYPE = new Function(86, "type", 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 333 */   public static final Function ATAN2 = new Function(97, "atan2", 1);
/*     */   
/* 335 */   public static final Function ASIN = new Function(98, "asin", 1);
/*     */   
/* 337 */   public static final Function ACOS = new Function(99, "acos", 1);
/*     */   
/* 339 */   public static final Function CHOOSE = new Function(100, "choose", 255);
/*     */   
/* 341 */   public static final Function HLOOKUP = new Function(101, "hlookup", 255);
/*     */   
/* 343 */   public static final Function VLOOKUP = new Function(102, "vlookup", 255);
/*     */ 
/*     */ 
/*     */   
/* 347 */   public static final Function ISREF = new Function(105, "isref", 1);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 352 */   public static final Function LOG = new Function(109, "log", 255);
/*     */ 
/*     */   
/* 355 */   public static final Function CHAR = new Function(111, "char", 1);
/*     */   
/* 357 */   public static final Function LOWER = new Function(112, "lower", 1);
/*     */   
/* 359 */   public static final Function UPPER = new Function(113, "upper", 1);
/*     */   
/* 361 */   public static final Function PROPER = new Function(114, "proper", 1);
/*     */   
/* 363 */   public static final Function LEFT = new Function(115, "left", 255);
/*     */   
/* 365 */   public static final Function RIGHT = new Function(116, "right", 255);
/*     */   
/* 367 */   public static final Function EXACT = new Function(117, "exact", 2);
/*     */   
/* 369 */   public static final Function TRIM = new Function(118, "trim", 1);
/*     */   
/* 371 */   public static final Function REPLACE = new Function(119, "replace", 4);
/*     */   
/* 373 */   public static final Function SUBSTITUTE = new Function(120, "substitute", 255);
/*     */   
/* 375 */   public static final Function CODE = new Function(121, "code", 1);
/*     */ 
/*     */ 
/*     */   
/* 379 */   public static final Function FIND = new Function(124, "find", 255);
/*     */   
/* 381 */   public static final Function CELL = new Function(125, "cell", 2);
/*     */   
/* 383 */   public static final Function ISERR = new Function(126, "iserr", 1);
/*     */   
/* 385 */   public static final Function ISTEXT = new Function(127, "istext", 1);
/*     */   
/* 387 */   public static final Function ISNUMBER = new Function(128, "isnumber", 1);
/*     */   
/* 389 */   public static final Function ISBLANK = new Function(129, "isblank", 1);
/*     */   
/* 391 */   public static final Function T = new Function(130, "t", 1);
/*     */   
/* 393 */   public static final Function N = new Function(131, "n", 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 403 */   public static final Function DATEVALUE = new Function(140, "datevalue", 1);
/*     */   
/* 405 */   public static final Function TIMEVALUE = new Function(141, "timevalue", 1);
/*     */   
/* 407 */   public static final Function SLN = new Function(142, "sln", 3);
/*     */   
/* 409 */   public static final Function SYD = new Function(143, "syd", 3);
/*     */   
/* 411 */   public static final Function DDB = new Function(144, "ddb", 255);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 416 */   public static final Function INDIRECT = new Function(148, "indirect", 255);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 431 */   public static final Function CLEAN = new Function(162, "clean", 1);
/*     */   
/* 433 */   public static final Function MDETERM = new Function(163, "mdeterm", 255);
/*     */   
/* 435 */   public static final Function MINVERSE = new Function(164, "minverse", 255);
/*     */   
/* 437 */   public static final Function MMULT = new Function(165, "mmult", 255);
/*     */ 
/*     */   
/* 440 */   public static final Function IPMT = new Function(167, "ipmt", 255);
/*     */   
/* 442 */   public static final Function PPMT = new Function(168, "ppmt", 255);
/*     */   
/* 444 */   public static final Function COUNTA = new Function(169, "counta", 255);
/*     */   
/* 446 */   public static final Function PRODUCT = new Function(183, "product", 255);
/*     */   
/* 448 */   public static final Function FACT = new Function(184, "fact", 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 454 */   public static final Function DPRODUCT = new Function(189, "dproduct", 3);
/*     */   
/* 456 */   public static final Function ISNONTEXT = new Function(190, "isnontext", 1);
/*     */ 
/*     */ 
/*     */   
/* 460 */   public static final Function STDEVP = new Function(193, "stdevp", 255);
/*     */   
/* 462 */   public static final Function VARP = new Function(194, "varp", 255);
/*     */   
/* 464 */   public static final Function DSTDEVP = new Function(195, "dstdevp", 255);
/*     */   
/* 466 */   public static final Function DVARP = new Function(196, "dvarp", 255);
/*     */   
/* 468 */   public static final Function TRUNC = new Function(197, "trunc", 255);
/*     */   
/* 470 */   public static final Function ISLOGICAL = new Function(198, "islogical", 1);
/*     */   
/* 472 */   public static final Function DCOUNTA = new Function(199, "dcounta", 255);
/*     */   
/* 474 */   public static final Function FINDB = new Function(205, "findb", 255);
/*     */   
/* 476 */   public static final Function SEARCHB = new Function(206, "searchb", 3);
/*     */   
/* 478 */   public static final Function REPLACEB = new Function(207, "replaceb", 4);
/*     */   
/* 480 */   public static final Function LEFTB = new Function(208, "leftb", 255);
/*     */   
/* 482 */   public static final Function RIGHTB = new Function(209, "rightb", 255);
/*     */   
/* 484 */   public static final Function MIDB = new Function(210, "midb", 3);
/*     */   
/* 486 */   public static final Function LENB = new Function(211, "lenb", 1);
/*     */   
/* 488 */   public static final Function ROUNDUP = new Function(212, "roundup", 255);
/*     */   
/* 490 */   public static final Function ROUNDDOWN = new Function(213, "rounddown", 255);
/*     */   
/* 492 */   public static final Function RANK = new Function(216, "rank", 255);
/*     */   
/* 494 */   public static final Function ADDRESS = new Function(219, "address", 255);
/*     */   
/* 496 */   public static final Function AYS360 = new Function(220, "days360", 255);
/*     */   
/* 498 */   public static final Function ODAY = new Function(221, "today", 0);
/*     */   
/* 500 */   public static final Function VDB = new Function(222, "vdb", 255);
/*     */   
/* 502 */   public static final Function MEDIAN = new Function(227, "median", 255);
/*     */   
/* 504 */   public static final Function SUMPRODUCT = new Function(228, "sumproduct", 255);
/*     */   
/* 506 */   public static final Function SINH = new Function(229, "sinh", 1);
/*     */   
/* 508 */   public static final Function COSH = new Function(230, "cosh", 1);
/*     */   
/* 510 */   public static final Function TANH = new Function(231, "tanh", 1);
/*     */   
/* 512 */   public static final Function ASINH = new Function(232, "asinh", 1);
/*     */   
/* 514 */   public static final Function ACOSH = new Function(233, "acosh", 1);
/*     */   
/* 516 */   public static final Function ATANH = new Function(234, "atanh", 1);
/*     */   
/* 518 */   public static final Function AVEDEV = new Function(269, "avedev", 255);
/*     */   
/* 520 */   public static final Function BETADIST = new Function(270, "betadist", 255);
/*     */   
/* 522 */   public static final Function GAMMALN = new Function(271, "gammaln", 1);
/*     */   
/* 524 */   public static final Function BETAINV = new Function(272, "betainv", 255);
/*     */   
/* 526 */   public static final Function BINOMDIST = new Function(273, "binomdist", 4);
/*     */   
/* 528 */   public static final Function CHIDIST = new Function(274, "chidist", 2);
/*     */   
/* 530 */   public static final Function CHIINV = new Function(275, "chiinv", 2);
/*     */   
/* 532 */   public static final Function COMBIN = new Function(276, "combin", 2);
/*     */   
/* 534 */   public static final Function CONFIDENCE = new Function(277, "confidence", 3);
/*     */   
/* 536 */   public static final Function CRITBINOM = new Function(278, "critbinom", 3);
/*     */   
/* 538 */   public static final Function EVEN = new Function(279, "even", 1);
/*     */   
/* 540 */   public static final Function EXPONDIST = new Function(280, "expondist", 3);
/*     */   
/* 542 */   public static final Function FDIST = new Function(281, "fdist", 3);
/*     */   
/* 544 */   public static final Function FINV = new Function(282, "finv", 3);
/*     */   
/* 546 */   public static final Function FISHER = new Function(283, "fisher", 1);
/*     */   
/* 548 */   public static final Function FISHERINV = new Function(284, "fisherinv", 1);
/*     */   
/* 550 */   public static final Function FLOOR = new Function(285, "floor", 2);
/*     */   
/* 552 */   public static final Function GAMMADIST = new Function(286, "gammadist", 4);
/*     */   
/* 554 */   public static final Function GAMMAINV = new Function(287, "gammainv", 3);
/*     */   
/* 556 */   public static final Function CEILING = new Function(288, "ceiling", 2);
/*     */   
/* 558 */   public static final Function HYPGEOMDIST = new Function(289, "hypgeomdist", 4);
/*     */   
/* 560 */   public static final Function LOGNORMDIST = new Function(290, "lognormdist", 3);
/*     */   
/* 562 */   public static final Function LOGINV = new Function(291, "loginv", 3);
/*     */   
/* 564 */   public static final Function NEGBINOMDIST = new Function(292, "negbinomdist", 3);
/*     */   
/* 566 */   public static final Function NORMDIST = new Function(293, "normdist", 4);
/*     */   
/* 568 */   public static final Function NORMSDIST = new Function(294, "normsdist", 1);
/*     */   
/* 570 */   public static final Function NORMINV = new Function(295, "norminv", 3);
/*     */   
/* 572 */   public static final Function NORMSINV = new Function(296, "normsinv", 1);
/*     */   
/* 574 */   public static final Function STANDARDIZE = new Function(297, "standardize", 3);
/*     */   
/* 576 */   public static final Function ODD = new Function(298, "odd", 1);
/*     */   
/* 578 */   public static final Function PERMUT = new Function(299, "permut", 2);
/*     */   
/* 580 */   public static final Function POISSON = new Function(300, "poisson", 3);
/*     */   
/* 582 */   public static final Function TDIST = new Function(301, "tdist", 3);
/*     */   
/* 584 */   public static final Function WEIBULL = new Function(302, "weibull", 4);
/*     */   
/* 586 */   public static final Function SUMXMY2 = new Function(303, "sumxmy2", 255);
/*     */   
/* 588 */   public static final Function SUMX2MY2 = new Function(304, "sumx2my2", 255);
/*     */   
/* 590 */   public static final Function SUMX2PY2 = new Function(305, "sumx2py2", 255);
/*     */   
/* 592 */   public static final Function CHITEST = new Function(306, "chitest", 255);
/*     */   
/* 594 */   public static final Function CORREL = new Function(307, "correl", 255);
/*     */   
/* 596 */   public static final Function COVAR = new Function(308, "covar", 255);
/*     */   
/* 598 */   public static final Function FORECAST = new Function(309, "forecast", 255);
/*     */   
/* 600 */   public static final Function FTEST = new Function(310, "ftest", 255);
/*     */   
/* 602 */   public static final Function INTERCEPT = new Function(311, "intercept", 255);
/*     */   
/* 604 */   public static final Function PEARSON = new Function(312, "pearson", 255);
/*     */   
/* 606 */   public static final Function RSQ = new Function(313, "rsq", 255);
/*     */   
/* 608 */   public static final Function STEYX = new Function(314, "steyx", 255);
/*     */   
/* 610 */   public static final Function SLOPE = new Function(315, "slope", 2);
/*     */   
/* 612 */   public static final Function TTEST = new Function(316, "ttest", 255);
/*     */   
/* 614 */   public static final Function PROB = new Function(317, "prob", 255);
/*     */   
/* 616 */   public static final Function DEVSQ = new Function(318, "devsq", 255);
/*     */   
/* 618 */   public static final Function GEOMEAN = new Function(319, "geomean", 255);
/*     */   
/* 620 */   public static final Function HARMEAN = new Function(320, "harmean", 255);
/*     */   
/* 622 */   public static final Function SUMSQ = new Function(321, "sumsq", 255);
/*     */   
/* 624 */   public static final Function KURT = new Function(322, "kurt", 255);
/*     */   
/* 626 */   public static final Function SKEW = new Function(323, "skew", 255);
/*     */   
/* 628 */   public static final Function ZTEST = new Function(324, "ztest", 255);
/*     */   
/* 630 */   public static final Function LARGE = new Function(325, "large", 255);
/*     */   
/* 632 */   public static final Function SMALL = new Function(326, "small", 255);
/*     */   
/* 634 */   public static final Function QUARTILE = new Function(327, "quartile", 255);
/*     */   
/* 636 */   public static final Function PERCENTILE = new Function(328, "percentile", 255);
/*     */   
/* 638 */   public static final Function PERCENTRANK = new Function(329, "percentrank", 255);
/*     */   
/* 640 */   public static final Function MODE = new Function(330, "mode", 255);
/*     */   
/* 642 */   public static final Function TRIMMEAN = new Function(331, "trimmean", 255);
/*     */   
/* 644 */   public static final Function TINV = new Function(332, "tinv", 2);
/*     */   
/* 646 */   public static final Function CONCATENATE = new Function(336, "concatenate", 255);
/*     */   
/* 648 */   public static final Function POWER = new Function(337, "power", 2);
/*     */   
/* 650 */   public static final Function RADIANS = new Function(342, "radians", 1);
/*     */   
/* 652 */   public static final Function DEGREES = new Function(343, "degrees", 1);
/*     */   
/* 654 */   public static final Function SUBTOTAL = new Function(344, "subtotal", 255);
/*     */   
/* 656 */   public static final Function SUMIF = new Function(345, "sumif", 255);
/*     */   
/* 658 */   public static final Function COUNTIF = new Function(346, "countif", 2);
/*     */   
/* 660 */   public static final Function COUNTBLANK = new Function(347, "countblank", 255);
/*     */   
/* 662 */   public static final Function HYPERLINK = new Function(359, "hyperlink", 2);
/*     */   
/* 664 */   public static final Function AVERAGEA = new Function(361, "averagea", 255);
/*     */   
/* 666 */   public static final Function MAXA = new Function(362, "maxa", 255);
/*     */   
/* 668 */   public static final Function MINA = new Function(363, "mina", 255);
/*     */   
/* 670 */   public static final Function STDEVPA = new Function(364, "stdevpa", 255);
/*     */   
/* 672 */   public static final Function VARPA = new Function(365, "varpa", 255);
/*     */   
/* 674 */   public static final Function STDEVA = new Function(366, "stdeva", 255);
/*     */   
/* 676 */   public static final Function VARA = new Function(367, "vara", 255);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 681 */   public static final Function IF = new Function(65534, "if", 255);
/*     */ 
/*     */ 
/*     */   
/* 685 */   public static final Function UNKNOWN = new Function(65535, "", 0);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\Function.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */