/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import java.util.Stack;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class VariableArgFunction
/*     */   extends Operator
/*     */   implements ParsedThing
/*     */ {
/*     */   private Function function;
/*     */   private int arguments;
/*     */   private boolean readFromSheet;
/*     */   private WorkbookSettings settings;
/*     */   
/*     */   public VariableArgFunction(WorkbookSettings ws) {
/*  60 */     this.readFromSheet = true;
/*  61 */     this.settings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public VariableArgFunction(Function f, int a, WorkbookSettings ws) {
/*  72 */     this.function = f;
/*  73 */     this.arguments = a;
/*  74 */     this.readFromSheet = false;
/*  75 */     this.settings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int read(byte[] data, int pos) throws FormulaException {
/*  88 */     this.arguments = data[pos];
/*  89 */     int index = IntegerHelper.getInt(data[pos + 1], data[pos + 2]);
/*  90 */     this.function = Function.getFunction(index);
/*     */     
/*  92 */     if (this.function == Function.UNKNOWN)
/*     */     {
/*  94 */       throw new FormulaException(FormulaException.unrecognizedFunction, index);
/*     */     }
/*     */     
/*  97 */     return 3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void getOperands(Stack s) {
/* 106 */     ParseItem[] items = new ParseItem[this.arguments];
/*     */     int i;
/* 108 */     for (i = this.arguments - 1; i >= 0; i--) {
/*     */       
/* 110 */       ParseItem pi = s.pop();
/*     */       
/* 112 */       items[i] = pi;
/*     */     } 
/*     */     
/* 115 */     for (i = 0; i < this.arguments; i++)
/*     */     {
/* 117 */       add(items[i]);
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public void getString(StringBuffer buf) {
/* 123 */     buf.append(this.function.getName(this.settings));
/* 124 */     buf.append('(');
/*     */ 
/*     */     
/* 127 */     if (this.arguments > 0) {
/*     */       
/* 129 */       ParseItem[] operands = getOperands();
/* 130 */       if (this.readFromSheet) {
/*     */ 
/*     */         
/* 133 */         operands[0].getString(buf);
/*     */         
/* 135 */         for (int i = 1; i < this.arguments; i++)
/*     */         {
/* 137 */           buf.append(',');
/* 138 */           operands[i].getString(buf);
/*     */         
/*     */         }
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 145 */         operands[this.arguments - 1].getString(buf);
/*     */         
/* 147 */         for (int i = this.arguments - 2; i >= 0; i--) {
/*     */           
/* 149 */           buf.append(',');
/* 150 */           operands[i].getString(buf);
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 156 */     buf.append(')');
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void adjustRelativeCellReferences(int colAdjust, int rowAdjust) {
/* 168 */     ParseItem[] operands = getOperands();
/*     */     
/* 170 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 172 */       operands[i].adjustRelativeCellReferences(colAdjust, rowAdjust);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(int sheetIndex, int col, boolean currentSheet) {
/* 188 */     ParseItem[] operands = getOperands();
/* 189 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 191 */       operands[i].columnInserted(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(int sheetIndex, int col, boolean currentSheet) {
/* 207 */     ParseItem[] operands = getOperands();
/* 208 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 210 */       operands[i].columnRemoved(sheetIndex, col, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(int sheetIndex, int row, boolean currentSheet) {
/* 226 */     ParseItem[] operands = getOperands();
/* 227 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 229 */       operands[i].rowInserted(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(int sheetIndex, int row, boolean currentSheet) {
/* 245 */     ParseItem[] operands = getOperands();
/* 246 */     for (int i = 0; i < operands.length; i++)
/*     */     {
/* 248 */       operands[i].rowRemoved(sheetIndex, row, currentSheet);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Function getFunction() {
/* 257 */     return this.function;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes() {
/* 268 */     ParseItem[] operands = getOperands();
/* 269 */     byte[] data = new byte[0];
/*     */     
/* 271 */     for (int i = operands.length - 1; i >= 0; i--) {
/*     */       
/* 273 */       byte[] opdata = operands[i].getBytes();
/*     */ 
/*     */       
/* 276 */       byte[] arrayOfByte1 = new byte[data.length + opdata.length];
/* 277 */       System.arraycopy(data, 0, arrayOfByte1, 0, data.length);
/* 278 */       System.arraycopy(opdata, 0, arrayOfByte1, data.length, opdata.length);
/* 279 */       data = arrayOfByte1;
/*     */     } 
/*     */ 
/*     */     
/* 283 */     byte[] newdata = new byte[data.length + 4];
/* 284 */     System.arraycopy(data, 0, newdata, 0, data.length);
/* 285 */     newdata[data.length] = !useAlternateCode() ? Token.FUNCTIONVARARG.getCode() : Token.FUNCTIONVARARG.getCode2();
/*     */     
/* 287 */     newdata[data.length + 1] = (byte)this.arguments;
/* 288 */     IntegerHelper.getTwoBytes(this.function.getCode(), newdata, data.length + 2);
/*     */     
/* 290 */     return newdata;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getPrecedence() {
/* 301 */     return 3;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\VariableArgFunction.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */