/*     */ package jxl.demo;
/*     */ 
/*     */ import common.Logger;
/*     */ import java.io.File;
/*     */ import jxl.Cell;
/*     */ import jxl.Range;
/*     */ import jxl.Workbook;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Demo
/*     */ {
/*     */   private static final int CSVFormat = 13;
/*     */   private static final int XMLFormat = 14;
/*  46 */   private static Logger logger = Logger.getLogger(Demo.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void displayHelp() {
/*  53 */     System.err.println("Command format:  Demo [-unicode] [-csv] [-hide] excelfile");
/*     */     
/*  55 */     System.err.println("                 Demo -xml [-format]  excelfile");
/*  56 */     System.err.println("                 Demo -write excelfile");
/*  57 */     System.err.println("                 Demo -formulas excelfile");
/*  58 */     System.err.println("                 Demo -readwrite|-rw excelfile output");
/*  59 */     System.err.println("                 Demo -biffdump | -bd | -wa | -ps excelfile");
/*  60 */     System.err.println("                 Demo -version");
/*  61 */     System.err.println("                 Demo -logtest");
/*  62 */     System.err.println("                 Demo -h|-help");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void main(String[] args) {
/*  74 */     if (args.length == 0) {
/*     */       
/*  76 */       displayHelp();
/*  77 */       System.exit(1);
/*     */     } 
/*     */     
/*  80 */     if (args[0].equals("-help") || args[0].equals("-h")) {
/*     */       
/*  82 */       displayHelp();
/*  83 */       System.exit(1);
/*     */     } 
/*     */     
/*  86 */     if (args[0].equals("-version")) {
/*     */       
/*  88 */       System.out.println("v" + Workbook.getVersion());
/*  89 */       System.exit(0);
/*     */     } 
/*     */     
/*  92 */     if (args[0].equals("-logtest")) {
/*     */       
/*  94 */       logger.debug("A sample \"debug\" message");
/*  95 */       logger.info("A sample \"info\" message");
/*  96 */       logger.warn("A sample \"warning\" message");
/*  97 */       logger.error("A sample \"error\" message");
/*  98 */       logger.fatal("A sample \"fatal\" message");
/*  99 */       System.exit(0);
/*     */     } 
/*     */     
/* 102 */     boolean write = false;
/* 103 */     boolean readwrite = false;
/* 104 */     boolean formulas = false;
/* 105 */     boolean biffdump = false;
/* 106 */     boolean jxlversion = false;
/* 107 */     boolean propertysets = false;
/* 108 */     String file = args[0];
/* 109 */     String outputFile = null;
/*     */     
/* 111 */     if (args[0].equals("-write")) {
/*     */       
/* 113 */       write = true;
/* 114 */       file = args[1];
/*     */     }
/* 116 */     else if (args[0].equals("-formulas")) {
/*     */       
/* 118 */       formulas = true;
/* 119 */       file = args[1];
/*     */     }
/* 121 */     else if (args[0].equals("-biffdump") || args[0].equals("-bd")) {
/*     */       
/* 123 */       biffdump = true;
/* 124 */       file = args[1];
/*     */     }
/* 126 */     else if (args[0].equals("-wa")) {
/*     */       
/* 128 */       jxlversion = true;
/* 129 */       file = args[1];
/*     */     }
/* 131 */     else if (args[0].equals("-ps")) {
/*     */       
/* 133 */       propertysets = true;
/* 134 */       file = args[1];
/*     */     }
/* 136 */     else if (args[0].equals("-readwrite") || args[0].equals("-rw")) {
/*     */       
/* 138 */       readwrite = true;
/* 139 */       file = args[1];
/* 140 */       outputFile = args[2];
/*     */     }
/*     */     else {
/*     */       
/* 144 */       file = args[args.length - 1];
/*     */     } 
/*     */     
/* 147 */     String encoding = "UTF8";
/* 148 */     int format = 13;
/* 149 */     boolean formatInfo = false;
/* 150 */     boolean hideCells = false;
/*     */     
/* 152 */     if (!write && !readwrite && !formulas && !biffdump && !jxlversion && !propertysets)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 158 */       for (int i = 0; i < args.length - 1; i++) {
/*     */         
/* 160 */         if (args[i].equals("-unicode")) {
/*     */           
/* 162 */           encoding = "UnicodeBig";
/*     */         }
/* 164 */         else if (args[i].equals("-xml")) {
/*     */           
/* 166 */           format = 14;
/*     */         }
/* 168 */         else if (args[i].equals("-csv")) {
/*     */           
/* 170 */           format = 13;
/*     */         }
/* 172 */         else if (args[i].equals("-format")) {
/*     */           
/* 174 */           formatInfo = true;
/*     */         }
/* 176 */         else if (args[i].equals("-hide")) {
/*     */           
/* 178 */           hideCells = true;
/*     */         }
/*     */         else {
/*     */           
/* 182 */           System.err.println("Command format:  CSV [-unicode] [-xml|-csv] excelfile");
/*     */           
/* 184 */           System.exit(1);
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/* 191 */       if (write)
/*     */       {
/* 193 */         Write w = new Write(file);
/* 194 */         w.write();
/*     */       }
/* 196 */       else if (readwrite)
/*     */       {
/* 198 */         ReadWrite rw = new ReadWrite(file, outputFile);
/* 199 */         rw.readWrite();
/*     */       }
/* 201 */       else if (formulas)
/*     */       {
/* 203 */         Workbook w = Workbook.getWorkbook(new File(file));
/* 204 */         Formulas f = new Formulas(w, System.out, encoding);
/* 205 */         w.close();
/*     */       }
/* 207 */       else if (biffdump)
/*     */       {
/* 209 */         BiffDump bd = new BiffDump(new File(file), System.out);
/*     */       }
/* 211 */       else if (jxlversion)
/*     */       {
/* 213 */         WriteAccess bd = new WriteAccess(new File(file));
/*     */       }
/* 215 */       else if (propertysets)
/*     */       {
/* 217 */         PropertySetsReader psr = new PropertySetsReader(new File(file), System.out);
/*     */       
/*     */       }
/*     */       else
/*     */       {
/* 222 */         Workbook w = Workbook.getWorkbook(new File(file));
/*     */ 
/*     */ 
/*     */         
/* 226 */         if (format == 13) {
/*     */           
/* 228 */           CSV csv = new CSV(w, System.out, encoding, hideCells);
/*     */         }
/* 230 */         else if (format == 14) {
/*     */           
/* 232 */           XML xml = new XML(w, System.out, encoding, formatInfo);
/*     */         } 
/*     */         
/* 235 */         w.close();
/*     */       }
/*     */     
/* 238 */     } catch (Throwable t) {
/*     */       
/* 240 */       System.out.println(t.toString());
/* 241 */       t.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void findTest(Workbook w) {
/* 250 */     logger.info("Find test");
/*     */     
/* 252 */     Cell c = w.findCellByName("named1");
/* 253 */     if (c != null)
/*     */     {
/* 255 */       logger.info("named1 contents:  " + c.getContents());
/*     */     }
/*     */     
/* 258 */     c = w.findCellByName("named2");
/* 259 */     if (c != null)
/*     */     {
/* 261 */       logger.info("named2 contents:  " + c.getContents());
/*     */     }
/*     */     
/* 264 */     c = w.findCellByName("namedrange");
/* 265 */     if (c != null)
/*     */     {
/* 267 */       logger.info("named2 contents:  " + c.getContents());
/*     */     }
/*     */     
/* 270 */     Range[] range = w.findByName("namedrange");
/* 271 */     if (range != null) {
/*     */       
/* 273 */       c = range[0].getTopLeft();
/* 274 */       logger.info("namedrange top left contents:  " + c.getContents());
/*     */       
/* 276 */       c = range[0].getBottomRight();
/* 277 */       logger.info("namedrange bottom right contents:  " + c.getContents());
/*     */     } 
/*     */     
/* 280 */     range = w.findByName("nonadjacentrange");
/* 281 */     if (range != null)
/*     */     {
/* 283 */       for (int i = 0; i < range.length; i++) {
/*     */         
/* 285 */         c = range[i].getTopLeft();
/* 286 */         logger.info("nonadjacent top left contents:  " + c.getContents());
/*     */         
/* 288 */         c = range[i].getBottomRight();
/* 289 */         logger.info("nonadjacent bottom right contents:  " + c.getContents());
/*     */       } 
/*     */     }
/*     */     
/* 293 */     range = w.findByName("horizontalnonadjacentrange");
/* 294 */     if (range != null)
/*     */     {
/* 296 */       for (int i = 0; i < range.length; i++) {
/*     */         
/* 298 */         c = range[i].getTopLeft();
/* 299 */         logger.info("horizontalnonadjacent top left contents:  " + c.getContents());
/*     */ 
/*     */         
/* 302 */         c = range[i].getBottomRight();
/* 303 */         logger.info("horizontalnonadjacent bottom right contents:  " + c.getContents());
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\demo\Demo.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */