/*     */ package jxl.demo;
/*     */ 
/*     */ import java.io.BufferedWriter;
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ import java.io.OutputStreamWriter;
/*     */ import java.io.UnsupportedEncodingException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.FormulaCell;
/*     */ import jxl.Sheet;
/*     */ import jxl.Workbook;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Formulas
/*     */ {
/*     */   public Formulas(Workbook w, OutputStream out, String encoding) throws IOException {
/*  61 */     if (encoding == null || !encoding.equals("UnicodeBig"))
/*     */     {
/*  63 */       encoding = "UTF8";
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/*  68 */       OutputStreamWriter osw = new OutputStreamWriter(out, encoding);
/*  69 */       BufferedWriter bw = new BufferedWriter(osw);
/*     */       
/*  71 */       ArrayList parseErrors = new ArrayList();
/*     */       
/*  73 */       for (int sheet = 0; sheet < w.getNumberOfSheets(); sheet++) {
/*     */         
/*  75 */         Sheet s = w.getSheet(sheet);
/*     */         
/*  77 */         bw.write(s.getName());
/*  78 */         bw.newLine();
/*     */         
/*  80 */         Cell[] row = null;
/*  81 */         Cell c = null;
/*     */         
/*  83 */         for (int i = 0; i < s.getRows(); i++) {
/*     */           
/*  85 */           row = s.getRow(i);
/*     */           
/*  87 */           for (int j = 0; j < row.length; j++) {
/*     */             
/*  89 */             c = row[j];
/*  90 */             if (c.getType() == CellType.NUMBER_FORMULA || c.getType() == CellType.STRING_FORMULA || c.getType() == CellType.BOOLEAN_FORMULA || c.getType() == CellType.FORMULA_ERROR) {
/*     */ 
/*     */ 
/*     */ 
/*     */               
/*  95 */               FormulaCell nfc = (FormulaCell)c;
/*  96 */               StringBuffer sb = new StringBuffer();
/*  97 */               CellReferenceHelper.getCellReference(c.getColumn(), c.getRow(), sb);
/*     */ 
/*     */ 
/*     */               
/*     */               try {
/* 102 */                 bw.write("Formula in " + sb.toString() + " value:  " + c.getContents());
/*     */                 
/* 104 */                 bw.flush();
/* 105 */                 bw.write(" formula: " + nfc.getFormula());
/* 106 */                 bw.flush();
/* 107 */                 bw.newLine();
/*     */               }
/* 109 */               catch (FormulaException e) {
/*     */                 
/* 111 */                 bw.newLine();
/* 112 */                 parseErrors.add(sb.toString() + ": " + e.getMessage());
/*     */               } 
/*     */             } 
/*     */           } 
/*     */         } 
/*     */       } 
/* 118 */       bw.flush();
/* 119 */       bw.close();
/*     */       
/* 121 */       if (parseErrors.size() > 0)
/*     */       {
/* 123 */         System.err.println();
/* 124 */         System.err.println("There were " + parseErrors.size() + " errors");
/*     */         
/* 126 */         Iterator i = parseErrors.iterator();
/* 127 */         while (i.hasNext())
/*     */         {
/* 129 */           System.err.println(i.next());
/*     */         }
/*     */       }
/*     */     
/* 133 */     } catch (UnsupportedEncodingException e) {
/*     */       
/* 135 */       System.err.println(e.toString());
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\demo\Formulas.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */