/*     */ package jxl.demo;
/*     */ 
/*     */ import common.Logger;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.util.Calendar;
/*     */ import java.util.Date;
/*     */ import jxl.CellType;
/*     */ import jxl.Sheet;
/*     */ import jxl.Workbook;
/*     */ import jxl.biff.DisplayFormat;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.Colour;
/*     */ import jxl.format.UnderlineStyle;
/*     */ import jxl.read.biff.BiffException;
/*     */ import jxl.write.DateFormat;
/*     */ import jxl.write.DateFormats;
/*     */ import jxl.write.DateTime;
/*     */ import jxl.write.Formula;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.Number;
/*     */ import jxl.write.NumberFormat;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableHyperlink;
/*     */ import jxl.write.WritableImage;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import jxl.write.WriteException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReadWrite
/*     */ {
/*  78 */   private static Logger logger = Logger.getLogger(ReadWrite.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private File inputWorkbook;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private File outputWorkbook;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReadWrite(String input, String output) {
/*  97 */     this.inputWorkbook = new File(input);
/*  98 */     this.outputWorkbook = new File(output);
/*  99 */     logger.setSuppressWarnings(Boolean.getBoolean("jxl.nowarnings"));
/* 100 */     logger.info("Input file:  " + input);
/* 101 */     logger.info("Output file:  " + output);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void readWrite() throws IOException, BiffException, WriteException {
/* 112 */     logger.info("Reading...");
/* 113 */     Workbook w1 = Workbook.getWorkbook(this.inputWorkbook);
/*     */     
/* 115 */     Sheet s = w1.getSheet(0);
/*     */     
/* 117 */     logger.info("Copying...");
/* 118 */     WritableWorkbook w2 = Workbook.createWorkbook(this.outputWorkbook, w1);
/*     */     
/* 120 */     if (this.inputWorkbook.getName().equals("jxlrwtest.xls"))
/*     */     {
/* 122 */       modify(w2);
/*     */     }
/*     */     
/* 125 */     w2.write();
/* 126 */     w2.close();
/* 127 */     logger.info("Done");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void modify(WritableWorkbook w) throws WriteException {
/* 138 */     logger.info("Modifying...");
/*     */     
/* 140 */     WritableSheet sheet = w.getSheet("modified");
/*     */     
/* 142 */     WritableCell cell = null;
/* 143 */     CellFormat cf = null;
/*     */ 
/*     */     
/* 146 */     cell = sheet.getWritableCell(1, 3);
/* 147 */     WritableFont bold = new WritableFont(WritableFont.ARIAL, 10, WritableFont.BOLD);
/*     */ 
/*     */     
/* 150 */     WritableCellFormat writableCellFormat1 = new WritableCellFormat(bold);
/* 151 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 154 */     cell = sheet.getWritableCell(1, 4);
/* 155 */     WritableFont underline = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.SINGLE);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 160 */     writableCellFormat1 = new WritableCellFormat(underline);
/* 161 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 164 */     cell = sheet.getWritableCell(1, 5);
/* 165 */     WritableFont tenpoint = new WritableFont(WritableFont.ARIAL, 10);
/* 166 */     writableCellFormat1 = new WritableCellFormat(tenpoint);
/* 167 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 170 */     cell = sheet.getWritableCell(1, 6);
/* 171 */     if (cell.getType() == CellType.LABEL) {
/*     */       
/* 173 */       Label lc = (Label)cell;
/* 174 */       lc.setString(lc.getString() + " - mod");
/*     */     } 
/*     */ 
/*     */     
/* 178 */     cell = sheet.getWritableCell(1, 9);
/* 179 */     NumberFormat sevendps = new NumberFormat("#.0000000");
/* 180 */     writableCellFormat1 = new WritableCellFormat((DisplayFormat)sevendps);
/* 181 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */ 
/*     */     
/* 185 */     cell = sheet.getWritableCell(1, 10);
/* 186 */     NumberFormat exp4 = new NumberFormat("0.####E0");
/* 187 */     writableCellFormat1 = new WritableCellFormat((DisplayFormat)exp4);
/* 188 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 191 */     cell = sheet.getWritableCell(1, 11);
/* 192 */     cell.setCellFormat((CellFormat)WritableWorkbook.NORMAL_STYLE);
/*     */ 
/*     */     
/* 195 */     cell = sheet.getWritableCell(1, 12);
/* 196 */     if (cell.getType() == CellType.NUMBER) {
/*     */       
/* 198 */       Number number = (Number)cell;
/* 199 */       number.setValue(42.0D);
/*     */     } 
/*     */ 
/*     */     
/* 203 */     cell = sheet.getWritableCell(1, 13);
/* 204 */     if (cell.getType() == CellType.NUMBER) {
/*     */       
/* 206 */       Number number = (Number)cell;
/* 207 */       number.setValue(number.getValue() + 0.1D);
/*     */     } 
/*     */ 
/*     */     
/* 211 */     cell = sheet.getWritableCell(1, 16);
/* 212 */     DateFormat df = new DateFormat("dd MMM yyyy HH:mm:ss");
/* 213 */     writableCellFormat1 = new WritableCellFormat((DisplayFormat)df);
/* 214 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 217 */     cell = sheet.getWritableCell(1, 17);
/* 218 */     writableCellFormat1 = new WritableCellFormat(DateFormats.FORMAT9);
/* 219 */     cell.setCellFormat((CellFormat)writableCellFormat1);
/*     */ 
/*     */     
/* 222 */     cell = sheet.getWritableCell(1, 18);
/* 223 */     if (cell.getType() == CellType.DATE) {
/*     */       
/* 225 */       DateTime dt = (DateTime)cell;
/* 226 */       Calendar cal = Calendar.getInstance();
/* 227 */       cal.set(1998, 1, 18, 11, 23, 28);
/* 228 */       Date d = cal.getTime();
/* 229 */       dt.setDate(d);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 234 */     cell = sheet.getWritableCell(1, 22);
/* 235 */     if (cell.getType() == CellType.NUMBER) {
/*     */       
/* 237 */       Number number = (Number)cell;
/* 238 */       number.setValue(6.8D);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 243 */     cell = sheet.getWritableCell(1, 29);
/* 244 */     if (cell.getType() == CellType.LABEL) {
/*     */       
/* 246 */       Label label1 = (Label)cell;
/* 247 */       label1.setString("Modified string contents");
/*     */     } 
/*     */     
/* 250 */     sheet.insertRow(34);
/*     */ 
/*     */     
/* 253 */     sheet.removeRow(38);
/*     */ 
/*     */     
/* 256 */     sheet.insertColumn(9);
/*     */ 
/*     */     
/* 259 */     sheet.removeColumn(11);
/*     */ 
/*     */ 
/*     */     
/* 263 */     sheet.removeRow(43);
/* 264 */     sheet.insertRow(43);
/*     */ 
/*     */     
/* 267 */     WritableHyperlink[] hyperlinks = sheet.getWritableHyperlinks();
/*     */     
/* 269 */     for (int i = 0; i < hyperlinks.length; i++) {
/*     */       
/* 271 */       WritableHyperlink wh = hyperlinks[i];
/* 272 */       if (wh.getColumn() == 1 && wh.getRow() == 39) {
/*     */         
/*     */         try
/*     */         {
/*     */           
/* 277 */           wh.setURL(new URL("http://www.andykhan.com/jexcelapi/index.html"));
/*     */         }
/* 279 */         catch (MalformedURLException e)
/*     */         {
/* 281 */           logger.warn(e.toString());
/*     */         }
/*     */       
/* 284 */       } else if (wh.getColumn() == 1 && wh.getRow() == 40) {
/*     */         
/* 286 */         wh.setFile(new File("../jexcelapi/docs/overview-summary.html"));
/*     */       }
/* 288 */       else if (wh.getColumn() == 1 && wh.getRow() == 41) {
/*     */         
/* 290 */         wh.setFile(new File("d:/home/jexcelapi/docs/jxl/package-summary.html"));
/*     */       }
/* 292 */       else if (wh.getColumn() == 1 && wh.getRow() == 44) {
/*     */ 
/*     */         
/* 295 */         sheet.removeHyperlink(wh);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 300 */     WritableCell c = sheet.getWritableCell(5, 30);
/* 301 */     WritableCellFormat newFormat = new WritableCellFormat(c.getCellFormat());
/* 302 */     newFormat.setBackground(Colour.RED);
/* 303 */     c.setCellFormat((CellFormat)newFormat);
/*     */ 
/*     */     
/* 306 */     Label l = new Label(0, 49, "Modified merged cells");
/* 307 */     sheet.addCell((WritableCell)l);
/*     */ 
/*     */     
/* 310 */     Number n = (Number)sheet.getWritableCell(0, 70);
/* 311 */     n.setValue(9.0D);
/*     */     
/* 313 */     n = (Number)sheet.getWritableCell(0, 71);
/* 314 */     n.setValue(10.0D);
/*     */     
/* 316 */     n = (Number)sheet.getWritableCell(0, 73);
/* 317 */     n.setValue(4.0D);
/*     */ 
/*     */     
/* 320 */     Formula f = new Formula(1, 80, "ROUND(COS(original!B10),2)");
/* 321 */     sheet.addCell((WritableCell)f);
/*     */ 
/*     */     
/* 324 */     f = new Formula(1, 83, "value1+value2");
/* 325 */     sheet.addCell((WritableCell)f);
/*     */ 
/*     */     
/* 328 */     f = new Formula(1, 84, "AVERAGE(value1,value1*4,value2)");
/* 329 */     sheet.addCell((WritableCell)f);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 335 */     Label label = new Label(0, 88, "Some copied cells", (CellFormat)writableCellFormat1);
/* 336 */     sheet.addCell((WritableCell)label);
/*     */     
/* 338 */     label = new Label(0, 89, "Number from B9");
/* 339 */     sheet.addCell((WritableCell)label);
/*     */     
/* 341 */     WritableCell wc = sheet.getWritableCell(1, 9).copyTo(1, 89);
/* 342 */     sheet.addCell(wc);
/*     */     
/* 344 */     label = new Label(0, 90, "Label from B4 (modified format)");
/* 345 */     sheet.addCell((WritableCell)label);
/*     */     
/* 347 */     wc = sheet.getWritableCell(1, 3).copyTo(1, 90);
/* 348 */     sheet.addCell(wc);
/*     */     
/* 350 */     label = new Label(0, 91, "Date from B17");
/* 351 */     sheet.addCell((WritableCell)label);
/*     */     
/* 353 */     wc = sheet.getWritableCell(1, 16).copyTo(1, 91);
/* 354 */     sheet.addCell(wc);
/*     */     
/* 356 */     label = new Label(0, 92, "Boolean from E16");
/* 357 */     sheet.addCell((WritableCell)label);
/*     */     
/* 359 */     wc = sheet.getWritableCell(4, 15).copyTo(1, 92);
/* 360 */     sheet.addCell(wc);
/*     */     
/* 362 */     label = new Label(0, 93, "URL from B40");
/* 363 */     sheet.addCell((WritableCell)label);
/*     */     
/* 365 */     wc = sheet.getWritableCell(1, 39).copyTo(1, 93);
/* 366 */     sheet.addCell(wc);
/*     */ 
/*     */     
/* 369 */     for (int j = 0; j < 6; j++) {
/*     */       
/* 371 */       Number number = new Number(1, 94 + j, (j + 1) + j / 8.0D);
/* 372 */       sheet.addCell((WritableCell)number);
/*     */     } 
/*     */     
/* 375 */     label = new Label(0, 100, "Formula from B27");
/* 376 */     sheet.addCell((WritableCell)label);
/*     */     
/* 378 */     wc = sheet.getWritableCell(1, 26).copyTo(1, 100);
/* 379 */     sheet.addCell(wc);
/*     */     
/* 381 */     label = new Label(0, 101, "A brand new formula");
/* 382 */     sheet.addCell((WritableCell)label);
/*     */     
/* 384 */     Formula formula = new Formula(1, 101, "SUM(B94:B96)");
/* 385 */     sheet.addCell((WritableCell)formula);
/*     */     
/* 387 */     label = new Label(0, 102, "A copy of it");
/* 388 */     sheet.addCell((WritableCell)label);
/*     */     
/* 390 */     wc = sheet.getWritableCell(1, 101).copyTo(1, 102);
/* 391 */     sheet.addCell(wc);
/*     */ 
/*     */     
/* 394 */     WritableImage wi = sheet.getImage(1);
/* 395 */     sheet.removeImage(wi);
/*     */     
/* 397 */     wi = new WritableImage(1.0D, 116.0D, 2.0D, 9.0D, new File("resources/littlemoretonhall.png"));
/*     */     
/* 399 */     sheet.addImage(wi);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\demo\ReadWrite.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */