/*      */ package jxl.demo;
/*      */ 
/*      */ import java.io.File;
/*      */ import java.io.IOException;
/*      */ import java.net.MalformedURLException;
/*      */ import java.net.URL;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.Calendar;
/*      */ import java.util.Date;
/*      */ import java.util.Locale;
/*      */ import jxl.CellReferenceHelper;
/*      */ import jxl.CellView;
/*      */ import jxl.Range;
/*      */ import jxl.Workbook;
/*      */ import jxl.WorkbookSettings;
/*      */ import jxl.biff.DisplayFormat;
/*      */ import jxl.format.Alignment;
/*      */ import jxl.format.Border;
/*      */ import jxl.format.BorderLineStyle;
/*      */ import jxl.format.CellFormat;
/*      */ import jxl.format.Colour;
/*      */ import jxl.format.Orientation;
/*      */ import jxl.format.PageOrientation;
/*      */ import jxl.format.PaperSize;
/*      */ import jxl.format.ScriptStyle;
/*      */ import jxl.format.UnderlineStyle;
/*      */ import jxl.write.Boolean;
/*      */ import jxl.write.DateFormat;
/*      */ import jxl.write.DateFormats;
/*      */ import jxl.write.DateTime;
/*      */ import jxl.write.Formula;
/*      */ import jxl.write.Label;
/*      */ import jxl.write.Number;
/*      */ import jxl.write.NumberFormat;
/*      */ import jxl.write.NumberFormats;
/*      */ import jxl.write.WritableCell;
/*      */ import jxl.write.WritableCellFormat;
/*      */ import jxl.write.WritableFont;
/*      */ import jxl.write.WritableHyperlink;
/*      */ import jxl.write.WritableImage;
/*      */ import jxl.write.WritableSheet;
/*      */ import jxl.write.WritableWorkbook;
/*      */ import jxl.write.WriteException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class Write
/*      */ {
/*      */   private String filename;
/*      */   private WritableWorkbook workbook;
/*      */   
/*      */   public Write(String fn) {
/*   87 */     this.filename = fn;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void write() throws IOException, WriteException {
/*   98 */     WorkbookSettings ws = new WorkbookSettings();
/*   99 */     ws.setLocale(new Locale("en", "EN"));
/*  100 */     this.workbook = Workbook.createWorkbook(new File(this.filename), ws);
/*      */ 
/*      */     
/*  103 */     WritableSheet s2 = this.workbook.createSheet("Number Formats", 0);
/*  104 */     WritableSheet s3 = this.workbook.createSheet("Date Formats", 1);
/*  105 */     WritableSheet s1 = this.workbook.createSheet("Label Formats", 2);
/*  106 */     WritableSheet s4 = this.workbook.createSheet("Borders", 3);
/*  107 */     WritableSheet s5 = this.workbook.createSheet("Labels", 4);
/*  108 */     WritableSheet s6 = this.workbook.createSheet("Formulas", 5);
/*  109 */     WritableSheet s7 = this.workbook.createSheet("Images", 6);
/*      */     
/*  111 */     writeLabelFormatSheet(s1);
/*  112 */     writeNumberFormatSheet(s2);
/*  113 */     writeDateFormatSheet(s3);
/*  114 */     writeBordersSheet(s4);
/*  115 */     writeLabelsSheet(s5);
/*  116 */     writeFormulaSheet(s6);
/*  117 */     writeImageSheet(s7);
/*      */ 
/*      */     
/*  120 */     this.workbook.setColourRGB(Colour.LIME, 255, 0, 0);
/*      */     
/*  122 */     this.workbook.write();
/*  123 */     this.workbook.close();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeNumberFormatSheet(WritableSheet s) throws WriteException {
/*  133 */     WritableCellFormat wrappedText = new WritableCellFormat(WritableWorkbook.ARIAL_10_PT);
/*      */     
/*  135 */     wrappedText.setWrap(true);
/*      */     
/*  137 */     s.setColumnView(0, 20);
/*  138 */     s.setColumnView(4, 20);
/*  139 */     s.setColumnView(5, 20);
/*  140 */     s.setColumnView(6, 20);
/*      */ 
/*      */     
/*  143 */     Label l = new Label(0, 0, "+/- Pi - default format", (CellFormat)wrappedText);
/*  144 */     s.addCell((WritableCell)l);
/*      */     
/*  146 */     Number n = new Number(1, 0, 3.1415926535D);
/*  147 */     s.addCell((WritableCell)n);
/*      */     
/*  149 */     n = new Number(2, 0, -3.1415926535D);
/*  150 */     s.addCell((WritableCell)n);
/*      */     
/*  152 */     l = new Label(0, 1, "+/- Pi - integer format", (CellFormat)wrappedText);
/*  153 */     s.addCell((WritableCell)l);
/*      */     
/*  155 */     WritableCellFormat cf1 = new WritableCellFormat(NumberFormats.INTEGER);
/*  156 */     n = new Number(1, 1, 3.1415926535D, (CellFormat)cf1);
/*  157 */     s.addCell((WritableCell)n);
/*      */     
/*  159 */     n = new Number(2, 1, -3.1415926535D, (CellFormat)cf1);
/*  160 */     s.addCell((WritableCell)n);
/*      */     
/*  162 */     l = new Label(0, 2, "+/- Pi - float 2dps", (CellFormat)wrappedText);
/*  163 */     s.addCell((WritableCell)l);
/*      */     
/*  165 */     WritableCellFormat cf2 = new WritableCellFormat(NumberFormats.FLOAT);
/*  166 */     n = new Number(1, 2, 3.1415926535D, (CellFormat)cf2);
/*  167 */     s.addCell((WritableCell)n);
/*      */     
/*  169 */     n = new Number(2, 2, -3.1415926535D, (CellFormat)cf2);
/*  170 */     s.addCell((WritableCell)n);
/*      */     
/*  172 */     l = new Label(0, 3, "+/- Pi - custom 3dps", (CellFormat)wrappedText);
/*      */     
/*  174 */     s.addCell((WritableCell)l);
/*      */     
/*  176 */     NumberFormat dp3 = new NumberFormat("#.###");
/*  177 */     WritableCellFormat dp3cell = new WritableCellFormat((DisplayFormat)dp3);
/*  178 */     n = new Number(1, 3, 3.1415926535D, (CellFormat)dp3cell);
/*  179 */     s.addCell((WritableCell)n);
/*      */     
/*  181 */     n = new Number(2, 3, -3.1415926535D, (CellFormat)dp3cell);
/*  182 */     s.addCell((WritableCell)n);
/*      */     
/*  184 */     l = new Label(0, 4, "+/- Pi - custom &3.14", (CellFormat)wrappedText);
/*      */     
/*  186 */     s.addCell((WritableCell)l);
/*      */     
/*  188 */     NumberFormat pounddp2 = new NumberFormat("&#.00");
/*  189 */     WritableCellFormat pounddp2cell = new WritableCellFormat((DisplayFormat)pounddp2);
/*  190 */     n = new Number(1, 4, 3.1415926535D, (CellFormat)pounddp2cell);
/*  191 */     s.addCell((WritableCell)n);
/*      */     
/*  193 */     n = new Number(2, 4, -3.1415926535D, (CellFormat)pounddp2cell);
/*  194 */     s.addCell((WritableCell)n);
/*      */     
/*  196 */     l = new Label(0, 5, "+/- Pi - custom Text #.### Text", (CellFormat)wrappedText);
/*      */     
/*  198 */     s.addCell((WritableCell)l);
/*      */     
/*  200 */     NumberFormat textdp4 = new NumberFormat("Text#.####Text");
/*  201 */     WritableCellFormat textdp4cell = new WritableCellFormat((DisplayFormat)textdp4);
/*  202 */     n = new Number(1, 5, 3.1415926535D, (CellFormat)textdp4cell);
/*  203 */     s.addCell((WritableCell)n);
/*      */     
/*  205 */     n = new Number(2, 5, -3.1415926535D, (CellFormat)textdp4cell);
/*  206 */     s.addCell((WritableCell)n);
/*      */ 
/*      */     
/*  209 */     l = new Label(4, 0, "+/- Bilko default format");
/*  210 */     s.addCell((WritableCell)l);
/*  211 */     n = new Number(5, 0, 1.5042699E7D);
/*  212 */     s.addCell((WritableCell)n);
/*  213 */     n = new Number(6, 0, -1.5042699E7D);
/*  214 */     s.addCell((WritableCell)n);
/*      */     
/*  216 */     l = new Label(4, 1, "+/- Bilko float format");
/*  217 */     s.addCell((WritableCell)l);
/*  218 */     WritableCellFormat cfi1 = new WritableCellFormat(NumberFormats.FLOAT);
/*  219 */     n = new Number(5, 1, 1.5042699E7D, (CellFormat)cfi1);
/*  220 */     s.addCell((WritableCell)n);
/*  221 */     n = new Number(6, 1, -1.5042699E7D, (CellFormat)cfi1);
/*  222 */     s.addCell((WritableCell)n);
/*      */     
/*  224 */     l = new Label(4, 2, "+/- Thousands separator");
/*  225 */     s.addCell((WritableCell)l);
/*  226 */     WritableCellFormat cfi2 = new WritableCellFormat(NumberFormats.THOUSANDS_INTEGER);
/*      */     
/*  228 */     n = new Number(5, 2, 1.5042699E7D, (CellFormat)cfi2);
/*  229 */     s.addCell((WritableCell)n);
/*  230 */     n = new Number(6, 2, -1.5042699E7D, (CellFormat)cfi2);
/*  231 */     s.addCell((WritableCell)n);
/*      */     
/*  233 */     l = new Label(4, 3, "+/- Accounting red - added 0.01");
/*  234 */     s.addCell((WritableCell)l);
/*  235 */     WritableCellFormat cfi3 = new WritableCellFormat(NumberFormats.ACCOUNTING_RED_FLOAT);
/*      */     
/*  237 */     n = new Number(5, 3, 1.504269901E7D, (CellFormat)cfi3);
/*  238 */     s.addCell((WritableCell)n);
/*  239 */     n = new Number(6, 3, -1.504269901E7D, (CellFormat)cfi3);
/*  240 */     s.addCell((WritableCell)n);
/*      */     
/*  242 */     l = new Label(4, 4, "+/- Percent");
/*  243 */     s.addCell((WritableCell)l);
/*  244 */     WritableCellFormat cfi4 = new WritableCellFormat(NumberFormats.PERCENT_INTEGER);
/*      */     
/*  246 */     n = new Number(5, 4, 1.5042699E7D, (CellFormat)cfi4);
/*  247 */     s.addCell((WritableCell)n);
/*  248 */     n = new Number(6, 4, -1.5042699E7D, (CellFormat)cfi4);
/*  249 */     s.addCell((WritableCell)n);
/*      */     
/*  251 */     l = new Label(4, 5, "+/- Exponential - 2dps");
/*  252 */     s.addCell((WritableCell)l);
/*  253 */     WritableCellFormat cfi5 = new WritableCellFormat(NumberFormats.EXPONENTIAL);
/*      */     
/*  255 */     n = new Number(5, 5, 1.5042699E7D, (CellFormat)cfi5);
/*  256 */     s.addCell((WritableCell)n);
/*  257 */     n = new Number(6, 5, -1.5042699E7D, (CellFormat)cfi5);
/*  258 */     s.addCell((WritableCell)n);
/*      */     
/*  260 */     l = new Label(4, 6, "+/- Custom exponentional - 3dps", (CellFormat)wrappedText);
/*  261 */     s.addCell((WritableCell)l);
/*  262 */     NumberFormat edp3 = new NumberFormat("0.000E0");
/*  263 */     WritableCellFormat edp3Cell = new WritableCellFormat((DisplayFormat)edp3);
/*  264 */     n = new Number(5, 6, 1.5042699E7D, (CellFormat)edp3Cell);
/*  265 */     s.addCell((WritableCell)n);
/*  266 */     n = new Number(6, 6, -1.5042699E7D, (CellFormat)edp3Cell);
/*  267 */     s.addCell((WritableCell)n);
/*      */     
/*  269 */     l = new Label(4, 7, "Custom neg brackets", (CellFormat)wrappedText);
/*  270 */     s.addCell((WritableCell)l);
/*  271 */     NumberFormat negbracks = new NumberFormat("#,##0;(#,##0)");
/*  272 */     WritableCellFormat negbrackscell = new WritableCellFormat((DisplayFormat)negbracks);
/*  273 */     n = new Number(5, 7, 1.5042699E7D, (CellFormat)negbrackscell);
/*  274 */     s.addCell((WritableCell)n);
/*  275 */     n = new Number(6, 7, -1.5042699E7D, (CellFormat)negbrackscell);
/*  276 */     s.addCell((WritableCell)n);
/*      */     
/*  278 */     l = new Label(4, 8, "Custom neg brackets 2", (CellFormat)wrappedText);
/*  279 */     s.addCell((WritableCell)l);
/*  280 */     NumberFormat negbracks2 = new NumberFormat("#,##0;(#,##0)a");
/*  281 */     WritableCellFormat negbrackscell2 = new WritableCellFormat((DisplayFormat)negbracks2);
/*  282 */     n = new Number(5, 8, 1.5042699E7D, (CellFormat)negbrackscell2);
/*  283 */     s.addCell((WritableCell)n);
/*  284 */     n = new Number(6, 8, -1.5042699E7D, (CellFormat)negbrackscell2);
/*  285 */     s.addCell((WritableCell)n);
/*      */     
/*  287 */     l = new Label(4, 9, "Custom percent", (CellFormat)wrappedText);
/*  288 */     s.addCell((WritableCell)l);
/*  289 */     NumberFormat cuspercent = new NumberFormat("0.0%");
/*  290 */     WritableCellFormat cuspercentf = new WritableCellFormat((DisplayFormat)cuspercent);
/*  291 */     n = new Number(5, 9, 3.14159265D, (CellFormat)cuspercentf);
/*  292 */     s.addCell((WritableCell)n);
/*      */ 
/*      */ 
/*      */     
/*  296 */     l = new Label(0, 10, "Boolean - TRUE");
/*  297 */     s.addCell((WritableCell)l);
/*  298 */     Boolean b = new Boolean(1, 10, true);
/*  299 */     s.addCell((WritableCell)b);
/*      */     
/*  301 */     l = new Label(0, 11, "Boolean - FALSE");
/*  302 */     s.addCell((WritableCell)l);
/*  303 */     b = new Boolean(1, 11, false);
/*  304 */     s.addCell((WritableCell)b);
/*      */     
/*  306 */     l = new Label(0, 12, "A hidden cell->");
/*  307 */     s.addCell((WritableCell)l);
/*  308 */     n = new Number(1, 12, 17.0D, (CellFormat)WritableWorkbook.HIDDEN_STYLE);
/*  309 */     s.addCell((WritableCell)n);
/*      */     
/*      */     int row;
/*      */     
/*  313 */     for (row = 0; row < 100; row++) {
/*      */       
/*  315 */       for (int col = 8; col < 108; col++) {
/*      */         
/*  317 */         n = new Number(col, row, (col + row));
/*  318 */         s.addCell((WritableCell)n);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  323 */     for (row = 101; row < 3000; row++) {
/*      */       
/*  325 */       for (int col = 0; col < 25; col++) {
/*      */         
/*  327 */         n = new Number(col, row, (col + row));
/*  328 */         s.addCell((WritableCell)n);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeDateFormatSheet(WritableSheet s) throws WriteException {
/*  340 */     WritableCellFormat wrappedText = new WritableCellFormat(WritableWorkbook.ARIAL_10_PT);
/*      */     
/*  342 */     wrappedText.setWrap(true);
/*      */     
/*  344 */     s.setColumnView(0, 20);
/*  345 */     s.setColumnView(2, 20);
/*  346 */     s.setColumnView(3, 20);
/*      */     
/*  348 */     s.getSettings().setFitWidth(2);
/*  349 */     s.getSettings().setFitHeight(2);
/*      */     
/*  351 */     Calendar c = Calendar.getInstance();
/*  352 */     c.set(1975, 4, 31, 15, 21, 45);
/*  353 */     c.set(14, 660);
/*  354 */     Date date = c.getTime();
/*  355 */     c.set(1900, 0, 1, 0, 0, 0);
/*  356 */     c.set(14, 0);
/*      */     
/*  358 */     Date date2 = c.getTime();
/*  359 */     Date date3 = new Date(0L);
/*  360 */     c.set(1918, 10, 11, 10, 0, 0);
/*  361 */     Date date4 = c.getTime();
/*  362 */     c.set(1900, 0, 2, 0, 0, 0);
/*  363 */     Date date5 = c.getTime();
/*  364 */     c.set(1901, 0, 1, 0, 0, 0);
/*  365 */     Date date6 = c.getTime();
/*  366 */     c.set(1900, 4, 31, 0, 0, 0);
/*  367 */     Date date7 = c.getTime();
/*  368 */     c.set(1900, 1, 1, 0, 0, 0);
/*  369 */     Date date8 = c.getTime();
/*  370 */     c.set(1900, 0, 31, 0, 0, 0);
/*  371 */     Date date9 = c.getTime();
/*  372 */     c.set(1900, 2, 1, 0, 0, 0);
/*  373 */     Date date10 = c.getTime();
/*  374 */     c.set(1900, 1, 27, 0, 0, 0);
/*  375 */     Date date11 = c.getTime();
/*  376 */     c.set(1900, 1, 28, 0, 0, 0);
/*  377 */     Date date12 = c.getTime();
/*      */ 
/*      */     
/*  380 */     SimpleDateFormat sdf = new SimpleDateFormat("dd MMM yyyy HH:mm:ss.SSS");
/*  381 */     Label l = new Label(0, 0, "All dates are " + sdf.format(date), (CellFormat)wrappedText);
/*      */     
/*  383 */     s.addCell((WritableCell)l);
/*      */     
/*  385 */     l = new Label(0, 1, "Built in formats", (CellFormat)wrappedText);
/*      */     
/*  387 */     s.addCell((WritableCell)l);
/*      */     
/*  389 */     l = new Label(2, 1, "Custom formats");
/*  390 */     s.addCell((WritableCell)l);
/*      */     
/*  392 */     WritableCellFormat cf1 = new WritableCellFormat(DateFormats.FORMAT1);
/*  393 */     DateTime dt = new DateTime(0, 2, date, (CellFormat)cf1);
/*  394 */     s.addCell((WritableCell)dt);
/*      */     
/*  396 */     cf1 = new WritableCellFormat(DateFormats.FORMAT2);
/*  397 */     dt = new DateTime(0, 3, date, (CellFormat)cf1);
/*  398 */     s.addCell((WritableCell)dt);
/*      */     
/*  400 */     cf1 = new WritableCellFormat(DateFormats.FORMAT3);
/*  401 */     dt = new DateTime(0, 4, date, (CellFormat)cf1);
/*  402 */     s.addCell((WritableCell)dt);
/*      */     
/*  404 */     cf1 = new WritableCellFormat(DateFormats.FORMAT4);
/*  405 */     dt = new DateTime(0, 5, date, (CellFormat)cf1);
/*  406 */     s.addCell((WritableCell)dt);
/*      */     
/*  408 */     cf1 = new WritableCellFormat(DateFormats.FORMAT5);
/*  409 */     dt = new DateTime(0, 6, date, (CellFormat)cf1);
/*  410 */     s.addCell((WritableCell)dt);
/*      */     
/*  412 */     cf1 = new WritableCellFormat(DateFormats.FORMAT6);
/*  413 */     dt = new DateTime(0, 7, date, (CellFormat)cf1);
/*  414 */     s.addCell((WritableCell)dt);
/*      */     
/*  416 */     cf1 = new WritableCellFormat(DateFormats.FORMAT7);
/*  417 */     dt = new DateTime(0, 8, date, (CellFormat)cf1);
/*  418 */     s.addCell((WritableCell)dt);
/*      */     
/*  420 */     cf1 = new WritableCellFormat(DateFormats.FORMAT8);
/*  421 */     dt = new DateTime(0, 9, date, (CellFormat)cf1);
/*  422 */     s.addCell((WritableCell)dt);
/*      */     
/*  424 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  425 */     dt = new DateTime(0, 10, date, (CellFormat)cf1);
/*  426 */     s.addCell((WritableCell)dt);
/*      */     
/*  428 */     cf1 = new WritableCellFormat(DateFormats.FORMAT10);
/*  429 */     dt = new DateTime(0, 11, date, (CellFormat)cf1);
/*  430 */     s.addCell((WritableCell)dt);
/*      */     
/*  432 */     cf1 = new WritableCellFormat(DateFormats.FORMAT11);
/*  433 */     dt = new DateTime(0, 12, date, (CellFormat)cf1);
/*  434 */     s.addCell((WritableCell)dt);
/*      */     
/*  436 */     cf1 = new WritableCellFormat(DateFormats.FORMAT12);
/*  437 */     dt = new DateTime(0, 13, date, (CellFormat)cf1);
/*  438 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  441 */     DateFormat df = new DateFormat("dd MM yyyy");
/*  442 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  443 */     l = new Label(2, 2, "dd MM yyyy");
/*  444 */     s.addCell((WritableCell)l);
/*      */     
/*  446 */     dt = new DateTime(3, 2, date, (CellFormat)cf1);
/*  447 */     s.addCell((WritableCell)dt);
/*      */     
/*  449 */     df = new DateFormat("dd MMM yyyy");
/*  450 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  451 */     l = new Label(2, 3, "dd MMM yyyy");
/*  452 */     s.addCell((WritableCell)l);
/*      */     
/*  454 */     dt = new DateTime(3, 3, date, (CellFormat)cf1);
/*  455 */     s.addCell((WritableCell)dt);
/*      */     
/*  457 */     df = new DateFormat("hh:mm");
/*  458 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  459 */     l = new Label(2, 4, "hh:mm");
/*  460 */     s.addCell((WritableCell)l);
/*      */     
/*  462 */     dt = new DateTime(3, 4, date, (CellFormat)cf1);
/*  463 */     s.addCell((WritableCell)dt);
/*      */     
/*  465 */     df = new DateFormat("hh:mm:ss");
/*  466 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  467 */     l = new Label(2, 5, "hh:mm:ss");
/*  468 */     s.addCell((WritableCell)l);
/*      */     
/*  470 */     dt = new DateTime(3, 5, date, (CellFormat)cf1);
/*  471 */     s.addCell((WritableCell)dt);
/*      */     
/*  473 */     df = new DateFormat("H:mm:ss a");
/*  474 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  475 */     l = new Label(2, 5, "H:mm:ss a");
/*  476 */     s.addCell((WritableCell)l);
/*      */     
/*  478 */     dt = new DateTime(3, 5, date, (CellFormat)cf1);
/*  479 */     s.addCell((WritableCell)dt);
/*      */     
/*  481 */     df = new DateFormat("mm:ss.SSS");
/*  482 */     cf1 = new WritableCellFormat((DisplayFormat)df);
/*  483 */     l = new Label(2, 6, "mm:ss.SSS");
/*  484 */     s.addCell((WritableCell)l);
/*      */     
/*  486 */     dt = new DateTime(3, 6, date, (CellFormat)cf1);
/*  487 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  490 */     l = new Label(0, 16, "Zero date " + sdf.format(date2), (CellFormat)wrappedText);
/*      */     
/*  492 */     s.addCell((WritableCell)l);
/*      */     
/*  494 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  495 */     dt = new DateTime(0, 17, date2, (CellFormat)cf1);
/*  496 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  499 */     l = new Label(3, 16, "Zero date + 1 " + sdf.format(date5), (CellFormat)wrappedText);
/*      */     
/*  501 */     s.addCell((WritableCell)l);
/*      */     
/*  503 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  504 */     dt = new DateTime(3, 17, date5, (CellFormat)cf1);
/*  505 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  508 */     l = new Label(3, 19, sdf.format(date6), (CellFormat)wrappedText);
/*      */     
/*  510 */     s.addCell((WritableCell)l);
/*      */     
/*  512 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  513 */     dt = new DateTime(3, 20, date6, (CellFormat)cf1);
/*  514 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  517 */     l = new Label(3, 22, sdf.format(date7), (CellFormat)wrappedText);
/*      */     
/*  519 */     s.addCell((WritableCell)l);
/*      */     
/*  521 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  522 */     dt = new DateTime(3, 23, date7, (CellFormat)cf1);
/*  523 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  526 */     l = new Label(3, 25, sdf.format(date8), (CellFormat)wrappedText);
/*      */     
/*  528 */     s.addCell((WritableCell)l);
/*      */     
/*  530 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  531 */     dt = new DateTime(3, 26, date8, (CellFormat)cf1);
/*  532 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  535 */     l = new Label(3, 28, sdf.format(date9), (CellFormat)wrappedText);
/*      */     
/*  537 */     s.addCell((WritableCell)l);
/*      */     
/*  539 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  540 */     dt = new DateTime(3, 29, date9, (CellFormat)cf1);
/*  541 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  544 */     l = new Label(3, 28, sdf.format(date9), (CellFormat)wrappedText);
/*      */     
/*  546 */     s.addCell((WritableCell)l);
/*      */     
/*  548 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  549 */     dt = new DateTime(3, 29, date9, (CellFormat)cf1);
/*  550 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  553 */     l = new Label(3, 31, sdf.format(date10), (CellFormat)wrappedText);
/*      */     
/*  555 */     s.addCell((WritableCell)l);
/*      */     
/*  557 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  558 */     dt = new DateTime(3, 32, date10, (CellFormat)cf1);
/*  559 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  562 */     l = new Label(3, 34, sdf.format(date11), (CellFormat)wrappedText);
/*      */     
/*  564 */     s.addCell((WritableCell)l);
/*      */     
/*  566 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  567 */     dt = new DateTime(3, 35, date11, (CellFormat)cf1);
/*  568 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  571 */     l = new Label(3, 37, sdf.format(date12), (CellFormat)wrappedText);
/*      */     
/*  573 */     s.addCell((WritableCell)l);
/*      */     
/*  575 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  576 */     dt = new DateTime(3, 38, date12, (CellFormat)cf1);
/*  577 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  580 */     l = new Label(0, 19, "Zero UTC date " + sdf.format(date3), (CellFormat)wrappedText);
/*      */     
/*  582 */     s.addCell((WritableCell)l);
/*      */     
/*  584 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  585 */     dt = new DateTime(0, 20, date3, (CellFormat)cf1);
/*  586 */     s.addCell((WritableCell)dt);
/*      */ 
/*      */     
/*  589 */     l = new Label(0, 22, "Armistice date " + sdf.format(date4), (CellFormat)wrappedText);
/*      */     
/*  591 */     s.addCell((WritableCell)l);
/*      */     
/*  593 */     cf1 = new WritableCellFormat(DateFormats.FORMAT9);
/*  594 */     dt = new DateTime(0, 23, date4, (CellFormat)cf1);
/*  595 */     s.addCell((WritableCell)dt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeLabelFormatSheet(WritableSheet s1) throws WriteException {
/*  606 */     s1.setColumnView(0, 60);
/*      */     
/*  608 */     Label lr = new Label(0, 0, "Arial Fonts");
/*  609 */     s1.addCell((WritableCell)lr);
/*      */     
/*  611 */     lr = new Label(1, 0, "10pt");
/*  612 */     s1.addCell((WritableCell)lr);
/*      */     
/*  614 */     lr = new Label(2, 0, "Normal");
/*  615 */     s1.addCell((WritableCell)lr);
/*      */     
/*  617 */     lr = new Label(3, 0, "12pt");
/*  618 */     s1.addCell((WritableCell)lr);
/*      */     
/*  620 */     WritableFont arial12pt = new WritableFont(WritableFont.ARIAL, 12);
/*  621 */     WritableCellFormat arial12format = new WritableCellFormat(arial12pt);
/*  622 */     arial12format.setWrap(true);
/*  623 */     lr = new Label(4, 0, "Normal", (CellFormat)arial12format);
/*  624 */     s1.addCell((WritableCell)lr);
/*      */     
/*  626 */     WritableFont arial10ptBold = new WritableFont(WritableFont.ARIAL, 10, WritableFont.BOLD);
/*      */     
/*  628 */     WritableCellFormat arial10BoldFormat = new WritableCellFormat(arial10ptBold);
/*      */     
/*  630 */     lr = new Label(2, 2, "BOLD", (CellFormat)arial10BoldFormat);
/*  631 */     s1.addCell((WritableCell)lr);
/*      */     
/*  633 */     WritableFont arial12ptBold = new WritableFont(WritableFont.ARIAL, 12, WritableFont.BOLD);
/*      */     
/*  635 */     WritableCellFormat arial12BoldFormat = new WritableCellFormat(arial12ptBold);
/*      */     
/*  637 */     lr = new Label(4, 2, "BOLD", (CellFormat)arial12BoldFormat);
/*  638 */     s1.addCell((WritableCell)lr);
/*      */     
/*  640 */     WritableFont arial10ptItalic = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, true);
/*      */     
/*  642 */     WritableCellFormat arial10ItalicFormat = new WritableCellFormat(arial10ptItalic);
/*      */     
/*  644 */     lr = new Label(2, 4, "Italic", (CellFormat)arial10ItalicFormat);
/*  645 */     s1.addCell((WritableCell)lr);
/*      */     
/*  647 */     WritableFont arial12ptItalic = new WritableFont(WritableFont.ARIAL, 12, WritableFont.NO_BOLD, true);
/*      */     
/*  649 */     WritableCellFormat arial12ptItalicFormat = new WritableCellFormat(arial12ptItalic);
/*      */     
/*  651 */     lr = new Label(4, 4, "Italic", (CellFormat)arial12ptItalicFormat);
/*  652 */     s1.addCell((WritableCell)lr);
/*      */     
/*  654 */     WritableFont times10pt = new WritableFont(WritableFont.TIMES, 10);
/*  655 */     WritableCellFormat times10format = new WritableCellFormat(times10pt);
/*  656 */     lr = new Label(0, 7, "Times Fonts", (CellFormat)times10format);
/*  657 */     s1.addCell((WritableCell)lr);
/*      */     
/*  659 */     lr = new Label(1, 7, "10pt", (CellFormat)times10format);
/*  660 */     s1.addCell((WritableCell)lr);
/*      */     
/*  662 */     lr = new Label(2, 7, "Normal", (CellFormat)times10format);
/*  663 */     s1.addCell((WritableCell)lr);
/*      */     
/*  665 */     lr = new Label(3, 7, "12pt", (CellFormat)times10format);
/*  666 */     s1.addCell((WritableCell)lr);
/*      */     
/*  668 */     WritableFont times12pt = new WritableFont(WritableFont.TIMES, 12);
/*  669 */     WritableCellFormat times12format = new WritableCellFormat(times12pt);
/*  670 */     lr = new Label(4, 7, "Normal", (CellFormat)times12format);
/*  671 */     s1.addCell((WritableCell)lr);
/*      */     
/*  673 */     WritableFont times10ptBold = new WritableFont(WritableFont.TIMES, 10, WritableFont.BOLD);
/*      */     
/*  675 */     WritableCellFormat times10BoldFormat = new WritableCellFormat(times10ptBold);
/*      */     
/*  677 */     lr = new Label(2, 9, "BOLD", (CellFormat)times10BoldFormat);
/*  678 */     s1.addCell((WritableCell)lr);
/*      */     
/*  680 */     WritableFont times12ptBold = new WritableFont(WritableFont.TIMES, 12, WritableFont.BOLD);
/*      */     
/*  682 */     WritableCellFormat times12BoldFormat = new WritableCellFormat(times12ptBold);
/*      */     
/*  684 */     lr = new Label(4, 9, "BOLD", (CellFormat)times12BoldFormat);
/*  685 */     s1.addCell((WritableCell)lr);
/*      */ 
/*      */     
/*  688 */     s1.setColumnView(6, 22);
/*  689 */     s1.setColumnView(7, 22);
/*  690 */     s1.setColumnView(8, 22);
/*  691 */     s1.setColumnView(9, 22);
/*      */     
/*  693 */     lr = new Label(0, 11, "Underlining");
/*  694 */     s1.addCell((WritableCell)lr);
/*      */     
/*  696 */     WritableFont arial10ptUnderline = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.SINGLE);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  702 */     WritableCellFormat arialUnderline = new WritableCellFormat(arial10ptUnderline);
/*      */     
/*  704 */     lr = new Label(6, 11, "Underline", (CellFormat)arialUnderline);
/*  705 */     s1.addCell((WritableCell)lr);
/*      */     
/*  707 */     WritableFont arial10ptDoubleUnderline = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.DOUBLE);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  713 */     WritableCellFormat arialDoubleUnderline = new WritableCellFormat(arial10ptDoubleUnderline);
/*      */     
/*  715 */     lr = new Label(7, 11, "Double Underline", (CellFormat)arialDoubleUnderline);
/*  716 */     s1.addCell((WritableCell)lr);
/*      */     
/*  718 */     WritableFont arial10ptSingleAcc = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.SINGLE_ACCOUNTING);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  724 */     WritableCellFormat arialSingleAcc = new WritableCellFormat(arial10ptSingleAcc);
/*      */     
/*  726 */     lr = new Label(8, 11, "Single Accounting Underline", (CellFormat)arialSingleAcc);
/*  727 */     s1.addCell((WritableCell)lr);
/*      */     
/*  729 */     WritableFont arial10ptDoubleAcc = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.DOUBLE_ACCOUNTING);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  735 */     WritableCellFormat arialDoubleAcc = new WritableCellFormat(arial10ptDoubleAcc);
/*      */     
/*  737 */     lr = new Label(9, 11, "Double Accounting Underline", (CellFormat)arialDoubleAcc);
/*  738 */     s1.addCell((WritableCell)lr);
/*      */     
/*  740 */     WritableFont times14ptBoldUnderline = new WritableFont(WritableFont.TIMES, 14, WritableFont.BOLD, false, UnderlineStyle.SINGLE);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  746 */     WritableCellFormat timesBoldUnderline = new WritableCellFormat(times14ptBoldUnderline);
/*      */     
/*  748 */     lr = new Label(6, 12, "Times 14 Bold Underline", (CellFormat)timesBoldUnderline);
/*  749 */     s1.addCell((WritableCell)lr);
/*      */     
/*  751 */     WritableFont arial18ptBoldItalicUnderline = new WritableFont(WritableFont.ARIAL, 18, WritableFont.BOLD, true, UnderlineStyle.SINGLE);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  757 */     WritableCellFormat arialBoldItalicUnderline = new WritableCellFormat(arial18ptBoldItalicUnderline);
/*      */     
/*  759 */     lr = new Label(6, 13, "Arial 18 Bold Italic Underline", (CellFormat)arialBoldItalicUnderline);
/*      */     
/*  761 */     s1.addCell((WritableCell)lr);
/*      */     
/*  763 */     lr = new Label(0, 15, "Script styles");
/*  764 */     s1.addCell((WritableCell)lr);
/*      */     
/*  766 */     WritableFont superscript = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.NO_UNDERLINE, Colour.BLACK, ScriptStyle.SUPERSCRIPT);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  774 */     WritableCellFormat superscriptFormat = new WritableCellFormat(superscript);
/*      */     
/*  776 */     lr = new Label(1, 15, "superscript", (CellFormat)superscriptFormat);
/*  777 */     s1.addCell((WritableCell)lr);
/*      */     
/*  779 */     WritableFont subscript = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.NO_UNDERLINE, Colour.BLACK, ScriptStyle.SUBSCRIPT);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  787 */     WritableCellFormat subscriptFormat = new WritableCellFormat(subscript);
/*      */     
/*  789 */     lr = new Label(2, 15, "subscript", (CellFormat)subscriptFormat);
/*  790 */     s1.addCell((WritableCell)lr);
/*      */     
/*  792 */     lr = new Label(0, 17, "Colours");
/*  793 */     s1.addCell((WritableCell)lr);
/*      */     
/*  795 */     WritableFont red = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.NO_UNDERLINE, Colour.RED);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  801 */     WritableCellFormat redFormat = new WritableCellFormat(red);
/*  802 */     lr = new Label(2, 17, "Red", (CellFormat)redFormat);
/*  803 */     s1.addCell((WritableCell)lr);
/*      */     
/*  805 */     WritableFont blue = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.NO_UNDERLINE, Colour.BLUE);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  811 */     WritableCellFormat blueFormat = new WritableCellFormat(blue);
/*  812 */     lr = new Label(2, 18, "Blue", (CellFormat)blueFormat);
/*  813 */     s1.addCell((WritableCell)lr);
/*      */     
/*  815 */     WritableFont lime = new WritableFont(WritableFont.ARIAL);
/*  816 */     lime.setColour(Colour.LIME);
/*  817 */     WritableCellFormat limeFormat = new WritableCellFormat(lime);
/*  818 */     limeFormat.setWrap(true);
/*  819 */     lr = new Label(4, 18, "Modified palette - was lime, now red", (CellFormat)limeFormat);
/*  820 */     s1.addCell((WritableCell)lr);
/*      */     
/*  822 */     WritableCellFormat greyBackground = new WritableCellFormat();
/*  823 */     greyBackground.setWrap(true);
/*  824 */     greyBackground.setBackground(Colour.GRAY_50);
/*  825 */     lr = new Label(2, 19, "Grey background", (CellFormat)greyBackground);
/*  826 */     s1.addCell((WritableCell)lr);
/*      */     
/*  828 */     WritableFont yellow = new WritableFont(WritableFont.ARIAL, 10, WritableFont.NO_BOLD, false, UnderlineStyle.NO_UNDERLINE, Colour.YELLOW);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  834 */     WritableCellFormat yellowOnBlue = new WritableCellFormat(yellow);
/*  835 */     yellowOnBlue.setWrap(true);
/*  836 */     yellowOnBlue.setBackground(Colour.BLUE);
/*  837 */     lr = new Label(2, 20, "Blue background, yellow foreground", (CellFormat)yellowOnBlue);
/*  838 */     s1.addCell((WritableCell)lr);
/*      */     
/*  840 */     lr = new Label(0, 22, "Null label");
/*  841 */     s1.addCell((WritableCell)lr);
/*      */     
/*  843 */     lr = new Label(2, 22, null);
/*  844 */     s1.addCell((WritableCell)lr);
/*      */     
/*  846 */     lr = new Label(0, 24, "A very long label, more than 255 characters\nRejoice O shores\nSing O bells\nBut I with mournful tread\nWalk the deck my captain lies\nFallen cold and dead\nSummer surprised, coming over the Starnbergersee\nWith a shower of rain. We stopped in the Colonnade\nA very long label, more than 255 characters\nRejoice O shores\nSing O bells\nBut I with mournful tread\nWalk the deck my captain lies\nFallen cold and dead\nSummer surprised, coming over the Starnbergersee\nWith a shower of rain. We stopped in the Colonnade\nA very long label, more than 255 characters\nRejoice O shores\nSing O bells\nBut I with mournful tread\nWalk the deck my captain lies\nFallen cold and dead\nSummer surprised, coming over the Starnbergersee\nWith a shower of rain. We stopped in the Colonnade\nA very long label, more than 255 characters\nRejoice O shores\nSing O bells\nBut I with mournful tread\nWalk the deck my captain lies\nFallen cold and dead\nSummer surprised, coming over the Starnbergersee\nWith a shower of rain. We stopped in the Colonnade\nAnd sat and drank coffee an talked for an hour\n", (CellFormat)arial12format);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  879 */     s1.addCell((WritableCell)lr);
/*      */     
/*  881 */     WritableCellFormat vertical = new WritableCellFormat();
/*  882 */     vertical.setOrientation(Orientation.VERTICAL);
/*  883 */     lr = new Label(0, 26, "Vertical orientation", (CellFormat)vertical);
/*  884 */     s1.addCell((WritableCell)lr);
/*      */ 
/*      */     
/*  887 */     WritableCellFormat plus_90 = new WritableCellFormat();
/*  888 */     plus_90.setOrientation(Orientation.PLUS_90);
/*  889 */     lr = new Label(1, 26, "Plus 90", (CellFormat)plus_90);
/*  890 */     s1.addCell((WritableCell)lr);
/*      */ 
/*      */     
/*  893 */     WritableCellFormat minus_90 = new WritableCellFormat();
/*  894 */     minus_90.setOrientation(Orientation.MINUS_90);
/*  895 */     lr = new Label(2, 26, "Minus 90", (CellFormat)minus_90);
/*  896 */     s1.addCell((WritableCell)lr);
/*      */     
/*  898 */     lr = new Label(0, 28, "Modified row height");
/*  899 */     s1.addCell((WritableCell)lr);
/*  900 */     s1.setRowView(28, 24);
/*      */     
/*  902 */     lr = new Label(0, 29, "Collapsed row");
/*  903 */     s1.addCell((WritableCell)lr);
/*  904 */     s1.setRowView(29, true);
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  909 */       Label label = new Label(0, 30, "Hyperlink to home page");
/*  910 */       s1.addCell((WritableCell)label);
/*      */       
/*  912 */       URL url = new URL("http://www.andykhan.com/jexcelapi");
/*  913 */       WritableHyperlink wh = new WritableHyperlink(0, 30, 8, 31, url);
/*  914 */       s1.addHyperlink(wh);
/*      */ 
/*      */       
/*  917 */       WritableHyperlink wh2 = new WritableHyperlink(7, 30, 9, 31, url);
/*  918 */       s1.addHyperlink(wh2);
/*      */       
/*  920 */       label = new Label(4, 2, "File hyperlink to documentation");
/*  921 */       s1.addCell((WritableCell)label);
/*      */       
/*  923 */       File file = new File("../jexcelapi/docs/index.html");
/*  924 */       wh = new WritableHyperlink(0, 32, 8, 32, file);
/*  925 */       s1.addHyperlink(wh);
/*      */ 
/*      */       
/*  928 */       wh = new WritableHyperlink(0, 34, 8, 34, "Link to another cell", s1, 0, 180, 1, 181);
/*      */ 
/*      */ 
/*      */       
/*  932 */       s1.addHyperlink(wh);
/*      */     }
/*  934 */     catch (MalformedURLException e) {
/*      */       
/*  936 */       System.err.println(e.toString());
/*      */     } 
/*      */ 
/*      */     
/*  940 */     Label l = new Label(5, 35, "Merged cells", (CellFormat)timesBoldUnderline);
/*  941 */     s1.mergeCells(5, 35, 8, 37);
/*  942 */     s1.addCell((WritableCell)l);
/*      */     
/*  944 */     l = new Label(5, 38, "More merged cells");
/*  945 */     s1.addCell((WritableCell)l);
/*  946 */     Range r = s1.mergeCells(5, 38, 8, 41);
/*  947 */     s1.insertRow(40);
/*  948 */     s1.removeRow(39);
/*  949 */     s1.unmergeCells(r);
/*      */ 
/*      */     
/*  952 */     WritableCellFormat wcf = new WritableCellFormat();
/*  953 */     wcf.setAlignment(Alignment.CENTRE);
/*  954 */     l = new Label(5, 42, "Centred across merged cells", (CellFormat)wcf);
/*  955 */     s1.addCell((WritableCell)l);
/*  956 */     s1.mergeCells(5, 42, 10, 42);
/*      */     
/*  958 */     wcf = new WritableCellFormat();
/*  959 */     wcf.setBorder(Border.ALL, BorderLineStyle.THIN);
/*  960 */     wcf.setBackground(Colour.GRAY_25);
/*  961 */     l = new Label(3, 44, "Merged with border", (CellFormat)wcf);
/*  962 */     s1.addCell((WritableCell)l);
/*  963 */     s1.mergeCells(3, 44, 4, 46);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  980 */     WritableFont courier10ptFont = new WritableFont(WritableFont.COURIER, 10);
/*  981 */     WritableCellFormat courier10pt = new WritableCellFormat(courier10ptFont);
/*  982 */     l = new Label(0, 49, "Courier fonts", (CellFormat)courier10pt);
/*  983 */     s1.addCell((WritableCell)l);
/*      */     
/*  985 */     WritableFont tahoma12ptFont = new WritableFont(WritableFont.TAHOMA, 12);
/*  986 */     WritableCellFormat tahoma12pt = new WritableCellFormat(tahoma12ptFont);
/*  987 */     l = new Label(0, 50, "Tahoma fonts", (CellFormat)tahoma12pt);
/*  988 */     s1.addCell((WritableCell)l);
/*      */     
/*  990 */     WritableFont.FontName wingdingsFont = WritableFont.createFont("Wingdings 2");
/*      */     
/*  992 */     WritableFont wingdings210ptFont = new WritableFont(wingdingsFont, 10);
/*  993 */     WritableCellFormat wingdings210pt = new WritableCellFormat(wingdings210ptFont);
/*      */     
/*  995 */     l = new Label(0, 51, "Bespoke Windgdings 2", (CellFormat)wingdings210pt);
/*  996 */     s1.addCell((WritableCell)l);
/*      */     
/*  998 */     WritableCellFormat shrinkToFit = new WritableCellFormat(times12pt);
/*  999 */     shrinkToFit.setShrinkToFit(true);
/* 1000 */     l = new Label(3, 53, "Shrunk to fit", (CellFormat)shrinkToFit);
/* 1001 */     s1.addCell((WritableCell)l);
/*      */     
/* 1003 */     l = new Label(3, 55, "Some long wrapped text in a mergec cell", (CellFormat)arial12format);
/*      */     
/* 1005 */     s1.addCell((WritableCell)l);
/* 1006 */     s1.mergeCells(3, 55, 4, 55);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeBordersSheet(WritableSheet s) throws WriteException {
/* 1017 */     s.getSettings().setProtected(true);
/*      */     
/* 1019 */     s.setColumnView(1, 15);
/* 1020 */     s.setColumnView(2, 15);
/* 1021 */     s.setColumnView(4, 15);
/* 1022 */     WritableCellFormat thickLeft = new WritableCellFormat();
/* 1023 */     thickLeft.setBorder(Border.LEFT, BorderLineStyle.THICK);
/* 1024 */     Label lr = new Label(1, 0, "Thick left", (CellFormat)thickLeft);
/* 1025 */     s.addCell((WritableCell)lr);
/*      */     
/* 1027 */     WritableCellFormat dashedRight = new WritableCellFormat();
/* 1028 */     dashedRight.setBorder(Border.RIGHT, BorderLineStyle.DASHED);
/* 1029 */     lr = new Label(2, 0, "Dashed right", (CellFormat)dashedRight);
/* 1030 */     s.addCell((WritableCell)lr);
/*      */     
/* 1032 */     WritableCellFormat doubleTop = new WritableCellFormat();
/* 1033 */     doubleTop.setBorder(Border.TOP, BorderLineStyle.DOUBLE);
/* 1034 */     lr = new Label(1, 2, "Double top", (CellFormat)doubleTop);
/* 1035 */     s.addCell((WritableCell)lr);
/*      */     
/* 1037 */     WritableCellFormat hairBottom = new WritableCellFormat();
/* 1038 */     hairBottom.setBorder(Border.BOTTOM, BorderLineStyle.HAIR);
/* 1039 */     lr = new Label(2, 2, "Hair bottom", (CellFormat)hairBottom);
/* 1040 */     s.addCell((WritableCell)lr);
/*      */     
/* 1042 */     WritableCellFormat allThin = new WritableCellFormat();
/* 1043 */     allThin.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 1044 */     lr = new Label(4, 2, "All thin", (CellFormat)allThin);
/* 1045 */     s.addCell((WritableCell)lr);
/*      */     
/* 1047 */     WritableCellFormat twoBorders = new WritableCellFormat();
/* 1048 */     twoBorders.setBorder(Border.TOP, BorderLineStyle.THICK);
/* 1049 */     twoBorders.setBorder(Border.LEFT, BorderLineStyle.THICK);
/* 1050 */     lr = new Label(6, 2, "Two borders", (CellFormat)twoBorders);
/* 1051 */     s.addCell((WritableCell)lr);
/*      */ 
/*      */     
/* 1054 */     lr = new Label(20, 20, "Dislocated cell - after a page break");
/* 1055 */     s.addCell((WritableCell)lr);
/*      */ 
/*      */     
/* 1058 */     s.getSettings().setPaperSize(PaperSize.A3);
/* 1059 */     s.getSettings().setOrientation(PageOrientation.LANDSCAPE);
/* 1060 */     s.getSettings().setHeaderMargin(2.0D);
/* 1061 */     s.getSettings().setFooterMargin(2.0D);
/*      */     
/* 1063 */     s.getSettings().setTopMargin(3.0D);
/* 1064 */     s.getSettings().setBottomMargin(3.0D);
/*      */ 
/*      */     
/* 1067 */     s.setHeader(null, "Page Header", null);
/* 1068 */     s.setFooter(null, null, "page &P");
/*      */ 
/*      */     
/* 1071 */     s.addRowPageBreak(18);
/* 1072 */     s.insertRow(17);
/* 1073 */     s.insertRow(17);
/* 1074 */     s.removeRow(17);
/*      */ 
/*      */     
/* 1077 */     s.addRowPageBreak(30);
/*      */ 
/*      */     
/* 1080 */     lr = new Label(10, 1, "Hidden column");
/* 1081 */     s.addCell((WritableCell)lr);
/*      */ 
/*      */     
/* 1084 */     lr = new Label(3, 8, "Hidden row");
/* 1085 */     s.addCell((WritableCell)lr);
/* 1086 */     s.setRowView(8, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeLabelsSheet(WritableSheet ws) throws WriteException {
/* 1094 */     ws.getSettings().setProtected(true);
/* 1095 */     ws.getSettings().setPassword("jxl");
/* 1096 */     ws.getSettings().setVerticalFreeze(5);
/*      */     
/* 1098 */     WritableFont wf = new WritableFont(WritableFont.ARIAL, 12);
/* 1099 */     wf.setItalic(true);
/*      */     
/* 1101 */     WritableCellFormat wcf = new WritableCellFormat(wf);
/*      */     
/* 1103 */     CellView cv = new CellView();
/* 1104 */     cv.setSize(6400);
/* 1105 */     cv.setFormat((CellFormat)wcf);
/* 1106 */     ws.setColumnView(0, cv);
/* 1107 */     ws.setColumnView(1, 15);
/*      */     
/* 1109 */     for (int i = 0; i < 61; i++) {
/*      */       
/* 1111 */       Label l1 = new Label(0, i, "Common Label");
/* 1112 */       Label l2 = new Label(1, i, "Distinct label number " + i);
/* 1113 */       ws.addCell((WritableCell)l1);
/* 1114 */       ws.addCell((WritableCell)l2);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1120 */     Label l3 = new Label(0, 61, "Common Label", (CellFormat)wcf);
/* 1121 */     Label l4 = new Label(1, 61, "1-1234567890", (CellFormat)wcf);
/* 1122 */     Label l5 = new Label(2, 61, "2-1234567890", (CellFormat)wcf);
/* 1123 */     ws.addCell((WritableCell)l3);
/* 1124 */     ws.addCell((WritableCell)l4);
/* 1125 */     ws.addCell((WritableCell)l5);
/*      */     
/* 1127 */     for (int j = 62; j < 200; j++) {
/*      */       
/* 1129 */       Label l1 = new Label(0, j, "Common Label");
/* 1130 */       Label l2 = new Label(1, j, "Distinct label number " + j);
/* 1131 */       ws.addCell((WritableCell)l1);
/* 1132 */       ws.addCell((WritableCell)l2);
/*      */     } 
/*      */ 
/*      */     
/* 1136 */     wf = new WritableFont(WritableFont.TIMES, 10, WritableFont.BOLD);
/* 1137 */     wf.setColour(Colour.RED);
/* 1138 */     wcf = new WritableCellFormat(wf);
/* 1139 */     wcf.setWrap(true);
/* 1140 */     Label l = new Label(0, 205, "Different format", (CellFormat)wcf);
/* 1141 */     ws.addCell((WritableCell)l);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeFormulaSheet(WritableSheet ws) throws WriteException {
/* 1150 */     Number nc = new Number(0, 0, 15.0D);
/* 1151 */     ws.addCell((WritableCell)nc);
/*      */     
/* 1153 */     nc = new Number(0, 1, 16.0D);
/* 1154 */     ws.addCell((WritableCell)nc);
/*      */     
/* 1156 */     nc = new Number(0, 2, 10.0D);
/* 1157 */     ws.addCell((WritableCell)nc);
/*      */     
/* 1159 */     nc = new Number(0, 3, 12.0D);
/* 1160 */     ws.addCell((WritableCell)nc);
/*      */     
/* 1162 */     ws.setColumnView(2, 20);
/* 1163 */     WritableCellFormat wcf = new WritableCellFormat();
/* 1164 */     wcf.setAlignment(Alignment.RIGHT);
/* 1165 */     wcf.setWrap(true);
/* 1166 */     CellView cv = new CellView();
/* 1167 */     cv.setSize(6400);
/* 1168 */     cv.setFormat((CellFormat)wcf);
/* 1169 */     ws.setColumnView(3, cv);
/*      */ 
/*      */     
/* 1172 */     Formula f = null;
/* 1173 */     Label l = null;
/*      */     
/* 1175 */     f = new Formula(2, 0, "A1+A2");
/* 1176 */     ws.addCell((WritableCell)f);
/* 1177 */     l = new Label(3, 0, "a1+a2");
/* 1178 */     ws.addCell((WritableCell)l);
/*      */     
/* 1180 */     f = new Formula(2, 1, "A2 * 3");
/* 1181 */     ws.addCell((WritableCell)f);
/* 1182 */     l = new Label(3, 1, "A2 * 3");
/* 1183 */     ws.addCell((WritableCell)l);
/*      */     
/* 1185 */     f = new Formula(2, 2, "A2+A1/2.5");
/* 1186 */     ws.addCell((WritableCell)f);
/* 1187 */     l = new Label(3, 2, "A2+A1/2.5");
/* 1188 */     ws.addCell((WritableCell)l);
/*      */     
/* 1190 */     f = new Formula(2, 3, "3+(a1+a2)/2.5");
/* 1191 */     ws.addCell((WritableCell)f);
/* 1192 */     l = new Label(3, 3, "3+(a1+a2)/2.5");
/* 1193 */     ws.addCell((WritableCell)l);
/*      */     
/* 1195 */     f = new Formula(2, 4, "(a1+a2)/2.5");
/* 1196 */     ws.addCell((WritableCell)f);
/* 1197 */     l = new Label(3, 4, "(a1+a2)/2.5");
/* 1198 */     ws.addCell((WritableCell)l);
/*      */     
/* 1200 */     f = new Formula(2, 5, "15+((a1+a2)/2.5)*17");
/* 1201 */     ws.addCell((WritableCell)f);
/* 1202 */     l = new Label(3, 5, "15+((a1+a2)/2.5)*17");
/* 1203 */     ws.addCell((WritableCell)l);
/*      */     
/* 1205 */     f = new Formula(2, 6, "SUM(a1:a4)");
/* 1206 */     ws.addCell((WritableCell)f);
/* 1207 */     l = new Label(3, 6, "SUM(a1:a4)");
/* 1208 */     ws.addCell((WritableCell)l);
/*      */     
/* 1210 */     f = new Formula(2, 7, "SUM(a1:a4)/4");
/* 1211 */     ws.addCell((WritableCell)f);
/* 1212 */     l = new Label(3, 7, "SUM(a1:a4)/4");
/* 1213 */     ws.addCell((WritableCell)l);
/*      */     
/* 1215 */     f = new Formula(2, 8, "AVERAGE(A1:A4)");
/* 1216 */     ws.addCell((WritableCell)f);
/* 1217 */     l = new Label(3, 8, "AVERAGE(a1:a4)");
/* 1218 */     ws.addCell((WritableCell)l);
/*      */     
/* 1220 */     f = new Formula(2, 9, "MIN(5,4,1,2,3)");
/* 1221 */     ws.addCell((WritableCell)f);
/* 1222 */     l = new Label(3, 9, "MIN(5,4,1,2,3)");
/* 1223 */     ws.addCell((WritableCell)l);
/*      */     
/* 1225 */     f = new Formula(2, 10, "ROUND(3.14159265, 3)");
/* 1226 */     ws.addCell((WritableCell)f);
/* 1227 */     l = new Label(3, 10, "ROUND(3.14159265, 3)");
/* 1228 */     ws.addCell((WritableCell)l);
/*      */     
/* 1230 */     f = new Formula(2, 11, "MAX(SUM(A1:A2), A1*A2, POWER(A1, 2))");
/* 1231 */     ws.addCell((WritableCell)f);
/* 1232 */     l = new Label(3, 11, "MAX(SUM(A1:A2), A1*A2, POWER(A1, 2))");
/* 1233 */     ws.addCell((WritableCell)l);
/*      */     
/* 1235 */     f = new Formula(2, 12, "IF(A2>A1, \"A2 bigger\", \"A1 bigger\")");
/* 1236 */     ws.addCell((WritableCell)f);
/* 1237 */     l = new Label(3, 12, "IF(A2>A1, \"A2 bigger\", \"A1 bigger\")");
/* 1238 */     ws.addCell((WritableCell)l);
/*      */     
/* 1240 */     f = new Formula(2, 13, "IF(A2<=A1, \"A2 smaller\", \"A1 smaller\")");
/* 1241 */     ws.addCell((WritableCell)f);
/* 1242 */     l = new Label(3, 13, "IF(A2<=A1, \"A2 smaller\", \"A1 smaller\")");
/* 1243 */     ws.addCell((WritableCell)l);
/*      */     
/* 1245 */     f = new Formula(2, 14, "IF(A3<=10, \"<= 10\")");
/* 1246 */     ws.addCell((WritableCell)f);
/* 1247 */     l = new Label(3, 14, "IF(A3<=10, \"<= 10\")");
/* 1248 */     ws.addCell((WritableCell)l);
/*      */     
/* 1250 */     f = new Formula(2, 15, "SUM(1,2,3,4,5)");
/* 1251 */     ws.addCell((WritableCell)f);
/* 1252 */     l = new Label(3, 15, "SUM(1,2,3,4,5)");
/* 1253 */     ws.addCell((WritableCell)l);
/*      */     
/* 1255 */     f = new Formula(2, 16, "HYPERLINK(\"http://www.andykhan.com/jexcelapi\", \"JExcelApi Home Page\")");
/* 1256 */     ws.addCell((WritableCell)f);
/* 1257 */     l = new Label(3, 16, "HYPERLINK(\"http://www.andykhan.com/jexcelapi\", \"JExcelApi Home Page\")");
/* 1258 */     ws.addCell((WritableCell)l);
/*      */     
/* 1260 */     f = new Formula(2, 17, "3*4+5");
/* 1261 */     ws.addCell((WritableCell)f);
/* 1262 */     l = new Label(3, 17, "3*4+5");
/* 1263 */     ws.addCell((WritableCell)l);
/*      */     
/* 1265 */     f = new Formula(2, 18, "\"Plain text formula\"");
/* 1266 */     ws.addCell((WritableCell)f);
/* 1267 */     l = new Label(3, 18, "Plain text formula");
/* 1268 */     ws.addCell((WritableCell)l);
/*      */     
/* 1270 */     f = new Formula(2, 19, "SUM(a1,a2,-a3,a4)");
/* 1271 */     ws.addCell((WritableCell)f);
/* 1272 */     l = new Label(3, 19, "SUM(a1,a2,-a3,a4)");
/* 1273 */     ws.addCell((WritableCell)l);
/*      */     
/* 1275 */     f = new Formula(2, 20, "2*-(a1+a2)");
/* 1276 */     ws.addCell((WritableCell)f);
/* 1277 */     l = new Label(3, 20, "2*-(a1+a2)");
/* 1278 */     ws.addCell((WritableCell)l);
/*      */     
/* 1280 */     f = new Formula(2, 21, "Number Formats!B1/2");
/* 1281 */     ws.addCell((WritableCell)f);
/* 1282 */     l = new Label(3, 21, "Number Formats!B1/2");
/* 1283 */     ws.addCell((WritableCell)l);
/*      */     
/* 1285 */     f = new Formula(2, 22, "IF(F22=0, 0, F21/F22)");
/* 1286 */     ws.addCell((WritableCell)f);
/* 1287 */     l = new Label(3, 22, "IF(F22=0, 0, F21/F22)");
/* 1288 */     ws.addCell((WritableCell)l);
/*      */     
/* 1290 */     f = new Formula(2, 22, "RAND()");
/* 1291 */     ws.addCell((WritableCell)f);
/* 1292 */     l = new Label(3, 22, "RAND()");
/* 1293 */     ws.addCell((WritableCell)l);
/*      */     
/* 1295 */     StringBuffer buf = new StringBuffer();
/* 1296 */     buf.append("'");
/* 1297 */     buf.append(this.workbook.getSheet(0).getName());
/* 1298 */     buf.append("'!");
/* 1299 */     buf.append(CellReferenceHelper.getCellReference(9, 18));
/* 1300 */     buf.append("*25");
/* 1301 */     f = new Formula(2, 23, buf.toString());
/* 1302 */     ws.addCell((WritableCell)f);
/* 1303 */     l = new Label(3, 23, buf.toString());
/* 1304 */     ws.addCell((WritableCell)l);
/*      */     
/* 1306 */     wcf = new WritableCellFormat(DateFormats.DEFAULT);
/* 1307 */     f = new Formula(2, 24, "NOW()", (CellFormat)wcf);
/* 1308 */     ws.addCell((WritableCell)f);
/* 1309 */     l = new Label(3, 24, "NOW()");
/* 1310 */     ws.addCell((WritableCell)l);
/*      */     
/* 1312 */     f = new Formula(2, 25, "$A$2+A3");
/* 1313 */     ws.addCell((WritableCell)f);
/* 1314 */     l = new Label(3, 25, "$A$2+A3");
/* 1315 */     ws.addCell((WritableCell)l);
/*      */     
/* 1317 */     f = new Formula(2, 26, "IF(COUNT(A1:A9,B1:B9)=0,\"\",COUNT(A1:A9,B1:B9))");
/* 1318 */     ws.addCell((WritableCell)f);
/* 1319 */     l = new Label(3, 26, "IF(COUNT(A1:A9,B1:B9)=0,\"\",COUNT(A1:A9,B1:B9))");
/* 1320 */     ws.addCell((WritableCell)l);
/*      */     
/* 1322 */     f = new Formula(2, 27, "SUM(A1,A2,A3,A4)");
/* 1323 */     ws.addCell((WritableCell)f);
/* 1324 */     l = new Label(3, 27, "SUM(A1,A2,A3,A4)");
/* 1325 */     ws.addCell((WritableCell)l);
/*      */     
/* 1327 */     l = new Label(1, 28, "a1");
/* 1328 */     ws.addCell((WritableCell)l);
/* 1329 */     f = new Formula(2, 28, "SUM(INDIRECT(ADDRESS(2,29)):A4)");
/* 1330 */     ws.addCell((WritableCell)f);
/* 1331 */     l = new Label(3, 28, "SUM(INDIRECT(ADDRESS(2,29):A4)");
/* 1332 */     ws.addCell((WritableCell)l);
/*      */     
/* 1334 */     f = new Formula(2, 29, "COUNTIF(A1:A4, \">=12\")");
/* 1335 */     ws.addCell((WritableCell)f);
/* 1336 */     l = new Label(3, 29, "COUNTIF(A1:A4, \">=12\")");
/* 1337 */     ws.addCell((WritableCell)l);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeImageSheet(WritableSheet ws) throws WriteException {
/* 1365 */     Label l = new Label(0, 0, "Weald & Downland Open Air Museum, Sussex");
/* 1366 */     ws.addCell((WritableCell)l);
/*      */     
/* 1368 */     WritableImage wi = new WritableImage(0.0D, 3.0D, 5.0D, 7.0D, new File("resources/wealdanddownland.png"));
/*      */     
/* 1370 */     ws.addImage(wi);
/*      */     
/* 1372 */     l = new Label(0, 12, "Merchant Adventurers Hall, York");
/* 1373 */     ws.addCell((WritableCell)l);
/*      */     
/* 1375 */     wi = new WritableImage(5.0D, 12.0D, 4.0D, 10.0D, new File("resources/merchantadventurers.png"));
/*      */     
/* 1377 */     ws.addImage(wi);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\demo\Write.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */