/*     */ package jxl.format;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Colour
/*     */ {
/*     */   private int value;
/*     */   private int red;
/*     */   private int green;
/*     */   private int blue;
/*     */   private String string;
/*     */   private boolean initialized;
/*  60 */   private static Colour[] colours = new Colour[0];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Colour(int val, String s, int r, int g, int b) {
/*  73 */     this.value = val;
/*  74 */     this.string = s;
/*  75 */     this.red = r;
/*  76 */     this.green = g;
/*  77 */     this.blue = b;
/*     */     
/*  79 */     Colour[] oldcols = colours;
/*  80 */     colours = new Colour[oldcols.length + 1];
/*  81 */     System.arraycopy(oldcols, 0, colours, 0, oldcols.length);
/*  82 */     colours[oldcols.length] = this;
/*  83 */     this.initialized = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getValue() {
/*  94 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDescription() {
/* 104 */     return this.string;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getDefaultRed() {
/* 115 */     return this.red;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getDefaultGreen() {
/* 126 */     return this.green;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getDefaultBlue() {
/* 137 */     return this.blue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Colour getInternalColour(int val) {
/* 148 */     for (int i = 0; i < colours.length; i++) {
/*     */       
/* 150 */       if (colours[i].getValue() == val)
/*     */       {
/* 152 */         return colours[i];
/*     */       }
/*     */     } 
/*     */     
/* 156 */     return UNKNOWN;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Colour[] getAllColours() {
/* 166 */     return colours;
/*     */   }
/*     */ 
/*     */   
/* 170 */   public static final Colour UNKNOWN = new Colour(32750, "unknown", 0, 0, 0);
/*     */   
/* 172 */   public static final Colour BLACK = new Colour(32767, "black", 0, 0, 0);
/*     */   
/* 174 */   public static final Colour WHITE = new Colour(9, "white", 255, 255, 255);
/*     */   
/* 176 */   public static final Colour DEFAULT_BACKGROUND1 = new Colour(0, "default background", 255, 255, 255);
/*     */   
/* 178 */   public static final Colour DEFAULT_BACKGROUND = new Colour(192, "default background", 255, 255, 255);
/*     */   
/* 180 */   public static final Colour PALETTE_BLACK = new Colour(8, "black", 1, 0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 185 */   public static final Colour RED = new Colour(10, "red", 255, 0, 0);
/* 186 */   public static final Colour BRIGHT_GREEN = new Colour(11, "bright green", 0, 255, 0);
/* 187 */   public static final Colour BLUE = new Colour(12, "blue", 0, 0, 255), YELLOW = new Colour(13, "yellow", 255, 255, 0);
/* 188 */   public static final Colour PINK = new Colour(14, "pink", 255, 0, 255);
/* 189 */   public static final Colour TURQUOISE = new Colour(15, "turquoise", 0, 255, 255);
/* 190 */   public static final Colour DARK_RED = new Colour(16, "dark red", 128, 0, 0);
/* 191 */   public static final Colour GREEN = new Colour(17, "green", 0, 128, 0);
/* 192 */   public static final Colour DARK_BLUE = new Colour(18, "dark blue", 0, 0, 128);
/* 193 */   public static final Colour DARK_YELLOW = new Colour(19, "dark yellow", 128, 128, 0);
/* 194 */   public static final Colour VIOLET = new Colour(20, "violet", 128, 128, 0);
/* 195 */   public static final Colour TEAL = new Colour(21, "teal", 0, 128, 128);
/* 196 */   public static final Colour GREY_25_PERCENT = new Colour(22, "grey 25%", 192, 192, 192);
/* 197 */   public static final Colour GREY_50_PERCENT = new Colour(23, "grey 50%", 128, 128, 128);
/* 198 */   public static final Colour PERIWINKLE = new Colour(24, "periwinkle%", 153, 153, 255);
/* 199 */   public static final Colour PLUM2 = new Colour(25, "plum", 153, 51, 102);
/* 200 */   public static final Colour IVORY = new Colour(26, "ivory", 255, 255, 204);
/* 201 */   public static final Colour LIGHT_TURQUOISE2 = new Colour(27, "light turquoise", 204, 255, 255);
/* 202 */   public static final Colour DARK_PURPLE = new Colour(28, "dark purple", 102, 0, 102);
/* 203 */   public static final Colour CORAL = new Colour(29, "coral", 255, 128, 128);
/* 204 */   public static final Colour OCEAN_BLUE = new Colour(30, "ocean blue", 0, 102, 204);
/* 205 */   public static final Colour ICE_BLUE = new Colour(31, "ice blue", 204, 204, 255);
/* 206 */   public static final Colour DARK_BLUE2 = new Colour(32, "dark blue", 0, 0, 128);
/* 207 */   public static final Colour PINK2 = new Colour(33, "pink", 255, 0, 255);
/* 208 */   public static final Colour YELLOW2 = new Colour(34, "yellow", 255, 255, 0);
/* 209 */   public static final Colour TURQOISE2 = new Colour(35, "turqoise", 0, 255, 255);
/* 210 */   public static final Colour VIOLET2 = new Colour(36, "violet", 128, 0, 128);
/* 211 */   public static final Colour DARK_RED2 = new Colour(37, "dark red", 128, 0, 0);
/* 212 */   public static final Colour TEAL2 = new Colour(38, "teal", 0, 128, 128);
/* 213 */   public static final Colour BLUE2 = new Colour(39, "blue", 0, 0, 255);
/* 214 */   public static final Colour SKY_BLUE = new Colour(40, "sky blue", 0, 204, 255);
/* 215 */   public static final Colour LIGHT_TURQUOISE = new Colour(41, "light turquoise", 204, 255, 255);
/*     */   
/* 217 */   public static final Colour LIGHT_GREEN = new Colour(42, "light green", 204, 255, 204);
/* 218 */   public static final Colour VERY_LIGHT_YELLOW = new Colour(43, "very light yellow", 255, 255, 153);
/*     */   
/* 220 */   public static final Colour PALE_BLUE = new Colour(44, "pale blue", 153, 204, 255);
/* 221 */   public static final Colour ROSE = new Colour(45, "rose", 255, 153, 204);
/* 222 */   public static final Colour LAVENDER = new Colour(46, "lavender", 204, 153, 255);
/* 223 */   public static final Colour TAN = new Colour(47, "tan", 255, 204, 153);
/* 224 */   public static final Colour LIGHT_BLUE = new Colour(48, "light blue", 51, 102, 255);
/* 225 */   public static final Colour AQUA = new Colour(49, "aqua", 51, 204, 204);
/* 226 */   public static final Colour LIME = new Colour(50, "lime", 153, 204, 0);
/* 227 */   public static final Colour GOLD = new Colour(51, "gold", 255, 204, 0);
/* 228 */   public static final Colour LIGHT_ORANGE = new Colour(52, "light orange", 255, 153, 0);
/*     */   
/* 230 */   public static final Colour ORANGE = new Colour(53, "orange", 255, 102, 0);
/* 231 */   public static final Colour BLUE_GREY = new Colour(54, "blue grey", 102, 102, 204);
/* 232 */   public static final Colour GREY_40_PERCENT = new Colour(55, "grey 40%", 150, 150, 150);
/* 233 */   public static final Colour DARK_TEAL = new Colour(56, "dark teal", 0, 51, 102);
/* 234 */   public static final Colour SEA_GREEN = new Colour(57, "sea green", 51, 153, 102);
/* 235 */   public static final Colour DARK_GREEN = new Colour(58, "dark green", 0, 51, 0);
/* 236 */   public static final Colour OLIVE_GREEN = new Colour(59, "olive green", 51, 51, 0);
/* 237 */   public static final Colour BROWN = new Colour(60, "brown", 153, 51, 0);
/* 238 */   public static final Colour PLUM = new Colour(61, "plum", 153, 51, 102);
/* 239 */   public static final Colour INDIGO = new Colour(62, "indigo", 51, 51, 153);
/* 240 */   public static final Colour GREY_80_PERCENT = new Colour(63, "grey 80%", 51, 51, 51);
/*     */ 
/*     */   
/* 243 */   public static final Colour GRAY_80 = GREY_80_PERCENT;
/* 244 */   public static final Colour GRAY_50 = GREY_50_PERCENT;
/* 245 */   public static final Colour GRAY_25 = GREY_25_PERCENT;
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\format\Colour.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */