/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Logger;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.BaseCompoundFile;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class CompoundFile
/*     */   extends BaseCompoundFile
/*     */ {
/*  40 */   private static Logger logger = Logger.getLogger(CompoundFile.class);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] data;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int numBigBlockDepotBlocks;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int sbdStartBlock;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int rootStartBlock;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int extensionBlock;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int numExtensionBlocks;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] rootEntry;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int[] bigBlockChain;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int[] smallBlockChain;
/*     */ 
/*     */ 
/*     */   
/*     */   private int[] bigBlockDepotBlocks;
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList propertySets;
/*     */ 
/*     */ 
/*     */   
/*     */   private WorkbookSettings settings;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CompoundFile(byte[] d, WorkbookSettings ws) throws BiffException {
/* 103 */     this.data = d;
/* 104 */     this.settings = ws;
/*     */ 
/*     */     
/* 107 */     for (int i = 0; i < IDENTIFIER.length; i++) {
/*     */       
/* 109 */       if (this.data[i] != IDENTIFIER[i])
/*     */       {
/* 111 */         throw new BiffException(BiffException.unrecognizedOLEFile);
/*     */       }
/*     */     } 
/*     */     
/* 115 */     this.propertySets = new ArrayList();
/* 116 */     this.numBigBlockDepotBlocks = IntegerHelper.getInt(this.data[44], this.data[45], this.data[46], this.data[47]);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 121 */     this.sbdStartBlock = IntegerHelper.getInt(this.data[60], this.data[61], this.data[62], this.data[63]);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 126 */     this.rootStartBlock = IntegerHelper.getInt(this.data[48], this.data[49], this.data[50], this.data[51]);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 131 */     this.extensionBlock = IntegerHelper.getInt(this.data[68], this.data[69], this.data[70], this.data[71]);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 136 */     this.numExtensionBlocks = IntegerHelper.getInt(this.data[72], this.data[73], this.data[74], this.data[75]);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 142 */     this.bigBlockDepotBlocks = new int[this.numBigBlockDepotBlocks];
/*     */     
/* 144 */     int pos = 76;
/*     */     
/* 146 */     int bbdBlocks = this.numBigBlockDepotBlocks;
/*     */     
/* 148 */     if (this.numExtensionBlocks != 0)
/*     */     {
/* 150 */       bbdBlocks = 109;
/*     */     }
/*     */     
/* 153 */     for (int k = 0; k < bbdBlocks; k++) {
/*     */       
/* 155 */       this.bigBlockDepotBlocks[k] = IntegerHelper.getInt(d[pos], d[pos + 1], d[pos + 2], d[pos + 3]);
/*     */       
/* 157 */       pos += 4;
/*     */     } 
/*     */     
/* 160 */     for (int j = 0; j < this.numExtensionBlocks; j++) {
/*     */       
/* 162 */       pos = (this.extensionBlock + 1) * 512;
/* 163 */       int blocksToRead = Math.min(this.numBigBlockDepotBlocks - bbdBlocks, 127);
/*     */ 
/*     */       
/* 166 */       for (int m = bbdBlocks; m < bbdBlocks + blocksToRead; m++) {
/*     */         
/* 168 */         this.bigBlockDepotBlocks[m] = IntegerHelper.getInt(d[pos], d[pos + 1], d[pos + 2], d[pos + 3]);
/*     */         
/* 170 */         pos += 4;
/*     */       } 
/*     */       
/* 173 */       bbdBlocks += blocksToRead;
/* 174 */       if (bbdBlocks < this.numBigBlockDepotBlocks)
/*     */       {
/* 176 */         this.extensionBlock = IntegerHelper.getInt(d[pos], d[pos + 1], d[pos + 2], d[pos + 3]);
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 181 */     readBigBlockDepot();
/* 182 */     readSmallBlockDepot();
/*     */     
/* 184 */     this.rootEntry = readData(this.rootStartBlock);
/* 185 */     readPropertySets();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readBigBlockDepot() {
/* 193 */     int pos = 0;
/* 194 */     int index = 0;
/* 195 */     this.bigBlockChain = new int[this.numBigBlockDepotBlocks * 512 / 4];
/*     */     
/* 197 */     for (int i = 0; i < this.numBigBlockDepotBlocks; i++) {
/*     */       
/* 199 */       pos = (this.bigBlockDepotBlocks[i] + 1) * 512;
/*     */       
/* 201 */       for (int j = 0; j < 128; j++) {
/*     */         
/* 203 */         this.bigBlockChain[index] = IntegerHelper.getInt(this.data[pos], this.data[pos + 1], this.data[pos + 2], this.data[pos + 3]);
/*     */         
/* 205 */         pos += 4;
/* 206 */         index++;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readSmallBlockDepot() {
/* 216 */     int pos = 0;
/* 217 */     int index = 0;
/* 218 */     int sbdBlock = this.sbdStartBlock;
/* 219 */     this.smallBlockChain = new int[0];
/*     */     
/* 221 */     while (sbdBlock != -2) {
/*     */ 
/*     */       
/* 224 */       int[] oldChain = this.smallBlockChain;
/* 225 */       this.smallBlockChain = new int[this.smallBlockChain.length + 128];
/* 226 */       System.arraycopy(oldChain, 0, this.smallBlockChain, 0, oldChain.length);
/*     */       
/* 228 */       pos = (sbdBlock + 1) * 512;
/*     */       
/* 230 */       for (int j = 0; j < 128; j++) {
/*     */         
/* 232 */         this.smallBlockChain[index] = IntegerHelper.getInt(this.data[pos], this.data[pos + 1], this.data[pos + 2], this.data[pos + 3]);
/*     */         
/* 234 */         pos += 4;
/* 235 */         index++;
/*     */       } 
/*     */       
/* 238 */       sbdBlock = this.bigBlockChain[sbdBlock];
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readPropertySets() {
/* 247 */     int offset = 0;
/* 248 */     byte[] d = null;
/*     */     
/* 250 */     while (offset < this.rootEntry.length) {
/*     */       
/* 252 */       d = new byte[128];
/* 253 */       System.arraycopy(this.rootEntry, offset, d, 0, d.length);
/* 254 */       BaseCompoundFile.PropertyStorage ps = new BaseCompoundFile.PropertyStorage(this, d);
/* 255 */       this.propertySets.add(ps);
/* 256 */       offset += 128;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getStream(String streamName) throws BiffException {
/* 269 */     BaseCompoundFile.PropertyStorage ps = getPropertyStorage(streamName);
/*     */     
/* 271 */     if (ps.size >= 4096 || streamName.equalsIgnoreCase("root entry"))
/*     */     {
/*     */       
/* 274 */       return getBigBlockStream(ps);
/*     */     }
/*     */ 
/*     */     
/* 278 */     return getSmallBlockStream(ps);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BaseCompoundFile.PropertyStorage getPropertyStorage(String name) throws BiffException {
/* 292 */     Iterator i = this.propertySets.iterator();
/* 293 */     boolean found = false;
/* 294 */     BaseCompoundFile.PropertyStorage ps = null;
/* 295 */     while (!found && i.hasNext()) {
/*     */       
/* 297 */       ps = i.next();
/* 298 */       if (ps.name.equalsIgnoreCase(name))
/*     */       {
/* 300 */         found = true;
/*     */       }
/*     */     } 
/*     */     
/* 304 */     if (!found)
/*     */     {
/* 306 */       throw new BiffException(BiffException.streamNotFound);
/*     */     }
/*     */     
/* 309 */     return ps;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getBigBlockStream(BaseCompoundFile.PropertyStorage ps) {
/* 320 */     int numBlocks = ps.size / 512;
/* 321 */     if (ps.size % 512 != 0)
/*     */     {
/* 323 */       numBlocks++;
/*     */     }
/*     */     
/* 326 */     byte[] streamData = new byte[numBlocks * 512];
/*     */     
/* 328 */     int block = ps.startBlock;
/*     */     
/* 330 */     int count = 0;
/* 331 */     int pos = 0;
/* 332 */     while (block != -2 && count < numBlocks) {
/*     */       
/* 334 */       pos = (block + 1) * 512;
/* 335 */       System.arraycopy(this.data, pos, streamData, count * 512, 512);
/*     */       
/* 337 */       count++;
/* 338 */       block = this.bigBlockChain[block];
/*     */     } 
/*     */     
/* 341 */     if (block != -2 && count == numBlocks)
/*     */     {
/* 343 */       logger.warn("Property storage size inconsistent with block chain.");
/*     */     }
/*     */     
/* 346 */     return streamData;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getSmallBlockStream(BaseCompoundFile.PropertyStorage ps) throws BiffException {
/* 358 */     BaseCompoundFile.PropertyStorage rootps = null;
/*     */     
/*     */     try {
/* 361 */       rootps = getPropertyStorage("root entry");
/*     */     }
/* 363 */     catch (BiffException e) {
/*     */       
/* 365 */       rootps = this.propertySets.get(0);
/*     */     } 
/*     */     
/* 368 */     byte[] rootdata = readData(rootps.startBlock);
/* 369 */     byte[] sbdata = new byte[0];
/*     */     
/* 371 */     int block = ps.startBlock;
/* 372 */     int count = 0;
/* 373 */     int pos = 0;
/* 374 */     while (block != -2) {
/*     */ 
/*     */       
/* 377 */       byte[] olddata = sbdata;
/* 378 */       sbdata = new byte[olddata.length + 64];
/* 379 */       System.arraycopy(olddata, 0, sbdata, 0, olddata.length);
/*     */ 
/*     */       
/* 382 */       pos = block * 64;
/* 383 */       System.arraycopy(rootdata, pos, sbdata, olddata.length, 64);
/*     */       
/* 385 */       block = this.smallBlockChain[block];
/*     */     } 
/*     */     
/* 388 */     return sbdata;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] readData(int bl) {
/* 399 */     int block = bl;
/* 400 */     int pos = 0;
/* 401 */     byte[] entry = new byte[0];
/*     */     
/* 403 */     while (block != -2) {
/*     */ 
/*     */       
/* 406 */       byte[] oldEntry = entry;
/* 407 */       entry = new byte[oldEntry.length + 512];
/* 408 */       System.arraycopy(oldEntry, 0, entry, 0, oldEntry.length);
/* 409 */       pos = (block + 1) * 512;
/* 410 */       System.arraycopy(this.data, pos, entry, oldEntry.length, 512);
/*     */       
/* 412 */       block = this.bigBlockChain[block];
/*     */     } 
/* 414 */     return entry;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String[] getPropertySetNames() {
/* 423 */     String[] sets = new String[this.propertySets.size()];
/* 424 */     for (int i = 0; i < sets.length; i++) {
/*     */       
/* 426 */       BaseCompoundFile.PropertyStorage ps = this.propertySets.get(i);
/* 427 */       sets[i] = ps.name;
/*     */     } 
/*     */     
/* 430 */     return sets;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\CompoundFile.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */