/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.text.DateFormat;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.Date;
/*     */ import java.util.TimeZone;
/*     */ import jxl.CellType;
/*     */ import jxl.DateCell;
/*     */ import jxl.NumberCell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.format.CellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class DateRecord
/*     */   implements DateCell
/*     */ {
/*     */   private Date date;
/*     */   private int row;
/*     */   private int column;
/*     */   private boolean time;
/*     */   private DateFormat format;
/*     */   private CellFormat cellFormat;
/*     */   private int xfIndex;
/*     */   private FormattingRecords formattingRecords;
/*     */   private SheetImpl sheet;
/*     */   private boolean initialized;
/*  90 */   private static final SimpleDateFormat dateFormat = new SimpleDateFormat("dd MMM yyyy");
/*     */ 
/*     */   
/*  93 */   private static final SimpleDateFormat timeFormat = new SimpleDateFormat("HH:mm:ss");
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int nonLeapDay = 61;
/*     */ 
/*     */ 
/*     */   
/* 102 */   private static final TimeZone gmtZone = TimeZone.getTimeZone("GMT");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int utcOffsetDays = 25569;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int utcOffsetDays1904 = 24107;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final long msInADay = 86400000L;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateRecord(NumberCell num, int xfi, FormattingRecords fr, boolean nf, SheetImpl si) {
/* 128 */     this.row = num.getRow();
/* 129 */     this.column = num.getColumn();
/* 130 */     this.xfIndex = xfi;
/* 131 */     this.formattingRecords = fr;
/* 132 */     this.sheet = si;
/* 133 */     this.initialized = false;
/*     */     
/* 135 */     this.format = this.formattingRecords.getDateFormat(this.xfIndex);
/*     */ 
/*     */     
/* 138 */     double numValue = num.getValue();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 144 */     if (!nf && numValue < 61.0D)
/*     */     {
/* 146 */       numValue++;
/*     */     }
/*     */     
/* 149 */     if (Math.abs(numValue) < 1.0D) {
/*     */       
/* 151 */       if (this.format == null)
/*     */       {
/* 153 */         this.format = timeFormat;
/*     */       }
/* 155 */       this.time = true;
/*     */     }
/*     */     else {
/*     */       
/* 159 */       if (this.format == null)
/*     */       {
/* 161 */         this.format = dateFormat;
/*     */       }
/* 163 */       this.time = false;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 168 */     this.format.setTimeZone(gmtZone);
/*     */ 
/*     */     
/* 171 */     int offsetDays = nf ? 24107 : 25569;
/* 172 */     double utcDays = numValue - offsetDays;
/*     */ 
/*     */ 
/*     */     
/* 176 */     long utcValue = Math.round(utcDays * 8.64E7D);
/*     */     
/* 178 */     this.date = new Date(utcValue);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getRow() {
/* 188 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getColumn() {
/* 198 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Date getDate() {
/* 208 */     return this.date;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 219 */     return this.format.format(this.date);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 229 */     return CellType.DATE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTime() {
/* 240 */     return this.time;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateFormat getDateFormat() {
/* 253 */     Assert.verify((this.format != null));
/*     */     
/* 255 */     return this.format;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellFormat getCellFormat() {
/* 266 */     if (!this.initialized) {
/*     */       
/* 268 */       this.cellFormat = (CellFormat)this.formattingRecords.getXFRecord(this.xfIndex);
/* 269 */       this.initialized = true;
/*     */     } 
/*     */     
/* 272 */     return this.cellFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 282 */     ColumnInfoRecord cir = this.sheet.getColumnInfo(this.column);
/*     */     
/* 284 */     if (cir != null && cir.getWidth() == 0)
/*     */     {
/* 286 */       return true;
/*     */     }
/*     */     
/* 289 */     RowRecord rr = this.sheet.getRowInfo(this.row);
/*     */     
/* 291 */     if (rr != null && (rr.getRowHeight() == 0 || rr.isCollapsed()))
/*     */     {
/* 293 */       return true;
/*     */     }
/*     */     
/* 296 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final SheetImpl getSheet() {
/* 306 */     return this.sheet;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\DateRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */