/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.InterruptedIOException;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class File
/*     */ {
/*     */   private byte[] data;
/*     */   private int filePos;
/*     */   private int oldPos;
/*     */   private int initialFileSize;
/*     */   private int arrayGrowSize;
/*     */   private WorkbookSettings workbookSettings;
/*     */   
/*     */   public File(InputStream is, WorkbookSettings ws) throws IOException, BiffException {
/*  72 */     this.workbookSettings = ws;
/*  73 */     this.initialFileSize = this.workbookSettings.getInitialFileSize();
/*  74 */     this.arrayGrowSize = this.workbookSettings.getArrayGrowSize();
/*     */     
/*  76 */     byte[] d = new byte[this.initialFileSize];
/*  77 */     int bytesRead = is.read(d);
/*  78 */     int pos = bytesRead;
/*     */ 
/*     */ 
/*     */     
/*  82 */     if (Thread.currentThread().isInterrupted())
/*     */     {
/*  84 */       throw new InterruptedIOException();
/*     */     }
/*     */     
/*  87 */     while (bytesRead != -1) {
/*     */       
/*  89 */       if (pos >= d.length) {
/*     */ 
/*     */         
/*  92 */         byte[] newArray = new byte[d.length + this.arrayGrowSize];
/*  93 */         System.arraycopy(d, 0, newArray, 0, d.length);
/*  94 */         d = newArray;
/*     */       } 
/*  96 */       bytesRead = is.read(d, pos, d.length - pos);
/*  97 */       pos += bytesRead;
/*     */       
/*  99 */       if (Thread.currentThread().isInterrupted())
/*     */       {
/* 101 */         throw new InterruptedIOException();
/*     */       }
/*     */     } 
/*     */     
/* 105 */     bytesRead = pos + 1;
/*     */ 
/*     */     
/* 108 */     if (bytesRead == 0)
/*     */     {
/* 110 */       throw new BiffException(BiffException.excelFileNotFound);
/*     */     }
/*     */     
/* 113 */     CompoundFile cf = new CompoundFile(d, ws);
/*     */     
/*     */     try {
/* 116 */       this.data = cf.getStream("workbook");
/*     */     }
/* 118 */     catch (BiffException e) {
/*     */ 
/*     */       
/* 121 */       this.data = cf.getStream("book");
/*     */     } 
/* 123 */     cf = null;
/*     */     
/* 125 */     if (!this.workbookSettings.getGCDisabled())
/*     */     {
/* 127 */       System.gc();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Record next() {
/* 146 */     Record r = new Record(this.data, this.filePos, this);
/* 147 */     return r;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Record peek() {
/* 157 */     int tempPos = this.filePos;
/* 158 */     Record r = new Record(this.data, this.filePos, this);
/* 159 */     this.filePos = tempPos;
/* 160 */     return r;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void skip(int bytes) {
/* 170 */     this.filePos += bytes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] read(int pos, int length) {
/* 182 */     byte[] ret = new byte[length];
/* 183 */     System.arraycopy(this.data, pos, ret, 0, length);
/* 184 */     return ret;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPos() {
/* 194 */     return this.filePos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPos(int p) {
/* 210 */     this.oldPos = this.filePos;
/* 211 */     this.filePos = p;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void restorePos() {
/* 222 */     this.filePos = this.oldPos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void moveToFirstBof() {
/* 230 */     boolean bofFound = false;
/* 231 */     while (!bofFound) {
/*     */       
/* 233 */       int code = IntegerHelper.getInt(this.data[this.filePos], this.data[this.filePos + 1]);
/* 234 */       if (code == Type.BOF.value) {
/*     */         
/* 236 */         bofFound = true;
/*     */         
/*     */         continue;
/*     */       } 
/* 240 */       skip(128);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void clear() {
/* 259 */     this.data = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean hasNext() {
/* 270 */     return (this.filePos < this.data.length - 4);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\File.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */