/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.CellType;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.DoubleHelper;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class FormulaRecord
/*     */   extends CellValue
/*     */ {
/*     */   private CellValue formula;
/*     */   private boolean shared;
/*     */   
/*     */   private static class IgnoreSharedFormula
/*     */   {
/*     */     private IgnoreSharedFormula() {}
/*     */   }
/*     */   
/*  53 */   public static final IgnoreSharedFormula ignoreSharedFormula = new IgnoreSharedFormula();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormulaRecord(Record t, File excelFile, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si, WorkbookSettings ws) {
/*  77 */     super(t, fr, si);
/*  78 */     byte[] data = getRecord().getData();
/*     */     
/*  80 */     this.shared = false;
/*     */ 
/*     */     
/*  83 */     int grbit = IntegerHelper.getInt(data[14], data[15]);
/*  84 */     if ((grbit & 0x8) != 0) {
/*     */       
/*  86 */       this.shared = true;
/*     */       
/*  88 */       if (data[6] == 0 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */         
/*  91 */         this.formula = new SharedStringFormulaRecord(t, excelFile, fr, es, nt, si, ws);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/*  97 */         double value = DoubleHelper.getIEEEDouble(data, 6);
/*  98 */         this.formula = new SharedNumberFormulaRecord(t, excelFile, value, fr, es, nt, si);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */ 
/*     */     
/* 107 */     if (data[6] == 0 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */       
/* 110 */       this.formula = new StringFormulaRecord(t, excelFile, fr, es, nt, si, ws);
/*     */     }
/* 112 */     else if (data[6] == 1 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 118 */       this.formula = new BooleanFormulaRecord(t, fr, es, nt, si);
/*     */     }
/* 120 */     else if (data[6] == 2 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 125 */       this.formula = new ErrorFormulaRecord(t, fr, es, nt, si);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 130 */       this.formula = new NumberFormulaRecord(t, fr, es, nt, si);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormulaRecord(Record t, File excelFile, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, IgnoreSharedFormula i, SheetImpl si, WorkbookSettings ws) {
/* 158 */     super(t, fr, si);
/* 159 */     byte[] data = getRecord().getData();
/*     */     
/* 161 */     this.shared = false;
/*     */ 
/*     */ 
/*     */     
/* 165 */     if (data[6] == 0 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */       
/* 168 */       this.formula = new StringFormulaRecord(t, excelFile, fr, es, nt, si, ws);
/*     */     }
/* 170 */     else if (data[6] == 1 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 176 */       this.formula = new BooleanFormulaRecord(t, fr, es, nt, si);
/*     */     }
/* 178 */     else if (data[6] == 2 && data[12] == -1 && data[13] == -1) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 183 */       this.formula = new ErrorFormulaRecord(t, fr, es, nt, si);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 188 */       this.formula = new NumberFormulaRecord(t, fr, es, nt, si);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 199 */     Assert.verify(false);
/* 200 */     return "";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 210 */     Assert.verify(false);
/* 211 */     return CellType.EMPTY;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final CellValue getFormula() {
/* 221 */     return this.formula;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final boolean isShared() {
/* 232 */     return this.shared;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\FormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */