/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Logger;
/*     */ import java.io.File;
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import jxl.CellReferenceHelper;
/*     */ import jxl.Hyperlink;
/*     */ import jxl.Range;
/*     */ import jxl.Sheet;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.RecordData;
/*     */ import jxl.biff.SheetRangeImpl;
/*     */ import jxl.biff.StringHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HyperlinkRecord
/*     */   extends RecordData
/*     */   implements Hyperlink
/*     */ {
/*  47 */   private static Logger logger = Logger.getLogger(HyperlinkRecord.class);
/*     */ 
/*     */ 
/*     */   
/*     */   private int firstRow;
/*     */ 
/*     */ 
/*     */   
/*     */   private int lastRow;
/*     */ 
/*     */ 
/*     */   
/*     */   private int firstColumn;
/*     */ 
/*     */ 
/*     */   
/*     */   private int lastColumn;
/*     */ 
/*     */ 
/*     */   
/*     */   private URL url;
/*     */ 
/*     */ 
/*     */   
/*     */   private File file;
/*     */ 
/*     */ 
/*     */   
/*     */   private String location;
/*     */ 
/*     */ 
/*     */   
/*     */   private SheetRangeImpl range;
/*     */ 
/*     */ 
/*     */   
/*     */   private LinkType linkType;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static class LinkType
/*     */   {
/*     */     private LinkType() {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   private static final LinkType urlLink = new LinkType();
/*  97 */   private static final LinkType fileLink = new LinkType();
/*  98 */   private static final LinkType workbookLink = new LinkType();
/*  99 */   private static final LinkType unknown = new LinkType();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   HyperlinkRecord(Record t, Sheet s, WorkbookSettings ws) {
/* 110 */     super(t);
/*     */     
/* 112 */     this.linkType = unknown;
/*     */     
/* 114 */     byte[] data = getRecord().getData();
/*     */ 
/*     */     
/* 117 */     this.firstRow = IntegerHelper.getInt(data[0], data[1]);
/* 118 */     this.lastRow = IntegerHelper.getInt(data[2], data[3]);
/* 119 */     this.firstColumn = IntegerHelper.getInt(data[4], data[5]);
/* 120 */     this.lastColumn = IntegerHelper.getInt(data[6], data[7]);
/* 121 */     this.range = new SheetRangeImpl(s, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 126 */     if ((data[28] & 0x3) == 3) {
/*     */       
/* 128 */       this.linkType = urlLink;
/* 129 */       boolean description = ((data[28] & 0x14) != 0);
/*     */       
/* 131 */       String urlString = null;
/*     */       
/*     */       try {
/* 134 */         int startpos = 32;
/* 135 */         if (description) {
/*     */           
/* 137 */           int descbytes = IntegerHelper.getInt(data[startpos], data[startpos + 1], data[startpos + 2], data[startpos + 3]);
/*     */ 
/*     */           
/* 140 */           startpos += descbytes * 2 + 4;
/*     */         } 
/*     */         
/* 143 */         startpos += 16;
/*     */ 
/*     */         
/* 146 */         int bytes = IntegerHelper.getInt(data[startpos], data[startpos + 1], data[startpos + 2], data[startpos + 3]);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 151 */         urlString = StringHelper.getUnicodeString(data, bytes / 2 - 1, startpos + 4);
/*     */         
/* 153 */         this.url = new URL(urlString);
/*     */       }
/* 155 */       catch (MalformedURLException e) {
/*     */         
/* 157 */         logger.warn("URL " + urlString + " is malformed.  Using default.");
/*     */ 
/*     */ 
/*     */         
/*     */         try {
/* 162 */           this.url = new URL("http://www.andykhan.com/jexcelapi/index.html");
/*     */         }
/* 164 */         catch (MalformedURLException e2) {}
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 169 */       catch (Throwable e) {
/*     */         
/* 171 */         StringBuffer sb1 = new StringBuffer();
/* 172 */         StringBuffer sb2 = new StringBuffer();
/* 173 */         CellReferenceHelper.getCellReference(this.firstColumn, this.firstRow, sb1);
/* 174 */         CellReferenceHelper.getCellReference(this.lastColumn, this.lastRow, sb2);
/* 175 */         sb1.insert(0, "Exception when parsing URL ");
/* 176 */         sb1.append('"').append(sb2.toString()).append("\".  Using default.");
/* 177 */         logger.warn(sb1, e);
/*     */ 
/*     */ 
/*     */         
/*     */         try {
/* 182 */           this.url = new URL("http://www.andykhan.com/jexcelapi/index.html");
/*     */         }
/* 184 */         catch (MalformedURLException e2) {}
/*     */       
/*     */       }
/*     */ 
/*     */     
/*     */     }
/* 190 */     else if ((data[28] & 0x1) != 0) {
/*     */       
/* 192 */       this.linkType = fileLink;
/* 193 */       boolean description = ((data[28] & 0x14) != 0);
/*     */ 
/*     */       
/*     */       try {
/* 197 */         int startpos = 48;
/*     */ 
/*     */ 
/*     */         
/* 201 */         int upLevelCount = IntegerHelper.getInt(data[startpos], data[startpos + 1]);
/*     */         
/* 203 */         int chars = IntegerHelper.getInt(data[startpos + 2], data[startpos + 3], data[startpos + 4], data[startpos + 5]);
/*     */ 
/*     */ 
/*     */         
/* 207 */         String fileName = StringHelper.getString(data, chars - 1, startpos + 6, ws);
/*     */ 
/*     */         
/* 210 */         StringBuffer sb = new StringBuffer();
/*     */         
/* 212 */         for (int i = 0; i < upLevelCount; i++)
/*     */         {
/* 214 */           sb.append("..\\");
/*     */         }
/*     */         
/* 217 */         sb.append(fileName);
/*     */         
/* 219 */         this.file = new File(sb.toString());
/*     */       }
/* 221 */       catch (Throwable e) {
/*     */         
/* 223 */         logger.warn("Exception when parsing file " + e.getClass().getName() + ".");
/* 224 */         this.file = new File(".");
/*     */       }
/*     */     
/* 227 */     } else if ((data[28] | 0x8) != 0) {
/*     */       
/* 229 */       this.linkType = workbookLink;
/*     */       
/* 231 */       int chars = IntegerHelper.getInt(data[32], data[33], data[34], data[35]);
/* 232 */       this.location = StringHelper.getUnicodeString(data, chars - 1, 36);
/*     */     } else {
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFile() {
/* 248 */     return (this.linkType == fileLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isURL() {
/* 258 */     return (this.linkType == urlLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLocation() {
/* 268 */     return (this.linkType == workbookLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRow() {
/* 278 */     return this.firstRow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 288 */     return this.firstColumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastRow() {
/* 298 */     return this.lastRow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastColumn() {
/* 308 */     return this.lastColumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public URL getURL() {
/* 318 */     return this.url;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public File getFile() {
/* 328 */     return this.file;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Record getRecord() {
/* 338 */     return super.getRecord();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Range getRange() {
/* 350 */     return (Range)this.range;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getLocation() {
/* 360 */     return this.location;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\HyperlinkRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */