/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import common.Logger;
/*     */ import java.util.ArrayList;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.RecordData;
/*     */ import jxl.biff.StringHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NameRecord
/*     */   extends RecordData
/*     */ {
/*  42 */   private static Logger logger = Logger.getLogger(NameRecord.class);
/*     */ 
/*     */   
/*     */   private String name;
/*     */ 
/*     */   
/*     */   private int index;
/*     */ 
/*     */ 
/*     */   
/*     */   private static class Biff7
/*     */   {
/*     */     private Biff7() {}
/*     */   }
/*     */ 
/*     */   
/*  58 */   public static Biff7 biff7 = new Biff7();
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int cellReference = 58;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int areaReference = 59;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int subExpression = 41;
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int union = 16;
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList ranges;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class NameRange
/*     */   {
/*     */     private int columnFirst;
/*     */ 
/*     */ 
/*     */     
/*     */     private int rowFirst;
/*     */ 
/*     */ 
/*     */     
/*     */     private int columnLast;
/*     */ 
/*     */ 
/*     */     
/*     */     private int rowLast;
/*     */ 
/*     */ 
/*     */     
/*     */     private int sheetFirst;
/*     */ 
/*     */     
/*     */     private int sheetLast;
/*     */ 
/*     */     
/*     */     private final NameRecord this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     NameRange(NameRecord this$0, int s1, int c1, int r1, int s2, int c2, int r2) {
/* 112 */       this.this$0 = this$0;
/* 113 */       this.columnFirst = c1;
/* 114 */       this.rowFirst = r1;
/* 115 */       this.columnLast = c2;
/* 116 */       this.rowLast = r2;
/* 117 */       this.sheetFirst = s1;
/* 118 */       this.sheetLast = s2;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getFirstColumn() {
/* 128 */       return this.columnFirst;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getFirstRow() {
/* 138 */       return this.rowFirst;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getLastColumn() {
/* 148 */       return this.columnLast;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getLastRow() {
/* 158 */       return this.rowLast;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getFirstSheet() {
/* 168 */       return this.sheetFirst;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getLastSheet() {
/* 178 */       return this.sheetLast;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   NameRecord(Record t, WorkbookSettings ws, int ind) {
/* 196 */     super(t);
/* 197 */     this.index = ind;
/*     */ 
/*     */     
/*     */     try {
/* 201 */       this.ranges = new ArrayList();
/*     */       
/* 203 */       byte[] data = getRecord().getData();
/* 204 */       int length = data[3];
/* 205 */       this.name = StringHelper.getString(data, length, 15, ws);
/* 206 */       int pos = length + 15;
/*     */       
/* 208 */       if (data[pos] == 58) {
/*     */         
/* 210 */         int sheet = IntegerHelper.getInt(data[pos + 1], data[pos + 2]);
/* 211 */         int row = IntegerHelper.getInt(data[pos + 3], data[pos + 4]);
/* 212 */         int columnMask = IntegerHelper.getInt(data[pos + 5], data[pos + 6]);
/* 213 */         int column = columnMask & 0xFF;
/*     */ 
/*     */         
/* 216 */         Assert.verify(((columnMask & 0xC0000) == 0));
/*     */         
/* 218 */         NameRange r = new NameRange(this, sheet, column, row, sheet, column, row);
/* 219 */         this.ranges.add(r);
/*     */       }
/* 221 */       else if (data[pos] == 59) {
/*     */         
/* 223 */         int sheet1 = 0;
/* 224 */         int sheet2 = 0;
/* 225 */         int r1 = 0;
/* 226 */         int columnMask = 0;
/* 227 */         int c1 = 0;
/* 228 */         int r2 = 0;
/* 229 */         int c2 = 0;
/* 230 */         NameRange range = null;
/*     */         
/* 232 */         while (pos < data.length)
/*     */         {
/* 234 */           sheet1 = IntegerHelper.getInt(data[pos + 1], data[pos + 2]);
/* 235 */           r1 = IntegerHelper.getInt(data[pos + 3], data[pos + 4]);
/* 236 */           r2 = IntegerHelper.getInt(data[pos + 5], data[pos + 6]);
/*     */           
/* 238 */           columnMask = IntegerHelper.getInt(data[pos + 7], data[pos + 8]);
/* 239 */           c1 = columnMask & 0xFF;
/*     */ 
/*     */           
/* 242 */           Assert.verify(((columnMask & 0xC0000) == 0));
/*     */           
/* 244 */           columnMask = IntegerHelper.getInt(data[pos + 9], data[pos + 10]);
/* 245 */           c2 = columnMask & 0xFF;
/*     */ 
/*     */           
/* 248 */           Assert.verify(((columnMask & 0xC0000) == 0));
/*     */           
/* 250 */           range = new NameRange(this, sheet1, c1, r1, sheet1, c2, r2);
/* 251 */           this.ranges.add(range);
/*     */           
/* 253 */           pos += 11;
/*     */         }
/*     */       
/* 256 */       } else if (data[pos] == 41) {
/*     */         
/* 258 */         int sheet1 = 0;
/* 259 */         int sheet2 = 0;
/* 260 */         int r1 = 0;
/* 261 */         int columnMask = 0;
/* 262 */         int c1 = 0;
/* 263 */         int r2 = 0;
/* 264 */         int c2 = 0;
/* 265 */         NameRange range = null;
/*     */ 
/*     */         
/* 268 */         if (pos < data.length && data[pos] != 58 && data[pos] != 59)
/*     */         {
/*     */ 
/*     */           
/* 272 */           if (data[pos] == 41) {
/*     */             
/* 274 */             pos += 3;
/*     */           }
/* 276 */           else if (data[pos] == 16) {
/*     */             
/* 278 */             pos++;
/*     */           } 
/*     */         }
/*     */         
/* 282 */         while (pos < data.length) {
/*     */           
/* 284 */           sheet1 = IntegerHelper.getInt(data[pos + 1], data[pos + 2]);
/* 285 */           r1 = IntegerHelper.getInt(data[pos + 3], data[pos + 4]);
/* 286 */           r2 = IntegerHelper.getInt(data[pos + 5], data[pos + 6]);
/*     */           
/* 288 */           columnMask = IntegerHelper.getInt(data[pos + 7], data[pos + 8]);
/* 289 */           c1 = columnMask & 0xFF;
/*     */ 
/*     */           
/* 292 */           Assert.verify(((columnMask & 0xC0000) == 0));
/*     */           
/* 294 */           columnMask = IntegerHelper.getInt(data[pos + 9], data[pos + 10]);
/* 295 */           c2 = columnMask & 0xFF;
/*     */ 
/*     */           
/* 298 */           Assert.verify(((columnMask & 0xC0000) == 0));
/*     */           
/* 300 */           range = new NameRange(this, sheet1, c1, r1, sheet1, c2, r2);
/* 301 */           this.ranges.add(range);
/*     */           
/* 303 */           pos += 11;
/*     */ 
/*     */           
/* 306 */           if (pos < data.length && data[pos] != 58 && data[pos] != 59)
/*     */           {
/*     */ 
/*     */             
/* 310 */             if (data[pos] == 41) {
/*     */               
/* 312 */               pos += 3; continue;
/*     */             } 
/* 314 */             if (data[pos] == 16)
/*     */             {
/* 316 */               pos++;
/*     */             }
/*     */           }
/*     */         
/*     */         } 
/*     */       } 
/* 322 */     } catch (Throwable t1) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 327 */       logger.warn("Cannot read name");
/* 328 */       this.name = "ERROR";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   NameRecord(Record t, WorkbookSettings ws, int ind, Biff7 dummy) {
/* 342 */     super(t);
/* 343 */     this.index = ind;
/*     */     
/*     */     try {
/* 346 */       this.ranges = new ArrayList();
/* 347 */       byte[] data = getRecord().getData();
/* 348 */       int length = data[3];
/* 349 */       this.name = StringHelper.getString(data, length, 14, ws);
/*     */       
/* 351 */       int pos = length + 14;
/*     */       
/* 353 */       if (pos >= data.length) {
/*     */         return;
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 359 */       if (data[pos] == 58) {
/*     */         
/* 361 */         int sheet = IntegerHelper.getInt(data[pos + 11], data[pos + 12]);
/* 362 */         int row = IntegerHelper.getInt(data[pos + 15], data[pos + 16]);
/* 363 */         int column = data[pos + 17];
/*     */         
/* 365 */         NameRange r = new NameRange(this, sheet, column, row, sheet, column, row);
/* 366 */         this.ranges.add(r);
/*     */       }
/* 368 */       else if (data[pos] == 59) {
/*     */         
/* 370 */         int sheet1 = 0;
/* 371 */         int sheet2 = 0;
/* 372 */         int r1 = 0;
/* 373 */         int columnMask = 0;
/* 374 */         int c1 = 0;
/* 375 */         int r2 = 0;
/* 376 */         int c2 = 0;
/* 377 */         NameRange range = null;
/*     */         
/* 379 */         while (pos < data.length)
/*     */         {
/* 381 */           sheet1 = IntegerHelper.getInt(data[pos + 11], data[pos + 12]);
/* 382 */           sheet2 = IntegerHelper.getInt(data[pos + 13], data[pos + 14]);
/* 383 */           r1 = IntegerHelper.getInt(data[pos + 15], data[pos + 16]);
/* 384 */           r2 = IntegerHelper.getInt(data[pos + 17], data[pos + 18]);
/*     */           
/* 386 */           c1 = data[pos + 19];
/* 387 */           c2 = data[pos + 20];
/*     */           
/* 389 */           range = new NameRange(this, sheet1, c1, r1, sheet1, c2, r2);
/* 390 */           this.ranges.add(range);
/*     */           
/* 392 */           pos += 21;
/*     */         }
/*     */       
/* 395 */       } else if (data[pos] == 41) {
/*     */ 
/*     */         
/* 398 */         int sheet1 = 0;
/* 399 */         int sheet2 = 0;
/* 400 */         int r1 = 0;
/* 401 */         int columnMask = 0;
/* 402 */         int c1 = 0;
/* 403 */         int r2 = 0;
/* 404 */         int c2 = 0;
/* 405 */         NameRange range = null;
/*     */ 
/*     */         
/* 408 */         if (pos < data.length && data[pos] != 58 && data[pos] != 59)
/*     */         {
/*     */ 
/*     */           
/* 412 */           if (data[pos] == 41) {
/*     */             
/* 414 */             pos += 3;
/*     */           }
/* 416 */           else if (data[pos] == 16) {
/*     */             
/* 418 */             pos++;
/*     */           } 
/*     */         }
/*     */         
/* 422 */         while (pos < data.length) {
/*     */           
/* 424 */           sheet1 = IntegerHelper.getInt(data[pos + 11], data[pos + 12]);
/* 425 */           sheet2 = IntegerHelper.getInt(data[pos + 13], data[pos + 14]);
/* 426 */           r1 = IntegerHelper.getInt(data[pos + 15], data[pos + 16]);
/* 427 */           r2 = IntegerHelper.getInt(data[pos + 17], data[pos + 18]);
/*     */           
/* 429 */           c1 = data[pos + 19];
/* 430 */           c2 = data[pos + 20];
/*     */           
/* 432 */           range = new NameRange(this, sheet1, c1, r1, sheet1, c2, r2);
/* 433 */           this.ranges.add(range);
/*     */           
/* 435 */           pos += 21;
/*     */ 
/*     */           
/* 438 */           if (pos < data.length && data[pos] != 58 && data[pos] != 59)
/*     */           {
/*     */ 
/*     */             
/* 442 */             if (data[pos] == 41) {
/*     */               
/* 444 */               pos += 3; continue;
/*     */             } 
/* 446 */             if (data[pos] == 16)
/*     */             {
/* 448 */               pos++;
/*     */             }
/*     */           }
/*     */         
/*     */         } 
/*     */       } 
/* 454 */     } catch (Throwable t1) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 459 */       logger.warn("Cannot read name.");
/* 460 */       this.name = "ERROR";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() {
/* 471 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NameRange[] getRanges() {
/* 482 */     Object[] o = this.ranges.toArray();
/* 483 */     NameRange[] nr = new NameRange[o.length];
/*     */     
/* 485 */     for (int i = 0; i < o.length; i++)
/*     */     {
/* 487 */       nr[i] = (NameRange)o[i];
/*     */     }
/*     */     
/* 490 */     return nr;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getIndex() {
/* 500 */     return this.index;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 511 */     return getRecord().getData();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\NameRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */