/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.text.DecimalFormat;
/*     */ import java.text.NumberFormat;
/*     */ import jxl.CellType;
/*     */ import jxl.NumberCell;
/*     */ import jxl.NumberFormulaCell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class NumberFormulaRecord
/*     */   extends CellValue
/*     */   implements NumberCell, FormulaData, NumberFormulaCell
/*     */ {
/*     */   private double value;
/*     */   private NumberFormat format;
/*  55 */   private static final DecimalFormat defaultFormat = new DecimalFormat("#.###");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String formulaString;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ExternalSheet externalSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private WorkbookMethods nameTable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] data;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberFormulaRecord(Record t, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si) {
/*  91 */     super(t, fr, si);
/*     */     
/*  93 */     this.externalSheet = es;
/*  94 */     this.nameTable = nt;
/*  95 */     this.data = getRecord().getData();
/*     */     
/*  97 */     this.format = fr.getNumberFormat(getXFIndex());
/*     */     
/*  99 */     if (this.format == null)
/*     */     {
/* 101 */       this.format = defaultFormat;
/*     */     }
/*     */     
/* 104 */     int num1 = IntegerHelper.getInt(this.data[6], this.data[7], this.data[8], this.data[9]);
/* 105 */     int num2 = IntegerHelper.getInt(this.data[10], this.data[11], this.data[12], this.data[13]);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 112 */     String s1 = Integer.toBinaryString(num1);
/* 113 */     while (s1.length() < 32)
/*     */     {
/* 115 */       s1 = "0" + s1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 121 */     boolean negative = ((num2 & Integer.MIN_VALUE) != 0);
/*     */     
/* 123 */     String s = Integer.toBinaryString(num2 & Integer.MAX_VALUE) + s1;
/* 124 */     long val = Long.parseLong(s, 2);
/* 125 */     this.value = Double.longBitsToDouble(val);
/*     */     
/* 127 */     if (negative)
/*     */     {
/* 129 */       this.value = -this.value;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getValue() {
/* 140 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 150 */     return this.format.format(this.value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 160 */     return CellType.NUMBER_FORMULA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() {
/* 172 */     byte[] d = new byte[this.data.length - 6];
/* 173 */     System.arraycopy(this.data, 6, d, 0, this.data.length - 6);
/*     */     
/* 175 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFormula() throws FormulaException {
/* 186 */     if (this.formulaString == null) {
/*     */       
/* 188 */       byte[] tokens = new byte[this.data.length - 22];
/* 189 */       System.arraycopy(this.data, 22, tokens, 0, tokens.length);
/* 190 */       FormulaParser fp = new FormulaParser(tokens, this, this.externalSheet, this.nameTable, getSheet().getWorkbook().getSettings());
/*     */ 
/*     */       
/* 193 */       fp.parse();
/* 194 */       this.formulaString = fp.getFormula();
/*     */     } 
/*     */     
/* 197 */     return this.formulaString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberFormat getNumberFormat() {
/* 208 */     return this.format;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\NumberFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */