/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.text.DecimalFormat;
/*     */ import java.text.NumberFormat;
/*     */ import jxl.CellType;
/*     */ import jxl.NumberCell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.format.CellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class NumberValue
/*     */   implements NumberCell
/*     */ {
/*     */   private int row;
/*     */   private int column;
/*     */   private double value;
/*     */   private NumberFormat format;
/*     */   private CellFormat cellFormat;
/*     */   private int xfIndex;
/*     */   private FormattingRecords formattingRecords;
/*     */   private boolean initialized;
/*     */   private SheetImpl sheet;
/*  83 */   private static DecimalFormat defaultFormat = new DecimalFormat("#.###");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberValue(int r, int c, double val, int xfi, FormattingRecords fr, SheetImpl si) {
/* 100 */     this.row = r;
/* 101 */     this.column = c;
/* 102 */     this.value = val;
/* 103 */     this.format = defaultFormat;
/* 104 */     this.xfIndex = xfi;
/* 105 */     this.formattingRecords = fr;
/* 106 */     this.sheet = si;
/* 107 */     this.initialized = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void setNumberFormat(NumberFormat f) {
/* 119 */     if (f != null)
/*     */     {
/* 121 */       this.format = f;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getRow() {
/* 132 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getColumn() {
/* 142 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getValue() {
/* 152 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 162 */     return this.format.format(this.value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 172 */     return CellType.NUMBER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellFormat getCellFormat() {
/* 182 */     if (!this.initialized) {
/*     */       
/* 184 */       this.cellFormat = (CellFormat)this.formattingRecords.getXFRecord(this.xfIndex);
/* 185 */       this.initialized = true;
/*     */     } 
/*     */     
/* 188 */     return this.cellFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 198 */     ColumnInfoRecord cir = this.sheet.getColumnInfo(this.column);
/*     */     
/* 200 */     if (cir != null && cir.getWidth() == 0)
/*     */     {
/* 202 */       return true;
/*     */     }
/*     */     
/* 205 */     RowRecord rr = this.sheet.getRowInfo(this.row);
/*     */     
/* 207 */     if (rr != null && (rr.getRowHeight() == 0 || rr.isCollapsed()))
/*     */     {
/* 209 */       return true;
/*     */     }
/*     */     
/* 212 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberFormat getNumberFormat() {
/* 223 */     return this.format;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\NumberValue.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */