/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.RecordData;
/*     */ import jxl.biff.StringHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class SSTRecord
/*     */   extends RecordData
/*     */ {
/*     */   private int totalStrings;
/*     */   private int uniqueStrings;
/*     */   private String[] strings;
/*     */   private int[] continuationBreaks;
/*     */   
/*     */   private static class ByteArrayHolder
/*     */   {
/*     */     public byte[] bytes;
/*     */     
/*     */     private ByteArrayHolder() {}
/*     */   }
/*     */   
/*     */   private static class BooleanHolder
/*     */   {
/*     */     public boolean value;
/*     */     
/*     */     private BooleanHolder() {}
/*     */   }
/*     */   
/*     */   public SSTRecord(Record t, Record[] continuations, WorkbookSettings ws) {
/*  82 */     super(t);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  88 */     int totalRecordLength = 0;
/*     */     
/*  90 */     for (int i = 0; i < continuations.length; i++)
/*     */     {
/*  92 */       totalRecordLength += continuations[i].getLength();
/*     */     }
/*  94 */     totalRecordLength += getRecord().getLength();
/*     */     
/*  96 */     byte[] data = new byte[totalRecordLength];
/*     */ 
/*     */     
/*  99 */     int pos = 0;
/* 100 */     System.arraycopy(getRecord().getData(), 0, data, 0, getRecord().getLength());
/*     */     
/* 102 */     pos += getRecord().getLength();
/*     */ 
/*     */     
/* 105 */     this.continuationBreaks = new int[continuations.length];
/* 106 */     Record r = null;
/* 107 */     for (int j = 0; j < continuations.length; j++) {
/*     */       
/* 109 */       r = continuations[j];
/* 110 */       System.arraycopy(r.getData(), 0, data, pos, r.getLength());
/*     */ 
/*     */       
/* 113 */       this.continuationBreaks[j] = pos;
/* 114 */       pos += r.getLength();
/*     */     } 
/*     */     
/* 117 */     this.totalStrings = IntegerHelper.getInt(data[0], data[1], data[2], data[3]);
/*     */     
/* 119 */     this.uniqueStrings = IntegerHelper.getInt(data[4], data[5], data[6], data[7]);
/*     */ 
/*     */     
/* 122 */     this.strings = new String[this.uniqueStrings];
/* 123 */     readStrings(data, 8, ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readStrings(byte[] data, int offset, WorkbookSettings ws) {
/* 135 */     int pos = offset;
/*     */ 
/*     */     
/* 138 */     String s = null;
/* 139 */     boolean asciiEncoding = false;
/* 140 */     boolean richString = false;
/* 141 */     boolean extendedString = false;
/* 142 */     int formattingRuns = 0;
/* 143 */     int extendedRunLength = 0;
/*     */     
/* 145 */     for (int i = 0; i < this.uniqueStrings; i++) {
/*     */ 
/*     */       
/* 148 */       int numChars = IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 149 */       pos += 2;
/* 150 */       byte optionFlags = data[pos];
/* 151 */       pos++;
/*     */ 
/*     */       
/* 154 */       extendedString = ((optionFlags & 0x4) != 0);
/*     */ 
/*     */       
/* 157 */       richString = ((optionFlags & 0x8) != 0);
/*     */       
/* 159 */       if (richString) {
/*     */ 
/*     */         
/* 162 */         formattingRuns = IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 163 */         pos += 2;
/*     */       } 
/*     */       
/* 166 */       if (extendedString) {
/*     */ 
/*     */         
/* 169 */         extendedRunLength = IntegerHelper.getInt(data[pos], data[pos + 1], data[pos + 2], data[pos + 3]);
/*     */         
/* 171 */         pos += 4;
/*     */       } 
/*     */ 
/*     */       
/* 175 */       asciiEncoding = ((optionFlags & 0x1) == 0);
/*     */       
/* 177 */       ByteArrayHolder bah = new ByteArrayHolder();
/* 178 */       BooleanHolder bh = new BooleanHolder();
/* 179 */       bh.value = asciiEncoding;
/* 180 */       pos += getChars(data, bah, pos, bh, numChars);
/* 181 */       asciiEncoding = bh.value;
/*     */       
/* 183 */       if (asciiEncoding) {
/*     */         
/* 185 */         s = StringHelper.getString(bah.bytes, numChars, 0, ws);
/*     */       }
/*     */       else {
/*     */         
/* 189 */         s = StringHelper.getUnicodeString(bah.bytes, numChars, 0);
/*     */       } 
/*     */       
/* 192 */       this.strings[i] = s;
/*     */ 
/*     */       
/* 195 */       if (richString)
/*     */       {
/* 197 */         pos += 4 * formattingRuns;
/*     */       }
/*     */ 
/*     */       
/* 201 */       if (extendedString)
/*     */       {
/* 203 */         pos += extendedRunLength;
/*     */       }
/*     */       
/* 206 */       if (pos > data.length)
/*     */       {
/* 208 */         Assert.verify(false, "pos exceeds record length");
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int getChars(byte[] source, ByteArrayHolder bah, int pos, BooleanHolder ascii, int numChars) {
/* 230 */     int charsRead, i = 0;
/* 231 */     boolean spansBreak = false;
/* 232 */     byte[] bytes = null;
/*     */     
/* 234 */     if (ascii.value) {
/*     */       
/* 236 */       bah.bytes = new byte[numChars];
/*     */     }
/*     */     else {
/*     */       
/* 240 */       bah.bytes = new byte[numChars * 2];
/*     */     } 
/*     */     
/* 243 */     while (i < this.continuationBreaks.length && !spansBreak) {
/*     */       
/* 245 */       spansBreak = (pos <= this.continuationBreaks[i] && pos + bah.bytes.length > this.continuationBreaks[i]);
/*     */ 
/*     */       
/* 248 */       if (!spansBreak)
/*     */       {
/* 250 */         i++;
/*     */       }
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 256 */     if (!spansBreak) {
/*     */       
/* 258 */       System.arraycopy(source, pos, bah.bytes, 0, bah.bytes.length);
/* 259 */       return bah.bytes.length;
/*     */     } 
/*     */ 
/*     */     
/* 263 */     int breakpos = this.continuationBreaks[i];
/* 264 */     System.arraycopy(source, pos, bah.bytes, 0, breakpos - pos);
/*     */     
/* 266 */     int bytesRead = breakpos - pos;
/*     */     
/* 268 */     if (ascii.value) {
/*     */       
/* 270 */       charsRead = bytesRead;
/*     */     }
/*     */     else {
/*     */       
/* 274 */       charsRead = bytesRead / 2;
/*     */     } 
/*     */     
/* 277 */     bytesRead += getContinuedString(source, bah, bytesRead, i, ascii, numChars - charsRead);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 283 */     return bytesRead;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int getContinuedString(byte[] source, ByteArrayHolder bah, int destPos, int contBreakIndex, BooleanHolder ascii, int charsLeft) {
/* 304 */     int breakpos = this.continuationBreaks[contBreakIndex];
/* 305 */     int bytesRead = 0;
/*     */     
/* 307 */     while (charsLeft > 0) {
/*     */       
/* 309 */       Assert.verify((contBreakIndex < this.continuationBreaks.length), "continuation break index");
/*     */ 
/*     */       
/* 312 */       if (ascii.value && source[breakpos] == 0) {
/*     */ 
/*     */ 
/*     */         
/* 316 */         int length = (contBreakIndex == this.continuationBreaks.length - 1) ? charsLeft : Math.min(charsLeft, this.continuationBreaks[contBreakIndex + 1] - breakpos - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 322 */         System.arraycopy(source, breakpos + 1, bah.bytes, destPos, length);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 327 */         destPos += length;
/* 328 */         bytesRead += length + 1;
/* 329 */         charsLeft -= length;
/* 330 */         ascii.value = true;
/*     */       }
/* 332 */       else if (!ascii.value && source[breakpos] != 0) {
/*     */ 
/*     */ 
/*     */         
/* 336 */         int length = (contBreakIndex == this.continuationBreaks.length - 1) ? (charsLeft * 2) : Math.min(charsLeft * 2, this.continuationBreaks[contBreakIndex + 1] - breakpos - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 343 */         System.arraycopy(source, breakpos + 1, bah.bytes, destPos, length);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 349 */         destPos += length;
/* 350 */         bytesRead += length + 1;
/* 351 */         charsLeft -= length / 2;
/* 352 */         ascii.value = false;
/*     */       }
/* 354 */       else if (!ascii.value && source[breakpos] == 0) {
/*     */ 
/*     */ 
/*     */         
/* 358 */         int chars = (contBreakIndex == this.continuationBreaks.length - 1) ? charsLeft : Math.min(charsLeft, this.continuationBreaks[contBreakIndex + 1] - breakpos - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 364 */         for (int j = 0; j < chars; j++) {
/*     */           
/* 366 */           bah.bytes[destPos] = source[breakpos + j + 1];
/* 367 */           destPos += 2;
/*     */         } 
/*     */         
/* 370 */         bytesRead += chars + 1;
/* 371 */         charsLeft -= chars;
/* 372 */         ascii.value = false;
/*     */ 
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */ 
/*     */         
/* 381 */         byte[] oldBytes = bah.bytes;
/* 382 */         bah.bytes = new byte[destPos * 2 + charsLeft * 2];
/* 383 */         for (int j = 0; j < destPos; j++)
/*     */         {
/* 385 */           bah.bytes[j * 2] = oldBytes[j];
/*     */         }
/*     */         
/* 388 */         destPos *= 2;
/*     */         
/* 390 */         int length = (contBreakIndex == this.continuationBreaks.length - 1) ? (charsLeft * 2) : Math.min(charsLeft * 2, this.continuationBreaks[contBreakIndex + 1] - breakpos - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 396 */         System.arraycopy(source, breakpos + 1, bah.bytes, destPos, length);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 402 */         destPos += length;
/* 403 */         bytesRead += length + 1;
/* 404 */         charsLeft -= length / 2;
/* 405 */         ascii.value = false;
/*     */       } 
/*     */       
/* 408 */       contBreakIndex++;
/*     */       
/* 410 */       if (contBreakIndex < this.continuationBreaks.length)
/*     */       {
/* 412 */         breakpos = this.continuationBreaks[contBreakIndex];
/*     */       }
/*     */     } 
/*     */     
/* 416 */     return bytesRead;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getString(int index) {
/* 427 */     Assert.verify((index < this.uniqueStrings));
/* 428 */     return this.strings[index];
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SSTRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */