/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class SharedFormulaRecord
/*     */ {
/*     */   private int firstRow;
/*     */   private int lastRow;
/*     */   private int firstCol;
/*     */   private int lastCol;
/*     */   private BaseSharedFormulaRecord templateFormula;
/*     */   private ArrayList formulas;
/*     */   private byte[] tokens;
/*     */   private ExternalSheet externalSheet;
/*     */   private WorkbookMethods nameTable;
/*     */   private SheetImpl sheet;
/*     */   
/*     */   public SharedFormulaRecord(Record t, BaseSharedFormulaRecord fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si) {
/* 102 */     this.externalSheet = es;
/* 103 */     this.nameTable = nt;
/* 104 */     this.sheet = si;
/* 105 */     byte[] data = t.getData();
/*     */     
/* 107 */     this.firstRow = IntegerHelper.getInt(data[0], data[1]);
/* 108 */     this.lastRow = IntegerHelper.getInt(data[2], data[3]);
/* 109 */     this.firstCol = data[4] & 0xFF;
/* 110 */     this.lastCol = data[5] & 0xFF;
/*     */     
/* 112 */     this.formulas = new ArrayList();
/*     */     
/* 114 */     this.templateFormula = fr;
/*     */     
/* 116 */     this.tokens = new byte[data.length - 10];
/* 117 */     System.arraycopy(data, 10, this.tokens, 0, this.tokens.length);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean add(BaseSharedFormulaRecord fr) {
/* 129 */     if (fr.getRow() >= this.firstRow && fr.getRow() <= this.lastRow && fr.getColumn() >= this.firstCol && fr.getColumn() <= this.lastCol) {
/*     */ 
/*     */       
/* 132 */       this.formulas.add(fr);
/* 133 */       return true;
/*     */     } 
/*     */     
/* 136 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Cell[] getFormulas(FormattingRecords fr, boolean nf) {
/* 149 */     Cell[] sfs = new Cell[this.formulas.size() + 1];
/*     */ 
/*     */ 
/*     */     
/* 153 */     if (this.templateFormula == null)
/*     */     {
/* 155 */       return new Cell[0];
/*     */     }
/*     */     
/* 158 */     this.templateFormula.setTokens(this.tokens);
/*     */ 
/*     */     
/* 161 */     if (this.templateFormula.getType() == CellType.NUMBER_FORMULA)
/*     */     {
/* 163 */       if (fr.isDate(this.templateFormula.getXFIndex())) {
/*     */         
/* 165 */         SharedNumberFormulaRecord snfr = (SharedNumberFormulaRecord)this.templateFormula;
/*     */         
/* 167 */         this.templateFormula = new SharedDateFormulaRecord(snfr, fr, nf, this.sheet, snfr.getFilePos());
/*     */         
/* 169 */         this.templateFormula.setTokens(snfr.getTokens());
/*     */       } 
/*     */     }
/*     */     
/* 173 */     sfs[0] = this.templateFormula;
/*     */     
/* 175 */     BaseSharedFormulaRecord f = null;
/*     */     
/* 177 */     for (int i = 0; i < this.formulas.size(); i++) {
/*     */       
/* 179 */       f = this.formulas.get(i);
/*     */ 
/*     */       
/* 182 */       if (f.getType() == CellType.NUMBER_FORMULA)
/*     */       {
/* 184 */         if (fr.isDate(f.getXFIndex())) {
/*     */           
/* 186 */           SharedNumberFormulaRecord snfr = (SharedNumberFormulaRecord)f;
/* 187 */           f = new SharedDateFormulaRecord(snfr, fr, nf, this.sheet, snfr.getFilePos());
/*     */         } 
/*     */       }
/*     */ 
/*     */       
/* 192 */       f.setTokens(this.tokens);
/* 193 */       sfs[i + 1] = f;
/*     */     } 
/*     */     
/* 196 */     return sfs;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SharedFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */