/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.text.DecimalFormat;
/*     */ import java.text.NumberFormat;
/*     */ import jxl.CellType;
/*     */ import jxl.NumberCell;
/*     */ import jxl.NumberFormulaCell;
/*     */ import jxl.biff.DoubleHelper;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SharedNumberFormulaRecord
/*     */   extends BaseSharedFormulaRecord
/*     */   implements NumberCell, FormulaData, NumberFormulaCell
/*     */ {
/*     */   private double value;
/*     */   private NumberFormat format;
/*     */   private FormattingRecords formattingRecords;
/*  60 */   private static DecimalFormat defaultFormat = new DecimalFormat("#.###");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SharedNumberFormulaRecord(Record t, File excelFile, double v, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si) {
/*  81 */     super(t, fr, es, nt, si, excelFile.getPos());
/*  82 */     this.value = v;
/*  83 */     this.format = defaultFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void setNumberFormat(NumberFormat f) {
/*  95 */     if (f != null)
/*     */     {
/*  97 */       this.format = f;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getValue() {
/* 108 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 118 */     return this.format.format(this.value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 128 */     return CellType.NUMBER_FORMULA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() throws FormulaException {
/* 142 */     FormulaParser fp = new FormulaParser(getTokens(), this, getExternalSheet(), getNameTable(), getSheet().getWorkbook().getSettings());
/*     */ 
/*     */ 
/*     */     
/* 146 */     fp.parse();
/* 147 */     byte[] rpnTokens = fp.getBytes();
/*     */     
/* 149 */     byte[] data = new byte[rpnTokens.length + 22];
/*     */ 
/*     */     
/* 152 */     IntegerHelper.getTwoBytes(getRow(), data, 0);
/* 153 */     IntegerHelper.getTwoBytes(getColumn(), data, 2);
/* 154 */     IntegerHelper.getTwoBytes(getXFIndex(), data, 4);
/* 155 */     DoubleHelper.getIEEEBytes(this.value, data, 6);
/*     */ 
/*     */     
/* 158 */     System.arraycopy(rpnTokens, 0, data, 22, rpnTokens.length);
/* 159 */     IntegerHelper.getTwoBytes(rpnTokens.length, data, 20);
/*     */ 
/*     */     
/* 162 */     byte[] d = new byte[data.length - 6];
/* 163 */     System.arraycopy(data, 6, d, 0, data.length - 6);
/*     */     
/* 165 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberFormat getNumberFormat() {
/* 176 */     return this.format;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SharedNumberFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */