/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.CellType;
/*     */ import jxl.LabelCell;
/*     */ import jxl.StringFormulaCell;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.StringHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SharedStringFormulaRecord
/*     */   extends BaseSharedFormulaRecord
/*     */   implements LabelCell, FormulaData, StringFormulaCell
/*     */ {
/*     */   private String value;
/*     */   private FormattingRecords formattingRecords;
/*     */   
/*     */   public SharedStringFormulaRecord(Record t, File excelFile, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si, WorkbookSettings ws) {
/*  73 */     super(t, fr, es, nt, si, excelFile.getPos());
/*  74 */     int pos = excelFile.getPos();
/*     */ 
/*     */     
/*  77 */     int filepos = excelFile.getPos();
/*     */ 
/*     */ 
/*     */     
/*  81 */     Record nextRecord = excelFile.next();
/*  82 */     int count = 0;
/*  83 */     while (nextRecord.getType() != Type.STRING && count < 4) {
/*     */       
/*  85 */       nextRecord = excelFile.next();
/*  86 */       count++;
/*     */     } 
/*  88 */     Assert.verify((count < 4), " @ " + pos);
/*     */     
/*  90 */     byte[] stringData = nextRecord.getData();
/*  91 */     int chars = IntegerHelper.getInt(stringData[0], stringData[1]);
/*     */     
/*  93 */     boolean unicode = false;
/*  94 */     int startpos = 3;
/*  95 */     if (stringData.length == chars + 2) {
/*     */ 
/*     */ 
/*     */       
/*  99 */       startpos = 2;
/* 100 */       unicode = false;
/*     */     }
/* 102 */     else if (stringData[2] == 1) {
/*     */ 
/*     */       
/* 105 */       startpos = 3;
/* 106 */       unicode = true;
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 111 */       startpos = 3;
/* 112 */       unicode = false;
/*     */     } 
/*     */     
/* 115 */     if (!unicode) {
/*     */       
/* 117 */       this.value = StringHelper.getString(stringData, chars, startpos, ws);
/*     */     }
/*     */     else {
/*     */       
/* 121 */       this.value = StringHelper.getUnicodeString(stringData, chars, startpos);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 126 */     excelFile.setPos(filepos);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getString() {
/* 136 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 146 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 156 */     return CellType.STRING_FORMULA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() throws FormulaException {
/* 170 */     FormulaParser fp = new FormulaParser(getTokens(), this, getExternalSheet(), getNameTable(), getSheet().getWorkbook().getSettings());
/*     */ 
/*     */ 
/*     */     
/* 174 */     fp.parse();
/* 175 */     byte[] rpnTokens = fp.getBytes();
/*     */     
/* 177 */     byte[] data = new byte[rpnTokens.length + 22];
/*     */ 
/*     */     
/* 180 */     IntegerHelper.getTwoBytes(getRow(), data, 0);
/* 181 */     IntegerHelper.getTwoBytes(getColumn(), data, 2);
/* 182 */     IntegerHelper.getTwoBytes(getXFIndex(), data, 4);
/*     */ 
/*     */ 
/*     */     
/* 186 */     data[6] = 0;
/* 187 */     data[12] = -1;
/* 188 */     data[13] = -1;
/*     */ 
/*     */     
/* 191 */     System.arraycopy(rpnTokens, 0, data, 22, rpnTokens.length);
/* 192 */     IntegerHelper.getTwoBytes(rpnTokens.length, data, 20);
/*     */ 
/*     */     
/* 195 */     byte[] d = new byte[data.length - 6];
/* 196 */     System.arraycopy(data, 6, d, 0, data.length - 6);
/*     */     
/* 198 */     return d;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SharedStringFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */