/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.CellView;
/*     */ import jxl.Hyperlink;
/*     */ import jxl.LabelCell;
/*     */ import jxl.Range;
/*     */ import jxl.Sheet;
/*     */ import jxl.SheetSettings;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.EmptyCell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WorkspaceInformationRecord;
/*     */ import jxl.biff.drawing.Chart;
/*     */ import jxl.biff.drawing.Drawing;
/*     */ import jxl.format.CellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SheetImpl
/*     */   implements Sheet
/*     */ {
/*     */   private File excelFile;
/*     */   private SSTRecord sharedStrings;
/*     */   private BOFRecord sheetBof;
/*     */   private BOFRecord workbookBof;
/*     */   private FormattingRecords formattingRecords;
/*     */   private String name;
/*     */   private int numRows;
/*     */   private int numCols;
/*     */   private Cell[][] cells;
/*     */   private int startPosition;
/*     */   private ColumnInfoRecord[] columnInfos;
/*     */   private RowRecord[] rowRecords;
/*     */   private ArrayList rowProperties;
/*     */   private ArrayList columnInfosArray;
/*     */   private ArrayList sharedFormulas;
/*     */   private ArrayList hyperlinks;
/*     */   private ArrayList charts;
/*     */   private ArrayList drawings;
/*     */   private Range[] mergedCells;
/*     */   private boolean columnInfosInitialized;
/*     */   private boolean rowRecordsInitialized;
/*     */   private boolean nineteenFour;
/*     */   private HeaderRecord header;
/*     */   private FooterRecord footer;
/*     */   private WorkspaceInformationRecord workspaceOptions;
/*     */   private boolean hidden;
/*     */   private PLSRecord plsRecord;
/*     */   private SheetSettings settings;
/*     */   private int[] rowBreaks;
/*     */   private WorkbookParser workbook;
/*     */   private WorkbookSettings workbookSettings;
/*     */   
/*     */   SheetImpl(File f, SSTRecord sst, FormattingRecords fr, BOFRecord sb, BOFRecord wb, boolean nf, WorkbookParser wp) throws BiffException {
/* 228 */     this.excelFile = f;
/* 229 */     this.sharedStrings = sst;
/* 230 */     this.formattingRecords = fr;
/* 231 */     this.sheetBof = sb;
/* 232 */     this.workbookBof = wb;
/* 233 */     this.columnInfosArray = new ArrayList();
/* 234 */     this.sharedFormulas = new ArrayList();
/* 235 */     this.hyperlinks = new ArrayList();
/* 236 */     this.rowProperties = new ArrayList(10);
/* 237 */     this.columnInfosInitialized = false;
/* 238 */     this.rowRecordsInitialized = false;
/* 239 */     this.nineteenFour = nf;
/* 240 */     this.workbook = wp;
/* 241 */     this.workbookSettings = this.workbook.getSettings();
/*     */ 
/*     */     
/* 244 */     this.startPosition = f.getPos();
/*     */     
/* 246 */     if (this.sheetBof.isChart())
/*     */     {
/*     */       
/* 249 */       this.startPosition -= this.sheetBof.getLength() + 4;
/*     */     }
/*     */     
/* 252 */     Record r = null;
/* 253 */     int bofs = 1;
/*     */     
/* 255 */     while (bofs >= 1) {
/*     */       
/* 257 */       r = f.next();
/*     */ 
/*     */       
/* 260 */       if (r.getCode() == Type.EOF.value)
/*     */       {
/* 262 */         bofs--;
/*     */       }
/*     */       
/* 265 */       if (r.getCode() == Type.BOF.value)
/*     */       {
/* 267 */         bofs++;
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Cell getCell(int column, int row) {
/*     */     EmptyCell emptyCell;
/* 283 */     if (this.cells == null)
/*     */     {
/* 285 */       readSheet();
/*     */     }
/*     */     
/* 288 */     Cell c = this.cells[row][column];
/*     */     
/* 290 */     if (c == null) {
/*     */       
/* 292 */       emptyCell = new EmptyCell(column, row);
/* 293 */       this.cells[row][column] = (Cell)emptyCell;
/*     */     } 
/*     */     
/* 296 */     return (Cell)emptyCell;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Cell findCell(String contents) {
/* 310 */     Cell cell = null;
/* 311 */     boolean found = false;
/*     */     
/* 313 */     for (int i = 0; i < getRows() && !found; i++) {
/*     */       
/* 315 */       Cell[] row = getRow(i);
/* 316 */       for (int j = 0; j < row.length && !found; j++) {
/*     */         
/* 318 */         if (row[j].getContents().equals(contents)) {
/*     */           
/* 320 */           cell = row[j];
/* 321 */           found = true;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 326 */     return cell;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public LabelCell findLabelCell(String contents) {
/* 343 */     LabelCell cell = null;
/* 344 */     boolean found = false;
/*     */     
/* 346 */     for (int i = 0; i < getRows() && !found; i++) {
/*     */       
/* 348 */       Cell[] row = getRow(i);
/* 349 */       for (int j = 0; j < row.length && !found; j++) {
/*     */         
/* 351 */         if ((row[j].getType() == CellType.LABEL || row[j].getType() == CellType.STRING_FORMULA) && row[j].getContents().equals(contents)) {
/*     */ 
/*     */ 
/*     */           
/* 355 */           cell = (LabelCell)row[j];
/* 356 */           found = true;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 361 */     return cell;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRows() {
/* 373 */     if (this.cells == null)
/*     */     {
/* 375 */       readSheet();
/*     */     }
/*     */     
/* 378 */     return this.numRows;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumns() {
/* 390 */     if (this.cells == null)
/*     */     {
/* 392 */       readSheet();
/*     */     }
/*     */     
/* 395 */     return this.numCols;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Cell[] getRow(int row) {
/* 409 */     if (this.cells == null)
/*     */     {
/* 411 */       readSheet();
/*     */     }
/*     */ 
/*     */     
/* 415 */     boolean found = false;
/* 416 */     int col = this.numCols - 1;
/* 417 */     while (col >= 0 && !found) {
/*     */       
/* 419 */       if (this.cells[row][col] != null) {
/*     */         
/* 421 */         found = true;
/*     */         
/*     */         continue;
/*     */       } 
/* 425 */       col--;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 430 */     Cell[] c = new Cell[col + 1];
/*     */     
/* 432 */     for (int i = 0; i <= col; i++)
/*     */     {
/* 434 */       c[i] = getCell(i, row);
/*     */     }
/* 436 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Cell[] getColumn(int col) {
/* 450 */     if (this.cells == null)
/*     */     {
/* 452 */       readSheet();
/*     */     }
/*     */ 
/*     */     
/* 456 */     boolean found = false;
/* 457 */     int row = this.numRows - 1;
/* 458 */     while (row >= 0 && !found) {
/*     */       
/* 460 */       if (this.cells[row][col] != null) {
/*     */         
/* 462 */         found = true;
/*     */         
/*     */         continue;
/*     */       } 
/* 466 */       row--;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 471 */     Cell[] c = new Cell[row + 1];
/*     */     
/* 473 */     for (int i = 0; i <= row; i++)
/*     */     {
/* 475 */       c[i] = getCell(col, i);
/*     */     }
/* 477 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() {
/* 487 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void setName(String s) {
/* 497 */     this.name = s;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 508 */     return this.hidden;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColumnInfoRecord getColumnInfo(int col) {
/* 520 */     if (!this.columnInfosInitialized) {
/*     */ 
/*     */       
/* 523 */       Iterator i = this.columnInfosArray.iterator();
/* 524 */       ColumnInfoRecord cir = null;
/* 525 */       while (i.hasNext()) {
/*     */         
/* 527 */         cir = i.next();
/*     */         
/* 529 */         int startcol = Math.max(0, cir.getStartColumn());
/* 530 */         int endcol = Math.min(this.columnInfos.length - 1, cir.getEndColumn());
/*     */         
/* 532 */         for (int c = startcol; c <= endcol; c++)
/*     */         {
/* 534 */           this.columnInfos[c] = cir;
/*     */         }
/*     */         
/* 537 */         if (endcol < startcol)
/*     */         {
/* 539 */           this.columnInfos[startcol] = cir;
/*     */         }
/*     */       } 
/*     */       
/* 543 */       this.columnInfosInitialized = true;
/*     */     } 
/*     */     
/* 546 */     return (col < this.columnInfos.length) ? this.columnInfos[col] : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColumnInfoRecord[] getColumnInfos() {
/* 557 */     ColumnInfoRecord[] infos = new ColumnInfoRecord[this.columnInfosArray.size()];
/* 558 */     for (int i = 0; i < this.columnInfosArray.size(); i++)
/*     */     {
/* 560 */       infos[i] = this.columnInfosArray.get(i);
/*     */     }
/*     */     
/* 563 */     return infos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void setHidden(boolean h) {
/* 573 */     this.hidden = h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void clear() {
/* 582 */     this.cells = (Cell[][])null;
/* 583 */     this.mergedCells = null;
/* 584 */     this.columnInfosArray.clear();
/* 585 */     this.sharedFormulas.clear();
/* 586 */     this.hyperlinks.clear();
/* 587 */     this.columnInfosInitialized = false;
/*     */     
/* 589 */     if (!this.workbookSettings.getGCDisabled())
/*     */     {
/* 591 */       System.gc();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void readSheet() {
/* 603 */     if (!this.sheetBof.isWorksheet()) {
/*     */       
/* 605 */       this.numRows = 0;
/* 606 */       this.numCols = 0;
/* 607 */       this.cells = new Cell[0][0];
/*     */     } 
/*     */ 
/*     */     
/* 611 */     SheetReader reader = new SheetReader(this.excelFile, this.sharedStrings, this.formattingRecords, this.sheetBof, this.workbookBof, this.nineteenFour, this.workbook, this.startPosition, this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 620 */     reader.read();
/*     */ 
/*     */     
/* 623 */     this.numRows = reader.getNumRows();
/* 624 */     this.numCols = reader.getNumCols();
/* 625 */     this.cells = reader.getCells();
/* 626 */     this.rowProperties = reader.getRowProperties();
/* 627 */     this.columnInfosArray = reader.getColumnInfosArray();
/* 628 */     this.hyperlinks = reader.getHyperlinks();
/* 629 */     this.charts = reader.getCharts();
/* 630 */     this.drawings = reader.getDrawings();
/* 631 */     this.mergedCells = reader.getMergedCells();
/* 632 */     this.header = reader.getHeader();
/* 633 */     this.footer = reader.getFooter();
/* 634 */     this.settings = reader.getSettings();
/* 635 */     this.settings.setHidden(this.hidden);
/* 636 */     this.rowBreaks = reader.getRowBreaks();
/* 637 */     this.workspaceOptions = reader.getWorkspaceOptions();
/* 638 */     this.plsRecord = reader.getPLS();
/*     */     
/* 640 */     reader = null;
/*     */     
/* 642 */     if (!this.workbookSettings.getGCDisabled())
/*     */     {
/* 644 */       System.gc();
/*     */     }
/*     */     
/* 647 */     if (this.columnInfosArray.size() > 0) {
/*     */       
/* 649 */       ColumnInfoRecord cir = this.columnInfosArray.get(this.columnInfosArray.size() - 1);
/*     */       
/* 651 */       this.columnInfos = new ColumnInfoRecord[cir.getEndColumn() + 1];
/*     */     }
/*     */     else {
/*     */       
/* 655 */       this.columnInfos = new ColumnInfoRecord[0];
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Hyperlink[] getHyperlinks() {
/* 666 */     Hyperlink[] hl = new Hyperlink[this.hyperlinks.size()];
/*     */     
/* 668 */     for (int i = 0; i < this.hyperlinks.size(); i++)
/*     */     {
/* 670 */       hl[i] = this.hyperlinks.get(i);
/*     */     }
/*     */     
/* 673 */     return hl;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Range[] getMergedCells() {
/* 683 */     if (this.mergedCells == null)
/*     */     {
/* 685 */       return new Range[0];
/*     */     }
/*     */     
/* 688 */     return this.mergedCells;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowRecord[] getRowProperties() {
/* 698 */     RowRecord[] rp = new RowRecord[this.rowProperties.size()];
/* 699 */     for (int i = 0; i < rp.length; i++)
/*     */     {
/* 701 */       rp[i] = this.rowProperties.get(i);
/*     */     }
/*     */     
/* 704 */     return rp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   RowRecord getRowInfo(int r) {
/* 716 */     if (!this.rowRecordsInitialized) {
/*     */       
/* 718 */       this.rowRecords = new RowRecord[getRows()];
/* 719 */       Iterator i = this.rowProperties.iterator();
/*     */       
/* 721 */       RowRecord rr = null;
/* 722 */       while (i.hasNext()) {
/*     */         
/* 724 */         rr = i.next();
/* 725 */         this.rowRecords[rr.getRowNumber()] = rr;
/*     */       } 
/*     */     } 
/*     */     
/* 729 */     return this.rowRecords[r];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final HeaderRecord getHeader() {
/* 739 */     return this.header;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final FooterRecord getFooter() {
/* 749 */     return this.footer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int[] getRowPageBreaks() {
/* 759 */     return this.rowBreaks;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Chart[] getCharts() {
/* 769 */     Chart[] ch = new Chart[this.charts.size()];
/*     */     
/* 771 */     for (int i = 0; i < ch.length; i++)
/*     */     {
/* 773 */       ch[i] = this.charts.get(i);
/*     */     }
/* 775 */     return ch;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Drawing[] getDrawings() {
/* 785 */     Object[] dr = this.drawings.toArray();
/* 786 */     Drawing[] dr2 = new Drawing[dr.length];
/* 787 */     System.arraycopy(dr, 0, dr2, 0, dr.length);
/* 788 */     return dr2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isProtected() {
/* 799 */     return this.settings.isProtected();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WorkspaceInformationRecord getWorkspaceOptions() {
/* 810 */     return this.workspaceOptions;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SheetSettings getSettings() {
/* 820 */     return this.settings;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   WorkbookParser getWorkbook() {
/* 829 */     return this.workbook;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellFormat getColumnFormat(int col) {
/* 841 */     CellView cv = getColumnView(col);
/* 842 */     return cv.getFormat();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumnWidth(int col) {
/* 854 */     return getColumnView(col).getSize() / 256;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellView getColumnView(int col) {
/* 866 */     ColumnInfoRecord cir = getColumnInfo(col);
/* 867 */     CellView cv = new CellView();
/*     */     
/* 869 */     if (cir != null) {
/*     */       
/* 871 */       cv.setDimension(cir.getWidth() / 256);
/* 872 */       cv.setSize(cir.getWidth());
/* 873 */       cv.setHidden(cir.getHidden());
/* 874 */       cv.setFormat((CellFormat)this.formattingRecords.getXFRecord(cir.getXFIndex()));
/*     */     }
/*     */     else {
/*     */       
/* 878 */       cv.setDimension(this.settings.getDefaultColumnWidth() / 256);
/* 879 */       cv.setSize(this.settings.getDefaultColumnWidth());
/*     */     } 
/*     */     
/* 882 */     return cv;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRowHeight(int row) {
/* 895 */     return getRowView(row).getDimension();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellView getRowView(int row) {
/* 907 */     RowRecord rr = getRowInfo(row);
/*     */     
/* 909 */     CellView cv = new CellView();
/*     */     
/* 911 */     if (rr != null) {
/*     */       
/* 913 */       cv.setDimension(rr.getRowHeight());
/* 914 */       cv.setSize(rr.getRowHeight());
/* 915 */       cv.setHidden(rr.isCollapsed());
/*     */     }
/*     */     else {
/*     */       
/* 919 */       cv.setDimension(this.settings.getDefaultRowHeight());
/* 920 */       cv.setSize(this.settings.getDefaultRowHeight());
/*     */     } 
/*     */     
/* 923 */     return cv;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BOFRecord getSheetBof() {
/* 934 */     return this.sheetBof;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PLSRecord getPLS() {
/* 945 */     return this.plsRecord;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SheetImpl.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */