/*      */ package jxl.read.biff;
/*      */ 
/*      */ import common.Assert;
/*      */ import common.Logger;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Iterator;
/*      */ import jxl.Cell;
/*      */ import jxl.CellReferenceHelper;
/*      */ import jxl.CellType;
/*      */ import jxl.DateCell;
/*      */ import jxl.Range;
/*      */ import jxl.SheetSettings;
/*      */ import jxl.WorkbookSettings;
/*      */ import jxl.biff.FormattingRecords;
/*      */ import jxl.biff.Type;
/*      */ import jxl.biff.WorkspaceInformationRecord;
/*      */ import jxl.biff.drawing.Chart;
/*      */ import jxl.biff.drawing.Drawing;
/*      */ import jxl.biff.drawing.MsoDrawingRecord;
/*      */ import jxl.biff.drawing.ObjRecord;
/*      */ import jxl.format.PageOrientation;
/*      */ import jxl.format.PaperSize;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ final class SheetReader
/*      */ {
/*   55 */   private static Logger logger = Logger.getLogger(SheetReader.class);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private File excelFile;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SSTRecord sharedStrings;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private BOFRecord sheetBof;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private BOFRecord workbookBof;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private FormattingRecords formattingRecords;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int numRows;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int numCols;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Cell[][] cells;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int startPosition;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList rowProperties;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList columnInfosArray;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList sharedFormulas;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList hyperlinks;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Range[] mergedCells;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList charts;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList drawings;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean nineteenFour;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private HeaderRecord header;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private FooterRecord footer;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private PLSRecord plsRecord;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WorkspaceInformationRecord workspaceOptions;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int[] rowBreaks;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SheetSettings settings;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WorkbookSettings workbookSettings;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WorkbookParser workbook;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SheetImpl sheet;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   SheetReader(File f, SSTRecord sst, FormattingRecords fr, BOFRecord sb, BOFRecord wb, boolean nf, WorkbookParser wp, int sp, SheetImpl sh) {
/*  212 */     this.excelFile = f;
/*  213 */     this.sharedStrings = sst;
/*  214 */     this.formattingRecords = fr;
/*  215 */     this.sheetBof = sb;
/*  216 */     this.workbookBof = wb;
/*  217 */     this.columnInfosArray = new ArrayList();
/*  218 */     this.sharedFormulas = new ArrayList();
/*  219 */     this.hyperlinks = new ArrayList();
/*  220 */     this.rowProperties = new ArrayList(10);
/*  221 */     this.charts = new ArrayList();
/*  222 */     this.drawings = new ArrayList();
/*  223 */     this.nineteenFour = nf;
/*  224 */     this.workbook = wp;
/*  225 */     this.startPosition = sp;
/*  226 */     this.sheet = sh;
/*  227 */     this.settings = new SheetSettings();
/*  228 */     this.workbookSettings = this.workbook.getSettings();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void addCell(Cell cell) {
/*  241 */     if (cell.getRow() < this.numRows && cell.getColumn() < this.numCols) {
/*      */       
/*  243 */       if (this.cells[cell.getRow()][cell.getColumn()] != null) {
/*      */         
/*  245 */         StringBuffer sb = new StringBuffer();
/*  246 */         CellReferenceHelper.getCellReference(cell.getColumn(), cell.getRow(), sb);
/*      */         
/*  248 */         logger.warn("Cell " + sb.toString() + " already contains data");
/*      */       } 
/*      */       
/*  251 */       this.cells[cell.getRow()][cell.getColumn()] = cell;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void read() {
/*  260 */     Record r = null;
/*  261 */     BaseSharedFormulaRecord sharedFormula = null;
/*  262 */     boolean sharedFormulaAdded = false;
/*      */     
/*  264 */     boolean cont = true;
/*      */ 
/*      */     
/*  267 */     this.excelFile.setPos(this.startPosition);
/*      */ 
/*      */     
/*  270 */     MsoDrawingRecord msoRecord = null;
/*  271 */     ObjRecord objRecord = null;
/*      */ 
/*      */     
/*  274 */     Window2Record window2Record = null;
/*      */ 
/*      */     
/*  277 */     PrintGridLinesRecord printGridLinesRecord = null;
/*      */ 
/*      */     
/*  280 */     PrintHeadersRecord printHeadersRecord = null;
/*      */     
/*  282 */     while (cont) {
/*      */       
/*  284 */       r = this.excelFile.next();
/*      */       
/*  286 */       if (r.getType() == Type.UNKNOWN && r.getCode() == 0) {
/*      */         
/*  288 */         System.err.print("Warning:  biff code zero found");
/*      */ 
/*      */         
/*  291 */         if (r.getLength() == 10) {
/*      */           
/*  293 */           logger.warn("Biff code zero found - trying a dimension record.");
/*  294 */           r.setType(Type.DIMENSION);
/*      */         }
/*      */         else {
/*      */           
/*  298 */           logger.warn("Biff code zero found - Ignoring.");
/*      */         } 
/*      */       } 
/*      */       
/*  302 */       if (r.getType() == Type.DIMENSION) {
/*      */         
/*  304 */         DimensionRecord dr = null;
/*      */         
/*  306 */         if (this.workbookBof.isBiff8()) {
/*      */           
/*  308 */           dr = new DimensionRecord(r);
/*      */         }
/*      */         else {
/*      */           
/*  312 */           dr = new DimensionRecord(r, DimensionRecord.biff7);
/*      */         } 
/*  314 */         this.numRows = dr.getNumberOfRows();
/*  315 */         this.numCols = dr.getNumberOfColumns();
/*  316 */         this.cells = new Cell[this.numRows][this.numCols]; continue;
/*      */       } 
/*  318 */       if (r.getType() == Type.LABELSST) {
/*      */         
/*  320 */         LabelSSTRecord label = new LabelSSTRecord(r, this.sharedStrings, this.formattingRecords, this.sheet);
/*      */ 
/*      */ 
/*      */         
/*  324 */         addCell(label); continue;
/*      */       } 
/*  326 */       if (r.getType() == Type.RK || r.getType() == Type.RK2) {
/*      */         
/*  328 */         RKRecord rkr = new RKRecord(r, this.formattingRecords, this.sheet);
/*      */         
/*  330 */         if (this.formattingRecords.isDate(rkr.getXFIndex())) {
/*      */           
/*  332 */           DateCell dc = new DateRecord(rkr, rkr.getXFIndex(), this.formattingRecords, this.nineteenFour, this.sheet);
/*      */           
/*  334 */           addCell((Cell)dc);
/*      */           
/*      */           continue;
/*      */         } 
/*  338 */         addCell(rkr);
/*      */         continue;
/*      */       } 
/*  341 */       if (r.getType() == Type.HLINK) {
/*      */         
/*  343 */         HyperlinkRecord hr = new HyperlinkRecord(r, this.sheet, this.workbookSettings);
/*  344 */         this.hyperlinks.add(hr); continue;
/*      */       } 
/*  346 */       if (r.getType() == Type.MERGEDCELLS) {
/*      */         
/*  348 */         MergedCellsRecord mc = new MergedCellsRecord(r, this.sheet);
/*  349 */         if (this.mergedCells == null) {
/*      */           
/*  351 */           this.mergedCells = mc.getRanges();
/*      */           
/*      */           continue;
/*      */         } 
/*  355 */         Range[] newMergedCells = new Range[this.mergedCells.length + (mc.getRanges()).length];
/*      */         
/*  357 */         System.arraycopy(this.mergedCells, 0, newMergedCells, 0, this.mergedCells.length);
/*      */         
/*  359 */         System.arraycopy(mc.getRanges(), 0, newMergedCells, this.mergedCells.length, (mc.getRanges()).length);
/*      */ 
/*      */ 
/*      */         
/*  363 */         this.mergedCells = newMergedCells;
/*      */         continue;
/*      */       } 
/*  366 */       if (r.getType() == Type.MULRK) {
/*      */         
/*  368 */         MulRKRecord mulrk = new MulRKRecord(r);
/*      */ 
/*      */         
/*  371 */         int num = mulrk.getNumberOfColumns();
/*  372 */         int ixf = 0;
/*  373 */         for (int j = 0; j < num; j++) {
/*      */           
/*  375 */           ixf = mulrk.getXFIndex(j);
/*      */           
/*  377 */           NumberValue nv = new NumberValue(mulrk.getRow(), mulrk.getFirstColumn() + j, RKHelper.getDouble(mulrk.getRKNumber(j)), ixf, this.formattingRecords, this.sheet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  386 */           if (this.formattingRecords.isDate(ixf)) {
/*      */             
/*  388 */             DateCell dc = new DateRecord(nv, ixf, this.formattingRecords, this.nineteenFour, this.sheet);
/*      */             
/*  390 */             addCell((Cell)dc);
/*      */           }
/*      */           else {
/*      */             
/*  394 */             nv.setNumberFormat(this.formattingRecords.getNumberFormat(ixf));
/*  395 */             addCell((Cell)nv);
/*      */           } 
/*      */         }  continue;
/*      */       } 
/*  399 */       if (r.getType() == Type.NUMBER) {
/*      */         
/*  401 */         NumberRecord nr = new NumberRecord(r, this.formattingRecords, this.sheet);
/*      */         
/*  403 */         if (this.formattingRecords.isDate(nr.getXFIndex())) {
/*      */           
/*  405 */           DateCell dc = new DateRecord(nr, nr.getXFIndex(), this.formattingRecords, this.nineteenFour, this.sheet);
/*      */ 
/*      */ 
/*      */           
/*  409 */           addCell((Cell)dc);
/*      */           
/*      */           continue;
/*      */         } 
/*  413 */         addCell(nr);
/*      */         continue;
/*      */       } 
/*  416 */       if (r.getType() == Type.BOOLERR) {
/*      */         
/*  418 */         BooleanRecord br = new BooleanRecord(r, this.formattingRecords, this.sheet);
/*      */         
/*  420 */         if (br.isError()) {
/*      */           
/*  422 */           ErrorRecord er = new ErrorRecord(br.getRecord(), this.formattingRecords, this.sheet);
/*      */           
/*  424 */           addCell(er);
/*      */           
/*      */           continue;
/*      */         } 
/*  428 */         addCell(br);
/*      */         continue;
/*      */       } 
/*  431 */       if (r.getType() == Type.PRINTGRIDLINES) {
/*      */         
/*  433 */         printGridLinesRecord = new PrintGridLinesRecord(r);
/*  434 */         this.settings.setPrintGridLines(printGridLinesRecord.getPrintGridLines()); continue;
/*      */       } 
/*  436 */       if (r.getType() == Type.PRINTHEADERS) {
/*      */         
/*  438 */         printHeadersRecord = new PrintHeadersRecord(r);
/*  439 */         this.settings.setPrintHeaders(printHeadersRecord.getPrintHeaders()); continue;
/*      */       } 
/*  441 */       if (r.getType() == Type.WINDOW2) {
/*      */         
/*  443 */         window2Record = new Window2Record(r);
/*      */         
/*  445 */         this.settings.setShowGridLines(window2Record.getShowGridLines());
/*  446 */         this.settings.setDisplayZeroValues(window2Record.getDisplayZeroValues());
/*  447 */         this.settings.setSelected(); continue;
/*      */       } 
/*  449 */       if (r.getType() == Type.PANE) {
/*      */         
/*  451 */         PaneRecord pr = new PaneRecord(r);
/*      */         
/*  453 */         if (window2Record != null && window2Record.getFrozen() && window2Record.getFrozenNotSplit()) {
/*      */ 
/*      */ 
/*      */           
/*  457 */           this.settings.setVerticalFreeze(pr.getRowsVisible());
/*  458 */           this.settings.setHorizontalFreeze(pr.getColumnsVisible());
/*      */         }  continue;
/*      */       } 
/*  461 */       if (r.getType() == Type.CONTINUE) {
/*      */         continue;
/*      */       }
/*      */       
/*  465 */       if (r.getType() == Type.NOTE) {
/*      */         continue;
/*      */       }
/*      */       
/*  469 */       if (r.getType() == Type.ARRAY) {
/*      */         continue;
/*      */       }
/*      */       
/*  473 */       if (r.getType() == Type.PROTECT) {
/*      */         
/*  475 */         ProtectRecord pr = new ProtectRecord(r);
/*  476 */         this.settings.setProtected(pr.isProtected()); continue;
/*      */       } 
/*  478 */       if (r.getType() == Type.SHAREDFORMULA) {
/*      */         
/*  480 */         SharedFormulaRecord sfr = new SharedFormulaRecord(r, sharedFormula, this.workbook, this.workbook, this.sheet);
/*      */         
/*  482 */         this.sharedFormulas.add(sfr);
/*  483 */         sharedFormula = null; continue;
/*      */       } 
/*  485 */       if (r.getType() == Type.FORMULA || r.getType() == Type.FORMULA2) {
/*      */         DateFormulaRecord dateFormulaRecord;
/*  487 */         FormulaRecord fr = new FormulaRecord(r, this.excelFile, this.formattingRecords, this.workbook, this.workbook, this.sheet, this.workbookSettings);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  495 */         if (fr.isShared()) {
/*      */           
/*  497 */           BaseSharedFormulaRecord prevSharedFormula = sharedFormula;
/*  498 */           sharedFormula = (BaseSharedFormulaRecord)fr.getFormula();
/*      */ 
/*      */           
/*  501 */           sharedFormulaAdded = addToSharedFormulas(sharedFormula);
/*      */           
/*  503 */           if (sharedFormulaAdded)
/*      */           {
/*  505 */             sharedFormula = prevSharedFormula;
/*      */           }
/*      */ 
/*      */ 
/*      */           
/*  510 */           if (!sharedFormulaAdded && prevSharedFormula != null)
/*      */           {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  518 */             addCell(revertSharedFormula(prevSharedFormula));
/*      */           }
/*      */           
/*      */           continue;
/*      */         } 
/*  523 */         Cell cell = fr.getFormula();
/*      */ 
/*      */         
/*  526 */         if (fr.getFormula().getType() == CellType.NUMBER_FORMULA) {
/*      */           
/*  528 */           NumberFormulaRecord nfr = (NumberFormulaRecord)fr.getFormula();
/*  529 */           if (this.formattingRecords.isDate(nfr.getXFIndex()))
/*      */           {
/*  531 */             dateFormulaRecord = new DateFormulaRecord(nfr, this.formattingRecords, this.workbook, this.workbook, this.nineteenFour, this.sheet);
/*      */           }
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  540 */         addCell((Cell)dateFormulaRecord);
/*      */         continue;
/*      */       } 
/*  543 */       if (r.getType() == Type.LABEL) {
/*      */         
/*  545 */         LabelRecord lr = null;
/*      */         
/*  547 */         if (this.workbookBof.isBiff8()) {
/*      */           
/*  549 */           lr = new LabelRecord(r, this.formattingRecords, this.sheet, this.workbookSettings);
/*      */         }
/*      */         else {
/*      */           
/*  553 */           lr = new LabelRecord(r, this.formattingRecords, this.sheet, this.workbookSettings, LabelRecord.biff7);
/*      */         } 
/*      */         
/*  556 */         addCell(lr); continue;
/*      */       } 
/*  558 */       if (r.getType() == Type.RSTRING) {
/*      */         
/*  560 */         RStringRecord lr = null;
/*      */ 
/*      */         
/*  563 */         Assert.verify(!this.workbookBof.isBiff8());
/*  564 */         lr = new RStringRecord(r, this.formattingRecords, this.sheet, this.workbookSettings, RStringRecord.biff7);
/*      */ 
/*      */         
/*  567 */         addCell(lr); continue;
/*      */       } 
/*  569 */       if (r.getType() == Type.NAME) {
/*      */         continue;
/*      */       }
/*      */       
/*  573 */       if (r.getType() == Type.PASSWORD) {
/*      */         
/*  575 */         PasswordRecord pr = new PasswordRecord(r);
/*  576 */         this.settings.setPasswordHash(pr.getPasswordHash()); continue;
/*      */       } 
/*  578 */       if (r.getType() == Type.ROW) {
/*      */         
/*  580 */         RowRecord rr = new RowRecord(r);
/*      */ 
/*      */         
/*  583 */         if (!rr.isDefaultHeight() || rr.isCollapsed() || rr.isZeroHeight())
/*      */         {
/*  585 */           this.rowProperties.add(rr); } 
/*      */         continue;
/*      */       } 
/*  588 */       if (r.getType() == Type.BLANK) {
/*      */         
/*  590 */         BlankCell bc = new BlankCell(r, this.formattingRecords, this.sheet);
/*  591 */         addCell(bc); continue;
/*      */       } 
/*  593 */       if (r.getType() == Type.MULBLANK) {
/*      */         
/*  595 */         MulBlankRecord mulblank = new MulBlankRecord(r);
/*      */ 
/*      */         
/*  598 */         int num = mulblank.getNumberOfColumns();
/*      */         
/*  600 */         for (int j = 0; j < num; j++) {
/*      */           
/*  602 */           int ixf = mulblank.getXFIndex(j);
/*      */           
/*  604 */           MulBlankCell mbc = new MulBlankCell(mulblank.getRow(), mulblank.getFirstColumn() + j, ixf, this.formattingRecords, this.sheet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  611 */           addCell(mbc);
/*      */         }  continue;
/*      */       } 
/*  614 */       if (r.getType() == Type.SCL) {
/*      */         
/*  616 */         SCLRecord scl = new SCLRecord(r);
/*  617 */         this.settings.setZoomFactor(scl.getZoomFactor()); continue;
/*      */       } 
/*  619 */       if (r.getType() == Type.COLINFO) {
/*      */         
/*  621 */         ColumnInfoRecord cir = new ColumnInfoRecord(r);
/*  622 */         this.columnInfosArray.add(cir); continue;
/*      */       } 
/*  624 */       if (r.getType() == Type.HEADER) {
/*      */         
/*  626 */         if (this.workbookBof.isBiff8()) {
/*      */           
/*  628 */           this.header = new HeaderRecord(r, this.workbookSettings);
/*      */           
/*      */           continue;
/*      */         } 
/*  632 */         this.header = new HeaderRecord(r, this.workbookSettings, HeaderRecord.biff7);
/*      */         continue;
/*      */       } 
/*  635 */       if (r.getType() == Type.FOOTER) {
/*      */         
/*  637 */         if (this.workbookBof.isBiff8()) {
/*      */           
/*  639 */           this.footer = new FooterRecord(r, this.workbookSettings);
/*      */           
/*      */           continue;
/*      */         } 
/*  643 */         this.footer = new FooterRecord(r, this.workbookSettings, FooterRecord.biff7);
/*      */         continue;
/*      */       } 
/*  646 */       if (r.getType() == Type.SETUP) {
/*      */         
/*  648 */         SetupRecord sr = new SetupRecord(r);
/*  649 */         if (sr.isPortrait()) {
/*      */           
/*  651 */           this.settings.setOrientation(PageOrientation.PORTRAIT);
/*      */         }
/*      */         else {
/*      */           
/*  655 */           this.settings.setOrientation(PageOrientation.LANDSCAPE);
/*      */         } 
/*  657 */         this.settings.setPaperSize(PaperSize.getPaperSize(sr.getPaperSize()));
/*  658 */         this.settings.setHeaderMargin(sr.getHeaderMargin());
/*  659 */         this.settings.setFooterMargin(sr.getFooterMargin());
/*  660 */         this.settings.setScaleFactor(sr.getScaleFactor());
/*  661 */         this.settings.setPageStart(sr.getPageStart());
/*  662 */         this.settings.setFitWidth(sr.getFitWidth());
/*  663 */         this.settings.setFitHeight(sr.getFitHeight());
/*  664 */         this.settings.setHorizontalPrintResolution(sr.getHorizontalPrintResolution());
/*      */         
/*  666 */         this.settings.setVerticalPrintResolution(sr.getVerticalPrintResolution());
/*  667 */         this.settings.setCopies(sr.getCopies());
/*      */         
/*  669 */         if (this.workspaceOptions != null)
/*      */         {
/*  671 */           this.settings.setFitToPages(this.workspaceOptions.getFitToPages()); } 
/*      */         continue;
/*      */       } 
/*  674 */       if (r.getType() == Type.WSBOOL) {
/*      */         
/*  676 */         this.workspaceOptions = new WorkspaceInformationRecord(r); continue;
/*      */       } 
/*  678 */       if (r.getType() == Type.DEFCOLWIDTH) {
/*      */         
/*  680 */         DefaultColumnWidthRecord dcwr = new DefaultColumnWidthRecord(r);
/*  681 */         this.settings.setDefaultColumnWidth(dcwr.getWidth()); continue;
/*      */       } 
/*  683 */       if (r.getType() == Type.DEFAULTROWHEIGHT) {
/*      */         
/*  685 */         DefaultRowHeightRecord drhr = new DefaultRowHeightRecord(r);
/*  686 */         if (drhr.getHeight() != 0)
/*      */         {
/*  688 */           this.settings.setDefaultRowHeight(drhr.getHeight()); } 
/*      */         continue;
/*      */       } 
/*  691 */       if (r.getType() == Type.LEFTMARGIN) {
/*      */         
/*  693 */         MarginRecord m = new LeftMarginRecord(r);
/*  694 */         this.settings.setLeftMargin(m.getMargin()); continue;
/*      */       } 
/*  696 */       if (r.getType() == Type.RIGHTMARGIN) {
/*      */         
/*  698 */         MarginRecord m = new RightMarginRecord(r);
/*  699 */         this.settings.setRightMargin(m.getMargin()); continue;
/*      */       } 
/*  701 */       if (r.getType() == Type.TOPMARGIN) {
/*      */         
/*  703 */         MarginRecord m = new TopMarginRecord(r);
/*  704 */         this.settings.setTopMargin(m.getMargin()); continue;
/*      */       } 
/*  706 */       if (r.getType() == Type.BOTTOMMARGIN) {
/*      */         
/*  708 */         MarginRecord m = new BottomMarginRecord(r);
/*  709 */         this.settings.setBottomMargin(m.getMargin()); continue;
/*      */       } 
/*  711 */       if (r.getType() == Type.HORIZONTALPAGEBREAKS) {
/*      */         
/*  713 */         HorizontalPageBreaksRecord dr = null;
/*      */         
/*  715 */         if (this.workbookBof.isBiff8()) {
/*      */           
/*  717 */           dr = new HorizontalPageBreaksRecord(r);
/*      */         }
/*      */         else {
/*      */           
/*  721 */           dr = new HorizontalPageBreaksRecord(r, HorizontalPageBreaksRecord.biff7);
/*      */         } 
/*      */ 
/*      */         
/*  725 */         this.rowBreaks = dr.getRowBreaks(); continue;
/*      */       } 
/*  727 */       if (r.getType() == Type.PLS) {
/*      */         
/*  729 */         this.plsRecord = new PLSRecord(r); continue;
/*      */       } 
/*  731 */       if (r.getType() == Type.OBJ) {
/*      */         
/*  733 */         objRecord = new ObjRecord(r);
/*      */         
/*  735 */         if (objRecord.getType() == ObjRecord.PICTURE) {
/*      */           
/*  737 */           Drawing drawing = new Drawing(msoRecord, objRecord, this.workbook.getDrawingGroup());
/*      */           
/*  739 */           this.drawings.add(drawing);
/*  740 */           msoRecord = null;
/*  741 */           objRecord = null;
/*      */         }  continue;
/*      */       } 
/*  744 */       if (r.getType() == Type.MSODRAWING) {
/*      */         
/*  746 */         msoRecord = new MsoDrawingRecord(r); continue;
/*      */       } 
/*  748 */       if (r.getType() == Type.BOF) {
/*      */         
/*  750 */         BOFRecord br = new BOFRecord(r);
/*  751 */         Assert.verify(!br.isWorksheet());
/*      */         
/*  753 */         int startpos = this.excelFile.getPos() - r.getLength() - 4;
/*      */ 
/*      */ 
/*      */         
/*  757 */         Record r2 = this.excelFile.next();
/*  758 */         while (r2.getCode() != Type.EOF.value)
/*      */         {
/*  760 */           r2 = this.excelFile.next();
/*      */         }
/*      */         
/*  763 */         if (br.isChart()) {
/*      */           
/*  765 */           Chart chart = new Chart(msoRecord, objRecord, startpos, this.excelFile.getPos(), this.excelFile, this.workbookSettings);
/*      */ 
/*      */           
/*  768 */           this.charts.add(chart);
/*  769 */           this.workbook.getDrawingGroup().add(chart);
/*      */ 
/*      */           
/*  772 */           msoRecord = null;
/*  773 */           objRecord = null;
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/*  778 */         if (this.sheetBof.isChart())
/*      */         {
/*  780 */           cont = false; } 
/*      */         continue;
/*      */       } 
/*  783 */       if (r.getType() == Type.EOF)
/*      */       {
/*  785 */         cont = false;
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  790 */     this.excelFile.restorePos();
/*      */ 
/*      */     
/*  793 */     Iterator i = this.sharedFormulas.iterator();
/*      */     
/*  795 */     while (i.hasNext()) {
/*      */       
/*  797 */       SharedFormulaRecord sfr = i.next();
/*      */       
/*  799 */       Cell[] sfnr = sfr.getFormulas(this.formattingRecords, this.nineteenFour);
/*      */       
/*  801 */       for (int sf = 0; sf < sfnr.length; sf++)
/*      */       {
/*  803 */         addCell(sfnr[sf]);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  809 */     if (!sharedFormulaAdded && sharedFormula != null)
/*      */     {
/*  811 */       addCell(revertSharedFormula(sharedFormula));
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean addToSharedFormulas(BaseSharedFormulaRecord fr) {
/*  824 */     Iterator i = this.sharedFormulas.iterator();
/*  825 */     boolean added = false;
/*  826 */     SharedFormulaRecord sfr = null;
/*      */     
/*  828 */     while (i.hasNext() && !added) {
/*      */       
/*  830 */       sfr = i.next();
/*  831 */       added = sfr.add(fr);
/*      */     } 
/*      */     
/*  834 */     return added;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Cell revertSharedFormula(BaseSharedFormulaRecord f) {
/*      */     DateFormulaRecord dateFormulaRecord;
/*  849 */     int pos = this.excelFile.getPos();
/*  850 */     this.excelFile.setPos(f.getFilePos());
/*      */     
/*  852 */     FormulaRecord fr = new FormulaRecord(f.getRecord(), this.excelFile, this.formattingRecords, this.workbook, this.workbook, FormulaRecord.ignoreSharedFormula, this.sheet, this.workbookSettings);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  861 */     Cell cell = fr.getFormula();
/*      */ 
/*      */     
/*  864 */     if (fr.getFormula().getType() == CellType.NUMBER_FORMULA) {
/*      */       
/*  866 */       NumberFormulaRecord nfr = (NumberFormulaRecord)fr.getFormula();
/*  867 */       if (this.formattingRecords.isDate(fr.getXFIndex()))
/*      */       {
/*  869 */         dateFormulaRecord = new DateFormulaRecord(nfr, this.formattingRecords, this.workbook, this.workbook, this.nineteenFour, this.sheet);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  878 */     this.excelFile.setPos(pos);
/*  879 */     return (Cell)dateFormulaRecord;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int getNumRows() {
/*  890 */     return this.numRows;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int getNumCols() {
/*  900 */     return this.numCols;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Cell[][] getCells() {
/*  910 */     return this.cells;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final ArrayList getRowProperties() {
/*  920 */     return this.rowProperties;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final ArrayList getColumnInfosArray() {
/*  930 */     return this.columnInfosArray;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final ArrayList getHyperlinks() {
/*  940 */     return this.hyperlinks;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final ArrayList getCharts() {
/*  950 */     return this.charts;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final ArrayList getDrawings() {
/*  960 */     return this.drawings;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Range[] getMergedCells() {
/*  970 */     return this.mergedCells;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final HeaderRecord getHeader() {
/*  980 */     return this.header;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final FooterRecord getFooter() {
/*  990 */     return this.footer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final SheetSettings getSettings() {
/* 1000 */     return this.settings;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int[] getRowBreaks() {
/* 1010 */     return this.rowBreaks;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final WorkspaceInformationRecord getWorkspaceOptions() {
/* 1020 */     return this.workspaceOptions;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final PLSRecord getPLS() {
/* 1030 */     return this.plsRecord;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SheetReader.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */