/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.CellType;
/*     */ import jxl.LabelCell;
/*     */ import jxl.StringFormulaCell;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.StringHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class StringFormulaRecord
/*     */   extends CellValue
/*     */   implements LabelCell, FormulaData, StringFormulaCell
/*     */ {
/*     */   private String value;
/*     */   private ExternalSheet externalSheet;
/*     */   private WorkbookMethods nameTable;
/*     */   private String formulaString;
/*     */   private byte[] data;
/*     */   
/*     */   public StringFormulaRecord(Record t, File excelFile, FormattingRecords fr, ExternalSheet es, WorkbookMethods nt, SheetImpl si, WorkbookSettings ws) {
/*  88 */     super(t, fr, si);
/*     */     
/*  90 */     this.externalSheet = es;
/*  91 */     this.nameTable = nt;
/*     */     
/*  93 */     this.data = getRecord().getData();
/*     */     
/*  95 */     int pos = excelFile.getPos();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 100 */     Record nextRecord = excelFile.next();
/* 101 */     int count = 0;
/* 102 */     while (nextRecord.getType() != Type.STRING && count < 4) {
/*     */       
/* 104 */       nextRecord = excelFile.next();
/* 105 */       count++;
/*     */     } 
/* 107 */     Assert.verify((count < 4), " @ " + pos);
/* 108 */     readString(nextRecord.getData(), ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readString(byte[] d, WorkbookSettings ws) {
/* 119 */     int pos = 0;
/* 120 */     int chars = IntegerHelper.getInt(d[0], d[1]);
/* 121 */     pos += 2;
/* 122 */     int optionFlags = d[pos];
/* 123 */     pos++;
/*     */     
/* 125 */     if ((optionFlags & 0xF) != optionFlags) {
/*     */ 
/*     */ 
/*     */       
/* 129 */       pos = 0;
/* 130 */       chars = IntegerHelper.getInt(d[0], (byte)0);
/* 131 */       optionFlags = d[1];
/* 132 */       pos = 2;
/*     */     } 
/*     */ 
/*     */     
/* 136 */     boolean extendedString = ((optionFlags & 0x4) != 0);
/*     */ 
/*     */     
/* 139 */     boolean richString = ((optionFlags & 0x8) != 0);
/*     */     
/* 141 */     if (richString)
/*     */     {
/* 143 */       pos += 2;
/*     */     }
/*     */     
/* 146 */     if (extendedString)
/*     */     {
/* 148 */       pos += 4;
/*     */     }
/*     */ 
/*     */     
/* 152 */     boolean asciiEncoding = ((optionFlags & 0x1) == 0);
/*     */     
/* 154 */     byte[] bytes = null;
/*     */     
/* 156 */     if (asciiEncoding) {
/*     */       
/* 158 */       this.value = StringHelper.getString(d, chars, pos, ws);
/*     */     }
/*     */     else {
/*     */       
/* 162 */       this.value = StringHelper.getUnicodeString(d, chars, pos);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 173 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getString() {
/* 183 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 193 */     return CellType.STRING_FORMULA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() {
/* 205 */     byte[] d = new byte[this.data.length - 6];
/* 206 */     System.arraycopy(this.data, 6, d, 0, this.data.length - 6);
/*     */     
/* 208 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFormula() throws FormulaException {
/* 219 */     if (this.formulaString == null) {
/*     */       
/* 221 */       byte[] tokens = new byte[this.data.length - 22];
/* 222 */       System.arraycopy(this.data, 22, tokens, 0, tokens.length);
/* 223 */       FormulaParser fp = new FormulaParser(tokens, this, this.externalSheet, this.nameTable, getSheet().getWorkbook().getSettings());
/*     */ 
/*     */       
/* 226 */       fp.parse();
/* 227 */       this.formulaString = fp.getFormula();
/*     */     } 
/*     */     
/* 230 */     return this.formulaString;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\StringFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */