/*     */ package jxl.read.biff;
/*     */ 
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.RecordData;
/*     */ import jxl.biff.StringHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SupbookRecord
/*     */   extends RecordData
/*     */ {
/*     */   private Type type;
/*     */   private int numSheets;
/*     */   private String fileName;
/*     */   private String[] sheetNames;
/*     */   
/*     */   private static class Type
/*     */   {
/*     */     private Type() {}
/*     */   }
/*     */   
/*  58 */   public static final Type INTERNAL = new Type();
/*  59 */   public static final Type EXTERNAL = new Type();
/*  60 */   public static final Type ADDIN = new Type();
/*  61 */   public static final Type LINK = new Type();
/*  62 */   public static final Type UNKNOWN = new Type();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   SupbookRecord(Record t, WorkbookSettings ws) {
/*  72 */     super(t);
/*  73 */     byte[] data = getRecord().getData();
/*     */ 
/*     */     
/*  76 */     if (data.length == 4) {
/*     */       
/*  78 */       if (data[2] == 1 && data[3] == 4)
/*     */       {
/*  80 */         this.type = INTERNAL;
/*     */       }
/*  82 */       else if (data[2] == 1 && data[3] == 58)
/*     */       {
/*  84 */         this.type = ADDIN;
/*     */       }
/*     */       else
/*     */       {
/*  88 */         this.type = UNKNOWN;
/*     */       }
/*     */     
/*  91 */     } else if (data[0] == 0 && data[1] == 0) {
/*     */       
/*  93 */       this.type = LINK;
/*     */     }
/*     */     else {
/*     */       
/*  97 */       this.type = EXTERNAL;
/*     */     } 
/*     */     
/* 100 */     if (this.type == INTERNAL)
/*     */     {
/* 102 */       this.numSheets = IntegerHelper.getInt(data[0], data[1]);
/*     */     }
/*     */     
/* 105 */     if (this.type == EXTERNAL)
/*     */     {
/* 107 */       readExternal(data, ws);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readExternal(byte[] data, WorkbookSettings ws) {
/* 119 */     this.numSheets = IntegerHelper.getInt(data[0], data[1]);
/*     */ 
/*     */     
/* 122 */     int ln = IntegerHelper.getInt(data[2], data[3]) - 1;
/* 123 */     int pos = 0;
/*     */     
/* 125 */     if (data[4] == 0) {
/*     */ 
/*     */       
/* 128 */       int encoding = data[5];
/* 129 */       pos = 6;
/* 130 */       if (encoding == 0)
/*     */       {
/* 132 */         this.fileName = StringHelper.getString(data, ln, pos, ws);
/* 133 */         pos += ln;
/*     */       }
/*     */       else
/*     */       {
/* 137 */         this.fileName = getEncodedFilename(data, ln, pos);
/* 138 */         pos += ln;
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 144 */       int encoding = IntegerHelper.getInt(data[5], data[6]);
/* 145 */       pos = 7;
/* 146 */       if (encoding == 0) {
/*     */         
/* 148 */         this.fileName = StringHelper.getUnicodeString(data, ln, pos);
/* 149 */         pos += ln * 2;
/*     */       }
/*     */       else {
/*     */         
/* 153 */         this.fileName = getUnicodeEncodedFilename(data, ln, pos);
/* 154 */         pos += ln * 2;
/*     */       } 
/*     */     } 
/*     */     
/* 158 */     this.sheetNames = new String[this.numSheets];
/*     */     
/* 160 */     for (int i = 0; i < this.sheetNames.length; i++) {
/*     */       
/* 162 */       ln = IntegerHelper.getInt(data[pos], data[pos + 1]);
/*     */       
/* 164 */       if (data[pos + 2] == 0) {
/*     */         
/* 166 */         this.sheetNames[i] = StringHelper.getString(data, ln, pos + 3, ws);
/* 167 */         pos += ln + 3;
/*     */       }
/* 169 */       else if (data[pos + 2] == 1) {
/*     */         
/* 171 */         this.sheetNames[i] = StringHelper.getUnicodeString(data, ln, pos + 3);
/* 172 */         pos += ln * 2 + 3;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Type getType() {
/* 184 */     return this.type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNumberOfSheets() {
/* 195 */     return this.numSheets;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFileName() {
/* 205 */     return this.fileName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSheetName(int i) {
/* 216 */     return this.sheetNames[i];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 226 */     return getRecord().getData();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getEncodedFilename(byte[] data, int ln, int pos) {
/* 239 */     StringBuffer buf = new StringBuffer();
/* 240 */     int endpos = pos + ln;
/* 241 */     while (pos < endpos) {
/*     */       
/* 243 */       char c = (char)data[pos];
/*     */       
/* 245 */       if (c == '\001') {
/*     */ 
/*     */         
/* 248 */         pos++;
/* 249 */         c = (char)data[pos];
/* 250 */         buf.append(c);
/* 251 */         buf.append(":\\\\");
/*     */       }
/* 253 */       else if (c == '\002') {
/*     */ 
/*     */         
/* 256 */         buf.append('\\');
/*     */       }
/* 258 */       else if (c == '\003') {
/*     */ 
/*     */         
/* 261 */         buf.append('\\');
/*     */       }
/* 263 */       else if (c == '\004') {
/*     */ 
/*     */         
/* 266 */         buf.append("..\\");
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 271 */         buf.append(c);
/*     */       } 
/*     */       
/* 274 */       pos++;
/*     */     } 
/*     */     
/* 277 */     return buf.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getUnicodeEncodedFilename(byte[] data, int ln, int pos) {
/* 290 */     StringBuffer buf = new StringBuffer();
/* 291 */     int endpos = pos + ln * 2;
/* 292 */     while (pos < endpos) {
/*     */       
/* 294 */       char c = (char)IntegerHelper.getInt(data[pos], data[pos + 1]);
/*     */       
/* 296 */       if (c == '\001') {
/*     */ 
/*     */         
/* 299 */         pos += 2;
/* 300 */         c = (char)IntegerHelper.getInt(data[pos], data[pos + 1]);
/* 301 */         buf.append(c);
/* 302 */         buf.append(":\\\\");
/*     */       }
/* 304 */       else if (c == '\002') {
/*     */ 
/*     */         
/* 307 */         buf.append('\\');
/*     */       }
/* 309 */       else if (c == '\003') {
/*     */ 
/*     */         
/* 312 */         buf.append('\\');
/*     */       }
/* 314 */       else if (c == '\004') {
/*     */ 
/*     */         
/* 317 */         buf.append("..\\");
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 322 */         buf.append(c);
/*     */       } 
/*     */       
/* 325 */       pos += 2;
/*     */     } 
/*     */     
/* 328 */     return buf.toString();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SupbookRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */