/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import common.Logger;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import jxl.Cell;
/*     */ import jxl.Range;
/*     */ import jxl.Sheet;
/*     */ import jxl.Workbook;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.DisplayFormat;
/*     */ import jxl.biff.FontRecord;
/*     */ import jxl.biff.Fonts;
/*     */ import jxl.biff.FormatRecord;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.NumFormatRecordsException;
/*     */ import jxl.biff.PaletteRecord;
/*     */ import jxl.biff.RangeImpl;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ import jxl.biff.XFRecord;
/*     */ import jxl.biff.drawing.DrawingGroup;
/*     */ import jxl.biff.drawing.MsoDrawingGroupRecord;
/*     */ import jxl.biff.formula.ExternalSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WorkbookParser
/*     */   extends Workbook
/*     */   implements ExternalSheet, WorkbookMethods
/*     */ {
/*  58 */   private static Logger logger = Logger.getLogger(WorkbookParser.class);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private File excelFile;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int bofs;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean nineteenFour;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SSTRecord sharedStrings;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList boundsheets;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FormattingRecords formattingRecords;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Fonts fonts;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList sheets;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SheetImpl lastSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int lastSheetIndex;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private HashMap namedRecords;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList nameTable;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ExternalSheetRecord externSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList supbooks;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private BOFRecord workbookBof;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private MsoDrawingGroupRecord msoDrawingGroup;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean wbProtected;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private WorkbookSettings settings;
/*     */ 
/*     */ 
/*     */   
/*     */   private DrawingGroup drawingGroup;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WorkbookParser(File f, WorkbookSettings s) {
/* 158 */     this.excelFile = f;
/* 159 */     this.boundsheets = new ArrayList(10);
/* 160 */     this.fonts = new Fonts();
/* 161 */     this.formattingRecords = new FormattingRecords(this.fonts);
/* 162 */     this.sheets = new ArrayList(10);
/* 163 */     this.supbooks = new ArrayList(10);
/* 164 */     this.namedRecords = new HashMap();
/* 165 */     this.lastSheetIndex = -1;
/* 166 */     this.wbProtected = false;
/* 167 */     this.settings = s;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Sheet[] getSheets() {
/* 180 */     Sheet[] sheetArray = new Sheet[getNumberOfSheets()];
/*     */     
/* 182 */     for (int i = 0; i < getNumberOfSheets(); i++)
/*     */     {
/* 184 */       sheetArray[i] = this.sheets.get(i);
/*     */     }
/* 186 */     return sheetArray;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Sheet getReadSheet(int index) {
/* 198 */     return getSheet(index);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Sheet getSheet(int index) {
/* 212 */     if (this.lastSheet != null && this.lastSheetIndex == index)
/*     */     {
/* 214 */       return this.lastSheet;
/*     */     }
/*     */ 
/*     */     
/* 218 */     if (this.lastSheet != null) {
/*     */       
/* 220 */       this.lastSheet.clear();
/*     */       
/* 222 */       if (!this.settings.getGCDisabled())
/*     */       {
/* 224 */         System.gc();
/*     */       }
/*     */     } 
/*     */     
/* 228 */     this.lastSheet = this.sheets.get(index);
/* 229 */     this.lastSheetIndex = index;
/* 230 */     this.lastSheet.readSheet();
/*     */     
/* 232 */     return this.lastSheet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Sheet getSheet(String name) {
/* 244 */     int pos = 0;
/* 245 */     boolean found = false;
/* 246 */     Iterator i = this.boundsheets.iterator();
/* 247 */     BoundsheetRecord br = null;
/*     */     
/* 249 */     while (i.hasNext() && !found) {
/*     */       
/* 251 */       br = i.next();
/*     */       
/* 253 */       if (br.getName().equals(name)) {
/*     */         
/* 255 */         found = true;
/*     */         
/*     */         continue;
/*     */       } 
/* 259 */       pos++;
/*     */     } 
/*     */ 
/*     */     
/* 263 */     return found ? getSheet(pos) : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getExternalSheetIndex(int index) {
/* 278 */     if (this.workbookBof.isBiff7())
/*     */     {
/* 280 */       return index;
/*     */     }
/*     */     
/* 283 */     Assert.verify((this.externSheet != null));
/*     */     
/* 285 */     int firstTab = this.externSheet.getFirstTabIndex(index);
/* 286 */     int lastTab = this.externSheet.getLastTabIndex(index);
/*     */     
/* 288 */     Assert.verify((firstTab == lastTab));
/*     */     
/* 290 */     return firstTab;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getExternalSheetName(int index) {
/* 303 */     if (this.workbookBof.isBiff7()) {
/*     */       
/* 305 */       BoundsheetRecord br = this.boundsheets.get(index);
/*     */       
/* 307 */       return br.getName();
/*     */     } 
/*     */     
/* 310 */     int supbookIndex = this.externSheet.getSupbookIndex(index);
/* 311 */     SupbookRecord sr = this.supbooks.get(supbookIndex);
/*     */     
/* 313 */     int firstTab = this.externSheet.getFirstTabIndex(index);
/* 314 */     int lastTab = this.externSheet.getLastTabIndex(index);
/*     */     
/* 316 */     Assert.verify((firstTab == lastTab));
/*     */     
/* 318 */     if (sr.getType() == SupbookRecord.INTERNAL) {
/*     */ 
/*     */       
/* 321 */       BoundsheetRecord br = this.boundsheets.get(firstTab);
/*     */       
/* 323 */       return br.getName();
/*     */     } 
/* 325 */     if (sr.getType() == SupbookRecord.EXTERNAL) {
/*     */ 
/*     */       
/* 328 */       StringBuffer sb = new StringBuffer();
/* 329 */       sb.append('[');
/* 330 */       sb.append(sr.getFileName());
/* 331 */       sb.append(']');
/* 332 */       sb.append(sr.getSheetName(firstTab));
/* 333 */       return sb.toString();
/*     */     } 
/*     */ 
/*     */     
/* 337 */     return "[UNKNOWN]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNumberOfSheets() {
/* 347 */     return this.sheets.size();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() {
/* 356 */     if (this.lastSheet != null)
/*     */     {
/* 358 */       this.lastSheet.clear();
/*     */     }
/* 360 */     this.excelFile.clear();
/*     */     
/* 362 */     if (!this.settings.getGCDisabled())
/*     */     {
/* 364 */       System.gc();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void addSheet(Sheet s) {
/* 375 */     this.sheets.add(s);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void parse() throws BiffException, PasswordException {
/* 386 */     Record r = null;
/*     */     
/* 388 */     BOFRecord bof = new BOFRecord(this.excelFile.next());
/* 389 */     this.workbookBof = bof;
/* 390 */     this.bofs++;
/*     */     
/* 392 */     if (!bof.isBiff8() && !bof.isBiff7())
/*     */     {
/* 394 */       throw new BiffException(BiffException.unrecognizedBiffVersion);
/*     */     }
/*     */     
/* 397 */     if (!bof.isWorkbookGlobals())
/*     */     {
/* 399 */       throw new BiffException(BiffException.expectedGlobals);
/*     */     }
/* 401 */     ArrayList continueRecords = new ArrayList();
/* 402 */     this.nameTable = new ArrayList();
/*     */ 
/*     */     
/* 405 */     while (this.bofs == 1) {
/*     */       
/* 407 */       r = this.excelFile.next();
/*     */       
/* 409 */       if (r.getType() == Type.SST) {
/*     */         
/* 411 */         continueRecords.clear();
/* 412 */         Record nextrec = this.excelFile.peek();
/* 413 */         while (nextrec.getType() == Type.CONTINUE) {
/*     */           
/* 415 */           continueRecords.add(this.excelFile.next());
/* 416 */           nextrec = this.excelFile.peek();
/*     */         } 
/*     */ 
/*     */         
/* 420 */         Object[] rec = continueRecords.toArray();
/* 421 */         Record[] records = new Record[rec.length];
/* 422 */         System.arraycopy(rec, 0, records, 0, rec.length);
/*     */         
/* 424 */         this.sharedStrings = new SSTRecord(r, records, this.settings); continue;
/*     */       } 
/* 426 */       if (r.getType() == Type.FILEPASS)
/*     */       {
/* 428 */         throw new PasswordException();
/*     */       }
/* 430 */       if (r.getType() == Type.NAME) {
/*     */         
/* 432 */         NameRecord nr = null;
/*     */         
/* 434 */         if (bof.isBiff8()) {
/*     */           
/* 436 */           nr = new NameRecord(r, this.settings, this.namedRecords.size());
/*     */         }
/*     */         else {
/*     */           
/* 440 */           nr = new NameRecord(r, this.settings, this.namedRecords.size(), NameRecord.biff7);
/*     */         } 
/*     */ 
/*     */         
/* 444 */         this.namedRecords.put(nr.getName(), nr);
/* 445 */         this.nameTable.add(nr); continue;
/*     */       } 
/* 447 */       if (r.getType() == Type.FONT) {
/*     */         
/* 449 */         FontRecord fr = null;
/*     */         
/* 451 */         if (bof.isBiff8()) {
/*     */           
/* 453 */           fr = new FontRecord(r, this.settings);
/*     */         }
/*     */         else {
/*     */           
/* 457 */           fr = new FontRecord(r, this.settings, FontRecord.biff7);
/*     */         } 
/* 459 */         this.fonts.addFont(fr); continue;
/*     */       } 
/* 461 */       if (r.getType() == Type.PALETTE) {
/*     */         
/* 463 */         PaletteRecord palette = new PaletteRecord(r);
/* 464 */         this.formattingRecords.setPalette(palette); continue;
/*     */       } 
/* 466 */       if (r.getType() == Type.NINETEENFOUR) {
/*     */         
/* 468 */         NineteenFourRecord nr = new NineteenFourRecord(r);
/* 469 */         this.nineteenFour = nr.is1904(); continue;
/*     */       } 
/* 471 */       if (r.getType() == Type.FORMAT) {
/*     */         
/* 473 */         FormatRecord fr = null;
/* 474 */         if (bof.isBiff8()) {
/*     */           
/* 476 */           fr = new FormatRecord(r, this.settings, FormatRecord.biff8);
/*     */         }
/*     */         else {
/*     */           
/* 480 */           fr = new FormatRecord(r, this.settings, FormatRecord.biff7);
/*     */         } 
/*     */         
/*     */         try {
/* 484 */           this.formattingRecords.addFormat((DisplayFormat)fr);
/*     */         }
/* 486 */         catch (NumFormatRecordsException e) {
/*     */ 
/*     */           
/* 489 */           Assert.verify(false, e.getMessage());
/*     */         }  continue;
/*     */       } 
/* 492 */       if (r.getType() == Type.XF) {
/*     */         
/* 494 */         XFRecord xfr = null;
/* 495 */         if (bof.isBiff8()) {
/*     */           
/* 497 */           xfr = new XFRecord(r, XFRecord.biff8);
/*     */         }
/*     */         else {
/*     */           
/* 501 */           xfr = new XFRecord(r, XFRecord.biff7);
/*     */         } 
/*     */ 
/*     */         
/*     */         try {
/* 506 */           this.formattingRecords.addStyle(xfr);
/*     */         }
/* 508 */         catch (NumFormatRecordsException e) {
/*     */ 
/*     */           
/* 511 */           Assert.verify(false, e.getMessage());
/*     */         }  continue;
/*     */       } 
/* 514 */       if (r.getType() == Type.BOUNDSHEET) {
/*     */         
/* 516 */         BoundsheetRecord br = null;
/*     */         
/* 518 */         if (bof.isBiff8()) {
/*     */           
/* 520 */           br = new BoundsheetRecord(r);
/*     */         }
/*     */         else {
/*     */           
/* 524 */           br = new BoundsheetRecord(r, BoundsheetRecord.biff7);
/*     */         } 
/*     */         
/* 527 */         if (br.isSheet() || br.isChart())
/*     */         {
/* 529 */           this.boundsheets.add(br); } 
/*     */         continue;
/*     */       } 
/* 532 */       if (r.getType() == Type.EXTERNSHEET) {
/*     */         
/* 534 */         if (bof.isBiff8()) {
/*     */           
/* 536 */           this.externSheet = new ExternalSheetRecord(r, this.settings);
/*     */           
/*     */           continue;
/*     */         } 
/* 540 */         this.externSheet = new ExternalSheetRecord(r, this.settings, ExternalSheetRecord.biff7);
/*     */         
/*     */         continue;
/*     */       } 
/* 544 */       if (r.getType() == Type.SUPBOOK) {
/*     */         
/* 546 */         SupbookRecord sr = new SupbookRecord(r, this.settings);
/* 547 */         this.supbooks.add(sr); continue;
/*     */       } 
/* 549 */       if (r.getType() == Type.PROTECT) {
/*     */         
/* 551 */         ProtectRecord pr = new ProtectRecord(r);
/* 552 */         this.wbProtected = pr.isProtected(); continue;
/*     */       } 
/* 554 */       if (r.getType() == Type.MSODRAWINGGROUP) {
/*     */         
/* 556 */         this.msoDrawingGroup = new MsoDrawingGroupRecord(r);
/*     */         
/* 558 */         if (this.drawingGroup == null)
/*     */         {
/* 560 */           this.drawingGroup = new DrawingGroup(DrawingGroup.READ);
/*     */         }
/*     */         
/* 563 */         this.drawingGroup.add(this.msoDrawingGroup);
/*     */         
/* 565 */         Record nextrec = this.excelFile.peek();
/* 566 */         while (nextrec.getType() == Type.CONTINUE) {
/*     */           
/* 568 */           this.drawingGroup.add(this.excelFile.next());
/* 569 */           nextrec = this.excelFile.peek();
/*     */         }  continue;
/*     */       } 
/* 572 */       if (r.getType() == Type.EOF)
/*     */       {
/* 574 */         this.bofs--;
/*     */       }
/*     */     } 
/*     */     
/* 578 */     bof = null;
/* 579 */     if (this.excelFile.hasNext()) {
/*     */       
/* 581 */       r = this.excelFile.next();
/*     */       
/* 583 */       if (r.getType() == Type.BOF)
/*     */       {
/* 585 */         bof = new BOFRecord(r);
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 590 */     while (bof != null && getNumberOfSheets() < this.boundsheets.size()) {
/*     */       
/* 592 */       if (!bof.isBiff8() && !bof.isBiff7())
/*     */       {
/* 594 */         throw new BiffException(BiffException.unrecognizedBiffVersion);
/*     */       }
/*     */       
/* 597 */       if (bof.isWorksheet()) {
/*     */ 
/*     */         
/* 600 */         SheetImpl s = new SheetImpl(this.excelFile, this.sharedStrings, this.formattingRecords, bof, this.workbookBof, this.nineteenFour, this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 608 */         BoundsheetRecord br = this.boundsheets.get(getNumberOfSheets());
/*     */         
/* 610 */         s.setName(br.getName());
/* 611 */         s.setHidden(br.isHidden());
/* 612 */         addSheet(s);
/*     */       }
/* 614 */       else if (bof.isChart()) {
/*     */ 
/*     */         
/* 617 */         SheetImpl s = new SheetImpl(this.excelFile, this.sharedStrings, this.formattingRecords, bof, this.workbookBof, this.nineteenFour, this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 625 */         BoundsheetRecord br = this.boundsheets.get(getNumberOfSheets());
/*     */         
/* 627 */         s.setName(br.getName());
/* 628 */         s.setHidden(br.isHidden());
/* 629 */         addSheet(s);
/*     */       }
/*     */       else {
/*     */         
/* 633 */         logger.warn("BOF is unrecognized");
/*     */ 
/*     */         
/* 636 */         while (this.excelFile.hasNext() && r.getType() != Type.EOF)
/*     */         {
/* 638 */           r = this.excelFile.next();
/*     */         }
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 647 */       bof = null;
/* 648 */       if (this.excelFile.hasNext()) {
/*     */         
/* 650 */         r = this.excelFile.next();
/*     */         
/* 652 */         if (r.getType() == Type.BOF)
/*     */         {
/* 654 */           bof = new BOFRecord(r);
/*     */         }
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormattingRecords getFormattingRecords() {
/* 668 */     return this.formattingRecords;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ExternalSheetRecord getExternalSheetRecord() {
/* 679 */     return this.externSheet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public MsoDrawingGroupRecord getMsoDrawingGroupRecord() {
/* 690 */     return this.msoDrawingGroup;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SupbookRecord[] getSupbookRecords() {
/* 701 */     SupbookRecord[] sr = new SupbookRecord[this.supbooks.size()];
/*     */     
/* 703 */     for (int i = 0; i < sr.length; i++)
/*     */     {
/* 705 */       sr[i] = this.supbooks.get(i);
/*     */     }
/*     */     
/* 708 */     return sr;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NameRecord[] getNameRecords() {
/* 719 */     NameRecord[] na = new NameRecord[this.nameTable.size()];
/*     */     
/* 721 */     for (int i = 0; i < this.nameTable.size(); i++)
/*     */     {
/* 723 */       na[i] = this.nameTable.get(i);
/*     */     }
/*     */     
/* 726 */     return na;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Fonts getFonts() {
/* 736 */     return this.fonts;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Cell findCellByName(String name) {
/* 750 */     NameRecord nr = (NameRecord)this.namedRecords.get(name);
/*     */     
/* 752 */     if (nr == null)
/*     */     {
/* 754 */       return null;
/*     */     }
/*     */     
/* 757 */     NameRecord.NameRange[] ranges = nr.getRanges();
/*     */ 
/*     */     
/* 760 */     Sheet s = getSheet(ranges[0].getFirstSheet());
/* 761 */     Cell cell = s.getCell(ranges[0].getFirstColumn(), ranges[0].getFirstRow());
/*     */     
/* 763 */     return cell;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Range[] findByName(String name) {
/* 782 */     NameRecord nr = (NameRecord)this.namedRecords.get(name);
/*     */     
/* 784 */     if (nr == null)
/*     */     {
/* 786 */       return null;
/*     */     }
/*     */     
/* 789 */     NameRecord.NameRange[] ranges = nr.getRanges();
/*     */     
/* 791 */     Range[] cellRanges = new Range[ranges.length];
/*     */     
/* 793 */     for (int i = 0; i < ranges.length; i++)
/*     */     {
/* 795 */       cellRanges[i] = (Range)new RangeImpl(this, this, ranges[i].getFirstSheet(), ranges[i].getFirstColumn(), ranges[i].getFirstRow(), ranges[i].getLastSheet(), ranges[i].getLastColumn(), ranges[i].getLastRow());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 805 */     return cellRanges;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BOFRecord getWorkbookBof() {
/* 816 */     return this.workbookBof;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isProtected() {
/* 826 */     return this.wbProtected;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WorkbookSettings getSettings() {
/* 836 */     return this.settings;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getExternalSheetIndex(String sheetName) {
/* 847 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName(int index) {
/* 858 */     Assert.verify((index >= 0 && index < this.nameTable.size()));
/* 859 */     return ((NameRecord)this.nameTable.get(index)).getName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNameIndex(String name) {
/* 870 */     NameRecord nr = (NameRecord)this.namedRecords.get(name);
/*     */     
/* 872 */     return (nr != null) ? nr.getIndex() : 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DrawingGroup getDrawingGroup() {
/* 880 */     return this.drawingGroup;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\WorkbookParser.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */