/*     */ package jxl.write;
/*     */ 
/*     */ import jxl.biff.DisplayFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class NumberFormats
/*     */ {
/*     */   private static class BuiltInFormat
/*     */     implements DisplayFormat
/*     */   {
/*     */     private int index;
/*     */     private String formatString;
/*     */     
/*     */     public BuiltInFormat(int i, String s) {
/*  52 */       this.index = i;
/*  53 */       this.formatString = s;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int getFormatIndex() {
/*  63 */       return this.index;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean isInitialized() {
/*  73 */       return true;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean isBuiltIn() {
/*  82 */       return true;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void initialize(int pos) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public String getFormatString() {
/* 103 */       return this.formatString;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean equals(Object o) {
/* 114 */       if (o == this)
/*     */       {
/* 116 */         return true;
/*     */       }
/*     */       
/* 119 */       if (!(o instanceof BuiltInFormat))
/*     */       {
/* 121 */         return false;
/*     */       }
/*     */       
/* 124 */       BuiltInFormat bif = (BuiltInFormat)o;
/*     */       
/* 126 */       return (this.index == bif.index);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int hashCode() {
/* 136 */       return this.index;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 147 */   public static final DisplayFormat DEFAULT = new BuiltInFormat(0, "#");
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 152 */   public static final DisplayFormat INTEGER = new BuiltInFormat(1, "0");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   public static final DisplayFormat FLOAT = new BuiltInFormat(2, "0.00");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 164 */   public static final DisplayFormat THOUSANDS_INTEGER = new BuiltInFormat(3, "#,##0");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 171 */   public static final DisplayFormat THOUSANDS_FLOAT = new BuiltInFormat(4, "#,##0.00");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 179 */   public static final DisplayFormat ACCOUNTING_INTEGER = new BuiltInFormat(5, "$#,##0;($#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 185 */   public static final DisplayFormat ACCOUNTING_RED_INTEGER = new BuiltInFormat(6, "$#,##0;($#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 193 */   public static final DisplayFormat ACCOUNTING_FLOAT = new BuiltInFormat(7, "$#,##0;($#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 199 */   public static final DisplayFormat ACCOUNTING_RED_FLOAT = new BuiltInFormat(8, "$#,##0;($#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 206 */   public static final DisplayFormat PERCENT_INTEGER = new BuiltInFormat(9, "0%");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 213 */   public static final DisplayFormat PERCENT_FLOAT = new BuiltInFormat(10, "0.00%");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 220 */   public static final DisplayFormat EXPONENTIAL = new BuiltInFormat(11, "0.00E00");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 228 */   public static final DisplayFormat FORMAT1 = new BuiltInFormat(37, "#,##0;(#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 234 */   public static final DisplayFormat FORMAT2 = new BuiltInFormat(38, "#,##0;(#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 240 */   public static final DisplayFormat FORMAT3 = new BuiltInFormat(39, "#,##0.00;(#,##0.00)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 246 */   public static final DisplayFormat FORMAT4 = new BuiltInFormat(40, "#,##0.00;(#,##0.00)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 252 */   public static final DisplayFormat FORMAT5 = new BuiltInFormat(41, "#,##0;(#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 258 */   public static final DisplayFormat FORMAT6 = new BuiltInFormat(42, "#,##0;(#,##0)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 264 */   public static final DisplayFormat FORMAT7 = new BuiltInFormat(43, "#,##0.00;(#,##0.00)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 270 */   public static final DisplayFormat FORMAT8 = new BuiltInFormat(44, "#,##0.00;(#,##0.00)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 276 */   public static final DisplayFormat FORMAT9 = new BuiltInFormat(46, "#,##0.00;(#,##0.00)");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 282 */   public static final DisplayFormat FORMAT10 = new BuiltInFormat(48, "##0.0E0");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 288 */   public static final DisplayFormat TEXT = new BuiltInFormat(49, "@");
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\NumberFormats.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */