/*     */ package jxl.write.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import common.Logger;
/*     */ import jxl.Cell;
/*     */ import jxl.Sheet;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.NumFormatRecordsException;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.biff.XFRecord;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableWorkbook;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CellValue
/*     */   extends WritableRecordData
/*     */   implements WritableCell
/*     */ {
/*  55 */   private static Logger logger = Logger.getLogger(CellValue.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int row;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int column;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private XFRecord format;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FormattingRecords formattingRecords;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean referenced;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private WritableSheetImpl sheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellValue(Type t, int c, int r) {
/*  98 */     this(t, c, r, (CellFormat)WritableWorkbookImpl.NORMAL_STYLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellValue(Type t, Cell c) {
/* 110 */     this(t, c.getColumn(), c.getRow());
/*     */ 
/*     */     
/* 113 */     this.format = (XFRecord)c.getCellFormat();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellValue(Type t, int c, int r, CellFormat st) {
/* 127 */     super(t);
/* 128 */     this.row = r;
/* 129 */     this.column = c;
/* 130 */     this.format = (XFRecord)st;
/* 131 */     this.referenced = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellValue(Type t, int c, int r, CellValue cv) {
/* 144 */     super(t);
/* 145 */     this.row = r;
/* 146 */     this.column = c;
/* 147 */     this.format = cv.format;
/* 148 */     this.referenced = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellFormat(CellFormat cf) {
/* 158 */     this.format = (XFRecord)cf;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 163 */     if (!this.referenced) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 171 */     Assert.verify((this.formattingRecords != null));
/*     */ 
/*     */     
/*     */     try {
/* 175 */       if (!this.format.isInitialized())
/*     */       {
/* 177 */         this.formattingRecords.addStyle(this.format);
/*     */       }
/*     */     }
/* 180 */     catch (NumFormatRecordsException e) {
/*     */       
/* 182 */       logger.warn("Maximum number of format records exceeded.  Using default format.");
/* 183 */       this.format = (XFRecord)WritableWorkbook.NORMAL_STYLE;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRow() {
/* 194 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 204 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 215 */     ColumnInfoRecord cir = this.sheet.getColumnInfo(this.column);
/*     */     
/* 217 */     if (cir != null && cir.getWidth() == 0)
/*     */     {
/* 219 */       return true;
/*     */     }
/*     */     
/* 222 */     RowRecord rr = this.sheet.getRowInfo(this.row);
/*     */     
/* 224 */     if (rr != null && (rr.getRowHeight() == 0 || rr.isCollapsed()))
/*     */     {
/* 226 */       return true;
/*     */     }
/*     */     
/* 229 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 239 */     byte[] mydata = new byte[6];
/* 240 */     IntegerHelper.getTwoBytes(this.row, mydata, 0);
/* 241 */     IntegerHelper.getTwoBytes(this.column, mydata, 2);
/* 242 */     IntegerHelper.getTwoBytes(this.format.getXFIndex(), mydata, 4);
/* 243 */     return mydata;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCellDetails(FormattingRecords fr, SharedStrings ss, WritableSheetImpl s) {
/* 259 */     this.referenced = true;
/* 260 */     this.sheet = s;
/*     */ 
/*     */     
/*     */     try {
/* 264 */       if (!this.format.isInitialized())
/*     */       {
/* 266 */         fr.addStyle(this.format);
/*     */       }
/*     */       
/* 269 */       this.formattingRecords = fr;
/*     */     }
/* 271 */     catch (NumFormatRecordsException e) {
/*     */       
/* 273 */       logger.warn("Maximum number of format records exceeded.  Using default format.");
/* 274 */       this.format = (XFRecord)WritableWorkbook.NORMAL_STYLE;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final boolean isReferenced() {
/* 286 */     return this.referenced;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int getXFIndex() {
/* 296 */     return this.format.getXFIndex();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellFormat getCellFormat() {
/* 306 */     return (CellFormat)this.format;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void incrementRow() {
/* 315 */     this.row++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void decrementRow() {
/* 324 */     this.row--;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void incrementColumn() {
/* 333 */     this.column++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void decrementColumn() {
/* 342 */     this.column--;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(Sheet s, int sheetIndex, int col) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(Sheet s, int sheetIndex, int col) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(Sheet s, int sheetIndex, int row) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(Sheet s, int sheetIndex, int row) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected WritableSheetImpl getSheet() {
/* 400 */     return this.sheet;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\CellValue.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */