/*     */ package jxl.write.biff;
/*     */ 
/*     */ import jxl.biff.DisplayFormat;
/*     */ import jxl.biff.FontRecord;
/*     */ import jxl.biff.XFRecord;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.Colour;
/*     */ import jxl.format.Orientation;
/*     */ import jxl.format.Pattern;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.WriteException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CellXFRecord
/*     */   extends XFRecord
/*     */ {
/*     */   protected CellXFRecord(FontRecord fnt, DisplayFormat form) {
/*  50 */     super(fnt, form);
/*  51 */     setXFDetails(XFRecord.cell, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   CellXFRecord(XFRecord fmt) {
/*  61 */     super(fmt);
/*  62 */     setXFDetails(XFRecord.cell, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellXFRecord(CellFormat format) {
/*  71 */     super(format);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAlignment(Alignment a) throws WriteException {
/*  82 */     if (isInitialized())
/*     */     {
/*  84 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/*  86 */     setXFAlignment(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBackground(Colour c, Pattern p) throws WriteException {
/*  98 */     if (isInitialized())
/*     */     {
/* 100 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/* 102 */     setXFBackground(c, p);
/* 103 */     setXFCellOptions(16384);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLocked(boolean l) throws WriteException {
/* 114 */     if (isInitialized())
/*     */     {
/* 116 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/* 118 */     setXFLocked(l);
/* 119 */     setXFCellOptions(32768);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setShrinkToFit(boolean s) throws WriteException {
/* 129 */     if (isInitialized())
/*     */     {
/* 131 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/* 133 */     setXFShrinkToFit(s);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalAlignment(VerticalAlignment va) throws WriteException {
/* 145 */     if (isInitialized())
/*     */     {
/* 147 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/*     */     
/* 150 */     setXFVerticalAlignment(va);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setOrientation(Orientation o) throws WriteException {
/* 162 */     if (isInitialized())
/*     */     {
/* 164 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/*     */     
/* 167 */     setXFOrientation(o);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setWrap(boolean w) throws WriteException {
/* 180 */     if (isInitialized())
/*     */     {
/* 182 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/*     */     
/* 185 */     setXFWrap(w);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBorder(Border b, BorderLineStyle ls) throws WriteException {
/* 197 */     if (isInitialized())
/*     */     {
/* 199 */       throw new JxlWriteException(JxlWriteException.formatInitialized);
/*     */     }
/*     */     
/* 202 */     if (b == Border.ALL) {
/*     */ 
/*     */       
/* 205 */       setXFBorder(Border.LEFT, ls);
/* 206 */       setXFBorder(Border.RIGHT, ls);
/* 207 */       setXFBorder(Border.TOP, ls);
/* 208 */       setXFBorder(Border.BOTTOM, ls);
/*     */       
/*     */       return;
/*     */     } 
/* 212 */     if (b == Border.NONE) {
/*     */ 
/*     */       
/* 215 */       setXFBorder(Border.LEFT, BorderLineStyle.NONE);
/* 216 */       setXFBorder(Border.RIGHT, BorderLineStyle.NONE);
/* 217 */       setXFBorder(Border.TOP, BorderLineStyle.NONE);
/* 218 */       setXFBorder(Border.BOTTOM, BorderLineStyle.NONE);
/*     */       
/*     */       return;
/*     */     } 
/* 222 */     setXFBorder(b, ls);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\CellXFRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */