/*     */ package jxl.write.biff;
/*     */ 
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IndexMapping;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.biff.XFRecord;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class ColumnInfoRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private byte[] data;
/*     */   private int column;
/*     */   private XFRecord style;
/*     */   private int xfIndex;
/*     */   private int width;
/*     */   private boolean hidden;
/*     */   
/*     */   public ColumnInfoRecord(int col, int w, XFRecord xf) {
/*  72 */     super(Type.COLINFO);
/*     */     
/*  74 */     this.column = col;
/*  75 */     this.width = w;
/*  76 */     this.style = xf;
/*  77 */     this.xfIndex = this.style.getXFIndex();
/*  78 */     this.hidden = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColumnInfoRecord(jxl.read.biff.ColumnInfoRecord cir, int col, FormattingRecords fr) {
/*  92 */     super(Type.COLINFO);
/*     */     
/*  94 */     this.column = col;
/*  95 */     this.width = cir.getWidth();
/*  96 */     this.xfIndex = cir.getXFIndex();
/*  97 */     this.style = fr.getXFRecord(this.xfIndex);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 107 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void incrementColumn() {
/* 116 */     this.column++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void decrementColumn() {
/* 125 */     this.column--;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getWidth() {
/* 135 */     return this.width;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 145 */     this.data = new byte[12];
/*     */     
/* 147 */     IntegerHelper.getTwoBytes(this.column, this.data, 0);
/* 148 */     IntegerHelper.getTwoBytes(this.column, this.data, 2);
/* 149 */     IntegerHelper.getTwoBytes(this.width, this.data, 4);
/* 150 */     IntegerHelper.getTwoBytes(this.xfIndex, this.data, 6);
/*     */     
/* 152 */     int options = 2;
/* 153 */     if (this.hidden)
/*     */     {
/* 155 */       options |= 0x1;
/*     */     }
/* 157 */     IntegerHelper.getTwoBytes(options, this.data, 8);
/* 158 */     IntegerHelper.getTwoBytes(2, this.data, 10);
/*     */     
/* 160 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XFRecord getCellFormat() {
/* 170 */     return this.style;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rationalize(IndexMapping xfmapping) {
/* 179 */     this.xfIndex = xfmapping.getNewIndex(this.xfIndex);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setHidden(boolean h) {
/* 189 */     this.hidden = h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean getHidden() {
/* 199 */     return this.hidden;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\ColumnInfoRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */