/*     */ package jxl.write.biff;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ import jxl.biff.BaseCompoundFile;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class CompoundFile
/*     */   extends BaseCompoundFile
/*     */ {
/*     */   private OutputStream out;
/*     */   private byte[] excelData;
/*     */   private int size;
/*     */   private int requiredSize;
/*     */   private int numBigBlockDepotBlocks;
/*     */   private int numExtensionBlocks;
/*     */   private int extensionBlock;
/*     */   private int excelDataBlocks;
/*     */   private int rootStartBlock;
/*     */   private int excelDataStartBlock;
/*     */   private int bbdStartBlock;
/*     */   private int bbdPos;
/*     */   private byte[] bigBlockDepot;
/*     */   
/*     */   public CompoundFile(byte[] data, int l, OutputStream os) {
/* 122 */     this.size = l;
/* 123 */     this.excelData = data;
/*     */     
/* 125 */     int blocks = l / 512 + 1;
/*     */ 
/*     */ 
/*     */     
/* 129 */     if (l < 4096) {
/*     */       
/* 131 */       this.requiredSize = 4096;
/*     */     }
/*     */     else {
/*     */       
/* 135 */       this.requiredSize = blocks * 512;
/*     */     } 
/*     */     
/* 138 */     this.out = os;
/*     */ 
/*     */     
/* 141 */     this.excelDataBlocks = this.requiredSize / 512;
/*     */     
/* 143 */     int blockChainLength = 109;
/*     */     
/* 145 */     int totalBlocks = this.excelDataBlocks + 8 + 8 + 1 + 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 152 */     this.numBigBlockDepotBlocks = (int)Math.ceil(totalBlocks / 128.0D);
/*     */ 
/*     */ 
/*     */     
/* 156 */     totalBlocks += this.numBigBlockDepotBlocks;
/*     */ 
/*     */     
/* 159 */     this.numBigBlockDepotBlocks = (int)Math.ceil(totalBlocks / 128.0D);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 164 */     if (this.numBigBlockDepotBlocks > blockChainLength - 1) {
/*     */ 
/*     */ 
/*     */       
/* 168 */       this.extensionBlock = 0;
/*     */ 
/*     */       
/* 171 */       int bbdBlocksLeft = this.numBigBlockDepotBlocks - blockChainLength + 1;
/*     */       
/* 173 */       this.numExtensionBlocks = (int)Math.ceil(bbdBlocksLeft / 127.0D);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 178 */       totalBlocks += this.numExtensionBlocks;
/* 179 */       this.numBigBlockDepotBlocks = (int)Math.ceil(totalBlocks / 128.0D);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 184 */       this.extensionBlock = -2;
/* 185 */       this.numExtensionBlocks = 0;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 190 */     this.excelDataStartBlock = this.numExtensionBlocks;
/*     */ 
/*     */     
/* 193 */     this.bbdStartBlock = this.excelDataStartBlock + this.excelDataBlocks + 16;
/*     */ 
/*     */     
/* 196 */     this.rootStartBlock = this.excelDataStartBlock + this.excelDataBlocks + 16 + this.numBigBlockDepotBlocks;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write() throws IOException {
/* 207 */     writeHeader();
/* 208 */     writeExcelData();
/* 209 */     writeBigBlockDepot();
/* 210 */     writePropertySets();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeExcelData() throws IOException {
/* 224 */     this.out.write(this.excelData, 0, this.size);
/*     */     
/* 226 */     byte[] padding = new byte[this.requiredSize - this.size];
/* 227 */     this.out.write(padding);
/*     */     
/* 229 */     padding = new byte[4096];
/*     */     
/* 231 */     this.out.write(padding);
/*     */ 
/*     */     
/* 234 */     this.out.write(padding);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeHeader() throws IOException {
/* 245 */     byte[] headerBlock = new byte[512];
/* 246 */     byte[] extensionBlockData = new byte[512 * this.numExtensionBlocks];
/*     */ 
/*     */     
/* 249 */     System.arraycopy(IDENTIFIER, 0, headerBlock, 0, IDENTIFIER.length);
/*     */ 
/*     */     
/* 252 */     headerBlock[24] = 62;
/* 253 */     headerBlock[26] = 3;
/* 254 */     headerBlock[28] = -2;
/* 255 */     headerBlock[29] = -1;
/* 256 */     headerBlock[30] = 9;
/* 257 */     headerBlock[32] = 6;
/* 258 */     headerBlock[57] = 16;
/*     */ 
/*     */     
/* 261 */     IntegerHelper.getFourBytes(this.numBigBlockDepotBlocks, headerBlock, 44);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 267 */     IntegerHelper.getFourBytes(-2, headerBlock, 60);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 272 */     IntegerHelper.getFourBytes(this.extensionBlock, headerBlock, 68);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 277 */     IntegerHelper.getFourBytes(this.numExtensionBlocks, headerBlock, 72);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 282 */     IntegerHelper.getFourBytes(this.rootStartBlock, headerBlock, 48);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 288 */     int pos = 76;
/*     */ 
/*     */     
/* 291 */     int blocksToWrite = Math.min(this.numBigBlockDepotBlocks, 109);
/*     */ 
/*     */     
/* 294 */     int extensionBlock = 0;
/* 295 */     int blocksWritten = 0;
/*     */     int i;
/* 297 */     for (i = 0; i < blocksToWrite; i++) {
/*     */       
/* 299 */       IntegerHelper.getFourBytes(this.bbdStartBlock + i, headerBlock, pos);
/*     */ 
/*     */       
/* 302 */       pos += 4;
/* 303 */       blocksWritten++;
/*     */     } 
/*     */ 
/*     */     
/* 307 */     for (i = pos; i < 512; i++)
/*     */     {
/* 309 */       headerBlock[i] = -1;
/*     */     }
/*     */     
/* 312 */     this.out.write(headerBlock);
/*     */ 
/*     */     
/* 315 */     pos = 0;
/*     */     
/* 317 */     for (int extBlock = 0; extBlock < this.numExtensionBlocks; extBlock++) {
/*     */       
/* 319 */       blocksToWrite = Math.min(this.numBigBlockDepotBlocks - blocksWritten, 127);
/*     */ 
/*     */       
/* 322 */       for (int j = 0; j < blocksToWrite; j++) {
/*     */         
/* 324 */         IntegerHelper.getFourBytes(this.bbdStartBlock + blocksWritten + j, extensionBlockData, pos);
/*     */ 
/*     */         
/* 327 */         pos += 4;
/*     */       } 
/*     */       
/* 330 */       blocksWritten += blocksToWrite;
/*     */ 
/*     */       
/* 333 */       int nextBlock = (blocksWritten == this.numBigBlockDepotBlocks) ? -2 : (extBlock + 1);
/*     */       
/* 335 */       IntegerHelper.getFourBytes(nextBlock, extensionBlockData, pos);
/* 336 */       pos += 4;
/*     */     } 
/*     */     
/* 339 */     if (this.numExtensionBlocks > 0) {
/*     */ 
/*     */       
/* 342 */       for (int j = pos; j < extensionBlockData.length; j++)
/*     */       {
/* 344 */         extensionBlockData[j] = -1;
/*     */       }
/*     */       
/* 347 */       this.out.write(extensionBlockData);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void checkBbdPos() throws IOException {
/* 359 */     if (this.bbdPos >= 512) {
/*     */ 
/*     */       
/* 362 */       this.out.write(this.bigBlockDepot);
/*     */ 
/*     */       
/* 365 */       this.bigBlockDepot = new byte[512];
/* 366 */       this.bbdPos = 0;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeBigBlockDepot() throws IOException {
/* 378 */     this.bigBlockDepot = new byte[512];
/* 379 */     this.bbdPos = 0;
/*     */ 
/*     */     
/* 382 */     for (int i = 0; i < this.numExtensionBlocks; i++) {
/*     */       
/* 384 */       IntegerHelper.getFourBytes(-3, this.bigBlockDepot, this.bbdPos);
/* 385 */       this.bbdPos += 4;
/* 386 */       checkBbdPos();
/*     */     } 
/*     */     
/* 389 */     int blocksToWrite = this.excelDataBlocks - 1;
/* 390 */     int blockNumber = this.excelDataStartBlock + 1;
/*     */     
/* 392 */     while (blocksToWrite > 0) {
/*     */       
/* 394 */       int bbdBlocks = Math.min(blocksToWrite, (512 - this.bbdPos) / 4);
/*     */ 
/*     */       
/* 397 */       for (int k = 0; k < bbdBlocks; k++) {
/*     */         
/* 399 */         IntegerHelper.getFourBytes(blockNumber, this.bigBlockDepot, this.bbdPos);
/* 400 */         this.bbdPos += 4;
/* 401 */         blockNumber++;
/*     */       } 
/*     */       
/* 404 */       blocksToWrite -= bbdBlocks;
/* 405 */       checkBbdPos();
/*     */     } 
/*     */ 
/*     */     
/* 409 */     IntegerHelper.getFourBytes(-2, this.bigBlockDepot, this.bbdPos);
/* 410 */     this.bbdPos += 4;
/* 411 */     checkBbdPos();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 416 */     int summaryInfoBlock = this.excelDataStartBlock + this.excelDataBlocks; int j;
/* 417 */     for (j = summaryInfoBlock; j < summaryInfoBlock + 7; j++) {
/*     */       
/* 419 */       IntegerHelper.getFourBytes(j + 1, this.bigBlockDepot, this.bbdPos);
/* 420 */       this.bbdPos += 4;
/* 421 */       checkBbdPos();
/*     */     } 
/*     */ 
/*     */     
/* 425 */     IntegerHelper.getFourBytes(-2, this.bigBlockDepot, this.bbdPos);
/* 426 */     this.bbdPos += 4;
/* 427 */     checkBbdPos();
/*     */ 
/*     */     
/* 430 */     for (j = summaryInfoBlock + 8; j < summaryInfoBlock + 15; j++) {
/*     */       
/* 432 */       IntegerHelper.getFourBytes(j + 1, this.bigBlockDepot, this.bbdPos);
/* 433 */       this.bbdPos += 4;
/* 434 */       checkBbdPos();
/*     */     } 
/*     */ 
/*     */     
/* 438 */     IntegerHelper.getFourBytes(-2, this.bigBlockDepot, this.bbdPos);
/* 439 */     this.bbdPos += 4;
/* 440 */     checkBbdPos();
/*     */ 
/*     */ 
/*     */     
/* 444 */     for (j = 0; j < this.numBigBlockDepotBlocks; j++) {
/*     */       
/* 446 */       IntegerHelper.getFourBytes(-3, this.bigBlockDepot, this.bbdPos);
/* 447 */       this.bbdPos += 4;
/* 448 */       checkBbdPos();
/*     */     } 
/*     */ 
/*     */     
/* 452 */     IntegerHelper.getFourBytes(-2, this.bigBlockDepot, this.bbdPos);
/* 453 */     this.bbdPos += 4;
/* 454 */     checkBbdPos();
/*     */ 
/*     */     
/* 457 */     if (this.bbdPos != 0) {
/*     */       
/* 459 */       for (j = this.bbdPos; j < 512; j++)
/*     */       {
/* 461 */         this.bigBlockDepot[j] = -1;
/*     */       }
/* 463 */       this.out.write(this.bigBlockDepot);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writePropertySets() throws IOException {
/* 474 */     byte[] propertySetStorage = new byte[512];
/*     */     
/* 476 */     int pos = 0;
/*     */ 
/*     */     
/* 479 */     BaseCompoundFile.PropertyStorage ps = new BaseCompoundFile.PropertyStorage(this, "Root Entry");
/* 480 */     ps.setType(5);
/* 481 */     ps.setStartBlock(-2);
/* 482 */     ps.setSize(0);
/* 483 */     ps.setPrevious(-1);
/* 484 */     ps.setNext(-1);
/* 485 */     ps.setDirectory(2);
/*     */     
/* 487 */     System.arraycopy(ps.data, 0, propertySetStorage, pos, 128);
/*     */ 
/*     */     
/* 490 */     pos += 128;
/*     */ 
/*     */ 
/*     */     
/* 494 */     ps = new BaseCompoundFile.PropertyStorage(this, "Workbook");
/* 495 */     ps.setType(2);
/* 496 */     ps.setStartBlock(this.excelDataStartBlock);
/*     */     
/* 498 */     ps.setSize(this.requiredSize);
/*     */ 
/*     */     
/* 501 */     ps.setPrevious(-1);
/* 502 */     ps.setNext(-1);
/* 503 */     ps.setDirectory(-1);
/*     */     
/* 505 */     System.arraycopy(ps.data, 0, propertySetStorage, pos, 128);
/*     */ 
/*     */     
/* 508 */     pos += 128;
/*     */ 
/*     */ 
/*     */     
/* 512 */     ps = new BaseCompoundFile.PropertyStorage(this, "\005SummaryInformation");
/* 513 */     ps.setType(2);
/* 514 */     ps.setStartBlock(this.excelDataStartBlock + this.excelDataBlocks);
/* 515 */     ps.setSize(4096);
/* 516 */     ps.setPrevious(1);
/* 517 */     ps.setNext(3);
/* 518 */     ps.setDirectory(-1);
/*     */     
/* 520 */     System.arraycopy(ps.data, 0, propertySetStorage, pos, 128);
/*     */ 
/*     */     
/* 523 */     pos += 128;
/*     */ 
/*     */     
/* 526 */     ps = new BaseCompoundFile.PropertyStorage(this, "\005DocumentSummaryInformation");
/* 527 */     ps.setType(2);
/* 528 */     ps.setStartBlock(this.excelDataStartBlock + this.excelDataBlocks + 8);
/* 529 */     ps.setSize(4096);
/* 530 */     ps.setPrevious(-1);
/* 531 */     ps.setNext(-1);
/* 532 */     ps.setDirectory(-1);
/*     */     
/* 534 */     System.arraycopy(ps.data, 0, propertySetStorage, pos, 128);
/*     */ 
/*     */     
/* 537 */     pos += 128;
/*     */     
/* 539 */     this.out.write(propertySetStorage);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\CompoundFile.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */