/*     */ package jxl.write.biff;
/*     */ 
/*     */ import java.text.DateFormat;
/*     */ import java.util.Calendar;
/*     */ import java.util.Date;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.DateCell;
/*     */ import jxl.biff.DoubleHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.write.DateFormats;
/*     */ import jxl.write.WritableCellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class DateRecord
/*     */   extends CellValue
/*     */ {
/*     */   private double value;
/*     */   private Date date;
/*     */   private boolean time;
/*     */   private static final int utcOffsetDays = 25569;
/*     */   private static final long msInADay = 86400000L;
/*  69 */   static final WritableCellFormat defaultDateFormat = new WritableCellFormat(DateFormats.DEFAULT);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final int nonLeapDay = 61;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static final class GMTDate {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, Date d) {
/*  97 */     this(c, r, d, (CellFormat)defaultDateFormat, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, Date d, GMTDate a) {
/* 110 */     this(c, r, d, (CellFormat)defaultDateFormat, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, Date d, CellFormat st) {
/* 123 */     super(Type.NUMBER, c, r, st);
/* 124 */     this.date = d;
/* 125 */     calculateValue(true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, Date d, CellFormat st, GMTDate a) {
/* 139 */     super(Type.NUMBER, c, r, st);
/* 140 */     this.date = d;
/* 141 */     calculateValue(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, Date d, CellFormat st, boolean tim) {
/* 155 */     super(Type.NUMBER, c, r, st);
/* 156 */     this.date = d;
/* 157 */     calculateValue(false);
/* 158 */     this.time = tim;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(DateCell dc) {
/* 168 */     super(Type.NUMBER, (Cell)dc);
/* 169 */     this.date = dc.getDate();
/* 170 */     calculateValue(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected DateRecord(int c, int r, DateRecord dr) {
/* 182 */     super(Type.NUMBER, c, r, dr);
/* 183 */     this.value = dr.value;
/* 184 */     this.time = dr.time;
/* 185 */     this.date = dr.date;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void calculateValue(boolean adjust) {
/* 198 */     long zoneOffset = 0L;
/* 199 */     long dstOffset = 0L;
/*     */ 
/*     */ 
/*     */     
/* 203 */     if (adjust) {
/*     */ 
/*     */       
/* 206 */       Calendar cal = Calendar.getInstance();
/* 207 */       cal.setTime(this.date);
/*     */       
/* 209 */       zoneOffset = cal.get(15);
/* 210 */       dstOffset = cal.get(16);
/*     */     } 
/*     */     
/* 213 */     long utcValue = this.date.getTime() + zoneOffset + dstOffset;
/*     */ 
/*     */ 
/*     */     
/* 217 */     double utcDays = utcValue / 8.64E7D;
/*     */ 
/*     */     
/* 220 */     this.value = utcDays + 25569.0D;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 225 */     if (this.value < 61.0D)
/*     */     {
/* 227 */       this.value--;
/*     */     }
/*     */ 
/*     */     
/* 231 */     if (this.time)
/*     */     {
/* 233 */       this.value -= (int)this.value;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 244 */     return CellType.DATE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 254 */     byte[] celldata = super.getData();
/* 255 */     byte[] data = new byte[celldata.length + 8];
/* 256 */     System.arraycopy(celldata, 0, data, 0, celldata.length);
/* 257 */     DoubleHelper.getIEEEBytes(this.value, data, celldata.length);
/*     */     
/* 259 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 271 */     return this.date.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setDate(Date d) {
/* 281 */     this.date = d;
/* 282 */     calculateValue(true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setDate(Date d, GMTDate a) {
/* 293 */     this.date = d;
/* 294 */     calculateValue(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Date getDate() {
/* 305 */     return this.date;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTime() {
/* 317 */     return this.time;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateFormat getDateFormat() {
/* 330 */     return null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\DateRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */