/*     */ package jxl.write.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.io.File;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import jxl.CellType;
/*     */ import jxl.Hyperlink;
/*     */ import jxl.Range;
/*     */ import jxl.Sheet;
/*     */ import jxl.biff.CellReferenceHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.SheetRangeImpl;
/*     */ import jxl.biff.StringHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HyperlinkRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private int firstRow;
/*     */   private int lastRow;
/*     */   private int firstColumn;
/*     */   private int lastColumn;
/*     */   private URL url;
/*     */   private File file;
/*     */   private String location;
/*     */   private String contents;
/*     */   private LinkType linkType;
/*     */   private byte[] data;
/*     */   private Range range;
/*     */   private WritableSheet sheet;
/*     */   private boolean modified;
/*     */   
/*     */   private static class LinkType
/*     */   {
/*     */     private LinkType() {}
/*     */   }
/*     */   
/* 117 */   private static final LinkType urlLink = new LinkType();
/* 118 */   private static final LinkType fileLink = new LinkType();
/* 119 */   private static final LinkType workbookLink = new LinkType();
/* 120 */   private static final LinkType unknown = new LinkType();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected HyperlinkRecord(Hyperlink h, WritableSheet s) {
/* 129 */     super(Type.HLINK);
/*     */     
/* 131 */     Assert.verify(h instanceof jxl.read.biff.HyperlinkRecord);
/*     */     
/* 133 */     jxl.read.biff.HyperlinkRecord hl = (jxl.read.biff.HyperlinkRecord)h;
/*     */     
/* 135 */     this.data = hl.getRecord().getData();
/* 136 */     this.sheet = s;
/*     */ 
/*     */     
/* 139 */     this.firstRow = hl.getRow();
/* 140 */     this.firstColumn = hl.getColumn();
/* 141 */     this.lastRow = hl.getLastRow();
/* 142 */     this.lastColumn = hl.getLastColumn();
/* 143 */     this.range = (Range)new SheetRangeImpl((Sheet)s, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */ 
/*     */ 
/*     */     
/* 147 */     this.linkType = unknown;
/*     */     
/* 149 */     if (hl.isFile()) {
/*     */       
/* 151 */       this.linkType = fileLink;
/* 152 */       this.file = hl.getFile();
/*     */     }
/* 154 */     else if (hl.isURL()) {
/*     */       
/* 156 */       this.linkType = urlLink;
/* 157 */       this.url = hl.getURL();
/*     */     }
/* 159 */     else if (hl.isLocation()) {
/*     */       
/* 161 */       this.linkType = workbookLink;
/* 162 */       this.location = hl.getLocation();
/*     */     } 
/*     */     
/* 165 */     this.modified = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected HyperlinkRecord(int col, int row, int lastcol, int lastrow, URL url) {
/* 180 */     super(Type.HLINK);
/*     */     
/* 182 */     this.firstColumn = col;
/* 183 */     this.firstRow = row;
/*     */     
/* 185 */     this.lastColumn = Math.max(this.firstColumn, lastcol);
/* 186 */     this.lastRow = Math.max(this.firstRow, lastrow);
/*     */     
/* 188 */     this.url = url;
/*     */     
/* 190 */     this.linkType = urlLink;
/*     */     
/* 192 */     this.modified = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected HyperlinkRecord(int col, int row, int lastcol, int lastrow, File file) {
/* 207 */     super(Type.HLINK);
/*     */     
/* 209 */     this.firstColumn = col;
/* 210 */     this.firstRow = row;
/*     */     
/* 212 */     this.lastColumn = Math.max(this.firstColumn, lastcol);
/* 213 */     this.lastRow = Math.max(this.firstRow, lastrow);
/*     */     
/* 215 */     this.file = file;
/*     */     
/* 217 */     this.linkType = fileLink;
/*     */     
/* 219 */     this.modified = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected HyperlinkRecord(int col, int row, int lastcol, int lastrow, String desc, WritableSheet s, int destcol, int destrow, int lastdestcol, int lastdestrow) {
/* 243 */     super(Type.HLINK);
/*     */     
/* 245 */     this.firstColumn = col;
/* 246 */     this.firstRow = row;
/*     */     
/* 248 */     this.lastColumn = Math.max(this.firstColumn, lastcol);
/* 249 */     this.lastRow = Math.max(this.firstRow, lastrow);
/*     */     
/* 251 */     setLocation(s, destcol, destrow, lastdestcol, lastdestrow);
/* 252 */     this.contents = desc;
/*     */     
/* 254 */     this.linkType = workbookLink;
/*     */     
/* 256 */     this.modified = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFile() {
/* 266 */     return (this.linkType == fileLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isURL() {
/* 276 */     return (this.linkType == urlLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLocation() {
/* 286 */     return (this.linkType == workbookLink);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRow() {
/* 296 */     return this.firstRow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getColumn() {
/* 306 */     return this.firstColumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastRow() {
/* 316 */     return this.lastRow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastColumn() {
/* 326 */     return this.lastColumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public URL getURL() {
/* 336 */     return this.url;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public File getFile() {
/* 346 */     return this.file;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 356 */     if (!this.modified)
/*     */     {
/* 358 */       return this.data;
/*     */     }
/*     */ 
/*     */     
/* 362 */     byte[] commonData = new byte[32];
/*     */ 
/*     */     
/* 365 */     IntegerHelper.getTwoBytes(this.firstRow, commonData, 0);
/* 366 */     IntegerHelper.getTwoBytes(this.lastRow, commonData, 2);
/* 367 */     IntegerHelper.getTwoBytes(this.firstColumn, commonData, 4);
/* 368 */     IntegerHelper.getTwoBytes(this.lastColumn, commonData, 6);
/*     */ 
/*     */     
/* 371 */     commonData[8] = -48;
/* 372 */     commonData[9] = -55;
/* 373 */     commonData[10] = -22;
/* 374 */     commonData[11] = 121;
/* 375 */     commonData[12] = -7;
/* 376 */     commonData[13] = -70;
/* 377 */     commonData[14] = -50;
/* 378 */     commonData[15] = 17;
/* 379 */     commonData[16] = -116;
/* 380 */     commonData[17] = -126;
/* 381 */     commonData[18] = 0;
/* 382 */     commonData[19] = -86;
/* 383 */     commonData[20] = 0;
/* 384 */     commonData[21] = 75;
/* 385 */     commonData[22] = -87;
/* 386 */     commonData[23] = 11;
/* 387 */     commonData[24] = 2;
/* 388 */     commonData[25] = 0;
/* 389 */     commonData[26] = 0;
/* 390 */     commonData[27] = 0;
/*     */ 
/*     */ 
/*     */     
/* 394 */     int optionFlags = 0;
/* 395 */     if (isURL()) {
/*     */       
/* 397 */       optionFlags = 3;
/*     */     }
/* 399 */     else if (isFile()) {
/*     */       
/* 401 */       optionFlags = 1;
/*     */     }
/* 403 */     else if (isLocation()) {
/*     */       
/* 405 */       optionFlags = 8;
/*     */     } 
/*     */     
/* 408 */     IntegerHelper.getFourBytes(optionFlags, commonData, 28);
/*     */     
/* 410 */     if (isURL()) {
/*     */       
/* 412 */       this.data = getURLData(commonData);
/*     */     }
/* 414 */     else if (isFile()) {
/*     */       
/* 416 */       this.data = getFileData(commonData);
/*     */     }
/* 418 */     else if (isLocation()) {
/*     */       
/* 420 */       this.data = getLocationData(commonData);
/*     */     } 
/*     */     
/* 423 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 433 */     if (isFile())
/*     */     {
/* 435 */       return this.file.toString();
/*     */     }
/* 437 */     if (isURL())
/*     */     {
/* 439 */       return this.url.toString();
/*     */     }
/*     */ 
/*     */     
/* 443 */     return "";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Range getRange() {
/* 457 */     return this.range;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setURL(URL url) {
/* 467 */     this.linkType = urlLink;
/* 468 */     this.file = null;
/* 469 */     this.location = null;
/* 470 */     this.contents = null;
/* 471 */     this.url = url;
/* 472 */     this.modified = true;
/*     */     
/* 474 */     if (this.sheet == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 481 */     WritableCell wc = this.sheet.getWritableCell(this.firstColumn, this.firstRow);
/*     */     
/* 483 */     Assert.verify((wc.getType() == CellType.LABEL));
/*     */     
/* 485 */     Label l = (Label)wc;
/* 486 */     l.setString(url.toString());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFile(File file) {
/* 496 */     this.linkType = fileLink;
/* 497 */     this.url = null;
/* 498 */     this.location = null;
/* 499 */     this.contents = null;
/* 500 */     this.file = file;
/* 501 */     this.modified = true;
/*     */     
/* 503 */     if (this.sheet == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 510 */     WritableCell wc = this.sheet.getWritableCell(this.firstColumn, this.firstRow);
/*     */     
/* 512 */     Assert.verify((wc.getType() == CellType.LABEL));
/*     */     
/* 514 */     Label l = (Label)wc;
/* 515 */     l.setString(file.toString());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setLocation(String desc, WritableSheet sheet, int destcol, int destrow, int lastdestcol, int lastdestrow) {
/* 533 */     this.linkType = workbookLink;
/* 534 */     this.url = null;
/* 535 */     this.file = null;
/* 536 */     this.modified = true;
/* 537 */     this.contents = desc;
/*     */     
/* 539 */     setLocation(sheet, destcol, destrow, lastdestcol, lastdestrow);
/*     */     
/* 541 */     if (sheet == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 548 */     WritableCell wc = sheet.getWritableCell(this.firstColumn, this.firstRow);
/*     */     
/* 550 */     Assert.verify((wc.getType() == CellType.LABEL));
/*     */     
/* 552 */     Label l = (Label)wc;
/* 553 */     l.setString(desc);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setLocation(WritableSheet sheet, int destcol, int destrow, int lastdestcol, int lastdestrow) {
/* 569 */     StringBuffer sb = new StringBuffer(sheet.getName());
/* 570 */     sb.append('!');
/*     */     
/* 572 */     lastdestcol = Math.max(destcol, lastdestcol);
/* 573 */     lastdestrow = Math.max(destrow, lastdestrow);
/*     */     
/* 575 */     CellReferenceHelper.getCellReference(destcol, destrow, sb);
/* 576 */     sb.append(':');
/* 577 */     CellReferenceHelper.getCellReference(lastdestcol, lastdestrow, sb);
/*     */     
/* 579 */     this.location = sb.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void insertRow(int r) {
/* 591 */     Assert.verify((this.sheet != null && this.range != null));
/*     */     
/* 593 */     if (r > this.lastRow) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 598 */     if (r <= this.firstRow) {
/*     */       
/* 600 */       this.firstRow++;
/* 601 */       this.modified = true;
/*     */     } 
/*     */     
/* 604 */     if (r <= this.lastRow) {
/*     */       
/* 606 */       this.lastRow++;
/* 607 */       this.modified = true;
/*     */     } 
/*     */     
/* 610 */     if (this.modified)
/*     */     {
/* 612 */       this.range = (Range)new SheetRangeImpl((Sheet)this.sheet, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void insertColumn(int c) {
/* 627 */     Assert.verify((this.sheet != null && this.range != null));
/*     */     
/* 629 */     if (c > this.lastColumn) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 634 */     if (c <= this.firstColumn) {
/*     */       
/* 636 */       this.firstColumn++;
/* 637 */       this.modified = true;
/*     */     } 
/*     */     
/* 640 */     if (c <= this.lastColumn) {
/*     */       
/* 642 */       this.lastColumn++;
/* 643 */       this.modified = true;
/*     */     } 
/*     */     
/* 646 */     if (this.modified)
/*     */     {
/* 648 */       this.range = (Range)new SheetRangeImpl((Sheet)this.sheet, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void removeRow(int r) {
/* 663 */     Assert.verify((this.sheet != null && this.range != null));
/*     */     
/* 665 */     if (r > this.lastRow) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 670 */     if (r < this.firstRow) {
/*     */       
/* 672 */       this.firstRow--;
/* 673 */       this.modified = true;
/*     */     } 
/*     */     
/* 676 */     if (r < this.lastRow) {
/*     */       
/* 678 */       this.lastRow--;
/* 679 */       this.modified = true;
/*     */     } 
/*     */     
/* 682 */     if (this.modified) {
/*     */       
/* 684 */       Assert.verify((this.range != null));
/* 685 */       this.range = (Range)new SheetRangeImpl((Sheet)this.sheet, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void removeColumn(int c) {
/* 700 */     Assert.verify((this.sheet != null && this.range != null));
/*     */     
/* 702 */     if (c > this.lastColumn) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 707 */     if (c < this.firstColumn) {
/*     */       
/* 709 */       this.firstColumn--;
/* 710 */       this.modified = true;
/*     */     } 
/*     */     
/* 713 */     if (c < this.lastColumn) {
/*     */       
/* 715 */       this.lastColumn--;
/* 716 */       this.modified = true;
/*     */     } 
/*     */     
/* 719 */     if (this.modified) {
/*     */       
/* 721 */       Assert.verify((this.range != null));
/* 722 */       this.range = (Range)new SheetRangeImpl((Sheet)this.sheet, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getURLData(byte[] cd) {
/* 736 */     String urlString = this.url.toString();
/*     */     
/* 738 */     byte[] d = new byte[cd.length + 20 + (urlString.length() + 1) * 2];
/* 739 */     System.arraycopy(cd, 0, d, 0, cd.length);
/*     */     
/* 741 */     int urlPos = cd.length;
/*     */ 
/*     */     
/* 744 */     d[urlPos] = -32;
/* 745 */     d[urlPos + 1] = -55;
/* 746 */     d[urlPos + 2] = -22;
/* 747 */     d[urlPos + 3] = 121;
/* 748 */     d[urlPos + 4] = -7;
/* 749 */     d[urlPos + 5] = -70;
/* 750 */     d[urlPos + 6] = -50;
/* 751 */     d[urlPos + 7] = 17;
/* 752 */     d[urlPos + 8] = -116;
/* 753 */     d[urlPos + 9] = -126;
/* 754 */     d[urlPos + 10] = 0;
/* 755 */     d[urlPos + 11] = -86;
/* 756 */     d[urlPos + 12] = 0;
/* 757 */     d[urlPos + 13] = 75;
/* 758 */     d[urlPos + 14] = -87;
/* 759 */     d[urlPos + 15] = 11;
/*     */ 
/*     */     
/* 762 */     IntegerHelper.getFourBytes((urlString.length() + 1) * 2, d, urlPos + 16);
/*     */ 
/*     */     
/* 765 */     StringHelper.getUnicodeBytes(urlString, d, urlPos + 20);
/*     */     
/* 767 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getFileData(byte[] cd) {
/* 779 */     ArrayList path = new ArrayList();
/* 780 */     ArrayList shortFileName = new ArrayList();
/* 781 */     path.add(this.file.getName());
/* 782 */     shortFileName.add(getShortName(this.file.getName()));
/*     */     
/* 784 */     File parent = this.file.getParentFile();
/* 785 */     while (parent != null) {
/*     */       
/* 787 */       path.add(parent.getName());
/* 788 */       shortFileName.add(getShortName(parent.getName()));
/* 789 */       parent = parent.getParentFile();
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 794 */     int upLevelCount = 0;
/* 795 */     int pos = path.size() - 1;
/* 796 */     boolean upDir = true;
/*     */     
/* 798 */     while (upDir) {
/*     */       
/* 800 */       String s = path.get(pos);
/* 801 */       if (s.equals("..")) {
/*     */         
/* 803 */         upLevelCount++;
/* 804 */         path.remove(pos);
/* 805 */         shortFileName.remove(pos);
/*     */       }
/*     */       else {
/*     */         
/* 809 */         upDir = false;
/*     */       } 
/*     */       
/* 812 */       pos--;
/*     */     } 
/*     */     
/* 815 */     StringBuffer filePathSB = new StringBuffer();
/* 816 */     StringBuffer shortFilePathSB = new StringBuffer();
/*     */     
/* 818 */     for (int i = path.size() - 1; i >= 0; i--) {
/*     */       
/* 820 */       filePathSB.append(path.get(i));
/* 821 */       shortFilePathSB.append(shortFileName.get(i));
/*     */       
/* 823 */       if (i != 0) {
/*     */         
/* 825 */         filePathSB.append("\\");
/* 826 */         shortFilePathSB.append("\\");
/*     */       } 
/*     */     } 
/*     */     
/* 830 */     String filePath = filePathSB.toString();
/* 831 */     String shortFilePath = shortFilePathSB.toString();
/*     */     
/* 833 */     byte[] d = new byte[cd.length + 22 + (shortFilePath.length() + 1) * 2 + 34 + filePath.length() * 2];
/*     */     
/* 835 */     System.arraycopy(cd, 0, d, 0, cd.length);
/*     */     
/* 837 */     int filePos = cd.length;
/*     */ 
/*     */     
/* 840 */     d[filePos] = 3;
/* 841 */     d[filePos + 1] = 3;
/* 842 */     d[filePos + 2] = 0;
/* 843 */     d[filePos + 3] = 0;
/* 844 */     d[filePos + 4] = 0;
/* 845 */     d[filePos + 5] = 0;
/* 846 */     d[filePos + 6] = 0;
/* 847 */     d[filePos + 7] = 0;
/* 848 */     d[filePos + 8] = -64;
/* 849 */     d[filePos + 9] = 0;
/* 850 */     d[filePos + 10] = 0;
/* 851 */     d[filePos + 11] = 0;
/* 852 */     d[filePos + 12] = 0;
/* 853 */     d[filePos + 13] = 0;
/* 854 */     d[filePos + 14] = 0;
/* 855 */     d[filePos + 15] = 70;
/*     */ 
/*     */     
/* 858 */     IntegerHelper.getTwoBytes(upLevelCount, d, filePos + 16);
/*     */ 
/*     */     
/* 861 */     IntegerHelper.getFourBytes((shortFilePath.length() + 1) * 2, d, filePos + 18);
/*     */ 
/*     */     
/* 864 */     StringHelper.getUnicodeBytes(shortFilePath, d, filePos + 22);
/*     */     
/* 866 */     int curPos = filePos + 22 + (shortFilePath.length() + 1) * 2;
/*     */ 
/*     */     
/* 869 */     d[curPos] = -1;
/* 870 */     d[curPos + 1] = -1;
/* 871 */     d[curPos + 2] = -83;
/* 872 */     d[curPos + 3] = -34;
/*     */     
/* 874 */     curPos += 24;
/* 875 */     int nameLength = filePath.length() * 2;
/*     */ 
/*     */     
/* 878 */     IntegerHelper.getFourBytes(nameLength + 6, d, curPos);
/*     */ 
/*     */     
/* 881 */     IntegerHelper.getFourBytes(nameLength, d, curPos + 4);
/*     */ 
/*     */     
/* 884 */     d[curPos + 8] = 3;
/*     */ 
/*     */     
/* 887 */     StringHelper.getUnicodeBytes(filePath, d, curPos + 10);
/*     */     
/* 889 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getShortName(String s) {
/* 900 */     int sep = s.indexOf('.');
/*     */     
/* 902 */     String prefix = null;
/* 903 */     String suffix = null;
/*     */     
/* 905 */     if (sep == -1) {
/*     */       
/* 907 */       prefix = s;
/* 908 */       suffix = "";
/*     */     }
/*     */     else {
/*     */       
/* 912 */       prefix = s.substring(0, sep);
/* 913 */       suffix = s.substring(sep + 1);
/*     */     } 
/*     */     
/* 916 */     if (prefix.length() > 8) {
/*     */       
/* 918 */       prefix = prefix.substring(0, 6) + "~" + (prefix.length() - 6);
/* 919 */       prefix = prefix.substring(0, 8);
/*     */     } 
/*     */     
/* 922 */     suffix = suffix.substring(0, Math.min(3, suffix.length()));
/*     */     
/* 924 */     if (suffix.length() > 0)
/*     */     {
/* 926 */       return prefix + '.' + suffix;
/*     */     }
/*     */ 
/*     */     
/* 930 */     return prefix;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] getLocationData(byte[] cd) {
/* 942 */     byte[] d = new byte[cd.length + 4 + (this.location.length() + 1) * 2];
/* 943 */     System.arraycopy(cd, 0, d, 0, cd.length);
/*     */     
/* 945 */     int locPos = cd.length;
/*     */ 
/*     */     
/* 948 */     IntegerHelper.getFourBytes(this.location.length() + 1, d, locPos);
/*     */ 
/*     */     
/* 951 */     StringHelper.getUnicodeBytes(this.location, d, locPos + 4);
/*     */     
/* 953 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void initialize(WritableSheet s) {
/* 964 */     this.sheet = s;
/* 965 */     this.range = (Range)new SheetRangeImpl((Sheet)s, this.firstColumn, this.firstRow, this.lastColumn, this.lastRow);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String getContents() {
/* 978 */     return this.contents;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\HyperlinkRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */