/*     */ package jxl.write.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import common.Logger;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.LabelCell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.format.CellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class LabelRecord
/*     */   extends CellValue
/*     */ {
/*  41 */   private static Logger logger = Logger.getLogger(LabelRecord.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String contents;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SharedStrings sharedStrings;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int index;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected LabelRecord(int c, int r, String cont) {
/*  67 */     super(Type.LABELSST, c, r);
/*  68 */     this.contents = cont;
/*  69 */     if (this.contents == null)
/*     */     {
/*  71 */       this.contents = "";
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected LabelRecord(int c, int r, String cont, CellFormat st) {
/*  86 */     super(Type.LABELSST, c, r, st);
/*  87 */     this.contents = cont;
/*     */     
/*  89 */     if (this.contents == null)
/*     */     {
/*  91 */       this.contents = "";
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected LabelRecord(int c, int r, LabelRecord lr) {
/* 105 */     super(Type.LABELSST, c, r, lr);
/* 106 */     this.contents = lr.contents;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected LabelRecord(LabelCell lc) {
/* 117 */     super(Type.LABELSST, (Cell)lc);
/* 118 */     this.contents = lc.getString();
/* 119 */     if (this.contents == null)
/*     */     {
/* 121 */       this.contents = "";
/*     */     }
/*     */     
/* 124 */     if (this.contents.length() >= 512) {
/*     */       
/* 126 */       logger.warn("String too long for label record - truncating.");
/* 127 */       this.contents = this.contents.substring(0, 512);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 138 */     return CellType.LABEL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 148 */     byte[] celldata = super.getData();
/* 149 */     byte[] data = new byte[celldata.length + 4];
/* 150 */     System.arraycopy(celldata, 0, data, 0, celldata.length);
/* 151 */     IntegerHelper.getFourBytes(this.index, data, celldata.length);
/*     */     
/* 153 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 165 */     return this.contents;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getString() {
/* 176 */     return this.contents;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setString(String s) {
/* 186 */     if (s == null)
/*     */     {
/* 188 */       s = "";
/*     */     }
/*     */     
/* 191 */     this.contents = s;
/*     */ 
/*     */ 
/*     */     
/* 195 */     if (!isReferenced()) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 200 */     Assert.verify((this.sharedStrings != null));
/*     */ 
/*     */     
/* 203 */     this.index = this.sharedStrings.getIndex(this.contents);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 208 */     this.contents = this.sharedStrings.get(this.index);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCellDetails(FormattingRecords fr, SharedStrings ss, WritableSheetImpl s) {
/* 223 */     super.setCellDetails(fr, ss, s);
/*     */     
/* 225 */     this.sharedStrings = ss;
/*     */     
/* 227 */     this.index = this.sharedStrings.getIndex(this.contents);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 232 */     this.contents = this.sharedStrings.get(this.index);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\LabelRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */