/*     */ package jxl.write.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.Cell;
/*     */ import jxl.CellType;
/*     */ import jxl.FormulaCell;
/*     */ import jxl.Sheet;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ import jxl.write.WritableCell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class ReadFormulaRecord
/*     */   extends CellValue
/*     */   implements FormulaData
/*     */ {
/*     */   private FormulaData formula;
/*     */   private FormulaParser parser;
/*     */   
/*     */   protected ReadFormulaRecord(FormulaData f) {
/*  62 */     super(Type.FORMULA, (Cell)f);
/*  63 */     this.formula = f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/*     */     try {
/*  77 */       byte[] celldata = super.getData();
/*  78 */       byte[] expressiondata = null;
/*     */       
/*  80 */       if (this.parser == null) {
/*     */         
/*  82 */         expressiondata = this.formula.getFormulaData();
/*     */       }
/*     */       else {
/*     */         
/*  86 */         byte[] formulaBytes = this.parser.getBytes();
/*  87 */         expressiondata = new byte[formulaBytes.length + 16];
/*  88 */         IntegerHelper.getTwoBytes(formulaBytes.length, expressiondata, 14);
/*  89 */         System.arraycopy(formulaBytes, 0, expressiondata, 16, formulaBytes.length);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/*  94 */       expressiondata[8] = (byte)(expressiondata[8] | 0x2);
/*     */       
/*  96 */       byte[] data = new byte[celldata.length + expressiondata.length];
/*     */       
/*  98 */       System.arraycopy(celldata, 0, data, 0, celldata.length);
/*  99 */       System.arraycopy(expressiondata, 0, data, celldata.length, expressiondata.length);
/*     */       
/* 101 */       return data;
/*     */     }
/* 103 */     catch (FormulaException e) {
/*     */ 
/*     */       
/* 106 */       Assert.verify(false);
/*     */ 
/*     */       
/* 109 */       return new byte[0];
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 119 */     return this.formula.getType();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/* 129 */     return this.formula.getContents();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() throws FormulaException {
/* 140 */     byte[] d = this.formula.getFormulaData();
/* 141 */     byte[] data = new byte[d.length];
/*     */     
/* 143 */     System.arraycopy(d, 0, data, 0, d.length);
/*     */ 
/*     */     
/* 146 */     data[8] = (byte)(data[8] | 0x2);
/*     */     
/* 148 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WritableCell copyTo(int col, int row) {
/* 160 */     return new FormulaRecord(col, row, this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCellDetails(FormattingRecords fr, SharedStrings ss, WritableSheetImpl s) {
/* 174 */     super.setCellDetails(fr, ss, s);
/* 175 */     s.getWorkbook().addRCIRCell(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnInserted(Sheet s, int sheetIndex, int col) {
/*     */     try {
/* 190 */       if (this.parser == null) {
/*     */         
/* 192 */         byte[] formulaData = this.formula.getFormulaData();
/* 193 */         byte[] formulaBytes = new byte[formulaData.length - 16];
/* 194 */         System.arraycopy(formulaData, 16, formulaBytes, 0, formulaBytes.length);
/*     */         
/* 196 */         this.parser = new FormulaParser(formulaBytes, (Cell)this, getSheet().getWorkbook(), getSheet().getWorkbook(), getSheet().getWorkbookSettings());
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 201 */         this.parser.parse();
/*     */       } 
/*     */       
/* 204 */       this.parser.columnInserted(sheetIndex, col, (s == getSheet()));
/*     */     }
/* 206 */     catch (FormulaException e) {
/*     */       
/* 208 */       e.printStackTrace();
/* 209 */       Assert.verify(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void columnRemoved(Sheet s, int sheetIndex, int col) {
/*     */     try {
/* 225 */       if (this.parser == null) {
/*     */         
/* 227 */         byte[] formulaData = this.formula.getFormulaData();
/* 228 */         byte[] formulaBytes = new byte[formulaData.length - 16];
/* 229 */         System.arraycopy(formulaData, 16, formulaBytes, 0, formulaBytes.length);
/*     */         
/* 231 */         this.parser = new FormulaParser(formulaBytes, (Cell)this, getSheet().getWorkbook(), getSheet().getWorkbook(), getSheet().getWorkbookSettings());
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 236 */         this.parser.parse();
/*     */       } 
/*     */       
/* 239 */       this.parser.columnRemoved(sheetIndex, col, (s == getSheet()));
/*     */     }
/* 241 */     catch (FormulaException e) {
/*     */       
/* 243 */       e.printStackTrace();
/* 244 */       Assert.verify(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowInserted(Sheet s, int sheetIndex, int row) {
/*     */     try {
/* 260 */       if (this.parser == null) {
/*     */         
/* 262 */         byte[] formulaData = this.formula.getFormulaData();
/* 263 */         byte[] formulaBytes = new byte[formulaData.length - 16];
/* 264 */         System.arraycopy(formulaData, 16, formulaBytes, 0, formulaBytes.length);
/*     */         
/* 266 */         this.parser = new FormulaParser(formulaBytes, (Cell)this, getSheet().getWorkbook(), getSheet().getWorkbook(), getSheet().getWorkbookSettings());
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 271 */         this.parser.parse();
/*     */       } 
/*     */       
/* 274 */       this.parser.rowInserted(sheetIndex, row, (s == getSheet()));
/*     */     }
/* 276 */     catch (FormulaException e) {
/*     */       
/* 278 */       e.printStackTrace();
/* 279 */       Assert.verify(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void rowRemoved(Sheet s, int sheetIndex, int row) {
/*     */     try {
/* 295 */       if (this.parser == null) {
/*     */         
/* 297 */         byte[] formulaData = this.formula.getFormulaData();
/* 298 */         byte[] formulaBytes = new byte[formulaData.length - 16];
/* 299 */         System.arraycopy(formulaData, 16, formulaBytes, 0, formulaBytes.length);
/*     */         
/* 301 */         this.parser = new FormulaParser(formulaBytes, (Cell)this, getSheet().getWorkbook(), getSheet().getWorkbook(), getSheet().getWorkbookSettings());
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 306 */         this.parser.parse();
/*     */       } 
/*     */       
/* 309 */       this.parser.rowRemoved(sheetIndex, row, (s == getSheet()));
/*     */     }
/* 311 */     catch (FormulaException e) {
/*     */       
/* 313 */       e.printStackTrace();
/* 314 */       Assert.verify(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected FormulaData getReadFormula() {
/* 325 */     return this.formula;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFormula() throws FormulaException {
/* 335 */     return ((FormulaCell)this.formula).getFormula();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\ReadFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */