/*     */ package jxl.write.biff;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import jxl.CellType;
/*     */ import jxl.biff.ByteData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.write.Number;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class RowRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private byte[] data;
/*     */   private CellValue[] cells;
/*     */   private int rowHeight;
/*     */   private boolean collapsed;
/*     */   private int rowNumber;
/*     */   private int numColumns;
/*     */   private static final int growSize = 10;
/*     */   private static final int maxRKValue = 536870911;
/*     */   private static final int minRKValue = -536870912;
/*  81 */   private static int defaultHeightIndicator = 255;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowRecord(int rn) {
/*  91 */     super(Type.ROW);
/*  92 */     this.rowNumber = rn;
/*  93 */     this.cells = new CellValue[0];
/*  94 */     this.numColumns = 0;
/*  95 */     this.rowHeight = defaultHeightIndicator;
/*  96 */     this.collapsed = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRowHeight(int h) {
/* 106 */     if (h == 0) {
/*     */       
/* 108 */       setCollapsed(true);
/*     */     }
/*     */     else {
/*     */       
/* 112 */       this.rowHeight = h;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setRowDetails(int height, boolean col) {
/* 125 */     this.rowHeight = height;
/* 126 */     this.collapsed = col;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCollapsed(boolean c) {
/* 136 */     this.collapsed = c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRowNumber() {
/* 146 */     return this.rowNumber;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addCell(CellValue cv) {
/* 156 */     int col = cv.getColumn();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 161 */     if (col >= this.cells.length) {
/*     */       
/* 163 */       CellValue[] oldCells = this.cells;
/* 164 */       this.cells = new CellValue[Math.max(oldCells.length + 10, col + 1)];
/* 165 */       System.arraycopy(oldCells, 0, this.cells, 0, oldCells.length);
/* 166 */       oldCells = null;
/*     */     } 
/*     */     
/* 169 */     this.cells[col] = cv;
/*     */     
/* 171 */     this.numColumns = Math.max(col + 1, this.numColumns);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeCell(int col) {
/* 182 */     if (col >= this.numColumns) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 187 */     this.cells[col] = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write(File outputFile) throws IOException {
/* 198 */     outputFile.write((ByteData)this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void writeCells(File outputFile) throws IOException {
/* 213 */     ArrayList integerValues = new ArrayList();
/* 214 */     boolean integerValue = false;
/*     */ 
/*     */     
/* 217 */     for (int i = 0; i < this.numColumns; i++) {
/*     */       
/* 219 */       integerValue = false;
/* 220 */       if (this.cells[i] != null) {
/*     */ 
/*     */         
/* 223 */         if (this.cells[i].getType() == CellType.NUMBER) {
/*     */           
/* 225 */           Number nc = (Number)this.cells[i];
/* 226 */           if (nc.getValue() == (int)nc.getValue() && nc.getValue() < 5.36870911E8D && nc.getValue() > -5.36870912E8D)
/*     */           {
/*     */ 
/*     */             
/* 230 */             integerValue = true;
/*     */           }
/*     */         } 
/*     */         
/* 234 */         if (integerValue)
/*     */         {
/*     */           
/* 237 */           integerValues.add(this.cells[i]);
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 243 */           writeIntegerValues(integerValues, outputFile);
/* 244 */           outputFile.write((ByteData)this.cells[i]);
/*     */ 
/*     */ 
/*     */           
/* 248 */           if (this.cells[i].getType() == CellType.STRING_FORMULA)
/*     */           {
/* 250 */             StringRecord sr = new StringRecord(this.cells[i].getContents());
/* 251 */             outputFile.write((ByteData)sr);
/*     */           }
/*     */         
/*     */         }
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 259 */         writeIntegerValues(integerValues, outputFile);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 264 */     writeIntegerValues(integerValues, outputFile);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeIntegerValues(ArrayList integerValues, File outputFile) throws IOException {
/* 278 */     if (integerValues.size() == 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 283 */     if (integerValues.size() >= 3) {
/*     */ 
/*     */       
/* 286 */       MulRKRecord mulrk = new MulRKRecord(integerValues);
/* 287 */       outputFile.write((ByteData)mulrk);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 292 */       Iterator i = integerValues.iterator();
/* 293 */       while (i.hasNext())
/*     */       {
/* 295 */         outputFile.write((ByteData)i.next());
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 300 */     integerValues.clear();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 311 */     byte[] data = new byte[16];
/* 312 */     IntegerHelper.getTwoBytes(this.rowNumber, data, 0);
/* 313 */     IntegerHelper.getTwoBytes(this.numColumns, data, 4);
/* 314 */     IntegerHelper.getTwoBytes(this.rowHeight, data, 6);
/*     */     
/* 316 */     int options = 256;
/*     */     
/* 318 */     if (this.collapsed)
/*     */     {
/* 320 */       options |= 0x20;
/*     */     }
/*     */     
/* 323 */     if (this.rowHeight != defaultHeightIndicator)
/*     */     {
/* 325 */       options |= 0x40;
/*     */     }
/*     */     
/* 328 */     IntegerHelper.getTwoBytes(options, data, 12);
/*     */     
/* 330 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getMaxColumn() {
/* 340 */     return this.numColumns;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellValue getCell(int col) {
/* 352 */     return (col >= 0 && col < this.numColumns) ? this.cells[col] : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void incrementRow() {
/* 361 */     this.rowNumber++;
/*     */     
/* 363 */     for (int i = 0; i < this.cells.length; i++) {
/*     */       
/* 365 */       if (this.cells[i] != null)
/*     */       {
/* 367 */         this.cells[i].incrementRow();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void decrementRow() {
/* 378 */     this.rowNumber--;
/* 379 */     for (int i = 0; i < this.cells.length; i++) {
/*     */       
/* 381 */       if (this.cells[i] != null)
/*     */       {
/* 383 */         this.cells[i].decrementRow();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void insertColumn(int col) {
/* 397 */     if (col >= this.numColumns) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 403 */     CellValue[] oldCells = this.cells;
/*     */     
/* 405 */     if (this.numColumns >= this.cells.length - 1) {
/*     */       
/* 407 */       this.cells = new CellValue[oldCells.length + 10];
/*     */     }
/*     */     else {
/*     */       
/* 411 */       this.cells = new CellValue[oldCells.length];
/*     */     } 
/*     */ 
/*     */     
/* 415 */     System.arraycopy(oldCells, 0, this.cells, 0, col);
/*     */ 
/*     */     
/* 418 */     System.arraycopy(oldCells, col, this.cells, col + 1, this.numColumns - col);
/*     */ 
/*     */     
/* 421 */     for (int i = col + 1; i <= this.numColumns; i++) {
/*     */       
/* 423 */       if (this.cells[i] != null)
/*     */       {
/* 425 */         this.cells[i].incrementColumn();
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 430 */     this.numColumns++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void removeColumn(int col) {
/* 442 */     if (col >= this.numColumns) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 448 */     CellValue[] oldCells = this.cells;
/*     */     
/* 450 */     this.cells = new CellValue[oldCells.length];
/*     */ 
/*     */     
/* 453 */     System.arraycopy(oldCells, 0, this.cells, 0, col);
/*     */ 
/*     */     
/* 456 */     System.arraycopy(oldCells, col + 1, this.cells, col, this.numColumns - col + 1);
/*     */ 
/*     */     
/* 459 */     for (int i = col; i < this.numColumns; i++) {
/*     */       
/* 461 */       if (this.cells[i] != null)
/*     */       {
/* 463 */         this.cells[i].decrementColumn();
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 468 */     this.numColumns--;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isDefaultHeight() {
/* 478 */     return (this.rowHeight == defaultHeightIndicator);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRowHeight() {
/* 488 */     return this.rowHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCollapsed() {
/* 498 */     return this.collapsed;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\RowRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */