/*     */ package jxl.write.biff;
/*     */ 
/*     */ import jxl.SheetSettings;
/*     */ import jxl.biff.DoubleHelper;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ import jxl.format.PageOrientation;
/*     */ import jxl.format.PaperSize;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class SetupRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private byte[] data;
/*     */   private double headerMargin;
/*     */   private double footerMargin;
/*     */   private PageOrientation orientation;
/*     */   private int paperSize;
/*     */   private int scaleFactor;
/*     */   private int pageStart;
/*     */   private int fitWidth;
/*     */   private int fitHeight;
/*     */   private int horizontalPrintResolution;
/*     */   private int verticalPrintResolution;
/*     */   private int copies;
/*     */   
/*     */   public SetupRecord() {
/* 103 */     super(Type.SETUP);
/*     */     
/* 105 */     this.orientation = PageOrientation.PORTRAIT;
/* 106 */     this.headerMargin = 0.5D;
/* 107 */     this.footerMargin = 0.5D;
/* 108 */     this.paperSize = PaperSize.A4.getValue();
/* 109 */     this.horizontalPrintResolution = 300;
/* 110 */     this.verticalPrintResolution = 300;
/* 111 */     this.copies = 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupRecord(SheetSettings s) {
/* 122 */     super(Type.SETUP);
/*     */     
/* 124 */     this.orientation = s.getOrientation();
/* 125 */     this.headerMargin = s.getHeaderMargin();
/* 126 */     this.footerMargin = s.getFooterMargin();
/* 127 */     this.paperSize = s.getPaperSize().getValue();
/* 128 */     this.horizontalPrintResolution = s.getHorizontalPrintResolution();
/* 129 */     this.verticalPrintResolution = s.getVerticalPrintResolution();
/* 130 */     this.fitWidth = s.getFitWidth();
/* 131 */     this.fitHeight = s.getFitHeight();
/* 132 */     this.pageStart = s.getPageStart();
/* 133 */     this.scaleFactor = s.getScaleFactor();
/* 134 */     this.copies = s.getCopies();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupRecord(jxl.read.biff.SetupRecord sr) {
/* 143 */     super(Type.SETUP);
/*     */     
/* 145 */     this.orientation = sr.isPortrait() ? PageOrientation.PORTRAIT : PageOrientation.LANDSCAPE;
/*     */ 
/*     */     
/* 148 */     this.paperSize = sr.getPaperSize();
/* 149 */     this.headerMargin = sr.getHeaderMargin();
/* 150 */     this.footerMargin = sr.getFooterMargin();
/* 151 */     this.scaleFactor = sr.getScaleFactor();
/* 152 */     this.pageStart = sr.getPageStart();
/* 153 */     this.fitWidth = sr.getFitWidth();
/* 154 */     this.fitHeight = sr.getFitHeight();
/* 155 */     this.horizontalPrintResolution = sr.getHorizontalPrintResolution();
/* 156 */     this.verticalPrintResolution = sr.getVerticalPrintResolution();
/* 157 */     this.copies = sr.getCopies();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setOrientation(PageOrientation o) {
/* 167 */     this.orientation = o;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setMargins(double hm, double fm) {
/* 178 */     this.headerMargin = hm;
/* 179 */     this.footerMargin = fm;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPaperSize(PaperSize ps) {
/* 189 */     this.paperSize = ps.getValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 199 */     this.data = new byte[34];
/*     */ 
/*     */     
/* 202 */     IntegerHelper.getTwoBytes(this.paperSize, this.data, 0);
/*     */ 
/*     */     
/* 205 */     IntegerHelper.getTwoBytes(this.scaleFactor, this.data, 2);
/*     */ 
/*     */     
/* 208 */     IntegerHelper.getTwoBytes(this.pageStart, this.data, 4);
/*     */ 
/*     */     
/* 211 */     IntegerHelper.getTwoBytes(this.fitWidth, this.data, 6);
/*     */ 
/*     */     
/* 214 */     IntegerHelper.getTwoBytes(this.fitHeight, this.data, 8);
/*     */ 
/*     */     
/* 217 */     if (this.orientation == PageOrientation.PORTRAIT)
/*     */     {
/* 219 */       IntegerHelper.getTwoBytes(2, this.data, 10);
/*     */     }
/*     */ 
/*     */     
/* 223 */     IntegerHelper.getTwoBytes(this.horizontalPrintResolution, this.data, 12);
/*     */ 
/*     */     
/* 226 */     IntegerHelper.getTwoBytes(this.verticalPrintResolution, this.data, 14);
/*     */ 
/*     */     
/* 229 */     DoubleHelper.getIEEEBytes(this.headerMargin, this.data, 16);
/*     */ 
/*     */     
/* 232 */     DoubleHelper.getIEEEBytes(this.footerMargin, this.data, 24);
/*     */ 
/*     */     
/* 235 */     IntegerHelper.getTwoBytes(this.copies, this.data, 32);
/*     */     
/* 237 */     return this.data;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\SetupRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */