/*     */ package jxl.write.biff;
/*     */ 
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.StringHelper;
/*     */ import jxl.biff.Type;
/*     */ import jxl.biff.WritableRecordData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class SupbookRecord
/*     */   extends WritableRecordData
/*     */ {
/*     */   private SupbookType type;
/*     */   private byte[] data;
/*     */   private int numSheets;
/*     */   private String fileName;
/*     */   private String[] sheetNames;
/*     */   
/*     */   private static class SupbookType
/*     */   {
/*     */     private SupbookType() {}
/*     */   }
/*     */   
/*  63 */   public static final SupbookType INTERNAL = new SupbookType();
/*  64 */   public static final SupbookType EXTERNAL = new SupbookType();
/*  65 */   public static final SupbookType ADDIN = new SupbookType();
/*  66 */   public static final SupbookType LINK = new SupbookType();
/*  67 */   public static final SupbookType UNKNOWN = new SupbookType();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SupbookRecord(int sheets) {
/*  74 */     super(Type.SUPBOOK);
/*     */     
/*  76 */     this.numSheets = sheets;
/*  77 */     this.data = new byte[4];
/*     */     
/*  79 */     IntegerHelper.getTwoBytes(sheets, this.data, 0);
/*  80 */     this.data[2] = 1;
/*  81 */     this.data[3] = 4;
/*     */     
/*  83 */     this.type = INTERNAL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SupbookRecord(jxl.read.biff.SupbookRecord sr) {
/*  91 */     super(Type.SUPBOOK);
/*     */     
/*  93 */     if (sr.getType() == jxl.read.biff.SupbookRecord.INTERNAL) {
/*     */       
/*  95 */       initInternal(sr);
/*     */     }
/*  97 */     else if (sr.getType() == jxl.read.biff.SupbookRecord.EXTERNAL) {
/*     */       
/*  99 */       initExternal(sr);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initInternal(jxl.read.biff.SupbookRecord sr) {
/* 110 */     this.numSheets = sr.getNumberOfSheets();
/*     */     
/* 112 */     this.data = new byte[4];
/*     */     
/* 114 */     IntegerHelper.getTwoBytes(this.numSheets, this.data, 0);
/* 115 */     this.data[2] = 1;
/* 116 */     this.data[3] = 4;
/* 117 */     this.type = INTERNAL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initExternal(jxl.read.biff.SupbookRecord sr) {
/* 127 */     this.numSheets = sr.getNumberOfSheets();
/* 128 */     this.fileName = sr.getFileName();
/* 129 */     this.sheetNames = new String[this.numSheets];
/*     */     
/* 131 */     int totalSheetNameLength = 0;
/* 132 */     for (int i = 0; i < this.numSheets; i++) {
/*     */       
/* 134 */       this.sheetNames[i] = sr.getSheetName(i);
/* 135 */       totalSheetNameLength += this.sheetNames[i].length();
/*     */     } 
/*     */     
/* 138 */     int dataLength = 6 + this.fileName.length() + this.numSheets * 3 + totalSheetNameLength * 2;
/*     */ 
/*     */ 
/*     */     
/* 142 */     this.data = new byte[dataLength];
/*     */     
/* 144 */     IntegerHelper.getTwoBytes(this.numSheets, this.data, 0);
/*     */ 
/*     */     
/* 147 */     int pos = 2;
/* 148 */     IntegerHelper.getTwoBytes(this.fileName.length() + 1, this.data, pos);
/* 149 */     this.data[pos + 2] = 0;
/* 150 */     this.data[pos + 3] = 1;
/* 151 */     StringHelper.getBytes(this.fileName, this.data, pos + 4);
/*     */     
/* 153 */     pos += 4 + this.fileName.length();
/*     */ 
/*     */     
/* 156 */     for (int j = 0; j < this.sheetNames.length; j++) {
/*     */       
/* 158 */       IntegerHelper.getTwoBytes(this.sheetNames[j].length(), this.data, pos);
/* 159 */       this.data[pos + 2] = 1;
/* 160 */       StringHelper.getUnicodeBytes(this.sheetNames[j], this.data, pos + 3);
/* 161 */       pos += 3 + this.sheetNames[j].length() * 2;
/*     */     } 
/*     */     
/* 164 */     this.type = EXTERNAL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/* 174 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SupbookType getType() {
/* 184 */     return this.type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNumberOfSheets() {
/* 195 */     return this.numSheets;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\SupbookRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */