/*      */ package jxl.write.biff;
/*      */ 
/*      */ import common.Assert;
/*      */ import common.Logger;
/*      */ import java.io.File;
/*      */ import java.io.IOException;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Comparator;
/*      */ import java.util.Iterator;
/*      */ import java.util.TreeSet;
/*      */ import jxl.BooleanCell;
/*      */ import jxl.Cell;
/*      */ import jxl.CellType;
/*      */ import jxl.CellView;
/*      */ import jxl.DateCell;
/*      */ import jxl.Hyperlink;
/*      */ import jxl.LabelCell;
/*      */ import jxl.NumberCell;
/*      */ import jxl.Range;
/*      */ import jxl.Sheet;
/*      */ import jxl.SheetSettings;
/*      */ import jxl.WorkbookSettings;
/*      */ import jxl.biff.EmptyCell;
/*      */ import jxl.biff.FormattingRecords;
/*      */ import jxl.biff.FormulaData;
/*      */ import jxl.biff.IndexMapping;
/*      */ import jxl.biff.NumFormatRecordsException;
/*      */ import jxl.biff.SheetRangeImpl;
/*      */ import jxl.biff.WorkspaceInformationRecord;
/*      */ import jxl.biff.XFRecord;
/*      */ import jxl.biff.drawing.Chart;
/*      */ import jxl.biff.drawing.Drawing;
/*      */ import jxl.format.CellFormat;
/*      */ import jxl.format.PageOrientation;
/*      */ import jxl.format.PaperSize;
/*      */ import jxl.read.biff.ColumnInfoRecord;
/*      */ import jxl.read.biff.RowRecord;
/*      */ import jxl.read.biff.SheetImpl;
/*      */ import jxl.write.Blank;
/*      */ import jxl.write.Boolean;
/*      */ import jxl.write.DateTime;
/*      */ import jxl.write.Label;
/*      */ import jxl.write.Number;
/*      */ import jxl.write.WritableCell;
/*      */ import jxl.write.WritableCellFormat;
/*      */ import jxl.write.WritableHyperlink;
/*      */ import jxl.write.WritableImage;
/*      */ import jxl.write.WritableSheet;
/*      */ import jxl.write.WritableWorkbook;
/*      */ import jxl.write.WriteException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class WritableSheetImpl
/*      */   implements WritableSheet
/*      */ {
/*   84 */   private static Logger logger = Logger.getLogger(WritableSheetImpl.class);
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String name;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private File outputFile;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private RowRecord[] rows;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private FormattingRecords formatRecords;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SharedStrings sharedStrings;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private TreeSet columnFormats;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList hyperlinks;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private MergedCells mergedCells;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int numRows;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int numColumns;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private PLSRecord plsRecord;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean chartOnly;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList rowBreaks;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList drawings;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SheetSettings settings;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SheetWriter sheetWriter;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WorkbookSettings workbookSettings;
/*      */ 
/*      */ 
/*      */   
/*      */   private WritableWorkbookImpl workbook;
/*      */ 
/*      */ 
/*      */   
/*      */   private static final int rowGrowSize = 10;
/*      */ 
/*      */ 
/*      */   
/*      */   private static final int numRowsPerSheet = 65536;
/*      */ 
/*      */ 
/*      */   
/*  185 */   private static final String[] imageTypes = new String[] { "png" };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static class ColumnInfoComparator
/*      */     implements Comparator
/*      */   {
/*      */     private ColumnInfoComparator() {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public boolean equals(Object o) {
/*  200 */       return (o == this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public int compare(Object o1, Object o2) {
/*  212 */       if (o1 == o2)
/*      */       {
/*  214 */         return 0;
/*      */       }
/*      */       
/*  217 */       Assert.verify(o1 instanceof ColumnInfoRecord);
/*  218 */       Assert.verify(o2 instanceof ColumnInfoRecord);
/*      */       
/*  220 */       ColumnInfoRecord ci1 = (ColumnInfoRecord)o1;
/*  221 */       ColumnInfoRecord ci2 = (ColumnInfoRecord)o2;
/*      */       
/*  223 */       return ci1.getColumn() - ci2.getColumn();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheetImpl(String n, File of, FormattingRecords fr, SharedStrings ss, WorkbookSettings ws, WritableWorkbookImpl ww) {
/*  244 */     this.name = n;
/*  245 */     this.outputFile = of;
/*  246 */     this.rows = new RowRecord[0];
/*  247 */     this.numRows = 0;
/*  248 */     this.numColumns = 0;
/*  249 */     this.chartOnly = false;
/*  250 */     this.workbook = ww;
/*      */     
/*  252 */     this.formatRecords = fr;
/*  253 */     this.sharedStrings = ss;
/*  254 */     this.workbookSettings = ws;
/*  255 */     this.columnFormats = new TreeSet(new ColumnInfoComparator());
/*  256 */     this.hyperlinks = new ArrayList();
/*  257 */     this.mergedCells = new MergedCells(this);
/*  258 */     this.rowBreaks = new ArrayList();
/*  259 */     this.drawings = new ArrayList();
/*  260 */     this.settings = new SheetSettings();
/*      */ 
/*      */     
/*  263 */     this.sheetWriter = new SheetWriter(this.outputFile, this, this.workbookSettings);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Cell getCell(int column, int row) {
/*  277 */     return (Cell)getWritableCell(column, row);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableCell getWritableCell(int column, int row) {
/*      */     EmptyCell emptyCell;
/*  289 */     WritableCell c = null;
/*      */     
/*  291 */     if (row < this.rows.length && this.rows[row] != null)
/*      */     {
/*  293 */       c = this.rows[row].getCell(column);
/*      */     }
/*      */     
/*  296 */     if (c == null)
/*      */     {
/*  298 */       emptyCell = new EmptyCell(column, row);
/*      */     }
/*      */     
/*  301 */     return (WritableCell)emptyCell;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRows() {
/*  311 */     return this.numRows;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getColumns() {
/*  321 */     return this.numColumns;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Cell findCell(String contents) {
/*  335 */     Cell cell = null;
/*  336 */     boolean found = false;
/*      */     
/*  338 */     for (int i = 0; i < getRows() && !found; i++) {
/*      */       
/*  340 */       Cell[] row = getRow(i);
/*  341 */       for (int j = 0; j < row.length && !found; j++) {
/*      */         
/*  343 */         if (row[j].getContents().equals(contents)) {
/*      */           
/*  345 */           cell = row[j];
/*  346 */           found = true;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/*  351 */     return cell;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public LabelCell findLabelCell(String contents) {
/*  368 */     LabelCell cell = null;
/*  369 */     boolean found = false;
/*      */     
/*  371 */     for (int i = 0; i < getRows() && !found; i++) {
/*      */       
/*  373 */       Cell[] row = getRow(i);
/*  374 */       for (int j = 0; j < row.length && !found; j++) {
/*      */         
/*  376 */         if ((row[j].getType() == CellType.LABEL || row[j].getType() == CellType.STRING_FORMULA) && row[j].getContents().equals(contents)) {
/*      */ 
/*      */ 
/*      */           
/*  380 */           cell = (LabelCell)row[j];
/*  381 */           found = true;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/*  386 */     return cell;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Cell[] getRow(int row) {
/*  398 */     boolean found = false;
/*  399 */     int col = this.numColumns - 1;
/*  400 */     while (col >= 0 && !found) {
/*      */       
/*  402 */       if (getCell(col, row).getType() != CellType.EMPTY) {
/*      */         
/*  404 */         found = true;
/*      */         
/*      */         continue;
/*      */       } 
/*  408 */       col--;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  413 */     Cell[] cells = new Cell[col + 1];
/*      */     
/*  415 */     for (int i = 0; i <= col; i++)
/*      */     {
/*  417 */       cells[i] = getCell(i, row);
/*      */     }
/*  419 */     return cells;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Cell[] getColumn(int col) {
/*  431 */     boolean found = false;
/*  432 */     int row = this.numRows - 1;
/*      */     
/*  434 */     while (row >= 0 && !found) {
/*      */       
/*  436 */       if (getCell(col, row).getType() != CellType.EMPTY) {
/*      */         
/*  438 */         found = true;
/*      */         
/*      */         continue;
/*      */       } 
/*  442 */       row--;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  447 */     Cell[] cells = new Cell[row + 1];
/*      */     
/*  449 */     for (int i = 0; i <= row; i++)
/*      */     {
/*  451 */       cells[i] = getCell(col, i);
/*      */     }
/*  453 */     return cells;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getName() {
/*  463 */     return this.name;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void insertRow(int row) {
/*  474 */     if (row < 0 || row >= this.numRows) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  480 */     RowRecord[] oldRows = this.rows;
/*      */     
/*  482 */     if (this.numRows == this.rows.length) {
/*      */       
/*  484 */       this.rows = new RowRecord[oldRows.length + 10];
/*      */     }
/*      */     else {
/*      */       
/*  488 */       this.rows = new RowRecord[oldRows.length];
/*      */     } 
/*      */ 
/*      */     
/*  492 */     System.arraycopy(oldRows, 0, this.rows, 0, row);
/*      */ 
/*      */     
/*  495 */     System.arraycopy(oldRows, row, this.rows, row + 1, this.numRows - row);
/*      */ 
/*      */     
/*  498 */     for (int i = row + 1; i <= this.numRows; i++) {
/*      */       
/*  500 */       if (this.rows[i] != null)
/*      */       {
/*  502 */         this.rows[i].incrementRow();
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  507 */     HyperlinkRecord hr = null;
/*  508 */     Iterator iterator = this.hyperlinks.iterator();
/*  509 */     while (iterator.hasNext()) {
/*      */       
/*  511 */       hr = iterator.next();
/*  512 */       hr.insertRow(row);
/*      */     } 
/*      */ 
/*      */     
/*  516 */     this.mergedCells.insertRow(row);
/*      */ 
/*      */     
/*  519 */     ArrayList newRowBreaks = new ArrayList();
/*  520 */     Iterator ri = this.rowBreaks.iterator();
/*  521 */     while (ri.hasNext()) {
/*      */       
/*  523 */       int val = ((Integer)ri.next()).intValue();
/*  524 */       if (val >= row)
/*      */       {
/*  526 */         val++;
/*      */       }
/*      */       
/*  529 */       newRowBreaks.add(new Integer(val));
/*      */     } 
/*  531 */     this.rowBreaks = newRowBreaks;
/*      */ 
/*      */     
/*  534 */     if (this.workbookSettings.getFormulaAdjust())
/*      */     {
/*  536 */       this.workbook.rowInserted(this, row);
/*      */     }
/*      */ 
/*      */     
/*  540 */     this.numRows++;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void insertColumn(int col) {
/*  551 */     if (col < 0 || col >= this.numColumns) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  557 */     for (int i = 0; i < this.numRows; i++) {
/*      */       
/*  559 */       if (this.rows[i] != null)
/*      */       {
/*  561 */         this.rows[i].insertColumn(col);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  566 */     HyperlinkRecord hr = null;
/*  567 */     Iterator iterator = this.hyperlinks.iterator();
/*  568 */     while (iterator.hasNext()) {
/*      */       
/*  570 */       hr = iterator.next();
/*  571 */       hr.insertColumn(col);
/*      */     } 
/*      */ 
/*      */     
/*  575 */     iterator = this.columnFormats.iterator();
/*  576 */     while (iterator.hasNext()) {
/*      */       
/*  578 */       ColumnInfoRecord cir = (ColumnInfoRecord)iterator.next();
/*      */       
/*  580 */       if (cir.getColumn() >= col)
/*      */       {
/*  582 */         cir.incrementColumn();
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  587 */     this.mergedCells.insertColumn(col);
/*      */ 
/*      */     
/*  590 */     if (this.workbookSettings.getFormulaAdjust())
/*      */     {
/*  592 */       this.workbook.columnInserted(this, col);
/*      */     }
/*      */     
/*  595 */     this.numColumns++;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeColumn(int col) {
/*  606 */     if (col < 0 || col >= this.numColumns) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  612 */     for (int i = 0; i < this.numRows; i++) {
/*      */       
/*  614 */       if (this.rows[i] != null)
/*      */       {
/*  616 */         this.rows[i].removeColumn(col);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  621 */     HyperlinkRecord hr = null;
/*  622 */     Iterator iterator = this.hyperlinks.iterator();
/*  623 */     while (iterator.hasNext()) {
/*      */       
/*  625 */       hr = iterator.next();
/*      */       
/*  627 */       if (hr.getColumn() == col && hr.getLastColumn() == col) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  632 */         this.hyperlinks.remove(this.hyperlinks.indexOf(hr));
/*      */         
/*      */         continue;
/*      */       } 
/*  636 */       hr.removeColumn(col);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  641 */     this.mergedCells.removeColumn(col);
/*      */ 
/*      */     
/*  644 */     iterator = this.columnFormats.iterator();
/*  645 */     ColumnInfoRecord removeColumn = null;
/*  646 */     while (iterator.hasNext()) {
/*      */       
/*  648 */       ColumnInfoRecord cir = (ColumnInfoRecord)iterator.next();
/*      */       
/*  650 */       if (cir.getColumn() == col) {
/*      */         
/*  652 */         removeColumn = cir; continue;
/*      */       } 
/*  654 */       if (cir.getColumn() > col)
/*      */       {
/*  656 */         cir.decrementColumn();
/*      */       }
/*      */     } 
/*      */     
/*  660 */     if (removeColumn != null)
/*      */     {
/*  662 */       this.columnFormats.remove(removeColumn);
/*      */     }
/*      */ 
/*      */     
/*  666 */     if (this.workbookSettings.getFormulaAdjust())
/*      */     {
/*  668 */       this.workbook.columnRemoved(this, col);
/*      */     }
/*      */     
/*  671 */     this.numColumns--;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeRow(int row) {
/*  682 */     if (row < 0 || row >= this.numRows) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  688 */     RowRecord[] oldRows = this.rows;
/*      */     
/*  690 */     this.rows = new RowRecord[oldRows.length];
/*      */ 
/*      */     
/*  693 */     System.arraycopy(oldRows, 0, this.rows, 0, row);
/*      */ 
/*      */     
/*  696 */     System.arraycopy(oldRows, row + 1, this.rows, row, this.numRows - row + 1);
/*      */ 
/*      */     
/*  699 */     for (int i = row; i < this.numRows; i++) {
/*      */       
/*  701 */       if (this.rows[i] != null)
/*      */       {
/*  703 */         this.rows[i].decrementRow();
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  708 */     HyperlinkRecord hr = null;
/*  709 */     Iterator iterator = this.hyperlinks.iterator();
/*  710 */     while (iterator.hasNext()) {
/*      */       
/*  712 */       hr = iterator.next();
/*      */       
/*  714 */       if (hr.getRow() == row && hr.getLastRow() == row) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  719 */         iterator.remove();
/*      */         
/*      */         continue;
/*      */       } 
/*  723 */       hr.removeRow(row);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  728 */     this.mergedCells.removeRow(row);
/*      */ 
/*      */     
/*  731 */     ArrayList newRowBreaks = new ArrayList();
/*  732 */     Iterator ri = this.rowBreaks.iterator();
/*  733 */     while (ri.hasNext()) {
/*      */       
/*  735 */       int val = ((Integer)ri.next()).intValue();
/*      */       
/*  737 */       if (val != row) {
/*      */         
/*  739 */         if (val > row)
/*      */         {
/*  741 */           val--;
/*      */         }
/*      */         
/*  744 */         newRowBreaks.add(new Integer(val));
/*      */       } 
/*      */     } 
/*      */     
/*  748 */     this.rowBreaks = newRowBreaks;
/*      */ 
/*      */     
/*  751 */     if (this.workbookSettings.getFormulaAdjust())
/*      */     {
/*  753 */       this.workbook.rowRemoved(this, row);
/*      */     }
/*      */ 
/*      */     
/*  757 */     this.numRows--;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addCell(WritableCell cell) throws WriteException, RowsExceededException {
/*  780 */     CellValue cv = (CellValue)cell;
/*      */     
/*  782 */     if (cv.isReferenced())
/*      */     {
/*  784 */       throw new JxlWriteException(JxlWriteException.cellReferenced);
/*      */     }
/*      */     
/*  787 */     int row = cell.getRow();
/*  788 */     RowRecord rowrec = getRowRecord(row);
/*  789 */     rowrec.addCell(cv);
/*      */ 
/*      */     
/*  792 */     this.numRows = Math.max(row + 1, this.numRows);
/*  793 */     this.numColumns = Math.max(this.numColumns, rowrec.getMaxColumn());
/*      */ 
/*      */ 
/*      */     
/*  797 */     cv.setCellDetails(this.formatRecords, this.sharedStrings, this);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private RowRecord getRowRecord(int row) throws RowsExceededException {
/*  810 */     if (row >= 65536)
/*      */     {
/*  812 */       throw new RowsExceededException();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  818 */     if (row >= this.rows.length) {
/*      */       
/*  820 */       RowRecord[] oldRows = this.rows;
/*  821 */       this.rows = new RowRecord[Math.max(oldRows.length + 10, row + 1)];
/*  822 */       System.arraycopy(oldRows, 0, this.rows, 0, oldRows.length);
/*  823 */       oldRows = null;
/*      */     } 
/*      */     
/*  826 */     RowRecord rowrec = this.rows[row];
/*      */     
/*  828 */     if (rowrec == null) {
/*      */       
/*  830 */       rowrec = new RowRecord(row);
/*  831 */       this.rows[row] = rowrec;
/*      */     } 
/*      */     
/*  834 */     return rowrec;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   RowRecord getRowInfo(int r) {
/*  845 */     if (r < 0 || r > this.rows.length)
/*      */     {
/*  847 */       return null;
/*      */     }
/*      */     
/*  850 */     return this.rows[r];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   ColumnInfoRecord getColumnInfo(int c) {
/*  861 */     Iterator i = this.columnFormats.iterator();
/*  862 */     ColumnInfoRecord cir = null;
/*  863 */     boolean stop = false;
/*      */     
/*  865 */     while (i.hasNext() && !stop) {
/*      */       
/*  867 */       cir = i.next();
/*      */       
/*  869 */       if (cir.getColumn() >= c)
/*      */       {
/*  871 */         stop = true;
/*      */       }
/*      */     } 
/*      */     
/*  875 */     if (!stop)
/*      */     {
/*  877 */       return null;
/*      */     }
/*      */     
/*  880 */     return (cir.getColumn() == c) ? cir : null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setName(String n) {
/*  890 */     this.name = n;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setHidden(boolean h) {
/*  901 */     this.settings.setHidden(h);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setProtected(boolean prot) {
/*  912 */     this.settings.setProtected(prot);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelected() {
/*  921 */     this.settings.setSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isHidden() {
/*  932 */     return this.settings.isHidden();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnView(int col, int width) {
/*  943 */     CellView cv = new CellView();
/*  944 */     cv.setSize(width * 256);
/*  945 */     setColumnView(col, cv);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnView(int col, int width, CellFormat format) {
/*  958 */     CellView cv = new CellView();
/*  959 */     cv.setSize(width * 256);
/*  960 */     cv.setFormat(format);
/*  961 */     setColumnView(col, cv);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnView(int col, CellView view) {
/*      */     WritableCellFormat writableCellFormat;
/*  972 */     XFRecord xfr = (XFRecord)view.getFormat();
/*  973 */     if (xfr == null)
/*      */     {
/*  975 */       writableCellFormat = WritableWorkbookImpl.NORMAL_STYLE;
/*      */     }
/*      */ 
/*      */     
/*      */     try {
/*  980 */       if (!writableCellFormat.isInitialized())
/*      */       {
/*  982 */         this.formatRecords.addStyle((XFRecord)writableCellFormat);
/*      */       }
/*      */       
/*  985 */       int width = view.depUsed() ? (view.getDimension() * 256) : view.getSize();
/*      */       
/*  987 */       ColumnInfoRecord cir = new ColumnInfoRecord(col, width, (XFRecord)writableCellFormat);
/*      */ 
/*      */       
/*  990 */       if (!this.columnFormats.contains(cir))
/*      */       {
/*  992 */         this.columnFormats.add(cir);
/*      */       }
/*      */       else
/*      */       {
/*  996 */         boolean removed = this.columnFormats.remove(cir);
/*  997 */         this.columnFormats.add(cir);
/*      */       }
/*      */     
/* 1000 */     } catch (NumFormatRecordsException e) {
/*      */       
/* 1002 */       logger.warn("Maximum number of format records exceeded.  Using default format.");
/*      */       
/* 1004 */       ColumnInfoRecord cir = new ColumnInfoRecord(col, view.getDimension() * 256, (XFRecord)WritableWorkbook.NORMAL_STYLE);
/*      */ 
/*      */       
/* 1007 */       if (!this.columnFormats.contains(cir))
/*      */       {
/* 1009 */         this.columnFormats.add(cir);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowView(int row, int height) throws RowsExceededException {
/* 1024 */     setRowView(row, height, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowView(int row, boolean collapsed) throws RowsExceededException {
/* 1037 */     RowRecord rowrec = getRowRecord(row);
/* 1038 */     rowrec.setCollapsed(collapsed);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowView(int row, int height, boolean collapsed) throws RowsExceededException {
/* 1054 */     RowRecord rowrec = getRowRecord(row);
/* 1055 */     rowrec.setRowHeight(height);
/* 1056 */     rowrec.setCollapsed(collapsed);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void write() throws IOException {
/* 1068 */     this.sheetWriter.setWriteData(this.rows, this.rowBreaks, this.hyperlinks, this.mergedCells, this.columnFormats);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1073 */     this.sheetWriter.setDimensions(getRows(), getColumns());
/* 1074 */     this.sheetWriter.setSettings(this.settings);
/* 1075 */     this.sheetWriter.setPLS(this.plsRecord);
/* 1076 */     this.sheetWriter.setDrawings(this.drawings);
/*      */     
/* 1078 */     this.sheetWriter.write();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void copyCells(Sheet s) {
/* 1089 */     int cells = s.getRows();
/* 1090 */     Cell[] row = null;
/* 1091 */     Cell cell = null;
/* 1092 */     for (int i = 0; i < cells; i++) {
/*      */       
/* 1094 */       row = s.getRow(i);
/*      */       
/* 1096 */       for (int j = 0; j < row.length; j++) {
/*      */         
/* 1098 */         cell = row[j];
/* 1099 */         CellType ct = cell.getType();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         try {
/* 1108 */           if (ct == CellType.LABEL) {
/*      */             
/* 1110 */             Label l = new Label((LabelCell)cell);
/* 1111 */             addCell((WritableCell)l);
/*      */           }
/* 1113 */           else if (ct == CellType.NUMBER) {
/*      */             
/* 1115 */             Number n = new Number((NumberCell)cell);
/* 1116 */             addCell((WritableCell)n);
/*      */           }
/* 1118 */           else if (ct == CellType.DATE) {
/*      */             
/* 1120 */             DateTime dt = new DateTime((DateCell)cell);
/* 1121 */             addCell((WritableCell)dt);
/*      */           }
/* 1123 */           else if (ct == CellType.BOOLEAN) {
/*      */             
/* 1125 */             Boolean b = new Boolean((BooleanCell)cell);
/* 1126 */             addCell((WritableCell)b);
/*      */           }
/* 1128 */           else if (ct == CellType.NUMBER_FORMULA) {
/*      */             
/* 1130 */             ReadNumberFormulaRecord fr = new ReadNumberFormulaRecord((FormulaData)cell);
/*      */             
/* 1132 */             addCell(fr);
/*      */           }
/* 1134 */           else if (ct == CellType.STRING_FORMULA) {
/*      */             
/* 1136 */             ReadStringFormulaRecord fr = new ReadStringFormulaRecord((FormulaData)cell);
/*      */             
/* 1138 */             addCell(fr);
/*      */           }
/* 1140 */           else if (ct == CellType.BOOLEAN_FORMULA) {
/*      */             
/* 1142 */             ReadBooleanFormulaRecord fr = new ReadBooleanFormulaRecord((FormulaData)cell);
/*      */             
/* 1144 */             addCell(fr);
/*      */           }
/* 1146 */           else if (ct == CellType.FORMULA_ERROR) {
/*      */             
/* 1148 */             ReadErrorFormulaRecord fr = new ReadErrorFormulaRecord((FormulaData)cell);
/*      */             
/* 1150 */             addCell(fr);
/*      */           }
/* 1152 */           else if (ct == CellType.EMPTY) {
/*      */             
/* 1154 */             if (cell.getCellFormat() != null)
/*      */             {
/*      */ 
/*      */ 
/*      */               
/* 1159 */               Blank b = new Blank(cell);
/* 1160 */               addCell((WritableCell)b);
/*      */             }
/*      */           
/*      */           } 
/* 1164 */         } catch (WriteException e) {
/*      */           
/* 1166 */           Assert.verify(false);
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void copy(Sheet s) {
/* 1180 */     this.settings = new SheetSettings(s.getSettings());
/*      */     
/* 1182 */     copyCells(s);
/*      */ 
/*      */     
/* 1185 */     SheetImpl si = (SheetImpl)s;
/* 1186 */     ColumnInfoRecord[] readCirs = si.getColumnInfos();
/*      */     
/* 1188 */     for (int i = 0; i < readCirs.length; i++) {
/*      */       
/* 1190 */       ColumnInfoRecord rcir = readCirs[i];
/* 1191 */       for (int n = rcir.getStartColumn(); n <= rcir.getEndColumn(); n++) {
/*      */         
/* 1193 */         ColumnInfoRecord cir = new ColumnInfoRecord(rcir, n, this.formatRecords);
/*      */         
/* 1195 */         cir.setHidden(rcir.getHidden());
/* 1196 */         this.columnFormats.add(cir);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 1201 */     Hyperlink[] hls = s.getHyperlinks();
/* 1202 */     for (int j = 0; j < hls.length; j++) {
/*      */       
/* 1204 */       WritableHyperlink hr = new WritableHyperlink(hls[j], this);
/*      */       
/* 1206 */       this.hyperlinks.add(hr);
/*      */     } 
/*      */ 
/*      */     
/* 1210 */     Range[] merged = s.getMergedCells();
/*      */     
/* 1212 */     for (int k = 0; k < merged.length; k++)
/*      */     {
/* 1214 */       this.mergedCells.add((Range)new SheetRangeImpl((SheetRangeImpl)merged[k], (Sheet)this));
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1220 */       RowRecord[] rowprops = si.getRowProperties();
/*      */       
/* 1222 */       for (int n = 0; n < rowprops.length; n++)
/*      */       {
/* 1224 */         RowRecord rr = getRowRecord(rowprops[n].getRowNumber());
/* 1225 */         rr.setRowDetails(rowprops[n].getRowHeight(), rowprops[n].isCollapsed());
/*      */       }
/*      */     
/*      */     }
/* 1229 */     catch (RowsExceededException e) {
/*      */ 
/*      */ 
/*      */       
/* 1233 */       Assert.verify(false);
/*      */     } 
/*      */ 
/*      */     
/* 1237 */     this.sheetWriter.setHeader(new HeaderRecord(si.getHeader()));
/* 1238 */     this.sheetWriter.setFooter(new FooterRecord(si.getFooter()));
/*      */ 
/*      */     
/* 1241 */     int[] rowbreaks = si.getRowPageBreaks();
/*      */     
/* 1243 */     if (rowbreaks != null)
/*      */     {
/* 1245 */       for (int n = 0; n < rowbreaks.length; n++)
/*      */       {
/* 1247 */         this.rowBreaks.add(new Integer(rowbreaks[n]));
/*      */       }
/*      */     }
/*      */ 
/*      */     
/* 1252 */     this.sheetWriter.setCharts(si.getCharts());
/*      */ 
/*      */     
/* 1255 */     Drawing[] dr = si.getDrawings();
/* 1256 */     for (int m = 0; m < dr.length; m++) {
/*      */       
/* 1258 */       WritableImage wi = new WritableImage(dr[m]);
/* 1259 */       this.drawings.add(wi);
/*      */     } 
/*      */ 
/*      */     
/* 1263 */     this.sheetWriter.setWorkspaceOptions(si.getWorkspaceOptions());
/*      */ 
/*      */     
/* 1266 */     if (si.getSheetBof().isChart()) {
/*      */       
/* 1268 */       this.chartOnly = true;
/* 1269 */       this.sheetWriter.setChartOnly();
/*      */     } 
/*      */ 
/*      */     
/* 1273 */     if (si.getPLS() != null)
/*      */     {
/* 1275 */       this.plsRecord = new PLSRecord(si.getPLS());
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void copy(WritableSheet s) {
/* 1286 */     this.settings = new SheetSettings(s.getSettings());
/*      */     
/* 1288 */     copyCells((Sheet)s);
/*      */ 
/*      */     
/* 1291 */     this.columnFormats = ((WritableSheetImpl)s).columnFormats;
/*      */ 
/*      */     
/* 1294 */     Range[] merged = s.getMergedCells();
/*      */     
/* 1296 */     for (int i = 0; i < merged.length; i++)
/*      */     {
/* 1298 */       this.mergedCells.add((Range)new SheetRangeImpl((SheetRangeImpl)merged[i], (Sheet)this));
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1304 */       RowRecord[] rows = ((WritableSheetImpl)s).rows;
/* 1305 */       RowRecord row = null;
/* 1306 */       for (int k = 0; k < rows.length; k++) {
/*      */         
/* 1308 */         row = rows[k];
/*      */         
/* 1310 */         if (row != null && (!row.isDefaultHeight() || row.isCollapsed()))
/*      */         {
/*      */ 
/*      */           
/* 1314 */           RowRecord rr = getRowRecord(k);
/* 1315 */           rr.setRowDetails(row.getRowHeight(), row.isCollapsed());
/*      */         }
/*      */       
/*      */       } 
/* 1319 */     } catch (RowsExceededException e) {
/*      */ 
/*      */ 
/*      */       
/* 1323 */       Assert.verify(false);
/*      */     } 
/*      */ 
/*      */     
/* 1327 */     WritableSheetImpl si = (WritableSheetImpl)s;
/*      */     
/* 1329 */     this.sheetWriter.setHeader(si.getHeader());
/* 1330 */     this.sheetWriter.setFooter(si.getFooter());
/*      */ 
/*      */     
/* 1333 */     this.rowBreaks = new ArrayList(si.rowBreaks);
/*      */ 
/*      */     
/* 1336 */     this.sheetWriter.setCharts(si.getCharts());
/*      */ 
/*      */     
/* 1339 */     Drawing[] dr = si.getDrawings();
/* 1340 */     for (int j = 0; j < dr.length; j++) {
/*      */       
/* 1342 */       WritableImage wi = new WritableImage(dr[j]);
/* 1343 */       this.drawings.add(wi);
/*      */     } 
/*      */ 
/*      */     
/* 1347 */     this.sheetWriter.setWorkspaceOptions(si.getWorkspaceOptions());
/*      */ 
/*      */     
/* 1350 */     if (si.plsRecord != null)
/*      */     {
/* 1352 */       this.plsRecord = new PLSRecord(si.plsRecord);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final HeaderRecord getHeader() {
/* 1363 */     return this.sheetWriter.getHeader();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final FooterRecord getFooter() {
/* 1373 */     return this.sheetWriter.getFooter();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isProtected() {
/* 1383 */     return this.settings.isProtected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Hyperlink[] getHyperlinks() {
/* 1393 */     Hyperlink[] hl = new Hyperlink[this.hyperlinks.size()];
/*      */     
/* 1395 */     for (int i = 0; i < this.hyperlinks.size(); i++)
/*      */     {
/* 1397 */       hl[i] = this.hyperlinks.get(i);
/*      */     }
/*      */     
/* 1400 */     return hl;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Range[] getMergedCells() {
/* 1410 */     return this.mergedCells.getMergedCells();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableHyperlink[] getWritableHyperlinks() {
/* 1420 */     WritableHyperlink[] hl = new WritableHyperlink[this.hyperlinks.size()];
/*      */     
/* 1422 */     for (int i = 0; i < this.hyperlinks.size(); i++)
/*      */     {
/* 1424 */       hl[i] = this.hyperlinks.get(i);
/*      */     }
/*      */     
/* 1427 */     return hl;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeHyperlink(WritableHyperlink h) {
/* 1444 */     removeHyperlink(h, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeHyperlink(WritableHyperlink h, boolean preserveLabel) {
/* 1464 */     this.hyperlinks.remove(this.hyperlinks.indexOf(h));
/*      */     
/* 1466 */     if (!preserveLabel) {
/*      */ 
/*      */ 
/*      */       
/* 1470 */       Assert.verify((this.rows.length > h.getRow() && this.rows[h.getRow()] != null));
/* 1471 */       this.rows[h.getRow()].removeCell(h.getColumn());
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addHyperlink(WritableHyperlink h) throws WriteException, RowsExceededException {
/* 1486 */     Cell c = getCell(h.getColumn(), h.getRow());
/*      */     
/* 1488 */     String contents = null;
/* 1489 */     if (h.isFile()) {
/*      */       
/* 1491 */       contents = h.getFile().getPath();
/*      */     }
/* 1493 */     else if (h.isURL()) {
/*      */       
/* 1495 */       contents = h.getURL().toString();
/*      */     }
/* 1497 */     else if (h.isLocation()) {
/*      */       
/* 1499 */       contents = h.getContents();
/*      */     } 
/*      */     
/* 1502 */     if (c.getType() == CellType.LABEL) {
/*      */       
/* 1504 */       Label l = (Label)c;
/* 1505 */       l.setString(contents);
/* 1506 */       l.setCellFormat((CellFormat)WritableWorkbook.HYPERLINK_STYLE);
/*      */     }
/*      */     else {
/*      */       
/* 1510 */       Label l = new Label(h.getColumn(), h.getRow(), contents, (CellFormat)WritableWorkbook.HYPERLINK_STYLE);
/*      */       
/* 1512 */       addCell((WritableCell)l);
/*      */     } 
/*      */ 
/*      */     
/* 1516 */     for (int i = h.getRow(); i <= h.getLastRow(); i++) {
/*      */       
/* 1518 */       for (int j = h.getColumn(); j <= h.getLastColumn(); j++) {
/*      */         
/* 1520 */         if (i != h.getRow() && j != h.getColumn())
/*      */         {
/*      */           
/* 1523 */           if (this.rows[i] != null)
/*      */           {
/* 1525 */             this.rows[i].removeCell(j);
/*      */           }
/*      */         }
/*      */       } 
/*      */     } 
/*      */     
/* 1531 */     h.initialize(this);
/* 1532 */     this.hyperlinks.add(h);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Range mergeCells(int col1, int row1, int col2, int row2) throws WriteException, RowsExceededException {
/* 1551 */     if (col2 < col1 || row2 < row1)
/*      */     {
/* 1553 */       logger.warn("Cannot merge cells - top left and bottom right incorrectly specified");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1558 */     if (col2 >= this.numColumns || row2 >= this.numRows)
/*      */     {
/* 1560 */       addCell((WritableCell)new Blank(col2, row2));
/*      */     }
/*      */     
/* 1563 */     SheetRangeImpl range = new SheetRangeImpl((Sheet)this, col1, row1, col2, row2);
/* 1564 */     this.mergedCells.add((Range)range);
/*      */     
/* 1566 */     return (Range)range;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void unmergeCells(Range r) {
/* 1577 */     this.mergedCells.unmergeCells(r);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setHeader(String l, String c, String r) {
/* 1589 */     this.sheetWriter.setHeader(new HeaderRecord(l, c, r));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFooter(String l, String c, String r) {
/* 1601 */     this.sheetWriter.setFooter(new FooterRecord(l, c, r));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPageSetup(PageOrientation p) {
/* 1611 */     this.settings.setOrientation(p);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPageSetup(PageOrientation p, double hm, double fm) {
/* 1624 */     this.settings.setOrientation(p);
/* 1625 */     this.settings.setHeaderMargin(hm);
/* 1626 */     this.settings.setFooterMargin(fm);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPageSetup(PageOrientation p, PaperSize ps, double hm, double fm) {
/* 1641 */     this.settings.setPaperSize(ps);
/* 1642 */     this.settings.setOrientation(p);
/* 1643 */     this.settings.setHeaderMargin(hm);
/* 1644 */     this.settings.setFooterMargin(fm);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SheetSettings getSettings() {
/* 1654 */     return this.settings;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   WorkbookSettings getWorkbookSettings() {
/* 1662 */     return this.workbookSettings;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addRowPageBreak(int row) {
/* 1673 */     Iterator i = this.rowBreaks.iterator();
/* 1674 */     boolean found = false;
/*      */     
/* 1676 */     while (i.hasNext() && !found) {
/*      */       
/* 1678 */       if (((Integer)i.next()).intValue() == row)
/*      */       {
/* 1680 */         found = true;
/*      */       }
/*      */     } 
/*      */     
/* 1684 */     if (!found)
/*      */     {
/* 1686 */       this.rowBreaks.add(new Integer(row));
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Chart[] getCharts() {
/* 1697 */     return this.sheetWriter.getCharts();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Drawing[] getDrawings() {
/* 1707 */     Drawing[] dr = new Drawing[this.drawings.size()];
/* 1708 */     System.arraycopy(this.drawings.toArray(), 0, dr, 0, dr.length);
/* 1709 */     return dr;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void checkMergedBorders() {
/* 1720 */     this.sheetWriter.setWriteData(this.rows, this.rowBreaks, this.hyperlinks, this.mergedCells, this.columnFormats);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1725 */     this.sheetWriter.setDimensions(getRows(), getColumns());
/* 1726 */     this.sheetWriter.checkMergedBorders();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WorkspaceInformationRecord getWorkspaceOptions() {
/* 1736 */     return this.sheetWriter.getWorkspaceOptions();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void rationalize(IndexMapping xfMapping, IndexMapping fontMapping, IndexMapping formatMapping) {
/* 1750 */     for (Iterator i = this.columnFormats.iterator(); i.hasNext(); ) {
/*      */       
/* 1752 */       ColumnInfoRecord cir = i.next();
/* 1753 */       cir.rationalize(xfMapping);
/*      */     } 
/*      */ 
/*      */     
/* 1757 */     Chart[] charts = getCharts();
/* 1758 */     for (int c = 0; c < charts.length; c++)
/*      */     {
/* 1760 */       charts[c].rationalize(xfMapping, fontMapping, formatMapping);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   WritableWorkbookImpl getWorkbook() {
/* 1770 */     return this.workbook;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CellFormat getColumnFormat(int col) {
/* 1782 */     return getColumnView(col).getFormat();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getColumnWidth(int col) {
/* 1795 */     return getColumnView(col).getDimension();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRowHeight(int row) {
/* 1808 */     return getRowView(row).getDimension();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isChartOnly() {
/* 1818 */     return this.chartOnly;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CellView getRowView(int row) {
/* 1830 */     CellView cv = new CellView();
/*      */ 
/*      */     
/*      */     try {
/* 1834 */       RowRecord rr = getRowRecord(row);
/*      */       
/* 1836 */       if (rr == null || rr.isDefaultHeight()) {
/*      */         
/* 1838 */         cv.setDimension(this.settings.getDefaultRowHeight());
/* 1839 */         cv.setSize(this.settings.getDefaultRowHeight());
/*      */       }
/* 1841 */       else if (rr.isCollapsed()) {
/*      */         
/* 1843 */         cv.setHidden(true);
/*      */       }
/*      */       else {
/*      */         
/* 1847 */         cv.setDimension(rr.getRowHeight());
/* 1848 */         cv.setSize(rr.getRowHeight());
/*      */       } 
/* 1850 */       return cv;
/*      */     }
/* 1852 */     catch (RowsExceededException e) {
/*      */ 
/*      */       
/* 1855 */       cv.setDimension(this.settings.getDefaultRowHeight());
/* 1856 */       cv.setSize(this.settings.getDefaultRowHeight());
/* 1857 */       return cv;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CellView getColumnView(int col) {
/* 1870 */     ColumnInfoRecord cir = getColumnInfo(col);
/* 1871 */     CellView cv = new CellView();
/*      */     
/* 1873 */     if (cir != null) {
/*      */       
/* 1875 */       cv.setDimension(cir.getWidth() / 256);
/* 1876 */       cv.setSize(cir.getWidth());
/* 1877 */       cv.setHidden(cir.getHidden());
/* 1878 */       cv.setFormat((CellFormat)cir.getCellFormat());
/*      */     }
/*      */     else {
/*      */       
/* 1882 */       cv.setDimension(this.settings.getDefaultColumnWidth() / 256);
/* 1883 */       cv.setSize(this.settings.getDefaultColumnWidth());
/*      */     } 
/*      */     
/* 1886 */     return cv;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addImage(WritableImage image) {
/* 1896 */     File imageFile = image.getImageFile();
/* 1897 */     String fileName = imageFile.getName();
/* 1898 */     int fileTypeIndex = fileName.lastIndexOf('.');
/* 1899 */     String fileType = (fileTypeIndex != -1) ? fileName.substring(fileTypeIndex + 1) : "";
/*      */ 
/*      */     
/* 1902 */     boolean supported = false; int i;
/* 1903 */     for (i = 0; i < imageTypes.length && !supported; i++) {
/*      */       
/* 1905 */       if (fileType.equalsIgnoreCase(imageTypes[i]))
/*      */       {
/* 1907 */         supported = true;
/*      */       }
/*      */     } 
/*      */     
/* 1911 */     if (supported) {
/*      */       
/* 1913 */       this.workbook.addDrawing((Drawing)image);
/* 1914 */       this.drawings.add(image);
/*      */     }
/*      */     else {
/*      */       
/* 1918 */       System.err.print("Warning:  image type " + fileType + " not supported.  Supported types are " + imageTypes[0]);
/* 1919 */       for (i = 1; i < imageTypes.length; i++) {
/*      */         
/* 1921 */         System.err.print(", ");
/* 1922 */         System.err.print(imageTypes[i]);
/*      */       } 
/* 1924 */       System.err.println();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getNumberOfImages() {
/* 1935 */     return this.drawings.size();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableImage getImage(int i) {
/* 1946 */     return this.drawings.get(i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeImage(WritableImage wi) {
/* 1957 */     boolean removed = this.drawings.remove(wi);
/* 1958 */     this.workbook.removeDrawing((Drawing)wi);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\WritableSheetImpl.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */