/*      */ package jxl.write.biff;
/*      */ 
/*      */ import common.Assert;
/*      */ import java.io.IOException;
/*      */ import java.io.OutputStream;
/*      */ import java.util.ArrayList;
/*      */ import java.util.HashMap;
/*      */ import java.util.Iterator;
/*      */ import jxl.Range;
/*      */ import jxl.Sheet;
/*      */ import jxl.Workbook;
/*      */ import jxl.WorkbookSettings;
/*      */ import jxl.biff.ByteData;
/*      */ import jxl.biff.Fonts;
/*      */ import jxl.biff.FormattingRecords;
/*      */ import jxl.biff.IndexMapping;
/*      */ import jxl.biff.IntegerHelper;
/*      */ import jxl.biff.RangeImpl;
/*      */ import jxl.biff.WorkbookMethods;
/*      */ import jxl.biff.drawing.Drawing;
/*      */ import jxl.biff.drawing.DrawingGroup;
/*      */ import jxl.biff.formula.ExternalSheet;
/*      */ import jxl.format.Colour;
/*      */ import jxl.read.biff.BOFRecord;
/*      */ import jxl.read.biff.NameRecord;
/*      */ import jxl.read.biff.SupbookRecord;
/*      */ import jxl.read.biff.WorkbookParser;
/*      */ import jxl.write.WritableCell;
/*      */ import jxl.write.WritableSheet;
/*      */ import jxl.write.WritableWorkbook;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class WritableWorkbookImpl
/*      */   extends WritableWorkbook
/*      */   implements ExternalSheet, WorkbookMethods
/*      */ {
/*      */   private FormattingRecords formatRecords;
/*      */   private File outputFile;
/*      */   private ArrayList sheets;
/*      */   private Fonts fonts;
/*      */   private ExternalSheetRecord externSheet;
/*      */   private SupbookRecord[] supbooks;
/*      */   private NameRecord[] names;
/*      */   private HashMap nameRecords;
/*      */   private SharedStrings sharedStrings;
/*      */   private boolean closeStream;
/*      */   private boolean wbProtected;
/*      */   private WorkbookSettings settings;
/*      */   private ArrayList rcirCells;
/*      */   private DrawingGroup drawingGroup;
/*      */   
/*      */   public WritableWorkbookImpl(OutputStream os, boolean cs, WorkbookSettings ws) throws IOException {
/*  142 */     this.outputFile = new File(os, ws);
/*  143 */     this.sheets = new ArrayList();
/*  144 */     this.sharedStrings = new SharedStrings();
/*  145 */     this.nameRecords = new HashMap();
/*  146 */     this.closeStream = cs;
/*  147 */     this.wbProtected = false;
/*  148 */     this.settings = ws;
/*  149 */     this.rcirCells = new ArrayList();
/*      */ 
/*      */     
/*  152 */     WritableWorkbook.ARIAL_10_PT.uninitialize();
/*  153 */     WritableWorkbook.HYPERLINK_FONT.uninitialize();
/*  154 */     WritableWorkbook.NORMAL_STYLE.uninitialize();
/*  155 */     WritableWorkbook.HYPERLINK_STYLE.uninitialize();
/*  156 */     WritableWorkbook.HIDDEN_STYLE.uninitialize();
/*  157 */     DateRecord.defaultDateFormat.uninitialize();
/*      */     
/*  159 */     WritableFonts wf = new WritableFonts();
/*  160 */     this.fonts = wf;
/*      */     
/*  162 */     WritableFormattingRecords wfr = new WritableFormattingRecords(this.fonts);
/*  163 */     this.formatRecords = wfr;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableWorkbookImpl(OutputStream os, Workbook w, boolean cs, WorkbookSettings ws) throws IOException {
/*  182 */     WorkbookParser wp = (WorkbookParser)w;
/*      */ 
/*      */     
/*  185 */     WritableWorkbook.ARIAL_10_PT.uninitialize();
/*  186 */     WritableWorkbook.HYPERLINK_FONT.uninitialize();
/*  187 */     WritableWorkbook.NORMAL_STYLE.uninitialize();
/*  188 */     WritableWorkbook.HYPERLINK_STYLE.uninitialize();
/*  189 */     WritableWorkbook.HIDDEN_STYLE.uninitialize();
/*  190 */     DateRecord.defaultDateFormat.uninitialize();
/*      */     
/*  192 */     this.outputFile = new File(os, ws);
/*  193 */     this.closeStream = cs;
/*  194 */     this.sheets = new ArrayList();
/*  195 */     this.sharedStrings = new SharedStrings();
/*  196 */     this.nameRecords = new HashMap();
/*  197 */     this.fonts = wp.getFonts();
/*  198 */     this.formatRecords = wp.getFormattingRecords();
/*  199 */     this.wbProtected = false;
/*  200 */     this.settings = ws;
/*  201 */     this.rcirCells = new ArrayList();
/*      */ 
/*      */     
/*  204 */     if (wp.getExternalSheetRecord() != null) {
/*      */       
/*  206 */       this.externSheet = new ExternalSheetRecord(wp.getExternalSheetRecord());
/*      */ 
/*      */       
/*  209 */       SupbookRecord[] readsr = wp.getSupbookRecords();
/*  210 */       this.supbooks = new SupbookRecord[readsr.length];
/*      */       
/*  212 */       for (int i = 0; i < this.supbooks.length; i++)
/*      */       {
/*  214 */         this.supbooks[i] = new SupbookRecord(readsr[i]);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  227 */     this.drawingGroup = wp.getDrawingGroup();
/*      */ 
/*      */     
/*  230 */     if (!this.settings.getNamesDisabled()) {
/*      */       
/*  232 */       NameRecord[] na = wp.getNameRecords();
/*  233 */       this.names = new NameRecord[na.length];
/*      */       
/*  235 */       for (int i = 0; i < na.length; i++) {
/*      */         
/*  237 */         this.names[i] = new NameRecord(na[i], i);
/*  238 */         String name = this.names[i].getName();
/*  239 */         this.nameRecords.put(name, this.names[i]);
/*      */       } 
/*      */     } 
/*      */     
/*  243 */     copyWorkbook(w);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheet[] getSheets() {
/*  254 */     WritableSheet[] sheetArray = new WritableSheet[getNumberOfSheets()];
/*      */     
/*  256 */     for (int i = 0; i < getNumberOfSheets(); i++)
/*      */     {
/*  258 */       sheetArray[i] = getSheet(i);
/*      */     }
/*  260 */     return sheetArray;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Sheet getReadSheet(int index) {
/*  272 */     return (Sheet)getSheet(index);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheet getSheet(int index) {
/*  283 */     return this.sheets.get(index);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheet getSheet(String name) {
/*  295 */     boolean found = false;
/*  296 */     Iterator i = this.sheets.iterator();
/*  297 */     WritableSheet s = null;
/*      */     
/*  299 */     while (i.hasNext() && !found) {
/*      */       
/*  301 */       s = i.next();
/*      */       
/*  303 */       if (s.getName().equals(name))
/*      */       {
/*  305 */         found = true;
/*      */       }
/*      */     } 
/*      */     
/*  309 */     return found ? s : null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getNumberOfSheets() {
/*  319 */     return this.sheets.size();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void close() throws IOException {
/*  330 */     this.outputFile.close(this.closeStream);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private WritableSheet createSheet(String name, int index, boolean handleRefs) {
/*  345 */     WritableSheet w = new WritableSheetImpl(name, this.outputFile, this.formatRecords, this.sharedStrings, this.settings, this);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  351 */     int pos = index;
/*      */     
/*  353 */     if (index <= 0) {
/*      */       
/*  355 */       pos = 0;
/*  356 */       this.sheets.add(0, w);
/*      */     }
/*  358 */     else if (index > this.sheets.size()) {
/*      */       
/*  360 */       pos = this.sheets.size();
/*  361 */       this.sheets.add(w);
/*      */     }
/*      */     else {
/*      */       
/*  365 */       this.sheets.add(index, w);
/*      */     } 
/*      */     
/*  368 */     if (handleRefs && this.externSheet != null)
/*      */     {
/*  370 */       this.externSheet.sheetInserted(pos);
/*      */     }
/*      */     
/*  373 */     return w;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheet createSheet(String name, int index) {
/*  387 */     return createSheet(name, index, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeSheet(int index) {
/*  399 */     int pos = index;
/*  400 */     if (index <= 0) {
/*      */       
/*  402 */       pos = 0;
/*  403 */       this.sheets.remove(0);
/*      */     }
/*  405 */     else if (index >= this.sheets.size()) {
/*      */       
/*  407 */       pos = this.sheets.size() - 1;
/*  408 */       this.sheets.remove(this.sheets.size() - 1);
/*      */     }
/*      */     else {
/*      */       
/*  412 */       this.sheets.remove(index);
/*      */     } 
/*      */     
/*  415 */     if (this.externSheet != null)
/*      */     {
/*  417 */       this.externSheet.sheetRemoved(pos);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableSheet moveSheet(int fromIndex, int toIndex) {
/*  432 */     fromIndex = Math.max(fromIndex, 0);
/*  433 */     fromIndex = Math.min(fromIndex, this.sheets.size() - 1);
/*  434 */     toIndex = Math.max(toIndex, 0);
/*  435 */     toIndex = Math.min(toIndex, this.sheets.size() - 1);
/*      */     
/*  437 */     WritableSheet sheet = this.sheets.remove(fromIndex);
/*  438 */     this.sheets.add(toIndex, sheet);
/*      */     
/*  440 */     return sheet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void write() throws IOException {
/*  454 */     WritableSheetImpl wsi = null;
/*  455 */     for (int i = 0; i < getNumberOfSheets(); i++) {
/*      */       
/*  457 */       wsi = (WritableSheetImpl)getSheet(i);
/*  458 */       wsi.checkMergedBorders();
/*      */     } 
/*      */ 
/*      */     
/*  462 */     if (!this.settings.getRationalizationDisabled())
/*      */     {
/*  464 */       rationalize();
/*      */     }
/*      */ 
/*      */     
/*  468 */     BOFRecord bof = new BOFRecord(BOFRecord.workbookGlobals);
/*  469 */     this.outputFile.write((ByteData)bof);
/*      */     
/*  471 */     InterfaceHeaderRecord ihr = new InterfaceHeaderRecord();
/*  472 */     this.outputFile.write((ByteData)ihr);
/*      */     
/*  474 */     MMSRecord mms = new MMSRecord(0, 0);
/*  475 */     this.outputFile.write((ByteData)mms);
/*      */     
/*  477 */     InterfaceEndRecord ier = new InterfaceEndRecord();
/*  478 */     this.outputFile.write((ByteData)ier);
/*      */     
/*  480 */     WriteAccessRecord wr = new WriteAccessRecord();
/*  481 */     this.outputFile.write((ByteData)wr);
/*      */     
/*  483 */     CodepageRecord cp = new CodepageRecord();
/*  484 */     this.outputFile.write((ByteData)cp);
/*      */     
/*  486 */     DSFRecord dsf = new DSFRecord();
/*  487 */     this.outputFile.write((ByteData)dsf);
/*      */     
/*  489 */     TabIdRecord tabid = new TabIdRecord(getNumberOfSheets());
/*  490 */     this.outputFile.write((ByteData)tabid);
/*      */     
/*  492 */     FunctionGroupCountRecord fgcr = new FunctionGroupCountRecord();
/*  493 */     this.outputFile.write((ByteData)fgcr);
/*      */ 
/*      */     
/*  496 */     WindowProtectRecord wpr = new WindowProtectRecord(false);
/*  497 */     this.outputFile.write((ByteData)wpr);
/*      */     
/*  499 */     ProtectRecord pr = new ProtectRecord(this.wbProtected);
/*  500 */     this.outputFile.write((ByteData)pr);
/*      */     
/*  502 */     PasswordRecord pw = new PasswordRecord(null);
/*  503 */     this.outputFile.write((ByteData)pw);
/*      */     
/*  505 */     Prot4RevRecord p4r = new Prot4RevRecord(false);
/*  506 */     this.outputFile.write((ByteData)p4r);
/*      */     
/*  508 */     Prot4RevPassRecord p4rp = new Prot4RevPassRecord();
/*  509 */     this.outputFile.write((ByteData)p4rp);
/*      */     
/*  511 */     Window1Record w1r = new Window1Record();
/*  512 */     this.outputFile.write((ByteData)w1r);
/*      */     
/*  514 */     BackupRecord bkr = new BackupRecord(false);
/*  515 */     this.outputFile.write((ByteData)bkr);
/*      */     
/*  517 */     HideobjRecord ho = new HideobjRecord(false);
/*  518 */     this.outputFile.write((ByteData)ho);
/*      */     
/*  520 */     NineteenFourRecord nf = new NineteenFourRecord(false);
/*  521 */     this.outputFile.write((ByteData)nf);
/*      */     
/*  523 */     PrecisionRecord pc = new PrecisionRecord(false);
/*  524 */     this.outputFile.write((ByteData)pc);
/*      */     
/*  526 */     RefreshAllRecord rar = new RefreshAllRecord(false);
/*  527 */     this.outputFile.write((ByteData)rar);
/*      */     
/*  529 */     BookboolRecord bb = new BookboolRecord(true);
/*  530 */     this.outputFile.write((ByteData)bb);
/*      */ 
/*      */     
/*  533 */     this.fonts.write(this.outputFile);
/*      */ 
/*      */     
/*  536 */     this.formatRecords.write(this.outputFile);
/*      */ 
/*      */     
/*  539 */     if (this.formatRecords.getPalette() != null)
/*      */     {
/*  541 */       this.outputFile.write((ByteData)this.formatRecords.getPalette());
/*      */     }
/*      */ 
/*      */     
/*  545 */     UsesElfsRecord uer = new UsesElfsRecord();
/*  546 */     this.outputFile.write((ByteData)uer);
/*      */ 
/*      */ 
/*      */     
/*  550 */     int[] boundsheetPos = new int[getNumberOfSheets()];
/*  551 */     Sheet sheet = null;
/*      */     
/*  553 */     for (int j = 0; j < getNumberOfSheets(); j++) {
/*      */       
/*  555 */       boundsheetPos[j] = this.outputFile.getPos();
/*  556 */       WritableSheet writableSheet = getSheet(j);
/*  557 */       BoundsheetRecord br = new BoundsheetRecord(writableSheet.getName());
/*      */       
/*  559 */       if (writableSheet.getSettings().isHidden())
/*      */       {
/*  561 */         br.setHidden();
/*      */       }
/*      */       
/*  564 */       if (((WritableSheetImpl)this.sheets.get(j)).isChartOnly())
/*      */       {
/*  566 */         br.setChartOnly();
/*      */       }
/*      */       
/*  569 */       this.outputFile.write((ByteData)br);
/*      */     } 
/*      */     
/*  572 */     CountryRecord cr = new CountryRecord();
/*  573 */     this.outputFile.write((ByteData)cr);
/*      */ 
/*      */     
/*  576 */     if (this.externSheet != null) {
/*      */ 
/*      */       
/*  579 */       for (int m = 0; m < this.supbooks.length; m++)
/*      */       {
/*  581 */         this.outputFile.write((ByteData)this.supbooks[m]);
/*      */       }
/*  583 */       this.outputFile.write((ByteData)this.externSheet);
/*      */     } 
/*      */ 
/*      */     
/*  587 */     if (this.names != null)
/*      */     {
/*  589 */       for (int m = 0; m < this.names.length; m++)
/*      */       {
/*  591 */         this.outputFile.write((ByteData)this.names[m]);
/*      */       }
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  601 */     if (this.drawingGroup != null)
/*      */     {
/*  603 */       this.drawingGroup.write(this.outputFile);
/*      */     }
/*      */     
/*  606 */     this.sharedStrings.write(this.outputFile);
/*      */     
/*  608 */     EOFRecord eof = new EOFRecord();
/*  609 */     this.outputFile.write((ByteData)eof);
/*      */ 
/*      */     
/*  612 */     WritableSheetImpl wsheet = null;
/*  613 */     for (int k = 0; k < getNumberOfSheets(); k++) {
/*      */ 
/*      */ 
/*      */       
/*  617 */       this.outputFile.setData(IntegerHelper.getFourBytes(this.outputFile.getPos()), boundsheetPos[k] + 4);
/*      */ 
/*      */ 
/*      */       
/*  621 */       wsheet = (WritableSheetImpl)getSheet(k);
/*      */ 
/*      */       
/*  624 */       if (k == 0)
/*      */       {
/*  626 */         wsheet.getSettings().setSelected();
/*      */       }
/*      */       
/*  629 */       wsheet.write();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void copyWorkbook(Workbook w) {
/*  642 */     int numSheets = w.getNumberOfSheets();
/*  643 */     this.wbProtected = w.isProtected();
/*  644 */     Sheet s = null;
/*  645 */     WritableSheetImpl ws = null;
/*  646 */     for (int i = 0; i < numSheets; i++) {
/*      */       
/*  648 */       s = w.getSheet(i);
/*  649 */       ws = (WritableSheetImpl)createSheet(s.getName(), i, false);
/*  650 */       ws.copy(s);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void copySheet(int s, String name, int index) {
/*  664 */     WritableSheet sheet = getSheet(s);
/*  665 */     WritableSheetImpl ws = (WritableSheetImpl)createSheet(name, index);
/*  666 */     ws.copy(sheet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void copySheet(String s, String name, int index) {
/*  679 */     WritableSheet sheet = getSheet(s);
/*  680 */     WritableSheetImpl ws = (WritableSheetImpl)createSheet(name, index);
/*  681 */     ws.copy(sheet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setProtected(boolean prot) {
/*  691 */     this.wbProtected = prot;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void rationalize() {
/*  700 */     IndexMapping fontMapping = this.formatRecords.rationalizeFonts();
/*  701 */     IndexMapping formatMapping = this.formatRecords.rationalizeDisplayFormats();
/*  702 */     IndexMapping xfMapping = this.formatRecords.rationalize(fontMapping, formatMapping);
/*      */ 
/*      */     
/*  705 */     WritableSheetImpl wsi = null;
/*  706 */     for (int i = 0; i < this.sheets.size(); i++) {
/*      */       
/*  708 */       wsi = this.sheets.get(i);
/*  709 */       wsi.rationalize(xfMapping, fontMapping, formatMapping);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getExternalSheetName(int index) {
/*  721 */     int supbookIndex = this.externSheet.getSupbookIndex(index);
/*  722 */     SupbookRecord sr = this.supbooks[supbookIndex];
/*      */     
/*  724 */     int firstTab = this.externSheet.getFirstTabIndex(index);
/*  725 */     int lastTab = this.externSheet.getLastTabIndex(index);
/*      */     
/*  727 */     Assert.verify((firstTab == lastTab));
/*      */     
/*  729 */     if (sr.getType() == SupbookRecord.INTERNAL) {
/*      */ 
/*      */       
/*  732 */       WritableSheet ws = getSheet(firstTab);
/*      */       
/*  734 */       return ws.getName();
/*      */     } 
/*  736 */     if (sr.getType() == SupbookRecord.EXTERNAL)
/*      */     {
/*  738 */       Assert.verify(false);
/*      */     }
/*      */ 
/*      */     
/*  742 */     return "[UNKNOWN]";
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BOFRecord getWorkbookBof() {
/*  753 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getExternalSheetIndex(int index) {
/*  765 */     if (this.externSheet == null)
/*      */     {
/*  767 */       return index;
/*      */     }
/*      */     
/*  770 */     Assert.verify((this.externSheet != null));
/*      */     
/*  772 */     int firstTab = this.externSheet.getFirstTabIndex(index);
/*  773 */     int lastTab = this.externSheet.getLastTabIndex(index);
/*      */     
/*  775 */     Assert.verify((firstTab == lastTab));
/*      */     
/*  777 */     return firstTab;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getExternalSheetIndex(String sheetName) {
/*  787 */     if (this.externSheet == null) {
/*      */       
/*  789 */       this.externSheet = new ExternalSheetRecord();
/*  790 */       this.supbooks = new SupbookRecord[1];
/*  791 */       this.supbooks[0] = new SupbookRecord(getNumberOfSheets());
/*      */     } 
/*      */ 
/*      */     
/*  795 */     boolean found = false;
/*  796 */     Iterator i = this.sheets.iterator();
/*  797 */     int sheetpos = 0;
/*  798 */     WritableSheetImpl s = null;
/*      */     
/*  800 */     while (i.hasNext() && !found) {
/*      */       
/*  802 */       s = i.next();
/*      */       
/*  804 */       if (s.getName().equals(sheetName)) {
/*      */         
/*  806 */         found = true;
/*      */         
/*      */         continue;
/*      */       } 
/*  810 */       sheetpos++;
/*      */     } 
/*      */ 
/*      */     
/*  814 */     if (!found)
/*      */     {
/*  816 */       return -1;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  821 */     Assert.verify((this.supbooks[0].getType() == SupbookRecord.INTERNAL && this.supbooks[0].getNumberOfSheets() == getNumberOfSheets()));
/*      */ 
/*      */     
/*  824 */     return this.externSheet.getIndex(0, sheetpos);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColourRGB(Colour c, int r, int g, int b) {
/*  837 */     this.formatRecords.setColourRGB(c, r, g, b);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getName(int index) {
/*  848 */     Assert.verify((index >= 0 && index < this.names.length));
/*  849 */     return this.names[index].getName();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getNameIndex(String name) {
/*  860 */     NameRecord nr = (NameRecord)this.nameRecords.get(name);
/*  861 */     return (nr != null) ? nr.getIndex() : -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void addRCIRCell(CellValue cv) {
/*  872 */     this.rcirCells.add(cv);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void columnInserted(WritableSheetImpl s, int col) {
/*  884 */     int externalSheetIndex = getExternalSheetIndex(s.getName());
/*  885 */     for (Iterator i = this.rcirCells.iterator(); i.hasNext(); ) {
/*      */       
/*  887 */       CellValue cv = i.next();
/*  888 */       cv.columnInserted((Sheet)s, externalSheetIndex, col);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void columnRemoved(WritableSheetImpl s, int col) {
/*  901 */     int externalSheetIndex = getExternalSheetIndex(s.getName());
/*  902 */     for (Iterator i = this.rcirCells.iterator(); i.hasNext(); ) {
/*      */       
/*  904 */       CellValue cv = i.next();
/*  905 */       cv.columnRemoved((Sheet)s, externalSheetIndex, col);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void rowInserted(WritableSheetImpl s, int row) {
/*  918 */     int externalSheetIndex = getExternalSheetIndex(s.getName());
/*  919 */     for (Iterator i = this.rcirCells.iterator(); i.hasNext(); ) {
/*      */       
/*  921 */       CellValue cv = i.next();
/*  922 */       cv.rowInserted((Sheet)s, externalSheetIndex, row);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void rowRemoved(WritableSheetImpl s, int row) {
/*  935 */     int externalSheetIndex = getExternalSheetIndex(s.getName());
/*  936 */     for (Iterator i = this.rcirCells.iterator(); i.hasNext(); ) {
/*      */       
/*  938 */       CellValue cv = i.next();
/*  939 */       cv.rowRemoved((Sheet)s, externalSheetIndex, row);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public WritableCell findCellByName(String name) {
/*  954 */     NameRecord nr = (NameRecord)this.nameRecords.get(name);
/*      */     
/*  956 */     if (nr == null)
/*      */     {
/*  958 */       return null;
/*      */     }
/*      */     
/*  961 */     NameRecord.NameRange[] ranges = nr.getRanges();
/*      */ 
/*      */     
/*  964 */     int sheetIndex = getExternalSheetIndex(ranges[0].getFirstSheet());
/*  965 */     WritableSheet s = getSheet(sheetIndex);
/*  966 */     WritableCell cell = s.getWritableCell(ranges[0].getFirstColumn(), ranges[0].getFirstRow());
/*      */ 
/*      */     
/*  969 */     return cell;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Range[] findByName(String name) {
/*  988 */     NameRecord nr = (NameRecord)this.nameRecords.get(name);
/*      */     
/*  990 */     if (nr == null)
/*      */     {
/*  992 */       return null;
/*      */     }
/*      */     
/*  995 */     NameRecord.NameRange[] ranges = nr.getRanges();
/*      */     
/*  997 */     Range[] cellRanges = new Range[ranges.length];
/*      */     
/*  999 */     for (int i = 0; i < ranges.length; i++)
/*      */     {
/* 1001 */       cellRanges[i] = (Range)new RangeImpl(this, this, ranges[i].getFirstSheet(), ranges[i].getFirstColumn(), ranges[i].getFirstRow(), ranges[i].getLastSheet(), ranges[i].getLastColumn(), ranges[i].getLastRow());
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1011 */     return cellRanges;
/*      */   }
/*      */ 
/*      */   
/*      */   void addDrawing(Drawing d) {
/* 1016 */     if (this.drawingGroup == null)
/*      */     {
/* 1018 */       this.drawingGroup = new DrawingGroup(DrawingGroup.WRITE);
/*      */     }
/*      */     
/* 1021 */     this.drawingGroup.add(d);
/*      */   }
/*      */ 
/*      */   
/*      */   void removeDrawing(Drawing d) {
/* 1026 */     Assert.verify((this.drawingGroup != null));
/*      */     
/* 1028 */     this.drawingGroup.remove(d);
/*      */   }
/*      */ 
/*      */   
/*      */   DrawingGroup getDrawingGroup() {
/* 1033 */     return this.drawingGroup;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\WritableWorkbookImpl.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */