/*     */ package oracle.jdbc.connector;
/*     */ 
/*     */ import java.io.PrintWriter;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Enumeration;
/*     */ import java.util.Hashtable;
/*     */ import javax.resource.ResourceException;
/*     */ import javax.resource.spi.ConnectionEvent;
/*     */ import javax.resource.spi.ConnectionEventListener;
/*     */ import javax.resource.spi.ConnectionRequestInfo;
/*     */ import javax.resource.spi.EISSystemException;
/*     */ import javax.resource.spi.IllegalStateException;
/*     */ import javax.resource.spi.LocalTransaction;
/*     */ import javax.resource.spi.ManagedConnection;
/*     */ import javax.resource.spi.ManagedConnectionMetaData;
/*     */ import javax.resource.spi.security.PasswordCredential;
/*     */ import javax.security.auth.Subject;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.transaction.xa.XAResource;
/*     */ import oracle.jdbc.driver.OracleLog;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.jdbc.xa.OracleXAConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleManagedConnection
/*     */   implements ManagedConnection
/*     */ {
/*  42 */   private OracleXAConnection xaConnection = null;
/*  43 */   private Hashtable connectionListeners = null;
/*  44 */   private Connection connection = null;
/*  45 */   private PrintWriter logWriter = null;
/*  46 */   private PasswordCredential passwordCredential = null;
/*  47 */   private OracleLocalTransaction localTxn = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleManagedConnection(XAConnection paramXAConnection) {
/*  58 */     this.xaConnection = (OracleXAConnection)paramXAConnection;
/*  59 */     this.connectionListeners = new Hashtable(10);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getConnection(Subject paramSubject, ConnectionRequestInfo paramConnectionRequestInfo) throws ResourceException {
/*     */     try {
/*  94 */       if (this.connection != null) {
/*  95 */         this.connection.close();
/*     */       }
/*  97 */       this.connection = this.xaConnection.getConnection();
/*     */       
/*  99 */       return this.connection;
/*     */     }
/* 101 */     catch (SQLException sQLException) {
/*     */       
/* 103 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 106 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 108 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void destroy() throws ResourceException {
/*     */     try {
/* 128 */       if (this.xaConnection != null) {
/*     */ 
/*     */ 
/*     */         
/* 132 */         Connection connection = this.xaConnection.getPhysicalHandle();
/*     */ 
/*     */ 
/*     */         
/* 136 */         if ((this.localTxn != null && this.localTxn.isBeginCalled) || ((OracleConnection)connection).getTxnMode() == 1) {
/*     */ 
/*     */ 
/*     */           
/* 140 */           IllegalStateException illegalStateException = new IllegalStateException("Could not close connection while transaction is active");
/*     */ 
/*     */           
/* 143 */           throw illegalStateException;
/*     */         } 
/*     */       } 
/*     */       
/* 147 */       if (this.connection != null) {
/* 148 */         this.connection.close();
/*     */       }
/* 150 */       if (this.xaConnection != null) {
/* 151 */         this.xaConnection.close();
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 156 */     catch (SQLException sQLException) {
/*     */       
/* 158 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 161 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 163 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void cleanup() throws ResourceException {
/*     */     try {
/* 192 */       if (this.connection != null)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/* 197 */         if ((this.localTxn != null && this.localTxn.isBeginCalled) || ((OracleConnection)this.connection).getTxnMode() == 1) {
/*     */ 
/*     */ 
/*     */           
/* 201 */           IllegalStateException illegalStateException = new IllegalStateException("Could not close connection while transaction is active");
/*     */ 
/*     */           
/* 204 */           throw illegalStateException;
/*     */         } 
/*     */         
/* 207 */         this.connection.close();
/*     */       
/*     */       }
/*     */ 
/*     */     
/*     */     }
/* 213 */     catch (SQLException sQLException) {
/*     */       
/* 215 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 218 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 220 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void associateConnection(Object paramObject) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addConnectionEventListener(ConnectionEventListener paramConnectionEventListener) {
/* 263 */     this.connectionListeners.put(paramConnectionEventListener, paramConnectionEventListener);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeConnectionEventListener(ConnectionEventListener paramConnectionEventListener) {
/* 286 */     this.connectionListeners.remove(paramConnectionEventListener);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XAResource getXAResource() throws ResourceException {
/* 309 */     return this.xaConnection.getXAResource();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public LocalTransaction getLocalTransaction() throws ResourceException {
/* 329 */     if (this.localTxn == null)
/*     */     {
/* 331 */       this.localTxn = new OracleLocalTransaction(this);
/*     */     }
/*     */     
/* 334 */     return this.localTxn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ManagedConnectionMetaData getMetaData() throws ResourceException {
/* 353 */     return new OracleManagedConnectionMetaData(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLogWriter(PrintWriter paramPrintWriter) throws ResourceException {
/* 373 */     this.logWriter = paramPrintWriter;
/*     */     
/* 375 */     OracleLog.setLogWriter(paramPrintWriter);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintWriter getLogWriter() throws ResourceException {
/* 392 */     return this.logWriter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Connection getPhysicalConnection() throws ResourceException {
/*     */     try {
/* 406 */       return this.xaConnection.getPhysicalHandle();
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 411 */     catch (Exception exception) {
/*     */       
/* 413 */       EISSystemException eISSystemException = new EISSystemException("Exception: " + exception.getMessage());
/*     */ 
/*     */       
/* 416 */       eISSystemException.setLinkedException(exception);
/*     */       
/* 418 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setPasswordCredential(PasswordCredential paramPasswordCredential) {
/* 433 */     this.passwordCredential = paramPasswordCredential;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   PasswordCredential getPasswordCredential() {
/* 444 */     return this.passwordCredential;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void eventOccurred(int paramInt) throws ResourceException {
/* 456 */     Enumeration enumeration = this.connectionListeners.keys();
/*     */     
/* 458 */     while (enumeration.hasMoreElements()) {
/*     */ 
/*     */ 
/*     */       
/* 462 */       ConnectionEventListener connectionEventListener = enumeration.nextElement();
/*     */ 
/*     */ 
/*     */       
/* 466 */       ConnectionEvent connectionEvent = new ConnectionEvent(this, paramInt);
/*     */       
/* 468 */       switch (paramInt) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 1:
/* 475 */           connectionEventListener.connectionClosed(connectionEvent);
/*     */           continue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 2:
/* 483 */           connectionEventListener.localTransactionStarted(connectionEvent);
/*     */           continue;
/*     */ 
/*     */         
/*     */         case 3:
/* 488 */           connectionEventListener.localTransactionCommitted(connectionEvent);
/*     */           continue;
/*     */ 
/*     */         
/*     */         case 4:
/* 493 */           connectionEventListener.localTransactionRolledback(connectionEvent);
/*     */           continue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 5:
/* 501 */           connectionEventListener.connectionErrorOccurred(connectionEvent);
/*     */           continue;
/*     */       } 
/*     */ 
/*     */       
/* 506 */       throw new IllegalArgumentException("Illegal eventType in eventOccurred(): " + paramInt);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 517 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:42_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\connector\OracleManagedConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */