/*     */ package oracle.jdbc.connector;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import javax.resource.ResourceException;
/*     */ import javax.resource.spi.EISSystemException;
/*     */ import javax.resource.spi.ManagedConnectionMetaData;
/*     */ import oracle.jdbc.driver.OracleConnection;
/*     */ import oracle.jdbc.driver.OracleDatabaseMetaData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleManagedConnectionMetaData
/*     */   implements ManagedConnectionMetaData
/*     */ {
/*  31 */   private OracleManagedConnection managedConnection = null;
/*  32 */   private OracleDatabaseMetaData databaseMetaData = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleManagedConnectionMetaData(OracleManagedConnection paramOracleManagedConnection) throws ResourceException {
/*     */     try {
/*  47 */       this.managedConnection = paramOracleManagedConnection;
/*     */       
/*  49 */       OracleConnection oracleConnection = (OracleConnection)paramOracleManagedConnection.getPhysicalConnection();
/*     */       
/*  51 */       this.databaseMetaData = (OracleDatabaseMetaData)oracleConnection.getMetaData();
/*     */     }
/*  53 */     catch (Exception exception) {
/*     */       
/*  55 */       EISSystemException eISSystemException = new EISSystemException("Exception: " + exception.getMessage());
/*     */ 
/*     */       
/*  58 */       eISSystemException.setLinkedException(exception);
/*     */       
/*  60 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getEISProductName() throws ResourceException {
/*     */     try {
/*  83 */       return this.databaseMetaData.getDatabaseProductName();
/*     */     }
/*  85 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  91 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/*  94 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/*  96 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getEISProductVersion() throws ResourceException {
/*     */     try {
/* 121 */       return this.databaseMetaData.getDatabaseProductVersion();
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 126 */     catch (Exception exception) {
/*     */       
/* 128 */       EISSystemException eISSystemException = new EISSystemException("Exception: " + exception.getMessage());
/*     */ 
/*     */       
/* 131 */       eISSystemException.setLinkedException(exception);
/*     */       
/* 133 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getMaxConnections() throws ResourceException {
/*     */     try {
/* 160 */       return this.databaseMetaData.getMaxConnections();
/*     */     }
/* 162 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 168 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 171 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 173 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getUserName() throws ResourceException {
/*     */     try {
/* 200 */       return this.databaseMetaData.getUserName();
/*     */     }
/* 202 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 208 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 211 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 213 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 223 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:42_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\connector\OracleManagedConnectionMetaData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */