/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.InputStream;
/*      */ import java.io.Reader;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.util.RepConversion;
/*      */ import oracle.sql.CharacterSet;
/*      */ import oracle.sql.converter.CharacterSetMetaData;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class DBConversion
/*      */ {
/*      */   public static final boolean DO_CONVERSION_WITH_REPLACEMENT = true;
/*      */   public static final short ORACLE8_PROD_VERSION = 8030;
/*      */   protected short serverNCharSetId;
/*      */   protected short serverCharSetId;
/*      */   protected short clientCharSetId;
/*      */   protected CharacterSet serverCharSet;
/*      */   protected CharacterSet serverNCharSet;
/*      */   protected CharacterSet clientCharSet;
/*      */   protected CharacterSet asciiCharSet;
/*      */   protected boolean isServerCharSetFixedWidth;
/*      */   protected boolean isServerNCharSetFixedWidth;
/*      */   protected int c2sNlsRatio;
/*      */   protected int s2cNlsRatio;
/*      */   protected int sMaxCharSize;
/*      */   protected int cMaxCharSize;
/*      */   protected int maxNCharSize;
/*      */   protected boolean isServerCSMultiByte;
/*      */   public static final short DBCS_CHARSET = -1;
/*      */   public static final short UCS2_CHARSET = -5;
/*      */   public static final short ASCII_CHARSET = 1;
/*      */   public static final short ISO_LATIN_1_CHARSET = 31;
/*      */   public static final short AL24UTFFSS_CHARSET = 870;
/*      */   public static final short UTF8_CHARSET = 871;
/*      */   public static final short AL32UTF8_CHARSET = 873;
/*      */   public static final short AL16UTF16_CHARSET = 2000;
/*      */   
/*      */   public DBConversion(short paramShort1, short paramShort2, short paramShort3) throws SQLException {
/*  114 */     if (paramShort2 != -1)
/*      */     {
/*  116 */       init(paramShort1, paramShort2, paramShort3);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void init(short paramShort1, short paramShort2, short paramShort3) throws SQLException {
/*  123 */     switch (paramShort2) {
/*      */       case -5:
/*      */       case 1:
/*      */       case 2:
/*      */       case 31:
/*      */       case 178:
/*      */       case 870:
/*      */       case 871:
/*      */       case 873:
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       default:
/*  145 */         unexpectedCharset(paramShort2);
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/*  150 */     this.serverCharSetId = paramShort1;
/*  151 */     this.clientCharSetId = paramShort2;
/*  152 */     this.serverCharSet = CharacterSet.make(this.serverCharSetId);
/*      */     
/*  154 */     this.serverNCharSetId = paramShort3;
/*  155 */     this.serverNCharSet = CharacterSet.make(this.serverNCharSetId);
/*      */     
/*  157 */     this.clientCharSet = CharacterSet.make(this.clientCharSetId);
/*      */     
/*  159 */     this.c2sNlsRatio = CharacterSetMetaData.getRatio(paramShort1, paramShort2);
/*  160 */     this.s2cNlsRatio = CharacterSetMetaData.getRatio(paramShort2, paramShort1);
/*  161 */     this.sMaxCharSize = CharacterSetMetaData.getRatio(paramShort1, 1);
/*  162 */     this.cMaxCharSize = CharacterSetMetaData.getRatio(paramShort2, 1);
/*  163 */     this.maxNCharSize = CharacterSetMetaData.getRatio(paramShort3, 1);
/*  164 */     findFixedWidthInfo();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void findFixedWidthInfo() throws SQLException {
/*  174 */     this.isServerCharSetFixedWidth = CharacterSetMetaData.isFixedWidth(this.serverCharSetId);
/*  175 */     this.isServerNCharSetFixedWidth = CharacterSetMetaData.isFixedWidth(this.serverNCharSetId);
/*  176 */     this.isServerCSMultiByte = (this.sMaxCharSize > 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getServerCharSetId() {
/*  190 */     return this.serverCharSetId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getNCharSetId() {
/*  204 */     return this.serverNCharSetId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean IsNCharFixedWith() {
/*  215 */     return (this.serverNCharSetId == 2000);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getClientCharSet() {
/*  233 */     if (this.clientCharSetId == -1) {
/*  234 */       return this.serverCharSetId;
/*      */     }
/*  236 */     return this.clientCharSetId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CharacterSet getDbCharSetObj() {
/*  253 */     return this.serverCharSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CharacterSet getDriverCharSetObj() {
/*  271 */     return this.clientCharSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CharacterSet getDriverNCharSetObj() {
/*  280 */     return this.serverNCharSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final short findDriverCharSet(short paramShort1, short paramShort2) {
/*  344 */     short s = 0;
/*      */     
/*  346 */     switch (paramShort1)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 2:
/*      */       case 31:
/*      */       case 178:
/*      */       case 873:
/*  361 */         s = paramShort1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  372 */         return s; }  s = (paramShort2 >= 8030) ? 871 : 870; return s;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToDriverCharBytes(String paramString, short paramShort) throws SQLException {
/*  408 */     if (paramString == null)
/*      */     {
/*  410 */       return null;
/*      */     }
/*      */     
/*  413 */     byte[] arrayOfByte = null;
/*      */     
/*  415 */     switch (paramShort)
/*      */     
/*      */     { 
/*      */       
/*      */       case -5:
/*      */       case 2000:
/*  421 */         arrayOfByte = CharacterSet.stringToAL16UTF16Bytes(paramString);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  461 */         return arrayOfByte;case 1: case 2: arrayOfByte = CharacterSet.stringToASCII(paramString); return arrayOfByte;case 870: case 871: arrayOfByte = CharacterSet.stringToUTF(paramString); return arrayOfByte;case 873: arrayOfByte = CharacterSet.stringToAL32UTF8(paramString); return arrayOfByte; }  unexpectedCharset(paramShort); return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] StringToCharBytes(String paramString) throws SQLException {
/*  485 */     if (paramString.length() == 0) {
/*  486 */       return null;
/*      */     }
/*  488 */     switch (this.clientCharSetId) {
/*      */ 
/*      */ 
/*      */       
/*      */       case -1:
/*  493 */         return this.serverCharSet.convertWithReplacement(paramString);
/*      */       
/*      */       case 31:
/*      */       case 178:
/*  497 */         return this.clientCharSet.convertWithReplacement(paramString);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  505 */     return stringToDriverCharBytes(paramString, this.clientCharSetId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String CharBytesToString(byte[] paramArrayOfbyte, int paramInt) throws SQLException {
/*  555 */     return CharBytesToString(paramArrayOfbyte, paramInt, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String CharBytesToString(byte[] paramArrayOfbyte, int paramInt, boolean paramBoolean) throws SQLException {
/*  565 */     String str = null;
/*  566 */     if (paramArrayOfbyte.length == 0) {
/*  567 */       return str;
/*      */     }
/*  569 */     switch (this.clientCharSetId)
/*      */     
/*      */     { 
/*      */       case -5:
/*  573 */         str = CharacterSet.AL16UTF16BytesToString(paramArrayOfbyte, paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  628 */         return str;case 1: case 2: str = new String(paramArrayOfbyte, 0, 0, paramInt); return str;case 31: case 178: if (paramBoolean) { str = this.clientCharSet.toStringWithReplacement(paramArrayOfbyte, 0, paramInt); } else { str = this.clientCharSet.toString(paramArrayOfbyte, 0, paramInt); }  return str;case 870: case 871: str = CharacterSet.UTFToString(paramArrayOfbyte, 0, paramInt, paramBoolean); return str;case 873: str = CharacterSet.AL32UTF8ToString(paramArrayOfbyte, 0, paramInt, paramBoolean); return str;case -1: str = this.serverCharSet.toStringWithReplacement(paramArrayOfbyte, 0, paramInt); return str; }  unexpectedCharset(this.clientCharSetId); return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String NCharBytesToString(byte[] paramArrayOfbyte, int paramInt) throws SQLException {
/*  637 */     String str = null;
/*      */     
/*  639 */     if (this.clientCharSetId == -1)
/*      */     
/*      */     { 
/*      */       
/*  643 */       str = this.serverNCharSet.toStringWithReplacement(paramArrayOfbyte, 0, paramInt); }
/*      */     
/*      */     else
/*      */     
/*  647 */     { switch (this.serverNCharSetId)
/*      */       
/*      */       { 
/*      */         
/*      */         case -5:
/*      */         case 2000:
/*  653 */           str = CharacterSet.AL16UTF16BytesToString(paramArrayOfbyte, paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  704 */           return str;case 1: case 2: str = new String(paramArrayOfbyte, 0, 0, paramInt); return str;case 31: case 178: str = this.serverNCharSet.toStringWithReplacement(paramArrayOfbyte, 0, paramInt); return str;case 870: case 871: str = CharacterSet.UTFToString(paramArrayOfbyte, 0, paramInt); return str;case 873: str = CharacterSet.AL32UTF8ToString(paramArrayOfbyte, 0, paramInt); return str;case -1: str = this.serverCharSet.toStringWithReplacement(paramArrayOfbyte, 0, paramInt); return str; }  unexpectedCharset(this.clientCharSetId); }  return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  732 */     return javaCharsToCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte, this.clientCharSetId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/*  743 */     return javaCharsToCHARBytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, this.clientCharSetId, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToNCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  754 */     return javaCharsToCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte, this.serverNCharSetId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToNCHARBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/*  765 */     return javaCharsToCHARBytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, this.serverNCharSetId, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte, short paramShort) throws SQLException {
/*  775 */     return javaCharsToCHARBytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, paramShort, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, short paramShort, int paramInt3) throws SQLException {
/*      */     byte[] arrayOfByte;
/*  782 */     int i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  787 */     switch (paramShort)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */       
/*      */       case -5:
/*      */       case 2000:
/*  795 */         i = CharacterSet.convertJavaCharsToAL16UTF16Bytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  860 */         return i;case 2: case 178: arrayOfByte = new byte[paramInt3]; arrayOfByte = this.clientCharSet.convertWithReplacement(new String(paramArrayOfchar, paramInt1, paramInt3)); System.arraycopy(arrayOfByte, 0, paramArrayOfbyte, 0, arrayOfByte.length); i = arrayOfByte.length; return i;case 1: i = CharacterSet.convertJavaCharsToASCIIBytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3); return i;case 31: i = CharacterSet.convertJavaCharsToISOLATIN1Bytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3); return i;case 870: case 871: i = CharacterSet.convertJavaCharsToUTFBytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3); return i;case 873: i = CharacterSet.convertJavaCharsToAL32UTF8Bytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3); return i;case -1: i = javaCharsToDbCsBytes(paramArrayOfchar, paramInt1, paramArrayOfbyte, paramInt2, paramInt3); return i; }  unexpectedCharset(this.clientCharSetId); return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int CHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, int paramInt3) throws SQLException {
/*  892 */     return _CHARBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, this.clientCharSetId, paramArrayOfint, paramInt3, this.serverCharSet, this.serverNCharSet, this.clientCharSet, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int NCHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, int paramInt3) throws SQLException {
/*  911 */     return _CHARBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, this.serverNCharSetId, paramArrayOfint, paramInt3, this.serverCharSet, this.serverNCharSet, this.clientCharSet, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int _CHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, short paramShort, int[] paramArrayOfint, int paramInt3, CharacterSet paramCharacterSet1, CharacterSet paramCharacterSet2, CharacterSet paramCharacterSet3, boolean paramBoolean) throws SQLException {
/*  939 */     int i = 0;
/*  940 */     int j = 0;
/*      */     
/*  942 */     switch (paramShort)
/*      */     
/*      */     { 
/*      */       
/*      */       case -5:
/*      */       case 2000:
/*  948 */         j = paramArrayOfint[0] - paramArrayOfint[0] % 2;
/*      */ 
/*      */         
/*  951 */         if (paramInt3 > paramArrayOfchar.length - paramInt2) {
/*  952 */           paramInt3 = paramArrayOfchar.length - paramInt2;
/*      */         }
/*      */ 
/*      */         
/*  956 */         if (paramInt3 * 2 < j) {
/*  957 */           j = paramInt3 * 2;
/*      */         }
/*  959 */         i = CharacterSet.convertAL16UTF16BytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, j, true);
/*      */ 
/*      */ 
/*      */         
/*  963 */         paramArrayOfint[0] = paramArrayOfint[0] - j;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1056 */         return i;case 1: case 2: j = paramArrayOfint[0]; if (paramInt3 > paramArrayOfchar.length - paramInt2) paramInt3 = paramArrayOfchar.length - paramInt2;  if (paramInt3 < j) j = paramInt3;  i = CharacterSet.convertASCIIBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, j); paramArrayOfint[0] = paramArrayOfint[0] - j; return i;case 31: case 178: j = paramArrayOfint[0]; i = paramCharacterSet1.toCharWithReplacement(paramArrayOfbyte, 0, paramArrayOfchar, paramInt2, j); paramArrayOfint[0] = paramArrayOfint[0] - i; return i;case 870: case 871: if (paramInt3 > paramArrayOfchar.length - paramInt2) paramInt3 = paramArrayOfchar.length - paramInt2;  i = CharacterSet.convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, paramArrayOfint, true, paramInt3); return i;case 873: if (paramInt3 > paramArrayOfchar.length - paramInt2) paramInt3 = paramArrayOfchar.length - paramInt2;  i = CharacterSet.convertAL32UTF8BytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, paramArrayOfint, true, paramInt3); return i;case -1: i = dbCsBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, paramArrayOfint[0], paramCharacterSet1); paramArrayOfint[0] = 0; return i; }  CharacterSet characterSet = paramCharacterSet3; if (paramBoolean) characterSet = paramCharacterSet2;  String str = characterSet.toString(paramArrayOfbyte, paramInt1, paramArrayOfint[0]); char[] arrayOfChar = str.toCharArray(); int k = arrayOfChar.length; if (k > paramInt3) k = paramInt3;  System.arraycopy(arrayOfChar, 0, paramArrayOfchar, paramInt2, k); return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] asciiBytesToCHARBytes(byte[] paramArrayOfbyte) {
/*      */     byte b1, b2;
/* 1083 */     byte[] arrayOfByte = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1094 */     switch (this.clientCharSetId)
/*      */     
/*      */     { 
/*      */       case -5:
/* 1098 */         arrayOfByte = new byte[paramArrayOfbyte.length * 2];
/*      */         
/* 1100 */         for (b1 = 0, b2 = 0; b1 < paramArrayOfbyte.length; b1++) {
/*      */           
/* 1102 */           arrayOfByte[b2++] = 0;
/* 1103 */           arrayOfByte[b2++] = paramArrayOfbyte[b1];
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1134 */         return arrayOfByte;case -1: if (this.asciiCharSet == null) this.asciiCharSet = CharacterSet.make(1);  try { arrayOfByte = this.serverCharSet.convert(this.asciiCharSet, paramArrayOfbyte, 0, paramArrayOfbyte.length); } catch (SQLException sQLException) {} return arrayOfByte; }  arrayOfByte = paramArrayOfbyte; return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToDbCsBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 1177 */     return javaCharsToDbCsBytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToDbCsBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/* 1222 */     int i = 0;
/*      */ 
/*      */     
/* 1225 */     catchCharsLen(paramArrayOfchar, paramInt1, paramInt3);
/*      */     
/* 1227 */     String str = new String(paramArrayOfchar, paramInt1, paramInt3);
/* 1228 */     byte[] arrayOfByte = this.serverCharSet.convertWithReplacement(str);
/*      */     
/* 1230 */     str = null;
/*      */     
/* 1232 */     if (arrayOfByte != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1238 */       i = arrayOfByte.length;
/*      */       
/* 1240 */       catchBytesLen(paramArrayOfbyte, paramInt2, i);
/* 1241 */       System.arraycopy(arrayOfByte, 0, paramArrayOfbyte, paramInt2, i);
/*      */       
/* 1243 */       arrayOfByte = null;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1249 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int dbCsBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3, CharacterSet paramCharacterSet) throws SQLException {
/* 1303 */     int i = 0;
/*      */     
/* 1305 */     catchBytesLen(paramArrayOfbyte, paramInt1, paramInt3);
/*      */     
/* 1307 */     String str = paramCharacterSet.toStringWithReplacement(paramArrayOfbyte, paramInt1, paramInt3);
/*      */ 
/*      */     
/* 1310 */     if (str != null) {
/*      */       
/* 1312 */       i = str.length();
/*      */       
/* 1314 */       catchCharsLen(paramArrayOfchar, paramInt2, i);
/* 1315 */       str.getChars(0, i, paramArrayOfchar, paramInt2);
/*      */       
/* 1317 */       str = null;
/*      */     } 
/*      */     
/* 1320 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int javaCharsToUcs2Bytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 1356 */     return javaCharsToUcs2Bytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int javaCharsToUcs2Bytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/* 1398 */     catchCharsLen(paramArrayOfchar, paramInt1, paramInt3);
/* 1399 */     catchBytesLen(paramArrayOfbyte, paramInt2, paramInt3 * 2);
/*      */     
/* 1401 */     int k = paramInt3 + paramInt1;
/*      */     int j;
/* 1403 */     for (int i = paramInt1; i < k; i++) {
/*      */       
/* 1405 */       paramArrayOfbyte[j++] = (byte)(paramArrayOfchar[i] >> 8 & 0xFF);
/* 1406 */       paramArrayOfbyte[j++] = (byte)(paramArrayOfchar[i] & 0xFF);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1412 */     return j - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int ucs2BytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/* 1464 */     return CharacterSet.AL16UTF16BytesToJavaChars(paramArrayOfbyte, paramInt, paramArrayOfchar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToAsciiBytes(String paramString) {
/* 1489 */     return CharacterSet.stringToASCII(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int asciiBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/* 1517 */     return CharacterSet.convertASCIIBytesToJavaChars(paramArrayOfbyte, 0, paramArrayOfchar, 0, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int javaCharsToAsciiBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 1547 */     return CharacterSet.convertJavaCharsToASCIIBytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final boolean isCharSetMultibyte(short paramShort) {
/* 1750 */     switch (paramShort) {
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 31:
/* 1756 */         return false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case -5:
/*      */       case -1:
/*      */       case 870:
/*      */       case 871:
/*      */       case 873:
/* 1767 */         return true;
/*      */     } 
/*      */     
/* 1770 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getMaxCharbyteSize() {
/* 1810 */     return _getMaxCharbyteSize(this.clientCharSetId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getMaxNCharbyteSize() {
/* 1819 */     return _getMaxCharbyteSize(this.serverNCharSetId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int _getMaxCharbyteSize(short paramShort) {
/* 1828 */     switch (paramShort) {
/*      */ 
/*      */       
/*      */       case 1:
/* 1832 */         return 1;
/*      */       
/*      */       case 31:
/* 1835 */         return 1;
/*      */ 
/*      */       
/*      */       case 870:
/*      */       case 871:
/* 1840 */         return 3;
/*      */ 
/*      */       
/*      */       case -5:
/*      */       case 2000:
/* 1845 */         return 2;
/*      */       
/*      */       case -1:
/* 1848 */         return 4;
/*      */       
/*      */       case 873:
/* 1851 */         return 4;
/*      */     } 
/*      */     
/* 1854 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isUcs2CharSet() {
/* 1867 */     return (this.clientCharSetId == -5);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int RAWBytesToHexChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) {
/*      */     byte b2;
/* 1880 */     for (byte b1 = 0; b1 < paramInt; b1++) {
/*      */       
/* 1882 */       paramArrayOfchar[b2++] = (char)RepConversion.nibbleToHex((byte)(paramArrayOfbyte[b1] >> 4 & 0xF));
/*      */ 
/*      */       
/* 1885 */       paramArrayOfchar[b2++] = (char)RepConversion.nibbleToHex((byte)(paramArrayOfbyte[b1] & 0xF));
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1892 */     return b2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream ConvertStream(InputStream paramInputStream, int paramInt) {
/* 1901 */     return new OracleConversionInputStream(this, paramInputStream, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream ConvertStream(InputStream paramInputStream, int paramInt1, int paramInt2) {
/* 1911 */     return new OracleConversionInputStream(this, paramInputStream, paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream ConvertStream(Reader paramReader, int paramInt1, int paramInt2, short paramShort) {
/* 1934 */     return new OracleConversionInputStream(this, paramReader, paramInt1, paramInt2, paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader ConvertCharacterStream(InputStream paramInputStream, int paramInt) throws SQLException {
/* 1950 */     return new OracleConversionReader(this, paramInputStream, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader ConvertCharacterStream(InputStream paramInputStream, int paramInt, short paramShort) throws SQLException {
/* 1960 */     OracleConversionReader oracleConversionReader = new OracleConversionReader(this, paramInputStream, paramInt);
/*      */ 
/*      */     
/* 1963 */     oracleConversionReader.setFormOfUse(paramShort);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1968 */     return oracleConversionReader;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream CharsToStream(char[] paramArrayOfchar, int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 1978 */     if (paramInt3 == 10) {
/* 1979 */       return new AsciiStream(this, paramArrayOfchar, paramInt1, paramInt2);
/*      */     }
/* 1981 */     if (paramInt3 == 11) {
/* 1982 */       return new UnicodeStream(this, paramArrayOfchar, paramInt1, paramInt2);
/*      */     }
/* 1984 */     DatabaseError.throwSqlException(39, "unknownConversion");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1990 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   class AsciiStream
/*      */     extends OracleBufferedStream
/*      */   {
/*      */     private final DBConversion this$0;
/*      */ 
/*      */     
/*      */     AsciiStream(DBConversion this$0, char[] param1ArrayOfchar, int param1Int1, int param1Int2) {
/* 2002 */       super(param1Int2); this.this$0 = this$0; int i;
/*      */       byte b;
/* 2004 */       for (i = param1Int1, b = 0; b < param1Int2; b++) {
/* 2005 */         this.buf[b] = (byte)param1ArrayOfchar[i++];
/*      */       }
/* 2007 */       this.count = param1Int2;
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean needBytes() {
/* 2012 */       return (!this.closed && this.pos < this.count);
/*      */     }
/*      */   }
/*      */   
/*      */   class UnicodeStream
/*      */     extends OracleBufferedStream
/*      */   {
/*      */     private final DBConversion this$0;
/*      */     
/*      */     UnicodeStream(DBConversion this$0, char[] param1ArrayOfchar, int param1Int1, int param1Int2) {
/* 2022 */       super(param1Int2); this.this$0 = this$0; int i;
/*      */       byte b;
/* 2024 */       for (i = param1Int1, b = 0; b < param1Int2; ) {
/*      */         
/* 2026 */         char c = param1ArrayOfchar[i++];
/*      */         
/* 2028 */         this.buf[b++] = (byte)(c >> 8 & 0xFF);
/* 2029 */         this.buf[b++] = (byte)(c & 0xFF);
/*      */       } 
/*      */       
/* 2032 */       this.count = param1Int2;
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean needBytes() {
/* 2037 */       return (!this.closed && this.pos < this.count);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final void unexpectedCharset(short paramShort) throws SQLException {
/* 2059 */     DatabaseError.throwSqlException(35, "DBConversion");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected static final void catchBytesLen(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 2089 */     if (paramInt1 + paramInt2 > paramArrayOfbyte.length)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2095 */       DatabaseError.throwSqlException(39, "catchBytesLen");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected static final void catchCharsLen(char[] paramArrayOfchar, int paramInt1, int paramInt2) throws SQLException {
/* 2125 */     if (paramInt1 + paramInt2 > paramArrayOfchar.length)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2131 */       DatabaseError.throwSqlException(39, "catchCharsLen");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int getUtfLen(char paramChar) {
/* 2149 */     byte b = 0;
/*      */     
/* 2151 */     if ((paramChar & 0xFF80) == 0) {
/*      */       
/* 2153 */       b = 1;
/*      */     }
/* 2155 */     else if ((paramChar & 0xF800) == 0) {
/*      */       
/* 2157 */       b = 2;
/*      */     }
/*      */     else {
/*      */       
/* 2161 */       b = 3;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2167 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int encodedByteLength(String paramString, boolean paramBoolean) {
/* 2181 */     int i = 0;
/* 2182 */     if (paramString != null) {
/*      */       
/* 2184 */       i = paramString.length();
/* 2185 */       if (i != 0)
/*      */       {
/* 2187 */         if (paramBoolean) {
/*      */           
/* 2189 */           i = this.isServerNCharSetFixedWidth ? (i * this.maxNCharSize) : this.serverNCharSet.encodedByteLength(paramString);
/*      */         }
/*      */         else {
/*      */           
/* 2193 */           i = this.isServerCharSetFixedWidth ? (i * this.sMaxCharSize) : this.serverCharSet.encodedByteLength(paramString);
/*      */         } 
/*      */       }
/*      */     } 
/* 2197 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int encodedByteLength(char[] paramArrayOfchar, boolean paramBoolean) {
/* 2210 */     int i = 0;
/* 2211 */     if (paramArrayOfchar != null) {
/*      */       
/* 2213 */       i = paramArrayOfchar.length;
/* 2214 */       if (i != 0)
/*      */       {
/* 2216 */         if (paramBoolean) {
/*      */           
/* 2218 */           i = this.isServerNCharSetFixedWidth ? (i * this.maxNCharSize) : this.serverNCharSet.encodedByteLength(paramArrayOfchar);
/*      */         }
/*      */         else {
/*      */           
/* 2222 */           i = this.isServerCharSetFixedWidth ? (i * this.sMaxCharSize) : this.serverCharSet.encodedByteLength(paramArrayOfchar);
/*      */         } 
/*      */       }
/*      */     } 
/* 2226 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2255 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:35_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\DBConversion.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */