/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class OracleSqlReadOnly
/*      */ {
/*      */   private static final int BASE = 0;
/*      */   private static final int BASE_1 = 1;
/*      */   private static final int BASE_2 = 2;
/*      */   private static final int B_STRING = 3;
/*      */   private static final int B_NAME = 4;
/*      */   private static final int B_C_COMMENT = 5;
/*      */   private static final int B_C_COMMENT_1 = 6;
/*      */   private static final int B_COMMENT = 7;
/*      */   private static final int PARAMETER = 8;
/*      */   private static final int TOKEN = 9;
/*      */   private static final int B_EGIN = 10;
/*      */   private static final int BE_GIN = 11;
/*      */   private static final int BEG_IN = 12;
/*      */   private static final int BEGI_N = 13;
/*      */   private static final int BEGIN_ = 14;
/*      */   private static final int C_ALL = 15;
/*      */   private static final int CA_LL = 16;
/*      */   private static final int CAL_L = 17;
/*      */   private static final int CALL_ = 18;
/*      */   private static final int D_Eetc = 19;
/*      */   private static final int DE_etc = 20;
/*      */   private static final int DEC_LARE = 21;
/*      */   private static final int DECL_ARE = 22;
/*      */   private static final int DECLA_RE = 23;
/*      */   private static final int DECLAR_E = 24;
/*      */   private static final int DECLARE_ = 25;
/*      */   private static final int DEL_ETE = 26;
/*      */   private static final int DELE_TE = 27;
/*      */   private static final int DELET_E = 28;
/*      */   private static final int DELETE_ = 29;
/*      */   private static final int I_NSERT = 30;
/*      */   private static final int IN_SERT = 31;
/*      */   private static final int INS_ERT = 32;
/*      */   private static final int INSE_RT = 33;
/*      */   private static final int INSER_T = 34;
/*      */   private static final int INSERT_ = 35;
/*      */   private static final int S_ELECT = 36;
/*      */   private static final int SE_LECT = 37;
/*      */   private static final int SEL_ECT = 38;
/*      */   private static final int SELE_CT = 39;
/*      */   private static final int SELEC_T = 40;
/*      */   private static final int SELECT_ = 41;
/*      */   private static final int U_PDATE = 42;
/*      */   private static final int UP_DATE = 43;
/*      */   private static final int UPD_ATE = 44;
/*      */   private static final int UPDA_TE = 45;
/*      */   private static final int UPDAT_E = 46;
/*      */   private static final int UPDATE_ = 47;
/*      */   private static final int M_ERGE = 48;
/*      */   private static final int ME_RGE = 49;
/*      */   private static final int MER_GE = 50;
/*      */   private static final int MERG_E = 51;
/*      */   private static final int MERGE_ = 52;
/*      */   private static final int W_ITH = 53;
/*      */   private static final int WI_TH = 54;
/*      */   private static final int WIT_H = 55;
/*      */   private static final int WITH_ = 56;
/*      */   private static final int KNOW_KIND = 57;
/*      */   private static final int KNOW_KIND_1 = 58;
/*      */   private static final int KNOW_KIND_2 = 59;
/*      */   private static final int K_STRING = 60;
/*      */   private static final int K_NAME = 61;
/*      */   private static final int K_C_COMMENT = 62;
/*      */   private static final int K_C_COMMENT_1 = 63;
/*      */   private static final int K_COMMENT = 64;
/*      */   private static final int K_PARAMETER = 65;
/*      */   private static final int TOKEN_KK = 66;
/*      */   private static final int W_HERE = 67;
/*      */   private static final int WH_ERE = 68;
/*      */   private static final int WHE_RE = 69;
/*      */   private static final int WHER_E = 70;
/*      */   private static final int WHERE_ = 71;
/*      */   private static final int O_RDER_BY = 72;
/*      */   private static final int OR_DER_BY = 73;
/*      */   private static final int ORD_ER_BY = 74;
/*      */   private static final int ORDE_R_BY = 75;
/*      */   private static final int ORDER__BY = 76;
/*      */   private static final int ORDER_xBY = 77;
/*      */   private static final int ORDER_B_Y = 78;
/*      */   private static final int ORDER_BY_ = 79;
/*      */   private static final int ORDER_xBY_CC_1 = 80;
/*      */   private static final int ORDER_xBY_CC_2 = 81;
/*      */   private static final int ORDER_xBY_CC_3 = 82;
/*      */   private static final int ORDER_xBY_C_1 = 83;
/*      */   private static final int ORDER_xBY_C_2 = 84;
/*      */   private static final int F_OR_UPDATE = 84;
/*      */   private static final int FO_R_UPDATE = 85;
/*      */   private static final int FOR__UPDATE = 86;
/*      */   private static final int FOR_xUPDATE = 87;
/*      */   private static final int FOR_U_PDATE = 88;
/*      */   private static final int FOR_UP_DATE = 89;
/*      */   private static final int FOR_UPD_ATE = 90;
/*      */   private static final int FOR_UPDA_TE = 91;
/*      */   private static final int FOR_UPDAT_E = 92;
/*      */   private static final int FOR_UPDATE_ = 93;
/*      */   private static final int FOR_xUPDATE_CC_1 = 94;
/*      */   private static final int FOR_xUPDATE_CC_2 = 95;
/*      */   private static final int FOR_xUPDATE_CC_3 = 96;
/*      */   private static final int FOR_xUPDATE_C_1 = 97;
/*      */   private static final int FOR_xUPDATE_C_2 = 98;
/*      */   private static final int B_N_tick = 99;
/*      */   private static final int B_NCHAR = 100;
/*      */   private static final int K_N_tick = 101;
/*      */   private static final int K_NCHAR = 102;
/*      */   private static final int K_NCHAR_tick = 103;
/*      */   private static final int SKIP_PARAMETER_WHITESPACE = 104;
/*      */   private static final int LAST_STATE = 105;
/* 1852 */   static final int[][] TRANSITION = new int[105][];
/*      */   
/*      */   static final int NO_ACTION = 0;
/*      */   
/*      */   static final int DML_ACTION = 1;
/*      */   
/*      */   static final int PLSQL_ACTION = 2;
/*      */   static final int CALL_ACTION = 3;
/*      */   static final int SELECT_ACTION = 4;
/*      */   static final int OTHER_ACTION = 5;
/*      */   static final int WHERE_ACTION = 6;
/*      */   static final int ORDER_ACTION = 7;
/*      */   static final int ORDER_BY_ACTION = 8;
/*      */   static final int FOR_ACTION = 9;
/*      */   static final int FOR_UPDATE_ACTION = 10;
/*      */   static final int QUESTION_ACTION = 11;
/*      */   static final int PARAMETER_ACTION = 12;
/*      */   static final int END_PARAMETER_ACTION = 13;
/*      */   static final int START_NCHAR_LITERAL_ACTION = 14;
/*      */   static final int END_NCHAR_LITERAL_ACTION = 15;
/* 1872 */   static final int[][] ACTION = new int[105][];
/*      */   static final int cMax = 127;
/*      */   private static final int cMaxLength = 128;
/*      */   
/*      */   private static final int[] copy(int[] paramArrayOfint) {
/* 1877 */     int[] arrayOfInt = new int[paramArrayOfint.length];
/*      */     
/* 1879 */     System.arraycopy(paramArrayOfint, 0, arrayOfInt, 0, paramArrayOfint.length);
/*      */     
/* 1881 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */   
/*      */   private static final int[] newArray(int paramInt1, int paramInt2) {
/* 1886 */     int[] arrayOfInt = new int[paramInt1];
/*      */     
/* 1888 */     for (byte b = 0; b < paramInt1; b++) {
/* 1889 */       arrayOfInt[b] = paramInt2;
/*      */     }
/* 1891 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */   
/*      */   private static final int[] copyReplacing(int[] paramArrayOfint, int paramInt1, int paramInt2) {
/* 1896 */     int[] arrayOfInt = new int[paramArrayOfint.length];
/*      */     
/* 1898 */     for (byte b = 0; b < arrayOfInt.length; b++) {
/*      */       
/* 1900 */       int i = paramArrayOfint[b];
/*      */       
/* 1902 */       if (i == paramInt1) {
/* 1903 */         arrayOfInt[b] = paramInt2;
/*      */       } else {
/* 1905 */         arrayOfInt[b] = i;
/*      */       } 
/*      */     } 
/* 1908 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static {
/* 1918 */     int[] arrayOfInt1 = { 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, 4, 9, 9, 57, 57, 3, 57, 57, 57, 57, 57, 2, 57, 1, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 8, 57, 57, 57, 57, 57, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 57, 57, 57, 57, 9, 57, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 57, 57, 57, 57, 57 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1955 */     int[] arrayOfInt2 = copyReplacing(arrayOfInt1, 57, 0);
/*      */     
/* 1957 */     arrayOfInt2[66] = 10;
/* 1958 */     arrayOfInt2[98] = 10;
/* 1959 */     arrayOfInt2[67] = 15;
/* 1960 */     arrayOfInt2[99] = 15;
/* 1961 */     arrayOfInt2[68] = 19;
/* 1962 */     arrayOfInt2[100] = 19;
/* 1963 */     arrayOfInt2[73] = 30;
/* 1964 */     arrayOfInt2[105] = 30;
/* 1965 */     arrayOfInt2[78] = 99;
/* 1966 */     arrayOfInt2[110] = 99;
/* 1967 */     arrayOfInt2[83] = 36;
/* 1968 */     arrayOfInt2[115] = 36;
/* 1969 */     arrayOfInt2[85] = 42;
/* 1970 */     arrayOfInt2[117] = 42;
/* 1971 */     arrayOfInt2[109] = 48;
/* 1972 */     arrayOfInt2[77] = 48;
/* 1973 */     arrayOfInt2[87] = 53;
/* 1974 */     arrayOfInt2[119] = 53;
/*      */ 
/*      */     
/* 1977 */     int[] arrayOfInt3 = copy(arrayOfInt1);
/*      */     
/* 1979 */     arrayOfInt3[34] = 61;
/* 1980 */     arrayOfInt3[39] = 60;
/* 1981 */     arrayOfInt3[45] = 59;
/* 1982 */     arrayOfInt3[47] = 58;
/* 1983 */     arrayOfInt3[58] = 104;
/* 1984 */     arrayOfInt3[32] = 66;
/*      */     
/* 1986 */     int[] arrayOfInt4 = copyReplacing(arrayOfInt3, 9, 57);
/* 1987 */     arrayOfInt4[32] = 66;
/* 1988 */     arrayOfInt4[9] = 66;
/* 1989 */     arrayOfInt4[10] = 66;
/* 1990 */     arrayOfInt4[13] = 66;
/* 1991 */     arrayOfInt4[61] = 66;
/*      */ 
/*      */     
/* 1994 */     TRANSITION[0] = arrayOfInt2;
/* 1995 */     TRANSITION[1] = copy(arrayOfInt2);
/* 1996 */     TRANSITION[1][42] = 5;
/* 1997 */     TRANSITION[2] = copy(arrayOfInt2);
/* 1998 */     TRANSITION[2][45] = 7;
/* 1999 */     TRANSITION[3] = newArray(128, 3);
/* 2000 */     TRANSITION[3][39] = 0;
/* 2001 */     TRANSITION[99] = copy(arrayOfInt1);
/* 2002 */     TRANSITION[99][39] = 100;
/* 2003 */     TRANSITION[100] = newArray(128, 100);
/* 2004 */     TRANSITION[100][39] = 0;
/* 2005 */     TRANSITION[4] = newArray(128, 4);
/* 2006 */     TRANSITION[4][34] = 0;
/* 2007 */     TRANSITION[5] = newArray(128, 5);
/* 2008 */     TRANSITION[5][42] = 6;
/* 2009 */     TRANSITION[6] = newArray(128, 5);
/* 2010 */     TRANSITION[6][42] = 6;
/* 2011 */     TRANSITION[6][47] = 0;
/* 2012 */     TRANSITION[7] = newArray(128, 7);
/* 2013 */     TRANSITION[7][10] = 0;
/* 2014 */     TRANSITION[8] = copyReplacing(arrayOfInt1, 9, 8);
/* 2015 */     TRANSITION[9] = arrayOfInt1;
/* 2016 */     TRANSITION[10] = copy(arrayOfInt1);
/* 2017 */     TRANSITION[10][69] = 11;
/* 2018 */     TRANSITION[10][101] = 11;
/* 2019 */     TRANSITION[11] = copy(arrayOfInt1);
/* 2020 */     TRANSITION[11][71] = 12;
/* 2021 */     TRANSITION[11][103] = 12;
/* 2022 */     TRANSITION[12] = copy(arrayOfInt1);
/* 2023 */     TRANSITION[12][73] = 13;
/* 2024 */     TRANSITION[12][105] = 13;
/* 2025 */     TRANSITION[13] = copy(arrayOfInt1);
/* 2026 */     TRANSITION[13][78] = 14;
/* 2027 */     TRANSITION[13][110] = 14;
/* 2028 */     TRANSITION[14] = arrayOfInt3;
/* 2029 */     TRANSITION[15] = copy(arrayOfInt1);
/* 2030 */     TRANSITION[15][65] = 16;
/* 2031 */     TRANSITION[15][97] = 16;
/* 2032 */     TRANSITION[16] = copy(arrayOfInt1);
/* 2033 */     TRANSITION[16][76] = 17;
/* 2034 */     TRANSITION[16][108] = 17;
/* 2035 */     TRANSITION[17] = copy(arrayOfInt1);
/* 2036 */     TRANSITION[17][76] = 18;
/* 2037 */     TRANSITION[17][108] = 18;
/* 2038 */     TRANSITION[18] = arrayOfInt3;
/* 2039 */     TRANSITION[19] = copy(arrayOfInt1);
/* 2040 */     TRANSITION[19][69] = 20;
/* 2041 */     TRANSITION[19][101] = 20;
/* 2042 */     TRANSITION[20] = copy(arrayOfInt1);
/* 2043 */     TRANSITION[20][67] = 21;
/* 2044 */     TRANSITION[20][99] = 21;
/* 2045 */     TRANSITION[20][76] = 26;
/* 2046 */     TRANSITION[20][108] = 26;
/* 2047 */     TRANSITION[21] = copy(arrayOfInt1);
/* 2048 */     TRANSITION[21][76] = 22;
/* 2049 */     TRANSITION[21][108] = 22;
/* 2050 */     TRANSITION[22] = copy(arrayOfInt1);
/* 2051 */     TRANSITION[22][65] = 23;
/* 2052 */     TRANSITION[22][97] = 23;
/* 2053 */     TRANSITION[23] = copy(arrayOfInt1);
/* 2054 */     TRANSITION[23][82] = 24;
/* 2055 */     TRANSITION[23][114] = 24;
/* 2056 */     TRANSITION[24] = copy(arrayOfInt1);
/* 2057 */     TRANSITION[24][69] = 25;
/* 2058 */     TRANSITION[24][101] = 25;
/* 2059 */     TRANSITION[25] = arrayOfInt3;
/* 2060 */     TRANSITION[26] = copy(arrayOfInt1);
/* 2061 */     TRANSITION[26][69] = 27;
/* 2062 */     TRANSITION[26][101] = 27;
/* 2063 */     TRANSITION[27] = copy(arrayOfInt1);
/* 2064 */     TRANSITION[27][84] = 28;
/* 2065 */     TRANSITION[27][116] = 28;
/* 2066 */     TRANSITION[28] = copy(arrayOfInt1);
/* 2067 */     TRANSITION[28][69] = 29;
/* 2068 */     TRANSITION[28][101] = 29;
/* 2069 */     TRANSITION[29] = arrayOfInt3;
/* 2070 */     TRANSITION[30] = copy(arrayOfInt1);
/* 2071 */     TRANSITION[30][78] = 31;
/* 2072 */     TRANSITION[30][110] = 31;
/* 2073 */     TRANSITION[31] = copy(arrayOfInt1);
/* 2074 */     TRANSITION[31][83] = 32;
/* 2075 */     TRANSITION[31][115] = 32;
/* 2076 */     TRANSITION[32] = copy(arrayOfInt1);
/* 2077 */     TRANSITION[32][69] = 33;
/* 2078 */     TRANSITION[32][101] = 33;
/* 2079 */     TRANSITION[33] = copy(arrayOfInt1);
/* 2080 */     TRANSITION[33][82] = 34;
/* 2081 */     TRANSITION[33][114] = 34;
/* 2082 */     TRANSITION[34] = copy(arrayOfInt1);
/* 2083 */     TRANSITION[34][84] = 35;
/* 2084 */     TRANSITION[34][116] = 35;
/* 2085 */     TRANSITION[35] = arrayOfInt3;
/* 2086 */     TRANSITION[36] = copy(arrayOfInt1);
/* 2087 */     TRANSITION[36][69] = 37;
/* 2088 */     TRANSITION[36][101] = 37;
/* 2089 */     TRANSITION[37] = copy(arrayOfInt1);
/* 2090 */     TRANSITION[37][76] = 38;
/* 2091 */     TRANSITION[37][108] = 38;
/* 2092 */     TRANSITION[38] = copy(arrayOfInt1);
/* 2093 */     TRANSITION[38][69] = 39;
/* 2094 */     TRANSITION[38][101] = 39;
/* 2095 */     TRANSITION[39] = copy(arrayOfInt1);
/* 2096 */     TRANSITION[39][67] = 40;
/* 2097 */     TRANSITION[39][99] = 40;
/* 2098 */     TRANSITION[40] = copy(arrayOfInt1);
/* 2099 */     TRANSITION[40][84] = 41;
/* 2100 */     TRANSITION[40][116] = 41;
/* 2101 */     TRANSITION[41] = arrayOfInt3;
/* 2102 */     TRANSITION[42] = copy(arrayOfInt1);
/* 2103 */     TRANSITION[42][80] = 43;
/* 2104 */     TRANSITION[42][112] = 43;
/* 2105 */     TRANSITION[43] = copy(arrayOfInt1);
/* 2106 */     TRANSITION[43][68] = 44;
/* 2107 */     TRANSITION[43][100] = 44;
/* 2108 */     TRANSITION[44] = copy(arrayOfInt1);
/* 2109 */     TRANSITION[44][65] = 45;
/* 2110 */     TRANSITION[44][97] = 45;
/* 2111 */     TRANSITION[45] = copy(arrayOfInt1);
/* 2112 */     TRANSITION[45][84] = 46;
/* 2113 */     TRANSITION[45][116] = 46;
/* 2114 */     TRANSITION[46] = copy(arrayOfInt1);
/* 2115 */     TRANSITION[46][69] = 47;
/* 2116 */     TRANSITION[46][101] = 47;
/* 2117 */     TRANSITION[47] = arrayOfInt3;
/* 2118 */     TRANSITION[48] = copy(arrayOfInt1);
/* 2119 */     TRANSITION[48][69] = 49;
/* 2120 */     TRANSITION[48][101] = 49;
/* 2121 */     TRANSITION[49] = copy(arrayOfInt1);
/* 2122 */     TRANSITION[49][82] = 50;
/* 2123 */     TRANSITION[49][114] = 50;
/* 2124 */     TRANSITION[50] = copy(arrayOfInt1);
/* 2125 */     TRANSITION[50][71] = 51;
/* 2126 */     TRANSITION[50][103] = 51;
/* 2127 */     TRANSITION[51] = copy(arrayOfInt1);
/* 2128 */     TRANSITION[51][69] = 52;
/* 2129 */     TRANSITION[51][101] = 52;
/* 2130 */     TRANSITION[52] = arrayOfInt3;
/* 2131 */     TRANSITION[53] = copy(arrayOfInt1);
/* 2132 */     TRANSITION[53][73] = 54;
/* 2133 */     TRANSITION[53][105] = 54;
/* 2134 */     TRANSITION[54] = copy(arrayOfInt1);
/* 2135 */     TRANSITION[54][84] = 55;
/* 2136 */     TRANSITION[54][116] = 55;
/* 2137 */     TRANSITION[55] = copy(arrayOfInt1);
/* 2138 */     TRANSITION[55][72] = 56;
/* 2139 */     TRANSITION[55][104] = 56;
/* 2140 */     TRANSITION[56] = arrayOfInt3;
/* 2141 */     TRANSITION[57] = arrayOfInt4;
/* 2142 */     TRANSITION[58] = copy(arrayOfInt4);
/* 2143 */     TRANSITION[58][42] = 62;
/* 2144 */     TRANSITION[59] = copy(arrayOfInt4);
/* 2145 */     TRANSITION[59][45] = 64;
/* 2146 */     TRANSITION[62] = newArray(128, 62);
/* 2147 */     TRANSITION[62][42] = 63;
/* 2148 */     TRANSITION[63] = newArray(128, 62);
/* 2149 */     TRANSITION[63][42] = 63;
/* 2150 */     TRANSITION[63][47] = 66;
/* 2151 */     TRANSITION[64] = newArray(128, 64);
/* 2152 */     TRANSITION[64][10] = 66;
/* 2153 */     TRANSITION[61] = newArray(128, 61);
/* 2154 */     TRANSITION[61][34] = 57;
/* 2155 */     TRANSITION[60] = newArray(128, 60);
/* 2156 */     TRANSITION[60][39] = 57;
/* 2157 */     TRANSITION[65] = copyReplacing(arrayOfInt3, 9, 65);
/* 2158 */     TRANSITION[104] = copyReplacing(arrayOfInt3, 9, 65);
/* 2159 */     TRANSITION[104][32] = 104;
/* 2160 */     TRANSITION[104][10] = 104;
/* 2161 */     TRANSITION[104][13] = 104;
/* 2162 */     TRANSITION[104][9] = 104;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2167 */     int[] arrayOfInt5 = copy(arrayOfInt4);
/* 2168 */     TRANSITION[66] = arrayOfInt5;
/*      */ 
/*      */     
/* 2171 */     TRANSITION[66][32] = 66;
/* 2172 */     TRANSITION[66][9] = 66;
/* 2173 */     TRANSITION[66][10] = 66;
/* 2174 */     TRANSITION[66][13] = 66;
/* 2175 */     TRANSITION[66][61] = 66;
/*      */     
/* 2177 */     TRANSITION[66][87] = 67;
/* 2178 */     TRANSITION[66][119] = 67;
/* 2179 */     TRANSITION[67] = copy(arrayOfInt4);
/* 2180 */     TRANSITION[67][72] = 68;
/* 2181 */     TRANSITION[67][104] = 68;
/* 2182 */     TRANSITION[68] = copy(arrayOfInt4);
/* 2183 */     TRANSITION[68][69] = 69;
/* 2184 */     TRANSITION[68][101] = 69;
/* 2185 */     TRANSITION[69] = copy(arrayOfInt4);
/* 2186 */     TRANSITION[69][82] = 70;
/* 2187 */     TRANSITION[69][114] = 70;
/* 2188 */     TRANSITION[70] = copy(arrayOfInt4);
/* 2189 */     TRANSITION[70][69] = 71;
/* 2190 */     TRANSITION[70][101] = 71;
/* 2191 */     TRANSITION[71] = arrayOfInt4;
/*      */     
/* 2193 */     TRANSITION[66][79] = 72;
/* 2194 */     TRANSITION[66][111] = 72;
/* 2195 */     TRANSITION[72] = copy(arrayOfInt4);
/* 2196 */     TRANSITION[72][82] = 73;
/* 2197 */     TRANSITION[72][114] = 73;
/* 2198 */     TRANSITION[73] = copy(arrayOfInt4);
/* 2199 */     TRANSITION[73][68] = 74;
/* 2200 */     TRANSITION[73][100] = 74;
/* 2201 */     TRANSITION[74] = copy(arrayOfInt4);
/* 2202 */     TRANSITION[74][69] = 75;
/* 2203 */     TRANSITION[74][101] = 75;
/* 2204 */     TRANSITION[75] = copy(arrayOfInt4);
/* 2205 */     TRANSITION[75][82] = 76;
/* 2206 */     TRANSITION[75][114] = 76;
/* 2207 */     TRANSITION[76] = copyReplacing(arrayOfInt5, 66, 77);
/* 2208 */     TRANSITION[76][47] = 80;
/* 2209 */     TRANSITION[76][45] = 83;
/*      */     
/* 2211 */     TRANSITION[77] = copyReplacing(arrayOfInt5, 66, 77);
/* 2212 */     TRANSITION[77][47] = 80;
/* 2213 */     TRANSITION[80] = copy(arrayOfInt4);
/* 2214 */     TRANSITION[80][42] = 81;
/* 2215 */     TRANSITION[81] = newArray(128, 81);
/* 2216 */     TRANSITION[81][42] = 82;
/* 2217 */     TRANSITION[82] = newArray(128, 81);
/* 2218 */     TRANSITION[82][47] = 77;
/*      */     
/* 2220 */     TRANSITION[77][45] = 83;
/* 2221 */     TRANSITION[83] = copy(arrayOfInt4);
/* 2222 */     TRANSITION[83][45] = 84;
/* 2223 */     TRANSITION[84] = newArray(128, 84);
/* 2224 */     TRANSITION[84][10] = 77;
/*      */ 
/*      */     
/* 2227 */     TRANSITION[77][66] = 78;
/* 2228 */     TRANSITION[77][98] = 78;
/* 2229 */     TRANSITION[78] = copy(arrayOfInt4);
/* 2230 */     TRANSITION[78][89] = 79;
/* 2231 */     TRANSITION[78][121] = 79;
/* 2232 */     TRANSITION[79] = arrayOfInt4;
/*      */     
/* 2234 */     TRANSITION[66][70] = 84;
/* 2235 */     TRANSITION[66][102] = 84;
/* 2236 */     TRANSITION[84] = copy(arrayOfInt4);
/* 2237 */     TRANSITION[84][79] = 85;
/* 2238 */     TRANSITION[84][111] = 85;
/* 2239 */     TRANSITION[85] = copy(arrayOfInt4);
/* 2240 */     TRANSITION[85][82] = 86;
/* 2241 */     TRANSITION[85][114] = 86;
/* 2242 */     TRANSITION[86] = copyReplacing(arrayOfInt5, 66, 87);
/* 2243 */     TRANSITION[86][47] = 94;
/* 2244 */     TRANSITION[86][45] = 97;
/*      */     
/* 2246 */     TRANSITION[87] = copyReplacing(arrayOfInt5, 66, 87);
/* 2247 */     TRANSITION[87][47] = 94;
/* 2248 */     TRANSITION[94] = copy(arrayOfInt4);
/* 2249 */     TRANSITION[94][42] = 95;
/* 2250 */     TRANSITION[95] = newArray(128, 95);
/* 2251 */     TRANSITION[95][42] = 96;
/* 2252 */     TRANSITION[96] = newArray(128, 95);
/* 2253 */     TRANSITION[96][47] = 87;
/*      */     
/* 2255 */     TRANSITION[87][45] = 97;
/* 2256 */     TRANSITION[97] = copy(arrayOfInt4);
/* 2257 */     TRANSITION[97][45] = 98;
/* 2258 */     TRANSITION[98] = newArray(128, 98);
/* 2259 */     TRANSITION[98][10] = 87;
/*      */ 
/*      */     
/* 2262 */     TRANSITION[87][85] = 88;
/* 2263 */     TRANSITION[87][117] = 88;
/* 2264 */     TRANSITION[88] = copy(arrayOfInt4);
/* 2265 */     TRANSITION[88][80] = 89;
/* 2266 */     TRANSITION[88][112] = 89;
/* 2267 */     TRANSITION[89] = copy(arrayOfInt4);
/* 2268 */     TRANSITION[89][68] = 90;
/* 2269 */     TRANSITION[89][100] = 90;
/* 2270 */     TRANSITION[90] = copy(arrayOfInt4);
/* 2271 */     TRANSITION[90][65] = 91;
/* 2272 */     TRANSITION[90][97] = 91;
/* 2273 */     TRANSITION[91] = copy(arrayOfInt4);
/* 2274 */     TRANSITION[91][84] = 92;
/* 2275 */     TRANSITION[91][116] = 92;
/* 2276 */     TRANSITION[92] = copy(arrayOfInt4);
/* 2277 */     TRANSITION[92][69] = 93;
/* 2278 */     TRANSITION[92][101] = 93;
/* 2279 */     TRANSITION[93] = arrayOfInt4;
/*      */     
/* 2281 */     TRANSITION[57][78] = 101;
/* 2282 */     TRANSITION[57][110] = 101;
/* 2283 */     TRANSITION[66][78] = 101;
/* 2284 */     TRANSITION[66][110] = 101;
/* 2285 */     TRANSITION[101] = copy(arrayOfInt4);
/* 2286 */     TRANSITION[101][39] = 102;
/* 2287 */     TRANSITION[102] = newArray(128, 102);
/* 2288 */     TRANSITION[102][39] = 103;
/*      */     
/* 2290 */     TRANSITION[103] = newArray(128, 66);
/* 2291 */     TRANSITION[103][39] = 102;
/*      */     
/* 2293 */     int[] arrayOfInt6 = newArray(128, 0);
/*      */     
/* 2295 */     int[] arrayOfInt7 = copy(arrayOfInt6);
/*      */     
/* 2297 */     arrayOfInt7[63] = 11;
/*      */     
/* 2299 */     int[] arrayOfInt8 = new int[128];
/*      */     
/* 2301 */     for (byte b1 = 0; b1 < arrayOfInt8.length; b1++) {
/* 2302 */       if (TRANSITION[8][b1] == 8) {
/* 2303 */         arrayOfInt8[b1] = 12;
/*      */       } else {
/* 2305 */         arrayOfInt8[b1] = 13;
/*      */       } 
/* 2307 */     }  int[] arrayOfInt9 = new int[128];
/*      */     
/* 2309 */     for (byte b2 = 0; b2 < arrayOfInt9.length; b2++) {
/* 2310 */       if (TRANSITION[65][b2] == 65) {
/* 2311 */         arrayOfInt9[b2] = 12;
/*      */       } else {
/* 2313 */         arrayOfInt9[b2] = 13;
/*      */       } 
/* 2315 */     }  int[] arrayOfInt10 = copy(arrayOfInt9);
/* 2316 */     arrayOfInt10[32] = 0;
/*      */     
/* 2318 */     int[] arrayOfInt11 = copy(arrayOfInt6);
/*      */     
/* 2320 */     for (byte b3 = 0; b3 < arrayOfInt11.length; b3++) {
/* 2321 */       if (arrayOfInt3[b3] != 9)
/* 2322 */         arrayOfInt11[b3] = 2; 
/*      */     } 
/* 2324 */     int[] arrayOfInt12 = copyReplacing(arrayOfInt11, 2, 3);
/* 2325 */     int[] arrayOfInt13 = copyReplacing(arrayOfInt11, 2, 1);
/* 2326 */     int[] arrayOfInt14 = copyReplacing(arrayOfInt11, 2, 4);
/* 2327 */     int[] arrayOfInt15 = copyReplacing(arrayOfInt11, 2, 5);
/*      */     
/* 2329 */     int[] arrayOfInt16 = copyReplacing(arrayOfInt11, 2, 7);
/*      */     
/* 2331 */     for (byte b4 = 0; b4 < arrayOfInt16.length; b4++) {
/* 2332 */       if (arrayOfInt16[b4] == 5) {
/* 2333 */         arrayOfInt16[b4] = 0;
/*      */       }
/*      */     } 
/* 2336 */     int[] arrayOfInt17 = copyReplacing(arrayOfInt16, 7, 8);
/* 2337 */     int[] arrayOfInt18 = copyReplacing(arrayOfInt16, 7, 6);
/* 2338 */     int[] arrayOfInt19 = copyReplacing(arrayOfInt16, 7, 9);
/* 2339 */     int[] arrayOfInt20 = copyReplacing(arrayOfInt16, 7, 10);
/*      */ 
/*      */     
/* 2342 */     int[] arrayOfInt21 = copy(arrayOfInt6);
/* 2343 */     arrayOfInt21[39] = 14;
/*      */     
/* 2345 */     int[] arrayOfInt22 = copyReplacing(arrayOfInt6, 0, 15);
/* 2346 */     arrayOfInt22[39] = 0;
/*      */     
/* 2348 */     ACTION[0] = arrayOfInt7;
/* 2349 */     ACTION[1] = arrayOfInt7;
/* 2350 */     ACTION[2] = arrayOfInt7;
/* 2351 */     ACTION[3] = arrayOfInt6;
/* 2352 */     ACTION[4] = arrayOfInt6;
/* 2353 */     ACTION[5] = arrayOfInt6;
/* 2354 */     ACTION[6] = arrayOfInt6;
/* 2355 */     ACTION[7] = arrayOfInt6;
/* 2356 */     ACTION[8] = arrayOfInt8;
/* 2357 */     ACTION[104] = arrayOfInt10;
/* 2358 */     ACTION[99] = arrayOfInt21;
/* 2359 */     ACTION[100] = arrayOfInt22;
/* 2360 */     ACTION[9] = arrayOfInt15;
/* 2361 */     ACTION[10] = arrayOfInt15;
/* 2362 */     ACTION[11] = arrayOfInt15;
/* 2363 */     ACTION[12] = arrayOfInt15;
/* 2364 */     ACTION[13] = arrayOfInt15;
/* 2365 */     ACTION[14] = arrayOfInt11;
/* 2366 */     ACTION[15] = arrayOfInt15;
/* 2367 */     ACTION[16] = arrayOfInt15;
/* 2368 */     ACTION[17] = arrayOfInt15;
/* 2369 */     ACTION[18] = arrayOfInt12;
/* 2370 */     ACTION[19] = arrayOfInt15;
/* 2371 */     ACTION[20] = arrayOfInt15;
/* 2372 */     ACTION[21] = arrayOfInt15;
/* 2373 */     ACTION[22] = arrayOfInt15;
/* 2374 */     ACTION[23] = arrayOfInt15;
/* 2375 */     ACTION[24] = arrayOfInt15;
/* 2376 */     ACTION[25] = arrayOfInt11;
/* 2377 */     ACTION[26] = arrayOfInt15;
/* 2378 */     ACTION[27] = arrayOfInt15;
/* 2379 */     ACTION[28] = arrayOfInt15;
/* 2380 */     ACTION[29] = arrayOfInt13;
/* 2381 */     ACTION[30] = arrayOfInt15;
/* 2382 */     ACTION[31] = arrayOfInt15;
/* 2383 */     ACTION[32] = arrayOfInt15;
/* 2384 */     ACTION[33] = arrayOfInt15;
/* 2385 */     ACTION[34] = arrayOfInt15;
/* 2386 */     ACTION[35] = arrayOfInt13;
/* 2387 */     ACTION[36] = arrayOfInt15;
/* 2388 */     ACTION[37] = arrayOfInt15;
/* 2389 */     ACTION[38] = arrayOfInt15;
/* 2390 */     ACTION[39] = arrayOfInt15;
/* 2391 */     ACTION[40] = arrayOfInt15;
/* 2392 */     ACTION[41] = arrayOfInt14;
/* 2393 */     ACTION[42] = arrayOfInt15;
/* 2394 */     ACTION[43] = arrayOfInt15;
/* 2395 */     ACTION[44] = arrayOfInt15;
/* 2396 */     ACTION[45] = arrayOfInt15;
/* 2397 */     ACTION[46] = arrayOfInt15;
/* 2398 */     ACTION[47] = arrayOfInt13;
/* 2399 */     ACTION[48] = arrayOfInt15;
/* 2400 */     ACTION[49] = arrayOfInt15;
/* 2401 */     ACTION[50] = arrayOfInt15;
/* 2402 */     ACTION[51] = arrayOfInt15;
/* 2403 */     ACTION[52] = arrayOfInt13;
/* 2404 */     ACTION[53] = arrayOfInt15;
/* 2405 */     ACTION[54] = arrayOfInt15;
/* 2406 */     ACTION[55] = arrayOfInt15;
/* 2407 */     ACTION[56] = arrayOfInt14;
/* 2408 */     ACTION[57] = arrayOfInt7;
/* 2409 */     ACTION[58] = arrayOfInt7;
/* 2410 */     ACTION[59] = arrayOfInt7;
/* 2411 */     ACTION[60] = arrayOfInt6;
/* 2412 */     ACTION[61] = arrayOfInt6;
/* 2413 */     ACTION[62] = arrayOfInt6;
/* 2414 */     ACTION[63] = arrayOfInt6;
/* 2415 */     ACTION[64] = arrayOfInt6;
/* 2416 */     ACTION[65] = arrayOfInt9;
/* 2417 */     ACTION[101] = arrayOfInt21;
/* 2418 */     ACTION[102] = arrayOfInt6;
/* 2419 */     ACTION[103] = arrayOfInt22;
/*      */     
/* 2421 */     ACTION[66] = arrayOfInt7;
/*      */     
/* 2423 */     ACTION[67] = arrayOfInt6;
/* 2424 */     ACTION[68] = arrayOfInt6;
/* 2425 */     ACTION[69] = arrayOfInt6;
/* 2426 */     ACTION[70] = arrayOfInt6;
/* 2427 */     ACTION[71] = arrayOfInt18;
/*      */     
/* 2429 */     ACTION[72] = arrayOfInt6;
/* 2430 */     ACTION[73] = arrayOfInt6;
/* 2431 */     ACTION[74] = arrayOfInt6;
/* 2432 */     ACTION[75] = arrayOfInt6;
/* 2433 */     ACTION[76] = arrayOfInt16;
/*      */     
/* 2435 */     ACTION[77] = arrayOfInt6;
/* 2436 */     ACTION[78] = arrayOfInt6;
/* 2437 */     ACTION[79] = arrayOfInt17;
/*      */     
/* 2439 */     ACTION[80] = arrayOfInt6;
/* 2440 */     ACTION[81] = arrayOfInt6;
/* 2441 */     ACTION[82] = arrayOfInt6;
/* 2442 */     ACTION[83] = arrayOfInt6;
/* 2443 */     ACTION[84] = arrayOfInt6;
/*      */     
/* 2445 */     ACTION[84] = arrayOfInt6;
/* 2446 */     ACTION[85] = arrayOfInt6;
/* 2447 */     ACTION[86] = arrayOfInt19;
/*      */     
/* 2449 */     ACTION[87] = arrayOfInt7;
/* 2450 */     ACTION[88] = arrayOfInt6;
/* 2451 */     ACTION[89] = arrayOfInt6;
/* 2452 */     ACTION[90] = arrayOfInt6;
/* 2453 */     ACTION[91] = arrayOfInt6;
/* 2454 */     ACTION[92] = arrayOfInt6;
/* 2455 */     ACTION[93] = arrayOfInt20;
/*      */     
/* 2457 */     ACTION[94] = arrayOfInt6;
/* 2458 */     ACTION[95] = arrayOfInt6;
/* 2459 */     ACTION[96] = arrayOfInt6;
/* 2460 */     ACTION[97] = arrayOfInt6;
/* 2461 */     ACTION[98] = arrayOfInt6;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleSqlReadOnly.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */