/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.InputStream;
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.sql.Statement;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Calendar;
/*      */ import java.util.Iterator;
/*      */ import java.util.TimeZone;
/*      */ import java.util.Vector;
/*      */ import oracle.jdbc.OracleResultSetCache;
/*      */ import oracle.jdbc.internal.OracleStatement;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CLOB;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class OracleStatement
/*      */   implements OracleStatement, ScrollRsetStatement
/*      */ {
/*      */   static final int PLAIN_STMT = 0;
/*      */   static final int PREP_STMT = 1;
/*      */   static final int CALL_STMT = 2;
/*      */   static final byte IS_UNINITIALIZED = -1;
/*      */   static final byte IS_SELECT = 0;
/*      */   static final byte IS_PLSQL_BLOCK = 1;
/*      */   static final byte IS_DML = 2;
/*      */   static final byte IS_OTHER = 3;
/*      */   static final byte IS_CALL_BLOCK = 4;
/*      */   int cursorId;
/*      */   int numberOfDefinePositions;
/*      */   int definesBatchSize;
/*      */   Accessor[] accessors;
/*      */   int defineByteSubRange;
/*      */   int defineCharSubRange;
/*      */   int defineIndicatorSubRange;
/*      */   int defineLengthSubRange;
/*      */   byte[] defineBytes;
/*      */   char[] defineChars;
/*      */   short[] defineIndicators;
/*      */   
/*      */   void continueReadRow(int paramInt) throws SQLException {
/*  288 */     throw new SQLException("continueReadRow is only implemented by the T4C statements.");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean described = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean describedWithNames = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int rowsProcessed;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  353 */   int cachedDefineByteSize = 0;
/*  354 */   int cachedDefineCharSize = 0;
/*  355 */   int cachedDefineIndicatorSize = 0;
/*      */ 
/*      */   
/*      */   OracleStatement children;
/*      */ 
/*      */   
/*      */   OracleStatement nextChild;
/*      */ 
/*      */   
/*      */   OracleStatement next;
/*      */ 
/*      */   
/*      */   OracleStatement prev;
/*      */ 
/*      */   
/*      */   long c_state;
/*      */ 
/*      */   
/*      */   int numberOfBindPositions;
/*      */ 
/*      */   
/*      */   byte[] bindBytes;
/*      */ 
/*      */   
/*      */   char[] bindChars;
/*      */ 
/*      */   
/*      */   short[] bindIndicators;
/*      */ 
/*      */   
/*      */   int bindByteOffset;
/*      */ 
/*      */   
/*      */   int bindCharOffset;
/*      */   
/*      */   int bindIndicatorOffset;
/*      */   
/*      */   int bindByteSubRange;
/*      */   
/*      */   int bindCharSubRange;
/*      */   
/*      */   int bindIndicatorSubRange;
/*      */   
/*      */   Accessor[] outBindAccessors;
/*      */   
/*      */   InputStream[][] parameterStream;
/*      */   
/*      */   int firstRowInBatch;
/*      */   
/*      */   boolean hasIbtBind = false;
/*      */   
/*      */   byte[] ibtBindBytes;
/*      */   
/*      */   char[] ibtBindChars;
/*      */   
/*      */   short[] ibtBindIndicators;
/*      */   
/*      */   int ibtBindByteOffset;
/*      */   
/*      */   int ibtBindCharOffset;
/*      */   
/*      */   int ibtBindIndicatorOffset;
/*      */   
/*      */   int ibtBindIndicatorSize;
/*      */   
/*      */   byte[] tmpByteArray;
/*      */   
/*  422 */   int sizeTmpByteArray = 0;
/*      */ 
/*      */ 
/*      */   
/*      */   byte[] tmpBindsByteArray;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean needToSendOalToFetch = false;
/*      */ 
/*      */ 
/*      */   
/*  434 */   int[] definedColumnType = null;
/*  435 */   int[] definedColumnSize = null;
/*  436 */   int[] definedColumnFormOfUse = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  442 */   T4CTTIoac[] oacdefSent = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  449 */   int[] nbPostPonedColumns = null;
/*  450 */   int[][] indexOfPostPonedColumn = (int[][])null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  471 */   int accessorByteOffset = 0;
/*  472 */   int accessorCharOffset = 0;
/*  473 */   int accessorShortOffset = 0;
/*      */ 
/*      */   
/*      */   static final int VALID_ROWS_UNINIT = -999;
/*      */ 
/*      */   
/*      */   PhysicalConnection connection;
/*      */ 
/*      */   
/*      */   OracleInputStream streamList;
/*      */ 
/*      */   
/*      */   OracleInputStream nextStream;
/*      */ 
/*      */   
/*      */   OracleResultSetImpl currentResultSet;
/*      */ 
/*      */   
/*      */   boolean processEscapes;
/*      */   
/*      */   boolean convertNcharLiterals;
/*      */   
/*      */   int queryTimeout;
/*      */   
/*      */   int batch;
/*      */   
/*      */   int currentRank;
/*      */   
/*      */   int currentRow;
/*      */   
/*      */   int validRows;
/*      */   
/*      */   int maxFieldSize;
/*      */   
/*      */   int maxRows;
/*      */   
/*      */   int totalRowsVisited;
/*      */   
/*      */   int rowPrefetch;
/*      */   
/*  513 */   int rowPrefetchInLastFetch = -1;
/*      */ 
/*      */ 
/*      */   
/*      */   int defaultRowPrefetch;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean rowPrefetchChanged;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean gotLastBatch;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean clearParameters;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean closed;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean sqlStringChanged;
/*      */ 
/*      */ 
/*      */   
/*      */   OracleSql sqlObject;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean needToParse;
/*      */ 
/*      */   
/*      */   boolean needToPrepareDefineBuffer;
/*      */ 
/*      */   
/*      */   boolean columnsDefinedByUser;
/*      */ 
/*      */   
/*      */   byte sqlKind;
/*      */ 
/*      */   
/*      */   int autoRollback;
/*      */ 
/*      */   
/*      */   int defaultFetchDirection;
/*      */ 
/*      */   
/*      */   boolean autoRefetch;
/*      */ 
/*      */   
/*      */   boolean serverCursor;
/*      */ 
/*      */   
/*      */   boolean fixedString = false;
/*      */ 
/*      */   
/*      */   boolean noMoreUpdateCounts = false;
/*      */ 
/*      */   
/*      */   boolean isExecuting = false;
/*      */ 
/*      */   
/*      */   static final byte EXECUTE_NONE = -1;
/*      */ 
/*      */   
/*      */   static final byte EXECUTE_QUERY = 1;
/*      */ 
/*      */   
/*      */   static final byte EXECUTE_UPDATE = 2;
/*      */ 
/*      */   
/*      */   static final byte EXECUTE_NORMAL = 3;
/*      */ 
/*      */   
/*  590 */   byte executionType = -1;
/*      */ 
/*      */   
/*      */   OracleResultSet scrollRset;
/*      */ 
/*      */   
/*      */   OracleResultSetCache rsetCache;
/*      */   
/*      */   int userRsetType;
/*      */   
/*      */   int realRsetType;
/*      */   
/*      */   boolean needToAddIdentifier;
/*      */   
/*      */   SQLWarning sqlWarning;
/*      */   
/*  606 */   int cacheState = 1;
/*      */ 
/*      */   
/*  609 */   int creationState = 0;
/*      */ 
/*      */   
/*      */   boolean isOpen = false;
/*      */ 
/*      */   
/*  615 */   int statementType = 0;
/*      */   
/*      */   boolean columnSetNull = false;
/*      */   
/*      */   int[] returnParamMeta;
/*      */   
/*      */   static final int DMLR_METADATA_PREFIX_SIZE = 3;
/*      */   
/*      */   static final int DMLR_METADATA_NUM_OF_RETURN_PARAMS = 0;
/*      */   
/*      */   static final int DMLR_METADATA_ROW_BIND_BYTES = 1;
/*      */   
/*      */   static final int DMLR_METADATA_ROW_BIND_CHARS = 2;
/*      */   
/*      */   static final int DMLR_METADATA_TYPE_OFFSET = 0;
/*      */   
/*      */   static final int DMLR_METADATA_IS_CHAR_TYPE_OFFSET = 1;
/*      */   
/*      */   static final int DMLR_METADATA_BIND_SIZE_OFFSET = 2;
/*      */   
/*      */   static final int DMLR_METADATA_PER_POSITION_SIZE = 3;
/*      */   
/*      */   Accessor[] returnParamAccessors;
/*      */   
/*      */   boolean returnParamsFetched;
/*      */   
/*      */   int rowsDmlReturned;
/*      */   
/*      */   int numReturnParams;
/*      */   
/*      */   byte[] returnParamBytes;
/*      */   
/*      */   char[] returnParamChars;
/*      */   
/*      */   short[] returnParamIndicators;
/*      */   
/*      */   int returnParamRowBytes;
/*      */   
/*      */   int returnParamRowChars;
/*      */   OracleReturnResultSet returnResultSet;
/*      */   boolean isAutoGeneratedKey;
/*      */   AutoKeyInfo autoKeyInfo;
/*  657 */   TimeZone defaultTZ = null;
/*  658 */   Calendar defaultCalendar = null;
/*      */ 
/*      */ 
/*      */   
/*      */   int lastIndex;
/*      */ 
/*      */ 
/*      */   
/*      */   Vector m_batchItems;
/*      */ 
/*      */ 
/*      */   
/*      */   ArrayList tempClobsToFree;
/*      */ 
/*      */ 
/*      */   
/*      */   ArrayList tempBlobsToFree;
/*      */ 
/*      */ 
/*      */   
/*      */   ArrayList oldTempClobsToFree;
/*      */ 
/*      */ 
/*      */   
/*      */   ArrayList oldTempBlobsToFree;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleStatement(PhysicalConnection paramPhysicalConnection, int paramInt1, int paramInt2) throws SQLException {
/*  688 */     this(paramPhysicalConnection, paramInt1, paramInt2, -1, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initializeDefineSubRanges() {
/*  788 */     this.defineByteSubRange = 0;
/*  789 */     this.defineCharSubRange = 0;
/*  790 */     this.defineIndicatorSubRange = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void prepareDefinePreambles() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void prepareAccessors() throws SQLException {
/*  819 */     byte[] arrayOfByte = null;
/*  820 */     char[] arrayOfChar = null;
/*  821 */     short[] arrayOfShort = null;
/*  822 */     boolean bool = false;
/*      */     
/*  824 */     if (this.accessors == null) {
/*  825 */       DatabaseError.throwSqlException(21);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  830 */     int i = 0;
/*  831 */     int j = 0;
/*      */     int k;
/*  833 */     for (k = 0; k < this.numberOfDefinePositions; k++) {
/*      */       
/*  835 */       Accessor accessor = this.accessors[k];
/*      */       
/*  837 */       if (accessor == null) {
/*  838 */         DatabaseError.throwSqlException(21);
/*      */       }
/*  840 */       i += accessor.byteLength;
/*  841 */       j += accessor.charLength;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  846 */     if (this.streamList != null && !this.connection.useFetchSizeWithLongColumn) {
/*  847 */       this.rowPrefetch = 1;
/*      */     }
/*  849 */     k = this.rowPrefetch;
/*      */     
/*  851 */     this.definesBatchSize = k;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  859 */     initializeDefineSubRanges();
/*      */ 
/*      */     
/*  862 */     int m = this.defineByteSubRange + i * k;
/*      */     
/*  864 */     if (this.defineBytes == null || this.defineBytes.length < m) {
/*      */       
/*  866 */       if (this.defineBytes != null) arrayOfByte = this.defineBytes; 
/*  867 */       this.defineBytes = new byte[m];
/*      */     } 
/*      */     
/*  870 */     this.defineByteSubRange += this.accessorByteOffset;
/*      */ 
/*      */     
/*  873 */     int n = this.defineCharSubRange + j * k;
/*      */     
/*  875 */     if ((this.defineChars == null || this.defineChars.length < n) && n > 0) {
/*      */ 
/*      */       
/*  878 */       if (this.defineChars != null) arrayOfChar = this.defineChars; 
/*  879 */       this.defineChars = new char[n];
/*      */     } 
/*      */     
/*  882 */     this.defineCharSubRange += this.accessorCharOffset;
/*      */ 
/*      */ 
/*      */     
/*  886 */     int i1 = this.numberOfDefinePositions * k;
/*  887 */     int i2 = this.defineIndicatorSubRange + i1 + i1;
/*      */ 
/*      */     
/*  890 */     if (this.defineIndicators == null || this.defineIndicators.length < i2) {
/*      */ 
/*      */       
/*  893 */       if (this.defineIndicators != null) arrayOfShort = this.defineIndicators; 
/*  894 */       this.defineIndicators = new short[i2];
/*  895 */     } else if (this.defineIndicators.length >= i2) {
/*      */       
/*  897 */       bool = true;
/*  898 */       arrayOfShort = this.defineIndicators;
/*      */     } 
/*      */     
/*  901 */     this.defineIndicatorSubRange += this.accessorShortOffset;
/*      */     
/*  903 */     int i3 = this.defineIndicatorSubRange + i1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  909 */     for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*      */       
/*  911 */       Accessor accessor = this.accessors[b];
/*      */       
/*  913 */       accessor.lengthIndexLastRow = accessor.lengthIndex;
/*  914 */       accessor.indicatorIndexLastRow = accessor.indicatorIndex;
/*  915 */       accessor.columnIndexLastRow = accessor.columnIndex;
/*      */       
/*  917 */       accessor.setOffsets(k);
/*      */       
/*  919 */       accessor.lengthIndex = i3;
/*  920 */       accessor.indicatorIndex = this.defineIndicatorSubRange;
/*  921 */       accessor.rowSpaceByte = this.defineBytes;
/*  922 */       accessor.rowSpaceChar = this.defineChars;
/*  923 */       accessor.rowSpaceIndicator = this.defineIndicators;
/*  924 */       this.defineIndicatorSubRange += k;
/*  925 */       i3 += k;
/*      */     } 
/*      */     
/*  928 */     prepareDefinePreambles();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  936 */     if (this.rowPrefetchInLastFetch != -1)
/*      */     {
/*  938 */       if (arrayOfChar != null || arrayOfByte != null) {
/*      */ 
/*      */         
/*  941 */         saveDefineBuffersIfRequired(arrayOfChar, arrayOfByte, (arrayOfShort != null) ? arrayOfShort : this.defineIndicators, bool);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  947 */       else if (bool && this.rowPrefetch != this.rowPrefetchInLastFetch) {
/*      */ 
/*      */         
/*  950 */         saveDefineBuffersIfRequired(this.defineChars, this.defineBytes, this.defineIndicators, bool);
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean checkAccessorsUsable() throws SQLException {
/*  966 */     int i = this.accessors.length;
/*      */     
/*  968 */     if (i < this.numberOfDefinePositions) {
/*  969 */       return false;
/*      */     }
/*  971 */     boolean bool1 = true;
/*  972 */     boolean bool2 = false;
/*  973 */     boolean bool3 = false;
/*      */     
/*  975 */     for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*      */       
/*  977 */       Accessor accessor = this.accessors[b];
/*      */       
/*  979 */       if (accessor == null || accessor.externalType == 0) {
/*  980 */         bool1 = false;
/*      */       } else {
/*  982 */         bool2 = true;
/*      */       } 
/*      */     } 
/*  985 */     if (bool1) {
/*      */ 
/*      */       
/*  988 */       bool3 = true;
/*  989 */     } else if (bool2) {
/*      */ 
/*      */       
/*  992 */       DatabaseError.throwSqlException(21);
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  997 */       this.columnsDefinedByUser = false;
/*      */     } 
/*  999 */     return bool3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeMaybeDescribe() throws SQLException {
/* 1016 */     if (this.rowPrefetchChanged) {
/*      */       
/* 1018 */       if (this.streamList == null && this.rowPrefetch != this.definesBatchSize) {
/* 1019 */         this.needToPrepareDefineBuffer = true;
/*      */       }
/* 1021 */       this.rowPrefetchChanged = false;
/*      */     } 
/*      */     
/* 1024 */     if (!this.needToPrepareDefineBuffer)
/*      */     {
/*      */ 
/*      */       
/* 1028 */       if (this.accessors == null) {
/*      */ 
/*      */ 
/*      */         
/* 1032 */         this.needToPrepareDefineBuffer = true;
/* 1033 */       } else if (this.columnsDefinedByUser) {
/* 1034 */         this.needToPrepareDefineBuffer = !checkAccessorsUsable();
/*      */       } 
/*      */     }
/* 1037 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1042 */       this.isExecuting = true;
/*      */       
/* 1044 */       if (this.needToPrepareDefineBuffer) {
/*      */ 
/*      */         
/* 1047 */         if (!this.columnsDefinedByUser) {
/*      */           
/* 1049 */           executeForDescribe();
/*      */           
/* 1051 */           bool = true;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1057 */         prepareAccessors();
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1062 */       int i = this.accessors.length;
/*      */       
/* 1064 */       for (int j = this.numberOfDefinePositions; j < i; j++) {
/*      */         
/* 1066 */         Accessor accessor = this.accessors[j];
/*      */         
/* 1068 */         if (accessor != null) {
/* 1069 */           accessor.rowSpaceIndicator = null;
/*      */         }
/*      */       } 
/* 1072 */       executeForRows(bool);
/*      */     
/*      */     }
/* 1075 */     catch (SQLException sQLException) {
/*      */       
/* 1077 */       this.needToParse = true;
/* 1078 */       throw sQLException;
/*      */     }
/*      */     finally {
/*      */       
/* 1082 */       this.isExecuting = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void adjustGotLastBatch() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doExecuteWithTimeout() throws SQLException {
/*      */     try {
/* 1117 */       cleanOldTempLobs();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1122 */       this.connection.registerHeartbeat();
/*      */ 
/*      */       
/* 1125 */       this.rowsProcessed = 0;
/*      */       
/* 1127 */       if (this.sqlKind == 0) {
/*      */         
/* 1129 */         if (this.connection.j2ee13Compliant && this.executionType == 2) {
/* 1130 */           DatabaseError.throwSqlException(129);
/*      */         }
/* 1132 */         this.connection.needLine();
/*      */         
/* 1134 */         if (!this.isOpen) {
/*      */           
/* 1136 */           this.connection.open(this);
/*      */           
/* 1138 */           this.isOpen = true;
/*      */         } 
/*      */         
/* 1141 */         if (this.queryTimeout != 0) {
/*      */ 
/*      */           
/*      */           try {
/* 1145 */             this.connection.getTimeout().setTimeout((this.queryTimeout * 1000), this);
/* 1146 */             executeMaybeDescribe();
/*      */           }
/*      */           finally {
/*      */             
/* 1150 */             this.connection.getTimeout().cancelTimeout();
/*      */           } 
/*      */         } else {
/*      */           
/* 1154 */           executeMaybeDescribe();
/*      */         } 
/* 1156 */         checkValidRowsStatus();
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1161 */         if (this.serverCursor) {
/* 1162 */           adjustGotLastBatch();
/*      */         }
/*      */       } else {
/*      */         
/* 1166 */         if (this.connection.j2ee13Compliant && this.sqlKind != 1 && this.sqlKind != 4 && this.executionType == 1)
/*      */         {
/* 1168 */           DatabaseError.throwSqlException(128);
/*      */         }
/* 1170 */         this.currentRank++;
/*      */         
/* 1172 */         if (this.currentRank >= this.batch) {
/*      */           try
/*      */           {
/*      */             
/* 1176 */             this.connection.needLine();
/*      */             
/* 1178 */             if (!this.isOpen) {
/*      */               
/* 1180 */               this.connection.open(this);
/*      */               
/* 1182 */               this.isOpen = true;
/*      */             } 
/*      */             
/* 1185 */             if (this.queryTimeout != 0) {
/* 1186 */               this.connection.getTimeout().setTimeout((this.queryTimeout * 1000), this);
/*      */             }
/* 1188 */             this.isExecuting = true;
/*      */             
/* 1190 */             executeForRows(false);
/*      */           }
/* 1192 */           catch (SQLException sQLException)
/*      */           {
/* 1194 */             this.needToParse = true;
/* 1195 */             resetCurrentRowBinders();
/* 1196 */             throw sQLException;
/*      */           }
/*      */           finally
/*      */           {
/* 1200 */             if (this.queryTimeout != 0) {
/* 1201 */               this.connection.getTimeout().cancelTimeout();
/*      */             }
/* 1203 */             this.currentRank = 0;
/* 1204 */             this.isExecuting = false;
/*      */             
/* 1206 */             checkValidRowsStatus();
/*      */ 
/*      */           
/*      */           }
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/* 1219 */     catch (SQLException sQLException) {
/*      */       
/* 1221 */       resetOnExceptionDuringExecute();
/* 1222 */       throw sQLException;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void resetOnExceptionDuringExecute() {
/* 1234 */     this.needToParse = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void resetCurrentRowBinders() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void open() throws SQLException {
/* 1255 */     if (!this.isOpen) {
/*      */       
/* 1257 */       this.connection.needLine();
/* 1258 */       this.connection.open(this);
/*      */       
/* 1260 */       this.isOpen = true;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet executeQuery(String paramString) throws SQLException {
/* 1278 */     OracleResultSet oracleResultSet = null;
/*      */ 
/*      */ 
/*      */     
/* 1282 */     synchronized (this.connection) {
/*      */       
/* 1284 */       synchronized (this) {
/*      */ 
/*      */         
/*      */         try {
/*      */ 
/*      */           
/* 1290 */           this.executionType = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1296 */           this.noMoreUpdateCounts = false;
/*      */           
/* 1298 */           ensureOpen();
/* 1299 */           checkIfJdbcBatchExists();
/*      */           
/* 1301 */           sendBatch();
/*      */ 
/*      */           
/* 1304 */           this.sqlObject.initialize(paramString);
/*      */           
/* 1306 */           this.sqlKind = this.sqlObject.getSqlKind();
/* 1307 */           this.needToParse = true;
/*      */           
/* 1309 */           prepareForNewResults(true, true);
/*      */           
/* 1311 */           if (this.userRsetType == 1) {
/*      */             
/* 1313 */             doExecuteWithTimeout();
/*      */             
/* 1315 */             this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 1316 */             oracleResultSet = this.currentResultSet;
/*      */           }
/*      */           else {
/*      */             
/* 1320 */             oracleResultSet = doScrollStmtExecuteQuery();
/*      */             
/* 1322 */             if (oracleResultSet == null)
/*      */             {
/* 1324 */               this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/* 1325 */               oracleResultSet = this.currentResultSet;
/*      */             }
/*      */           
/*      */           } 
/*      */         } finally {
/*      */           
/* 1331 */           this.executionType = -1;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 1336 */     return (ResultSet)oracleResultSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void closeWithKey(String paramString) throws SQLException {
/* 1346 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void close() throws SQLException {
/* 1378 */     synchronized (this.connection) {
/*      */       
/* 1380 */       synchronized (this) {
/*      */         
/* 1382 */         closeOrCache(null);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void closeOrCache(String paramString) throws SQLException {
/* 1392 */     if (this.closed) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1402 */     if (this.statementType != 0 && this.cacheState != 0 && this.cacheState != 3 && this.connection.isStatementCacheInitialized()) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1412 */       if (paramString == null)
/*      */       {
/* 1414 */         if (this.connection.getImplicitCachingEnabled())
/*      */         {
/* 1416 */           this.connection.cacheImplicitStatement((OraclePreparedStatement)this, this.sqlObject.getOriginalSql(), this.statementType, this.userRsetType);
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */           
/* 1425 */           this.cacheState = 0;
/*      */           
/* 1427 */           hardClose();
/*      */         
/*      */         }
/*      */ 
/*      */       
/*      */       }
/* 1433 */       else if (this.connection.getExplicitCachingEnabled())
/*      */       {
/* 1435 */         this.connection.cacheExplicitStatement((OraclePreparedStatement)this, paramString);
/*      */ 
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*      */ 
/*      */         
/* 1443 */         this.cacheState = 0;
/*      */         
/* 1445 */         hardClose();
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1453 */       hardClose();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void hardClose() throws SQLException {
/* 1464 */     hardClose(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void hardClose(boolean paramBoolean) throws SQLException {
/* 1476 */     alwaysOnClose();
/*      */     
/* 1478 */     this.describedWithNames = false;
/* 1479 */     this.described = false;
/*      */ 
/*      */     
/* 1482 */     this.connection.removeStatement(this);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1488 */     cleanupDefines();
/*      */     
/* 1490 */     if (this.isOpen && paramBoolean && (this.connection.lifecycle == 1 || this.connection.lifecycle == 16 || this.connection.lifecycle == 2)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1496 */       if (this.connection.lifecycle == 2) {
/* 1497 */         this.connection.needLineUnchecked();
/*      */       } else {
/* 1499 */         this.connection.needLine();
/* 1500 */       }  doClose();
/*      */       
/* 1502 */       this.isOpen = false;
/*      */     } 
/*      */     
/* 1505 */     this.sqlObject = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void alwaysOnClose() throws SQLException {
/* 1521 */     OracleStatement oracleStatement = this.children;
/*      */     
/* 1523 */     while (oracleStatement != null) {
/*      */       
/* 1525 */       OracleStatement oracleStatement1 = oracleStatement.nextChild;
/*      */       
/* 1527 */       oracleStatement.close();
/*      */       
/* 1529 */       oracleStatement = oracleStatement1;
/*      */     } 
/*      */     
/* 1532 */     this.closed = true;
/*      */ 
/*      */     
/* 1535 */     if (!this.connection.isClosed()) {
/*      */ 
/*      */ 
/*      */       
/* 1539 */       this.connection.needLine();
/*      */ 
/*      */       
/* 1542 */       if (this.currentResultSet != null) {
/*      */         
/* 1544 */         this.currentResultSet.internal_close(false);
/*      */         
/* 1546 */         this.currentResultSet = null;
/*      */       } 
/*      */       
/* 1549 */       if (this.scrollRset != null) {
/*      */         
/* 1551 */         this.scrollRset.close();
/*      */         
/* 1553 */         this.scrollRset = null;
/*      */       } 
/*      */       
/* 1556 */       if (this.returnResultSet != null) {
/*      */         
/* 1558 */         this.returnResultSet.close();
/* 1559 */         this.returnResultSet = null;
/*      */       } 
/*      */     } 
/*      */     
/* 1563 */     clearWarnings();
/*      */     
/* 1565 */     this.m_batchItems = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeLeaveCursorOpen() throws SQLException {
/* 1584 */     synchronized (this.connection) {
/*      */       
/* 1586 */       synchronized (this) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1592 */         if (this.closed) {
/*      */           return;
/*      */         }
/*      */ 
/*      */         
/* 1597 */         hardClose(false);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int executeUpdate(String paramString) throws SQLException {
/* 1621 */     synchronized (this.connection) {
/*      */       
/* 1623 */       synchronized (this) {
/*      */         
/* 1625 */         setNonAutoKey();
/* 1626 */         return executeUpdateInternal(paramString);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int executeUpdateInternal(String paramString) throws SQLException {
/*      */     try {
/* 1636 */       if (this.executionType == -1) {
/* 1637 */         this.executionType = 2;
/*      */       }
/*      */       
/* 1640 */       this.noMoreUpdateCounts = false;
/*      */       
/* 1642 */       ensureOpen();
/* 1643 */       checkIfJdbcBatchExists();
/*      */       
/* 1645 */       sendBatch();
/*      */ 
/*      */       
/* 1648 */       this.sqlObject.initialize(paramString);
/*      */       
/* 1650 */       this.sqlKind = this.sqlObject.getSqlKind();
/* 1651 */       this.needToParse = true;
/*      */       
/* 1653 */       prepareForNewResults(true, true);
/*      */       
/* 1655 */       if (this.userRsetType == 1) {
/*      */         
/* 1657 */         doExecuteWithTimeout();
/*      */       }
/*      */       else {
/*      */         
/* 1661 */         doScrollStmtExecuteQuery();
/*      */       } 
/*      */       
/* 1664 */       return this.validRows;
/*      */     }
/*      */     finally {
/*      */       
/* 1668 */       this.executionType = -1;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean execute(String paramString) throws SQLException {
/* 1688 */     synchronized (this.connection) {
/*      */       
/* 1690 */       synchronized (this) {
/*      */         
/* 1692 */         setNonAutoKey();
/*      */ 
/*      */ 
/*      */         
/* 1696 */         return executeInternal(paramString);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean executeInternal(String paramString) throws SQLException {
/*      */     try {
/* 1706 */       this.executionType = 3;
/*      */ 
/*      */       
/* 1709 */       this.noMoreUpdateCounts = false;
/*      */       
/* 1711 */       ensureOpen();
/* 1712 */       checkIfJdbcBatchExists();
/*      */       
/* 1714 */       sendBatch();
/*      */ 
/*      */       
/* 1717 */       this.sqlObject.initialize(paramString);
/*      */       
/* 1719 */       this.sqlKind = this.sqlObject.getSqlKind();
/* 1720 */       this.needToParse = true;
/*      */       
/* 1722 */       prepareForNewResults(true, true);
/*      */       
/* 1724 */       if (this.userRsetType == 1) {
/*      */         
/* 1726 */         doExecuteWithTimeout();
/*      */       }
/*      */       else {
/*      */         
/* 1730 */         doScrollStmtExecuteQuery();
/*      */       } 
/*      */       
/* 1733 */       return (this.sqlKind == 0);
/*      */     }
/*      */     finally {
/*      */       
/* 1737 */       this.executionType = -1;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   int getNumberOfColumns() throws SQLException {
/* 1743 */     if (!this.described) {
/* 1744 */       synchronized (this.connection) {
/*      */         
/* 1746 */         synchronized (this) {
/*      */           
/* 1748 */           doDescribe(false);
/*      */           
/* 1750 */           this.described = true;
/*      */         } 
/*      */       } 
/*      */     }
/* 1754 */     return this.numberOfDefinePositions;
/*      */   }
/*      */ 
/*      */   
/*      */   Accessor[] getDescription() throws SQLException {
/* 1759 */     if (!this.described) {
/* 1760 */       synchronized (this.connection) {
/*      */         
/* 1762 */         synchronized (this) {
/*      */           
/* 1764 */           doDescribe(false);
/*      */           
/* 1766 */           this.described = true;
/*      */         } 
/*      */       } 
/*      */     }
/* 1770 */     return this.accessors;
/*      */   }
/*      */ 
/*      */   
/*      */   Accessor[] getDescriptionWithNames() throws SQLException {
/* 1775 */     if (!this.describedWithNames) {
/* 1776 */       synchronized (this.connection) {
/*      */         
/* 1778 */         synchronized (this) {
/*      */           
/* 1780 */           doDescribe(true);
/*      */           
/* 1782 */           this.described = true;
/* 1783 */           this.describedWithNames = true;
/*      */         } 
/*      */       } 
/*      */     }
/* 1787 */     return this.accessors;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   byte getSqlKind() {
/* 1800 */     return this.sqlKind;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void clearDefines() throws SQLException {
/* 1825 */     freeLine();
/*      */     
/* 1827 */     this.streamList = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1834 */     this.columnsDefinedByUser = false;
/* 1835 */     this.needToPrepareDefineBuffer = true;
/*      */ 
/*      */     
/* 1838 */     this.numberOfDefinePositions = 0;
/* 1839 */     this.definesBatchSize = 0;
/*      */     
/* 1841 */     this.described = false;
/* 1842 */     this.describedWithNames = false;
/*      */     
/* 1844 */     cleanupDefines();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void reparseOnRedefineIfNeeded() throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean, String paramString) throws SQLException {
/* 1860 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, (short)1, paramBoolean, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString) throws SQLException {
/* 1869 */     if (this.connection.disableDefineColumnType) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1881 */     if (paramInt1 < 1) {
/* 1882 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1884 */     if (paramInt2 == 0) {
/* 1885 */       DatabaseError.throwSqlException(4);
/*      */     }
/* 1887 */     int i = paramInt1 - 1;
/* 1888 */     int j = this.maxFieldSize;
/*      */     
/* 1890 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */       
/* 1894 */       if (paramInt2 == 1 || paramInt2 == 12) {
/* 1895 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */       
/*      */       }
/*      */     }
/*      */     else {
/*      */       
/* 1901 */       if (paramInt3 < 0) {
/* 1902 */         DatabaseError.throwSqlException(53);
/*      */       }
/* 1904 */       if (j == 0 || paramInt3 < j) {
/* 1905 */         j = paramInt3;
/*      */       }
/*      */     } 
/* 1908 */     if (this.currentResultSet != null && !this.currentResultSet.closed) {
/* 1909 */       DatabaseError.throwSqlException(28);
/*      */     }
/* 1911 */     if (!this.columnsDefinedByUser) {
/*      */ 
/*      */ 
/*      */       
/* 1915 */       clearDefines();
/*      */       
/* 1917 */       this.columnsDefinedByUser = true;
/*      */     } 
/*      */     
/* 1920 */     if (this.numberOfDefinePositions < paramInt1) {
/*      */       
/* 1922 */       if (this.accessors == null || this.accessors.length < paramInt1) {
/*      */         
/* 1924 */         Accessor[] arrayOfAccessor = new Accessor[paramInt1 << 1];
/*      */         
/* 1926 */         if (this.accessors != null) {
/* 1927 */           System.arraycopy(this.accessors, 0, arrayOfAccessor, 0, this.numberOfDefinePositions);
/*      */         }
/* 1929 */         this.accessors = arrayOfAccessor;
/*      */       } 
/*      */       
/* 1932 */       this.numberOfDefinePositions = paramInt1;
/*      */     } 
/*      */     
/* 1935 */     int k = getInternalType(paramInt2);
/*      */     
/* 1937 */     if ((k == 109 || k == 111) && (paramString == null || paramString.equals("")))
/*      */     {
/* 1939 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*      */     }
/*      */     
/* 1942 */     Accessor accessor = this.accessors[i];
/* 1943 */     boolean bool = true;
/*      */     
/* 1945 */     if (accessor != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1950 */       int m = accessor.useForDataAccessIfPossible(k, paramInt2, j, paramString);
/*      */ 
/*      */       
/* 1953 */       if (m == 0) {
/*      */         
/* 1955 */         paramShort = accessor.formOfUse;
/* 1956 */         accessor = null;
/*      */         
/* 1958 */         reparseOnRedefineIfNeeded();
/*      */       }
/* 1960 */       else if (m == 1) {
/*      */         
/* 1962 */         accessor = null;
/*      */         
/* 1964 */         reparseOnRedefineIfNeeded();
/*      */       }
/* 1966 */       else if (m == 2) {
/* 1967 */         bool = false;
/*      */       } 
/*      */     } 
/* 1970 */     if (bool) {
/* 1971 */       this.needToPrepareDefineBuffer = true;
/*      */     }
/* 1973 */     if (accessor == null) {
/*      */       
/* 1975 */       this.accessors[i] = allocateAccessor(k, paramInt2, paramInt1, j, paramShort, paramString, false);
/*      */       
/* 1977 */       this.described = false;
/* 1978 */       this.describedWithNames = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean) throws SQLException {
/*      */     NamedTypeAccessor namedTypeAccessor;
/*      */     RefTypeAccessor refTypeAccessor;
/* 2021 */     switch (paramInt1) {
/*      */ 
/*      */       
/*      */       case 96:
/* 2025 */         if (paramBoolean && paramString != null) {
/* 2026 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2029 */         return new CharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 8:
/* 2032 */         if (paramBoolean && paramString != null) {
/* 2033 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2036 */         if (!paramBoolean) {
/* 2037 */           return new LongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2);
/*      */         }
/*      */ 
/*      */       
/*      */       case 1:
/* 2042 */         if (paramBoolean && paramString != null) {
/* 2043 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2046 */         return new VarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 2:
/* 2049 */         if (paramBoolean && paramString != null) {
/* 2050 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2053 */         return new NumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 6:
/* 2056 */         if (paramBoolean && paramString != null) {
/* 2057 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2060 */         return new VarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 24:
/* 2063 */         if (paramBoolean && paramString != null) {
/* 2064 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2067 */         if (!paramBoolean) {
/* 2068 */           return new LongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2);
/*      */         }
/*      */ 
/*      */ 
/*      */       
/*      */       case 23:
/* 2074 */         if (paramBoolean && paramString != null) {
/* 2075 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2078 */         if (paramBoolean) {
/* 2079 */           return new OutRawAccessor(this, paramInt4, paramShort, paramInt2);
/*      */         }
/* 2081 */         return new RawAccessor(this, paramInt4, paramShort, paramInt2, false);
/*      */       
/*      */       case 100:
/* 2084 */         if (paramBoolean && paramString != null) {
/* 2085 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2088 */         return new BinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 101:
/* 2092 */         if (paramBoolean && paramString != null) {
/* 2093 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2096 */         return new BinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 104:
/* 2100 */         if (paramBoolean && paramString != null) {
/* 2101 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2104 */         return new RowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 102:
/* 2107 */         if (paramBoolean && paramString != null) {
/* 2108 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2111 */         return new ResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 12:
/* 2114 */         if (paramBoolean && paramString != null) {
/* 2115 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2118 */         return new DateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 113:
/* 2121 */         if (paramBoolean && paramString != null) {
/* 2122 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2125 */         return new BlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 112:
/* 2128 */         if (paramBoolean && paramString != null) {
/* 2129 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2132 */         return new ClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 114:
/* 2135 */         if (paramBoolean && paramString != null) {
/* 2136 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2139 */         return new BfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */       
/*      */       case 109:
/* 2142 */         if (paramString == null) {
/* 2143 */           if (paramBoolean) {
/* 2144 */             DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */           } else {
/*      */             
/* 2147 */             DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */           } 
/*      */         }
/* 2150 */         namedTypeAccessor = new NamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */         
/* 2153 */         namedTypeAccessor.initMetadata();
/*      */         
/* 2155 */         return namedTypeAccessor;
/*      */       
/*      */       case 111:
/* 2158 */         if (paramString == null) {
/* 2159 */           if (paramBoolean) {
/* 2160 */             DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */           } else {
/*      */             
/* 2163 */             DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */           } 
/*      */         }
/* 2166 */         refTypeAccessor = new RefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */         
/* 2169 */         refTypeAccessor.initMetadata();
/*      */         
/* 2171 */         return refTypeAccessor;
/*      */       
/*      */       case 180:
/* 2174 */         if (paramBoolean && paramString != null) {
/* 2175 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2178 */         if (this.connection.v8Compatible) {
/* 2179 */           return new DateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */         }
/* 2181 */         return new TimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 181:
/* 2185 */         if (paramBoolean && paramString != null) {
/* 2186 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2189 */         return new TimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 231:
/* 2193 */         if (paramBoolean && paramString != null) {
/* 2194 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2197 */         return new TimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 182:
/* 2201 */         if (paramBoolean && paramString != null) {
/* 2202 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2205 */         return new IntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */       
/*      */       case 183:
/* 2209 */         if (paramBoolean && paramString != null) {
/* 2210 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/* 2213 */         return new IntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 995:
/* 2228 */         DatabaseError.throwSqlException(89);
/*      */         break;
/*      */     } 
/* 2231 */     DatabaseError.throwSqlException(4);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2239 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void defineColumnType(int paramInt1, int paramInt2) throws SQLException {
/* 2295 */     defineColumnTypeInternal(paramInt1, paramInt2, 0, true, null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void defineColumnType(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 2315 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void defineColumnType(int paramInt1, int paramInt2, int paramInt3, short paramShort) throws SQLException {
/* 2339 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, paramShort, false, null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void defineColumnTypeBytes(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 2415 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void defineColumnTypeChars(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 2489 */     defineColumnTypeInternal(paramInt1, paramInt2, paramInt3, false, null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void defineColumnType(int paramInt1, int paramInt2, String paramString) throws SQLException {
/* 2538 */     synchronized (this.connection) {
/*      */       
/* 2540 */       synchronized (this) {
/*      */         
/* 2542 */         defineColumnTypeInternal(paramInt1, paramInt2, 0, true, paramString);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setCursorId(int paramInt) throws SQLException {
/* 2559 */     this.cursorId = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setPrefetchInternal(int paramInt, boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/* 2576 */     if (paramBoolean1) {
/*      */       
/* 2578 */       if (paramInt <= 0) {
/* 2579 */         DatabaseError.throwSqlException(20);
/*      */       
/*      */       }
/*      */     }
/* 2583 */     else if (paramInt < 0) {
/* 2584 */       DatabaseError.throwSqlException(68, "setFetchSize");
/*      */     }
/* 2586 */     else if (paramInt == 0) {
/* 2587 */       paramInt = this.connection.getDefaultRowPrefetch();
/*      */     } 
/*      */ 
/*      */     
/* 2591 */     if (paramBoolean2) {
/*      */       
/* 2593 */       if (paramInt != this.defaultRowPrefetch)
/*      */       {
/* 2595 */         this.defaultRowPrefetch = paramInt;
/*      */ 
/*      */ 
/*      */         
/* 2599 */         if (this.currentResultSet == null || this.currentResultSet.closed) {
/* 2600 */           this.rowPrefetchChanged = true;
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */     
/*      */     }
/* 2607 */     else if (paramInt != this.rowPrefetch && this.streamList == null) {
/*      */ 
/*      */       
/* 2610 */       this.rowPrefetch = paramInt;
/* 2611 */       this.rowPrefetchChanged = true;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setRowPrefetch(int paramInt) throws SQLException {
/* 2644 */     setPrefetchInternal(paramInt, true, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getPrefetchInternal(boolean paramBoolean) {
/* 2663 */     return paramBoolean ? this.defaultRowPrefetch : this.rowPrefetch;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getRowPrefetch() {
/* 2683 */     return getPrefetchInternal(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFixedString(boolean paramBoolean) {
/* 2711 */     this.fixedString = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getFixedString() {
/* 2738 */     return this.fixedString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void check_row_prefetch_changed() throws SQLException {
/* 2751 */     if (this.rowPrefetchChanged) {
/*      */       
/* 2753 */       if (this.streamList == null) {
/*      */         
/* 2755 */         prepareAccessors();
/*      */         
/* 2757 */         this.needToPrepareDefineBuffer = true;
/*      */       } 
/*      */       
/* 2760 */       this.rowPrefetchChanged = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setDefinesInitialized(boolean paramBoolean) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void printState(String paramString) throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void checkValidRowsStatus() throws SQLException {
/* 2794 */     if (this.validRows == -2) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2800 */       this.validRows = 1;
/* 2801 */       this.connection.holdLine(this);
/*      */ 
/*      */       
/* 2804 */       OracleInputStream oracleInputStream = this.streamList;
/*      */       
/* 2806 */       while (oracleInputStream != null) {
/*      */         
/* 2808 */         if (oracleInputStream.hasBeenOpen) {
/* 2809 */           oracleInputStream = oracleInputStream.accessor.initForNewRow();
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2816 */         oracleInputStream.closed = false;
/* 2817 */         oracleInputStream.hasBeenOpen = true;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2822 */         oracleInputStream = oracleInputStream.nextStream;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 2827 */       this.nextStream = this.streamList;
/*      */     
/*      */     }
/* 2830 */     else if (this.sqlKind == 0) {
/*      */       
/* 2832 */       if (this.validRows < this.rowPrefetch) {
/* 2833 */         this.gotLastBatch = true;
/*      */       }
/* 2835 */     } else if (this.sqlKind != 1 && this.sqlKind != 4) {
/*      */ 
/*      */       
/* 2838 */       this.rowsProcessed = this.validRows;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void cleanupDefines() {
/* 2844 */     if (this.accessors != null)
/* 2845 */       for (byte b = 0; b < this.accessors.length; b++) {
/* 2846 */         this.accessors[b] = null;
/*      */       } 
/* 2848 */     this.accessors = null;
/*      */ 
/*      */     
/* 2851 */     if (this.defineBytes != null)
/*      */     {
/* 2853 */       this.defineBytes = null;
/*      */     }
/*      */     
/* 2856 */     if (this.defineChars != null)
/*      */     {
/* 2858 */       this.defineChars = null;
/*      */     }
/*      */     
/* 2861 */     if (this.defineIndicators != null)
/*      */     {
/* 2863 */       this.defineIndicators = null;
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized int getMaxFieldSize() throws SQLException {
/* 2869 */     return this.maxFieldSize;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setMaxFieldSize(int paramInt) throws SQLException {
/* 2875 */     if (paramInt < 0) {
/* 2876 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2878 */     this.maxFieldSize = paramInt;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxRows() throws SQLException {
/* 2883 */     return this.maxRows;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setMaxRows(int paramInt) throws SQLException {
/* 2889 */     if (paramInt < 0) {
/* 2890 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2892 */     this.maxRows = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setEscapeProcessing(boolean paramBoolean) throws SQLException {
/* 2901 */     this.processEscapes = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getQueryTimeout() throws SQLException {
/* 2917 */     return this.queryTimeout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setQueryTimeout(int paramInt) throws SQLException {
/* 2935 */     if (paramInt < 0) {
/* 2936 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2938 */     this.queryTimeout = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void cancel() throws SQLException {
/* 2955 */     if (this.closed) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2968 */     if (this.connection.statementHoldingLine != null) {
/* 2969 */       freeLine();
/* 2970 */     } else if (this.isExecuting) {
/* 2971 */       this.connection.doCancel();
/*      */     } 
/* 2973 */     this.connection.releaseLineForCancel();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SQLWarning getWarnings() throws SQLException {
/* 2992 */     return this.sqlWarning;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearWarnings() throws SQLException {
/* 3000 */     this.sqlWarning = null;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void foundPlsqlCompilerWarning() throws SQLException {
/* 3006 */     SQLWarning sQLWarning = DatabaseError.newSqlWarning("Found Plsql compiler warnings.", "99999", 24439);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3011 */     if (this.sqlWarning != null) {
/* 3012 */       this.sqlWarning.setNextWarning(sQLWarning);
/*      */     } else {
/* 3014 */       this.sqlWarning = sQLWarning;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCursorName(String paramString) throws SQLException {
/* 3026 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ResultSet getResultSet() throws SQLException {
/* 3041 */     if (this.userRsetType == 1) {
/*      */       
/* 3043 */       if (this.sqlKind == 0)
/*      */       {
/* 3045 */         if (this.currentResultSet == null) {
/* 3046 */           this.currentResultSet = new OracleResultSetImpl(this.connection, this);
/*      */         }
/* 3048 */         return (ResultSet)this.currentResultSet;
/*      */       }
/*      */     
/*      */     } else {
/*      */       
/* 3053 */       return (ResultSet)this.scrollRset;
/*      */     } 
/*      */     
/* 3056 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getUpdateCount() throws SQLException {
/* 3074 */     int i = -1;
/*      */     
/* 3076 */     switch (this.sqlKind) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 3:
/* 3085 */         if (!this.noMoreUpdateCounts) {
/* 3086 */           i = this.rowsProcessed;
/*      */         }
/* 3088 */         this.noMoreUpdateCounts = true;
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 4:
/* 3096 */         this.noMoreUpdateCounts = true;
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/* 3103 */         if (!this.noMoreUpdateCounts) {
/* 3104 */           i = this.rowsProcessed;
/*      */         }
/* 3106 */         this.noMoreUpdateCounts = true;
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/* 3111 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getMoreResults() throws SQLException {
/* 3123 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int sendBatch() throws SQLException {
/* 3136 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void prepareForNewResults(boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/* 3145 */     clearWarnings();
/*      */     
/* 3147 */     if (this.streamList != null) {
/*      */ 
/*      */ 
/*      */       
/* 3151 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 3155 */           this.nextStream.close();
/*      */         }
/* 3157 */         catch (IOException iOException) {
/*      */           
/* 3159 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 3162 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */       
/* 3165 */       if (paramBoolean2) {
/*      */ 
/*      */         
/* 3168 */         OracleInputStream oracleInputStream1 = this.streamList;
/* 3169 */         OracleInputStream oracleInputStream2 = null;
/*      */         
/* 3171 */         this.streamList = null;
/*      */         
/* 3173 */         while (oracleInputStream1 != null) {
/*      */           
/* 3175 */           if (!oracleInputStream1.hasBeenOpen) {
/*      */             
/* 3177 */             if (oracleInputStream2 == null) {
/* 3178 */               this.streamList = oracleInputStream1;
/*      */             } else {
/* 3180 */               oracleInputStream2.nextStream = oracleInputStream1;
/*      */             } 
/* 3182 */             oracleInputStream2 = oracleInputStream1;
/*      */           } 
/*      */           
/* 3185 */           oracleInputStream1 = oracleInputStream1.nextStream;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 3190 */     if (this.currentResultSet != null) {
/*      */       
/* 3192 */       this.currentResultSet.internal_close(true);
/*      */       
/* 3194 */       this.currentResultSet = null;
/*      */     } 
/*      */     
/* 3197 */     this.currentRow = -1;
/* 3198 */     this.validRows = 0;
/* 3199 */     this.totalRowsVisited = 0;
/* 3200 */     this.gotLastBatch = false;
/*      */     
/* 3202 */     if (this.needToParse && !this.columnsDefinedByUser) {
/*      */       
/* 3204 */       if (paramBoolean2 && this.numberOfDefinePositions != 0) {
/* 3205 */         this.numberOfDefinePositions = 0;
/*      */       }
/* 3207 */       this.needToPrepareDefineBuffer = true;
/*      */     } 
/*      */ 
/*      */     
/* 3211 */     if (paramBoolean1 && this.rowPrefetch != this.defaultRowPrefetch && this.streamList == null) {
/*      */ 
/*      */ 
/*      */       
/* 3215 */       this.rowPrefetch = this.defaultRowPrefetch;
/* 3216 */       this.rowPrefetchChanged = true;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void reopenStreams() throws SQLException {
/* 3228 */     OracleInputStream oracleInputStream = this.streamList;
/*      */     
/* 3230 */     while (oracleInputStream != null) {
/*      */       
/* 3232 */       if (oracleInputStream.hasBeenOpen) {
/* 3233 */         oracleInputStream = oracleInputStream.accessor.initForNewRow();
/*      */       }
/* 3235 */       oracleInputStream.closed = false;
/* 3236 */       oracleInputStream.hasBeenOpen = true;
/* 3237 */       oracleInputStream = oracleInputStream.nextStream;
/*      */     } 
/*      */     
/* 3240 */     this.nextStream = this.streamList;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void endOfResultSet(boolean paramBoolean) throws SQLException {
/* 3253 */     if (!paramBoolean)
/*      */     {
/*      */ 
/*      */       
/* 3257 */       prepareForNewResults(false, false);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 3262 */     clearDefines();
/* 3263 */     this.rowPrefetchInLastFetch = -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean wasNullValue() throws SQLException {
/* 3285 */     if (this.lastIndex == 0) {
/* 3286 */       DatabaseError.throwSqlException(24);
/*      */     }
/* 3288 */     if (this.sqlKind == 0) {
/* 3289 */       return this.accessors[this.lastIndex - 1].isNull(this.currentRow);
/*      */     }
/* 3291 */     return this.outBindAccessors[this.lastIndex - 1].isNull(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getColumnIndex(String paramString) throws SQLException {
/* 3303 */     if (!this.describedWithNames) {
/* 3304 */       synchronized (this.connection) {
/*      */         
/* 3306 */         synchronized (this) {
/*      */           
/* 3308 */           doDescribe(true);
/*      */           
/* 3310 */           this.described = true;
/* 3311 */           this.describedWithNames = true;
/*      */         } 
/*      */       } 
/*      */     }
/* 3315 */     for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/* 3316 */       if ((this.accessors[b]).columnName.equalsIgnoreCase(paramString))
/* 3317 */         return b + 1; 
/*      */     } 
/* 3319 */     DatabaseError.throwSqlException(6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3325 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getInternalType(int paramInt) throws SQLException {
/* 3333 */     char c = Character.MIN_VALUE;
/*      */     
/* 3335 */     switch (paramInt)
/*      */     
/*      */     { case -7:
/*      */       case -6:
/*      */       case -5:
/*      */       case 2:
/*      */       case 3:
/*      */       case 4:
/*      */       case 5:
/*      */       case 6:
/*      */       case 7:
/*      */       case 8:
/* 3347 */         c = '\006';
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 3462 */         return c;case 100: c = 'd'; return c;case 101: c = 'e'; return c;case 999: c = 'ϧ'; return c;case 1: c = '`'; return c;case 12: c = '\001'; return c;case -1: c = '\b'; return c;case 91: case 92: c = '\f'; return c;case -100: case 93: c = '´'; return c;case -101: c = 'µ'; return c;case -102: c = 'ç'; return c;case -103: c = '¶'; return c;case -104: c = '·'; return c;case -3: case -2: c = '\027'; return c;case -4: c = '\030'; return c;case -8: c = 'h'; return c;case 2004: c = 'q'; return c;case 2005: c = 'p'; return c;case -13: c = 'r'; return c;case -10: c = 'f'; return c;case 2002: case 2003: case 2007: case 2008: c = 'm'; return c;case 2006: c = 'o'; return c;case -14: c = 'Ϧ'; return c;case 70: c = '\001'; return c;case 0: c = 'ϣ'; return c; }  DatabaseError.throwSqlException(4); return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void describe() throws SQLException {
/* 3479 */     synchronized (this.connection) {
/*      */       
/* 3481 */       synchronized (this) {
/*      */         
/* 3483 */         if (!this.described)
/*      */         {
/* 3485 */           doDescribe(false);
/*      */         }
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void freeLine() throws SQLException {
/* 3493 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */       
/* 3497 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 3501 */           this.nextStream.close();
/*      */         }
/* 3503 */         catch (IOException iOException) {
/*      */           
/* 3505 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 3508 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeUsedStreams(int paramInt) throws SQLException {
/* 3519 */     while (this.nextStream != null && this.nextStream.columnIndex < paramInt) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/* 3526 */         this.nextStream.close();
/*      */       }
/* 3528 */       catch (IOException iOException) {
/*      */         
/* 3530 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */       
/* 3533 */       this.nextStream = this.nextStream.nextStream;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void ensureOpen() throws SQLException {
/* 3543 */     if (this.connection.lifecycle != 1)
/* 3544 */       DatabaseError.throwSqlException(8); 
/* 3545 */     if (this.closed) {
/* 3546 */       DatabaseError.throwSqlException(9);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void allocateTmpByteArray() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setFetchDirection(int paramInt) throws SQLException {
/* 3573 */     if (paramInt == 1000) {
/*      */ 
/*      */       
/* 3576 */       this.defaultFetchDirection = paramInt;
/*      */     }
/* 3578 */     else if (paramInt == 1001 || paramInt == 1002) {
/*      */ 
/*      */       
/* 3581 */       this.defaultFetchDirection = 1000;
/* 3582 */       this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 87);
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 3587 */       DatabaseError.throwSqlException(68, "setFetchDirection");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFetchDirection() throws SQLException {
/* 3607 */     return this.defaultFetchDirection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setFetchSize(int paramInt) throws SQLException {
/* 3630 */     setPrefetchInternal(paramInt, false, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFetchSize() throws SQLException {
/* 3650 */     return getPrefetchInternal(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getResultSetConcurrency() throws SQLException {
/* 3660 */     return ResultSetUtil.getUpdateConcurrency(this.userRsetType);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getResultSetType() throws SQLException {
/* 3670 */     return ResultSetUtil.getScrollType(this.userRsetType);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Connection getConnection() throws SQLException {
/* 3683 */     return (Connection)this.connection.getWrapper();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setResultSetCache(OracleResultSetCache paramOracleResultSetCache) throws SQLException {
/*      */     try {
/* 3697 */       if (paramOracleResultSetCache == null) {
/* 3698 */         DatabaseError.throwSqlException(68);
/*      */       }
/* 3700 */       if (this.rsetCache != null) {
/* 3701 */         this.rsetCache.close();
/*      */       }
/* 3703 */       this.rsetCache = paramOracleResultSetCache;
/*      */     }
/* 3705 */     catch (IOException iOException) {
/*      */       
/* 3707 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setResultSetCache(OracleResultSetCache paramOracleResultSetCache) throws SQLException {
/* 3721 */     setResultSetCache((OracleResultSetCache)paramOracleResultSetCache);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OracleResultSetCache getResultSetCache() throws SQLException {
/* 3730 */     return (OracleResultSetCache)this.rsetCache;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isOracleBatchStyle() {
/* 3736 */     return false;
/*      */   }
/*      */   void initBatch() {}
/*      */   int getBatchSize() { return this.m_batchItems.size(); }
/*      */   void addBatchItem(String paramString) { this.m_batchItems.addElement(paramString); }
/*      */   String getBatchItem(int paramInt) { return this.m_batchItems.elementAt(paramInt); }
/*      */   void clearBatchItems() { this.m_batchItems.removeAllElements(); }
/*      */   void checkIfJdbcBatchExists() throws SQLException { if (getBatchSize() > 0) DatabaseError.throwSqlException(81, "batch must be either executed or cleared");  }
/*      */   public synchronized void addBatch(String paramString) throws SQLException { addBatchItem(paramString); }
/*      */   public synchronized void clearBatch() throws SQLException { clearBatchItems(); }
/*      */   public int[] executeBatch() throws SQLException { synchronized (this.connection) { synchronized (this) { cleanOldTempLobs(); byte b = 0; int i = getBatchSize(); if (i <= 0) return new int[0];  int[] arrayOfInt = new int[i]; ensureOpen(); prepareForNewResults(true, true); int j = this.numberOfDefinePositions; String str = this.sqlObject.getOriginalSql(); byte b1 = this.sqlKind; this.noMoreUpdateCounts = false; int k = 0; try { this.connection.registerHeartbeat(); this.connection.needLine(); for (b = 0; b < i; b++) { this.sqlObject.initialize(getBatchItem(b)); this.sqlKind = this.sqlObject.getSqlKind(); this.needToParse = true; this.numberOfDefinePositions = 0; this.rowsProcessed = 0; this.currentRank = 1; if (this.sqlKind == 0) DatabaseError.throwBatchUpdateException(80, "invalid SELECT batch command " + b, b, arrayOfInt);  if (!this.isOpen) { this.connection.open(this); this.isOpen = true; }  int m = -1; try { if (this.queryTimeout != 0) this.connection.getTimeout().setTimeout((this.queryTimeout * 1000), this);  this.isExecuting = true; executeForRows(false); if (this.validRows > 0) k += this.validRows;  m = this.validRows; } catch (SQLException sQLException) { this.needToParse = true; resetCurrentRowBinders(); throw sQLException; } finally { if (this.queryTimeout != 0) this.connection.getTimeout().cancelTimeout();  this.validRows = k; checkValidRowsStatus(); this.isExecuting = false; }  arrayOfInt[b] = m; if (arrayOfInt[b] < 0) DatabaseError.throwBatchUpdateException(81, "command return value " + arrayOfInt[b], b, arrayOfInt);  }  } catch (SQLException sQLException) { if (sQLException instanceof java.sql.BatchUpdateException) throw sQLException;  DatabaseError.throwBatchUpdateException(81, sQLException.getMessage(), b, arrayOfInt); } finally { clearBatchItems(); this.numberOfDefinePositions = j; if (str != null) { this.sqlObject.initialize(str); this.sqlKind = b1; }  this.currentRank = 0; }  this.connection.registerHeartbeat(); return arrayOfInt; }  }  }
/*      */   public int copyBinds(Statement paramStatement, int paramInt) throws SQLException { return 0; }
/*      */   public void notifyCloseRset() throws SQLException { this.scrollRset = null; endOfResultSet(false); }
/*      */   public String getOriginalSql() throws SQLException { return this.sqlObject.getOriginalSql(); }
/*      */   void doScrollExecuteCommon() throws SQLException { if (this.scrollRset != null) { this.scrollRset.close(); this.scrollRset = null; }  if (this.sqlKind != 0) { doExecuteWithTimeout(); return; }  if (!this.needToAddIdentifier) { doExecuteWithTimeout(); this.currentResultSet = new OracleResultSetImpl(this.connection, this); this.realRsetType = this.userRsetType; } else { try { this.sqlObject.setIncludeRowid(true); this.needToParse = true; prepareForNewResults(true, false); if (this.columnsDefinedByUser) { Accessor[] arrayOfAccessor = this.accessors; if (this.accessors == null || this.accessors.length <= this.numberOfDefinePositions) this.accessors = new Accessor[this.numberOfDefinePositions + 1];  if (arrayOfAccessor != null) for (int i = this.numberOfDefinePositions; i > 0; i--) { Accessor accessor = arrayOfAccessor[i - 1]; this.accessors[i] = accessor; if (accessor.isColumnNumberAware) accessor.updateColumnNumber(i);  }   allocateRowidAccessor(); this.numberOfDefinePositions++; }  doExecuteWithTimeout(); this.currentResultSet = new OracleResultSetImpl(this.connection, this); this.realRsetType = this.userRsetType; } catch (SQLException sQLException) { if (this.userRsetType > 3) { this.realRsetType = 3; } else { this.realRsetType = 1; }  this.sqlObject.setIncludeRowid(false); this.needToParse = true; prepareForNewResults(true, false); if (this.columnsDefinedByUser) { this.needToPrepareDefineBuffer = true; this.numberOfDefinePositions--; System.arraycopy(this.accessors, 1, this.accessors, 0, this.numberOfDefinePositions); this.accessors[this.numberOfDefinePositions] = null; for (byte b = 0; b < this.numberOfDefinePositions; b++) { Accessor accessor = this.accessors[b]; if (accessor.isColumnNumberAware) accessor.updateColumnNumber(b);  }  }  doExecuteWithTimeout(); this.currentResultSet = new OracleResultSetImpl(this.connection, this); this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 91, sQLException.getMessage()); }  }  this.scrollRset = ResultSetUtil.createScrollResultSet(this, this.currentResultSet, this.realRsetType); }
/*      */   void allocateRowidAccessor() throws SQLException { this.accessors[0] = new RowidAccessor(this, 128, (short)1, -8, false); } OracleResultSet doScrollStmtExecuteQuery() throws SQLException { doScrollExecuteCommon(); return this.scrollRset; } void processDmlReturningBind() throws SQLException { if (this.returnResultSet != null)
/*      */       this.returnResultSet.close();  this.returnParamsFetched = false; this.returnParamRowBytes = 0; this.returnParamRowChars = 0; byte b1 = 0; for (byte b2 = 0; b2 < this.numberOfBindPositions; b2++) { Accessor accessor = this.returnParamAccessors[b2]; if (accessor != null) { b1++; if (accessor.charLength > 0) { this.returnParamRowChars += accessor.charLength; } else { this.returnParamRowBytes += accessor.byteLength; }  }  }  if (this.isAutoGeneratedKey) { this.numReturnParams = b1; } else { if (this.numReturnParams <= 0)
/*      */         this.numReturnParams = OraclePreparedStatement.getReturnParameterCount(this.sqlObject.getOriginalSql());  if (this.numReturnParams != b1)
/* 3754 */         DatabaseError.throwSqlException(173);  }  this.returnParamMeta[0] = this.numReturnParams; this.returnParamMeta[1] = this.returnParamRowBytes; this.returnParamMeta[2] = this.returnParamRowChars; } OracleStatement(PhysicalConnection paramPhysicalConnection, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException { this.m_batchItems = new Vector();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5147 */     this.tempClobsToFree = null;
/* 5148 */     this.tempBlobsToFree = null;
/*      */     
/* 5150 */     this.oldTempClobsToFree = null;
/* 5151 */     this.oldTempBlobsToFree = null; this.connection = paramPhysicalConnection; this.connection.needLine(); this.connection.registerHeartbeat(); this.connection.addStatement(this); this.sqlObject = new OracleSql(this.connection.conversion); this.sqlObject.isV8Compatible = this.connection.v8Compatible; this.processEscapes = this.connection.processEscapes; this.convertNcharLiterals = this.connection.convertNcharLiterals; this.autoRollback = 2; this.gotLastBatch = false; this.closed = false; this.clearParameters = true; this.serverCursor = false; this.needToAddIdentifier = false; this.defaultFetchDirection = 1000; this.fixedString = this.connection.getDefaultFixedString(); this.rowPrefetchChanged = false; this.rowPrefetch = paramInt2; this.defaultRowPrefetch = paramInt2; this.batch = paramInt1; this.autoRefetch = this.connection.getDefaultAutoRefetch(); this.sqlStringChanged = true; this.needToParse = true; this.needToPrepareDefineBuffer = true; this.columnsDefinedByUser = false; if (paramInt3 != -1 || paramInt4 != -1) { this.realRsetType = 0; this.userRsetType = ResultSetUtil.getRsetTypeCode(paramInt3, paramInt4); this.needToAddIdentifier = ResultSetUtil.needIdentifier(this.userRsetType); } else { this.userRsetType = 1; this.realRsetType = 1; }  }
/*      */   void allocateDmlReturnStorage() { if (this.rowsDmlReturned == 0) return;  int i = this.returnParamRowBytes * this.rowsDmlReturned; int j = this.returnParamRowChars * this.rowsDmlReturned; int k = 2 * this.numReturnParams * this.rowsDmlReturned; this.returnParamBytes = new byte[i]; this.returnParamChars = new char[j]; this.returnParamIndicators = new short[k]; for (byte b = 0; b < this.numberOfBindPositions; b++) { Accessor accessor = this.returnParamAccessors[b]; if (accessor != null && (accessor.internalType == 111 || accessor.internalType == 109)) { TypeAccessor typeAccessor = (TypeAccessor)accessor; if (typeAccessor.pickledBytes == null || typeAccessor.pickledBytes.length < this.rowsDmlReturned) typeAccessor.pickledBytes = new byte[this.rowsDmlReturned][];  }  }  }
/*      */   void fetchDmlReturnParams() throws SQLException { DatabaseError.throwSqlException(23); }
/*      */   void setupReturnParamAccessors() { if (this.rowsDmlReturned == 0) return;  int i = 0; int j = 0; int k = 0; int m = this.numReturnParams * this.rowsDmlReturned; for (byte b = 0; b < this.numberOfBindPositions; b++) { Accessor accessor = this.returnParamAccessors[b]; if (accessor != null) { if (accessor.charLength > 0) { accessor.rowSpaceChar = this.returnParamChars; accessor.columnIndex = j; j += this.rowsDmlReturned * accessor.charLength; } else { accessor.rowSpaceByte = this.returnParamBytes; accessor.columnIndex = i; i += this.rowsDmlReturned * accessor.byteLength; }  accessor.rowSpaceIndicator = this.returnParamIndicators; accessor.indicatorIndex = k; k += this.rowsDmlReturned; accessor.lengthIndex = m; m += this.rowsDmlReturned; }  }  }
/* 5155 */   void registerReturnParameterInternal(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString) throws SQLException { if (this.returnParamAccessors == null) this.returnParamAccessors = new Accessor[this.numberOfBindPositions];  if (this.returnParamMeta == null) this.returnParamMeta = new int[3 + this.numberOfBindPositions * 3];  Accessor accessor = allocateAccessor(paramInt2, paramInt3, paramInt1 + 1, paramInt4, paramShort, paramString, true); accessor.isDMLReturnedParam = true; this.returnParamAccessors[paramInt1] = accessor; boolean bool = (accessor.charLength > 0) ? true : false; this.returnParamMeta[3 + paramInt1 * 3 + 0] = accessor.defineType; this.returnParamMeta[3 + paramInt1 * 3 + 1] = bool ? 1 : 0; this.returnParamMeta[3 + paramInt1 * 3 + 2] = bool ? accessor.charLength : accessor.byteLength; } public void setAutoRefetch(boolean paramBoolean) throws SQLException { this.autoRefetch = paramBoolean; } void addToTempLobsToFree(CLOB paramCLOB) { if (this.tempClobsToFree == null)
/* 5156 */       this.tempClobsToFree = new ArrayList(); 
/* 5157 */     this.tempClobsToFree.add(paramCLOB); } public boolean getAutoRefetch() throws SQLException { return this.autoRefetch; } public synchronized int creationState() { return this.creationState; } public boolean isColumnSetNull(int paramInt) { return this.columnSetNull; } public boolean isNCHAR(int paramInt) throws SQLException { if (!this.described) describe();  int i = paramInt - 1; if (i < 0 || i >= this.numberOfDefinePositions) DatabaseError.throwSqlException(3);  return ((this.accessors[i]).formOfUse == 2); } void addChild(OracleStatement paramOracleStatement) { paramOracleStatement.nextChild = this.children; this.children = paramOracleStatement; } public boolean getMoreResults(int paramInt) throws SQLException { DatabaseError.throwUnsupportedFeatureSqlException(); return false; } public ResultSet getGeneratedKeys() throws SQLException { if (this.closed) DatabaseError.throwSqlException(9);  if (!this.isAutoGeneratedKey) DatabaseError.throwSqlException(90);  if (this.returnParamAccessors == null || this.numReturnParams == 0) DatabaseError.throwSqlException(144);  if (this.returnResultSet == null) this.returnResultSet = new OracleReturnResultSet(this);  return (ResultSet)this.returnResultSet; }
/*      */   public int executeUpdate(String paramString, int paramInt) throws SQLException { if (paramInt == 2 || !AutoKeyInfo.isInsertSqlStmt(paramString)) return executeUpdate(paramString);  if (paramInt != 1) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = 1; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeUpdateInternal(str); }  }  }
/*      */   public int executeUpdate(String paramString, int[] paramArrayOfint) throws SQLException { if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return executeUpdate(paramString);  if (paramArrayOfint == null || paramArrayOfint.length == 0) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfint); this.connection.doDescribeTable(this.autoKeyInfo); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = paramArrayOfint.length; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeUpdateInternal(str); }  }  }
/*      */   public int executeUpdate(String paramString, String[] paramArrayOfString) throws SQLException { if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return executeUpdate(paramString);  if (paramArrayOfString == null || paramArrayOfString.length == 0) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString); this.connection.doDescribeTable(this.autoKeyInfo); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = paramArrayOfString.length; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeUpdateInternal(str); }  }  }
/*      */   public boolean execute(String paramString, int paramInt) throws SQLException { if (paramInt == 2 || !AutoKeyInfo.isInsertSqlStmt(paramString)) return execute(paramString);  if (paramInt != 1) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = 1; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeInternal(str); }  }  }
/* 5162 */   void addToTempLobsToFree(BLOB paramBLOB) { if (this.tempBlobsToFree == null)
/* 5163 */       this.tempBlobsToFree = new ArrayList(); 
/* 5164 */     this.tempBlobsToFree.add(paramBLOB); } public boolean execute(String paramString, int[] paramArrayOfint) throws SQLException { if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return execute(paramString);  if (paramArrayOfint == null || paramArrayOfint.length == 0) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfint); this.connection.doDescribeTable(this.autoKeyInfo); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = paramArrayOfint.length; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeInternal(str); }  }  } public boolean execute(String paramString, String[] paramArrayOfString) throws SQLException { if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return execute(paramString);  if (paramArrayOfString == null || paramArrayOfString.length == 0) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { this.isAutoGeneratedKey = true; this.autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString); this.connection.doDescribeTable(this.autoKeyInfo); String str = this.autoKeyInfo.getNewSql(); this.numberOfBindPositions = paramArrayOfString.length; autoKeyRegisterReturnParams(); processDmlReturningBind(); return executeInternal(str); }  }  } public int getResultSetHoldability() throws SQLException { return 1; } public int getcacheState() { return this.cacheState; } public int getstatementType() { return this.statementType; } public boolean getserverCursor() { return this.serverCursor; } void initializeIndicatorSubRange() { this.bindIndicatorSubRange = 0; }
/*      */   private void autoKeyRegisterReturnParams() throws SQLException { initializeIndicatorSubRange(); int i = this.bindIndicatorSubRange + 5 + this.numberOfBindPositions * 10; int j = i + 2 * this.numberOfBindPositions; this.bindIndicators = new short[j]; int k = this.bindIndicatorSubRange; this.bindIndicators[k + 0] = (short)this.numberOfBindPositions; this.bindIndicators[k + 1] = 0; this.bindIndicators[k + 2] = 1; this.bindIndicators[k + 3] = 0; this.bindIndicators[k + 4] = 1; k += 5; short[] arrayOfShort = this.autoKeyInfo.tableFormOfUses; int[] arrayOfInt = this.autoKeyInfo.columnIndexes; for (byte b = 0; b < this.numberOfBindPositions; b++) { this.bindIndicators[k + 0] = 994; byte b1 = 0; if (arrayOfShort != null && arrayOfInt != null) if (arrayOfShort[arrayOfInt[b] - 1] == 2) { b1 = 2; this.bindIndicators[k + 9] = b1; }   k += 10; checkTypeForAutoKey(this.autoKeyInfo.returnTypes[b]); String str = null; if (this.autoKeyInfo.returnTypes[b] == 111) str = this.autoKeyInfo.tableTypeNames[arrayOfInt[b] - 1];  registerReturnParameterInternal(b, this.autoKeyInfo.returnTypes[b], this.autoKeyInfo.returnTypes[b], -1, b1, str); }  }
/*      */   private final void setNonAutoKey() { this.isAutoGeneratedKey = false; this.numberOfBindPositions = 0; this.bindIndicators = null; }
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfchar, byte[] paramArrayOfbyte, short[] paramArrayOfshort, boolean paramBoolean) throws SQLException {}
/*      */   final void checkTypeForAutoKey(int paramInt) throws SQLException { if (paramInt == 109) DatabaseError.throwSqlException(5);  }
/* 5169 */   void addToOldTempLobsToFree(CLOB paramCLOB) { if (this.oldTempClobsToFree == null)
/* 5170 */       this.oldTempClobsToFree = new ArrayList(); 
/* 5171 */     this.oldTempClobsToFree.add(paramCLOB); }
/*      */ 
/*      */ 
/*      */   
/*      */   void addToOldTempLobsToFree(BLOB paramBLOB) {
/* 5176 */     if (this.oldTempBlobsToFree == null)
/* 5177 */       this.oldTempBlobsToFree = new ArrayList(); 
/* 5178 */     this.oldTempBlobsToFree.add(paramBLOB);
/*      */   }
/*      */ 
/*      */   
/*      */   void cleanAllTempLobs() {
/* 5183 */     cleanTempClobs(this.tempClobsToFree);
/* 5184 */     this.tempClobsToFree = null;
/* 5185 */     cleanTempBlobs(this.tempBlobsToFree);
/* 5186 */     this.tempBlobsToFree = null;
/* 5187 */     cleanTempClobs(this.oldTempClobsToFree);
/* 5188 */     this.oldTempClobsToFree = null;
/* 5189 */     cleanTempBlobs(this.oldTempBlobsToFree);
/* 5190 */     this.oldTempBlobsToFree = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void cleanOldTempLobs() {
/* 5198 */     cleanTempClobs(this.oldTempClobsToFree);
/* 5199 */     cleanTempBlobs(this.oldTempBlobsToFree);
/* 5200 */     this.oldTempClobsToFree = this.tempClobsToFree;
/* 5201 */     this.tempClobsToFree = null;
/* 5202 */     this.oldTempBlobsToFree = this.tempBlobsToFree;
/* 5203 */     this.tempBlobsToFree = null;
/*      */   }
/*      */ 
/*      */   
/*      */   void cleanTempClobs(ArrayList paramArrayList) {
/* 5208 */     if (paramArrayList != null) {
/*      */       
/* 5210 */       Iterator iterator = paramArrayList.iterator();
/*      */       
/* 5212 */       while (iterator.hasNext()) {
/*      */ 
/*      */         
/*      */         try {
/* 5216 */           ((CLOB)iterator.next()).freeTemporary();
/*      */         }
/* 5218 */         catch (SQLException sQLException) {}
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void cleanTempBlobs(ArrayList paramArrayList) {
/* 5230 */     if (paramArrayList != null) {
/*      */       
/* 5232 */       Iterator iterator = paramArrayList.iterator();
/*      */       
/* 5234 */       while (iterator.hasNext()) {
/*      */ 
/*      */         
/*      */         try {
/* 5238 */           ((BLOB)iterator.next()).freeTemporary();
/*      */         }
/* 5240 */         catch (SQLException sQLException) {}
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   TimeZone getDefaultTimeZone() {
/* 5251 */     if (this.defaultTZ == null) {
/* 5252 */       this.defaultTZ = TimeZone.getDefault();
/*      */     }
/* 5254 */     return this.defaultTZ;
/*      */   }
/*      */ 
/*      */   
/*      */   void releaseBuffers() {
/* 5259 */     this.cachedDefineByteSize = (this.defineBytes != null) ? this.defineBytes.length : 0;
/* 5260 */     this.cachedDefineCharSize = (this.defineChars != null) ? this.defineChars.length : 0;
/* 5261 */     this.cachedDefineIndicatorSize = (this.defineIndicators != null) ? this.defineIndicators.length : 0;
/* 5262 */     this.defineChars = null;
/* 5263 */     this.defineBytes = null;
/* 5264 */     this.defineIndicators = null;
/*      */   }
/*      */ 
/*      */   
/*      */   Calendar getDefaultCalendar() {
/* 5269 */     if (this.defaultCalendar == null)
/*      */     {
/* 5271 */       this.defaultCalendar = Calendar.getInstance(getDefaultTimeZone());
/*      */     }
/*      */     
/* 5274 */     return this.defaultCalendar;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 5279 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*      */   
/*      */   abstract void doDescribe(boolean paramBoolean) throws SQLException;
/*      */   
/*      */   abstract void executeForDescribe() throws SQLException;
/*      */   
/*      */   abstract void executeForRows(boolean paramBoolean) throws SQLException;
/*      */   
/*      */   abstract void fetch() throws SQLException;
/*      */   
/*      */   abstract void doClose() throws SQLException;
/*      */   
/*      */   abstract void closeQuery() throws SQLException;
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */