/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleTimeoutPollingThread
/*     */   extends Thread
/*     */ {
/*     */   protected static final String threadName = "OracleTimeoutPollingThread";
/*     */   public static final String pollIntervalProperty = "oracle.jdbc.TimeoutPollInterval";
/*     */   public static final String pollIntervalDefault = "1000";
/*     */   private OracleTimeoutThreadPerVM[] knownTimeouts;
/*     */   private int count;
/*     */   private long sleepMillis;
/*     */   
/*     */   public OracleTimeoutPollingThread() {
/*  72 */     super("OracleTimeoutPollingThread");
/*     */ 
/*     */ 
/*     */     
/*  76 */     setDaemon(true);
/*  77 */     setPriority(10);
/*     */     
/*  79 */     this.knownTimeouts = new OracleTimeoutThreadPerVM[2];
/*  80 */     this.count = 0;
/*  81 */     this.sleepMillis = Long.parseLong(OracleDriver.getSystemPropertyPollInterval());
/*     */ 
/*     */     
/*  84 */     start();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addTimeout(OracleTimeoutThreadPerVM paramOracleTimeoutThreadPerVM) {
/*  96 */     int i = 0;
/*     */     
/*  98 */     if (this.count >= this.knownTimeouts.length) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 103 */       OracleTimeoutThreadPerVM[] arrayOfOracleTimeoutThreadPerVM = new OracleTimeoutThreadPerVM[this.knownTimeouts.length * 4];
/*     */ 
/*     */       
/* 106 */       System.arraycopy(this.knownTimeouts, 0, arrayOfOracleTimeoutThreadPerVM, 0, this.knownTimeouts.length);
/*     */       
/* 108 */       i = this.knownTimeouts.length;
/* 109 */       this.knownTimeouts = arrayOfOracleTimeoutThreadPerVM;
/*     */     } 
/*     */     
/* 112 */     for (; i < this.knownTimeouts.length; i++) {
/*     */       
/* 114 */       if (this.knownTimeouts[i] == null) {
/*     */         
/* 116 */         this.knownTimeouts[i] = paramOracleTimeoutThreadPerVM;
/* 117 */         this.count++;
/*     */         break;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void removeTimeout(OracleTimeoutThreadPerVM paramOracleTimeoutThreadPerVM) {
/* 135 */     for (byte b = 0; b < this.knownTimeouts.length; b++) {
/*     */       
/* 137 */       if (this.knownTimeouts[b] == paramOracleTimeoutThreadPerVM) {
/*     */         
/* 139 */         this.knownTimeouts[b] = null;
/* 140 */         this.count--;
/*     */         break;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*     */     while (true) {
/*     */       try {
/* 158 */         Thread.sleep(this.sleepMillis);
/*     */       }
/* 160 */       catch (InterruptedException interruptedException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 166 */       pollOnce();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void pollOnce() {
/* 205 */     if (this.count > 0) {
/*     */       
/* 207 */       long l = System.currentTimeMillis();
/*     */       
/* 209 */       for (byte b = 0; b < this.knownTimeouts.length; b++) {
/*     */ 
/*     */         
/*     */         try {
/* 213 */           if (this.knownTimeouts[b] != null) {
/* 214 */             this.knownTimeouts[b].interruptIfAppropriate(l);
/*     */           }
/* 216 */         } catch (NullPointerException nullPointerException) {}
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 228 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleTimeoutPollingThread.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */