/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.sql.CallableStatement;
/*      */ import java.sql.Connection;
/*      */ import java.sql.DatabaseMetaData;
/*      */ import java.sql.PreparedStatement;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.sql.Savepoint;
/*      */ import java.sql.Statement;
/*      */ import java.util.Calendar;
/*      */ import java.util.Enumeration;
/*      */ import java.util.GregorianCalendar;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Map;
/*      */ import java.util.Properties;
/*      */ import java.util.TimeZone;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.OracleDatabaseMetaData;
/*      */ import oracle.jdbc.OracleOCIFailover;
/*      */ import oracle.jdbc.OracleSavepoint;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.internal.OracleStatement;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.jdbc.oracore.OracleTypeCLOB;
/*      */ import oracle.jdbc.oracore.Util;
/*      */ import oracle.jdbc.pool.OracleConnectionCacheCallback;
/*      */ import oracle.jdbc.pool.OracleDataSource;
/*      */ import oracle.jdbc.pool.OraclePooledConnection;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.BfileDBAccess;
/*      */ import oracle.sql.BlobDBAccess;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CharacterSet;
/*      */ import oracle.sql.ClobDBAccess;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TypeDescriptor;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ abstract class PhysicalConnection
/*      */   extends OracleConnection
/*      */ {
/*   53 */   char[][] charOutput = new char[1][];
/*   54 */   byte[][] byteOutput = new byte[1][];
/*   55 */   short[][] shortOutput = new short[1][];
/*      */   
/*      */   String url;
/*      */   
/*      */   String user;
/*      */   String savedUser;
/*      */   String database;
/*      */   boolean autoCommitSet;
/*      */   String protocol;
/*   64 */   int streamChunkSize = 16384;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   75 */   public int protocolId = -3;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleTimeout timeout;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean spawnNewThreadToCancel = false;
/*      */ 
/*      */ 
/*      */   
/*      */   DBConversion conversion;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean xaWantsError;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean usingXA;
/*      */ 
/*      */ 
/*      */   
/*  101 */   int txnMode = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   byte[] fdo;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Boolean bigEndian;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleStatement statements;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int lifecycle;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int OPEN = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int CLOSING = 2;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int CLOSED = 4;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int ABORTED = 8;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int BLOCKED = 16;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean clientIdSet = false;
/*      */ 
/*      */ 
/*      */   
/*  151 */   String clientId = null;
/*      */ 
/*      */   
/*      */   int defaultBatch;
/*      */ 
/*      */   
/*      */   int defaultRowPrefetch;
/*      */ 
/*      */   
/*      */   boolean reportRemarks;
/*      */ 
/*      */   
/*      */   boolean includeSynonyms = false;
/*      */ 
/*      */   
/*      */   boolean restrictGetTables = false;
/*      */ 
/*      */   
/*      */   boolean accumulateBatchResult = true;
/*      */ 
/*      */   
/*      */   boolean j2ee13Compliant = false;
/*      */ 
/*      */   
/*      */   int txnLevel;
/*      */ 
/*      */   
/*      */   Map map;
/*      */ 
/*      */   
/*      */   Map javaObjectMap;
/*      */ 
/*      */   
/*      */   Hashtable descriptorCache;
/*      */ 
/*      */   
/*      */   OracleStatement statementHoldingLine;
/*      */ 
/*      */   
/*  190 */   OracleDatabaseMetaData databaseMetaData = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LogicalConnection logicalConnectionAttached;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isProxy = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean useFetchSizeWithLongColumn = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  215 */   OracleSql sqlObj = null;
/*      */ 
/*      */   
/*  218 */   SQLWarning sqlWarning = null;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean readOnly = false;
/*      */ 
/*      */ 
/*      */   
/*  226 */   LRUStatementCache statementCache = null;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean clearStatementMetaData = false;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean processEscapes = true;
/*      */ 
/*      */ 
/*      */   
/*      */   boolean defaultAutoRefetch = true;
/*      */ 
/*      */   
/*  241 */   OracleCloseCallback closeCallback = null;
/*  242 */   Object privateData = null;
/*      */ 
/*      */   
/*      */   boolean defaultFixedString = false;
/*      */ 
/*      */   
/*      */   boolean defaultNChar = false;
/*      */ 
/*      */   
/*      */   boolean createDescriptorUseCurrentSchemaForSchemaName;
/*      */   
/*  253 */   Statement savepointStatement = null;
/*      */ 
/*      */   
/*  256 */   Properties sessionProperties = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  281 */   static final int[] endToEndMaxLength = new int[4];
/*      */ 
/*      */   
/*      */   static {
/*  285 */     endToEndMaxLength[0] = 32;
/*  286 */     endToEndMaxLength[1] = 64;
/*  287 */     endToEndMaxLength[2] = 64;
/*  288 */     endToEndMaxLength[3] = 48;
/*      */   }
/*      */   
/*      */   boolean endToEndAnyChanged = false;
/*  292 */   final boolean[] endToEndHasChanged = new boolean[4];
/*  293 */   short endToEndECIDSequenceNumber = Short.MIN_VALUE;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  299 */   String[] endToEndValues = null;
/*      */ 
/*      */   
/*      */   final boolean useDMSForEndToEnd = false;
/*      */   
/*  304 */   OracleConnection wrapper = null;
/*      */ 
/*      */   
/*  307 */   Properties connectionProperties = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean wellBehavedStatementReuse = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int minVcsBindSize;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int maxRawBytesSql;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int maxRawBytesPlsql;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int maxVcsCharsSql;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int maxVcsNCharsSql;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int maxVcsBytesPlsql;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleDriverExtension driverExtension;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final String uninitializedMarker = "";
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  360 */   String databaseProductVersion = "";
/*  361 */   short versionNumber = -1;
/*      */   boolean v8Compatible;
/*      */   boolean looseTimestampDateCheck = false;
/*      */   boolean isMemoryFreedOnEnteringCache = false;
/*  365 */   String ressourceManagerId = "0000";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int namedTypeAccessorByteLen;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int refTypeAccessorByteLen;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean disableDefineColumnType = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean convertNcharLiterals = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   CharacterSet setCHARCharSetObj;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   CharacterSet setCHARNCharSetObj;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean plsqlCompilerWarnings = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final String DATABASE_NAME = "DATABASE_NAME";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final String SERVER_HOST = "SERVER_HOST";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final String INSTANCE_NAME = "INSTANCE_NAME";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final String SERVICE_NAME = "SERVICE_NAME";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Hashtable clientData;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String sessionTimeZone;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Calendar dbTzCalendar;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getProperties() {
/*  585 */     return OracleDataSource.filterConnectionProperties(this.connectionProperties);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Connection _getPC() {
/*  604 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OracleConnection getPhysicalConnection() {
/*  618 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isLogicalConnection() {
/*  629 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initialize(String paramString1, String paramString2, String paramString3, Hashtable paramHashtable, Map paramMap1, Map paramMap2, String paramString4) throws SQLException {
/*  647 */     this.clearStatementMetaData = false;
/*  648 */     this.database = paramString4;
/*      */     
/*  650 */     this.url = paramString1;
/*      */     
/*  652 */     if (paramString2 == null || paramString2.startsWith("\"")) {
/*      */       
/*  654 */       this.user = paramString2;
/*      */     } else {
/*  656 */       this.user = paramString2.toUpperCase();
/*      */     } 
/*  658 */     this.protocol = paramString3;
/*      */ 
/*      */     
/*  661 */     this.defaultRowPrefetch = DEFAULT_ROW_PREFETCH;
/*  662 */     this.defaultBatch = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  668 */     if (paramHashtable != null) {
/*  669 */       this.descriptorCache = paramHashtable;
/*      */     } else {
/*  671 */       this.descriptorCache = new Hashtable(10);
/*      */     } 
/*  673 */     this.map = paramMap1;
/*      */     
/*  675 */     if (paramMap2 != null) {
/*  676 */       this.javaObjectMap = paramMap2;
/*      */     } else {
/*  678 */       this.javaObjectMap = new Hashtable(10);
/*      */     } 
/*  680 */     this.lifecycle = 1;
/*  681 */     this.txnLevel = 2;
/*      */ 
/*      */     
/*  684 */     this.xaWantsError = false;
/*  685 */     this.usingXA = false;
/*      */ 
/*      */     
/*  688 */     this.clientIdSet = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initializeSetCHARCharSetObjs() {
/*  696 */     this.setCHARNCharSetObj = this.conversion.getDriverNCharSetObj();
/*  697 */     this.setCHARCharSetObj = this.conversion.getDriverCharSetObj();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleTimeout getTimeout() throws SQLException {
/*  709 */     if (this.timeout == null)
/*      */     {
/*  711 */       this.timeout = OracleTimeout.newTimeout(this.url);
/*      */     }
/*      */     
/*  714 */     return this.timeout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Statement createStatement() throws SQLException {
/*  731 */     return createStatement(-1, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Statement createStatement(int paramInt1, int paramInt2) throws SQLException {
/*  754 */     if (this.lifecycle != 1) {
/*  755 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  757 */     OracleStatement oracleStatement = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  763 */     oracleStatement = this.driverExtension.allocateStatement(this, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  773 */     return (Statement)oracleStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized PreparedStatement prepareStatement(String paramString) throws SQLException {
/*  792 */     return prepareStatement(paramString, -1, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized PreparedStatement prepareStatementWithKey(String paramString) throws SQLException {
/*  811 */     if (this.lifecycle != 1) {
/*  812 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  814 */     if (paramString == null) {
/*  815 */       return null;
/*      */     }
/*  817 */     if (!isStatementCacheInitialized()) {
/*  818 */       DatabaseError.throwSqlException(95);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  824 */     OraclePreparedStatement oraclePreparedStatement = null;
/*      */     
/*  826 */     oraclePreparedStatement = (OraclePreparedStatement)this.statementCache.searchExplicitCache(paramString);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  837 */     return (PreparedStatement)oraclePreparedStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized PreparedStatement prepareStatement(String paramString, int paramInt1, int paramInt2) throws SQLException {
/*  869 */     if (paramString == null || paramString == "") {
/*  870 */       DatabaseError.throwSqlException(104);
/*      */     }
/*  872 */     if (this.lifecycle != 1) {
/*  873 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  875 */     OraclePreparedStatement oraclePreparedStatement = null;
/*      */ 
/*      */     
/*  878 */     if (this.statementCache != null) {
/*  879 */       oraclePreparedStatement = (OraclePreparedStatement)this.statementCache.searchImplicitCache(paramString, 1, (paramInt1 != -1 || paramInt2 != -1) ? ResultSetUtil.getRsetTypeCode(paramInt1, paramInt2) : 1);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  885 */     if (oraclePreparedStatement == null) {
/*  886 */       oraclePreparedStatement = this.driverExtension.allocatePreparedStatement(this, paramString, paramInt1, paramInt2);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  901 */     return (PreparedStatement)oraclePreparedStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CallableStatement prepareCall(String paramString) throws SQLException {
/*  918 */     return prepareCall(paramString, -1, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CallableStatement prepareCall(String paramString, int paramInt1, int paramInt2) throws SQLException {
/*  948 */     if (paramString == null || paramString == "") {
/*  949 */       DatabaseError.throwSqlException(104);
/*      */     }
/*  951 */     if (this.lifecycle != 1) {
/*  952 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  954 */     OracleCallableStatement oracleCallableStatement = null;
/*      */     
/*  956 */     if (this.statementCache != null) {
/*  957 */       oracleCallableStatement = (OracleCallableStatement)this.statementCache.searchImplicitCache(paramString, 2, (paramInt1 != -1 || paramInt2 != -1) ? ResultSetUtil.getRsetTypeCode(paramInt1, paramInt2) : 1);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  963 */     if (oracleCallableStatement == null) {
/*  964 */       oracleCallableStatement = this.driverExtension.allocateCallableStatement(this, paramString, paramInt1, paramInt2);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  978 */     return (CallableStatement)oracleCallableStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CallableStatement prepareCallWithKey(String paramString) throws SQLException {
/*  996 */     if (this.lifecycle != 1) {
/*  997 */       DatabaseError.throwSqlException(8);
/*      */     }
/*  999 */     if (paramString == null) {
/* 1000 */       return null;
/*      */     }
/* 1002 */     if (!isStatementCacheInitialized()) {
/* 1003 */       DatabaseError.throwSqlException(95);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1009 */     OracleCallableStatement oracleCallableStatement = null;
/*      */     
/* 1011 */     oracleCallableStatement = (OracleCallableStatement)this.statementCache.searchExplicitCache(paramString);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1021 */     return (CallableStatement)oracleCallableStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String nativeSQL(String paramString) throws SQLException {
/* 1034 */     if (this.sqlObj == null) {
/*      */       
/* 1036 */       this.sqlObj = new OracleSql(this.conversion);
/* 1037 */       this.sqlObj.isV8Compatible = this.v8Compatible;
/*      */     } 
/*      */     
/* 1040 */     this.sqlObj.initialize(paramString);
/*      */     
/* 1042 */     return this.sqlObj.getSql(this.processEscapes, this.convertNcharLiterals);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAutoCommit(boolean paramBoolean) throws SQLException {
/* 1058 */     if (paramBoolean) {
/* 1059 */       disallowGlobalTxnMode(116);
/*      */     }
/* 1061 */     if (this.lifecycle != 1) {
/* 1062 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1064 */     needLine();
/* 1065 */     doSetAutoCommit(paramBoolean);
/*      */     
/* 1067 */     this.autoCommitSet = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getAutoCommit() throws SQLException {
/* 1079 */     return this.autoCommitSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void cancel() throws SQLException {
/* 1099 */     OracleStatement oracleStatement = this.statements;
/*      */     
/* 1101 */     if (this.lifecycle != 1 && this.lifecycle != 16) {
/* 1102 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1104 */     while (oracleStatement != null) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1112 */         oracleStatement.cancel();
/*      */       }
/* 1114 */       catch (SQLException sQLException) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1120 */       oracleStatement = oracleStatement.next;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void commit() throws SQLException {
/* 1132 */     disallowGlobalTxnMode(114);
/*      */     
/* 1134 */     if (this.lifecycle != 1) {
/* 1135 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1137 */     OracleStatement oracleStatement = this.statements;
/*      */     
/* 1139 */     while (oracleStatement != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1144 */       if (!oracleStatement.closed) {
/* 1145 */         oracleStatement.sendBatch();
/*      */       }
/* 1147 */       oracleStatement = oracleStatement.next;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1154 */     registerHeartbeat();
/* 1155 */     needLine();
/* 1156 */     doCommit();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void rollback() throws SQLException {
/* 1167 */     disallowGlobalTxnMode(115);
/*      */     
/* 1169 */     if (this.lifecycle != 1) {
/* 1170 */       DatabaseError.throwSqlException(8);
/*      */     }
/*      */     
/* 1173 */     OracleStatement oracleStatement = this.statements;
/*      */     
/* 1175 */     while (oracleStatement != null) {
/*      */       
/* 1177 */       if (oracleStatement.isOracleBatchStyle()) {
/* 1178 */         oracleStatement.clearBatch();
/*      */       }
/* 1180 */       oracleStatement = oracleStatement.next;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1187 */     registerHeartbeat();
/* 1188 */     needLine();
/* 1189 */     doRollback();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close() throws SQLException {
/* 1204 */     if (this.lifecycle == 2 || this.lifecycle == 4) {
/*      */       return;
/*      */     }
/* 1207 */     if (this.lifecycle == 1) this.lifecycle = 2;
/*      */ 
/*      */     
/*      */     try {
/* 1211 */       if (this.closeCallback != null) {
/* 1212 */         this.closeCallback.beforeClose(this, this.privateData);
/*      */       }
/* 1214 */       closeStatements(true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1220 */       needLineUnchecked();
/*      */ 
/*      */       
/* 1223 */       if (this.isProxy)
/*      */       {
/* 1225 */         close(1);
/*      */       }
/*      */       
/* 1228 */       logoff();
/* 1229 */       cleanup();
/*      */       
/* 1231 */       if (this.timeout != null) {
/* 1232 */         this.timeout.close();
/*      */       }
/* 1234 */       if (this.closeCallback != null) {
/* 1235 */         this.closeCallback.afterClose(this.privateData);
/*      */       }
/*      */     } finally {
/*      */       
/* 1239 */       this.lifecycle = 4;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void closeInternal(boolean paramBoolean) throws SQLException {
/* 1250 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void cleanupAndClose(boolean paramBoolean) throws SQLException {
/* 1263 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void cleanupAndClose() throws SQLException {
/* 1274 */     if (this.lifecycle != 1) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1280 */     this.lifecycle = 16;
/*      */ 
/*      */     
/* 1283 */     cancel();
/*      */   }
/*      */ 
/*      */   
/*      */   synchronized void closeLogicalConnection() throws SQLException {
/* 1288 */     if (this.lifecycle == 1 || this.lifecycle == 16 || this.lifecycle == 2) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1293 */       closeStatements(false);
/*      */       
/* 1295 */       if (this.clientIdSet) {
/* 1296 */         clearClientIdentifier(this.clientId);
/*      */       }
/* 1298 */       this.logicalConnectionAttached = null;
/* 1299 */       this.lifecycle = 1;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(Properties paramProperties) throws SQLException {
/* 1317 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(int paramInt) throws SQLException {
/* 1334 */     if ((paramInt & 0x1000) != 0) {
/*      */       
/* 1336 */       close();
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1341 */     if ((paramInt & 0x1) != 0 && this.isProxy) {
/*      */       
/* 1343 */       closeProxySession();
/*      */       
/* 1345 */       this.isProxy = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void abort() throws SQLException {
/* 1353 */     if (this.lifecycle == 4 || this.lifecycle == 8) {
/*      */       return;
/*      */     }
/*      */     
/* 1357 */     this.lifecycle = 8;
/*      */ 
/*      */     
/* 1360 */     doAbort();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeProxySession() throws SQLException {
/* 1372 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getServerSessionInfo() throws SQLException {
/* 1390 */     DatabaseError.throwSqlException(23);
/*      */ 
/*      */ 
/*      */     
/* 1394 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void applyConnectionAttributes(Properties paramProperties) throws SQLException {
/* 1403 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Properties getConnectionAttributes() throws SQLException {
/* 1412 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1414 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Properties getUnMatchedConnectionAttributes() throws SQLException {
/* 1423 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1425 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAbandonedTimeoutEnabled(boolean paramBoolean) throws SQLException {
/* 1435 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerConnectionCacheCallback(OracleConnectionCacheCallback paramOracleConnectionCacheCallback, Object paramObject, int paramInt) throws SQLException {
/* 1444 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleConnectionCacheCallback getConnectionCacheCallbackObj() throws SQLException {
/* 1453 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1455 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getConnectionCacheCallbackPrivObj() throws SQLException {
/* 1463 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1465 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getConnectionCacheCallbackFlag() throws SQLException {
/* 1473 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1475 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setConnectionReleasePriority(int paramInt) throws SQLException {
/* 1484 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getConnectionReleasePriority() throws SQLException {
/* 1492 */     DatabaseError.throwSqlException(152);
/*      */     
/* 1494 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isClosed() throws SQLException {
/* 1508 */     return (this.lifecycle != 1);
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized boolean isProxySession() {
/* 1513 */     return this.isProxy;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void openProxySession(int paramInt, Properties paramProperties) throws SQLException {
/* 1522 */     if (this.isProxy) {
/* 1523 */       DatabaseError.throwSqlException(149);
/*      */     }
/* 1525 */     String str1 = paramProperties.getProperty("PROXY_USER_NAME");
/* 1526 */     String str2 = paramProperties.getProperty("PROXY_USER_PASSWORD");
/* 1527 */     String str3 = paramProperties.getProperty("PROXY_DISTINGUISHED_NAME");
/*      */     
/* 1529 */     Object object = paramProperties.get("PROXY_CERTIFICATE");
/*      */     
/* 1531 */     if (paramInt == 1) {
/*      */       
/* 1533 */       if (str1 == null && str2 == null) {
/* 1534 */         DatabaseError.throwSqlException(150);
/*      */       }
/* 1536 */     } else if (paramInt == 2) {
/*      */       
/* 1538 */       if (str3 == null) {
/* 1539 */         DatabaseError.throwSqlException(150);
/*      */       }
/* 1541 */     } else if (paramInt == 3) {
/*      */       
/* 1543 */       if (object == null) {
/* 1544 */         DatabaseError.throwSqlException(150);
/*      */       }
/*      */       
/*      */       try {
/* 1548 */         byte[] arrayOfByte = (byte[])object;
/*      */       }
/* 1550 */       catch (ClassCastException classCastException) {
/*      */         
/* 1552 */         DatabaseError.throwSqlException(150);
/*      */       } 
/*      */     } else {
/*      */       
/* 1556 */       DatabaseError.throwSqlException(150);
/*      */     } 
/*      */     
/* 1559 */     doProxySession(paramInt, paramProperties);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doProxySession(int paramInt, Properties paramProperties) throws SQLException {
/* 1568 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void cleanup() {
/* 1578 */     this.fdo = null;
/* 1579 */     this.conversion = null;
/* 1580 */     this.statements = null;
/* 1581 */     this.descriptorCache = null;
/* 1582 */     this.map = null;
/* 1583 */     this.javaObjectMap = null;
/* 1584 */     this.statementHoldingLine = null;
/* 1585 */     this.sqlObj = null;
/* 1586 */     this.isProxy = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized DatabaseMetaData getMetaData() throws SQLException {
/* 1604 */     if (this.lifecycle != 1) {
/* 1605 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 1607 */     if (this.databaseMetaData == null) {
/* 1608 */       this.databaseMetaData = new OracleDatabaseMetaData(this);
/*      */     }
/* 1610 */     return (DatabaseMetaData)this.databaseMetaData;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setReadOnly(boolean paramBoolean) throws SQLException {
/* 1627 */     this.readOnly = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isReadOnly() throws SQLException {
/* 1644 */     return this.readOnly;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCatalog(String paramString) throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getCatalog() throws SQLException {
/* 1668 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTransactionIsolation(int paramInt) throws SQLException {
/* 1679 */     OracleStatement oracleStatement = (OracleStatement)createStatement();
/*      */ 
/*      */     
/*      */     try {
/* 1683 */       switch (paramInt) {
/*      */ 
/*      */ 
/*      */         
/*      */         case 2:
/* 1688 */           oracleStatement.execute("ALTER SESSION SET ISOLATION_LEVEL = READ COMMITTED");
/*      */           
/* 1690 */           this.txnLevel = 2;
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 8:
/* 1697 */           oracleStatement.execute("ALTER SESSION SET ISOLATION_LEVEL = SERIALIZABLE");
/*      */           
/* 1699 */           this.txnLevel = 8;
/*      */           break;
/*      */ 
/*      */ 
/*      */         
/*      */         default:
/* 1705 */           DatabaseError.throwSqlException(30);
/*      */           break;
/*      */       } 
/*      */ 
/*      */ 
/*      */     
/*      */     } finally {
/* 1712 */       oracleStatement.close();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTransactionIsolation() throws SQLException {
/* 1723 */     return this.txnLevel;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAutoClose(boolean paramBoolean) throws SQLException {
/* 1737 */     if (!paramBoolean) {
/* 1738 */       DatabaseError.throwSqlException(31);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getAutoClose() throws SQLException {
/* 1751 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SQLWarning getWarnings() throws SQLException {
/* 1763 */     return this.sqlWarning;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearWarnings() throws SQLException {
/* 1772 */     this.sqlWarning = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setWarnings(SQLWarning paramSQLWarning) {
/* 1781 */     this.sqlWarning = paramSQLWarning;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultRowPrefetch(int paramInt) throws SQLException {
/* 1827 */     if (paramInt <= 0) {
/* 1828 */       DatabaseError.throwSqlException(20);
/*      */     }
/* 1830 */     this.defaultRowPrefetch = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getDefaultRowPrefetch() {
/* 1859 */     return this.defaultRowPrefetch;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDefaultExecuteBatch(int paramInt) throws SQLException {
/* 1903 */     if (paramInt <= 0) {
/* 1904 */       DatabaseError.throwSqlException(42);
/*      */     }
/* 1906 */     this.defaultBatch = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getDefaultExecuteBatch() {
/* 1936 */     return this.defaultBatch;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setRemarksReporting(boolean paramBoolean) {
/* 1961 */     this.reportRemarks = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getRemarksReporting() {
/* 1976 */     return this.reportRemarks;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setIncludeSynonyms(boolean paramBoolean) {
/* 1999 */     this.includeSynonyms = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized String[] getEndToEndMetrics() throws SQLException {
/*      */     String[] arrayOfString;
/* 2014 */     if (this.endToEndValues == null) {
/*      */       
/* 2016 */       arrayOfString = null;
/*      */     }
/*      */     else {
/*      */       
/* 2020 */       arrayOfString = new String[this.endToEndValues.length];
/*      */       
/* 2022 */       System.arraycopy(this.endToEndValues, 0, arrayOfString, 0, this.endToEndValues.length);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2027 */     return arrayOfString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getEndToEndECIDSequenceNumber() throws SQLException {
/* 2043 */     return this.endToEndECIDSequenceNumber;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setEndToEndMetrics(String[] paramArrayOfString, short paramShort) throws SQLException {
/* 2059 */     String[] arrayOfString = new String[paramArrayOfString.length];
/*      */     
/* 2061 */     System.arraycopy(paramArrayOfString, 0, arrayOfString, 0, paramArrayOfString.length);
/* 2062 */     setEndToEndMetricsInternal(arrayOfString, paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setEndToEndMetricsInternal(String[] paramArrayOfString, short paramShort) throws SQLException {
/* 2080 */     if (paramArrayOfString != this.endToEndValues) {
/*      */       
/* 2082 */       if (paramArrayOfString.length != 4)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/* 2087 */         DatabaseError.throwSqlException(156);
/*      */       }
/*      */       byte b;
/* 2090 */       for (b = 0; b < 4; b++) {
/*      */         
/* 2092 */         String str = paramArrayOfString[b];
/*      */         
/* 2094 */         if (str != null && str.length() > endToEndMaxLength[b])
/*      */         {
/* 2096 */           DatabaseError.throwSqlException(159, str);
/*      */         }
/*      */       } 
/*      */ 
/*      */       
/* 2101 */       if (this.endToEndValues != null) {
/*      */         
/* 2103 */         for (b = 0; b < 4; b++) {
/*      */           
/* 2105 */           String str = paramArrayOfString[b];
/*      */           
/* 2107 */           if ((str == null && this.endToEndValues[b] != null) || (str != null && !str.equals(this.endToEndValues[b]))) {
/*      */ 
/*      */             
/* 2110 */             this.endToEndHasChanged[b] = true;
/* 2111 */             this.endToEndAnyChanged = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 2116 */         this.endToEndHasChanged[0] = this.endToEndHasChanged[0] | this.endToEndHasChanged[3];
/*      */       
/*      */       }
/*      */       else {
/*      */         
/* 2121 */         for (b = 0; b < 4; b++)
/*      */         {
/* 2123 */           this.endToEndHasChanged[b] = true;
/*      */         }
/*      */         
/* 2126 */         this.endToEndAnyChanged = true;
/*      */       } 
/*      */ 
/*      */       
/* 2130 */       this.endToEndValues = paramArrayOfString;
/*      */     } 
/*      */     
/* 2133 */     this.endToEndECIDSequenceNumber = paramShort;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void updateEndToEndMetrics() throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getIncludeSynonyms() {
/* 2170 */     return this.includeSynonyms;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRestrictGetTables(boolean paramBoolean) {
/* 2211 */     this.restrictGetTables = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getRestrictGetTables() {
/* 2227 */     return this.restrictGetTables;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultFixedString(boolean paramBoolean) {
/* 2256 */     this.defaultFixedString = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultNChar(boolean paramBoolean) {
/* 2265 */     this.defaultNChar = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getDefaultFixedString() {
/* 2293 */     return this.defaultFixedString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getNlsRatio() {
/* 2306 */     return 1;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getC2SNlsRatio() {
/* 2311 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void addStatement(OracleStatement paramOracleStatement) {
/* 2318 */     if (paramOracleStatement.next != null) {
/* 2319 */       throw new Error("add_statement called twice on " + paramOracleStatement);
/*      */     }
/* 2321 */     paramOracleStatement.next = this.statements;
/*      */     
/* 2323 */     if (this.statements != null) {
/* 2324 */       this.statements.prev = paramOracleStatement;
/*      */     }
/* 2326 */     this.statements = paramOracleStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void removeStatement(OracleStatement paramOracleStatement) {
/* 2343 */     OracleStatement oracleStatement1 = paramOracleStatement.prev;
/* 2344 */     OracleStatement oracleStatement2 = paramOracleStatement.next;
/*      */     
/* 2346 */     if (oracleStatement1 == null) {
/*      */       
/* 2348 */       if (this.statements != paramOracleStatement) {
/*      */         return;
/*      */       }
/* 2351 */       this.statements = oracleStatement2;
/*      */     } else {
/*      */       
/* 2354 */       oracleStatement1.next = oracleStatement2;
/*      */     } 
/* 2356 */     if (oracleStatement2 != null) {
/* 2357 */       oracleStatement2.prev = oracleStatement1;
/*      */     }
/* 2359 */     paramOracleStatement.next = null;
/* 2360 */     paramOracleStatement.prev = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void closeStatements(boolean paramBoolean) throws SQLException {
/* 2375 */     if (paramBoolean && isStatementCacheInitialized()) {
/*      */ 
/*      */ 
/*      */       
/* 2379 */       this.statementCache.close();
/*      */       
/* 2381 */       this.statementCache = null;
/* 2382 */       this.clearStatementMetaData = true;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2387 */     OracleStatement oracleStatement = this.statements;
/*      */     
/* 2389 */     while (oracleStatement != null) {
/*      */       
/* 2391 */       OracleStatement oracleStatement1 = oracleStatement.nextChild;
/*      */       
/* 2393 */       if (oracleStatement.serverCursor) {
/*      */         
/* 2395 */         oracleStatement.close();
/* 2396 */         removeStatement(oracleStatement);
/*      */       } 
/*      */       
/* 2399 */       oracleStatement = oracleStatement1;
/*      */     } 
/*      */ 
/*      */     
/* 2403 */     oracleStatement = this.statements;
/*      */     
/* 2405 */     while (oracleStatement != null) {
/*      */       
/* 2407 */       OracleStatement oracleStatement1 = oracleStatement.next;
/*      */       
/* 2409 */       oracleStatement.close();
/* 2410 */       removeStatement(oracleStatement);
/*      */       
/* 2412 */       oracleStatement = oracleStatement1;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void needLine() throws SQLException {
/* 2426 */     needLineUnchecked();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void needLineUnchecked() throws SQLException {
/* 2432 */     if (this.statementHoldingLine != null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 2437 */       this.statementHoldingLine.freeLine();
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   synchronized void holdLine(OracleStatement paramOracleStatement) {
/* 2443 */     holdLine((OracleStatement)paramOracleStatement);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void holdLine(OracleStatement paramOracleStatement) {
/* 2452 */     this.statementHoldingLine = paramOracleStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void releaseLine() {
/* 2460 */     releaseLineForCancel();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void releaseLineForCancel() {
/* 2469 */     this.statementHoldingLine = null;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void startup(String paramString, int paramInt) throws SQLException {
/* 2475 */     if (this.lifecycle != 1) {
/* 2476 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2478 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized void shutdown(int paramInt) throws SQLException {
/* 2483 */     if (this.lifecycle != 1) {
/* 2484 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2486 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void archive(int paramInt1, int paramInt2, String paramString) throws SQLException {
/* 2493 */     if (this.lifecycle != 1) {
/* 2494 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 2496 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerSQLType(String paramString1, String paramString2) throws SQLException {
/* 2507 */     if (paramString1 == null || paramString2 == null) {
/* 2508 */       DatabaseError.throwSqlException(68);
/*      */     }
/*      */     
/*      */     try {
/* 2512 */       registerSQLType(paramString1, Class.forName(paramString2));
/*      */     }
/* 2514 */     catch (ClassNotFoundException classNotFoundException) {
/*      */       
/* 2516 */       DatabaseError.throwSqlException(1, "Class not found: " + paramString2);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerSQLType(String paramString, Class paramClass) throws SQLException {
/* 2525 */     if (paramString == null || paramClass == null) {
/* 2526 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 2528 */     ensureClassMapExists();
/*      */     
/* 2530 */     this.map.put(paramString, paramClass);
/* 2531 */     this.map.put(paramClass.getName(), paramString);
/*      */   }
/*      */ 
/*      */   
/*      */   void ensureClassMapExists() {
/* 2536 */     if (this.map == null) {
/* 2537 */       initializeClassMap();
/*      */     }
/*      */   }
/*      */   
/*      */   void initializeClassMap() {
/* 2542 */     Hashtable hashtable = new Hashtable(10);
/*      */     
/* 2544 */     addDefaultClassMapEntriesTo(hashtable);
/*      */     
/* 2546 */     this.map = hashtable;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized String getSQLType(Object paramObject) throws SQLException {
/* 2552 */     if (paramObject != null && this.map != null) {
/*      */       
/* 2554 */       String str = paramObject.getClass().getName();
/*      */       
/* 2556 */       return (String)this.map.get(str);
/*      */     } 
/*      */     
/* 2559 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getJavaObject(String paramString) throws SQLException {
/* 2565 */     Object object = null;
/*      */ 
/*      */     
/*      */     try {
/* 2569 */       if (paramString != null && this.map != null)
/*      */       {
/* 2571 */         Class clazz = (Class)this.map.get(paramString);
/*      */         
/* 2573 */         object = clazz.newInstance();
/*      */       }
/*      */     
/* 2576 */     } catch (IllegalAccessException illegalAccessException) {
/*      */       
/* 2578 */       illegalAccessException.printStackTrace();
/*      */     }
/* 2580 */     catch (InstantiationException instantiationException) {
/*      */       
/* 2582 */       instantiationException.printStackTrace();
/*      */     } 
/*      */     
/* 2585 */     return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void putDescriptor(String paramString, Object paramObject) throws SQLException {
/* 2598 */     if (paramString != null && paramObject != null) {
/*      */       
/* 2600 */       if (this.descriptorCache == null) {
/* 2601 */         this.descriptorCache = new Hashtable(10);
/*      */       }
/* 2603 */       ((TypeDescriptor)paramObject).fixupConnection(this);
/* 2604 */       this.descriptorCache.put(paramString, paramObject);
/*      */     } else {
/*      */       
/* 2607 */       DatabaseError.throwSqlException(68);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getDescriptor(String paramString) {
/* 2616 */     Object object = null;
/*      */     
/* 2618 */     if (paramString != null && this.descriptorCache != null) {
/* 2619 */       object = this.descriptorCache.get(paramString);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 2624 */     return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void removeDecriptor(String paramString) {
/* 2634 */     removeDescriptor(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void removeDescriptor(String paramString) {
/* 2648 */     if (paramString != null && this.descriptorCache != null) {
/* 2649 */       this.descriptorCache.remove(paramString);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void removeAllDescriptor() {
/* 2662 */     if (this.descriptorCache != null) {
/* 2663 */       this.descriptorCache.clear();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int numberOfDescriptorCacheEntries() {
/* 2676 */     if (this.descriptorCache != null) {
/* 2677 */       return this.descriptorCache.size();
/*      */     }
/* 2679 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Enumeration descriptorCacheKeys() {
/* 2690 */     if (this.descriptorCache != null) {
/* 2691 */       return this.descriptorCache.keys();
/*      */     }
/* 2693 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void putDescriptor(byte[] paramArrayOfbyte, Object paramObject) throws SQLException {
/* 2706 */     if (paramArrayOfbyte != null && paramObject != null) {
/*      */       
/* 2708 */       if (this.descriptorCache == null) {
/* 2709 */         this.descriptorCache = new Hashtable(10);
/*      */       }
/* 2711 */       this.descriptorCache.put(new ByteArrayKey(paramArrayOfbyte), paramObject);
/*      */     } else {
/*      */       
/* 2714 */       DatabaseError.throwSqlException(68);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getDescriptor(byte[] paramArrayOfbyte) {
/* 2723 */     Object object = null;
/*      */     
/* 2725 */     if (paramArrayOfbyte != null && this.descriptorCache != null) {
/* 2726 */       object = this.descriptorCache.get(new ByteArrayKey(paramArrayOfbyte));
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 2731 */     return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void removeDecriptor(byte[] paramArrayOfbyte) {
/* 2744 */     if (paramArrayOfbyte != null && this.descriptorCache != null) {
/* 2745 */       this.descriptorCache.remove(new ByteArrayKey(paramArrayOfbyte));
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getJdbcCsId() throws SQLException {
/* 2764 */     if (this.conversion == null)
/*      */     {
/* 2766 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2769 */     return this.conversion.getClientCharSet();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getDbCsId() throws SQLException {
/* 2782 */     if (this.conversion == null)
/*      */     {
/* 2784 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2787 */     return this.conversion.getServerCharSetId();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getNCsId() throws SQLException {
/* 2792 */     if (this.conversion == null)
/*      */     {
/* 2794 */       DatabaseError.throwSqlException(65);
/*      */     }
/*      */     
/* 2797 */     return this.conversion.getNCharSetId();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getStructAttrCsId() throws SQLException {
/* 2811 */     return getDbCsId();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getStructAttrNCsId() throws SQLException {
/* 2816 */     return getNCsId();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Map getTypeMap() {
/* 2824 */     ensureClassMapExists();
/*      */     
/* 2826 */     return this.map;
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized void setTypeMap(Map paramMap) {
/* 2831 */     addDefaultClassMapEntriesTo(paramMap);
/*      */     
/* 2833 */     this.map = paramMap;
/*      */   }
/*      */ 
/*      */   
/*      */   void addDefaultClassMapEntriesTo(Map paramMap) {
/* 2838 */     if (paramMap != null)
/*      */     {
/* 2840 */       addClassMapEntry("SYS.XMLTYPE", "oracle.xdb.XMLTypeFactory", paramMap);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void addClassMapEntry(String paramString1, String paramString2, Map paramMap) {
/* 2846 */     if (containsKey(paramMap, paramString1)) {
/*      */       return;
/*      */     }
/*      */     
/*      */     try {
/* 2851 */       Class clazz = safelyGetClassForName(paramString2);
/*      */       
/* 2853 */       paramMap.put(paramString1, clazz);
/*      */     }
/* 2855 */     catch (ClassNotFoundException classNotFoundException) {}
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setUsingXAFlag(boolean paramBoolean) {
/* 2863 */     this.usingXA = paramBoolean;
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized boolean getUsingXAFlag() {
/* 2868 */     return this.usingXA;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setXAErrorFlag(boolean paramBoolean) {
/* 2874 */     this.xaWantsError = paramBoolean;
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized boolean getXAErrorFlag() {
/* 2879 */     return this.xaWantsError;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   String getPropertyFromDatabase(String paramString) throws SQLException {
/* 2885 */     String str = null;
/* 2886 */     Statement statement = null;
/* 2887 */     ResultSet resultSet = null;
/*      */     
/*      */     try {
/* 2890 */       statement = createStatement();
/* 2891 */       statement.setFetchSize(1);
/* 2892 */       resultSet = statement.executeQuery(paramString);
/* 2893 */       if (resultSet.next()) {
/* 2894 */         str = resultSet.getString(1);
/*      */       }
/*      */     } finally {
/*      */       
/* 2898 */       if (resultSet != null)
/* 2899 */         resultSet.close(); 
/* 2900 */       if (statement != null)
/* 2901 */         statement.close(); 
/*      */     } 
/* 2903 */     return str;
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized String getUserName() throws SQLException {
/* 2908 */     if (this.user == null) {
/* 2909 */       this.user = getPropertyFromDatabase("SELECT USER FROM DUAL");
/*      */     }
/* 2911 */     return this.user;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getCurrentSchema() throws SQLException {
/* 2925 */     return getPropertyFromDatabase("SELECT SYS_CONTEXT('USERENV', 'CURRENT_SCHEMA') FROM DUAL");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getDefaultSchemaNameForNamedTypes() throws SQLException {
/* 2940 */     String str = null;
/*      */     
/* 2942 */     if (this.createDescriptorUseCurrentSchemaForSchemaName) {
/* 2943 */       str = getCurrentSchema();
/*      */     } else {
/* 2945 */       str = getUserName();
/*      */     } 
/* 2947 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setStartTime(long paramLong) throws SQLException {
/* 2963 */     DatabaseError.throwSqlException(152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long getStartTime() throws SQLException {
/* 2975 */     DatabaseError.throwSqlException(152);
/*      */     
/* 2977 */     return -1L;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void registerHeartbeat() throws SQLException {
/* 2989 */     if (this.logicalConnectionAttached != null) {
/* 2990 */       this.logicalConnectionAttached.registerHeartbeat();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHeartbeatNoChangeCount() throws SQLException {
/* 3001 */     DatabaseError.throwSqlException(152);
/*      */     
/* 3003 */     return -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized byte[] getFDO(boolean paramBoolean) throws SQLException {
/* 3012 */     if (this.fdo == null && paramBoolean) {
/*      */       
/* 3014 */       CallableStatement callableStatement = null;
/*      */ 
/*      */       
/*      */       try {
/* 3018 */         callableStatement = prepareCall("begin ? := dbms_pickler.get_format (?); end;");
/*      */ 
/*      */         
/* 3021 */         callableStatement.registerOutParameter(1, 2);
/* 3022 */         callableStatement.registerOutParameter(2, -4);
/* 3023 */         callableStatement.execute();
/*      */         
/* 3025 */         this.fdo = callableStatement.getBytes(2);
/*      */       }
/*      */       finally {
/*      */         
/* 3029 */         if (callableStatement != null) {
/* 3030 */           callableStatement.close();
/*      */         }
/* 3032 */         callableStatement = null;
/*      */       } 
/*      */     } 
/*      */     
/* 3036 */     return this.fdo;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setFDO(byte[] paramArrayOfbyte) throws SQLException {
/* 3045 */     this.fdo = paramArrayOfbyte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getBigEndian() throws SQLException {
/* 3054 */     if (this.bigEndian == null) {
/*      */       
/* 3056 */       int[] arrayOfInt = Util.toJavaUnsignedBytes(getFDO(true));
/*      */ 
/*      */ 
/*      */       
/* 3060 */       int i = arrayOfInt[6 + arrayOfInt[5] + arrayOfInt[6] + 5];
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3065 */       int j = (byte)(i & 0x10);
/*      */       
/* 3067 */       if (j < 0) {
/* 3068 */         j = j + 256;
/*      */       }
/* 3070 */       if (j > 0) {
/* 3071 */         this.bigEndian = new Boolean(true);
/*      */       } else {
/* 3073 */         this.bigEndian = new Boolean(false);
/*      */       } 
/*      */     } 
/* 3076 */     return this.bigEndian.booleanValue();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setHoldability(int paramInt) throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHoldability() throws SQLException {
/* 3130 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Savepoint setSavepoint() throws SQLException {
/* 3146 */     return (Savepoint)oracleSetSavepoint();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Savepoint setSavepoint(String paramString) throws SQLException {
/* 3156 */     return (Savepoint)oracleSetSavepoint(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void rollback(Savepoint paramSavepoint) throws SQLException {
/* 3167 */     disallowGlobalTxnMode(122);
/*      */ 
/*      */     
/* 3170 */     if (this.autoCommitSet) {
/* 3171 */       DatabaseError.throwSqlException(121);
/*      */     }
/*      */ 
/*      */     
/* 3175 */     if (this.savepointStatement == null || ((OracleStatement)this.savepointStatement).closed)
/*      */     {
/*      */       
/* 3178 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3181 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/* 3185 */       str = paramSavepoint.getSavepointName();
/*      */     }
/* 3187 */     catch (SQLException sQLException) {
/*      */       
/* 3189 */       str = "ORACLE_SVPT_" + paramSavepoint.getSavepointId();
/*      */     } 
/*      */     
/* 3192 */     this.savepointStatement.executeUpdate("ROLLBACK TO " + str);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void releaseSavepoint(Savepoint paramSavepoint) throws SQLException {
/* 3201 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Statement createStatement(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 3248 */     return createStatement(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreparedStatement prepareStatement(String paramString, int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 3297 */     return prepareStatement(paramString, paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CallableStatement prepareCall(String paramString, int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 3343 */     return prepareCall(paramString, paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreparedStatement prepareStatement(String paramString, int paramInt) throws SQLException {
/* 3390 */     if (paramInt == 2 || !AutoKeyInfo.isInsertSqlStmt(paramString))
/*      */     {
/* 3392 */       return prepareStatement(paramString);
/*      */     }
/* 3394 */     if (paramInt != 1) {
/* 3395 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3397 */     AutoKeyInfo autoKeyInfo = new AutoKeyInfo(paramString);
/*      */     
/* 3399 */     String str = autoKeyInfo.getNewSql();
/* 3400 */     OraclePreparedStatement oraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */ 
/*      */     
/* 3403 */     oraclePreparedStatement.isAutoGeneratedKey = true;
/* 3404 */     oraclePreparedStatement.autoKeyInfo = autoKeyInfo;
/* 3405 */     oraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3406 */     return (PreparedStatement)oraclePreparedStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreparedStatement prepareStatement(String paramString, int[] paramArrayOfint) throws SQLException {
/* 3453 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return prepareStatement(paramString);
/*      */     
/* 3455 */     if (paramArrayOfint == null || paramArrayOfint.length == 0) {
/* 3456 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3458 */     AutoKeyInfo autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfint);
/*      */ 
/*      */     
/* 3461 */     doDescribeTable(autoKeyInfo);
/*      */     
/* 3463 */     String str = autoKeyInfo.getNewSql();
/* 3464 */     OraclePreparedStatement oraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */ 
/*      */     
/* 3467 */     oraclePreparedStatement.isAutoGeneratedKey = true;
/* 3468 */     oraclePreparedStatement.autoKeyInfo = autoKeyInfo;
/* 3469 */     oraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3470 */     return (PreparedStatement)oraclePreparedStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PreparedStatement prepareStatement(String paramString, String[] paramArrayOfString) throws SQLException {
/* 3517 */     if (!AutoKeyInfo.isInsertSqlStmt(paramString)) return prepareStatement(paramString);
/*      */     
/* 3519 */     if (paramArrayOfString == null || paramArrayOfString.length == 0) {
/* 3520 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 3522 */     AutoKeyInfo autoKeyInfo = new AutoKeyInfo(paramString, paramArrayOfString);
/*      */ 
/*      */     
/* 3525 */     doDescribeTable(autoKeyInfo);
/*      */     
/* 3527 */     String str = autoKeyInfo.getNewSql();
/* 3528 */     OraclePreparedStatement oraclePreparedStatement = (OraclePreparedStatement)prepareStatement(str);
/*      */ 
/*      */     
/* 3531 */     oraclePreparedStatement.isAutoGeneratedKey = true;
/* 3532 */     oraclePreparedStatement.autoKeyInfo = autoKeyInfo;
/* 3533 */     oraclePreparedStatement.registerReturnParamsForAutoKey();
/* 3534 */     return (PreparedStatement)oraclePreparedStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OracleSavepoint oracleSetSavepoint() throws SQLException {
/* 3560 */     disallowGlobalTxnMode(117);
/*      */ 
/*      */     
/* 3563 */     if (this.autoCommitSet) {
/* 3564 */       DatabaseError.throwSqlException(120);
/*      */     }
/*      */ 
/*      */     
/* 3568 */     if (this.savepointStatement == null || ((OracleStatement)this.savepointStatement).closed)
/*      */     {
/*      */       
/* 3571 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3574 */     OracleSavepoint oracleSavepoint = new OracleSavepoint();
/*      */     
/* 3576 */     String str = "SAVEPOINT ORACLE_SVPT_" + oracleSavepoint.getSavepointId();
/*      */     
/* 3578 */     this.savepointStatement.executeUpdate(str);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3583 */     return oracleSavepoint;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OracleSavepoint oracleSetSavepoint(String paramString) throws SQLException {
/* 3610 */     disallowGlobalTxnMode(117);
/*      */ 
/*      */     
/* 3613 */     if (this.autoCommitSet) {
/* 3614 */       DatabaseError.throwSqlException(120);
/*      */     }
/*      */ 
/*      */     
/* 3618 */     if (this.savepointStatement == null || ((OracleStatement)this.savepointStatement).closed)
/*      */     {
/*      */       
/* 3621 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3624 */     OracleSavepoint oracleSavepoint = new OracleSavepoint(paramString);
/*      */     
/* 3626 */     String str = "SAVEPOINT " + oracleSavepoint.getSavepointName();
/*      */     
/* 3628 */     this.savepointStatement.executeUpdate(str);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3633 */     return oracleSavepoint;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void oracleRollback(OracleSavepoint paramOracleSavepoint) throws SQLException {
/* 3661 */     disallowGlobalTxnMode(115);
/*      */ 
/*      */     
/* 3664 */     if (this.autoCommitSet) {
/* 3665 */       DatabaseError.throwSqlException(121);
/*      */     }
/*      */ 
/*      */     
/* 3669 */     if (this.savepointStatement == null || ((OracleStatement)this.savepointStatement).closed)
/*      */     {
/*      */       
/* 3672 */       this.savepointStatement = createStatement();
/*      */     }
/*      */     
/* 3675 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/* 3679 */       str = paramOracleSavepoint.getSavepointName();
/*      */     }
/* 3681 */     catch (SQLException sQLException) {
/*      */       
/* 3683 */       str = "ORACLE_SVPT_" + paramOracleSavepoint.getSavepointId();
/*      */     } 
/*      */     
/* 3686 */     this.savepointStatement.executeUpdate("ROLLBACK TO " + str);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void oracleReleaseSavepoint(OracleSavepoint paramOracleSavepoint) throws SQLException {
/* 3713 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void disallowGlobalTxnMode(int paramInt) throws SQLException {
/* 3731 */     if (this.txnMode == 1) {
/* 3732 */       DatabaseError.throwSqlException(paramInt);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTxnMode(int paramInt) {
/* 3743 */     this.txnMode = paramInt;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getTxnMode() {
/* 3748 */     return this.txnMode;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getClientData(Object paramObject) {
/* 3777 */     if (this.clientData == null)
/*      */     {
/* 3779 */       return null;
/*      */     }
/*      */     
/* 3782 */     return this.clientData.get(paramObject);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object setClientData(Object paramObject1, Object paramObject2) {
/* 3809 */     if (this.clientData == null)
/*      */     {
/* 3811 */       this.clientData = new Hashtable();
/*      */     }
/*      */     
/* 3814 */     return this.clientData.put(paramObject1, paramObject2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object removeClientData(Object paramObject) {
/* 3835 */     if (this.clientData == null)
/*      */     {
/* 3837 */       return null;
/*      */     }
/*      */     
/* 3840 */     return this.clientData.remove(paramObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public BlobDBAccess createBlobDBAccess() throws SQLException {
/* 3845 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3847 */     return null;
/*      */   }
/*      */ 
/*      */   
/*      */   public ClobDBAccess createClobDBAccess() throws SQLException {
/* 3852 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3854 */     return null;
/*      */   }
/*      */ 
/*      */   
/*      */   public BfileDBAccess createBfileDBAccess() throws SQLException {
/* 3859 */     DatabaseError.throwSqlException(23);
/*      */     
/* 3861 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void printState() {
/*      */     try {
/* 3886 */       short s1 = getJdbcCsId();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3891 */       short s2 = getDbCsId();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3896 */       short s3 = getStructAttrCsId();
/*      */ 
/*      */ 
/*      */     
/*      */     }
/* 3901 */     catch (SQLException sQLException) {
/*      */       
/* 3903 */       sQLException.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getProtocolType() {
/* 3913 */     return this.protocol;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getURL() {
/* 3922 */     return this.url;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setStmtCacheSize(int paramInt) throws SQLException {
/* 3936 */     setStatementCacheSize(paramInt);
/* 3937 */     setImplicitCachingEnabled(true);
/* 3938 */     setExplicitCachingEnabled(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setStmtCacheSize(int paramInt, boolean paramBoolean) throws SQLException {
/* 3953 */     setStatementCacheSize(paramInt);
/* 3954 */     setImplicitCachingEnabled(true);
/*      */ 
/*      */     
/* 3957 */     setExplicitCachingEnabled(true);
/*      */     
/* 3959 */     this.clearStatementMetaData = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getStmtCacheSize() {
/* 3973 */     int i = 0;
/*      */ 
/*      */     
/*      */     try {
/* 3977 */       i = getStatementCacheSize();
/*      */     }
/* 3979 */     catch (SQLException sQLException) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3987 */     if (i == -1)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 3992 */       i = 0;
/*      */     }
/*      */     
/* 3995 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setStatementCacheSize(int paramInt) throws SQLException {
/* 4016 */     if (this.statementCache == null) {
/*      */       
/* 4018 */       this.statementCache = new LRUStatementCache(paramInt);
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 4025 */       this.statementCache.resize(paramInt);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getStatementCacheSize() throws SQLException {
/* 4043 */     if (this.statementCache == null) {
/* 4044 */       return -1;
/*      */     }
/* 4046 */     return this.statementCache.getCacheSize();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setImplicitCachingEnabled(boolean paramBoolean) throws SQLException {
/* 4069 */     if (this.statementCache == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 4074 */       this.statementCache = new LRUStatementCache(0);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4081 */     this.statementCache.setImplicitCachingEnabled(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getImplicitCachingEnabled() throws SQLException {
/* 4100 */     if (this.statementCache == null) {
/* 4101 */       return false;
/*      */     }
/* 4103 */     return this.statementCache.getImplicitCachingEnabled();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setExplicitCachingEnabled(boolean paramBoolean) throws SQLException {
/* 4126 */     if (this.statementCache == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 4131 */       this.statementCache = new LRUStatementCache(0);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4138 */     this.statementCache.setExplicitCachingEnabled(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getExplicitCachingEnabled() throws SQLException {
/* 4157 */     if (this.statementCache == null) {
/* 4158 */       return false;
/*      */     }
/* 4160 */     return this.statementCache.getExplicitCachingEnabled();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void purgeImplicitCache() throws SQLException {
/* 4179 */     if (this.statementCache != null) {
/* 4180 */       this.statementCache.purgeImplicitCache();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void purgeExplicitCache() throws SQLException {
/* 4199 */     if (this.statementCache != null) {
/* 4200 */       this.statementCache.purgeExplicitCache();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized PreparedStatement getStatementWithKey(String paramString) throws SQLException {
/* 4222 */     if (this.statementCache != null) {
/*      */       
/* 4224 */       OracleStatement oracleStatement = this.statementCache.searchExplicitCache(paramString);
/*      */ 
/*      */       
/* 4227 */       if (oracleStatement == null || oracleStatement.statementType == 1) {
/* 4228 */         return (PreparedStatement)oracleStatement;
/*      */       }
/*      */       
/* 4231 */       DatabaseError.throwSqlException(125);
/*      */       
/* 4233 */       return null;
/*      */     } 
/*      */ 
/*      */     
/* 4237 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CallableStatement getCallWithKey(String paramString) throws SQLException {
/* 4259 */     if (this.statementCache != null) {
/*      */       
/* 4261 */       OracleStatement oracleStatement = this.statementCache.searchExplicitCache(paramString);
/*      */ 
/*      */       
/* 4264 */       if (oracleStatement == null || oracleStatement.statementType == 2) {
/* 4265 */         return (CallableStatement)oracleStatement;
/*      */       }
/*      */       
/* 4268 */       DatabaseError.throwSqlException(125);
/*      */       
/* 4270 */       return null;
/*      */     } 
/*      */ 
/*      */     
/* 4274 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void cacheImplicitStatement(OraclePreparedStatement paramOraclePreparedStatement, String paramString, int paramInt1, int paramInt2) throws SQLException {
/* 4290 */     if (this.statementCache == null) {
/* 4291 */       DatabaseError.throwSqlException(95);
/*      */     } else {
/* 4293 */       this.statementCache.addToImplicitCache(paramOraclePreparedStatement, paramString, paramInt1, paramInt2);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void cacheExplicitStatement(OraclePreparedStatement paramOraclePreparedStatement, String paramString) throws SQLException {
/* 4310 */     if (this.statementCache == null) {
/* 4311 */       DatabaseError.throwSqlException(95);
/*      */     } else {
/* 4313 */       this.statementCache.addToExplicitCache(paramOraclePreparedStatement, paramString);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isStatementCacheInitialized() {
/* 4326 */     if (this.statementCache == null)
/* 4327 */       return false; 
/* 4328 */     if (this.statementCache.getCacheSize() == 0) {
/* 4329 */       return false;
/*      */     }
/* 4331 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultAutoRefetch(boolean paramBoolean) throws SQLException {
/* 4356 */     this.defaultAutoRefetch = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getDefaultAutoRefetch() throws SQLException {
/* 4371 */     return this.defaultAutoRefetch;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerTAFCallback(OracleOCIFailover paramOracleOCIFailover, Object paramObject) throws SQLException {
/* 4391 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getDatabaseProductVersion() throws SQLException {
/* 4401 */     if (this.databaseProductVersion == "") {
/*      */       
/* 4403 */       needLine();
/*      */       
/* 4405 */       this.databaseProductVersion = doGetDatabaseProductVersion();
/*      */     } 
/*      */     
/* 4408 */     return this.databaseProductVersion;
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized boolean getReportRemarks() {
/* 4413 */     return this.reportRemarks;
/*      */   }
/*      */ 
/*      */   
/*      */   public short getVersionNumber() throws SQLException {
/* 4418 */     if (this.versionNumber == -1)
/*      */     {
/* 4420 */       synchronized (this) {
/*      */         
/* 4422 */         if (this.versionNumber == -1) {
/*      */           
/* 4424 */           needLine();
/*      */           
/* 4426 */           this.versionNumber = doGetVersionNumber();
/*      */         } 
/*      */       } 
/*      */     }
/*      */     
/* 4431 */     return this.versionNumber;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerCloseCallback(OracleCloseCallback paramOracleCloseCallback, Object paramObject) {
/* 4437 */     this.closeCallback = paramOracleCloseCallback;
/* 4438 */     this.privateData = paramObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCreateStatementAsRefCursor(boolean paramBoolean) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getCreateStatementAsRefCursor() {
/* 4486 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int pingDatabase(int paramInt) throws SQLException {
/* 4496 */     if (this.lifecycle != 1) {
/* 4497 */       return -1;
/*      */     }
/* 4499 */     Statement statement = null;
/*      */ 
/*      */     
/*      */     try {
/* 4503 */       statement = createStatement();
/*      */       
/* 4505 */       ((OracleStatement)statement).defineColumnType(1, 12, 1);
/* 4506 */       statement.executeQuery("SELECT 'x' FROM DUAL");
/*      */     }
/* 4508 */     catch (SQLException sQLException) {
/*      */       
/* 4510 */       return -1;
/*      */     }
/*      */     finally {
/*      */       
/* 4514 */       if (statement != null) {
/* 4515 */         statement.close();
/*      */       }
/*      */     } 
/* 4518 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Map getJavaObjectTypeMap() {
/* 4532 */     return this.javaObjectMap;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setJavaObjectTypeMap(Map paramMap) {
/* 4540 */     this.javaObjectMap = paramMap;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearClientIdentifier(String paramString) throws SQLException {
/* 4553 */     if (paramString != null && paramString != "") {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4559 */       String[] arrayOfString = getEndToEndMetrics();
/*      */       
/* 4561 */       if (arrayOfString != null && paramString.equals(arrayOfString[1])) {
/*      */ 
/*      */         
/* 4564 */         arrayOfString[1] = null;
/*      */         
/* 4566 */         setEndToEndMetrics(arrayOfString, getEndToEndECIDSequenceNumber());
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setClientIdentifier(String paramString) throws SQLException {
/* 4590 */     String[] arrayOfString = getEndToEndMetrics();
/*      */     
/* 4592 */     if (arrayOfString == null)
/*      */     {
/* 4594 */       arrayOfString = new String[4];
/*      */     }
/*      */     
/* 4597 */     arrayOfString[1] = paramString;
/*      */     
/* 4599 */     setEndToEndMetrics(arrayOfString, getEndToEndECIDSequenceNumber());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   PhysicalConnection() {
/* 4612 */     this.sessionTimeZone = null;
/* 4613 */     this.dbTzCalendar = null; } PhysicalConnection(String paramString1, String paramString2, String paramString3, String paramString4, Properties paramProperties, OracleDriverExtension paramOracleDriverExtension) throws SQLException { this.sessionTimeZone = null; this.dbTzCalendar = null; this.driverExtension = paramOracleDriverExtension; String str = null; if (paramProperties != null) {
/*      */       str = (String)paramProperties.get("protocol"); String str1 = paramProperties.getProperty("processEscapes"); if (str1 != null && str1.equalsIgnoreCase("false"))
/*      */         this.processEscapes = false;  String str2 = (String)paramProperties.get("RessourceManagerId"); if (str2 != null)
/*      */         this.ressourceManagerId = str2;  this.connectionProperties = (Properties)paramProperties.clone();
/*      */     }  initialize(paramString1, paramString2, str, (Hashtable)null, (Map)null, (Map)null, paramString4); initializePassword(paramString3); this.logicalConnectionAttached = null; try {
/*      */       needLine(); logon(); boolean bool = true; if (paramProperties != null) {
/*      */         String str3 = paramProperties.getProperty("autoCommit"); if (str3 != null && str3.equalsIgnoreCase("false"))
/*      */           bool = false;  str3 = this.connectionProperties.getProperty("wellBehavedStatementReuse"); if (str3 != null && str3.equalsIgnoreCase("true"))
/*      */           this.wellBehavedStatementReuse = true; 
/*      */       }  setAutoCommit(bool); if (getVersionNumber() >= 10000) {
/*      */         this.minVcsBindSize = 4001; this.maxRawBytesSql = 2000; this.maxRawBytesPlsql = 32512; this.maxVcsCharsSql = 32766; this.maxVcsNCharsSql = 32766; this.maxVcsBytesPlsql = 32512;
/*      */       } else if (getVersionNumber() >= 9200) {
/*      */         this.minVcsBindSize = 4001; this.maxRawBytesSql = 2000; this.maxRawBytesPlsql = 32512; this.maxVcsCharsSql = 32766; this.maxVcsNCharsSql = 32766; this.maxVcsBytesPlsql = 32512;
/*      */       } else {
/*      */         this.minVcsBindSize = 4001; this.maxRawBytesSql = 2000; this.maxRawBytesPlsql = 2000; this.maxVcsCharsSql = 4000; this.maxVcsNCharsSql = 4000; this.maxVcsBytesPlsql = 4000;
/*      */       }  String str1 = (paramProperties != null) ? paramProperties.getProperty("oracle.jdbc.V8Compatible") : null; if (str1 == null)
/*      */         str1 = OracleDriver.getSystemPropertyV8Compatible();  if (str1 != null)
/*      */         this.v8Compatible = str1.equalsIgnoreCase("true");  String str2 = (paramProperties != null) ? paramProperties.getProperty("oracle.jdbc.StreamChunkSize") : null; if (str2 != null)
/*      */         this.streamChunkSize = Math.max(4096, Integer.parseInt(str2));  str2 = (paramProperties != null) ? paramProperties.getProperty("oracle.jdbc.internal.permitBindDateDefineTimestampMismatch") : null; if (str2 != null && str2.equalsIgnoreCase("true"))
/*      */         this.looseTimestampDateCheck = true;  str2 = (paramProperties != null) ? paramProperties.getProperty("oracle.jdbc.FreeMemoryOnEnterImplicitCache") : null; this.isMemoryFreedOnEnteringCache = (str2 != null && str2.equalsIgnoreCase("true")); str2 = (paramProperties != null) ? paramProperties.getProperty("oracle.jdbc.createDescriptorUseCurrentSchemaForSchemaName") : null; this.createDescriptorUseCurrentSchemaForSchemaName = (str2 != null && str2.equalsIgnoreCase("true")); initializeSetCHARCharSetObjs(); this.spawnNewThreadToCancel = "true".equalsIgnoreCase(paramProperties.getProperty("oracle.jdbc.spawnNewThreadToCancel"));
/*      */     } catch (SQLException sQLException) {
/*      */       try {
/*      */         logoff();
/*      */       } catch (SQLException sQLException1) {}
/*      */       throw sQLException;
/*      */     } 
/* 4639 */     this.txnMode = 0; } public void setSessionTimeZone(String paramString) throws SQLException { Statement statement = null;
/* 4640 */     ResultSet resultSet = null;
/*      */ 
/*      */     
/*      */     try {
/* 4644 */       statement = createStatement();
/*      */       
/* 4646 */       statement.executeUpdate("ALTER SESSION SET TIME_ZONE = '" + paramString + "'");
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4651 */       resultSet = statement.executeQuery("SELECT DBTIMEZONE FROM DUAL");
/*      */       
/* 4653 */       resultSet.next();
/*      */       
/* 4655 */       String str = resultSet.getString(1);
/*      */       
/* 4657 */       setDbTzCalendar(str);
/*      */     }
/* 4659 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4665 */       throw sQLException;
/*      */     }
/*      */     finally {
/*      */       
/* 4669 */       if (statement != null) {
/* 4670 */         statement.close();
/*      */       }
/*      */     } 
/* 4673 */     this.sessionTimeZone = paramString; }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getSessionTimeZone() {
/* 4686 */     return this.sessionTimeZone;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setDbTzCalendar(String paramString) {
/* 4702 */     char c = paramString.charAt(0);
/*      */     
/* 4704 */     if (c == '-' || c == '+') {
/* 4705 */       paramString = "GMT" + paramString;
/*      */     } else {
/* 4707 */       paramString = "GMT+" + paramString;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 4712 */     TimeZone timeZone = TimeZone.getTimeZone(paramString);
/*      */     
/* 4714 */     this.dbTzCalendar = new GregorianCalendar(timeZone);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Calendar getDbTzCalendar() {
/* 4725 */     return this.dbTzCalendar;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setAccumulateBatchResult(boolean paramBoolean) {
/* 4740 */     this.accumulateBatchResult = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isAccumulateBatchResult() {
/* 4756 */     return this.accumulateBatchResult;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setJ2EE13Compliant(boolean paramBoolean) {
/* 4771 */     this.j2ee13Compliant = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getJ2EE13Compliant() {
/* 4786 */     return this.j2ee13Compliant;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Class classForNameAndSchema(String paramString1, String paramString2) throws ClassNotFoundException {
/* 4804 */     return Class.forName(paramString1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Class safelyGetClassForName(String paramString) throws ClassNotFoundException {
/* 4822 */     return Class.forName(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHeapAllocSize() throws SQLException {
/* 4834 */     if (this.lifecycle != 1) {
/* 4835 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 4837 */     DatabaseError.throwSqlException(23);
/*      */ 
/*      */     
/* 4840 */     return -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getOCIEnvHeapAllocSize() throws SQLException {
/* 4851 */     if (this.lifecycle != 1) {
/* 4852 */       DatabaseError.throwSqlException(8);
/*      */     }
/* 4854 */     DatabaseError.throwSqlException(23);
/*      */ 
/*      */     
/* 4857 */     return -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static OracleConnection unwrapCompletely(OracleConnection paramOracleConnection) {
/* 4869 */     OracleConnection oracleConnection1 = paramOracleConnection;
/* 4870 */     OracleConnection oracleConnection2 = oracleConnection1;
/*      */ 
/*      */     
/*      */     while (true) {
/* 4874 */       if (oracleConnection2 == null) {
/* 4875 */         return (OracleConnection)oracleConnection1;
/*      */       }
/* 4877 */       oracleConnection1 = oracleConnection2;
/* 4878 */       oracleConnection2 = oracleConnection1.unwrap();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void setWrapper(OracleConnection paramOracleConnection) {
/* 4884 */     this.wrapper = paramOracleConnection;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection unwrap() {
/* 4889 */     return null;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection getWrapper() {
/* 4894 */     if (this.wrapper != null) {
/* 4895 */       return this.wrapper;
/*      */     }
/* 4897 */     return (OracleConnection)this;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static OracleConnection _physicalConnectionWithin(Connection paramConnection) {
/* 4913 */     OracleConnection oracleConnection = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4919 */     if (paramConnection != null)
/*      */     {
/* 4921 */       oracleConnection = unwrapCompletely((OracleConnection)paramConnection);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4928 */     return oracleConnection;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection physicalConnectionWithin() {
/* 4933 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public long getTdoCState(String paramString1, String paramString2) throws SQLException {
/* 4939 */     return 0L;
/*      */   }
/*      */ 
/*      */   
/*      */   public void getOracleTypeADT(OracleTypeADT paramOracleTypeADT) throws SQLException {}
/*      */ 
/*      */   
/*      */   public Datum toDatum(CustomDatum paramCustomDatum) throws SQLException {
/* 4947 */     return paramCustomDatum.toDatum(this);
/*      */   }
/*      */ 
/*      */   
/*      */   public short getNCharSet() {
/* 4952 */     return this.conversion.getNCharSetId();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayDataResultSet(Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 4958 */     return (ResultSet)new ArrayDataResultSet(this, paramArrayOfDatum, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayDataResultSet(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 4964 */     return (ResultSet)new ArrayDataResultSet(this, paramARRAY, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayLocatorResultSet(ArrayDescriptor paramArrayDescriptor, byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 4972 */     return (ResultSet)new ArrayLocatorResultSet(this, paramArrayDescriptor, paramArrayOfbyte, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSetMetaData newStructMetaData(StructDescriptor paramStructDescriptor) throws SQLException {
/* 4978 */     return (ResultSetMetaData)new StructMetaData(paramStructDescriptor);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int CHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/* 4984 */     int[] arrayOfInt = new int[1];
/*      */     
/* 4986 */     arrayOfInt[0] = paramInt;
/*      */     
/* 4988 */     return this.conversion.CHARBytesToJavaChars(paramArrayOfbyte, 0, paramArrayOfchar, 0, arrayOfInt, paramArrayOfchar.length);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int NCHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/* 4995 */     int[] arrayOfInt = new int[1];
/*      */     
/* 4997 */     return this.conversion.NCHARBytesToJavaChars(paramArrayOfbyte, 0, paramArrayOfchar, 0, arrayOfInt, paramArrayOfchar.length);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean IsNCharFixedWith() {
/* 5003 */     return this.conversion.IsNCharFixedWith();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getDriverCharSet() {
/* 5008 */     return this.conversion.getClientCharSet();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxCharSize() throws SQLException {
/* 5013 */     DatabaseError.throwSqlException(58);
/*      */ 
/*      */     
/* 5016 */     return -1;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxCharbyteSize() {
/* 5021 */     return this.conversion.getMaxCharbyteSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxNCharbyteSize() {
/* 5026 */     return this.conversion.getMaxNCharbyteSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isCharSetMultibyte(short paramShort) {
/* 5031 */     return DBConversion.isCharSetMultibyte(paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 5037 */     return this.conversion.javaCharsToCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToNCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 5043 */     return this.conversion.javaCharsToNCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection, String paramString) throws SQLException {
/* 5053 */     Hashtable hashtable = new Hashtable();
/*      */     
/* 5055 */     hashtable.put("obj_type_map", this.javaObjectMap);
/*      */     
/* 5057 */     Properties properties = new Properties();
/*      */     
/* 5059 */     properties.put("user", this.user);
/* 5060 */     properties.put("password", paramString);
/*      */     
/* 5062 */     properties.put("connection_url", this.url);
/* 5063 */     properties.put("connect_auto_commit", "" + this.autoCommitSet);
/*      */ 
/*      */     
/* 5066 */     properties.put("trans_isolation", "" + this.txnLevel);
/*      */     
/* 5068 */     if (getStatementCacheSize() != -1) {
/*      */       
/* 5070 */       properties.put("stmt_cache_size", "" + getStatementCacheSize());
/*      */       
/* 5072 */       properties.put("implicit_cache_enabled", "" + getImplicitCachingEnabled());
/*      */       
/* 5074 */       properties.put("explict_cache_enabled", "" + getExplicitCachingEnabled());
/*      */     } 
/*      */ 
/*      */     
/* 5078 */     properties.put("defaultExecuteBatch", "" + this.defaultBatch);
/* 5079 */     properties.put("prefetch", "" + this.defaultRowPrefetch);
/* 5080 */     properties.put("remarks", "" + this.reportRemarks);
/* 5081 */     properties.put("AccumulateBatchResult", "" + this.accumulateBatchResult);
/* 5082 */     properties.put("oracle.jdbc.J2EE13Compliant", "" + this.j2ee13Compliant);
/* 5083 */     properties.put("processEscapes", "" + this.processEscapes);
/*      */     
/* 5085 */     properties.put("restrictGetTables", "" + this.restrictGetTables);
/* 5086 */     properties.put("synonyms", "" + this.includeSynonyms);
/* 5087 */     properties.put("fixedString", "" + this.defaultFixedString);
/*      */     
/* 5089 */     hashtable.put("connection_properties", properties);
/*      */     
/* 5091 */     paramOraclePooledConnection.setProperties(hashtable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getDBAccessProperties() throws SQLException {
/* 5115 */     DatabaseError.throwSqlException(23);
/*      */     
/* 5117 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getOCIHandles() throws SQLException {
/* 5130 */     DatabaseError.throwSqlException(23);
/*      */     
/* 5132 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void logoff() throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getDefaultStreamChunkSize() {
/* 5229 */     return this.streamChunkSize;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleStatement refCursorCursorToStatement(int paramInt) throws SQLException {
/* 5238 */     DatabaseError.throwSqlException(23);
/*      */     
/* 5240 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Connection getLogicalConnection(OraclePooledConnection paramOraclePooledConnection, boolean paramBoolean) throws SQLException {
/* 5250 */     if (this.logicalConnectionAttached != null || paramOraclePooledConnection.getPhysicalHandle() != this) {
/* 5251 */       DatabaseError.throwSqlException(143);
/*      */     }
/* 5253 */     LogicalConnection logicalConnection = new LogicalConnection(paramOraclePooledConnection, this, paramBoolean);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5258 */     this.logicalConnectionAttached = logicalConnection;
/*      */     
/* 5260 */     return (Connection)logicalConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void getForm(OracleTypeADT paramOracleTypeADT, OracleTypeCLOB paramOracleTypeCLOB, int paramInt) throws SQLException {}
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB createClob(byte[] paramArrayOfbyte) throws SQLException {
/* 5270 */     return new CLOB((OracleConnection)this, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB createClob(byte[] paramArrayOfbyte, short paramShort) throws SQLException {
/* 5276 */     return new CLOB((OracleConnection)this, paramArrayOfbyte, paramShort);
/*      */   }
/*      */ 
/*      */   
/*      */   public BLOB createBlob(byte[] paramArrayOfbyte) throws SQLException {
/* 5281 */     return new BLOB((OracleConnection)this, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */   
/*      */   public BFILE createBfile(byte[] paramArrayOfbyte) throws SQLException {
/* 5286 */     return new BFILE((OracleConnection)this, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isDescriptorSharable(OracleConnection paramOracleConnection) throws SQLException {
/* 5300 */     PhysicalConnection physicalConnection1 = this;
/* 5301 */     PhysicalConnection physicalConnection2 = (PhysicalConnection)paramOracleConnection.getPhysicalConnection();
/*      */     
/* 5303 */     return (physicalConnection1 == physicalConnection2 || physicalConnection1.url.equals(physicalConnection2.url) || (physicalConnection2.protocol != null && physicalConnection2.protocol.equals("kprb")));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean useLittleEndianSetCHARBinder() throws SQLException {
/* 5310 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPlsqlWarnings(String paramString) throws SQLException {
/* 5329 */     if (paramString == null) {
/* 5330 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 5332 */     if (paramString != null && (paramString = paramString.trim()).length() > 0 && !OracleSql.isValidPlsqlWarning(paramString))
/*      */     {
/*      */       
/* 5335 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 5337 */     String str1 = "ALTER SESSION SET PLSQL_WARNINGS=" + paramString;
/*      */     
/* 5339 */     String str2 = "ALTER SESSION SET EVENTS='10933 TRACE NAME CONTEXT LEVEL 32768'";
/*      */ 
/*      */     
/* 5342 */     Statement statement = null;
/*      */     
/*      */     try {
/* 5345 */       statement = createStatement(-1, -1);
/*      */       
/* 5347 */       statement.execute(str1);
/*      */       
/* 5349 */       if (paramString.equals("'DISABLE:ALL'")) {
/*      */         
/* 5351 */         this.plsqlCompilerWarnings = false;
/*      */       }
/*      */       else {
/*      */         
/* 5355 */         statement.execute(str2);
/*      */         
/* 5357 */         this.plsqlCompilerWarnings = true;
/*      */       } 
/*      */     } finally {
/*      */       
/* 5361 */       if (statement != null) {
/* 5362 */         statement.close();
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void internalClose() throws SQLException {
/* 5373 */     this.lifecycle = 4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public XAResource getXAResource() throws SQLException {
/* 5387 */     DatabaseError.throwSqlException(164);
/*      */     
/* 5389 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void doDescribeTable(AutoKeyInfo paramAutoKeyInfo) throws SQLException {
/* 5401 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setApplicationContext(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 5414 */     if (paramString1 == null || paramString2 == null || paramString3 == null)
/*      */     {
/*      */       
/* 5417 */       throw new NullPointerException();
/*      */     }
/* 5419 */     if (paramString1.equals("")) {
/* 5420 */       DatabaseError.throwSqlException(170);
/*      */     }
/*      */     
/* 5423 */     if (paramString1.compareToIgnoreCase("CLIENTCONTEXT") != 0) {
/* 5424 */       DatabaseError.throwSqlException(174);
/*      */     }
/*      */     
/* 5427 */     if (paramString2.length() > 30) {
/* 5428 */       DatabaseError.throwSqlException(171);
/*      */     }
/*      */     
/* 5431 */     if (paramString3.length() > 4000) {
/* 5432 */       DatabaseError.throwSqlException(172);
/*      */     }
/*      */     
/* 5435 */     doSetApplicationContext(paramString1, paramString2, paramString3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doSetApplicationContext(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 5448 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearAllApplicationContext(String paramString) throws SQLException {
/* 5459 */     if (paramString == null)
/* 5460 */       throw new NullPointerException(); 
/* 5461 */     if (paramString.equals("")) {
/* 5462 */       DatabaseError.throwSqlException(170);
/*      */     }
/*      */     
/* 5465 */     doClearAllApplicationContext(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClearAllApplicationContext(String paramString) throws SQLException {
/* 5475 */     DatabaseError.throwSqlException(23);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isV8Compatible() throws SQLException {
/* 5492 */     return this.v8Compatible;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void queryFCFProperties(Properties paramProperties) throws SQLException {
/* 5507 */     Statement statement = null;
/* 5508 */     ResultSet resultSet = null;
/* 5509 */     String str = "select sys_context('userenv', 'instance_name'),sys_context('userenv', 'server_host'),sys_context('userenv', 'service_name'),sys_context('userenv', 'db_unique_name') from dual";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 5517 */       statement = createStatement();
/* 5518 */       statement.setFetchSize(1);
/* 5519 */       resultSet = statement.executeQuery(str);
/* 5520 */       while (resultSet.next()) {
/*      */         
/* 5522 */         String str1 = null;
/* 5523 */         str1 = resultSet.getString(1);
/* 5524 */         if (str1 != null) {
/* 5525 */           paramProperties.put("INSTANCE_NAME", str1.trim());
/*      */         }
/* 5527 */         str1 = resultSet.getString(2);
/* 5528 */         if (str1 != null) {
/* 5529 */           paramProperties.put("SERVER_HOST", str1.trim());
/*      */         }
/*      */ 
/*      */         
/* 5533 */         str1 = resultSet.getString(3);
/* 5534 */         if (str1 != null) {
/* 5535 */           paramProperties.put("SERVICE_NAME", str1.trim());
/*      */         }
/* 5537 */         str1 = resultSet.getString(4);
/* 5538 */         if (str1 != null) {
/* 5539 */           paramProperties.put("DATABASE_NAME", str1.trim());
/*      */         }
/*      */       } 
/*      */     } finally {
/* 5543 */       if (resultSet != null)
/* 5544 */         resultSet.close(); 
/* 5545 */       if (statement != null) {
/* 5546 */         statement.close();
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 5554 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*      */   
/*      */   abstract void initializePassword(String paramString) throws SQLException;
/*      */   
/*      */   abstract void doAbort() throws SQLException;
/*      */   
/*      */   public abstract void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection) throws SQLException;
/*      */   
/*      */   abstract void logon() throws SQLException;
/*      */   
/*      */   abstract void open(OracleStatement paramOracleStatement) throws SQLException;
/*      */   
/*      */   abstract void doCancel() throws SQLException;
/*      */   
/*      */   abstract void doSetAutoCommit(boolean paramBoolean) throws SQLException;
/*      */   
/*      */   abstract void doCommit() throws SQLException;
/*      */   
/*      */   abstract void doRollback() throws SQLException;
/*      */   
/*      */   abstract String doGetDatabaseProductVersion() throws SQLException;
/*      */   
/*      */   abstract short doGetVersionNumber() throws SQLException;
/*      */   
/*      */   abstract OracleStatement RefCursorBytesToStatement(byte[] paramArrayOfbyte, OracleStatement paramOracleStatement) throws SQLException;
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\PhysicalConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */