/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.InputStream;
/*      */ import java.io.OutputStream;
/*      */ import java.io.Reader;
/*      */ import java.io.UnsupportedEncodingException;
/*      */ import java.io.Writer;
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Properties;
/*      */ import oracle.jdbc.pool.OraclePooledConnection;
/*      */ import oracle.net.ns.Communication;
/*      */ import oracle.net.ns.NSProtocol;
/*      */ import oracle.net.ns.NetException;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.BfileDBAccess;
/*      */ import oracle.sql.BlobDBAccess;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.ClobDBAccess;
/*      */ import oracle.sql.LobPlsqlUtil;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CConnection
/*      */   extends PhysicalConnection
/*      */   implements BfileDBAccess, BlobDBAccess, ClobDBAccess
/*      */ {
/*      */   static final short MIN_OVERSION_SUPPORTED = 7230;
/*      */   static final short MIN_TTCVER_SUPPORTED = 4;
/*      */   static final short V8_TTCVER_SUPPORTED = 5;
/*      */   static final short MAX_TTCVER_SUPPORTED = 6;
/*      */   static final int DEFAULT_LONG_PREFETCH_SIZE = 4080;
/*      */   static final String DEFAULT_CONNECT_STRING = "localhost:1521:orcl";
/*      */   static final int STREAM_CHUNK_SIZE = 255;
/*      */   static final int REFCURSOR_SIZE = 5;
/*   78 */   long LOGON_MODE = 0L;
/*      */   
/*      */   static final long SYSDBA = 8L;
/*      */   
/*      */   static final long SYSOPER = 16L;
/*      */   
/*      */   boolean isLoggedOn;
/*      */   
/*      */   private String password;
/*      */   
/*      */   Communication net;
/*      */   
/*      */   boolean readAsNonStream;
/*      */   
/*      */   T4CTTIoer oer;
/*      */   
/*      */   T4CMAREngine mare;
/*      */   
/*      */   T4C8TTIpro pro;
/*      */   
/*      */   T4C8TTIdty dty;
/*      */   
/*      */   T4CTTIrxd rxd;
/*      */   
/*      */   T4CTTIsto sto;
/*      */   
/*      */   T4CTTIoauthenticate auth;
/*      */   
/*      */   T4C7Oversion ver;
/*      */   
/*      */   T4C8Odscrarr describe;
/*      */   
/*      */   T4C8Oall all8;
/*      */   
/*      */   T4C8Oclose close8;
/*      */   
/*      */   T4C7Ocommoncall commoncall;
/*      */   
/*      */   T4C8TTIBfile bfileMsg;
/*      */   
/*      */   T4C8TTIBlob blobMsg;
/*      */   
/*      */   T4C8TTIClob clobMsg;
/*      */   T4CTTIoses oses;
/*  122 */   byte[] EMPTY_BYTE = new byte[0];
/*      */ 
/*      */   
/*      */   T4CTTIOtxen otxen;
/*      */ 
/*      */   
/*      */   T4CTTIOtxse otxse;
/*      */ 
/*      */   
/*      */   T4CTTIk2rpc k2rpc;
/*      */ 
/*      */   
/*      */   T4CTTIoscid oscid;
/*      */ 
/*      */   
/*      */   T4CTTIokeyval okeyval;
/*      */ 
/*      */   
/*      */   int[] cursorToClose;
/*      */ 
/*      */   
/*      */   int cursorToCloseOffset;
/*      */ 
/*      */   
/*      */   int[] queryToClose;
/*      */ 
/*      */   
/*      */   int queryToCloseOffset;
/*      */ 
/*      */   
/*      */   int sessionId;
/*      */ 
/*      */   
/*      */   int serialNumber;
/*      */ 
/*      */   
/*      */   boolean retainV9BehaviorForLong;
/*      */ 
/*      */   
/*      */   Hashtable namespaces;
/*      */ 
/*      */   
/*      */   T4CConnection(String paramString1, String paramString2, String paramString3, String paramString4, Properties paramProperties, OracleDriverExtension paramOracleDriverExtension) throws SQLException {
/*  165 */     super(paramString1, paramString2, paramString3, paramString4, paramProperties, paramOracleDriverExtension);
/*  166 */     String str = (String)paramProperties.get("oracle.jdbc.RetainV9LongBindBehavior");
/*  167 */     this.retainV9BehaviorForLong = (str != null && str.equalsIgnoreCase("true"));
/*      */     
/*  169 */     this.cursorToClose = new int[4];
/*  170 */     this.cursorToCloseOffset = 0;
/*      */ 
/*      */     
/*  173 */     this.queryToClose = new int[10];
/*  174 */     this.queryToCloseOffset = 0;
/*  175 */     this.minVcsBindSize = 0;
/*  176 */     this.streamChunkSize = 255;
/*      */     
/*  178 */     this.namespaces = new Hashtable(5);
/*      */   }
/*      */ 
/*      */   
/*      */   final void initializePassword(String paramString) throws SQLException {
/*  183 */     this.password = paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void logon() throws SQLException {
/*      */     try {
/*  219 */       if (this.isLoggedOn)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  224 */         DatabaseError.throwSqlException(428);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  231 */       if (this.user == null || this.password == null)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  236 */         DatabaseError.throwSqlException(433);
/*      */       }
/*      */ 
/*      */       
/*  240 */       if (this.user.length() == 0 || this.password.length() == 0)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  245 */         DatabaseError.throwSqlException(443);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  252 */       if (this.database == null)
/*      */       {
/*  254 */         this.database = "localhost:1521:orcl";
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  268 */       connect(this.database, this.connectionProperties);
/*      */       
/*  270 */       this.all8 = new T4C8Oall(this.mare, this, this.oer);
/*  271 */       this.close8 = new T4C8Oclose(this.mare);
/*      */       
/*  273 */       this.sto = new T4CTTIsto(this.mare, this.oer);
/*  274 */       this.commoncall = new T4C7Ocommoncall(this.mare, this.oer, this);
/*  275 */       this.describe = new T4C8Odscrarr(this.mare, this.oer);
/*  276 */       this.bfileMsg = new T4C8TTIBfile(this.mare, this.oer);
/*  277 */       this.blobMsg = new T4C8TTIBlob(this.mare, this.oer);
/*  278 */       this.clobMsg = new T4C8TTIClob(this.mare, this.oer);
/*  279 */       this.otxen = new T4CTTIOtxen(this.mare, this.oer, this);
/*  280 */       this.otxse = new T4CTTIOtxse(this.mare, this.oer, this);
/*  281 */       this.k2rpc = new T4CTTIk2rpc(this.mare, this.oer, this);
/*  282 */       this.oses = new T4CTTIoses(this.mare);
/*  283 */       this.okeyval = new T4CTTIokeyval(this.mare);
/*      */ 
/*      */       
/*  286 */       this.oscid = new T4CTTIoscid(this.mare);
/*      */ 
/*      */ 
/*      */       
/*  290 */       this.dty = new T4C8TTIdty(this.mare);
/*      */       
/*  292 */       this.dty.marshal();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  297 */       this.dty.receive();
/*      */ 
/*      */ 
/*      */       
/*  301 */       this.ver = new T4C7Oversion(this.mare, this.oer, this);
/*      */       
/*  303 */       this.ver.marshal();
/*  304 */       this.ver.receive();
/*      */ 
/*      */       
/*  307 */       this.versionNumber = this.ver.getVersionNumber();
/*  308 */       this.mare.versionNumber = this.versionNumber;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  313 */       if (this.versionNumber < 7230)
/*      */       {
/*      */ 
/*      */         
/*  317 */         DatabaseError.throwSqlException(441);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  326 */       this.mare.types.setVersion(this.versionNumber);
/*      */ 
/*      */       
/*  329 */       String str = (String)this.connectionProperties.get("internal_logon");
/*      */       
/*  331 */       if (str != null) {
/*      */ 
/*      */ 
/*      */         
/*  335 */         if (str.equalsIgnoreCase("sysoper"))
/*      */         {
/*  337 */           this.LOGON_MODE = 64L;
/*      */ 
/*      */         
/*      */         }
/*  341 */         else if (str.equalsIgnoreCase("sysdba"))
/*      */         {
/*  343 */           this.LOGON_MODE = 32L;
/*      */         }
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  349 */         this.LOGON_MODE = 0L;
/*      */       } 
/*      */       
/*  352 */       this.auth = new T4CTTIoauthenticate(this.mare, this.user, this.password, this.connectionProperties, this.LOGON_MODE, this.ressourceManagerId, this.oer, this);
/*      */ 
/*      */ 
/*      */       
/*  356 */       this.auth.marshalOsesskey();
/*  357 */       this.auth.receiveOsesskey();
/*      */ 
/*      */ 
/*      */       
/*  361 */       this.auth.marshalOauth();
/*  362 */       this.auth.receiveOauth();
/*      */       
/*  364 */       this.sessionId = this.auth.getSessionId();
/*  365 */       this.serialNumber = this.auth.getSerialNumber();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  376 */       this.isLoggedOn = true;
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  381 */     catch (IOException iOException) {
/*      */       
/*  383 */       handleIOException(iOException);
/*      */ 
/*      */ 
/*      */       
/*  387 */       DatabaseError.throwSqlException(iOException);
/*      */     }
/*  389 */     catch (SQLException sQLException) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  397 */         this.net.disconnect();
/*      */       }
/*  399 */       catch (Exception exception) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  406 */       this.isLoggedOn = false;
/*      */ 
/*      */ 
/*      */       
/*  410 */       throw sQLException;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void handleIOException(IOException paramIOException) throws SQLException {
/*      */     try {
/*  421 */       this.mare.pipeState = -1;
/*  422 */       this.net.disconnect();
/*      */     }
/*  424 */     catch (Exception exception) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  431 */     this.isLoggedOn = false;
/*  432 */     this.lifecycle = 4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void logoff() throws SQLException {
/*      */     try {
/*  458 */       assertLoggedOn("T4CConnection.logoff");
/*  459 */       if (this.lifecycle == 8) {
/*      */         return;
/*      */       }
/*  462 */       sendPiggyBackedMessages();
/*  463 */       this.commoncall.init((short)9);
/*  464 */       this.commoncall.marshal();
/*  465 */       this.commoncall.receive();
/*      */       
/*  467 */       this.net.disconnect();
/*      */     }
/*  469 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  477 */       handleIOException(iOException);
/*      */       
/*  479 */       if (this.lifecycle != 8)
/*      */       {
/*  481 */         DatabaseError.throwSqlException(iOException);
/*      */       
/*      */       }
/*      */     
/*      */     }
/*      */     finally {
/*      */ 
/*      */       
/*  489 */       this.isLoggedOn = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void doCommit() throws SQLException {
/*      */     try {
/*  520 */       assertLoggedOn("T4CConnection.do_commit");
/*  521 */       sendPiggyBackedMessages();
/*  522 */       this.commoncall.init((short)14);
/*  523 */       this.commoncall.marshal();
/*  524 */       this.commoncall.receive();
/*      */     }
/*  526 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  533 */       handleIOException(iOException);
/*  534 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void doRollback() throws SQLException {
/*      */     try {
/*  564 */       assertLoggedOn("T4CConnection.do_rollback");
/*  565 */       sendPiggyBackedMessages();
/*  566 */       this.commoncall.init((short)15);
/*  567 */       this.commoncall.marshal();
/*  568 */       this.commoncall.receive();
/*      */     }
/*  570 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  577 */       handleIOException(iOException);
/*  578 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized void doSetAutoCommit(boolean paramBoolean) throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void open(OracleStatement paramOracleStatement) throws SQLException {
/*  644 */     assertLoggedOn("T4CConnection.open");
/*      */ 
/*      */ 
/*      */     
/*  648 */     paramOracleStatement.setCursorId(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized String doGetDatabaseProductVersion() throws SQLException {
/*  663 */     assertLoggedOn("T4CConnection.do_getDatabaseProductVersion");
/*      */     
/*  665 */     String str = null;
/*  666 */     byte[] arrayOfByte = this.ver.getVersion();
/*      */ 
/*      */     
/*      */     try {
/*  670 */       str = new String(arrayOfByte, "UTF8");
/*      */     }
/*  672 */     catch (UnsupportedEncodingException unsupportedEncodingException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  679 */       DatabaseError.throwSqlException(unsupportedEncodingException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  687 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   synchronized short doGetVersionNumber() throws SQLException {
/*  698 */     assertLoggedOn("T4CConnection.do_getVersionNumber");
/*      */     
/*  700 */     return this.ver.getVersionNumber();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleStatement RefCursorBytesToStatement(byte[] paramArrayOfbyte, OracleStatement paramOracleStatement) throws SQLException {
/*  710 */     T4CStatement t4CStatement = new T4CStatement(this, -1, -1);
/*      */ 
/*      */     
/*      */     try {
/*  714 */       int i = this.mare.unmarshalRefCursor(paramArrayOfbyte);
/*      */       
/*  716 */       t4CStatement.setCursorId(i);
/*      */       
/*  718 */       t4CStatement.isOpen = true;
/*      */ 
/*      */ 
/*      */       
/*  722 */       t4CStatement.sqlObject = paramOracleStatement.sqlObject;
/*  723 */       t4CStatement.serverCursor = true;
/*  724 */       paramOracleStatement.addChild(t4CStatement);
/*      */     }
/*  726 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  731 */       handleIOException(iOException);
/*  732 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  738 */     t4CStatement.sqlStringChanged = false;
/*  739 */     t4CStatement.needToParse = false;
/*      */     
/*  741 */     return t4CStatement;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doCancel() throws SQLException {
/*      */     try {
/*  758 */       switch (this.mare.pipeState) {
/*      */         case -1:
/*      */           return;
/*      */         
/*      */         case 1:
/*  763 */           this.net.sendBreak();
/*      */           break;
/*      */         case 2:
/*  766 */           this.net.sendInterrupt();
/*      */           break;
/*      */       } 
/*  769 */       this.mare.sentCancel = true;
/*      */     }
/*  771 */     catch (NetException netException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  778 */       DatabaseError.throwSqlException((IOException)netException);
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  783 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  790 */       handleIOException(iOException);
/*  791 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void connect(String paramString, Properties paramProperties) throws IOException, SQLException {
/*  838 */     if (paramString == null || paramProperties == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  845 */       DatabaseError.throwSqlException(433);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  854 */     this.net = (Communication)new NSProtocol();
/*      */ 
/*      */     
/*      */     try {
/*  858 */       this.net.connect(paramString, paramProperties);
/*      */     }
/*  860 */     catch (NetException netException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  865 */       throw new IOException(netException.getMessage());
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  871 */     this.mare = new T4CMAREngine(this.net);
/*  872 */     this.oer = new T4CTTIoer(this.mare, this);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  878 */     this.pro = new T4C8TTIpro(this.mare);
/*      */     
/*  880 */     this.pro.marshal();
/*  881 */     this.pro.receive();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  887 */     short s1 = this.pro.getOracleVersion();
/*  888 */     short s2 = this.pro.getCharacterSet();
/*  889 */     short s3 = DBConversion.findDriverCharSet(s2, s1);
/*      */ 
/*      */     
/*  892 */     this.conversion = new DBConversion(s2, s3, this.pro.getncharCHARSET());
/*      */ 
/*      */     
/*  895 */     this.mare.types.setServerConversion(!(s3 == s2));
/*      */ 
/*      */ 
/*      */     
/*  899 */     this.mare.types.setVersion(s1);
/*      */ 
/*      */ 
/*      */     
/*  903 */     if (DBConversion.isCharSetMultibyte(s3)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  909 */       if (DBConversion.isCharSetMultibyte(this.pro.getCharacterSet())) {
/*  910 */         this.mare.types.setFlags((byte)1);
/*      */       } else {
/*  912 */         this.mare.types.setFlags((byte)2);
/*      */       } 
/*      */     } else {
/*  915 */       this.mare.types.setFlags(this.pro.getFlags());
/*      */     } 
/*  917 */     this.mare.conv = this.conversion;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void sendPiggyBackedMessages() throws SQLException, IOException {
/*  952 */     sendPiggyBackedClose();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  960 */     if (this.endToEndAnyChanged && this.versionNumber >= 10000) {
/*      */ 
/*      */       
/*  963 */       this.oscid.marshal(this.endToEndHasChanged, this.endToEndValues, this.endToEndECIDSequenceNumber);
/*      */ 
/*      */       
/*  966 */       for (byte b = 0; b < 4; b++) {
/*  967 */         if (this.endToEndHasChanged[b])
/*  968 */           this.endToEndHasChanged[b] = false; 
/*      */       } 
/*      */     } 
/*  971 */     this.endToEndAnyChanged = false;
/*      */     
/*  973 */     if (!this.namespaces.isEmpty()) {
/*      */       
/*  975 */       if (this.versionNumber >= 10200) {
/*      */         
/*  977 */         Object[] arrayOfObject = this.namespaces.values().toArray();
/*  978 */         for (byte b = 0; b < arrayOfObject.length; b++)
/*      */         {
/*  980 */           this.okeyval.marshal((Namespace)arrayOfObject[b]);
/*      */         }
/*      */       } 
/*  983 */       this.namespaces.clear();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void sendPiggyBackedClose() throws SQLException, IOException {
/*  991 */     if (this.queryToCloseOffset > 0) {
/*      */       
/*  993 */       this.close8.initCloseQuery();
/*  994 */       this.close8.marshal(this.queryToClose, this.queryToCloseOffset);
/*      */       
/*  996 */       this.queryToCloseOffset = 0;
/*      */     } 
/*      */ 
/*      */     
/* 1000 */     if (this.cursorToCloseOffset > 0) {
/*      */       
/* 1002 */       this.close8.initCloseStatement();
/* 1003 */       this.close8.marshal(this.cursorToClose, this.cursorToCloseOffset);
/*      */       
/* 1005 */       this.cursorToCloseOffset = 0;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void doProxySession(int paramInt, Properties paramProperties) throws SQLException {
/*      */     try {
/* 1013 */       sendPiggyBackedMessages();
/*      */ 
/*      */ 
/*      */       
/* 1017 */       this.auth.marshalOauth(paramInt, paramProperties, this.sessionId, this.serialNumber);
/* 1018 */       this.auth.receiveOauth();
/*      */       
/* 1020 */       int i = this.auth.getSessionId();
/* 1021 */       int j = this.auth.getSerialNumber();
/*      */ 
/*      */       
/* 1024 */       this.oses.marshal(i, j, 1);
/*      */       
/* 1026 */       this.savedUser = this.user;
/*      */       
/* 1028 */       if (paramInt == 1) {
/* 1029 */         this.user = paramProperties.getProperty("PROXY_USER_NAME");
/*      */       } else {
/* 1031 */         this.user = null;
/*      */       } 
/* 1033 */       this.isProxy = true;
/*      */     }
/* 1035 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1040 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeProxySession() throws SQLException {
/*      */     try {
/* 1051 */       sendPiggyBackedMessages();
/* 1052 */       this.commoncall.init((short)9);
/* 1053 */       this.commoncall.marshal();
/* 1054 */       this.commoncall.receive();
/*      */ 
/*      */       
/* 1057 */       this.oses.marshal(this.sessionId, this.serialNumber, 1);
/*      */       
/* 1059 */       this.user = this.savedUser;
/*      */     }
/* 1061 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1066 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getServerSessionInfo() throws SQLException {
/* 1075 */     if (this.sessionProperties == null) {
/* 1076 */       this.sessionProperties = new Properties();
/*      */     }
/*      */     
/* 1079 */     if (getVersionNumber() < 10200) {
/* 1080 */       queryFCFProperties(this.sessionProperties);
/*      */     }
/*      */     else {
/*      */       
/* 1084 */       this.sessionProperties.setProperty("SERVER_HOST", this.auth.connectionValues.getProperty("AUTH_SC_SERVER_HOST", ""));
/*      */ 
/*      */ 
/*      */       
/* 1088 */       this.sessionProperties.setProperty("INSTANCE_NAME", this.auth.connectionValues.getProperty("AUTH_SC_INSTANCE_NAME", ""));
/*      */ 
/*      */ 
/*      */       
/* 1092 */       this.sessionProperties.setProperty("DATABASE_NAME", this.auth.connectionValues.getProperty("AUTH_SC_DBUNIQUE_NAME", ""));
/*      */ 
/*      */ 
/*      */       
/* 1096 */       this.sessionProperties.setProperty("SERVICE_NAME", this.auth.connectionValues.getProperty("AUTH_SC_SERVICE_NAME", ""));
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1101 */     return this.sessionProperties;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BlobDBAccess createBlobDBAccess() throws SQLException {
/* 1118 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ClobDBAccess createClobDBAccess() throws SQLException {
/* 1124 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BfileDBAccess createBfileDBAccess() throws SQLException {
/* 1130 */     return this;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long length(BFILE paramBFILE) throws SQLException {
/* 1153 */     assertLoggedOn("length");
/* 1154 */     assertNotNull(paramBFILE.shareBytes(), "length");
/*      */     
/* 1156 */     needLine();
/*      */     
/* 1158 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/* 1162 */       l = this.bfileMsg.getLength(paramBFILE.shareBytes());
/*      */     }
/* 1164 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1171 */       handleIOException(iOException);
/* 1172 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1180 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long position(BFILE paramBFILE, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 1202 */     if (paramLong < 1L)
/*      */     {
/* 1204 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1211 */     long l = LobPlsqlUtil.hasPattern(paramBFILE, paramArrayOfbyte, paramLong);
/*      */     
/* 1213 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1218 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long position(BFILE paramBFILE1, BFILE paramBFILE2, long paramLong) throws SQLException {
/* 1240 */     if (paramLong < 1L)
/*      */     {
/* 1242 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1249 */     long l = LobPlsqlUtil.isSubLob(paramBFILE1, paramBFILE2, paramLong);
/*      */     
/* 1251 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1256 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getBytes(BFILE paramBFILE, long paramLong, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 1274 */     assertLoggedOn("getBytes");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1279 */     if (paramLong < 1L)
/*      */     {
/* 1281 */       DatabaseError.throwSqlException(68, "getBytes()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1289 */     if (paramInt <= 0 || paramArrayOfbyte == null) {
/* 1290 */       return 0;
/*      */     }
/* 1292 */     needLine();
/*      */     
/* 1294 */     long l = 0L;
/*      */     
/* 1296 */     if (paramInt != 0) {
/*      */       
/*      */       try {
/*      */         
/* 1300 */         l = this.bfileMsg.read(paramBFILE.shareBytes(), paramLong, paramInt, paramArrayOfbyte);
/*      */       }
/* 1302 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1310 */         handleIOException(iOException);
/* 1311 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1320 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getName(BFILE paramBFILE) throws SQLException {
/* 1336 */     assertLoggedOn("getName");
/* 1337 */     assertNotNull(paramBFILE.shareBytes(), "getName");
/*      */     
/* 1339 */     return LobPlsqlUtil.fileGetName(paramBFILE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getDirAlias(BFILE paramBFILE) throws SQLException {
/* 1359 */     assertLoggedOn("getDirAlias");
/* 1360 */     assertNotNull(paramBFILE.shareBytes(), "getDirAlias");
/*      */     
/* 1362 */     return LobPlsqlUtil.fileGetDirAlias(paramBFILE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void openFile(BFILE paramBFILE) throws SQLException {
/* 1381 */     assertLoggedOn("openFile");
/* 1382 */     assertNotNull(paramBFILE.shareBytes(), "openFile");
/*      */     
/* 1384 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 1388 */       this.bfileMsg.open(paramBFILE.shareBytes(), 11);
/*      */     }
/* 1390 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1398 */       handleIOException(iOException);
/* 1399 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isFileOpen(BFILE paramBFILE) throws SQLException {
/* 1423 */     assertLoggedOn("openFile");
/* 1424 */     assertNotNull(paramBFILE.shareBytes(), "openFile");
/*      */     
/* 1426 */     needLine();
/*      */     
/* 1428 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/* 1432 */       bool = this.bfileMsg.isOpen(paramBFILE.shareBytes());
/*      */     }
/* 1434 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1442 */       handleIOException(iOException);
/* 1443 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1451 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean fileExists(BFILE paramBFILE) throws SQLException {
/* 1469 */     assertLoggedOn("fileExists");
/* 1470 */     assertNotNull(paramBFILE.shareBytes(), "fileExists");
/*      */     
/* 1472 */     needLine();
/*      */     
/* 1474 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/* 1478 */       bool = this.bfileMsg.doesExist(paramBFILE.shareBytes());
/*      */     }
/* 1480 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1488 */       handleIOException(iOException);
/* 1489 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1497 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void closeFile(BFILE paramBFILE) throws SQLException {
/* 1512 */     assertLoggedOn("closeFile");
/* 1513 */     assertNotNull(paramBFILE.shareBytes(), "closeFile");
/*      */     
/* 1515 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 1519 */       this.bfileMsg.close(paramBFILE.shareBytes());
/*      */     }
/* 1521 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1529 */       handleIOException(iOException);
/* 1530 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void open(BFILE paramBFILE, int paramInt) throws SQLException {
/* 1553 */     assertLoggedOn("open");
/* 1554 */     assertNotNull(paramBFILE.shareBytes(), "open");
/*      */     
/* 1556 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 1560 */       this.bfileMsg.open(paramBFILE.shareBytes(), paramInt);
/*      */     }
/* 1562 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1570 */       handleIOException(iOException);
/* 1571 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(BFILE paramBFILE) throws SQLException {
/* 1591 */     assertLoggedOn("close");
/* 1592 */     assertNotNull(paramBFILE.shareBytes(), "close");
/*      */     
/* 1594 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 1598 */       this.bfileMsg.close(paramBFILE.shareBytes());
/*      */     }
/* 1600 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1608 */       handleIOException(iOException);
/* 1609 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isOpen(BFILE paramBFILE) throws SQLException {
/* 1630 */     assertLoggedOn("isOpen");
/* 1631 */     assertNotNull(paramBFILE.shareBytes(), "isOpen");
/*      */     
/* 1633 */     needLine();
/*      */     
/* 1635 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/* 1639 */       bool = this.bfileMsg.isOpen(paramBFILE.shareBytes());
/*      */     }
/* 1641 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1649 */       handleIOException(iOException);
/* 1650 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1658 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream newInputStream(BFILE paramBFILE, int paramInt, long paramLong) throws SQLException {
/* 1678 */     if (paramLong == 0L)
/*      */     {
/* 1680 */       return new OracleBlobInputStream(paramBFILE, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 1684 */     return new OracleBlobInputStream(paramBFILE, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream newConversionInputStream(BFILE paramBFILE, int paramInt) throws SQLException {
/* 1705 */     assertNotNull(paramBFILE.shareBytes(), "newConversionInputStream");
/*      */     
/* 1707 */     return new OracleConversionInputStream(this.conversion, paramBFILE.getBinaryStream(), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader newConversionReader(BFILE paramBFILE, int paramInt) throws SQLException {
/* 1732 */     assertNotNull(paramBFILE.shareBytes(), "newConversionReader");
/*      */     
/* 1734 */     return new OracleConversionReader(this.conversion, paramBFILE.getBinaryStream(), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long length(BLOB paramBLOB) throws SQLException {
/* 1763 */     assertLoggedOn("length");
/* 1764 */     assertNotNull(paramBLOB.shareBytes(), "length");
/*      */     
/* 1766 */     needLine();
/*      */     
/* 1768 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/* 1772 */       l = this.blobMsg.getLength(paramBLOB.shareBytes());
/*      */     }
/* 1774 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1781 */       handleIOException(iOException);
/* 1782 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1790 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long position(BLOB paramBLOB, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 1809 */     assertLoggedOn("position");
/* 1810 */     assertNotNull(paramBLOB.shareBytes(), "position");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1815 */     if (paramLong < 1L)
/*      */     {
/* 1817 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1824 */     long l = LobPlsqlUtil.hasPattern(paramBLOB, paramArrayOfbyte, paramLong);
/*      */     
/* 1826 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */     
/* 1830 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long position(BLOB paramBLOB1, BLOB paramBLOB2, long paramLong) throws SQLException {
/* 1848 */     assertLoggedOn("position");
/* 1849 */     assertNotNull(paramBLOB1.shareBytes(), "position");
/* 1850 */     assertNotNull(paramBLOB2.shareBytes(), "position");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1855 */     if (paramLong < 1L)
/*      */     {
/* 1857 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1864 */     long l = LobPlsqlUtil.isSubLob(paramBLOB1, paramBLOB2, paramLong);
/*      */     
/* 1866 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */     
/* 1870 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getBytes(BLOB paramBLOB, long paramLong, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 1889 */     assertLoggedOn("getBytes");
/* 1890 */     assertNotNull(paramBLOB.shareBytes(), "getBytes");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1895 */     if (paramLong < 1L)
/*      */     {
/* 1897 */       DatabaseError.throwSqlException(68, "getBytes()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1904 */     if (paramInt <= 0 || paramArrayOfbyte == null) {
/* 1905 */       return 0;
/*      */     }
/* 1907 */     needLine();
/*      */     
/* 1909 */     long l = 0L;
/*      */     
/* 1911 */     if (paramInt != 0) {
/*      */       
/*      */       try {
/*      */         
/* 1915 */         l = this.blobMsg.read(paramBLOB.shareBytes(), paramLong, paramInt, paramArrayOfbyte);
/*      */       }
/* 1917 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1925 */         handleIOException(iOException);
/* 1926 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1935 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int putBytes(BLOB paramBLOB, long paramLong, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 1956 */     assertLoggedOn("putBytes");
/* 1957 */     assertNotNull(paramBLOB.shareBytes(), "putBytes");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1962 */     if (paramLong < 1L)
/*      */     {
/* 1964 */       DatabaseError.throwSqlException(68, "putBytes()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1971 */     if (paramArrayOfbyte == null || paramInt2 <= 0) {
/* 1972 */       return 0;
/*      */     }
/* 1974 */     needLine();
/*      */     
/* 1976 */     long l = 0L;
/*      */     
/* 1978 */     if (paramInt2 != 0) {
/*      */       
/*      */       try {
/*      */         
/* 1982 */         l = this.blobMsg.write(paramBLOB.shareBytes(), paramLong, paramArrayOfbyte, paramInt1, paramInt2);
/*      */       
/*      */       }
/* 1985 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1993 */         handleIOException(iOException);
/* 1994 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2003 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getChunkSize(BLOB paramBLOB) throws SQLException {
/* 2017 */     assertLoggedOn("getChunkSize");
/* 2018 */     assertNotNull(paramBLOB.shareBytes(), "getChunkSize");
/*      */     
/* 2020 */     needLine();
/*      */     
/* 2022 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/* 2026 */       l = this.blobMsg.getChunkSize(paramBLOB.shareBytes());
/*      */     }
/* 2028 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2036 */       handleIOException(iOException);
/* 2037 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2045 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void trim(BLOB paramBLOB, long paramLong) throws SQLException {
/* 2061 */     assertLoggedOn("trim");
/* 2062 */     assertNotNull(paramBLOB.shareBytes(), "trim");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2067 */     if (paramLong < 0L)
/*      */     {
/* 2069 */       DatabaseError.throwSqlException(68, "trim()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2076 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2080 */       this.blobMsg.trim(paramBLOB.shareBytes(), paramLong);
/*      */     }
/* 2082 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2090 */       handleIOException(iOException);
/* 2091 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BLOB createTemporaryBlob(Connection paramConnection, boolean paramBoolean, int paramInt) throws SQLException {
/* 2117 */     assertLoggedOn("createTemporaryBlob");
/*      */     
/* 2119 */     needLine();
/*      */     
/* 2121 */     BLOB bLOB = null;
/*      */ 
/*      */     
/*      */     try {
/* 2125 */       bLOB = (BLOB)this.blobMsg.createTemporaryLob((Connection)this, paramBoolean, paramInt);
/*      */     }
/* 2127 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2135 */       handleIOException(iOException);
/* 2136 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2144 */     return bLOB;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void freeTemporary(BLOB paramBLOB) throws SQLException {
/* 2160 */     assertLoggedOn("freeTemporary");
/* 2161 */     assertNotNull(paramBLOB.shareBytes(), "freeTemporary");
/*      */     
/* 2163 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2167 */       this.blobMsg.freeTemporaryLob(paramBLOB.shareBytes());
/*      */     }
/* 2169 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2177 */       handleIOException(iOException);
/* 2178 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isTemporary(BLOB paramBLOB) throws SQLException {
/* 2208 */     boolean bool = false;
/* 2209 */     byte[] arrayOfByte = paramBLOB.shareBytes();
/*      */     
/* 2211 */     if ((arrayOfByte[7] & 0x1) > 0 || (arrayOfByte[4] & 0x40) > 0) {
/* 2212 */       bool = true;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 2217 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void open(BLOB paramBLOB, int paramInt) throws SQLException {
/* 2232 */     assertLoggedOn("open");
/* 2233 */     assertNotNull(paramBLOB.shareBytes(), "open");
/*      */     
/* 2235 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2239 */       this.blobMsg.open(paramBLOB.shareBytes(), paramInt);
/*      */     }
/* 2241 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2249 */       handleIOException(iOException);
/* 2250 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(BLOB paramBLOB) throws SQLException {
/* 2270 */     assertLoggedOn("close");
/* 2271 */     assertNotNull(paramBLOB.shareBytes(), "close");
/*      */     
/* 2273 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2277 */       this.blobMsg.close(paramBLOB.shareBytes());
/*      */     }
/* 2279 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2287 */       handleIOException(iOException);
/* 2288 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isOpen(BLOB paramBLOB) throws SQLException {
/* 2309 */     assertLoggedOn("isOpen");
/* 2310 */     assertNotNull(paramBLOB.shareBytes(), "isOpen");
/*      */     
/* 2312 */     needLine();
/*      */     
/* 2314 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/* 2318 */       bool = this.blobMsg.isOpen(paramBLOB.shareBytes());
/*      */     }
/* 2320 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2328 */       handleIOException(iOException);
/* 2329 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2337 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream newInputStream(BLOB paramBLOB, int paramInt, long paramLong) throws SQLException {
/* 2357 */     if (paramLong == 0L)
/*      */     {
/* 2359 */       return new OracleBlobInputStream(paramBLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 2363 */     return new OracleBlobInputStream(paramBLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OutputStream newOutputStream(BLOB paramBLOB, int paramInt, long paramLong) throws SQLException {
/* 2384 */     if (paramLong == 0L)
/*      */     {
/* 2386 */       return new OracleBlobOutputStream(paramBLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 2390 */     return new OracleBlobOutputStream(paramBLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream newConversionInputStream(BLOB paramBLOB, int paramInt) throws SQLException {
/* 2411 */     assertNotNull(paramBLOB.shareBytes(), "newConversionInputStream");
/*      */     
/* 2413 */     return new OracleConversionInputStream(this.conversion, paramBLOB.getBinaryStream(), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader newConversionReader(BLOB paramBLOB, int paramInt) throws SQLException {
/* 2438 */     assertNotNull(paramBLOB.shareBytes(), "newConversionReader");
/*      */     
/* 2440 */     return new OracleConversionReader(this.conversion, paramBLOB.getBinaryStream(), paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long length(CLOB paramCLOB) throws SQLException {
/* 2472 */     assertLoggedOn("length");
/* 2473 */     assertNotNull(paramCLOB.shareBytes(), "length");
/*      */     
/* 2475 */     needLine();
/*      */     
/* 2477 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/* 2481 */       l = this.clobMsg.getLength(paramCLOB.shareBytes());
/*      */     }
/* 2483 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2490 */       handleIOException(iOException);
/* 2491 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2499 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long position(CLOB paramCLOB, String paramString, long paramLong) throws SQLException {
/* 2518 */     if (paramString == null) {
/* 2519 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */     
/* 2522 */     assertLoggedOn("position");
/* 2523 */     assertNotNull(paramCLOB.shareBytes(), "position");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2528 */     if (paramLong < 1L)
/*      */     {
/* 2530 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2537 */     char[] arrayOfChar = new char[paramString.length()];
/*      */     
/* 2539 */     paramString.getChars(0, arrayOfChar.length, arrayOfChar, 0);
/*      */     
/* 2541 */     long l = LobPlsqlUtil.hasPattern(paramCLOB, arrayOfChar, paramLong);
/*      */     
/* 2543 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */     
/* 2547 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long position(CLOB paramCLOB1, CLOB paramCLOB2, long paramLong) throws SQLException {
/* 2564 */     if (paramCLOB2 == null) {
/* 2565 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */     
/* 2568 */     assertLoggedOn("position");
/* 2569 */     assertNotNull(paramCLOB1.shareBytes(), "position");
/* 2570 */     assertNotNull(paramCLOB2.shareBytes(), "position");
/*      */     
/* 2572 */     if (paramLong < 1L)
/*      */     {
/* 2574 */       DatabaseError.throwSqlException(68, "position()");
/*      */     }
/*      */ 
/*      */     
/* 2578 */     long l = LobPlsqlUtil.isSubLob(paramCLOB1, paramCLOB2, paramLong);
/*      */     
/* 2580 */     l = (l == 0L) ? -1L : l;
/*      */ 
/*      */ 
/*      */     
/* 2584 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getChars(CLOB paramCLOB, long paramLong, int paramInt, char[] paramArrayOfchar) throws SQLException {
/* 2603 */     assertLoggedOn("getChars");
/* 2604 */     assertNotNull(paramCLOB.shareBytes(), "getChars");
/*      */     
/* 2606 */     if (paramLong < 1L)
/*      */     {
/* 2608 */       DatabaseError.throwSqlException(68, "getChars()");
/*      */     }
/*      */ 
/*      */     
/* 2612 */     if (paramInt <= 0 || paramArrayOfchar == null) {
/* 2613 */       return 0;
/*      */     }
/* 2615 */     needLine();
/*      */     
/* 2617 */     long l = 0L;
/*      */     
/* 2619 */     if (paramInt != 0) {
/*      */       
/*      */       try {
/*      */         
/* 2623 */         boolean bool = paramCLOB.isNCLOB();
/*      */         
/* 2625 */         l = this.clobMsg.read(paramCLOB.shareBytes(), paramLong, paramInt, bool, paramArrayOfchar);
/*      */       }
/* 2627 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2635 */         handleIOException(iOException);
/* 2636 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2645 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int putChars(CLOB paramCLOB, long paramLong, char[] paramArrayOfchar, int paramInt1, int paramInt2) throws SQLException {
/* 2667 */     assertLoggedOn("putChars");
/* 2668 */     assertNotNull(paramCLOB.shareBytes(), "putChars");
/*      */     
/* 2670 */     if (paramLong < 1L)
/*      */     {
/* 2672 */       DatabaseError.throwSqlException(68, "putChars()");
/*      */     }
/*      */ 
/*      */     
/* 2676 */     if (paramArrayOfchar == null || paramInt2 <= 0) {
/* 2677 */       return 0;
/*      */     }
/* 2679 */     needLine();
/*      */     
/* 2681 */     long l = 0L;
/*      */     
/* 2683 */     if (paramInt2 != 0) {
/*      */       
/*      */       try {
/*      */         
/* 2687 */         boolean bool = paramCLOB.isNCLOB();
/*      */         
/* 2689 */         l = this.clobMsg.write(paramCLOB.shareBytes(), paramLong, bool, paramArrayOfchar, paramInt1, paramInt2);
/*      */       
/*      */       }
/* 2692 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2700 */         handleIOException(iOException);
/* 2701 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2710 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getChunkSize(CLOB paramCLOB) throws SQLException {
/* 2724 */     assertLoggedOn("getChunkSize");
/* 2725 */     assertNotNull(paramCLOB.shareBytes(), "getChunkSize");
/*      */     
/* 2727 */     needLine();
/*      */     
/* 2729 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/* 2733 */       l = this.clobMsg.getChunkSize(paramCLOB.shareBytes());
/*      */     }
/* 2735 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2743 */       handleIOException(iOException);
/* 2744 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2752 */     return (int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void trim(CLOB paramCLOB, long paramLong) throws SQLException {
/* 2768 */     assertLoggedOn("trim");
/* 2769 */     assertNotNull(paramCLOB.shareBytes(), "trim");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2774 */     if (paramLong < 0L)
/*      */     {
/* 2776 */       DatabaseError.throwSqlException(68, "trim()");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2783 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2787 */       this.clobMsg.trim(paramCLOB.shareBytes(), paramLong);
/*      */     }
/* 2789 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2797 */       handleIOException(iOException);
/* 2798 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CLOB createTemporaryClob(Connection paramConnection, boolean paramBoolean, int paramInt, short paramShort) throws SQLException {
/* 2826 */     assertLoggedOn("createTemporaryClob");
/*      */     
/* 2828 */     needLine();
/*      */     
/* 2830 */     CLOB cLOB = null;
/*      */ 
/*      */     
/*      */     try {
/* 2834 */       cLOB = (CLOB)this.clobMsg.createTemporaryLob((Connection)this, paramBoolean, paramInt, paramShort);
/*      */     
/*      */     }
/* 2837 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2845 */       handleIOException(iOException);
/* 2846 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2854 */     return cLOB;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void freeTemporary(CLOB paramCLOB) throws SQLException {
/* 2870 */     assertLoggedOn("freeTemporary");
/* 2871 */     assertNotNull(paramCLOB.shareBytes(), "freeTemporary");
/*      */     
/* 2873 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2877 */       this.clobMsg.freeTemporaryLob(paramCLOB.shareBytes());
/*      */     }
/* 2879 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2887 */       handleIOException(iOException);
/* 2888 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isTemporary(CLOB paramCLOB) throws SQLException {
/* 2918 */     boolean bool = false;
/* 2919 */     byte[] arrayOfByte = paramCLOB.shareBytes();
/*      */     
/* 2921 */     if ((arrayOfByte[7] & 0x1) > 0 || (arrayOfByte[4] & 0x40) > 0) {
/* 2922 */       bool = true;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 2927 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void open(CLOB paramCLOB, int paramInt) throws SQLException {
/* 2942 */     assertLoggedOn("open");
/* 2943 */     assertNotNull(paramCLOB.shareBytes(), "open");
/*      */     
/* 2945 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2949 */       this.clobMsg.open(paramCLOB.shareBytes(), paramInt);
/*      */     }
/* 2951 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2959 */       handleIOException(iOException);
/* 2960 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(CLOB paramCLOB) throws SQLException {
/* 2980 */     assertLoggedOn("close");
/* 2981 */     assertNotNull(paramCLOB.shareBytes(), "close");
/*      */     
/* 2983 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 2987 */       this.clobMsg.close(paramCLOB.shareBytes());
/*      */     }
/* 2989 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2997 */       handleIOException(iOException);
/* 2998 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isOpen(CLOB paramCLOB) throws SQLException {
/* 3019 */     assertLoggedOn("isOpen");
/* 3020 */     assertNotNull(paramCLOB.shareBytes(), "isOpen");
/*      */     
/* 3022 */     boolean bool = false;
/*      */     
/* 3024 */     needLine();
/*      */ 
/*      */     
/*      */     try {
/* 3028 */       bool = this.clobMsg.isOpen(paramCLOB.shareBytes());
/*      */     }
/* 3030 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3038 */       handleIOException(iOException);
/* 3039 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3047 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream newInputStream(CLOB paramCLOB, int paramInt, long paramLong) throws SQLException {
/* 3068 */     if (paramLong == 0L)
/*      */     {
/* 3070 */       return new OracleClobInputStream(paramCLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 3074 */     return new OracleClobInputStream(paramCLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OutputStream newOutputStream(CLOB paramCLOB, int paramInt, long paramLong) throws SQLException {
/* 3095 */     if (paramLong == 0L)
/*      */     {
/* 3097 */       return new OracleClobOutputStream(paramCLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 3101 */     return new OracleClobOutputStream(paramCLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader newReader(CLOB paramCLOB, int paramInt, long paramLong) throws SQLException {
/* 3122 */     if (paramLong == 0L)
/*      */     {
/* 3124 */       return new OracleClobReader(paramCLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 3128 */     return new OracleClobReader(paramCLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Writer newWriter(CLOB paramCLOB, int paramInt, long paramLong) throws SQLException {
/* 3149 */     if (paramLong == 0L)
/*      */     {
/* 3151 */       return new OracleClobWriter(paramCLOB, paramInt);
/*      */     }
/*      */ 
/*      */     
/* 3155 */     return new OracleClobWriter(paramCLOB, paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void assertLoggedOn(String paramString) throws SQLException {
/* 3179 */     if (!this.isLoggedOn)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 3184 */       DatabaseError.throwSqlException(430);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void assertNotNull(byte[] paramArrayOfbyte, String paramString) throws NullPointerException {
/* 3201 */     if (paramArrayOfbyte == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 3206 */       throw new NullPointerException("bytes are null");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void internalClose() throws SQLException {
/* 3215 */     super.internalClose();
/*      */     
/* 3217 */     this.isLoggedOn = false;
/*      */     
/*      */     try {
/* 3220 */       if (this.net != null) {
/* 3221 */         this.net.disconnect();
/*      */       }
/* 3223 */     } catch (Exception exception) {}
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doAbort() throws SQLException {
/*      */     try {
/* 3240 */       this.net.abort();
/*      */     }
/* 3242 */     catch (NetException netException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3249 */       DatabaseError.throwSqlException((IOException)netException);
/*      */ 
/*      */ 
/*      */     
/*      */     }
/* 3254 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3261 */       handleIOException(iOException);
/* 3262 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void doDescribeTable(AutoKeyInfo paramAutoKeyInfo) throws SQLException {
/* 3272 */     T4CStatement t4CStatement = new T4CStatement(this, -1, -1);
/* 3273 */     t4CStatement.open();
/*      */     
/* 3275 */     String str1 = paramAutoKeyInfo.getTableName();
/* 3276 */     String str2 = "SELECT * FROM " + str1;
/*      */     
/* 3278 */     t4CStatement.sqlObject.initialize(str2);
/*      */     
/* 3280 */     Accessor[] arrayOfAccessor = null;
/*      */ 
/*      */     
/*      */     try {
/* 3284 */       this.describe.init(t4CStatement, 0);
/* 3285 */       this.describe.sqltext = t4CStatement.sqlObject.getSqlBytes(false, false);
/* 3286 */       this.describe.marshal();
/* 3287 */       arrayOfAccessor = this.describe.receive(arrayOfAccessor);
/*      */     }
/* 3289 */     catch (IOException iOException) {
/*      */       
/* 3291 */       handleIOException(iOException);
/* 3292 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/* 3295 */     int i = this.describe.numuds;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3306 */     paramAutoKeyInfo.allocateSpaceForDescribedData(i);
/*      */     
/* 3308 */     for (byte b = 0; b < i; b++) {
/*      */       
/* 3310 */       Accessor accessor = arrayOfAccessor[b];
/* 3311 */       String str3 = accessor.columnName;
/* 3312 */       int j = accessor.describeType;
/* 3313 */       int k = accessor.describeMaxLength;
/* 3314 */       boolean bool = accessor.nullable;
/* 3315 */       short s = accessor.formOfUse;
/* 3316 */       int m = accessor.precision;
/* 3317 */       int n = accessor.scale;
/* 3318 */       String str4 = accessor.describeTypeName;
/*      */       
/* 3320 */       paramAutoKeyInfo.fillDescribedData(b, str3, j, k, bool, s, m, n, str4);
/*      */     } 
/*      */ 
/*      */     
/* 3324 */     t4CStatement.close();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doSetApplicationContext(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 3333 */     Namespace namespace = (Namespace)this.namespaces.get(paramString1);
/* 3334 */     if (namespace == null) {
/*      */       
/* 3336 */       namespace = new Namespace(paramString1);
/* 3337 */       this.namespaces.put(paramString1, namespace);
/*      */     } 
/* 3339 */     namespace.setAttribute(paramString2, paramString3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClearAllApplicationContext(String paramString) throws SQLException {
/* 3346 */     Namespace namespace = new Namespace(paramString);
/* 3347 */     namespace.clear();
/* 3348 */     this.namespaces.put(paramString, namespace);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection) throws SQLException {
/* 3354 */     getPropertyForPooledConnection(paramOraclePooledConnection, this.password);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   final void getPasswordInternal(T4CXAResource paramT4CXAResource) throws SQLException {
/* 3360 */     paramT4CXAResource.setPasswordInternal(this.password);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 3365 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:39_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */