/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.net.InetAddress;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLWarning;
/*      */ import java.util.Date;
/*      */ import java.util.Locale;
/*      */ import java.util.Properties;
/*      */ import java.util.TimeZone;
/*      */ import oracle.jdbc.util.RepConversion;
/*      */ import oracle.net.ns.BreakNetException;
/*      */ import oracle.security.o3logon.O3LoginClientHelper;
/*      */ import oracle.sql.converter.CharacterSetMetaData;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CTTIoauthenticate
/*      */   extends T4CTTIfun
/*      */ {
/*      */   byte[] user;
/*      */   String userStr;
/*      */   byte[] password;
/*      */   String passwordStr;
/*      */   byte[] terminal;
/*      */   byte[] machine;
/*      */   byte[] sysUserName;
/*      */   byte[] processID;
/*      */   byte[] programName;
/*      */   long flag;
/*      */   byte[] encryptedSK;
/*      */   byte[] internalName;
/*      */   byte[] externalName;
/*      */   byte[] alterSession;
/*      */   byte[] aclValue;
/*      */   byte[] clientname;
/*      */   String ressourceManagerId;
/*      */   T4CConnection conn;
/*      */   boolean isSessionTZ = true;
/*   95 */   Properties connectionValues = new Properties();
/*      */   
/*      */   static final int SERVER_VERSION_81 = 8100;
/*      */   
/*      */   static final int KPZ_LOGON = 1;
/*      */   
/*      */   static final int KPZ_CPW = 2;
/*      */   
/*      */   static final int KPZ_SRVAUTH = 4;
/*      */   
/*      */   static final int KPZ_ENCRYPTED_PASSWD = 256;
/*      */   
/*      */   static final int KPZ_LOGON_MIGRATE = 16;
/*      */   
/*      */   static final int KPZ_LOGON_SYSDBA = 32;
/*      */   
/*      */   static final int KPZ_LOGON_SYSOPER = 64;
/*      */   
/*      */   static final int KPZ_LOGON_PRELIMAUTH = 128;
/*      */   
/*      */   static final int KPZ_PASSWD_ENCRYPTED = 256;
/*      */   
/*      */   static final int KPZ_LOGON_DBCONC = 512;
/*      */   
/*      */   static final int KPZ_PROXY_AUTH = 1024;
/*      */   
/*      */   static final int KPZ_SESSION_CACHE = 2048;
/*      */   
/*      */   static final int KPZ_PASSWD_IS_VFR = 4096;
/*      */   
/*      */   static final String AUTH_TERMINAL = "AUTH_TERMINAL";
/*      */   
/*      */   static final String AUTH_PROGRAM_NM = "AUTH_PROGRAM_NM";
/*      */   
/*      */   static final String AUTH_MACHINE = "AUTH_MACHINE";
/*      */   
/*      */   static final String AUTH_PID = "AUTH_PID";
/*      */   
/*      */   static final String AUTH_SID = "AUTH_SID";
/*      */   
/*      */   static final String AUTH_SESSKEY = "AUTH_SESSKEY";
/*      */   
/*      */   static final String AUTH_VFR_DATA = "AUTH_VFR_DATA";
/*      */   
/*      */   static final String AUTH_PASSWORD = "AUTH_PASSWORD";
/*      */   
/*      */   static final String AUTH_INTERNALNAME = "AUTH_INTERNALNAME_";
/*      */   
/*      */   static final String AUTH_EXTERNALNAME = "AUTH_EXTERNALNAME_";
/*      */   static final String AUTH_ACL = "AUTH_ACL";
/*      */   static final String AUTH_ALTER_SESSION = "AUTH_ALTER_SESSION";
/*      */   static final String AUTH_INITIAL_CLIENT_ROLE = "INITIAL_CLIENT_ROLE";
/*      */   static final String AUTH_VERSION_SQL = "AUTH_VERSION_SQL";
/*      */   static final String AUTH_VERSION_NO = "AUTH_VERSION_NO";
/*      */   static final String AUTH_XACTION_TRAITS = "AUTH_XACTION_TRAITS";
/*      */   static final String AUTH_VERSION_STATUS = "AUTH_VERSION_STATUS";
/*      */   static final String AUTH_SERIAL_NUM = "AUTH_SERIAL_NUM";
/*      */   static final String AUTH_SESSION_ID = "AUTH_SESSION_ID";
/*      */   static final String AUTH_CLIENT_CERTIFICATE = "AUTH_CLIENT_CERTIFICATE";
/*      */   static final String AUTH_PROXY_CLIENT_NAME = "PROXY_CLIENT_NAME";
/*      */   static final String AUTH_CLIENT_DN = "AUTH_CLIENT_DISTINGUISHED_NAME";
/*      */   static final String AUTH_INSTANCENAME = "AUTH_INSTANCENAME";
/*      */   static final String AUTH_DBNAME = "AUTH_DBNAME";
/*      */   static final String AUTH_INSTANCE_NO = "AUTH_INSTANCE_NO";
/*      */   static final String AUTH_SC_SERVER_HOST = "AUTH_SC_SERVER_HOST";
/*      */   static final String AUTH_SC_INSTANCE_NAME = "AUTH_SC_INSTANCE_NAME";
/*      */   static final String AUTH_SC_INSTANCE_ID = "AUTH_SC_INSTANCE_ID";
/*      */   static final String AUTH_SC_INSTANCE_START_TIME = "AUTH_SC_INSTANCE_START_TIME";
/*      */   static final String AUTH_SC_DBUNIQUE_NAME = "AUTH_SC_DBUNIQUE_NAME";
/*      */   static final String AUTH_SC_SERVICE_NAME = "AUTH_SC_SERVICE_NAME";
/*      */   static final String AUTH_SC_SVC_FLAGS = "AUTH_SC_SVC_FLAGS";
/*      */   static final String AUTH_COPYRIGHT = "AUTH_COPYRIGHT";
/*      */   static final String COPYRIGHT_STR = "\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.";
/*      */   
/*      */   T4CTTIoauthenticate(T4CMAREngine paramT4CMAREngine, String paramString1, String paramString2, Properties paramProperties, long paramLong, String paramString3, T4CTTIoer paramT4CTTIoer, T4CConnection paramT4CConnection) throws SQLException {
/*  170 */     super((byte)3, 0, (short)0);
/*      */ 
/*      */ 
/*      */     
/*  174 */     this.oer = paramT4CTTIoer;
/*      */     
/*  176 */     setMarshalingEngine(paramT4CMAREngine);
/*      */     
/*  178 */     this.user = paramT4CMAREngine.conv.StringToCharBytes(paramString1);
/*  179 */     this.userStr = paramString1;
/*  180 */     this.passwordStr = paramString2;
/*  181 */     this.flag = paramLong;
/*  182 */     this.ressourceManagerId = paramString3;
/*  183 */     this.conn = paramT4CConnection;
/*      */     
/*  185 */     setSessionFields(paramProperties);
/*      */     
/*  187 */     this.isSessionTZ = (this.conn.ver.getVersionNumber() >= 8100);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalOsesskey() throws IOException, SQLException {
/*  198 */     this.funCode = 118;
/*      */     
/*  200 */     marshalFunHeader();
/*  201 */     this.meg.marshalPTR();
/*  202 */     this.meg.marshalSB4(this.user.length);
/*  203 */     this.meg.marshalUB4(this.flag | 0x1L);
/*  204 */     this.meg.marshalPTR();
/*      */ 
/*      */ 
/*      */     
/*  208 */     byte b1 = 4;
/*      */     
/*  210 */     if (this.programName != null) {
/*  211 */       b1++;
/*      */     }
/*  213 */     this.meg.marshalUB4(b1);
/*  214 */     this.meg.marshalPTR();
/*  215 */     this.meg.marshalPTR();
/*      */ 
/*      */     
/*  218 */     this.meg.marshalCHR(this.user);
/*      */     
/*  220 */     byte[][] arrayOfByte1 = new byte[b1][];
/*  221 */     byte[][] arrayOfByte2 = new byte[b1][];
/*      */ 
/*      */ 
/*      */     
/*  225 */     byte[] arrayOfByte = new byte[b1];
/*  226 */     byte b2 = 0;
/*      */ 
/*      */     
/*  229 */     arrayOfByte1[b2] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */     
/*  231 */     arrayOfByte2[b2++] = this.terminal;
/*      */ 
/*      */     
/*  234 */     if (this.programName != null) {
/*      */       
/*  236 */       arrayOfByte1[b2] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  238 */       arrayOfByte2[b2++] = this.programName;
/*      */     } 
/*      */ 
/*      */     
/*  242 */     arrayOfByte1[b2] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  243 */     arrayOfByte2[b2++] = this.machine;
/*      */ 
/*      */     
/*  246 */     arrayOfByte1[b2] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  247 */     arrayOfByte2[b2++] = this.processID;
/*      */ 
/*      */     
/*  250 */     arrayOfByte1[b2] = this.meg.conv.StringToCharBytes("AUTH_SID");
/*  251 */     arrayOfByte2[b2++] = this.sysUserName;
/*      */     
/*  253 */     this.meg.marshalKEYVAL(arrayOfByte1, arrayOfByte2, arrayOfByte, b1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void receiveOsesskey() throws IOException, SQLException {
/*  265 */     byte[][] arrayOfByte1 = (byte[][])null;
/*  266 */     byte[][] arrayOfByte2 = (byte[][])null;
/*      */     
/*      */     while (true) {
/*      */       try {
/*      */         int i;
/*      */         
/*  272 */         byte b = this.meg.unmarshalSB1();
/*      */         
/*  274 */         switch (b) {
/*      */ 
/*      */ 
/*      */           
/*      */           case 8:
/*  279 */             i = this.meg.unmarshalUB2();
/*      */             
/*  281 */             arrayOfByte1 = new byte[i][];
/*  282 */             arrayOfByte2 = new byte[i][];
/*      */             
/*  284 */             this.meg.unmarshalKEYVAL(arrayOfByte1, arrayOfByte2, i);
/*      */             continue;
/*      */ 
/*      */           
/*      */           case 4:
/*  289 */             this.oer.init();
/*  290 */             this.oer.unmarshal();
/*      */ 
/*      */             
/*      */             try {
/*  294 */               this.oer.processError();
/*      */             }
/*  296 */             catch (SQLException sQLException) {
/*      */               
/*  298 */               throw sQLException;
/*      */             } 
/*      */             break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  306 */         DatabaseError.throwSqlException(401);
/*      */       }
/*  308 */       catch (BreakNetException breakNetException) {}
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  315 */     if (arrayOfByte1 == null || arrayOfByte1.length < 1) {
/*  316 */       DatabaseError.throwSqlException(438);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  322 */     this.encryptedSK = arrayOfByte2[0];
/*      */ 
/*      */     
/*  325 */     if (this.encryptedSK == null || this.encryptedSK.length != 16) {
/*  326 */       DatabaseError.throwSqlException(438);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalOauth() throws IOException, SQLException {
/*      */     byte b1;
/*  338 */     this.funCode = 115;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  347 */     if (this.encryptedSK.length > 16) {
/*  348 */       DatabaseError.throwSqlException(413);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  357 */     String str1 = this.userStr.trim();
/*  358 */     String str2 = this.passwordStr.trim();
/*      */     
/*  360 */     this.passwordStr = null;
/*      */     
/*  362 */     String str3 = str1;
/*  363 */     String str4 = str2;
/*      */     
/*  365 */     if (str1.startsWith("\"") || str1.endsWith("\"")) {
/*  366 */       str3 = removeQuotes(str1);
/*      */     }
/*  368 */     if (str2.startsWith("\"") || str2.endsWith("\"")) {
/*  369 */       str4 = removeQuotes(str2);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  376 */     O3LoginClientHelper o3LoginClientHelper = new O3LoginClientHelper(this.meg.conv.isServerCSMultiByte);
/*      */     
/*  378 */     byte[] arrayOfByte3 = o3LoginClientHelper.getSessionKey(str3, str4, this.encryptedSK);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  385 */     byte[] arrayOfByte1 = this.meg.conv.StringToCharBytes(str4);
/*      */ 
/*      */     
/*  388 */     if (arrayOfByte1.length % 8 > 0) {
/*  389 */       b1 = (byte)(8 - arrayOfByte1.length % 8);
/*      */     } else {
/*  391 */       b1 = 0;
/*      */     } 
/*  393 */     byte[] arrayOfByte2 = new byte[arrayOfByte1.length + b1];
/*      */     
/*  395 */     System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, arrayOfByte1.length);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  400 */     byte[] arrayOfByte4 = o3LoginClientHelper.getEPasswd(arrayOfByte3, arrayOfByte2);
/*      */ 
/*      */     
/*  403 */     this.password = new byte[2 * arrayOfByte2.length + 1];
/*      */ 
/*      */     
/*  406 */     if (this.password.length < 2 * arrayOfByte4.length) {
/*  407 */       DatabaseError.throwSqlException(413);
/*      */     }
/*  409 */     RepConversion.bArray2Nibbles(arrayOfByte4, this.password);
/*      */ 
/*      */     
/*  412 */     this.password[this.password.length - 1] = RepConversion.nibbleToHex(b1);
/*      */ 
/*      */ 
/*      */     
/*  416 */     marshalFunHeader();
/*  417 */     this.meg.marshalPTR();
/*  418 */     this.meg.marshalSB4(this.user.length);
/*  419 */     this.meg.marshalUB4(this.flag | 0x1L | 0x100L);
/*      */     
/*  421 */     this.meg.marshalPTR();
/*      */     
/*  423 */     boolean bool = false;
/*      */     
/*  425 */     if (!this.ressourceManagerId.equals("0000")) {
/*  426 */       bool = true;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  432 */     byte b2 = 6;
/*      */     
/*  434 */     if (bool) {
/*  435 */       b2 += 2;
/*      */     }
/*  437 */     b2++;
/*      */     
/*  439 */     if (this.programName != null) {
/*  440 */       b2++;
/*      */     }
/*  442 */     if (this.clientname != null) {
/*  443 */       b2++;
/*      */     }
/*  445 */     this.meg.marshalUB4(b2);
/*  446 */     this.meg.marshalPTR();
/*  447 */     this.meg.marshalPTR();
/*      */ 
/*      */     
/*  450 */     this.meg.marshalCHR(this.user);
/*      */     
/*  452 */     byte[][] arrayOfByte5 = new byte[b2][];
/*  453 */     byte[][] arrayOfByte6 = new byte[b2][];
/*  454 */     byte[] arrayOfByte7 = new byte[b2];
/*  455 */     byte b3 = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  462 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_PASSWORD");
/*  463 */     arrayOfByte6[b3++] = this.password;
/*      */ 
/*      */     
/*  466 */     arrayOfByte5[b3++] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */ 
/*      */     
/*  469 */     if (this.programName != null) {
/*      */ 
/*      */ 
/*      */       
/*  473 */       arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  475 */       arrayOfByte6[b3++] = this.programName;
/*      */     } 
/*      */ 
/*      */     
/*  479 */     if (this.clientname != null) {
/*      */       
/*  481 */       arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("PROXY_CLIENT_NAME");
/*      */       
/*  483 */       arrayOfByte6[b3++] = this.clientname;
/*      */     } 
/*      */ 
/*      */     
/*  487 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  488 */     arrayOfByte6[b3++] = this.machine;
/*      */ 
/*      */     
/*  491 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  492 */     arrayOfByte6[b3++] = this.processID;
/*      */     
/*  494 */     if (bool) {
/*      */ 
/*      */ 
/*      */       
/*  498 */       arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_INTERNALNAME_");
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  503 */       arrayOfByte5[b3][(arrayOfByte5[b3]).length - 1] = 0;
/*  504 */       arrayOfByte6[b3++] = this.internalName;
/*      */ 
/*      */       
/*  507 */       arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_EXTERNALNAME_");
/*      */       
/*  509 */       arrayOfByte5[b3][(arrayOfByte5[b3]).length - 1] = 0;
/*  510 */       arrayOfByte6[b3++] = this.externalName;
/*      */     } 
/*      */ 
/*      */     
/*  514 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_ACL");
/*  515 */     arrayOfByte6[b3++] = this.aclValue;
/*      */ 
/*      */     
/*  518 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_ALTER_SESSION");
/*      */     
/*  520 */     arrayOfByte6[b3] = this.alterSession;
/*  521 */     arrayOfByte7[b3++] = 1;
/*      */     
/*  523 */     arrayOfByte5[b3] = this.meg.conv.StringToCharBytes("AUTH_COPYRIGHT");
/*      */     
/*  525 */     arrayOfByte6[b3++] = this.meg.conv.StringToCharBytes("\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.");
/*      */ 
/*      */     
/*  528 */     this.meg.marshalKEYVAL(arrayOfByte5, arrayOfByte6, arrayOfByte7, b2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalOauth(int paramInt1, Properties paramProperties, int paramInt2, int paramInt3) throws IOException, SQLException {
/*  540 */     this.funCode = 115;
/*      */     
/*  542 */     boolean bool1 = false;
/*  543 */     boolean bool2 = false;
/*  544 */     boolean bool3 = false;
/*  545 */     boolean bool4 = false;
/*  546 */     byte[] arrayOfByte1 = null;
/*  547 */     byte[] arrayOfByte2 = null;
/*  548 */     byte[][] arrayOfByte3 = (byte[][])null;
/*      */     
/*  550 */     if (paramInt1 == 1) {
/*      */       
/*  552 */       String str = paramProperties.getProperty("PROXY_USER_NAME");
/*      */       
/*  554 */       this.user = this.meg.conv.StringToCharBytes(str);
/*  555 */       bool1 = true;
/*      */     }
/*  557 */     else if (paramInt1 == 2) {
/*      */       
/*  559 */       String str = paramProperties.getProperty("PROXY_DISTINGUISHED_NAME");
/*      */ 
/*      */       
/*  562 */       arrayOfByte1 = this.meg.conv.StringToCharBytes(str);
/*  563 */       bool2 = true;
/*      */     } else {
/*      */ 
/*      */       
/*      */       try {
/*      */         
/*  569 */         arrayOfByte2 = (byte[])paramProperties.get("PROXY_CERTIFICATE");
/*      */         
/*  571 */         StringBuffer stringBuffer = new StringBuffer();
/*      */ 
/*      */ 
/*      */         
/*  575 */         for (byte b1 = 0; b1 < arrayOfByte2.length; b1++) {
/*      */           
/*  577 */           String str = Integer.toHexString(0xFF & arrayOfByte2[b1]);
/*  578 */           int j = str.length();
/*      */           
/*  580 */           if (j == 0) {
/*  581 */             stringBuffer.append("00");
/*  582 */           } else if (j == 1) {
/*      */             
/*  584 */             stringBuffer.append('0');
/*  585 */             stringBuffer.append(str);
/*      */           } else {
/*      */             
/*  588 */             stringBuffer.append(str);
/*      */           } 
/*      */         } 
/*  591 */         arrayOfByte2 = stringBuffer.toString().getBytes();
/*      */       }
/*  593 */       catch (Exception exception) {}
/*      */       
/*  595 */       bool3 = true;
/*      */     } 
/*      */ 
/*      */     
/*  599 */     String[] arrayOfString = null;
/*      */ 
/*      */     
/*      */     try {
/*  603 */       arrayOfString = (String[])paramProperties.get("PROXY_ROLES");
/*      */     }
/*  605 */     catch (Exception exception) {}
/*      */     
/*  607 */     if (arrayOfString != null) {
/*      */       
/*  609 */       arrayOfByte3 = new byte[arrayOfString.length][];
/*      */       
/*  611 */       for (byte b1 = 0; b1 < arrayOfString.length; b1++) {
/*  612 */         arrayOfByte3[b1] = this.meg.conv.StringToCharBytes(arrayOfString[b1]);
/*      */       }
/*  614 */       bool4 = true;
/*      */     } 
/*      */ 
/*      */     
/*  618 */     marshalFunHeader();
/*      */     
/*  620 */     if (bool1) {
/*      */       
/*  622 */       this.meg.marshalPTR();
/*  623 */       this.meg.marshalSB4(this.user.length);
/*      */     }
/*      */     else {
/*      */       
/*  627 */       this.meg.marshalNULLPTR();
/*  628 */       this.meg.marshalSB4(0);
/*      */     } 
/*      */     
/*  631 */     this.meg.marshalUB4(1025L);
/*  632 */     this.meg.marshalPTR();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  638 */     int i = 7;
/*      */     
/*  640 */     i++;
/*      */     
/*  642 */     if (bool2 || bool3) {
/*  643 */       i++;
/*      */     }
/*  645 */     if (bool4) {
/*  646 */       i += arrayOfByte3.length;
/*      */     }
/*  648 */     if (this.programName != null) {
/*  649 */       i++;
/*      */     }
/*  651 */     this.meg.marshalUB4(i);
/*  652 */     this.meg.marshalPTR();
/*  653 */     this.meg.marshalPTR();
/*      */ 
/*      */     
/*  656 */     if (bool1) {
/*  657 */       this.meg.marshalCHR(this.user);
/*      */     }
/*  659 */     byte[][] arrayOfByte4 = new byte[i][];
/*  660 */     byte[][] arrayOfByte5 = new byte[i][];
/*  661 */     byte[] arrayOfByte6 = new byte[i];
/*      */     
/*  663 */     byte b = 0;
/*      */ 
/*      */     
/*  666 */     if (bool4)
/*      */     {
/*  668 */       for (byte b1 = 0; b1 < arrayOfByte3.length; b1++) {
/*      */         
/*  670 */         arrayOfByte4[b] = this.meg.conv.StringToCharBytes("INITIAL_CLIENT_ROLE");
/*      */         
/*  672 */         arrayOfByte5[b] = arrayOfByte3[b1];
/*  673 */         b++;
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  678 */     if (bool2) {
/*      */       
/*  680 */       arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_CLIENT_DISTINGUISHED_NAME");
/*      */       
/*  682 */       arrayOfByte5[b++] = arrayOfByte1;
/*      */     }
/*  684 */     else if (bool3) {
/*      */       
/*  686 */       arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_CLIENT_CERTIFICATE");
/*      */       
/*  688 */       arrayOfByte5[b++] = arrayOfByte2;
/*      */     } 
/*      */     
/*  691 */     arrayOfByte4[b++] = this.meg.conv.StringToCharBytes("AUTH_TERMINAL");
/*      */ 
/*      */     
/*  694 */     if (this.programName != null) {
/*      */       
/*  696 */       arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_PROGRAM_NM");
/*      */       
/*  698 */       arrayOfByte5[b++] = this.programName;
/*      */     } 
/*      */     
/*  701 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_MACHINE");
/*  702 */     arrayOfByte5[b++] = this.machine;
/*      */     
/*  704 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_PID");
/*  705 */     arrayOfByte5[b++] = this.processID;
/*      */     
/*  707 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_ACL");
/*  708 */     arrayOfByte5[b++] = this.aclValue;
/*      */     
/*  710 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_ALTER_SESSION");
/*      */     
/*  712 */     arrayOfByte5[b] = this.alterSession;
/*  713 */     arrayOfByte6[b++] = 1;
/*      */     
/*  715 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_SESSION_ID");
/*      */     
/*  717 */     arrayOfByte5[b++] = this.meg.conv.StringToCharBytes(Integer.toString(paramInt2));
/*      */ 
/*      */     
/*  720 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_SERIAL_NUM");
/*      */     
/*  722 */     arrayOfByte5[b++] = this.meg.conv.StringToCharBytes(Integer.toString(paramInt3));
/*      */ 
/*      */     
/*  725 */     arrayOfByte4[b] = this.meg.conv.StringToCharBytes("AUTH_COPYRIGHT");
/*      */     
/*  727 */     arrayOfByte5[b++] = this.meg.conv.StringToCharBytes("\"Oracle\nEverybody follows\nSpeedy bits exchange\nStars await to glow\"\nThe preceding key is copyrighted by Oracle Corporation.\nDuplication of this key is not allowed without permission\nfrom Oracle Corporation. Copyright 2003 Oracle Corporation.");
/*      */ 
/*      */     
/*  730 */     this.meg.marshalKEYVAL(arrayOfByte4, arrayOfByte5, arrayOfByte6, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void receiveOauth() throws IOException, SQLException {
/*  744 */     byte[][] arrayOfByte1 = (byte[][])null;
/*  745 */     byte[][] arrayOfByte2 = (byte[][])null;
/*  746 */     int i = 0;
/*      */ 
/*      */ 
/*      */     
/*      */     while (true) {
/*      */       try {
/*  752 */         byte b1 = this.meg.unmarshalSB1();
/*      */         
/*  754 */         switch (b1) {
/*      */ 
/*      */ 
/*      */           
/*      */           case 8:
/*  759 */             i = this.meg.unmarshalUB2();
/*  760 */             arrayOfByte1 = new byte[i][];
/*  761 */             arrayOfByte2 = new byte[i][];
/*      */             
/*  763 */             this.meg.unmarshalKEYVAL(arrayOfByte1, arrayOfByte2, i);
/*      */             continue;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 15:
/*  771 */             this.oer.init();
/*  772 */             this.oer.unmarshalWarning();
/*      */ 
/*      */             
/*      */             try {
/*  776 */               this.oer.processWarning();
/*      */             }
/*  778 */             catch (SQLWarning sQLWarning) {
/*      */               
/*  780 */               this.conn.setWarnings(DatabaseError.addSqlWarning(this.conn.getWarnings(), sQLWarning));
/*      */             } 
/*      */             continue;
/*      */ 
/*      */           
/*      */           case 4:
/*  786 */             this.oer.init();
/*  787 */             this.oer.unmarshal();
/*      */ 
/*      */             
/*      */             try {
/*  791 */               this.oer.processError();
/*      */             }
/*  793 */             catch (SQLException sQLException) {
/*      */               
/*  795 */               throw sQLException;
/*      */             } 
/*      */             break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  803 */         DatabaseError.throwSqlException(401);
/*      */       }
/*  805 */       catch (BreakNetException breakNetException) {}
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  817 */     for (byte b = 0; b < i; b++) {
/*      */       
/*  819 */       String str1 = this.meg.conv.CharBytesToString(arrayOfByte1[b], (arrayOfByte1[b]).length);
/*  820 */       String str2 = "";
/*  821 */       if (arrayOfByte2[b] != null) {
/*  822 */         str2 = this.meg.conv.CharBytesToString(arrayOfByte2[b], (arrayOfByte2[b]).length);
/*      */       }
/*  824 */       this.connectionValues.setProperty(str1, str2);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getSessionId() {
/*  833 */     int i = -1;
/*  834 */     String str = this.connectionValues.getProperty("AUTH_SESSION_ID");
/*      */ 
/*      */     
/*      */     try {
/*  838 */       i = Integer.parseInt(str);
/*      */     }
/*  840 */     catch (NumberFormatException numberFormatException) {}
/*  841 */     return i;
/*      */   }
/*      */ 
/*      */   
/*      */   int getSerialNumber() {
/*  846 */     int i = -1;
/*  847 */     String str = this.connectionValues.getProperty("AUTH_SERIAL_NUM");
/*      */ 
/*      */     
/*      */     try {
/*  851 */       i = Integer.parseInt(str);
/*      */     }
/*  853 */     catch (NumberFormatException numberFormatException) {}
/*  854 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setSessionFields(Properties paramProperties) throws SQLException {
/*  870 */     String str1 = paramProperties.getProperty("v$session.terminal");
/*  871 */     String str2 = paramProperties.getProperty("v$session.machine");
/*  872 */     String str3 = paramProperties.getProperty("v$session.osuser");
/*  873 */     String str4 = paramProperties.getProperty("v$session.program");
/*  874 */     String str5 = paramProperties.getProperty("v$session.process");
/*  875 */     String str6 = paramProperties.getProperty("v$session.iname");
/*  876 */     String str7 = paramProperties.getProperty("v$session.ename");
/*  877 */     String str8 = paramProperties.getProperty("PROXY_CLIENT_NAME");
/*      */     
/*  879 */     if (str1 == null)
/*      */     {
/*      */       
/*  882 */       str1 = "unknown";
/*      */     }
/*  884 */     if (str2 == null) {
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/*  890 */         str2 = InetAddress.getLocalHost().getHostName();
/*      */       }
/*  892 */       catch (Exception exception) {
/*      */ 
/*      */ 
/*      */         
/*  896 */         str2 = "jdbcclient";
/*      */       } 
/*      */     }
/*      */     
/*  900 */     if (str3 == null) {
/*      */ 
/*      */ 
/*      */       
/*  904 */       str3 = OracleDriver.getSystemPropertyUserName();
/*      */ 
/*      */       
/*  907 */       if (str3 == null) {
/*  908 */         str3 = "jdbcuser";
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  922 */     if (str5 == null) {
/*  923 */       str5 = "1234";
/*      */     }
/*  925 */     if (str6 == null) {
/*  926 */       str6 = "jdbc_ttc_impl";
/*      */     }
/*      */     
/*  929 */     if (str7 == null) {
/*  930 */       str7 = "jdbc_" + this.ressourceManagerId;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  937 */     this.terminal = this.meg.conv.StringToCharBytes(str1);
/*  938 */     this.machine = this.meg.conv.StringToCharBytes(str2);
/*  939 */     this.sysUserName = this.meg.conv.StringToCharBytes(str3);
/*      */     
/*  941 */     this.programName = this.meg.conv.StringToCharBytes((str4 == null) ? "JDBC Thin Client" : str4);
/*      */     
/*  943 */     this.processID = this.meg.conv.StringToCharBytes(str5);
/*  944 */     this.internalName = this.meg.conv.StringToCharBytes(str6);
/*  945 */     this.externalName = this.meg.conv.StringToCharBytes(str7);
/*      */     
/*  947 */     if (str8 != null)
/*      */     {
/*  949 */       this.clientname = this.meg.conv.StringToCharBytes(str8);
/*      */     }
/*      */     
/*  952 */     TimeZone timeZone = TimeZone.getDefault();
/*  953 */     int i = timeZone.getRawOffset();
/*  954 */     int j = i / 3600000;
/*  955 */     int k = i / 60000 % 60;
/*      */     
/*  957 */     if (timeZone.useDaylightTime() && timeZone.inDaylightTime(new Date())) {
/*  958 */       j++;
/*      */     }
/*  960 */     String str9 = ((j < 0) ? ("" + j) : ("+" + j)) + ((k < 10) ? (":0" + k) : (":" + k));
/*      */     
/*  962 */     String str10 = CharacterSetMetaData.getNLSLanguage(Locale.getDefault());
/*  963 */     String str11 = CharacterSetMetaData.getNLSTerritory(Locale.getDefault());
/*  964 */     if (str10 == null) {
/*  965 */       DatabaseError.throwSqlException(176);
/*      */     }
/*  967 */     this.alterSession = this.meg.conv.StringToCharBytes("ALTER SESSION SET " + (this.isSessionTZ ? ("TIME_ZONE='" + str9 + "'") : "") + " NLS_LANGUAGE='" + str10 + "' NLS_TERRITORY='" + str11 + "' ");
/*      */ 
/*      */ 
/*      */     
/*  971 */     this.aclValue = this.meg.conv.StringToCharBytes("4400");
/*  972 */     this.alterSession[this.alterSession.length - 1] = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String removeQuotes(String paramString) {
/*  996 */     int i = 0, j = paramString.length() - 1;
/*      */     int k;
/*  998 */     for (k = 0; k < paramString.length(); k++) {
/*      */       
/* 1000 */       if (paramString.charAt(k) != '"') {
/*      */         
/* 1002 */         i = k;
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/*      */     
/* 1008 */     for (k = paramString.length() - 1; k >= 0; k--) {
/*      */       
/* 1010 */       if (paramString.charAt(k) != '"') {
/*      */         
/* 1012 */         j = k;
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/*      */     
/* 1018 */     return paramString.substring(i, j + 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1028 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:39_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CTTIoauthenticate.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */