/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.sql.SQLException;
/*     */ import javax.sql.ConnectionEvent;
/*     */ import javax.sql.ConnectionEventListener;
/*     */ import javax.sql.DataSource;
/*     */ import javax.sql.PooledConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleConnectionEventListener
/*     */   implements ConnectionEventListener, Serializable
/*     */ {
/*     */   static final int _CLOSED_EVENT = 1;
/*     */   static final int _ERROROCCURED_EVENT = 2;
/*  55 */   private DataSource dataSource = null;
/*     */   
/*  57 */   protected long lastCleanupTime = -1L;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnectionEventListener() {
/*  68 */     this.dataSource = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnectionEventListener(DataSource paramDataSource) {
/*  83 */     this.dataSource = paramDataSource;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDataSource(DataSource paramDataSource) {
/*  97 */     this.dataSource = paramDataSource;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void connectionClosed(ConnectionEvent paramConnectionEvent) {
/*     */     try {
/* 118 */       if (this.dataSource != null && this.dataSource instanceof OracleConnectionCache) {
/* 119 */         ((OracleConnectionCache)this.dataSource).reusePooledConnection((PooledConnection)paramConnectionEvent.getSource());
/*     */       }
/* 121 */     } catch (SQLException sQLException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void connectionErrorOccurred(ConnectionEvent paramConnectionEvent) {
/*     */     try {
/* 141 */       if (this.dataSource != null && this.dataSource instanceof OracleConnectionCache) {
/* 142 */         ((OracleConnectionCache)this.dataSource).closePooledConnection((PooledConnection)paramConnectionEvent.getSource());
/*     */       }
/* 144 */     } catch (SQLException sQLException) {
/*     */       
/* 146 */       cleanupInvalidConnections(sQLException);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected synchronized void cleanupInvalidConnections(SQLException paramSQLException) {
/*     */     try {
/* 159 */       if (this.dataSource != null && this.dataSource instanceof OracleConnectionCacheImpl) {
/*     */ 
/*     */         
/* 162 */         long l1 = System.currentTimeMillis();
/* 163 */         long l2 = ((OracleConnectionCacheImpl)this.dataSource).getConnectionCleanupInterval();
/*     */ 
/*     */         
/* 166 */         if (l1 - this.lastCleanupTime > l2 * 1000L)
/*     */         {
/* 168 */           if (((OracleConnectionCacheImpl)this.dataSource).isFatalConnectionError(paramSQLException)) {
/* 169 */             ((OracleConnectionCacheImpl)this.dataSource).closeConnections();
/*     */           }
/* 171 */           this.lastCleanupTime = System.currentTimeMillis();
/*     */         }
/*     */       
/*     */       } 
/* 175 */     } catch (Exception exception) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 181 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:40_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleConnectionEventListener.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */