/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.security.AccessController;
/*     */ import java.security.PrivilegedActionException;
/*     */ import java.security.PrivilegedExceptionAction;
/*     */ import java.sql.SQLException;
/*     */ import oracle.ons.Notification;
/*     */ import oracle.ons.ONSException;
/*     */ import oracle.ons.Subscriber;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleFailoverEventHandlerThread
/*     */   extends Thread
/*     */ {
/*  37 */   private Notification event = null;
/*  38 */   private OracleConnectionCacheManager cacheManager = null;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleFailoverEventHandlerThread() throws SQLException {
/*  44 */     this.cacheManager = OracleConnectionCacheManager.getConnectionCacheManagerInstance();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*  51 */     Subscriber subscriber = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  56 */     while (this.cacheManager.failoverEnabledCacheExists()) {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/*  61 */         subscriber = AccessController.<Subscriber>doPrivileged(new PrivilegedExceptionAction(this)
/*     */             {
/*     */               private final OracleFailoverEventHandlerThread this$0;
/*     */ 
/*     */ 
/*     */ 
/*     */               
/*     */               public Object run() throws ONSException {
/*  69 */                 return new Subscriber("(%\"eventType=database/event/service\")|(%\"eventType=database/event/host\")", "", 30000L);
/*     */               }
/*     */             });
/*     */       }
/*  73 */       catch (PrivilegedActionException privilegedActionException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  79 */       if (subscriber != null) {
/*     */         
/*     */         try {
/*     */           
/*  83 */           while (this.cacheManager.failoverEnabledCacheExists()) {
/*     */ 
/*     */             
/*  86 */             if ((this.event = subscriber.receive(true)) != null) {
/*  87 */               handleEvent(this.event);
/*     */             }
/*     */           } 
/*  90 */         } catch (ONSException oNSException) {
/*     */           
/*  92 */           subscriber.close();
/*     */         } 
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 102 */         Thread.currentThread(); Thread.sleep(10000L);
/*     */       }
/* 104 */       catch (InterruptedException interruptedException) {}
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void handleEvent(Notification paramNotification) {
/*     */     try {
/* 122 */       char c = Character.MIN_VALUE;
/*     */       
/* 124 */       if (paramNotification.type().equalsIgnoreCase("database/event/service")) {
/* 125 */         c = 'Ā';
/* 126 */       } else if (paramNotification.type().equalsIgnoreCase("database/event/host")) {
/* 127 */         c = 'Ȁ';
/*     */       } 
/* 129 */       if (c != '\000') {
/* 130 */         this.cacheManager.verifyAndHandleEvent(c, paramNotification.body());
/*     */       }
/* 132 */     } catch (SQLException sQLException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 142 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleFailoverEventHandlerThread.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */