/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.sql.Connection;
/*     */ import java.sql.Date;
/*     */ import java.sql.Driver;
/*     */ import java.sql.DriverManager;
/*     */ import java.sql.PreparedStatement;
/*     */ import java.sql.ResultSet;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Calendar;
/*     */ import java.util.Properties;
/*     */ import javax.naming.InitialContext;
/*     */ import javax.naming.NamingException;
/*     */ import javax.sql.DataSource;
/*     */ import javax.sql.RowSet;
/*     */ import javax.sql.RowSetInternal;
/*     */ import javax.sql.RowSetReader;
/*     */ import oracle.jdbc.driver.OracleDriver;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleCachedRowSetReader
/*     */   implements RowSetReader, Serializable
/*     */ {
/*     */   static final transient int UNICODESTREAM = 273;
/*     */   static final transient int BINARYSTREAM = 546;
/*     */   static final transient int ASCIISTREAM = 819;
/*     */   static final transient int TWO_PARAMETERS = 2;
/*     */   static final transient int THREE_PARAMETERS = 3;
/*     */   private static transient boolean driverManagerInitialized = false;
/*     */   
/*     */   Connection getConnection(RowSetInternal paramRowSetInternal) throws SQLException {
/* 120 */     Connection connection1 = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 140 */     Connection connection2 = paramRowSetInternal.getConnection();
/* 141 */     if (connection2 != null && !connection2.isClosed()) {
/*     */       
/* 143 */       connection1 = connection2;
/*     */     }
/* 145 */     else if (((RowSet)paramRowSetInternal).getDataSourceName() != null) {
/*     */ 
/*     */       
/*     */       try {
/* 149 */         InitialContext initialContext = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         try {
/* 168 */           Properties properties = System.getProperties();
/* 169 */           initialContext = new InitialContext(properties);
/* 170 */         } catch (SecurityException securityException) {}
/*     */ 
/*     */         
/* 173 */         if (initialContext == null)
/* 174 */           initialContext = new InitialContext(); 
/* 175 */         DataSource dataSource = (DataSource)initialContext.lookup(((RowSet)paramRowSetInternal).getDataSourceName());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 193 */         String str1 = ((RowSet)paramRowSetInternal).getUsername();
/* 194 */         String str2 = ((RowSet)paramRowSetInternal).getPassword();
/* 195 */         if (str1 == null && str2 == null)
/*     */         {
/* 197 */           connection1 = dataSource.getConnection();
/*     */         }
/*     */         else
/*     */         {
/* 201 */           connection1 = dataSource.getConnection(str1, str2);
/*     */         }
/*     */       
/* 204 */       } catch (NamingException namingException) {
/*     */         
/* 206 */         throw new SQLException("Unable to connect through the DataSource\n" + namingException.getMessage());
/*     */       }
/*     */     
/*     */     }
/* 210 */     else if (((RowSet)paramRowSetInternal).getUrl() != null) {
/*     */       
/* 212 */       if (!driverManagerInitialized) {
/*     */         
/* 214 */         DriverManager.registerDriver((Driver)new OracleDriver());
/* 215 */         driverManagerInitialized = true;
/*     */       } 
/* 217 */       String str1 = ((RowSet)paramRowSetInternal).getUrl();
/* 218 */       String str2 = ((RowSet)paramRowSetInternal).getUsername();
/* 219 */       String str3 = ((RowSet)paramRowSetInternal).getPassword();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 237 */       if (str1.equals("") || str2.equals("") || str3.equals(""))
/*     */       {
/* 239 */         throw new SQLException("One or more of the authenticating parameter not set");
/*     */       }
/*     */       
/* 242 */       connection1 = DriverManager.getConnection(str1, str2, str3);
/*     */     } 
/*     */     
/* 245 */     return connection1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setParams(Object[] paramArrayOfObject, PreparedStatement paramPreparedStatement) throws SQLException {
/* 270 */     for (byte b = 0; b < paramArrayOfObject.length; b++) {
/*     */       
/* 272 */       int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 294 */         i = Array.getLength(paramArrayOfObject[b]);
/*     */       }
/* 296 */       catch (IllegalArgumentException illegalArgumentException) {
/*     */         
/* 298 */         paramPreparedStatement.setObject(b + 1, paramArrayOfObject[b]);
/*     */       } 
/*     */ 
/*     */       
/* 302 */       Object[] arrayOfObject = (Object[])paramArrayOfObject[b];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 319 */       if (i == 2) {
/*     */         
/* 321 */         if (arrayOfObject[0] == null) {
/* 322 */           paramPreparedStatement.setNull(b + 1, ((Integer)arrayOfObject[1]).intValue());
/*     */         
/*     */         }
/* 325 */         else if (arrayOfObject[0] instanceof Date || arrayOfObject[0] instanceof java.sql.Time || arrayOfObject[0] instanceof java.sql.Timestamp) {
/*     */ 
/*     */ 
/*     */           
/* 329 */           if (arrayOfObject[1] instanceof Calendar)
/*     */           {
/* 331 */             paramPreparedStatement.setDate(b + 1, (Date)arrayOfObject[0], (Calendar)arrayOfObject[1]);
/*     */           
/*     */           }
/*     */           else
/*     */           {
/* 336 */             throw new SQLException("Unable to deduce param type");
/*     */           
/*     */           }
/*     */         
/*     */         }
/* 341 */         else if (arrayOfObject[0] instanceof Reader) {
/* 342 */           paramPreparedStatement.setCharacterStream(b + 1, (Reader)arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue());
/*     */         
/*     */         }
/* 345 */         else if (arrayOfObject[1] instanceof Integer) {
/* 346 */           paramPreparedStatement.setObject(b + 1, arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue());
/*     */         
/*     */         }
/*     */       
/*     */       }
/* 351 */       else if (i == 3) {
/*     */         
/* 353 */         if (arrayOfObject[0] == null) {
/*     */           
/* 355 */           paramPreparedStatement.setNull(b + 1, ((Integer)arrayOfObject[1]).intValue(), (String)arrayOfObject[2]);
/*     */ 
/*     */ 
/*     */         
/*     */         }
/* 360 */         else if (arrayOfObject[0] instanceof InputStream) {
/* 361 */           switch (((Integer)arrayOfObject[2]).intValue()) {
/*     */             
/*     */             case 273:
/* 364 */               paramPreparedStatement.setUnicodeStream(b + 1, (InputStream)arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue());
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             case 546:
/* 370 */               paramPreparedStatement.setBinaryStream(b + 1, (InputStream)arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue());
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             case 819:
/* 376 */               paramPreparedStatement.setAsciiStream(b + 1, (InputStream)arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue());
/*     */               break;
/*     */           } 
/*     */ 
/*     */ 
/*     */           
/* 382 */           throw new SQLException("Unable to deduce parameter type");
/*     */         } 
/* 384 */         if (arrayOfObject[1] instanceof Integer && arrayOfObject[2] instanceof Integer) {
/*     */ 
/*     */           
/* 387 */           paramPreparedStatement.setObject(b + 1, arrayOfObject[0], ((Integer)arrayOfObject[1]).intValue(), ((Integer)arrayOfObject[2]).intValue());
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 392 */           throw new SQLException("Unable to deduce param type");
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void readData(RowSetInternal paramRowSetInternal) throws SQLException {
/* 418 */     OracleCachedRowSet oracleCachedRowSet = (OracleCachedRowSet)paramRowSetInternal;
/*     */     
/* 420 */     Connection connection = getConnection(paramRowSetInternal);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 437 */     if (connection == null || oracleCachedRowSet.getCommand() == null) {
/* 438 */       throw new SQLException("Sorry, Could not obtain connection");
/*     */     }
/*     */     try {
/* 441 */       connection.setTransactionIsolation(oracleCachedRowSet.getTransactionIsolation());
/*     */     }
/* 443 */     catch (Exception exception) {}
/*     */     
/* 445 */     PreparedStatement preparedStatement = connection.prepareStatement(oracleCachedRowSet.getCommand());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 463 */     setParams(paramRowSetInternal.getParams(), preparedStatement);
/*     */     
/*     */     try {
/* 466 */       preparedStatement.setMaxRows(oracleCachedRowSet.getMaxRows());
/* 467 */       preparedStatement.setMaxFieldSize(oracleCachedRowSet.getMaxFieldSize());
/* 468 */       preparedStatement.setEscapeProcessing(oracleCachedRowSet.getEscapeProcessing());
/* 469 */       preparedStatement.setQueryTimeout(oracleCachedRowSet.getQueryTimeout());
/*     */     }
/* 471 */     catch (Exception exception) {}
/* 472 */     ResultSet resultSet = preparedStatement.executeQuery();
/* 473 */     oracleCachedRowSet.populate(resultSet);
/* 474 */     resultSet.close();
/* 475 */     preparedStatement.close();
/*     */     
/*     */     try {
/* 478 */       connection.commit();
/* 479 */     } catch (SQLException sQLException) {}
/*     */ 
/*     */ 
/*     */     
/* 483 */     if (!oracleCachedRowSet.isConnectionStayingOpen())
/*     */     {
/* 485 */       connection.close();
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleCachedRowSetReader.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */