/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.sql.Connection;
/*     */ import java.sql.PreparedStatement;
/*     */ import java.sql.ResultSetMetaData;
/*     */ import java.sql.SQLException;
/*     */ import java.util.StringTokenizer;
/*     */ import javax.sql.RowSet;
/*     */ import javax.sql.RowSetInternal;
/*     */ import javax.sql.RowSetWriter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleCachedRowSetWriter
/*     */   implements RowSetWriter, Serializable
/*     */ {
/*  59 */   private StringBuffer updateClause = new StringBuffer("");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  65 */   private StringBuffer deleteClause = new StringBuffer("");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  71 */   private StringBuffer insertClause = new StringBuffer("");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreparedStatement insertStmt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreparedStatement updateStmt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreparedStatement deleteStmt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ResultSetMetaData rsmd;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private transient Connection connection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int columnCount;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getSchemaName(RowSet paramRowSet) throws SQLException {
/* 137 */     return paramRowSet.getUsername();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getTableName(RowSet paramRowSet) throws SQLException {
/* 163 */     String str1 = ((OracleCachedRowSet)paramRowSet).getTableName();
/* 164 */     if (str1 != null) {
/* 165 */       return str1;
/*     */     }
/* 167 */     String str2 = paramRowSet.getCommand().toUpperCase();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 184 */     int i = str2.indexOf(" FROM ");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 201 */     if (i == -1) {
/* 202 */       throw new SQLException("Could not parse the SQL String to get the table name.\n" + ((str2 != "") ? str2 : "Please use RowSet.setCommand (String) to set the SQL query string."));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 209 */     String str3 = str2.substring(i + 6).trim();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 226 */     StringTokenizer stringTokenizer = new StringTokenizer(str3);
/* 227 */     if (stringTokenizer.hasMoreTokens()) {
/* 228 */       str3 = stringTokenizer.nextToken();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 245 */     return str3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initSQLStatement(RowSet paramRowSet) throws SQLException {
/* 269 */     this.insertClause = new StringBuffer("INSERT INTO " + getTableName(paramRowSet) + "(");
/* 270 */     this.updateClause = new StringBuffer("UPDATE " + getTableName(paramRowSet) + " SET ");
/* 271 */     this.deleteClause = new StringBuffer("DELETE FROM " + getTableName(paramRowSet) + " WHERE ");
/*     */ 
/*     */     
/* 274 */     this.rsmd = paramRowSet.getMetaData();
/* 275 */     this.columnCount = this.rsmd.getColumnCount();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     byte b;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 294 */     for (b = 0; b < this.columnCount; b++) {
/*     */       
/* 296 */       if (b != 0) this.insertClause.append(", "); 
/* 297 */       this.insertClause.append(this.rsmd.getColumnName(b + 1));
/*     */       
/* 299 */       if (b != 0) this.updateClause.append(", "); 
/* 300 */       this.updateClause.append(this.rsmd.getColumnName(b + 1) + " = :" + b);
/*     */       
/* 302 */       if (b != 0) this.deleteClause.append(" AND "); 
/* 303 */       this.deleteClause.append(this.rsmd.getColumnName(b + 1) + " = :" + b);
/*     */     } 
/* 305 */     this.insertClause.append(") VALUES (");
/* 306 */     this.updateClause.append(" WHERE ");
/*     */     
/* 308 */     for (b = 0; b < this.columnCount; b++) {
/*     */       
/* 310 */       if (b != 0) this.insertClause.append(", "); 
/* 311 */       this.insertClause.append(":" + b);
/*     */       
/* 313 */       if (b != 0) this.updateClause.append(" AND "); 
/* 314 */       this.updateClause.append(this.rsmd.getColumnName(b + 1) + " = :" + b);
/*     */     } 
/* 316 */     this.insertClause.append(")");
/*     */     
/* 318 */     this.insertStmt = this.connection.prepareStatement(this.insertClause.substring(0, this.insertClause.length()));
/*     */     
/* 320 */     this.updateStmt = this.connection.prepareStatement(this.updateClause.substring(0, this.updateClause.length()));
/*     */     
/* 322 */     this.deleteStmt = this.connection.prepareStatement(this.deleteClause.substring(0, this.deleteClause.length()));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean insertRow(OracleRow paramOracleRow) throws SQLException {
/* 363 */     this.insertStmt.clearParameters();
/* 364 */     for (byte b = 1; b <= this.columnCount; b++) {
/*     */       
/* 366 */       Object object = null;
/* 367 */       object = paramOracleRow.isColumnChanged(b) ? paramOracleRow.getModifiedColumn(b) : paramOracleRow.getColumn(b);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 384 */       if (object == null) {
/* 385 */         this.insertStmt.setNull(b, this.rsmd.getColumnType(b));
/*     */       } else {
/* 387 */         this.insertStmt.setObject(b, object);
/*     */       } 
/* 389 */     }  return (this.insertStmt.executeUpdate() == 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean updateRow(RowSet paramRowSet, OracleRow paramOracleRow) throws SQLException {
/* 413 */     this.updateStmt.clearParameters(); byte b;
/* 414 */     for (b = 1; b <= this.columnCount; b++) {
/*     */       
/* 416 */       Object object = null;
/* 417 */       object = paramOracleRow.isColumnChanged(b) ? paramOracleRow.getModifiedColumn(b) : paramOracleRow.getColumn(b);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 434 */       if (object == null) {
/* 435 */         this.updateStmt.setNull(b, this.rsmd.getColumnType(b));
/*     */       } else {
/* 437 */         this.updateStmt.setObject(b, object);
/*     */       } 
/* 439 */     }  for (b = 1; b <= this.columnCount; b++) {
/*     */       
/* 441 */       if (paramOracleRow.isOriginalNull(b)) {
/* 442 */         return updateRowWithNull(paramRowSet, paramOracleRow);
/*     */       }
/* 444 */       this.updateStmt.setObject(b + this.columnCount, paramOracleRow.getColumn(b));
/*     */     } 
/*     */     
/* 447 */     return (this.updateStmt.executeUpdate() == 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean updateRowWithNull(RowSet paramRowSet, OracleRow paramOracleRow) throws SQLException {
/* 468 */     boolean bool = false;
/* 469 */     StringBuffer stringBuffer = new StringBuffer("UPDATE " + getTableName(paramRowSet) + " SET ");
/*     */     
/*     */     byte b;
/* 472 */     for (b = 1; b <= this.columnCount; b++) {
/*     */       
/* 474 */       if (b != 1) {
/* 475 */         stringBuffer.append(", ");
/*     */       }
/* 477 */       stringBuffer.append(this.rsmd.getColumnName(b) + " = :" + b);
/*     */     } 
/*     */     
/* 480 */     stringBuffer.append(" WHERE ");
/*     */     
/* 482 */     for (b = 1; b <= this.columnCount; b++) {
/*     */       
/* 484 */       if (b != 1)
/* 485 */         stringBuffer.append(" AND "); 
/* 486 */       if (paramOracleRow.isOriginalNull(b)) {
/* 487 */         stringBuffer.append(this.rsmd.getColumnName(b) + " IS NULL ");
/*     */       } else {
/* 489 */         stringBuffer.append(this.rsmd.getColumnName(b) + " = :" + b);
/*     */       } 
/*     */     } 
/* 492 */     PreparedStatement preparedStatement = null;
/*     */     
/*     */     try {
/* 495 */       preparedStatement = this.connection.prepareStatement(stringBuffer.substring(0, stringBuffer.length()));
/*     */       
/*     */       byte b1;
/* 498 */       for (b1 = 1; b1 <= this.columnCount; b1++) {
/*     */         
/* 500 */         Object object = null;
/* 501 */         object = paramOracleRow.isColumnChanged(b1) ? paramOracleRow.getModifiedColumn(b1) : paramOracleRow.getColumn(b1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 518 */         if (object == null) {
/* 519 */           preparedStatement.setNull(b1, this.rsmd.getColumnType(b1));
/*     */         } else {
/* 521 */           preparedStatement.setObject(b1, object);
/*     */         } 
/*     */       }  byte b2;
/* 524 */       for (b1 = 1, b2 = 1; b1 <= this.columnCount; b1++) {
/*     */         
/* 526 */         if (!paramOracleRow.isOriginalNull(b1)) {
/*     */ 
/*     */           
/* 529 */           preparedStatement.setObject(b2 + this.columnCount, paramOracleRow.getColumn(b1));
/*     */           
/* 531 */           b2++;
/*     */         } 
/* 533 */       }  bool = (preparedStatement.executeUpdate() == 1) ? true : false;
/*     */     } finally {
/*     */       
/* 536 */       if (preparedStatement != null) {
/* 537 */         preparedStatement.close();
/*     */       }
/*     */     } 
/* 540 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean deleteRow(RowSet paramRowSet, OracleRow paramOracleRow) throws SQLException {
/* 565 */     this.deleteStmt.clearParameters();
/* 566 */     for (byte b = 1; b <= this.columnCount; b++) {
/*     */       
/* 568 */       if (paramOracleRow.isOriginalNull(b)) {
/* 569 */         return deleteRowWithNull(paramRowSet, paramOracleRow);
/*     */       }
/* 571 */       Object object = paramOracleRow.getColumn(b);
/* 572 */       if (object == null) {
/* 573 */         this.deleteStmt.setNull(b, this.rsmd.getColumnType(b));
/*     */       } else {
/* 575 */         this.deleteStmt.setObject(b, object);
/*     */       } 
/*     */     } 
/* 578 */     return (this.deleteStmt.executeUpdate() == 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean deleteRowWithNull(RowSet paramRowSet, OracleRow paramOracleRow) throws SQLException {
/* 600 */     boolean bool = false;
/* 601 */     StringBuffer stringBuffer = new StringBuffer("DELETE FROM " + getTableName(paramRowSet) + " WHERE ");
/*     */ 
/*     */     
/* 604 */     for (byte b = 1; b <= this.columnCount; b++) {
/*     */       
/* 606 */       if (b != 1)
/* 607 */         stringBuffer.append(" AND "); 
/* 608 */       if (paramOracleRow.isOriginalNull(b)) {
/* 609 */         stringBuffer.append(this.rsmd.getColumnName(b) + " IS NULL ");
/*     */       } else {
/* 611 */         stringBuffer.append(this.rsmd.getColumnName(b) + " = :" + b);
/*     */       } 
/*     */     } 
/* 614 */     PreparedStatement preparedStatement = null;
/*     */     
/*     */     try {
/* 617 */       preparedStatement = this.connection.prepareStatement(stringBuffer.substring(0, stringBuffer.length()));
/*     */ 
/*     */ 
/*     */       
/* 621 */       for (byte b1 = 1, b2 = 1; b1 <= this.columnCount; b1++) {
/*     */         
/* 623 */         if (!paramOracleRow.isOriginalNull(b1))
/*     */         {
/*     */           
/* 626 */           preparedStatement.setObject(b2++, paramOracleRow.getColumn(b1)); } 
/*     */       } 
/* 628 */       bool = (preparedStatement.executeUpdate() == 1) ? true : false;
/*     */     } finally {
/*     */       
/* 631 */       if (preparedStatement != null) {
/* 632 */         preparedStatement.close();
/*     */       }
/*     */     } 
/* 635 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized boolean writeData(RowSetInternal paramRowSetInternal) throws SQLException {
/* 656 */     OracleCachedRowSet oracleCachedRowSet = (OracleCachedRowSet)paramRowSetInternal;
/* 657 */     this.connection = ((OracleCachedRowSetReader)oracleCachedRowSet.getReader()).getConnection(paramRowSetInternal);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 675 */     if (this.connection == null)
/* 676 */       throw new SQLException("Unable to get Connection"); 
/* 677 */     if (this.connection.getAutoCommit())
/* 678 */       this.connection.setAutoCommit(false); 
/* 679 */     this.connection.setTransactionIsolation(oracleCachedRowSet.getTransactionIsolation());
/* 680 */     initSQLStatement(oracleCachedRowSet);
/* 681 */     if (this.columnCount < 1) {
/*     */       
/* 683 */       this.connection.close();
/* 684 */       return true;
/*     */     } 
/* 686 */     boolean bool = oracleCachedRowSet.getShowDeleted();
/* 687 */     oracleCachedRowSet.setShowDeleted(true);
/* 688 */     oracleCachedRowSet.beforeFirst();
/* 689 */     boolean bool1 = true;
/* 690 */     boolean bool2 = true;
/* 691 */     boolean bool3 = true;
/* 692 */     OracleRow oracleRow = null;
/* 693 */     while (oracleCachedRowSet.next()) {
/*     */       
/* 695 */       if (oracleCachedRowSet.rowInserted()) {
/*     */ 
/*     */         
/* 698 */         if (oracleCachedRowSet.rowDeleted())
/*     */           continue; 
/* 700 */         oracleRow = oracleCachedRowSet.getCurrentRow();
/*     */         
/* 702 */         bool2 = (insertRow(oracleRow) || bool2) ? true : false; continue;
/*     */       } 
/* 704 */       if (oracleCachedRowSet.rowUpdated()) {
/*     */         
/* 706 */         oracleRow = oracleCachedRowSet.getCurrentRow();
/*     */         
/* 708 */         bool1 = (updateRow(oracleCachedRowSet, oracleRow) || bool1) ? true : false; continue;
/*     */       } 
/* 710 */       if (oracleCachedRowSet.rowDeleted()) {
/*     */         
/* 712 */         oracleRow = oracleCachedRowSet.getCurrentRow();
/*     */         
/* 714 */         bool3 = (deleteRow(oracleCachedRowSet, oracleRow) || bool3) ? true : false;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 740 */     if (bool1 && bool2 && bool3) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 745 */       this.connection.commit();
/*     */       
/* 747 */       oracleCachedRowSet.setOriginal();
/*     */     } else {
/*     */       
/* 750 */       this.connection.rollback();
/*     */     } 
/* 752 */     this.insertStmt.close();
/* 753 */     this.updateStmt.close();
/* 754 */     this.deleteStmt.close();
/*     */ 
/*     */ 
/*     */     
/* 758 */     if (!oracleCachedRowSet.isConnectionStayingOpen())
/*     */     {
/* 760 */       this.connection.close();
/*     */     }
/*     */     
/* 763 */     oracleCachedRowSet.setShowDeleted(bool);
/* 764 */     return true;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleCachedRowSetWriter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */