/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import javax.sql.rowset.FilteredRowSet;
/*     */ import javax.sql.rowset.Predicate;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleFilteredRowSet
/*     */   extends OracleWebRowSet
/*     */   implements FilteredRowSet
/*     */ {
/*     */   private Predicate predicate;
/*     */   
/*     */   public void setFilter(Predicate paramPredicate) throws SQLException {
/*  97 */     this.predicate = paramPredicate;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Predicate getFilter() {
/* 115 */     return this.predicate;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean next() throws SQLException {
/* 141 */     if (this.rowCount <= 0) {
/* 142 */       return false;
/*     */     }
/* 144 */     if (this.presentRow >= this.rowCount) {
/* 145 */       return false;
/*     */     }
/* 147 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     do {
/* 151 */       this.presentRow++;
/*     */       
/* 153 */       if (this.predicate == null || (this.predicate != null && this.predicate.evaluate(this))) {
/*     */ 
/*     */         
/* 156 */         bool = true;
/*     */         
/*     */         break;
/*     */       } 
/* 160 */     } while (this.presentRow <= this.rowCount);
/*     */     
/* 162 */     if (bool) {
/*     */       
/* 164 */       notifyCursorMoved();
/* 165 */       return true;
/*     */     } 
/*     */ 
/*     */     
/* 169 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean previous() throws SQLException {
/* 196 */     if (this.rowsetType == 1003) {
/* 197 */       throw new SQLException("The RowSet type is TYPE_FORWARD_ONLY");
/*     */     }
/* 199 */     if (this.rowCount <= 0) {
/* 200 */       return false;
/*     */     }
/* 202 */     if (this.presentRow <= 1) {
/* 203 */       return false;
/*     */     }
/* 205 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     do {
/* 209 */       this.presentRow--;
/*     */       
/* 211 */       if (this.predicate == null || (this.predicate != null && this.predicate.evaluate(this))) {
/*     */ 
/*     */         
/* 214 */         bool = true;
/*     */         
/*     */         break;
/*     */       } 
/* 218 */     } while (this.presentRow >= 1);
/*     */     
/* 220 */     if (bool) {
/*     */       
/* 222 */       notifyCursorMoved();
/* 223 */       return true;
/*     */     } 
/*     */ 
/*     */     
/* 227 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean absolute(int paramInt) throws SQLException {
/* 254 */     if (this.rowsetType == 1003) {
/* 255 */       throw new SQLException("The RowSet type is TYPE_FORWARD_ONLY");
/*     */     }
/* 257 */     if (paramInt == 0 || Math.abs(paramInt) > this.rowCount) {
/* 258 */       return false;
/*     */     }
/*     */     
/* 261 */     int i = (paramInt < 0) ? (this.rowCount + paramInt + 1) : paramInt;
/*     */     
/* 263 */     byte b = 0;
/* 264 */     this.presentRow = 0;
/*     */ 
/*     */     
/* 267 */     while (b < i && this.presentRow <= this.rowCount) {
/*     */       
/* 269 */       if (next()) {
/* 270 */         b++; continue;
/*     */       } 
/* 272 */       return false;
/*     */     } 
/*     */     
/* 275 */     if (b == i) {
/*     */       
/* 277 */       notifyCursorMoved();
/* 278 */       return true;
/*     */     } 
/*     */     
/* 281 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void checkAndFilterObject(int paramInt, Object paramObject) throws SQLException {
/* 288 */     if (this.predicate != null && !this.predicate.evaluate(paramObject, paramInt))
/* 289 */       throw new SQLException("The object does not satisfy filtering criterion"); 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleFilteredRowSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */