/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.io.Reader;
/*     */ import java.sql.SQLException;
/*     */ import javax.sql.RowSetInternal;
/*     */ import javax.sql.rowset.WebRowSet;
/*     */ import javax.xml.parsers.DocumentBuilder;
/*     */ import javax.xml.parsers.DocumentBuilderFactory;
/*     */ import javax.xml.parsers.FactoryConfigurationError;
/*     */ import javax.xml.parsers.ParserConfigurationException;
/*     */ import javax.xml.parsers.SAXParser;
/*     */ import javax.xml.parsers.SAXParserFactory;
/*     */ import org.w3c.dom.Document;
/*     */ import org.xml.sax.InputSource;
/*     */ import org.xml.sax.SAXException;
/*     */ import org.xml.sax.SAXNotRecognizedException;
/*     */ import org.xml.sax.SAXParseException;
/*     */ import org.xml.sax.XMLReader;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleWebRowSetXmlReaderImpl
/*     */   implements OracleWebRowSetXmlReader
/*     */ {
/*     */   private static final String JAVA_SAXPARSER_PROPERTY = "javax.xml.parsers.SAXParserFactory";
/*     */   private static final String JAVA_DOMPARSER_PROPERTY = "javax.xml.parsers.DocumentBuilderFactory";
/*     */   private static final String ORACLE_JAXP_SAXPARSER_FACTORY = "oracle.xml.jaxp.JXSAXParserFactory";
/*     */   private static final String ORACLE_JAXP_DOMPARSER_FACTORY = "oracle.xml.jaxp.JXDocumentBuilderFactory";
/*     */   private static final String JAXP_SCHEMA_LANGUAGE = "http://java.sun.com/xml/jaxp/properties/schemaLanguage";
/*     */   private static final String JAXP_SCHEMA_SOURCE = "http://java.sun.com/xml/jaxp/properties/schemaSource";
/*     */   private static final String W3C_XML_SCHEMA = "http://www.w3.org/2001/XMLSchema";
/*     */   private static final String WEBROWSET_SCHEMA = "http://java.sun.com/xml/ns/jdbc/webrowset.xsd";
/*  89 */   private Document document = null;
/*  90 */   private String parserStr = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void readXML(WebRowSet paramWebRowSet, Reader paramReader) throws SQLException {
/* 125 */     this.parserStr = getSystemProperty("javax.xml.parsers.SAXParserFactory");
/* 126 */     if (this.parserStr != null) {
/*     */       
/* 128 */       readXMLSax((OracleWebRowSet)paramWebRowSet, paramReader);
/*     */     }
/*     */     else {
/*     */       
/* 132 */       this.parserStr = getSystemProperty("javax.xml.parsers.DocumentBuilderFactory");
/* 133 */       if (this.parserStr != null) {
/*     */         
/* 135 */         readXMLDom((OracleWebRowSet)paramWebRowSet, paramReader);
/*     */       } else {
/*     */         
/* 138 */         throw new SQLException("No valid JAXP parser property specified");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void readData(RowSetInternal paramRowSetInternal) throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readXMLSax(OracleWebRowSet paramOracleWebRowSet, Reader paramReader) throws SQLException {
/*     */     try {
/* 165 */       InputSource inputSource = new InputSource(paramReader);
/* 166 */       OracleWebRowSetXmlReaderContHandler oracleWebRowSetXmlReaderContHandler = new OracleWebRowSetXmlReaderContHandler(paramOracleWebRowSet);
/*     */ 
/*     */       
/* 169 */       SAXParserFactory sAXParserFactory = SAXParserFactory.newInstance();
/*     */ 
/*     */       
/* 172 */       sAXParserFactory.setNamespaceAware(true);
/* 173 */       sAXParserFactory.setValidating(true);
/* 174 */       SAXParser sAXParser = sAXParserFactory.newSAXParser();
/*     */ 
/*     */       
/* 177 */       sAXParser.setProperty("http://java.sun.com/xml/jaxp/properties/schemaLanguage", "http://www.w3.org/2001/XMLSchema");
/* 178 */       sAXParser.setProperty("http://java.sun.com/xml/jaxp/properties/schemaSource", "http://java.sun.com/xml/ns/jdbc/webrowset.xsd");
/*     */       
/* 180 */       XMLReader xMLReader = sAXParser.getXMLReader();
/* 181 */       xMLReader.setContentHandler(oracleWebRowSetXmlReaderContHandler);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 195 */       xMLReader.parse(inputSource);
/*     */     }
/* 197 */     catch (SAXParseException sAXParseException) {
/*     */       
/* 199 */       System.out.println("** Parsing error, line " + sAXParseException.getLineNumber() + ", uri " + sAXParseException.getSystemId());
/*     */ 
/*     */       
/* 202 */       System.out.println("   " + sAXParseException.getMessage());
/* 203 */       sAXParseException.printStackTrace();
/* 204 */       throw new SQLException(sAXParseException.getMessage());
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 209 */     catch (SAXNotRecognizedException sAXNotRecognizedException) {
/*     */       
/* 211 */       sAXNotRecognizedException.printStackTrace();
/* 212 */       throw new SQLException("readXMLSax: SAXNotRecognizedException: " + sAXNotRecognizedException.getMessage());
/*     */     }
/* 214 */     catch (SAXException sAXException) {
/*     */       
/* 216 */       sAXException.printStackTrace();
/* 217 */       throw new SQLException("readXMLSax: SAXException: " + sAXException.getMessage());
/*     */     }
/* 219 */     catch (FactoryConfigurationError factoryConfigurationError) {
/*     */       
/* 221 */       factoryConfigurationError.printStackTrace();
/* 222 */       throw new SQLException("readXMLSax: Parser factory config: " + factoryConfigurationError.getMessage());
/*     */     }
/* 224 */     catch (ParserConfigurationException parserConfigurationException) {
/*     */       
/* 226 */       parserConfigurationException.printStackTrace();
/* 227 */       throw new SQLException("readXMLSax: Parser config: " + parserConfigurationException.getMessage());
/*     */     }
/* 229 */     catch (Exception exception) {
/*     */       
/* 231 */       exception.printStackTrace();
/* 232 */       throw new SQLException("readXMLSax: " + exception.getMessage());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readXMLDom(OracleWebRowSet paramOracleWebRowSet, Reader paramReader) throws SQLException {
/*     */     try {
/* 244 */       InputSource inputSource = new InputSource(paramReader);
/* 245 */       OracleWebRowSetXmlReaderDomHandler oracleWebRowSetXmlReaderDomHandler = new OracleWebRowSetXmlReaderDomHandler(paramOracleWebRowSet);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 265 */       DocumentBuilderFactory documentBuilderFactory = DocumentBuilderFactory.newInstance();
/*     */ 
/*     */ 
/*     */       
/* 269 */       documentBuilderFactory.setNamespaceAware(true);
/* 270 */       documentBuilderFactory.setValidating(true);
/*     */ 
/*     */       
/* 273 */       documentBuilderFactory.setAttribute("http://java.sun.com/xml/jaxp/properties/schemaLanguage", "http://www.w3.org/2001/XMLSchema");
/* 274 */       documentBuilderFactory.setAttribute("http://java.sun.com/xml/jaxp/properties/schemaSource", "http://java.sun.com/xml/ns/jdbc/webrowset.xsd");
/* 275 */       DocumentBuilder documentBuilder = documentBuilderFactory.newDocumentBuilder();
/*     */       
/* 277 */       this.document = documentBuilder.parse(inputSource);
/*     */ 
/*     */       
/* 280 */       oracleWebRowSetXmlReaderDomHandler.readXMLDocument(this.document);
/*     */     }
/* 282 */     catch (SAXException sAXException) {
/*     */       
/* 284 */       sAXException.printStackTrace();
/* 285 */       throw new SQLException("readXMLDom: SAXException: " + sAXException.getMessage());
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 290 */     catch (FactoryConfigurationError factoryConfigurationError) {
/*     */       
/* 292 */       factoryConfigurationError.printStackTrace();
/* 293 */       throw new SQLException("readXMLDom: Parser factory config: " + factoryConfigurationError.getMessage());
/*     */     }
/* 295 */     catch (ParserConfigurationException parserConfigurationException) {
/*     */       
/* 297 */       parserConfigurationException.printStackTrace();
/* 298 */       throw new SQLException("readXMLDom: Parser config: " + parserConfigurationException.getMessage());
/*     */     }
/* 300 */     catch (Exception exception) {
/*     */       
/* 302 */       exception.printStackTrace();
/* 303 */       throw new SQLException("readXMLDom: " + exception.getMessage());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getSystemProperty(String paramString) {
/* 312 */     String str = null;
/*     */     
/*     */     try {
/* 315 */       str = System.getProperty(paramString);
/*     */     }
/* 317 */     catch (SecurityException securityException) {
/*     */       
/* 319 */       str = null;
/*     */     } 
/*     */     
/* 322 */     return str;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleWebRowSetXmlReaderImpl.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */