/*      */ package oracle.jdbc.xa;
/*      */ 
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Statement;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Vector;
/*      */ import javax.transaction.xa.XAException;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import javax.transaction.xa.Xid;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class OracleXAResource
/*      */   implements XAResource
/*      */ {
/*      */   public static final int XA_OK = 0;
/*      */   public static final short DEFAULT_XA_TIMEOUT = 60;
/*      */   protected boolean savedConnectionAutoCommit = false;
/*      */   protected boolean savedXAConnectionAutoCommit = false;
/*      */   public static final int TMNOFLAGS = 0;
/*      */   public static final int TMNOMIGRATE = 2;
/*      */   public static final int TMENDRSCAN = 8388608;
/*      */   public static final int TMFAIL = 536870912;
/*      */   public static final int TMMIGRATE = 1048576;
/*      */   public static final int TMJOIN = 2097152;
/*      */   public static final int TMONEPHASE = 1073741824;
/*      */   public static final int TMRESUME = 134217728;
/*      */   public static final int TMSTARTRSCAN = 16777216;
/*      */   public static final int TMSUCCESS = 67108864;
/*      */   public static final int TMSUSPEND = 33554432;
/*      */   public static final int ORATMREADONLY = 256;
/*      */   public static final int ORATMREADWRITE = 512;
/*      */   public static final int ORATMSERIALIZABLE = 1024;
/*      */   public static final int ORAISOLATIONMASK = 65280;
/*      */   public static final int ORATRANSLOOSE = 65536;
/*   81 */   protected Connection connection = null;
/*   82 */   protected OracleXAConnection xaconnection = null;
/*   83 */   protected int timeout = 60;
/*   84 */   protected String dblink = null;
/*      */ 
/*      */   
/*   87 */   private Connection logicalConnection = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   95 */   private String synchronizeBeforeRecoverNewCall = "BEGIN sys.dbms_xa.dist_txn_sync \n; END;";
/*      */ 
/*      */   
/*   98 */   private String synchronizeBeforeRecoverOldCall = "BEGIN sys.dbms_system.dist_txn_sync(0) \n; END;";
/*      */ 
/*      */ 
/*      */   
/*  102 */   private String recoverySqlRows = "SELECT formatid, globalid, branchid FROM SYS.DBA_PENDING_TRANSACTIONS";
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  107 */   protected Vector locallySuspendedTransactions = new Vector();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean canBeMigratablySuspended = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected XidListEntry xidHead;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected XidListEntry xidTail;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected XidListEntry currentXidListEntry;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setConnection(Connection paramConnection) throws XAException {
/*  153 */     this.connection = paramConnection;
/*      */     
/*  155 */     if (this.connection == null) {
/*  156 */       throw new XAException(-7);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleXAResource() {
/*  189 */     this.xidHead = null;
/*  190 */     this.xidTail = null;
/*  191 */     this.currentXidListEntry = null; } public OracleXAResource(Connection paramConnection, OracleXAConnection paramOracleXAConnection) throws XAException { this.xidHead = null; this.xidTail = null; this.currentXidListEntry = null;
/*      */     this.connection = paramConnection;
/*      */     this.xaconnection = paramOracleXAConnection;
/*      */     if (this.connection == null)
/*      */       throw new XAException(-7);  }
/*      */   
/*      */   class XidListEntry { Xid xid; boolean isSuspended; XidListEntry next; private final OracleXAResource this$0;
/*      */     XidListEntry(OracleXAResource this$0, Xid param1Xid, boolean param1Boolean) {
/*  199 */       this.this$0 = this$0; this.next = null;
/*  200 */       this.xid = param1Xid;
/*  201 */       this.isSuspended = param1Boolean;
/*      */     } }
/*      */ 
/*      */ 
/*      */   
/*      */   final XidListEntry getMatchingXidListEntry(Xid paramXid) {
/*  207 */     XidListEntry xidListEntry = this.xidHead;
/*  208 */     while (xidListEntry != null) {
/*      */       
/*  210 */       if (isSameXid(xidListEntry.xid, paramXid)) {
/*      */         break;
/*      */       }
/*      */       
/*  214 */       xidListEntry = xidListEntry.next;
/*      */     } 
/*      */     
/*  217 */     return xidListEntry;
/*      */   }
/*      */ 
/*      */   
/*      */   protected final boolean removeXidFromList(Xid paramXid) {
/*  222 */     if (!isXidListEmpty()) {
/*      */ 
/*      */       
/*  225 */       if (isSameXid(this.xidHead.xid, paramXid)) {
/*      */         
/*  227 */         this.xidHead = this.xidHead.next;
/*      */         
/*  229 */         if (this.xidHead == null) {
/*  230 */           this.xidTail = this.xidHead;
/*      */         }
/*  232 */         return true;
/*      */       } 
/*      */       
/*  235 */       XidListEntry xidListEntry1 = this.xidHead.next;
/*  236 */       XidListEntry xidListEntry2 = this.xidHead;
/*  237 */       while (xidListEntry1 != null) {
/*      */         
/*  239 */         if (isSameXid(xidListEntry1.xid, paramXid)) {
/*      */           
/*  241 */           xidListEntry2.next = xidListEntry1.next;
/*  242 */           if (this.xidTail == xidListEntry1)
/*  243 */             this.xidTail = xidListEntry2; 
/*  244 */           return true;
/*      */         } 
/*  246 */         xidListEntry2 = xidListEntry1;
/*  247 */         xidListEntry1 = xidListEntry1.next;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  252 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   final boolean isSameXid(Xid paramXid1, Xid paramXid2) {
/*  258 */     if (paramXid1 == paramXid2) {
/*  259 */       return true;
/*      */     }
/*  261 */     byte[] arrayOfByte1 = paramXid1.getGlobalTransactionId();
/*  262 */     byte[] arrayOfByte2 = paramXid2.getGlobalTransactionId();
/*  263 */     byte[] arrayOfByte3 = paramXid1.getBranchQualifier();
/*  264 */     byte[] arrayOfByte4 = paramXid2.getBranchQualifier();
/*  265 */     if (paramXid1.getFormatId() != paramXid2.getFormatId() || arrayOfByte1 == null || arrayOfByte2 == null || arrayOfByte3 == null || arrayOfByte4 == null || arrayOfByte1.length != arrayOfByte2.length || arrayOfByte3.length != arrayOfByte4.length)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  270 */       return false; } 
/*      */     byte b;
/*  272 */     for (b = 0; b < arrayOfByte1.length; b++) {
/*  273 */       if (arrayOfByte1[b] != arrayOfByte2[b])
/*  274 */         return false; 
/*      */     } 
/*  276 */     for (b = 0; b < arrayOfByte3.length; b++) {
/*  277 */       if (arrayOfByte3[b] != arrayOfByte4[b])
/*  278 */         return false; 
/*      */     } 
/*  280 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   protected final boolean isXidListEmpty() {
/*  285 */     return (this.xidHead == null);
/*      */   }
/*      */ 
/*      */   
/*      */   protected final boolean isCurrentXidSuspended(Xid paramXid) {
/*  290 */     return (this.currentXidListEntry != null && isSameXid(this.currentXidListEntry.xid, paramXid) && this.currentXidListEntry.isSuspended);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createOrUpdateXid(Xid paramXid, boolean paramBoolean, boolean[] paramArrayOfboolean) {
/*  309 */     XidListEntry xidListEntry = getMatchingXidListEntry(paramXid);
/*      */     
/*  311 */     if (xidListEntry != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  316 */       paramArrayOfboolean[0] = true;
/*  317 */       xidListEntry.isSuspended = paramBoolean;
/*      */     }
/*      */     else {
/*      */       
/*  321 */       xidListEntry = new XidListEntry(this, paramXid, paramBoolean);
/*  322 */       if (this.xidTail == null) {
/*      */         
/*  324 */         this.xidHead = this.xidTail = xidListEntry;
/*      */       }
/*      */       else {
/*      */         
/*  328 */         this.xidTail.next = xidListEntry;
/*  329 */         this.xidTail = xidListEntry;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  335 */     if (!paramBoolean) {
/*  336 */       enterGlobalTxnMode();
/*      */     }
/*  338 */     this.currentXidListEntry = xidListEntry;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean updateXidList(Xid paramXid, boolean[] paramArrayOfboolean) {
/*  362 */     boolean bool = false;
/*  363 */     XidListEntry xidListEntry = getMatchingXidListEntry(paramXid);
/*  364 */     if (xidListEntry != null) {
/*      */       
/*  366 */       bool = true;
/*  367 */       paramArrayOfboolean[0] = true;
/*  368 */       paramArrayOfboolean[1] = xidListEntry.isSuspended;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  375 */       if (xidListEntry.isSuspended) {
/*      */         
/*  377 */         enterGlobalTxnMode();
/*      */       }
/*      */       else {
/*      */         
/*  381 */         exitGlobalTxnMode();
/*      */       } 
/*      */     } 
/*      */     
/*  385 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Xid suspendStacked(Xid paramXid) throws XAException {
/*  410 */     Xid xid = null;
/*      */ 
/*      */     
/*  413 */     if (!isXidListEmpty() && this.currentXidListEntry != null && !isSameXid(this.currentXidListEntry.xid, paramXid)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  421 */       xid = this.xidTail.xid;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  426 */       end(xid, 33554432);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  433 */     return xid;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Xid suspendStacked(Xid paramXid, int paramInt) throws XAException {
/*  458 */     Xid xid = null;
/*      */     
/*  460 */     if (paramInt == 67108864 && this.xidTail != null && this.currentXidListEntry != null && !isSameXid(this.currentXidListEntry.xid, paramXid)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  467 */       allowGlobalTxnModeOnly(-3);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  473 */       xid = this.xidTail.xid;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  478 */       end(xid, 33554432);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  483 */       start(paramXid, 134217728);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  490 */     return xid;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void resumeStacked(Xid paramXid) throws XAException {
/*  511 */     if (paramXid != null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  517 */       start(paramXid, 134217728);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Xid[] recover(int paramInt) throws XAException {
/*  655 */     if ((paramInt & 0x1800000) != paramInt)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  661 */       throw new XAException(-5);
/*      */     }
/*      */     
/*  664 */     Statement statement = null;
/*  665 */     ResultSet resultSet = null;
/*  666 */     ArrayList arrayList = new ArrayList(50);
/*      */ 
/*      */     
/*      */     try {
/*  670 */       statement = this.connection.createStatement();
/*      */ 
/*      */ 
/*      */       
/*      */       try {
/*  675 */         statement.execute(this.synchronizeBeforeRecoverNewCall);
/*      */       }
/*  677 */       catch (Exception exception) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  683 */         statement.execute(this.synchronizeBeforeRecoverOldCall);
/*      */       } 
/*      */ 
/*      */       
/*  687 */       resultSet = statement.executeQuery(this.recoverySqlRows);
/*      */       
/*  689 */       while (resultSet.next())
/*      */       {
/*  691 */         arrayList.add(new OracleXid(resultSet.getInt(1), resultSet.getBytes(2), resultSet.getBytes(3)));
/*      */       
/*      */       }
/*      */     
/*      */     }
/*  696 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  705 */       throw new XAException(-3);
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */         
/*  711 */         if (statement != null) {
/*  712 */           statement.close();
/*      */         }
/*  714 */         if (resultSet != null) {
/*  715 */           resultSet.close();
/*      */         }
/*  717 */       } catch (Exception exception) {}
/*      */     } 
/*      */     
/*  720 */     int i = arrayList.size();
/*  721 */     Xid[] arrayOfXid = new Xid[i];
/*  722 */     System.arraycopy(arrayList.toArray(), 0, arrayOfXid, 0, i);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  727 */     return arrayOfXid;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void restoreAutoCommitModeForGlobalTransaction() throws XAException {
/*  742 */     if (this.savedConnectionAutoCommit && ((OracleConnection)this.connection).getTxnMode() != 1) {
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/*  748 */         this.connection.setAutoCommit(this.savedConnectionAutoCommit);
/*  749 */         this.xaconnection.setAutoCommit(this.savedXAConnectionAutoCommit);
/*      */       }
/*  751 */       catch (SQLException sQLException) {}
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void saveAndAlterAutoCommitModeForGlobalTransaction() throws XAException {
/*      */     try {
/*  770 */       this.savedConnectionAutoCommit = this.connection.getAutoCommit();
/*  771 */       this.connection.setAutoCommit(false);
/*  772 */       this.savedXAConnectionAutoCommit = this.xaconnection.getAutoCommit();
/*  773 */       this.xaconnection.setAutoCommit(false);
/*      */     }
/*  775 */     catch (SQLException sQLException) {}
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void resume(Xid paramXid) throws XAException {
/*  795 */     start(paramXid, 134217728);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void join(Xid paramXid) throws XAException {
/*  812 */     start(paramXid, 2097152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void suspend(Xid paramXid) throws XAException {
/*  828 */     end(paramXid, 33554432);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void join(Xid paramXid, int paramInt) throws XAException {
/*  846 */     this.timeout = paramInt;
/*      */     
/*  848 */     start(paramXid, 2097152);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void resume(Xid paramXid, int paramInt) throws XAException {
/*  866 */     this.timeout = paramInt;
/*      */     
/*  868 */     start(paramXid, 134217728);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Connection getConnection() {
/*  886 */     return this.connection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTransactionTimeout() throws XAException {
/*  909 */     return this.timeout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isSameRM(XAResource paramXAResource) throws XAException {
/*  931 */     Connection connection = null;
/*      */ 
/*      */     
/*  934 */     if (paramXAResource instanceof OracleXAResource) {
/*  935 */       connection = ((OracleXAResource)paramXAResource).getConnection();
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  942 */       return false;
/*      */     } 
/*      */ 
/*      */     
/*      */     try {
/*  947 */       if (this.connection == null || ((OracleConnection)this.connection).isClosed()) {
/*  948 */         return false;
/*      */       }
/*  950 */       String str1 = ((OracleConnection)this.connection).getURL();
/*  951 */       String str2 = ((OracleConnection)this.connection).getProtocolType();
/*      */       
/*  953 */       if (connection != null)
/*      */       {
/*  955 */         return (connection.equals(this.connection) || ((OracleConnection)connection).getURL().equals(str1) || (((OracleConnection)connection).getProtocolType().equals(str2) && str2.equals("kprb")));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  967 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  976 */       throw new XAException(-3);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  985 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean setTransactionTimeout(int paramInt) throws XAException {
/* 1009 */     if (paramInt < 0) {
/* 1010 */       throw new XAException(-5);
/*      */     }
/* 1012 */     this.timeout = paramInt;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1017 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getDBLink() {
/* 1035 */     return this.dblink;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDBLink(String paramString) {
/* 1051 */     this.dblink = paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setLogicalConnection(Connection paramConnection) {
/* 1066 */     this.logicalConnection = paramConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void allowGlobalTxnModeOnly(int paramInt) throws XAException {
/* 1092 */     if (((OracleConnection)this.connection).getTxnMode() != 1)
/*      */     {
/* 1094 */       throw new XAException(paramInt);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void exitGlobalTxnMode() {
/* 1102 */     ((OracleConnection)this.connection).setTxnMode(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void enterGlobalTxnMode() {
/* 1110 */     ((OracleConnection)this.connection).setTxnMode(1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void checkError(int paramInt) throws OracleXAException {
/* 1119 */     if ((paramInt & 0xFFFF) != 0) {
/* 1120 */       throw new OracleXAException(paramInt);
/*      */     }
/*      */   }
/*      */   
/*      */   protected void checkError(int paramInt1, int paramInt2) throws OracleXAException {
/* 1125 */     if ((paramInt1 & 0xFFFF) != 0) {
/* 1126 */       throw new OracleXAException(paramInt1, paramInt2);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/* 1131 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*      */   
/*      */   public abstract void start(Xid paramXid, int paramInt) throws XAException;
/*      */   
/*      */   public abstract void end(Xid paramXid, int paramInt) throws XAException;
/*      */   
/*      */   public abstract void commit(Xid paramXid, boolean paramBoolean) throws XAException;
/*      */   
/*      */   public abstract int prepare(Xid paramXid) throws XAException;
/*      */   
/*      */   public abstract void forget(Xid paramXid) throws XAException;
/*      */   
/*      */   public abstract void rollback(Xid paramXid) throws XAException;
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleXAResource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */