/*      */ package oracle.jdbc.xa.client;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.CallableStatement;
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import javax.transaction.xa.XAException;
/*      */ import javax.transaction.xa.Xid;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.oracore.Util;
/*      */ import oracle.jdbc.xa.OracleXAConnection;
/*      */ import oracle.jdbc.xa.OracleXAException;
/*      */ import oracle.jdbc.xa.OracleXAResource;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleXAResource
/*      */   extends OracleXAResource
/*      */ {
/*   36 */   private short m_version = 0;
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean needStackingForCommitRollbackPrepare = false;
/*      */ 
/*      */   
/*   43 */   private static String xa_start_816 = "begin ? := JAVA_XA.xa_start(?,?,?,?); end;";
/*      */   
/*   45 */   private static String xa_start_post_816 = "begin ? := JAVA_XA.xa_start_new(?,?,?,?,?); end;";
/*      */ 
/*      */ 
/*      */   
/*   49 */   private static String xa_end_816 = "begin ? := JAVA_XA.xa_end(?,?); end;";
/*   50 */   private static String xa_end_post_816 = "begin ? := JAVA_XA.xa_end_new(?,?,?,?); end;";
/*      */ 
/*      */   
/*   53 */   private static String xa_commit_816 = "begin ? := JAVA_XA.xa_commit (?,?,?); end;";
/*      */   
/*   55 */   private static String xa_commit_post_816 = "begin ? := JAVA_XA.xa_commit_new (?,?,?,?); end;";
/*      */ 
/*      */   
/*   58 */   private static String xa_prepare_816 = "begin ? := JAVA_XA.xa_prepare (?,?); end;";
/*      */   
/*   60 */   private static String xa_prepare_post_816 = "begin ? := JAVA_XA.xa_prepare_new (?,?,?); end;";
/*      */ 
/*      */   
/*   63 */   private static String xa_rollback_816 = "begin ? := JAVA_XA.xa_rollback (?,?); end;";
/*      */   
/*   65 */   private static String xa_rollback_post_816 = "begin ? := JAVA_XA.xa_rollback_new (?,?,?); end;";
/*      */ 
/*      */   
/*   68 */   private static String xa_forget_816 = "begin ? := JAVA_XA.xa_forget (?,?); end;";
/*      */   
/*   70 */   private static String xa_forget_post_816 = "begin ? := JAVA_XA.xa_forget_new (?,?,?); end;";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isTransLoose = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleXAResource() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleXAResource(Connection paramConnection, OracleXAConnection paramOracleXAConnection) throws XAException {
/*   94 */     super(paramConnection, paramOracleXAConnection);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  101 */       this.m_version = ((OracleConnection)paramConnection).getVersionNumber();
/*  102 */       this.needStackingForCommitRollbackPrepare = (this.m_version < 9000);
/*      */     }
/*  104 */     catch (SQLException sQLException) {}
/*      */     
/*  106 */     if (this.m_version < 8170)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  116 */       throw new XAException(-6);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void start(Xid paramXid, int paramInt) throws XAException {
/*  158 */     int i = -1;
/*  159 */     Object object = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  169 */       if (paramXid == null)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  175 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */       
/*  179 */       int j = paramInt & 0xFF00;
/*      */       
/*  181 */       paramInt &= 0xFFFF00FF;
/*      */       
/*  183 */       int k = paramInt & 0x10000 | (this.isTransLoose ? 65536 : 0);
/*      */       
/*  185 */       paramInt &= 0xFFFEFFFF;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  192 */       if ((paramInt & 0x8200002) != paramInt || (k != 0 && (k & 0x10000) != 65536))
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  200 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  211 */       if ((j & 0xFF00) != 0 && j != 256 && j != 512 && j != 1024)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  218 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  223 */       if ((paramInt & 0x8200000) != 0 && ((j & 0xFF00) != 0 || (k & 0x10000) != 0))
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  231 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */       
/*  235 */       paramInt |= j | k;
/*      */       
/*  237 */       saveAndAlterAutoCommitModeForGlobalTransaction();
/*      */ 
/*      */ 
/*      */       
/*  241 */       i = doStart(paramXid, paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  249 */       checkError(i);
/*      */ 
/*      */ 
/*      */       
/*  253 */       boolean[] arrayOfBoolean = { false };
/*  254 */       createOrUpdateXid(paramXid, false, arrayOfBoolean);
/*      */ 
/*      */     
/*      */     }
/*  258 */     catch (XAException xAException) {
/*      */       
/*  260 */       restoreAutoCommitModeForGlobalTransaction();
/*      */       
/*  262 */       throw xAException;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doStart(Xid paramXid, int paramInt) throws XAException {
/*  273 */     int i = -1;
/*  274 */     CallableStatement callableStatement = null;
/*      */ 
/*      */     
/*      */     try {
/*  278 */       callableStatement = this.connection.prepareCall(xa_start_post_816);
/*      */       
/*  280 */       callableStatement.registerOutParameter(1, 2);
/*  281 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  282 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  283 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*  284 */       callableStatement.setInt(5, this.timeout);
/*  285 */       callableStatement.setInt(6, paramInt);
/*      */       
/*  287 */       callableStatement.execute();
/*      */       
/*  289 */       i = callableStatement.getInt(1);
/*      */     }
/*  291 */     catch (SQLException sQLException) {
/*      */       
/*  293 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  303 */       if (i == 0) {
/*  304 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  314 */         if (callableStatement != null) {
/*  315 */           callableStatement.close();
/*      */         }
/*  317 */       } catch (SQLException sQLException) {}
/*      */       
/*  319 */       callableStatement = null;
/*      */     } 
/*      */     
/*  322 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void end(Xid paramXid, int paramInt) throws XAException {
/*  349 */     int i = -1;
/*  350 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  357 */       if (paramXid == null)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  363 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */       
/*  367 */       int j = 638582786;
/*  368 */       if ((paramInt & j) != paramInt)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  374 */         throw new XAException(-5);
/*      */       }
/*      */ 
/*      */       
/*  378 */       boolean bool1 = isCurrentXidSuspended(paramXid);
/*  379 */       Xid xid = suspendStacked(paramXid, paramInt);
/*  380 */       boolean[] arrayOfBoolean = { false, false };
/*  381 */       boolean bool2 = true;
/*      */       
/*  383 */       if (paramInt == 33554432) {
/*      */         
/*  385 */         createOrUpdateXid(paramXid, true, arrayOfBoolean);
/*      */       }
/*  387 */       else if (xid != null) {
/*      */         
/*  389 */         bool2 = updateXidList(paramXid, arrayOfBoolean);
/*  390 */         bool = arrayOfBoolean[1];
/*      */       } 
/*      */ 
/*      */       
/*  394 */       if (!bool)
/*      */       {
/*      */ 
/*      */         
/*  398 */         if (!bool2 && paramInt == 67108864) {
/*      */           
/*  400 */           bool = true;
/*      */ 
/*      */         
/*      */         }
/*  404 */         else if (bool1) {
/*  405 */           bool = true;
/*      */         } 
/*      */       }
/*  408 */       if (bool) {
/*      */         
/*  410 */         i = doStart(paramXid, 134217728);
/*  411 */         if (i != 0) {
/*      */ 
/*      */           
/*  414 */           resumeStacked(xid);
/*      */ 
/*      */           
/*  417 */           checkError(i);
/*      */         } 
/*      */       } 
/*      */       
/*  421 */       i = doEnd(paramXid, paramInt, arrayOfBoolean[0]);
/*  422 */       if (paramInt == 67108864 && i == 0) {
/*  423 */         removeXidFromList(paramXid);
/*      */       }
/*  425 */       if (xid != null) {
/*      */ 
/*      */         
/*  428 */         resumeStacked(xid);
/*  429 */       } else if (isXidListEmpty()) {
/*      */ 
/*      */ 
/*      */         
/*  433 */         exitGlobalTxnMode();
/*  434 */         this.currentXidListEntry = null;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  441 */       checkError(i);
/*      */     }
/*      */     finally {
/*      */       
/*  445 */       restoreAutoCommitModeForGlobalTransaction();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doEnd(Xid paramXid, int paramInt, boolean paramBoolean) throws XAException {
/*  456 */     CallableStatement callableStatement = null;
/*  457 */     int i = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  463 */       callableStatement = this.connection.prepareCall(xa_end_post_816);
/*      */       
/*  465 */       callableStatement.registerOutParameter(1, 2);
/*  466 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  467 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  468 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*  469 */       callableStatement.setInt(5, paramInt);
/*  470 */       callableStatement.execute();
/*      */       
/*  472 */       i = callableStatement.getInt(1);
/*      */     }
/*  474 */     catch (SQLException sQLException) {
/*      */       
/*  476 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  486 */       if (i == 0) {
/*  487 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  497 */         if (callableStatement != null) {
/*  498 */           callableStatement.close();
/*      */         }
/*  500 */       } catch (SQLException sQLException) {}
/*      */       
/*  502 */       callableStatement = null;
/*      */     } 
/*      */     
/*  505 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void commit(Xid paramXid, boolean paramBoolean) throws XAException {
/*      */     boolean bool2;
/*  528 */     int i = -1;
/*  529 */     boolean bool1 = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  535 */     if (paramXid == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  541 */       throw new XAException(-5);
/*      */     }
/*      */     
/*  544 */     if (paramBoolean) {
/*  545 */       bool2 = true;
/*      */     } else {
/*  547 */       bool2 = false;
/*      */     } 
/*      */     
/*  550 */     Xid xid = null;
/*  551 */     if (this.needStackingForCommitRollbackPrepare) {
/*  552 */       xid = suspendStacked(paramXid);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  558 */       exitGlobalTxnMode();
/*  559 */       this.currentXidListEntry = null;
/*      */     } 
/*      */     
/*  562 */     i = doCommit(paramXid, bool2);
/*      */ 
/*      */     
/*  565 */     if (i != 0 && OracleXAException.errorConvert(i, -7) == -7) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/*  572 */         this.connection.close();
/*  573 */       } catch (SQLException sQLException) {}
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  578 */     else if (this.needStackingForCommitRollbackPrepare) {
/*  579 */       resumeStacked(xid);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  585 */     checkError(i, -7);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doCommit(Xid paramXid, int paramInt) throws XAException {
/*  594 */     int i = -1;
/*  595 */     CallableStatement callableStatement = null;
/*  596 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  602 */       callableStatement = this.connection.prepareCall(xa_commit_post_816);
/*      */       
/*  604 */       callableStatement.registerOutParameter(1, 2);
/*  605 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  606 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  607 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*  608 */       callableStatement.setInt(5, paramInt);
/*      */       
/*  610 */       callableStatement.execute();
/*      */       
/*  612 */       i = callableStatement.getInt(1);
/*      */     }
/*  614 */     catch (SQLException sQLException) {
/*      */       
/*  616 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  626 */       if (i == 0) {
/*  627 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  637 */         if (callableStatement != null) {
/*  638 */           callableStatement.close();
/*      */         }
/*  640 */       } catch (SQLException sQLException) {}
/*      */       
/*  642 */       callableStatement = null;
/*      */     } 
/*      */     
/*  645 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int prepare(Xid paramXid) throws XAException {
/*  666 */     int i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  671 */     if (paramXid == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  677 */       throw new XAException(-5);
/*      */     }
/*      */ 
/*      */     
/*  681 */     Xid xid = null;
/*  682 */     if (this.needStackingForCommitRollbackPrepare) {
/*  683 */       xid = suspendStacked(paramXid);
/*      */     }
/*  685 */     i = doPrepare(paramXid);
/*      */ 
/*      */     
/*  688 */     if (this.needStackingForCommitRollbackPrepare) {
/*  689 */       resumeStacked(xid);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  695 */     boolean bool = (i == 0) ? false : OracleXAException.errorConvert(i);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  701 */     if (bool && bool != 3) {
/*  702 */       throw new OracleXAException(i);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  707 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doPrepare(Xid paramXid) throws XAException {
/*  713 */     int i = 0;
/*  714 */     boolean bool = false;
/*  715 */     CallableStatement callableStatement = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  721 */       callableStatement = this.connection.prepareCall(xa_prepare_post_816);
/*      */       
/*  723 */       callableStatement.registerOutParameter(1, 2);
/*  724 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  725 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  726 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*      */       
/*  728 */       callableStatement.execute();
/*      */       
/*  730 */       i = callableStatement.getInt(1);
/*      */     }
/*  732 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */       
/*  736 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  746 */       if (i == 0) {
/*  747 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  757 */         if (callableStatement != null) {
/*  758 */           callableStatement.close();
/*      */         }
/*  760 */       } catch (SQLException sQLException) {}
/*      */       
/*  762 */       callableStatement = null;
/*      */     } 
/*      */     
/*  765 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void forget(Xid paramXid) throws XAException {
/*  779 */     int i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  784 */     if (paramXid == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  790 */       throw new XAException(-5);
/*      */     }
/*      */     
/*  793 */     i = doForget(paramXid);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  799 */     checkError(i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doForget(Xid paramXid) throws XAException {
/*  810 */     int i = 0;
/*  811 */     boolean bool = false;
/*  812 */     CallableStatement callableStatement = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  818 */       callableStatement = this.connection.prepareCall(xa_forget_post_816);
/*      */       
/*  820 */       callableStatement.registerOutParameter(1, 2);
/*  821 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  822 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  823 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*      */       
/*  825 */       callableStatement.execute();
/*      */       
/*  827 */       i = callableStatement.getInt(1);
/*      */     }
/*  829 */     catch (SQLException sQLException) {
/*      */       
/*  831 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  841 */       if (i == 0) {
/*  842 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  852 */         if (callableStatement != null) {
/*  853 */           callableStatement.close();
/*      */         }
/*  855 */       } catch (SQLException sQLException) {}
/*      */       
/*  857 */       callableStatement = null;
/*      */     } 
/*      */     
/*  860 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void rollback(Xid paramXid) throws XAException {
/*  875 */     int i = 0;
/*  876 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  881 */     if (paramXid == null)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  887 */       throw new XAException(-5);
/*      */     }
/*      */ 
/*      */     
/*  891 */     Xid xid = null;
/*  892 */     if (this.needStackingForCommitRollbackPrepare) {
/*  893 */       xid = suspendStacked(paramXid);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  899 */       exitGlobalTxnMode();
/*  900 */       this.currentXidListEntry = null;
/*      */     } 
/*      */     
/*  903 */     i = doRollback(paramXid);
/*      */ 
/*      */     
/*  906 */     if (this.needStackingForCommitRollbackPrepare) {
/*  907 */       resumeStacked(xid);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  913 */     checkError(i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doRollback(Xid paramXid) throws XAException {
/*  924 */     int i = 0;
/*  925 */     boolean bool = false;
/*  926 */     CallableStatement callableStatement = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  932 */       callableStatement = this.connection.prepareCall(xa_rollback_post_816);
/*      */       
/*  934 */       callableStatement.registerOutParameter(1, 2);
/*  935 */       callableStatement.setInt(2, paramXid.getFormatId());
/*  936 */       callableStatement.setBytes(3, paramXid.getGlobalTransactionId());
/*  937 */       callableStatement.setBytes(4, paramXid.getBranchQualifier());
/*      */       
/*  939 */       callableStatement.execute();
/*      */       
/*  941 */       i = callableStatement.getInt(1);
/*      */     }
/*  943 */     catch (SQLException sQLException) {
/*      */       
/*  945 */       i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  955 */       if (i == 0) {
/*  956 */         throw new XAException(-6);
/*      */       }
/*      */     } finally {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  966 */         if (callableStatement != null) {
/*  967 */           callableStatement.close();
/*      */         }
/*  969 */       } catch (SQLException sQLException) {}
/*      */       
/*  971 */       callableStatement = null;
/*      */     } 
/*      */     
/*  974 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void doTwoPhaseAction(int paramInt1, int paramInt2, String[] paramArrayOfString, Xid[] paramArrayOfXid) throws XAException {
/*  980 */     doDoTwoPhaseAction(paramInt1, paramInt2, paramArrayOfString, paramArrayOfXid);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doDoTwoPhaseAction(int paramInt1, int paramInt2, String[] paramArrayOfString, Xid[] paramArrayOfXid) throws XAException {
/*  986 */     throw new XAException(-6);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static byte[] getSerializedBytes(Xid paramXid) {
/*      */     try {
/* 1004 */       return Util.serializeObject(paramXid);
/*      */     }
/* 1006 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1013 */       return null;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1022 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\client\OracleXAResource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */