package oracle.net.nt;

import java.io.FileInputStream;
import java.io.IOException;
import java.security.KeyStore;
import java.security.Security;
import java.util.Properties;
import javax.net.ssl.KeyManager;
import javax.net.ssl.KeyManagerFactory;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import javax.net.ssl.TrustManagerFactory;
import oracle.net.nl.NVFactory;
import oracle.net.nl.NVNavigator;
import oracle.net.nl.NVPair;
import oracle.net.ns.NetException;

public class CustomSSLSocketFactory {
  static final boolean DEBUG = false;
  
  public static final String CLEAR_WALLET_FILE_NAME = "cwallet.sso";
  
  public static final String CLEAR_WALLET_TYPE = "SSO";
  
  public static final String SUPPORTED_METHOD_TYPE = "FILE";
  
  public static SSLSocketFactory defSSLFactory;
  
  public static String defPropString = getDefaultPropertiesString();
  
  public static boolean initDefFactory;
  
  public static SSLSocketFactory getSSLSocketFactory(Properties paramProperties) throws IOException {
    String str3 = null;
    String str2 = str3;
    String str1 = str2;
    String str5 = null;
    String str6 = str5;
    String str4 = str6;
    String str7 = null;
    String str8 = null;
    String str9 = null;
    String str10 = null;
    String str11 = null;
    str11 = (String)paramProperties.get(new Integer(5));
    if (str11 == null)
      str11 = System.getProperty("oracle.net.wallet_location"); 
    if (str11 == null || (paramProperties.get(new Integer(5)) == null && paramProperties.get(new Integer(8)) != null)) {
      str1 = (String)paramProperties.get(new Integer(8));
      if (str1 == null)
        str1 = System.getProperty("javax.net.ssl.keyStore"); 
      if (str1 != null) {
        str3 = (String)paramProperties.get(new Integer(9));
        if (str3 == null)
          str3 = System.getProperty("javax.net.ssl.keyStoreType", KeyStore.getDefaultType()); 
        str2 = (String)paramProperties.get(new Integer(10));
        if (str2 == null)
          str2 = System.getProperty("javax.net.ssl.keyStorePassword", ""); 
        str7 = (String)paramProperties.get(new Integer(14));
        if (str7 == null)
          str7 = Security.getProperty("ssl.keyManagerFactory.algorithm"); 
        if (str7 == null)
          str7 = KeyManagerFactory.getDefaultAlgorithm(); 
      } 
      str4 = (String)paramProperties.get(new Integer(11));
      if (str4 == null)
        str4 = System.getProperty("javax.net.ssl.trustStore"); 
      if (str4 != null) {
        str5 = (String)paramProperties.get(new Integer(12));
        if (str5 == null)
          str5 = System.getProperty("javax.net.ssl.trustStoreType", KeyStore.getDefaultType()); 
        str6 = (String)paramProperties.get(new Integer(13));
        if (str6 == null)
          str6 = System.getProperty("javax.net.ssl.trustStorePassword", ""); 
        str8 = (String)paramProperties.get(new Integer(15));
        if (str8 == null)
          str8 = Security.getProperty("ssl.trustManagerFactory.algorithm"); 
        if (str8 == null)
          str8 = TrustManagerFactory.getDefaultAlgorithm(); 
      } 
      str9 = str1 + "#" + str3 + "#" + str2 + "#" + str4 + "#" + str5 + "#" + str6 + "#" + str7 + "#" + str8;
    } else {
      str10 = processWalletLocation(str11);
      str1 = str10 + System.getProperty("file.separator") + "cwallet.sso";
      str3 = "SSO";
      str2 = "";
      str7 = KeyManagerFactory.getDefaultAlgorithm();
      str4 = str1;
      str5 = "SSO";
      str6 = "";
      str8 = TrustManagerFactory.getDefaultAlgorithm();
      str9 = str11 + "#" + str7 + "#" + str8;
    } 
    if (str9.equals(defPropString)) {
      if (initDefFactory)
        return defSSLFactory; 
      synchronized (CustomSSLSocketFactory.class) {
        if (!initDefFactory)
          try {
            KeyManager[] arrayOfKeyManager = null;
            TrustManager[] arrayOfTrustManager = null;
            if (str1 != null)
              arrayOfKeyManager = getKeyManagerArray(str1, str2, str3, str7); 
            if (str4 != null)
              arrayOfTrustManager = getTrustManagerArray(str4, str6, str5, str8); 
            SSLContext sSLContext = SSLContext.getInstance("SSL");
            sSLContext.init(arrayOfKeyManager, arrayOfTrustManager, null);
            defSSLFactory = sSLContext.getSocketFactory();
            if (defSSLFactory != null)
              initDefFactory = true; 
          } catch (Exception exception) {
            throw new NetException(410, exception.toString());
          }  
        return defSSLFactory;
      } 
    } 
    try {
      KeyManager[] arrayOfKeyManager = null;
      TrustManager[] arrayOfTrustManager = null;
      if (str1 != null)
        arrayOfKeyManager = getKeyManagerArray(str1, str2, str3, str7); 
      if (str4 != null)
        arrayOfTrustManager = getTrustManagerArray(str4, str6, str5, str8); 
      SSLContext sSLContext = SSLContext.getInstance("SSL");
      sSLContext.init(arrayOfKeyManager, arrayOfTrustManager, null);
      return sSLContext.getSocketFactory();
    } catch (Exception exception) {
      throw new NetException(410, exception.toString());
    } 
  }
  
  public static KeyManager[] getKeyManagerArray(String paramString1, String paramString2, String paramString3, String paramString4) throws IOException {
    try {
      KeyStore keyStore = KeyStore.getInstance(paramString3);
      FileInputStream fileInputStream = new FileInputStream(paramString1);
      keyStore.load(fileInputStream, paramString2.toCharArray());
      KeyManagerFactory keyManagerFactory = KeyManagerFactory.getInstance(paramString4);
      keyManagerFactory.init(keyStore, paramString2.toCharArray());
      return keyManagerFactory.getKeyManagers();
    } catch (Exception exception) {
      throw new NetException(408, exception.toString());
    } 
  }
  
  public static TrustManager[] getTrustManagerArray(String paramString1, String paramString2, String paramString3, String paramString4) throws IOException {
    try {
      KeyStore keyStore = KeyStore.getInstance(paramString3);
      FileInputStream fileInputStream = new FileInputStream(paramString1);
      keyStore.load(fileInputStream, paramString2.toCharArray());
      TrustManagerFactory trustManagerFactory = TrustManagerFactory.getInstance(paramString4);
      trustManagerFactory.init(keyStore);
      return trustManagerFactory.getTrustManagers();
    } catch (Exception exception) {
      throw new NetException(409, exception.toString());
    } 
  }
  
  public static String processWalletLocation(String paramString) throws NetException {
    String str = null;
    try {
      NVNavigator nVNavigator = new NVNavigator();
      NVPair nVPair1 = (new NVFactory()).createNVPair(paramString);
      NVPair nVPair2 = nVNavigator.findNVPair(nVPair1, "METHOD");
      NVPair nVPair3 = nVNavigator.findNVPair(nVPair1, "METHOD_DATA");
      NVPair nVPair4 = nVNavigator.findNVPair(nVPair3, "DIRECTORY");
      str = nVPair2.getAtom();
      if (str.equalsIgnoreCase("FILE"))
        return nVPair4.getAtom(); 
      throw new NetException(412, str);
    } catch (Exception exception) {
      throw new NetException(407, exception.toString());
    } 
  }
  
  public static String getDefaultPropertiesString() {
    String str1 = null;
    String str2 = null;
    Object object = null;
    String str3 = null;
    String str4 = null;
    str2 = System.getProperty("oracle.net.wallet_location");
    if (str2 != null) {
      str1 = str2;
    } else {
      str1 = System.getProperty("javax.net.ssl.keyStore", "") + "#" + System.getProperty("javax.net.ssl.keyStoreType", KeyStore.getDefaultType()) + "#" + System.getProperty("javax.net.ssl.keyStorePassword", "") + "#" + System.getProperty("javax.net.ssl.trustStore", "") + "#" + System.getProperty("javax.net.ssl.trustStoreType", KeyStore.getDefaultType()) + "#" + System.getProperty("javax.net.ssl.trustStorePassword", "");
    } 
    if (str3 == null)
      str3 = KeyManagerFactory.getDefaultAlgorithm(); 
    if (str4 == null)
      str4 = TrustManagerFactory.getDefaultAlgorithm(); 
    return str1 + "#" + str3 + "#" + str4;
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\nt\CustomSSLSocketFactory.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */