package oracle.net.resolver;

import java.util.Vector;
import oracle.net.TNSAddress.Description;
import oracle.net.TNSAddress.SchemaObjectFactoryInterface;
import oracle.net.nt.ConnOption;
import oracle.net.nt.ConnStrategy;

public class NavDescription extends Description implements NavSchemaObject {
  private Vector activeChildren = new Vector(1, 10);
  
  private int descProcessed;
  
  private boolean done = false;
  
  public NavDescription(SchemaObjectFactoryInterface paramSchemaObjectFactoryInterface) {
    super(paramSchemaObjectFactoryInterface);
  }
  
  public void navigate(ConnStrategy paramConnStrategy, StringBuffer paramStringBuffer) {
    paramStringBuffer.setLength(0);
    paramStringBuffer.append("(DESCRIPTION=");
    try {
      if (this.SDU != null)
        paramConnStrategy.sdu = Integer.parseInt(this.SDU); 
      if (this.TDU != null)
        paramConnStrategy.tdu = Integer.parseInt(this.TDU); 
    } catch (Exception exception) {}
    paramConnStrategy.addSocketOptions(this.keepAlive);
    if (this.sourceRoute) {
      if (!backwardCompatibilityCase(this.children, paramConnStrategy)) {
        this.activeChildren = this.children;
        ((NavSchemaObject)this.activeChildren.elementAt(0)).navigate(paramConnStrategy, paramStringBuffer);
        for (byte b = 1; b < this.activeChildren.size(); b++)
          ((NavSchemaObject)this.activeChildren.elementAt(b)).addToString(paramConnStrategy); 
      } else {
        setConnectionOption(paramConnStrategy, paramStringBuffer);
      } 
      closeNVPair(paramConnStrategy);
    } else {
      this.activeChildren = NavDescriptionList.setActiveChildren(this.children, this.failover, this.loadBalance);
      for (byte b = 0; b < this.activeChildren.size(); b++)
        ((NavSchemaObject)this.activeChildren.elementAt(b)).navigate(paramConnStrategy, paramStringBuffer); 
      closeNVPair(paramConnStrategy);
    } 
    this.done = true;
  }
  
  public void closeNVPair(ConnStrategy paramConnStrategy) {
    for (int i = paramConnStrategy.cOpts.size() - 1; i >= 0 && !((ConnOption)paramConnStrategy.cOpts.elementAt(i)).done; i--) {
      ConnOption connOption = paramConnStrategy.cOpts.elementAt(i);
      if (this.sourceRoute)
        connOption.conn_data.append("(SOURCE_ROUTE=yes)"); 
      connOption.conn_data.append("(CONNECT_DATA=");
      connOption.conn_data.append("(CID=(PROGRAM=)(HOST=__jdbc__)(USER=))");
      connOption.conn_data.append(this.connectData);
      connOption.conn_data.append(")");
      if (this.SID != null)
        connOption.sid = this.SID; 
      if (this.serviceName != null)
        connOption.service_name = this.serviceName; 
      if (this.instanceName != null)
        connOption.instance_name = this.instanceName; 
      if (this.sslServerCertDN != null)
        connOption.sslServerCertDN = this.sslServerCertDN; 
      connOption.conn_data.append(")");
      connOption.done = true;
    } 
  }
  
  public void addToString(ConnStrategy paramConnStrategy) {}
  
  private boolean backwardCompatibilityCase(Vector paramVector, ConnStrategy paramConnStrategy) {
    if (paramVector.size() == 1 && ((NavSchemaObject)paramVector.elementAt(0)).isA() == 1 && !((NavAddressList)paramVector.elementAt(0)).sourceRoute) {
      NavAddressList navAddressList = (NavAddressList)paramVector.elementAt(0);
      int i = navAddressList.getChildrenSize();
      if (i == 0)
        return false; 
      for (byte b = 0; b < i; b++) {
        if (navAddressList.getChildrenType(b) != 0)
          return false; 
      } 
      return true;
    } 
    return false;
  }
  
  private void setConnectionOption(ConnStrategy paramConnStrategy, StringBuffer paramStringBuffer) {
    paramStringBuffer.append("(ADDRESS_LIST=");
    NavAddressList navAddressList = this.children.elementAt(0);
    NavAddress navAddress = navAddressList.getChild(0);
    int i = navAddressList.getChildrenSize();
    navAddress.navigate(paramConnStrategy, paramStringBuffer);
    for (byte b = 1; b < i; b++)
      navAddressList.getChild(b).addToString(paramConnStrategy); 
    ((ConnOption)paramConnStrategy.cOpts.elementAt(0)).conn_data.append(")");
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\resolver\NavDescription.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */