/*      */ package oracle.sql;
/*      */ 
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.sql.converter.CharacterConverterFactory;
/*      */ import oracle.sql.converter.CharacterConverterFactoryOGS;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class CharacterSet
/*      */ {
/*      */   public static final short DEFAULT_CHARSET = -1;
/*      */   public static final short ASCII_CHARSET = 1;
/*      */   public static final short ISO_LATIN_1_CHARSET = 31;
/*      */   public static final short UNICODE_1_CHARSET = 870;
/*      */   public static final short US7ASCII_CHARSET = 1;
/*      */   public static final short WE8DEC_CHARSET = 2;
/*      */   public static final short WE8HP_CHARSET = 3;
/*      */   public static final short US8PC437_CHARSET = 4;
/*      */   public static final short WE8EBCDIC37_CHARSET = 5;
/*      */   public static final short WE8EBCDIC500_CHARSET = 6;
/*      */   public static final short WE8EBCDIC285_CHARSET = 8;
/*      */   public static final short WE8PC850_CHARSET = 10;
/*      */   public static final short D7DEC_CHARSET = 11;
/*      */   public static final short F7DEC_CHARSET = 12;
/*      */   public static final short S7DEC_CHARSET = 13;
/*      */   public static final short E7DEC_CHARSET = 14;
/*      */   public static final short SF7ASCII_CHARSET = 15;
/*      */   public static final short NDK7DEC_CHARSET = 16;
/*      */   public static final short I7DEC_CHARSET = 17;
/*      */   public static final short NL7DEC_CHARSET = 18;
/*      */   public static final short CH7DEC_CHARSET = 19;
/*      */   public static final short YUG7ASCII_CHARSET = 20;
/*      */   public static final short SF7DEC_CHARSET = 21;
/*      */   public static final short TR7DEC_CHARSET = 22;
/*      */   public static final short IW7IS960_CHARSET = 23;
/*      */   public static final short IN8ISCII_CHARSET = 25;
/*      */   public static final short WE8ISO8859P1_CHARSET = 31;
/*      */   public static final short EE8ISO8859P2_CHARSET = 32;
/*      */   public static final short SE8ISO8859P3_CHARSET = 33;
/*      */   public static final short NEE8ISO8859P4_CHARSET = 34;
/*      */   public static final short CL8ISO8859P5_CHARSET = 35;
/*      */   public static final short AR8ISO8859P6_CHARSET = 36;
/*      */   public static final short EL8ISO8859P7_CHARSET = 37;
/*      */   public static final short IW8ISO8859P8_CHARSET = 38;
/*      */   public static final short WE8ISO8859P9_CHARSET = 39;
/*      */   public static final short NE8ISO8859P10_CHARSET = 40;
/*      */   public static final short TH8TISASCII_CHARSET = 41;
/*      */   public static final short TH8TISEBCDIC_CHARSET = 42;
/*      */   public static final short BN8BSCII_CHARSET = 43;
/*      */   public static final short VN8VN3_CHARSET = 44;
/*      */   public static final short VN8MSWIN1258_CHARSET = 45;
/*      */   public static final short WE8NEXTSTEP_CHARSET = 50;
/*      */   public static final short AR8ASMO708PLUS_CHARSET = 61;
/*      */   public static final short AR8EBCDICX_CHARSET = 70;
/*      */   public static final short AR8XBASIC_CHARSET = 72;
/*      */   public static final short EL8DEC_CHARSET = 81;
/*      */   public static final short TR8DEC_CHARSET = 82;
/*      */   public static final short WE8EBCDIC37C_CHARSET = 90;
/*      */   public static final short WE8EBCDIC500C_CHARSET = 91;
/*      */   public static final short IW8EBCDIC424_CHARSET = 92;
/*      */   public static final short TR8EBCDIC1026_CHARSET = 93;
/*      */   public static final short WE8EBCDIC871_CHARSET = 94;
/*      */   public static final short WE8EBCDIC284_CHARSET = 95;
/*      */   public static final short WE8EBCDIC1047_CHARSET = 96;
/*      */   public static final short EEC8EUROASCI_CHARSET = 110;
/*      */   public static final short EEC8EUROPA3_CHARSET = 113;
/*      */   public static final short LA8PASSPORT_CHARSET = 114;
/*      */   public static final short BG8PC437S_CHARSET = 140;
/*      */   public static final short EE8PC852_CHARSET = 150;
/*      */   public static final short RU8PC866_CHARSET = 152;
/*      */   public static final short RU8BESTA_CHARSET = 153;
/*      */   public static final short IW8PC1507_CHARSET = 154;
/*      */   public static final short RU8PC855_CHARSET = 155;
/*      */   public static final short TR8PC857_CHARSET = 156;
/*      */   public static final short CL8MACCYRILLIC_CHARSET = 158;
/*      */   public static final short CL8MACCYRILLICS_CHARSET = 159;
/*      */   public static final short WE8PC860_CHARSET = 160;
/*      */   public static final short IS8PC861_CHARSET = 161;
/*      */   public static final short EE8MACCES_CHARSET = 162;
/*      */   public static final short EE8MACCROATIANS_CHARSET = 163;
/*      */   public static final short TR8MACTURKISHS_CHARSET = 164;
/*      */   public static final short IS8MACICELANDICS_CHARSET = 165;
/*      */   public static final short EL8MACGREEKS_CHARSET = 166;
/*      */   public static final short IW8MACHEBREWS_CHARSET = 167;
/*      */   public static final short EE8MSWIN1250_CHARSET = 170;
/*      */   public static final short CL8MSWIN1251_CHARSET = 171;
/*      */   public static final short ET8MSWIN923_CHARSET = 172;
/*      */   public static final short BG8MSWIN_CHARSET = 173;
/*      */   public static final short EL8MSWIN1253_CHARSET = 174;
/*      */   public static final short IW8MSWIN1255_CHARSET = 175;
/*      */   public static final short LT8MSWIN921_CHARSET = 176;
/*      */   public static final short TR8MSWIN1254_CHARSET = 177;
/*      */   public static final short WE8MSWIN1252_CHARSET = 178;
/*      */   public static final short BLT8MSWIN1257_CHARSET = 179;
/*      */   public static final short D8EBCDIC273_CHARSET = 180;
/*      */   public static final short I8EBCDIC280_CHARSET = 181;
/*      */   public static final short DK8EBCDIC277_CHARSET = 182;
/*      */   public static final short S8EBCDIC278_CHARSET = 183;
/*      */   public static final short EE8EBCDIC870_CHARSET = 184;
/*      */   public static final short CL8EBCDIC1025_CHARSET = 185;
/*      */   public static final short F8EBCDIC297_CHARSET = 186;
/*      */   public static final short IW8EBCDIC1086_CHARSET = 187;
/*      */   public static final short CL8EBCDIC1025X_CHARSET = 188;
/*      */   public static final short N8PC865_CHARSET = 190;
/*      */   public static final short BLT8CP921_CHARSET = 191;
/*      */   public static final short LV8PC1117_CHARSET = 192;
/*      */   public static final short LV8PC8LR_CHARSET = 193;
/*      */   public static final short BLT8EBCDIC1112_CHARSET = 194;
/*      */   public static final short LV8RST104090_CHARSET = 195;
/*      */   public static final short CL8KOI8R_CHARSET = 196;
/*      */   public static final short BLT8PC775_CHARSET = 197;
/*      */   public static final short F7SIEMENS9780X_CHARSET = 201;
/*      */   public static final short E7SIEMENS9780X_CHARSET = 202;
/*      */   public static final short S7SIEMENS9780X_CHARSET = 203;
/*      */   public static final short DK7SIEMENS9780X_CHARSET = 204;
/*      */   public static final short N7SIEMENS9780X_CHARSET = 205;
/*      */   public static final short I7SIEMENS9780X_CHARSET = 206;
/*      */   public static final short D7SIEMENS9780X_CHARSET = 207;
/*      */   public static final short WE8GCOS7_CHARSET = 210;
/*      */   public static final short EL8GCOS7_CHARSET = 211;
/*      */   public static final short US8BS2000_CHARSET = 221;
/*      */   public static final short D8BS2000_CHARSET = 222;
/*      */   public static final short F8BS2000_CHARSET = 223;
/*      */   public static final short E8BS2000_CHARSET = 224;
/*      */   public static final short DK8BS2000_CHARSET = 225;
/*      */   public static final short S8BS2000_CHARSET = 226;
/*      */   public static final short WE8BS2000_CHARSET = 231;
/*      */   public static final short CL8BS2000_CHARSET = 235;
/*      */   public static final short WE8BS2000L5_CHARSET = 239;
/*      */   public static final short WE8DG_CHARSET = 241;
/*      */   public static final short WE8NCR4970_CHARSET = 251;
/*      */   public static final short WE8ROMAN8_CHARSET = 261;
/*      */   public static final short EE8MACCE_CHARSET = 262;
/*      */   public static final short EE8MACCROATIAN_CHARSET = 263;
/*      */   public static final short TR8MACTURKISH_CHARSET = 264;
/*      */   public static final short IS8MACICELANDIC_CHARSET = 265;
/*      */   public static final short EL8MACGREEK_CHARSET = 266;
/*      */   public static final short IW8MACHEBREW_CHARSET = 267;
/*      */   public static final short US8ICL_CHARSET = 277;
/*      */   public static final short WE8ICL_CHARSET = 278;
/*      */   public static final short WE8ISOICLUK_CHARSET = 279;
/*      */   public static final short WE8MACROMAN8_CHARSET = 351;
/*      */   public static final short WE8MACROMAN8S_CHARSET = 352;
/*      */   public static final short TH8MACTHAI_CHARSET = 353;
/*      */   public static final short TH8MACTHAIS_CHARSET = 354;
/*      */   public static final short HU8CWI2_CHARSET = 368;
/*      */   public static final short EL8PC437S_CHARSET = 380;
/*      */   public static final short EL8EBCDIC875_CHARSET = 381;
/*      */   public static final short EL8PC737_CHARSET = 382;
/*      */   public static final short LT8PC772_CHARSET = 383;
/*      */   public static final short LT8PC774_CHARSET = 384;
/*      */   public static final short EL8PC869_CHARSET = 385;
/*      */   public static final short EL8PC851_CHARSET = 386;
/*      */   public static final short CDN8PC863_CHARSET = 390;
/*      */   public static final short HU8ABMOD_CHARSET = 401;
/*      */   public static final short AR8ASMO8X_CHARSET = 500;
/*      */   public static final short AR8NAFITHA711T_CHARSET = 504;
/*      */   public static final short AR8SAKHR707T_CHARSET = 505;
/*      */   public static final short AR8MUSSAD768T_CHARSET = 506;
/*      */   public static final short AR8ADOS710T_CHARSET = 507;
/*      */   public static final short AR8ADOS720T_CHARSET = 508;
/*      */   public static final short AR8APTEC715T_CHARSET = 509;
/*      */   public static final short AR8NAFITHA721T_CHARSET = 511;
/*      */   public static final short AR8HPARABIC8T_CHARSET = 514;
/*      */   public static final short AR8NAFITHA711_CHARSET = 554;
/*      */   public static final short AR8SAKHR707_CHARSET = 555;
/*      */   public static final short AR8MUSSAD768_CHARSET = 556;
/*      */   public static final short AR8ADOS710_CHARSET = 557;
/*      */   public static final short AR8ADOS720_CHARSET = 558;
/*      */   public static final short AR8APTEC715_CHARSET = 559;
/*      */   public static final short AR8MSAWIN_CHARSET = 560;
/*      */   public static final short AR8NAFITHA721_CHARSET = 561;
/*      */   public static final short AR8SAKHR706_CHARSET = 563;
/*      */   public static final short AR8ARABICMAC_CHARSET = 565;
/*      */   public static final short AR8ARABICMACS_CHARSET = 566;
/*      */   public static final short AR8ARABICMACT_CHARSET = 567;
/*      */   public static final short LA8ISO6937_CHARSET = 590;
/*      */   public static final short US8NOOP_CHARSET = 797;
/*      */   public static final short WE8DECTST_CHARSET = 798;
/*      */   public static final short JA16VMS_CHARSET = 829;
/*      */   public static final short JA16EUC_CHARSET = 830;
/*      */   public static final short JA16EUCYEN_CHARSET = 831;
/*      */   public static final short JA16SJIS_CHARSET = 832;
/*      */   public static final short JA16DBCS_CHARSET = 833;
/*      */   public static final short JA16SJISYEN_CHARSET = 834;
/*      */   public static final short JA16EBCDIC930_CHARSET = 835;
/*      */   public static final short JA16MACSJIS_CHARSET = 836;
/*      */   public static final short JA16EUCTILDE_CHARSET = 837;
/*      */   public static final short JA16SJISTILDE_CHARSET = 838;
/*      */   public static final short KO16KSC5601_CHARSET = 840;
/*      */   public static final short KO16DBCS_CHARSET = 842;
/*      */   public static final short KO16KSCCS_CHARSET = 845;
/*      */   public static final short KO16MSWIN949_CHARSET = 846;
/*      */   public static final short ZHS16CGB231280_CHARSET = 850;
/*      */   public static final short ZHS16MACCGB231280_CHARSET = 851;
/*      */   public static final short ZHS16GBK_CHARSET = 852;
/*      */   public static final short ZHS16DBCS_CHARSET = 853;
/*      */   public static final short ZHS32GB18030 = 854;
/*      */   public static final short ZHS16MSWIN936_CHARSET = 854;
/*      */   public static final short ZHT32EUC_CHARSET = 860;
/*      */   public static final short ZHT32SOPS_CHARSET = 861;
/*      */   public static final short ZHT16DBT_CHARSET = 862;
/*      */   public static final short ZHT32TRIS_CHARSET = 863;
/*      */   public static final short ZHT16DBCS_CHARSET = 864;
/*      */   public static final short ZHT16BIG5_CHARSET = 865;
/*      */   public static final short ZHT16CCDC_CHARSET = 866;
/*      */   public static final short ZHT16MSWIN950_CHARSET = 867;
/*      */   public static final short AL24UTFFSS_CHARSET = 870;
/*      */   public static final short UTF8_CHARSET = 871;
/*      */   public static final short UTFE_CHARSET = 872;
/*      */   public static final short AL32UTF8_CHARSET = 873;
/*      */   public static final short KO16TSTSET_CHARSET = 996;
/*      */   public static final short JA16TSTSET2_CHARSET = 997;
/*      */   public static final short JA16TSTSET_CHARSET = 998;
/*      */   public static final short US16TSTFIXED_CHARSET = 1001;
/*      */   public static final short JA16EUCFIXED_CHARSET = 1830;
/*      */   public static final short JA16SJISFIXED_CHARSET = 1832;
/*      */   public static final short JA16DBCSFIXED_CHARSET = 1833;
/*      */   public static final short KO16KSC5601FIXED_CHARSET = 1840;
/*      */   public static final short KO16DBCSFIXED_CHARSET = 1842;
/*      */   public static final short ZHS16CGB231280FIXED_CHARSET = 1850;
/*      */   public static final short ZHS16GBKFIXED_CHARSET = 1852;
/*      */   public static final short ZHS16DBCSFIXED_CHARSET = 1853;
/*      */   public static final short ZHT32EUCFIXED_CHARSET = 1860;
/*      */   public static final short ZHT32TRISFIXED_CHARSET = 1863;
/*      */   public static final short ZHT16DBCSFIXED_CHARSET = 1864;
/*      */   public static final short ZHT16BIG5FIXED_CHARSET = 1865;
/*      */   public static final short AL16UTF16_CHARSET = 2000;
/*      */   public static final short AL16UTF16LE_CHARSET = 2002;
/*      */   public static final short UNICODE_2_CHARSET = 871;
/*      */   
/*      */   static {
/*      */     try {
/*  360 */       Class.forName("oracle.i18n.text.converter.CharacterConverterSJIS");
/*      */       
/*  362 */       CharacterSetWithConverter.ccFactory = (CharacterConverterFactory)new CharacterConverterFactoryOGS();
/*      */     }
/*  364 */     catch (ClassNotFoundException classNotFoundException) {}
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  400 */   static CharacterSetFactory factory = new CharacterSetFactoryDefault();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int oracleId;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int rep;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   CharacterSet(int paramInt) {
/*  424 */     this.oracleId = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static CharacterSet make(int paramInt) {
/*  441 */     return factory.make(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String toString() {
/*  453 */     return "oracle-character-set-" + this.oracleId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isUnicode() {
/*  489 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isWellFormed(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/*  507 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getOracleId() {
/*  518 */     return this.oracleId;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   int getRep() {
/*  524 */     return this.rep;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRatioTo(CharacterSet paramCharacterSet) {
/*  540 */     throw new Error("oracle.sql.CharacterSet.getRationTo Not Implemented");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean equals(Object paramObject) {
/*  554 */     return (paramObject instanceof CharacterSet && this.oracleId == ((CharacterSet)paramObject).oracleId);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int hashCode() {
/*  566 */     return this.oracleId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String toString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*  604 */     String str = toStringWithReplacement(paramArrayOfbyte, paramInt1, paramInt2);
/*  605 */     byte[] arrayOfByte = convert(str);
/*      */     
/*  607 */     if (paramInt2 != arrayOfByte.length)
/*      */     {
/*  609 */       failCharacterConversion(this);
/*      */     }
/*      */     
/*  612 */     for (byte b = 0; b < paramInt2; b++) {
/*      */ 
/*      */       
/*  615 */       if (arrayOfByte[b] != paramArrayOfbyte[paramInt1 + b])
/*      */       {
/*  617 */         failCharacterConversion(this);
/*      */       }
/*      */     } 
/*      */     
/*  621 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] convertUnshared(CharacterSet paramCharacterSet, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*  689 */     byte[] arrayOfByte = convert(paramCharacterSet, paramArrayOfbyte, paramInt1, paramInt2);
/*      */     
/*  691 */     if (arrayOfByte == paramArrayOfbyte) {
/*      */       
/*  693 */       arrayOfByte = new byte[paramArrayOfbyte.length];
/*      */       
/*  695 */       System.arraycopy(paramArrayOfbyte, 0, arrayOfByte, 0, paramInt2);
/*      */     } 
/*      */     
/*  698 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final void failCharacterConversion(CharacterSet paramCharacterSet) throws SQLException {
/*  729 */     DatabaseError.throwSqlException(55, paramCharacterSet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final byte[] useOrCopy(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/*      */     byte[] arrayOfByte;
/*  737 */     if (paramArrayOfbyte.length == paramInt2 && paramInt1 == 0) {
/*      */       
/*  739 */       arrayOfByte = paramArrayOfbyte;
/*      */     }
/*      */     else {
/*      */       
/*  743 */       arrayOfByte = new byte[paramInt2];
/*      */       
/*  745 */       System.arraycopy(paramArrayOfbyte, paramInt1, arrayOfByte, 0, paramInt2);
/*      */     } 
/*      */     
/*  748 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final void need(CharacterBuffer paramCharacterBuffer, int paramInt) {
/*  761 */     int i = paramCharacterBuffer.bytes.length;
/*  762 */     int j = paramInt + paramCharacterBuffer.next;
/*      */     
/*  764 */     if (j <= i) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  770 */     while (j > i)
/*      */     {
/*  772 */       i = 2 * i;
/*      */     }
/*      */     
/*  775 */     byte[] arrayOfByte = paramCharacterBuffer.bytes;
/*      */     
/*  777 */     paramCharacterBuffer.bytes = new byte[i];
/*      */     
/*  779 */     System.arraycopy(arrayOfByte, 0, paramCharacterBuffer.bytes, 0, paramCharacterBuffer.next);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String UTFToString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, boolean paramBoolean) throws SQLException {
/*  806 */     return new String(UTFToJavaChar(paramArrayOfbyte, paramInt1, paramInt2, paramBoolean));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String UTFToString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*  822 */     return UTFToString(paramArrayOfbyte, paramInt1, paramInt2, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final char[] UTFToJavaChar(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*  843 */     return UTFToJavaChar(paramArrayOfbyte, paramInt1, paramInt2, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final char[] UTFToJavaChar(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, boolean paramBoolean) throws SQLException {
/*  875 */     char[] arrayOfChar1 = null;
/*      */     
/*  877 */     arrayOfChar1 = new char[paramInt2];
/*      */ 
/*      */ 
/*      */     
/*  881 */     int[] arrayOfInt = new int[1];
/*      */     
/*  883 */     arrayOfInt[0] = paramInt2;
/*      */     
/*  885 */     int i = convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, arrayOfChar1, 0, arrayOfInt, paramBoolean);
/*      */     
/*  887 */     char[] arrayOfChar2 = new char[i];
/*      */     
/*  889 */     System.arraycopy(arrayOfChar1, 0, arrayOfChar2, 0, i);
/*      */     
/*  891 */     arrayOfChar1 = null;
/*      */     
/*  893 */     return arrayOfChar2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final char[] UTFToJavaCharWithReplacement(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/*  922 */     char[] arrayOfChar = null;
/*      */ 
/*      */     
/*      */     try {
/*  926 */       arrayOfChar = new char[paramInt2];
/*      */ 
/*      */ 
/*      */       
/*  930 */       int[] arrayOfInt = new int[1];
/*      */       
/*  932 */       arrayOfInt[0] = paramInt2;
/*      */       
/*  934 */       int i = convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, arrayOfChar, 0, arrayOfInt, true);
/*      */       
/*  936 */       char[] arrayOfChar1 = new char[i];
/*      */       
/*  938 */       System.arraycopy(arrayOfChar, 0, arrayOfChar1, 0, i);
/*      */       
/*  940 */       arrayOfChar = null;
/*      */       
/*  942 */       return arrayOfChar1;
/*      */     }
/*  944 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */       
/*  948 */       throw new IllegalStateException(sQLException.getMessage());
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertUTFBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, boolean paramBoolean) throws SQLException {
/*  988 */     return convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, paramArrayOfint, paramBoolean, paramArrayOfchar.length - paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertUTFBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, boolean paramBoolean, int paramInt3) throws SQLException {
/* 1011 */     CharacterConverterBehavior characterConverterBehavior = paramBoolean ? CharacterConverterBehavior.REPLACEMENT : CharacterConverterBehavior.REPORT_ERROR;
/*      */ 
/*      */     
/* 1014 */     int i = paramArrayOfint[0];
/*      */     
/* 1016 */     paramArrayOfint[0] = 0;
/*      */     
/* 1018 */     int j = paramInt1;
/* 1019 */     int k = paramInt1 + i;
/* 1020 */     int m = paramInt2;
/* 1021 */     int n = paramInt2 + paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1027 */     while (j < k) {
/*      */       char c1, c2;
/* 1029 */       byte b = paramArrayOfbyte[j++];
/* 1030 */       int i1 = b & 0xF0;
/*      */       
/* 1032 */       switch (i1 / 16) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 0:
/*      */         case 1:
/*      */         case 2:
/*      */         case 3:
/*      */         case 4:
/*      */         case 5:
/*      */         case 6:
/*      */         case 7:
/* 1052 */           if (m < n) {
/* 1053 */             paramArrayOfchar[m++] = (char)(b & 0xFFFFFFFF);
/*      */             
/*      */             continue;
/*      */           } 
/*      */           
/* 1058 */           paramArrayOfint[0] = k - j + 2;
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 12:
/*      */         case 13:
/* 1070 */           if (j >= k) {
/*      */             
/* 1072 */             paramArrayOfint[0] = 1;
/*      */             
/* 1074 */             characterConverterBehavior.onFailConversion();
/*      */ 
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1080 */           c1 = conv2ByteUTFtoUTF16(b, paramArrayOfbyte[j++]);
/*      */           
/* 1082 */           if (m < n) {
/* 1083 */             paramArrayOfchar[m++] = c1;
/*      */           
/*      */           }
/*      */           else {
/*      */             
/* 1088 */             paramArrayOfint[0] = k - j + 3;
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1093 */           characterConverterBehavior.onFailConversion(c1);
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 14:
/* 1102 */           if (j + 1 >= k) {
/*      */             
/* 1104 */             paramArrayOfint[0] = k - j + 1;
/*      */             
/* 1106 */             characterConverterBehavior.onFailConversion();
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1111 */           c2 = conv3ByteUTFtoUTF16(b, paramArrayOfbyte[j++], paramArrayOfbyte[j++]);
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1116 */           if (i1 != 244 && paramArrayOfbyte[j - 2] != -65 && paramArrayOfbyte[j - 1] != -67)
/*      */           {
/*      */             
/* 1119 */             characterConverterBehavior.onFailConversion(c2);
/*      */           }
/*      */           
/* 1122 */           if (isHiSurrogate(c2)) {
/*      */             
/* 1124 */             if (m > n - 2) {
/*      */ 
/*      */ 
/*      */               
/* 1128 */               paramArrayOfint[0] = k - j + 4;
/*      */               
/*      */               break;
/*      */             } 
/*      */             
/* 1133 */             if (j < k) {
/*      */               
/* 1135 */               b = paramArrayOfbyte[j];
/*      */               
/* 1137 */               if ((byte)(b & 0xF0) != -32) {
/*      */                 
/* 1139 */                 paramArrayOfchar[m++] = '�';
/*      */ 
/*      */                 
/* 1142 */                 characterConverterBehavior.onFailConversion();
/*      */                 
/*      */                 continue;
/*      */               } 
/*      */               
/* 1147 */               j++;
/*      */               
/* 1149 */               if (j + 1 >= k) {
/*      */ 
/*      */ 
/*      */                 
/* 1153 */                 paramArrayOfint[0] = k - j + 1;
/*      */                 
/* 1155 */                 characterConverterBehavior.onFailConversion();
/*      */ 
/*      */                 
/*      */                 break;
/*      */               } 
/*      */               
/* 1161 */               c1 = conv3ByteUTFtoUTF16(b, paramArrayOfbyte[j++], paramArrayOfbyte[j++]);
/*      */ 
/*      */               
/* 1164 */               if (isLoSurrogate(c1)) {
/* 1165 */                 paramArrayOfchar[m++] = c2;
/*      */               
/*      */               }
/*      */               else {
/*      */                 
/* 1170 */                 paramArrayOfchar[m++] = '�';
/*      */ 
/*      */                 
/* 1173 */                 characterConverterBehavior.onFailConversion();
/*      */               } 
/*      */               
/* 1176 */               paramArrayOfchar[m++] = c1;
/*      */             } 
/*      */ 
/*      */             
/*      */             continue;
/*      */           } 
/*      */           
/* 1183 */           if (m < n) {
/* 1184 */             paramArrayOfchar[m++] = c2;
/*      */             
/*      */             continue;
/*      */           } 
/*      */           
/* 1189 */           paramArrayOfint[0] = k - j + 4;
/*      */           break;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1201 */       if (m < n) {
/* 1202 */         paramArrayOfchar[m++] = '�';
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 1208 */         paramArrayOfint[0] = k - j + 2;
/*      */         
/*      */         break;
/*      */       } 
/*      */       
/* 1213 */       characterConverterBehavior.onFailConversion();
/*      */     } 
/*      */ 
/*      */     
/* 1217 */     return m - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToUTF(String paramString) {
/* 1242 */     char[] arrayOfChar = paramString.toCharArray();
/* 1243 */     int i = arrayOfChar.length * 3;
/* 1244 */     byte[] arrayOfByte1 = null;
/* 1245 */     byte[] arrayOfByte2 = null;
/*      */     
/* 1247 */     arrayOfByte1 = new byte[i];
/*      */ 
/*      */     
/* 1250 */     int j = convertJavaCharsToUTFBytes(arrayOfChar, 0, arrayOfByte1, 0, arrayOfChar.length);
/*      */ 
/*      */     
/* 1253 */     arrayOfByte2 = new byte[j];
/*      */     
/* 1255 */     System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, j);
/*      */     
/* 1257 */     arrayOfByte1 = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1266 */     return arrayOfByte2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToUTFBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) {
/* 1294 */     int i = paramInt1;
/* 1295 */     int j = paramInt1 + paramInt3;
/*      */     
/* 1297 */     int k = paramInt2;
/*      */ 
/*      */     
/* 1300 */     for (int m = i; m < j; m++) {
/*      */ 
/*      */       
/* 1303 */       char c = paramArrayOfchar[m];
/*      */       
/* 1305 */       if (c >= '\000' && c <= '') {
/*      */         
/* 1307 */         paramArrayOfbyte[k++] = (byte)c;
/*      */       }
/* 1309 */       else if (c > '߿') {
/*      */         
/* 1311 */         paramArrayOfbyte[k++] = (byte)(0xE0 | c >>> 12 & 0xF);
/* 1312 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 6 & 0x3F);
/* 1313 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 0 & 0x3F);
/*      */       }
/*      */       else {
/*      */         
/* 1317 */         paramArrayOfbyte[k++] = (byte)(0xC0 | c >>> 6 & 0x1F);
/* 1318 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 0 & 0x3F);
/*      */       } 
/*      */     } 
/*      */     
/* 1322 */     return k - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int UTFStringLength(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/* 1351 */     byte b = 0;
/* 1352 */     int i = paramInt1;
/* 1353 */     int j = paramInt1 + paramInt2;
/*      */     
/* 1355 */     while (i < j) {
/*      */ 
/*      */       
/* 1358 */       switch ((paramArrayOfbyte[i] & 0xF0) >>> 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 0:
/*      */         case 1:
/*      */         case 2:
/*      */         case 3:
/*      */         case 4:
/*      */         case 5:
/*      */         case 6:
/*      */         case 7:
/* 1376 */           i++;
/* 1377 */           b++;
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 12:
/*      */         case 13:
/* 1385 */           if (i + 1 >= j) {
/*      */             
/* 1387 */             i = j;
/*      */             
/*      */             continue;
/*      */           } 
/* 1391 */           b++;
/* 1392 */           i += 2;
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 14:
/* 1399 */           if (i + 2 >= j) {
/*      */             
/* 1401 */             i = j;
/*      */             
/*      */             continue;
/*      */           } 
/* 1405 */           b++;
/* 1406 */           i += 3;
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 15:
/* 1413 */           if (i + 3 >= j) {
/*      */             
/* 1415 */             i = j;
/*      */             
/*      */             continue;
/*      */           } 
/* 1419 */           b += 2;
/* 1420 */           i += 4;
/*      */           continue;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1426 */       i++;
/* 1427 */       b++;
/*      */     } 
/*      */ 
/*      */     
/* 1431 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int stringUTFLength(String paramString) {
/* 1445 */     char[] arrayOfChar = paramString.toCharArray();
/* 1446 */     return charArrayUTF8Length(arrayOfChar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int charArrayUTF8Length(char[] paramArrayOfchar) {
/* 1459 */     byte b1 = 0;
/* 1460 */     int i = paramArrayOfchar.length;
/*      */ 
/*      */     
/* 1463 */     for (byte b2 = 0; b2 < i; b2++) {
/*      */ 
/*      */       
/* 1466 */       char c = paramArrayOfchar[b2];
/*      */       
/* 1468 */       if (c >= '\000' && c <= '') {
/*      */         
/* 1470 */         b1++;
/*      */       }
/* 1472 */       else if (c > '߿') {
/*      */         
/* 1474 */         b1 += 3;
/*      */       }
/*      */       else {
/*      */         
/* 1478 */         b1 += 2;
/*      */       } 
/*      */     } 
/*      */     
/* 1482 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String AL32UTF8ToString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/* 1502 */     return AL32UTF8ToString(paramArrayOfbyte, paramInt1, paramInt2, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String AL32UTF8ToString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, boolean paramBoolean) {
/* 1509 */     char[] arrayOfChar = null;
/*      */ 
/*      */     
/*      */     try {
/* 1513 */       arrayOfChar = AL32UTF8ToJavaChar(paramArrayOfbyte, paramInt1, paramInt2, paramBoolean);
/*      */     
/*      */     }
/* 1516 */     catch (SQLException sQLException) {}
/*      */     
/* 1518 */     return new String(arrayOfChar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final char[] AL32UTF8ToJavaChar(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, boolean paramBoolean) throws SQLException {
/* 1540 */     char[] arrayOfChar = null;
/*      */ 
/*      */     
/*      */     try {
/* 1544 */       arrayOfChar = new char[paramInt2];
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1549 */       int[] arrayOfInt = new int[1];
/*      */       
/* 1551 */       arrayOfInt[0] = paramInt2;
/*      */       
/* 1553 */       int i = convertAL32UTF8BytesToJavaChars(paramArrayOfbyte, paramInt1, arrayOfChar, 0, arrayOfInt, paramBoolean);
/*      */       
/* 1555 */       char[] arrayOfChar1 = new char[i];
/*      */       
/* 1557 */       System.arraycopy(arrayOfChar, 0, arrayOfChar1, 0, i);
/*      */       
/* 1559 */       arrayOfChar = null;
/*      */       
/* 1561 */       return arrayOfChar1;
/*      */     }
/* 1563 */     catch (SQLException sQLException) {
/*      */       
/* 1565 */       failUTFConversion();
/*      */       
/* 1567 */       return new char[0];
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertAL32UTF8BytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, boolean paramBoolean) throws SQLException {
/* 1606 */     return convertAL32UTF8BytesToJavaChars(paramArrayOfbyte, paramInt1, paramArrayOfchar, paramInt2, paramArrayOfint, paramBoolean, paramArrayOfchar.length - paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertAL32UTF8BytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int[] paramArrayOfint, boolean paramBoolean, int paramInt3) throws SQLException {
/* 1630 */     CharacterConverterBehavior characterConverterBehavior = paramBoolean ? CharacterConverterBehavior.REPLACEMENT : CharacterConverterBehavior.REPORT_ERROR;
/*      */ 
/*      */     
/* 1633 */     int i = paramArrayOfint[0];
/*      */     
/* 1635 */     paramArrayOfint[0] = 0;
/*      */     
/* 1637 */     int j = paramInt1;
/* 1638 */     int k = paramInt1 + i;
/* 1639 */     int m = paramInt2;
/* 1640 */     int n = paramInt2 + paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1646 */     while (j < k) {
/*      */       char c; int i2;
/* 1648 */       byte b = paramArrayOfbyte[j++];
/* 1649 */       int i1 = b & 0xF0;
/*      */       
/* 1651 */       switch (i1 / 16) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 0:
/*      */         case 1:
/*      */         case 2:
/*      */         case 3:
/*      */         case 4:
/*      */         case 5:
/*      */         case 6:
/*      */         case 7:
/* 1671 */           if (m < n) {
/* 1672 */             paramArrayOfchar[m++] = (char)(b & 0xFFFFFFFF);
/*      */             
/*      */             continue;
/*      */           } 
/*      */           
/* 1677 */           paramArrayOfint[0] = k - j + 2;
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 12:
/*      */         case 13:
/* 1687 */           if (j >= k) {
/*      */             
/* 1689 */             paramArrayOfint[0] = 1;
/*      */             
/* 1691 */             characterConverterBehavior.onFailConversion();
/*      */ 
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1697 */           c = conv2ByteUTFtoUTF16(b, paramArrayOfbyte[j++]);
/*      */           
/* 1699 */           if (m < n) {
/* 1700 */             paramArrayOfchar[m++] = c;
/*      */           
/*      */           }
/*      */           else {
/*      */             
/* 1705 */             paramArrayOfint[0] = k - j + 3;
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1710 */           characterConverterBehavior.onFailConversion(c);
/*      */           continue;
/*      */ 
/*      */ 
/*      */         
/*      */         case 14:
/* 1716 */           if (j + 1 >= k) {
/*      */             
/* 1718 */             paramArrayOfint[0] = k - j + 1;
/*      */             
/* 1720 */             characterConverterBehavior.onFailConversion();
/*      */ 
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1726 */           c = conv3ByteAL32UTF8toUTF16(b, paramArrayOfbyte[j++], paramArrayOfbyte[j++]);
/*      */ 
/*      */           
/* 1729 */           if (m < n) {
/* 1730 */             paramArrayOfchar[m++] = c;
/*      */           
/*      */           }
/*      */           else {
/*      */             
/* 1735 */             paramArrayOfint[0] = k - j + 4;
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1740 */           characterConverterBehavior.onFailConversion(c);
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 15:
/* 1748 */           if (j + 2 >= k) {
/*      */             
/* 1750 */             paramArrayOfint[0] = k - j + 1;
/*      */             
/* 1752 */             characterConverterBehavior.onFailConversion();
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1757 */           if (m > n - 2) {
/*      */ 
/*      */ 
/*      */             
/* 1761 */             paramArrayOfint[0] = k - j + 2;
/*      */             
/*      */             break;
/*      */           } 
/*      */           
/* 1766 */           i2 = conv4ByteAL32UTF8toUTF16(b, paramArrayOfbyte[j++], paramArrayOfbyte[j++], paramArrayOfbyte[j++], paramArrayOfchar, m);
/*      */ 
/*      */ 
/*      */           
/* 1770 */           if (i2 == 1) {
/*      */             
/* 1772 */             characterConverterBehavior.onFailConversion();
/*      */             
/* 1774 */             m++;
/*      */             continue;
/*      */           } 
/* 1777 */           m += 2;
/*      */           continue;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1784 */       if (m < n) {
/* 1785 */         paramArrayOfchar[m++] = '�';
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 1791 */         paramArrayOfint[0] = k - j + 2;
/*      */         
/*      */         break;
/*      */       } 
/*      */       
/* 1796 */       characterConverterBehavior.onFailConversion();
/*      */     } 
/*      */ 
/*      */     
/* 1800 */     return m - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToAL32UTF8(String paramString) {
/* 1823 */     char[] arrayOfChar = paramString.toCharArray();
/* 1824 */     int i = arrayOfChar.length * 3;
/* 1825 */     byte[] arrayOfByte1 = null;
/* 1826 */     byte[] arrayOfByte2 = null;
/*      */     
/* 1828 */     arrayOfByte1 = new byte[i];
/*      */     
/* 1830 */     int j = convertJavaCharsToAL32UTF8Bytes(arrayOfChar, 0, arrayOfByte1, 0, arrayOfChar.length);
/*      */ 
/*      */     
/* 1833 */     arrayOfByte2 = new byte[j];
/*      */     
/* 1835 */     System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, j);
/*      */     
/* 1837 */     arrayOfByte1 = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1846 */     return arrayOfByte2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToAL32UTF8Bytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) {
/* 1873 */     int i = paramInt1;
/* 1874 */     int j = paramInt1 + paramInt3;
/* 1875 */     int k = paramInt2;
/*      */ 
/*      */     
/* 1878 */     for (int m = i; m < j; m++) {
/*      */ 
/*      */       
/* 1881 */       char c = paramArrayOfchar[m];
/* 1882 */       char c1 = Character.MIN_VALUE;
/*      */       
/* 1884 */       if (c >= '\000' && c <= '') {
/*      */         
/* 1886 */         paramArrayOfbyte[k++] = (byte)c;
/*      */       }
/* 1888 */       else if (isHiSurrogate((char)c)) {
/*      */ 
/*      */ 
/*      */         
/* 1892 */         if (m + 1 < j && isLoSurrogate((char)(c1 = paramArrayOfchar[m + 1])))
/*      */         {
/*      */ 
/*      */ 
/*      */           
/* 1897 */           int n = (c >>> 6 & 0xF) + 1;
/* 1898 */           paramArrayOfbyte[k++] = (byte)(n >>> 2 | 0xF0);
/* 1899 */           paramArrayOfbyte[k++] = (byte)((n & 0x3) << 4 | c >>> 2 & 0xF | 0x80);
/*      */           
/* 1901 */           paramArrayOfbyte[k++] = (byte)((c & 0x3) << 4 | c1 >>> 6 & 0xF | 0x80);
/*      */           
/* 1903 */           paramArrayOfbyte[k++] = (byte)(c1 & 0x3F | 0x80);
/* 1904 */           m++;
/*      */         }
/*      */         else
/*      */         {
/* 1908 */           paramArrayOfbyte[k++] = -17;
/* 1909 */           paramArrayOfbyte[k++] = -65;
/* 1910 */           paramArrayOfbyte[k++] = -67;
/*      */         }
/*      */       
/* 1913 */       } else if (c > '߿') {
/*      */         
/* 1915 */         paramArrayOfbyte[k++] = (byte)(0xE0 | c >>> 12 & 0xF);
/* 1916 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 6 & 0x3F);
/* 1917 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 0 & 0x3F);
/*      */       }
/*      */       else {
/*      */         
/* 1921 */         paramArrayOfbyte[k++] = (byte)(0xC0 | c >>> 6 & 0x1F);
/* 1922 */         paramArrayOfbyte[k++] = (byte)(0x80 | c >>> 0 & 0x3F);
/*      */       } 
/*      */     } 
/*      */     
/* 1926 */     return k - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int string32UTF8Length(String paramString) {
/* 1953 */     return charArray32UTF8Length(paramString.toCharArray());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int charArray32UTF8Length(char[] paramArrayOfchar) {
/* 1965 */     byte b1 = 0;
/* 1966 */     int i = paramArrayOfchar.length;
/*      */     
/* 1968 */     for (byte b2 = 0; b2 < i; b2++) {
/*      */ 
/*      */       
/* 1971 */       char c = paramArrayOfchar[b2];
/*      */       
/* 1973 */       if (c >= '\000' && c <= '') {
/*      */         
/* 1975 */         b1++;
/*      */       }
/* 1977 */       else if (c > '߿') {
/*      */ 
/*      */         
/* 1980 */         if (isHiSurrogate((char)c)) {
/*      */ 
/*      */           
/* 1983 */           if (b2 + 1 < i)
/*      */           {
/* 1985 */             b1 += 4;
/* 1986 */             b2++;
/*      */           }
/*      */         
/*      */         } else {
/*      */           
/* 1991 */           b1 += 3;
/*      */         }
/*      */       
/*      */       } else {
/*      */         
/* 1996 */         b1 += 2;
/*      */       } 
/*      */     } 
/*      */     
/* 2000 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String AL16UTF16BytesToString(byte[] paramArrayOfbyte, int paramInt) {
/* 2019 */     char[] arrayOfChar = new char[paramInt >>> 1];
/*      */     
/* 2021 */     AL16UTF16BytesToJavaChars(paramArrayOfbyte, paramInt, arrayOfChar);
/*      */     
/* 2023 */     return new String(arrayOfChar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int AL16UTF16BytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) {
/* 2042 */     int i = paramInt >>> 1;
/*      */     
/*      */     byte b1, b2;
/* 2045 */     for (b1 = 0, b2 = 0; b1 < i; b2 += 2, b1++) {
/*      */       
/* 2047 */       int j = paramArrayOfbyte[b2] << 8;
/* 2048 */       paramArrayOfchar[b1] = (char)(j | paramArrayOfbyte[b2 + 1] & 0xFF);
/*      */     } 
/*      */     
/* 2051 */     return b1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertAL16UTF16BytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3, boolean paramBoolean) throws SQLException {
/* 2080 */     CharacterConverterBehavior characterConverterBehavior = paramBoolean ? CharacterConverterBehavior.REPLACEMENT : CharacterConverterBehavior.REPORT_ERROR;
/*      */ 
/*      */     
/* 2083 */     int i = paramInt2;
/* 2084 */     int j = paramInt1;
/* 2085 */     int k = paramInt1 + paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2090 */     for (; j + 1 < k; j += 2) {
/*      */       
/* 2092 */       int m = paramArrayOfbyte[j] << 8;
/* 2093 */       char c = (char)(m | paramArrayOfbyte[j + 1] & 0xFF);
/*      */       
/* 2095 */       if (isHiSurrogate(c)) {
/*      */         
/* 2097 */         j += 2;
/*      */         
/* 2099 */         if (j + 1 < k)
/*      */         {
/* 2101 */           char c1 = (char)((paramArrayOfbyte[j] << 8) + (paramArrayOfbyte[j + 1] & 0xFF));
/*      */           
/* 2103 */           if (isLoSurrogate(c1)) {
/*      */             
/* 2105 */             paramArrayOfchar[i++] = c;
/*      */           }
/*      */           else {
/*      */             
/* 2109 */             paramArrayOfchar[i++] = '�';
/*      */           } 
/*      */ 
/*      */           
/* 2113 */           paramArrayOfchar[i++] = c1;
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */         
/* 2125 */         paramArrayOfchar[i++] = c;
/*      */       } 
/*      */     } 
/*      */     
/* 2129 */     j = i - paramInt2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2138 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertAL16UTF16LEBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3, boolean paramBoolean) throws SQLException {
/* 2159 */     CharacterConverterBehavior characterConverterBehavior = paramBoolean ? CharacterConverterBehavior.REPLACEMENT : CharacterConverterBehavior.REPORT_ERROR;
/*      */ 
/*      */     
/* 2162 */     int i = paramInt2;
/* 2163 */     int j = paramInt1;
/* 2164 */     int k = paramInt1 + paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2169 */     for (; j + 1 < k; j += 2) {
/*      */       
/* 2171 */       int m = paramArrayOfbyte[j + 1] << 8;
/* 2172 */       char c = (char)(m | paramArrayOfbyte[j] & 0xFF);
/*      */       
/* 2174 */       if (isHiSurrogate(c)) {
/*      */         
/* 2176 */         j += 2;
/*      */         
/* 2178 */         if (j + 1 < k)
/*      */         {
/* 2180 */           char c1 = (char)((paramArrayOfbyte[j + 1] << 8) + (paramArrayOfbyte[j] & 0xFF));
/*      */           
/* 2182 */           if (isLoSurrogate(c1)) {
/*      */             
/* 2184 */             paramArrayOfchar[i++] = c;
/*      */           }
/*      */           else {
/*      */             
/* 2188 */             paramArrayOfchar[i++] = '�';
/*      */           } 
/*      */ 
/*      */           
/* 2192 */           paramArrayOfchar[i++] = c1;
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */         
/* 2204 */         paramArrayOfchar[i++] = c;
/*      */       } 
/*      */     } 
/*      */     
/* 2208 */     j = i - paramInt2;
/*      */     
/* 2210 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToAL16UTF16Bytes(String paramString) {
/* 2231 */     char[] arrayOfChar = paramString.toCharArray();
/* 2232 */     int i = arrayOfChar.length;
/* 2233 */     byte[] arrayOfByte = new byte[i * 2];
/*      */     
/* 2235 */     javaCharsToAL16UTF16Bytes(arrayOfChar, i, arrayOfByte);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2244 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int javaCharsToAL16UTF16Bytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) {
/* 2260 */     int i = Math.min(paramInt, paramArrayOfbyte.length >>> 1);
/*      */     
/* 2262 */     return convertJavaCharsToAL16UTF16Bytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToAL16UTF16Bytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) {
/* 2269 */     int i = paramInt1;
/* 2270 */     int j = paramInt2;
/* 2271 */     int k = paramInt1 + paramInt3;
/*      */     
/* 2273 */     for (; i < k; i++, j += 2) {
/*      */       
/* 2275 */       paramArrayOfbyte[j] = (byte)(paramArrayOfchar[i] >>> 8 & 0xFF);
/* 2276 */       paramArrayOfbyte[j + 1] = (byte)(paramArrayOfchar[i] & 0xFF);
/*      */     } 
/*      */     
/* 2279 */     return j - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToAL16UTF16LEBytes(String paramString) {
/* 2293 */     char[] arrayOfChar = paramString.toCharArray();
/* 2294 */     byte[] arrayOfByte = new byte[arrayOfChar.length * 2];
/*      */     
/* 2296 */     javaCharsToAL16UTF16LEBytes(arrayOfChar, arrayOfChar.length, arrayOfByte);
/*      */     
/* 2298 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int javaCharsToAL16UTF16LEBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) {
/* 2314 */     return convertJavaCharsToAL16UTF16LEBytes(paramArrayOfchar, 0, paramArrayOfbyte, 0, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToAL16UTF16LEBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) {
/* 2321 */     int i = paramInt1;
/* 2322 */     int j = paramInt2;
/* 2323 */     int k = paramInt1 + paramInt3;
/*      */     
/* 2325 */     for (; i < k; i++, j += 2) {
/*      */       
/* 2327 */       paramArrayOfbyte[j] = (byte)(paramArrayOfchar[i] & 0xFF);
/* 2328 */       paramArrayOfbyte[j + 1] = (byte)(paramArrayOfchar[i] >>> 8);
/*      */     } 
/*      */     
/* 2331 */     return j - paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertASCIIBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3) throws SQLException {
/* 2370 */     int k = paramInt2 + paramInt3;
/*      */     
/* 2372 */     for (int i = paramInt2, j = paramInt1; i < k; i++, j++)
/*      */     {
/* 2374 */       paramArrayOfchar[i] = (char)(0xFF & paramArrayOfbyte[j]);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2384 */     return paramInt3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToASCIIBytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/* 2416 */     for (byte b = 0; b < paramInt3; b++)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 2421 */       paramArrayOfbyte[paramInt2 + b] = (byte)paramArrayOfchar[paramInt1 + b];
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2431 */     return paramInt3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final int convertJavaCharsToISOLATIN1Bytes(char[] paramArrayOfchar, int paramInt1, byte[] paramArrayOfbyte, int paramInt2, int paramInt3) throws SQLException {
/* 2450 */     for (byte b = 0; b < paramInt3; b++) {
/*      */       
/* 2452 */       char c = paramArrayOfchar[paramInt1 + b];
/*      */       
/* 2454 */       if (c > 'ÿ') {
/*      */ 
/*      */ 
/*      */         
/* 2458 */         paramArrayOfbyte[paramInt2 + b] = -65;
/*      */       } else {
/* 2460 */         paramArrayOfbyte[paramInt2 + b] = (byte)c;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2470 */     return paramInt3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final byte[] stringToASCII(String paramString) {
/* 2492 */     byte[] arrayOfByte = new byte[paramString.length()];
/*      */     
/* 2494 */     paramString.getBytes(0, paramString.length(), arrayOfByte, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2503 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final long convertUTF32toUTF16(long paramLong) {
/* 2512 */     if (paramLong > 65535L) {
/*      */       
/* 2514 */       long l = 0xD8L | paramLong - 65536L >> 18L & 0xFFL;
/* 2515 */       l = paramLong - 65536L >> 10L & 0xFFL | l << 8L;
/* 2516 */       l = 0xDCL | (paramLong & 0x3FFL) >> 8L & 0xFFL | l << 8L;
/* 2517 */       l = paramLong & 0xFFL | l << 8L;
/*      */       
/* 2519 */       return l;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 2524 */     return paramLong;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean isHiSurrogate(char paramChar) {
/* 2546 */     return ((char)(paramChar & 0xFC00) == '?');
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean isLoSurrogate(char paramChar) {
/* 2562 */     return ((char)(paramChar & 0xFC00) == '?');
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean check80toBF(byte paramByte) {
/* 2577 */     return ((paramByte & 0xFFFFFFC0) == -128);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean check80to8F(byte paramByte) {
/* 2592 */     return ((paramByte & 0xFFFFFFF0) == -128);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean check80to9F(byte paramByte) {
/* 2605 */     return ((paramByte & 0xFFFFFFE0) == -128);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean checkA0toBF(byte paramByte) {
/* 2618 */     return ((paramByte & 0xFFFFFFE0) == -96);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final boolean check90toBF(byte paramByte) {
/* 2631 */     return ((paramByte & 0xFFFFFFC0) == -128 && (paramByte & 0x30) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final char conv2ByteUTFtoUTF16(byte paramByte1, byte paramByte2) {
/* 2647 */     if (paramByte1 < -62 || paramByte1 > -33 || !check80toBF(paramByte2))
/*      */     {
/*      */       
/* 2650 */       return '�';
/*      */     }
/*      */     
/* 2653 */     return (char)((paramByte1 & 0x1F) << 6 | paramByte2 & 0x3F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final char conv3ByteUTFtoUTF16(byte paramByte1, byte paramByte2, byte paramByte3) {
/* 2672 */     if ((paramByte1 != -32 || !checkA0toBF(paramByte2) || !check80toBF(paramByte3)) && (paramByte1 < -31 || paramByte1 > -17 || !check80toBF(paramByte2) || !check80toBF(paramByte3)))
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 2677 */       return '�';
/*      */     }
/*      */     
/* 2680 */     return (char)((paramByte1 & 0xF) << 12 | (paramByte2 & 0x3F) << 6 | paramByte3 & 0x3F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final char conv3ByteAL32UTF8toUTF16(byte paramByte1, byte paramByte2, byte paramByte3) {
/* 2702 */     if ((paramByte1 != -32 || !checkA0toBF(paramByte2) || !check80toBF(paramByte3)) && (paramByte1 < -31 || paramByte1 > -20 || !check80toBF(paramByte2) || !check80toBF(paramByte3)) && (paramByte1 != -19 || !check80to9F(paramByte2) || !check80toBF(paramByte3)) && (paramByte1 < -18 || paramByte1 > -17 || !check80toBF(paramByte2) || !check80toBF(paramByte3)))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2709 */       return '�';
/*      */     }
/*      */     
/* 2712 */     return (char)((paramByte1 & 0xF) << 12 | (paramByte2 & 0x3F) << 6 | paramByte3 & 0x3F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int conv4ByteAL32UTF8toUTF16(byte paramByte1, byte paramByte2, byte paramByte3, byte paramByte4, char[] paramArrayOfchar, int paramInt) {
/* 2732 */     boolean bool = false;
/*      */     
/* 2734 */     if ((paramByte1 != -16 || !check90toBF(paramByte2) || !check80toBF(paramByte3) || !check80toBF(paramByte4)) && (paramByte1 < -15 || paramByte1 > -13 || !check80toBF(paramByte2) || !check80toBF(paramByte3) || !check80toBF(paramByte4)) && (paramByte1 != -12 || !check80to8F(paramByte2) || !check80toBF(paramByte3) || !check80toBF(paramByte4))) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2739 */       paramArrayOfchar[paramInt] = '�';
/*      */       
/* 2741 */       return 1;
/*      */     } 
/*      */     
/* 2744 */     paramArrayOfchar[paramInt] = (char)((((paramByte1 & 0x7) << 2 | paramByte2 >>> 4 & 0x3) - 1 & 0xF) << 6 | (paramByte2 & 0xF) << 2 | paramByte3 >>> 4 & 0x3 | 0xD800);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2749 */     paramArrayOfchar[paramInt + 1] = (char)((paramByte3 & 0xF) << 6 | paramByte4 & 0x3F | 0xDC00);
/*      */     
/* 2751 */     return 2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static abstract class CharacterConverterBehavior
/*      */   {
/* 2761 */     public static final char[] NULL_CHARS = new char[1];
/*      */     public static final char UTF16_REPLACEMENT_CHAR = '�';
/* 2763 */     public static final CharacterConverterBehavior REPORT_ERROR = (CharacterConverterBehavior)new Object("Report Error");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2782 */     public static final CharacterConverterBehavior REPLACEMENT = (CharacterConverterBehavior)new Object("Replacement");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private final String m_name;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public CharacterConverterBehavior(String param1String) {
/* 2803 */       this.m_name = param1String;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public abstract void onFailConversion(char param1Char) throws SQLException;
/*      */ 
/*      */ 
/*      */     
/*      */     public abstract void onFailConversion() throws SQLException;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   static void failUTFConversion() throws SQLException {
/* 2819 */     DatabaseError.throwSqlException(55);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int encodedByteLength(String paramString) {
/* 2834 */     if (paramString == null || paramString.length() == 0) return 0; 
/* 2835 */     return (convertWithReplacement(paramString)).length;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int encodedByteLength(char[] paramArrayOfchar) {
/* 2850 */     if (paramArrayOfchar == null || paramArrayOfchar.length == 0) return 0; 
/* 2851 */     return (convertWithReplacement(new String(paramArrayOfchar))).length;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int toCharWithReplacement(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3) throws SQLException {
/* 2873 */     DatabaseError.throwSqlException(23);
/* 2874 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2884 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:32_PST_2008";
/*      */   
/*      */   public abstract boolean isLossyFrom(CharacterSet paramCharacterSet);
/*      */   
/*      */   public abstract boolean isConvertibleFrom(CharacterSet paramCharacterSet);
/*      */   
/*      */   public abstract String toStringWithReplacement(byte[] paramArrayOfbyte, int paramInt1, int paramInt2);
/*      */   
/*      */   public abstract byte[] convert(String paramString) throws SQLException;
/*      */   
/*      */   public abstract byte[] convertWithReplacement(String paramString);
/*      */   
/*      */   public abstract byte[] convert(CharacterSet paramCharacterSet, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException;
/*      */   
/*      */   abstract int decode(CharacterWalker paramCharacterWalker) throws SQLException;
/*      */   
/*      */   abstract void encode(CharacterBuffer paramCharacterBuffer, int paramInt) throws SQLException;
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\CharacterSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */