/*      */ package oracle.sql;
/*      */ 
/*      */ import java.io.InputStream;
/*      */ import java.io.Reader;
/*      */ import java.math.BigDecimal;
/*      */ import java.net.URL;
/*      */ import java.sql.Array;
/*      */ import java.sql.Blob;
/*      */ import java.sql.Clob;
/*      */ import java.sql.Date;
/*      */ import java.sql.Ref;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLInput;
/*      */ import java.sql.Struct;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleJdbc2SQLInput
/*      */   implements SQLInput
/*      */ {
/*      */   private int index;
/*      */   private Datum[] attributes;
/*      */   private Map map;
/*      */   private OracleConnection conn;
/*      */   
/*      */   public OracleJdbc2SQLInput(Datum[] paramArrayOfDatum, Map paramMap, OracleConnection paramOracleConnection) {
/*   86 */     this.attributes = paramArrayOfDatum;
/*   87 */     this.map = paramMap;
/*   88 */     this.conn = paramOracleConnection;
/*   89 */     this.index = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String readString() throws SQLException {
/*  108 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/*  112 */       if (this.attributes[this.index] != null)
/*      */       {
/*  114 */         str = this.attributes[this.index].stringValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  119 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  124 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean readBoolean() throws SQLException {
/*  137 */     boolean bool = false;
/*      */ 
/*      */     
/*      */     try {
/*  141 */       if (this.attributes[this.index] != null)
/*      */       {
/*  143 */         bool = this.attributes[this.index].booleanValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  148 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  153 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte readByte() throws SQLException {
/*  166 */     byte b = 0;
/*      */ 
/*      */     
/*      */     try {
/*  170 */       if (this.attributes[this.index] != null)
/*      */       {
/*  172 */         b = this.attributes[this.index].byteValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  177 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  182 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short readShort() throws SQLException {
/*  202 */     long l = readLong();
/*      */     
/*  204 */     if (l > 65537L || l < -65538L)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  210 */       DatabaseError.throwSqlException(26, "readShort");
/*      */     }
/*      */ 
/*      */     
/*  214 */     return (short)(int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int readInt() throws SQLException {
/*  231 */     int i = 0;
/*      */ 
/*      */     
/*      */     try {
/*  235 */       if (this.attributes[this.index] != null)
/*      */       {
/*  237 */         i = this.attributes[this.index].intValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  242 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  247 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long readLong() throws SQLException {
/*  260 */     long l = 0L;
/*      */ 
/*      */     
/*      */     try {
/*  264 */       if (this.attributes[this.index] != null)
/*      */       {
/*  266 */         l = this.attributes[this.index].longValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  271 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  276 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float readFloat() throws SQLException {
/*  289 */     float f = 0.0F;
/*      */ 
/*      */     
/*      */     try {
/*  293 */       if (this.attributes[this.index] != null)
/*      */       {
/*  295 */         f = this.attributes[this.index].floatValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  300 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  305 */     return f;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double readDouble() throws SQLException {
/*  318 */     double d = 0.0D;
/*      */ 
/*      */     
/*      */     try {
/*  322 */       if (this.attributes[this.index] != null)
/*      */       {
/*  324 */         d = this.attributes[this.index].doubleValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  329 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  334 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal readBigDecimal() throws SQLException {
/*  347 */     BigDecimal bigDecimal = null;
/*      */ 
/*      */     
/*      */     try {
/*  351 */       if (this.attributes[this.index] != null)
/*      */       {
/*  353 */         bigDecimal = this.attributes[this.index].bigDecimalValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  358 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  363 */     return bigDecimal;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readBytes() throws SQLException {
/*  376 */     byte[] arrayOfByte = null;
/*      */ 
/*      */     
/*      */     try {
/*  380 */       if (this.attributes[this.index] != null)
/*      */       {
/*  382 */         if (this.attributes[this.index] instanceof RAW) {
/*  383 */           arrayOfByte = ((RAW)this.attributes[this.index]).shareBytes();
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  389 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  396 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  401 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date readDate() throws SQLException {
/*  414 */     Date date = null;
/*      */ 
/*      */     
/*      */     try {
/*  418 */       if (this.attributes[this.index] != null)
/*      */       {
/*  420 */         date = this.attributes[this.index].dateValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  425 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  430 */     return date;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time readTime() throws SQLException {
/*  443 */     Time time = null;
/*      */ 
/*      */     
/*      */     try {
/*  447 */       if (this.attributes[this.index] != null)
/*      */       {
/*  449 */         time = this.attributes[this.index].timeValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  454 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  459 */     return time;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp readTimestamp() throws SQLException {
/*  472 */     Timestamp timestamp = null;
/*      */ 
/*      */     
/*      */     try {
/*  476 */       if (this.attributes[this.index] != null)
/*      */       {
/*  478 */         timestamp = this.attributes[this.index].timestampValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  483 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  488 */     return timestamp;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader readCharacterStream() throws SQLException {
/*  501 */     Reader reader = null;
/*      */ 
/*      */     
/*      */     try {
/*  505 */       Datum datum = this.attributes[this.index];
/*      */       
/*  507 */       if (datum != null)
/*      */       {
/*  509 */         reader = datum.characterStreamValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  514 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  519 */     return reader;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream readAsciiStream() throws SQLException {
/*  532 */     InputStream inputStream = null;
/*      */ 
/*      */     
/*      */     try {
/*  536 */       Datum datum = this.attributes[this.index];
/*      */       
/*  538 */       if (datum != null)
/*      */       {
/*  540 */         inputStream = datum.asciiStreamValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  545 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  550 */     return inputStream;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream readBinaryStream() throws SQLException {
/*  564 */     InputStream inputStream = null;
/*      */ 
/*      */     
/*      */     try {
/*  568 */       Datum datum = this.attributes[this.index];
/*      */       
/*  570 */       if (datum != null)
/*      */       {
/*  572 */         inputStream = datum.binaryStreamValue();
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  577 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  582 */     return inputStream;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object readObject() throws SQLException {
/*  610 */     Datum datum = (Datum)readOracleObject();
/*      */     
/*  612 */     if (datum != null) {
/*      */       
/*  614 */       if (datum instanceof STRUCT) {
/*  615 */         return ((STRUCT)datum).toJdbc(this.map);
/*      */       }
/*  617 */       datum.toJdbc();
/*      */     } 
/*      */     
/*  620 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Ref readRef() throws SQLException {
/*  633 */     return readREF();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Blob readBlob() throws SQLException {
/*  646 */     return readBLOB();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Clob readClob() throws SQLException {
/*  659 */     return readCLOB();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Array readArray() throws SQLException {
/*  672 */     return readARRAY();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Struct readStruct() throws SQLException {
/*  685 */     return readSTRUCT();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean wasNull() throws SQLException {
/*  699 */     if (this.index == 0)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  704 */       DatabaseError.throwSqlException(24);
/*      */     }
/*      */     
/*  707 */     return (this.attributes[this.index - 1] == null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object readOracleObject() throws SQLException {
/*  724 */     return this.attributes[this.index++];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public NUMBER readNUMBER() throws SQLException {
/*  741 */     NUMBER nUMBER = null;
/*      */ 
/*      */     
/*      */     try {
/*  745 */       if (this.attributes[this.index] != null)
/*      */       {
/*  747 */         if (this.attributes[this.index] instanceof NUMBER) {
/*  748 */           nUMBER = (NUMBER)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  754 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  761 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  766 */     return nUMBER;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CHAR readCHAR() throws SQLException {
/*  779 */     CHAR cHAR = null;
/*      */ 
/*      */     
/*      */     try {
/*  783 */       if (this.attributes[this.index] != null)
/*      */       {
/*  785 */         if (this.attributes[this.index] instanceof CHAR) {
/*  786 */           cHAR = (CHAR)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  792 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  799 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  804 */     return cHAR;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE readDATE() throws SQLException {
/*  817 */     DATE dATE = null;
/*      */ 
/*      */     
/*      */     try {
/*  821 */       if (this.attributes[this.index] != null)
/*      */       {
/*  823 */         if (this.attributes[this.index] instanceof DATE) {
/*  824 */           dATE = (DATE)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  830 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  837 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  842 */     return dATE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BFILE readBFILE() throws SQLException {
/*  855 */     BFILE bFILE = null;
/*      */ 
/*      */     
/*      */     try {
/*  859 */       if (this.attributes[this.index] != null)
/*      */       {
/*  861 */         if (this.attributes[this.index] instanceof BFILE) {
/*  862 */           bFILE = (BFILE)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  868 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  875 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  880 */     return bFILE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BLOB readBLOB() throws SQLException {
/*  893 */     BLOB bLOB = null;
/*      */ 
/*      */     
/*      */     try {
/*  897 */       if (this.attributes[this.index] != null)
/*      */       {
/*  899 */         if (this.attributes[this.index] instanceof BLOB) {
/*  900 */           bLOB = (BLOB)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  906 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  913 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  918 */     return bLOB;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB readCLOB() throws SQLException {
/*  931 */     CLOB cLOB = null;
/*      */ 
/*      */     
/*      */     try {
/*  935 */       if (this.attributes[this.index] != null)
/*      */       {
/*  937 */         if (this.attributes[this.index] instanceof CLOB) {
/*  938 */           cLOB = (CLOB)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  944 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  951 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  957 */     return cLOB;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public RAW readRAW() throws SQLException {
/*  970 */     RAW rAW = null;
/*      */ 
/*      */     
/*      */     try {
/*  974 */       if (this.attributes[this.index] != null)
/*      */       {
/*  976 */         if (this.attributes[this.index] instanceof RAW) {
/*  977 */           rAW = (RAW)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/*  983 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/*  990 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  995 */     return rAW;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public REF readREF() throws SQLException {
/* 1008 */     REF rEF = null;
/*      */ 
/*      */     
/*      */     try {
/* 1012 */       if (this.attributes[this.index] != null)
/*      */       {
/* 1014 */         if (this.attributes[this.index] instanceof REF) {
/* 1015 */           rEF = (REF)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/* 1021 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/* 1028 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1033 */     return rEF;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ROWID readROWID() throws SQLException {
/* 1046 */     ROWID rOWID = null;
/*      */ 
/*      */     
/*      */     try {
/* 1050 */       if (this.attributes[this.index] != null)
/*      */       {
/* 1052 */         if (this.attributes[this.index] instanceof ROWID) {
/* 1053 */           rOWID = (ROWID)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/* 1059 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/* 1066 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1071 */     return rOWID;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ARRAY readARRAY() throws SQLException {
/* 1084 */     ARRAY aRRAY = null;
/*      */ 
/*      */     
/*      */     try {
/* 1088 */       if (this.attributes[this.index] != null)
/*      */       {
/* 1090 */         if (this.attributes[this.index] instanceof ARRAY) {
/* 1091 */           aRRAY = (ARRAY)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/* 1097 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/* 1104 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1109 */     return aRRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public STRUCT readSTRUCT() throws SQLException {
/* 1122 */     STRUCT sTRUCT = null;
/*      */ 
/*      */     
/*      */     try {
/* 1126 */       if (this.attributes[this.index] != null)
/*      */       {
/* 1128 */         if (this.attributes[this.index] instanceof STRUCT) {
/* 1129 */           sTRUCT = (STRUCT)this.attributes[this.index];
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/* 1135 */           DatabaseError.throwSqlException(4, null);
/*      */         }
/*      */       
/*      */       }
/*      */     }
/*      */     finally {
/*      */       
/* 1142 */       this.index++;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1147 */     return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public URL readURL() throws SQLException {
/* 1166 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*      */     
/* 1168 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1174 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\OracleJdbc2SQLInput.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */