/*      */ package oracle.sql;
/*      */ 
/*      */ import java.io.PrintStream;
/*      */ import java.io.PrintWriter;
/*      */ import java.io.StringWriter;
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLData;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLOutput;
/*      */ import java.sql.Struct;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class STRUCT
/*      */   extends DatumWithConnection
/*      */   implements Struct
/*      */ {
/*      */   StructDescriptor descriptor;
/*      */   Datum[] datumArray;
/*      */   Object[] objectArray;
/*      */   boolean enableLocalCache = false;
/*      */   long imageOffset;
/*      */   long imageLength;
/*      */   
/*      */   public STRUCT(StructDescriptor paramStructDescriptor, Connection paramConnection, Object[] paramArrayOfObject) throws SQLException {
/*  132 */     assertNotNull(paramStructDescriptor);
/*      */     
/*  134 */     this.descriptor = paramStructDescriptor;
/*      */     
/*  136 */     assertNotNull(paramConnection);
/*      */     
/*  138 */     if (!paramStructDescriptor.getInternalConnection().isDescriptorSharable(((OracleConnection)paramConnection).physicalConnectionWithin()))
/*      */     {
/*      */ 
/*      */       
/*  142 */       throw new SQLException("Cannot construct STRUCT instance, invalid connection");
/*      */     }
/*      */ 
/*      */     
/*  146 */     paramStructDescriptor.setConnection(paramConnection);
/*      */     
/*  148 */     if (!this.descriptor.isInstantiable())
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  153 */       throw new SQLException("Cannot construct STRUCT instance for a non-instantiable object type");
/*      */     }
/*      */ 
/*      */     
/*  157 */     setPhysicalConnectionOf(paramConnection);
/*      */     
/*  159 */     if (paramArrayOfObject != null) {
/*  160 */       this.datumArray = this.descriptor.toArray(paramArrayOfObject);
/*      */     } else {
/*  162 */       this.datumArray = new Datum[0];
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public STRUCT(StructDescriptor paramStructDescriptor, Connection paramConnection, Map paramMap) throws SQLException {
/*  174 */     assertNotNull(paramStructDescriptor);
/*      */     
/*  176 */     this.descriptor = paramStructDescriptor;
/*      */     
/*  178 */     assertNotNull(paramConnection);
/*      */     
/*  180 */     if (!paramStructDescriptor.getInternalConnection().isDescriptorSharable(((OracleConnection)paramConnection).physicalConnectionWithin()))
/*      */     {
/*      */ 
/*      */       
/*  184 */       throw new SQLException("Cannot construct STRUCT instance, invalid connection");
/*      */     }
/*      */ 
/*      */     
/*  188 */     paramStructDescriptor.setConnection(paramConnection);
/*      */     
/*  190 */     if (!this.descriptor.isInstantiable())
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  195 */       throw new SQLException("Cannot construct STRUCT instance for a non-instantiable object type");
/*      */     }
/*      */ 
/*      */     
/*  199 */     setPhysicalConnectionOf(paramConnection);
/*      */     
/*  201 */     this.datumArray = this.descriptor.toOracleArray(paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public STRUCT(StructDescriptor paramStructDescriptor, byte[] paramArrayOfbyte, Connection paramConnection) throws SQLException {
/*  220 */     super(paramArrayOfbyte);
/*      */ 
/*      */ 
/*      */     
/*  224 */     assertNotNull(paramStructDescriptor);
/*      */     
/*  226 */     this.descriptor = paramStructDescriptor;
/*      */     
/*  228 */     assertNotNull(paramConnection);
/*      */     
/*  230 */     if (!paramStructDescriptor.getInternalConnection().isDescriptorSharable(((OracleConnection)paramConnection).physicalConnectionWithin()))
/*      */     {
/*      */ 
/*      */       
/*  234 */       throw new SQLException("Cannot construct STRUCT instance, invalid connection");
/*      */     }
/*      */ 
/*      */     
/*  238 */     paramStructDescriptor.setConnection(paramConnection);
/*  239 */     setPhysicalConnectionOf(paramConnection);
/*      */     
/*  241 */     this.datumArray = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized String getSQLTypeName() throws SQLException {
/*  267 */     return this.descriptor.getName();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object[] getAttributes() throws SQLException {
/*  300 */     return getAttributes(getMap());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object[] getAttributes(Map paramMap) throws SQLException {
/*  336 */     return this.descriptor.toArray(this, paramMap, this.enableLocalCache);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized StructDescriptor getDescriptor() throws SQLException {
/*  360 */     return this.descriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDescriptor(StructDescriptor paramStructDescriptor) {
/*  372 */     this.descriptor = paramStructDescriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Datum[] getOracleAttributes() throws SQLException {
/*  389 */     return this.descriptor.toOracleArray(this, this.enableLocalCache);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Map getMap() {
/*  406 */     Map map = null;
/*      */ 
/*      */     
/*      */     try {
/*  410 */       map = getInternalConnection().getTypeMap();
/*      */     }
/*  412 */     catch (SQLException sQLException) {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  421 */     return map;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized byte[] toBytes() throws SQLException {
/*  437 */     return this.descriptor.toBytes(this, this.enableLocalCache);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDatumArray(Datum[] paramArrayOfDatum) {
/*  456 */     this.datumArray = (paramArrayOfDatum == null) ? new Datum[0] : paramArrayOfDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setObjArray(Object[] paramArrayOfObject) throws SQLException {
/*  471 */     this.objectArray = (paramArrayOfObject == null) ? new Object[0] : paramArrayOfObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static STRUCT toSTRUCT(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/*  492 */     STRUCT sTRUCT = null;
/*      */     
/*  494 */     if (paramObject != null) {
/*  495 */       if (paramObject instanceof STRUCT) {
/*      */         
/*  497 */         sTRUCT = (STRUCT)paramObject;
/*      */       }
/*  499 */       else if (paramObject instanceof ORAData) {
/*      */         
/*  501 */         sTRUCT = (STRUCT)((ORAData)paramObject).toDatum((Connection)paramOracleConnection);
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  506 */       else if (paramObject instanceof CustomDatum) {
/*      */         
/*  508 */         sTRUCT = (STRUCT)((OracleConnection)paramOracleConnection).toDatum((CustomDatum)paramObject);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  514 */       else if (paramObject instanceof SQLData) {
/*      */         
/*  516 */         SQLData sQLData = (SQLData)paramObject;
/*      */         
/*  518 */         StructDescriptor structDescriptor = StructDescriptor.createDescriptor(sQLData.getSQLTypeName(), (Connection)paramOracleConnection);
/*      */ 
/*      */         
/*  521 */         SQLOutput sQLOutput = structDescriptor.toJdbc2SQLOutput();
/*      */         
/*  523 */         sQLData.writeSQL(sQLOutput);
/*      */         
/*  525 */         sTRUCT = ((OracleSQLOutput)sQLOutput).getSTRUCT();
/*      */       }
/*      */       else {
/*      */         
/*  529 */         DatabaseError.throwSqlException(59, paramObject);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  535 */     return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toJdbc() throws SQLException {
/*  552 */     Map map = getMap();
/*  553 */     return toJdbc(map);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toJdbc(Map paramMap) throws SQLException {
/*  571 */     Object object = this;
/*      */     
/*  573 */     if (paramMap != null) {
/*      */       
/*  575 */       Class clazz = this.descriptor.getClass(paramMap);
/*      */       
/*  577 */       if (clazz != null) {
/*  578 */         object = toClass(clazz, paramMap);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  583 */     return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toClass(Class paramClass) throws SQLException {
/*  596 */     return toClass(paramClass, getMap());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toClass(Class paramClass, Map paramMap) throws SQLException {
/*      */     CustomDatum customDatum;
/*  625 */     STRUCT sTRUCT = null;
/*      */ 
/*      */     
/*      */     try {
/*  629 */       if (paramClass == null || paramClass == STRUCT.class || paramClass == Struct.class)
/*      */       {
/*  631 */         sTRUCT = this;
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*  636 */         SQLData sQLData = (SQLData)paramClass.newInstance();
/*      */         
/*  638 */         if (sQLData instanceof SQLData)
/*      */         {
/*  640 */           ((SQLData)sQLData).readSQL(this.descriptor.toJdbc2SQLInput(this, paramMap), this.descriptor.getName());
/*      */ 
/*      */           
/*  643 */           SQLData sQLData1 = sQLData;
/*      */         }
/*  645 */         else if (sQLData instanceof ORADataFactory)
/*      */         {
/*  647 */           ORADataFactory oRADataFactory = (ORADataFactory)sQLData;
/*      */           
/*  649 */           ORAData oRAData = oRADataFactory.create(this, 2002);
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*  654 */         else if (sQLData instanceof CustomDatumFactory)
/*      */         {
/*  656 */           CustomDatumFactory customDatumFactory = (CustomDatumFactory)sQLData;
/*      */           
/*  658 */           customDatum = customDatumFactory.create(this, 2002);
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  668 */           DatabaseError.throwSqlException(49, this.descriptor.getName());
/*      */         }
/*      */       
/*      */       }
/*      */     
/*  673 */     } catch (InstantiationException instantiationException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  678 */       DatabaseError.throwSqlException(49, "InstantiationException: " + instantiationException.getMessage());
/*      */ 
/*      */     
/*      */     }
/*  682 */     catch (IllegalAccessException illegalAccessException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  687 */       DatabaseError.throwSqlException(49, "IllegalAccessException: " + illegalAccessException.getMessage());
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  694 */     return customDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isConvertibleTo(Class paramClass) {
/*  709 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object makeJdbcArray(int paramInt) {
/*  720 */     return new Object[paramInt];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAutoBuffering(boolean paramBoolean) throws SQLException {
/*  741 */     this.enableLocalCache = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getAutoBuffering() throws SQLException {
/*  758 */     return this.enableLocalCache;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setImage(byte[] paramArrayOfbyte, long paramLong1, long paramLong2) throws SQLException {
/*  771 */     setShareBytes(paramArrayOfbyte);
/*      */     
/*  773 */     this.imageOffset = paramLong1;
/*  774 */     this.imageLength = paramLong2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setImageLength(long paramLong) throws SQLException {
/*  789 */     this.imageLength = paramLong;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getImageOffset() {
/*  801 */     return this.imageOffset;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getImageLength() {
/*  814 */     return this.imageLength;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CustomDatumFactory getFactory(Hashtable paramHashtable, String paramString) throws SQLException {
/*  831 */     String str = getSQLTypeName();
/*  832 */     Object object = paramHashtable.get(str);
/*      */     
/*  834 */     if (object == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  839 */       throw new SQLException("Unable to convert a \"" + str + "\" to a \"" + paramString + "\" or a subclass of \"" + paramString + "\"");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  844 */     return (CustomDatumFactory)object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ORADataFactory getORADataFactory(Hashtable paramHashtable, String paramString) throws SQLException {
/*  865 */     String str = getSQLTypeName();
/*  866 */     Object object = paramHashtable.get(str);
/*      */     
/*  868 */     if (object == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  873 */       throw new SQLException("Unable to convert a \"" + str + "\" to a \"" + paramString + "\" or a subclass of \"" + paramString + "\"");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  878 */     return (ORADataFactory)object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String debugString() {
/*  897 */     StringWriter stringWriter = new StringWriter();
/*  898 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/*  902 */       StructDescriptor structDescriptor = getDescriptor();
/*      */       
/*  904 */       stringWriter.write("name = " + structDescriptor.getName()); int i;
/*  905 */       stringWriter.write(" length = " + (i = structDescriptor.getLength()));
/*      */       
/*  907 */       Object[] arrayOfObject = getAttributes();
/*      */       
/*  909 */       for (byte b = 0; b < i; b++)
/*      */       {
/*  911 */         stringWriter.write(" attribute[" + b + "] = " + arrayOfObject[b]);
/*      */       }
/*      */     }
/*  914 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  919 */       str = "StructDescriptor missing or bad";
/*      */     } 
/*      */     
/*  922 */     str = stringWriter.getBuffer().substring(0);
/*      */ 
/*      */ 
/*      */     
/*  926 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInHierarchyOf(String paramString) throws SQLException {
/*  940 */     return getDescriptor().isInHierarchyOf(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Connection getJavaSqlConnection() throws SQLException {
/*  949 */     return super.getJavaSqlConnection();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*  954 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static final boolean TRACE = false;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String dump() throws SQLException {
/*  973 */     return dump(this);
/*      */   }
/*      */ 
/*      */   
/*      */   public static String dump(Object paramObject) throws SQLException {
/*  978 */     StringWriter stringWriter = new StringWriter();
/*  979 */     PrintWriter printWriter = new PrintWriter(stringWriter);
/*  980 */     dump(paramObject, printWriter);
/*  981 */     return stringWriter.getBuffer().substring(0);
/*      */   }
/*      */ 
/*      */   
/*      */   public static void dump(Object paramObject, PrintStream paramPrintStream) throws SQLException {
/*  986 */     dump(paramObject, new PrintWriter(paramPrintStream, true));
/*      */   }
/*      */ 
/*      */   
/*      */   public static void dump(Object paramObject, PrintWriter paramPrintWriter) throws SQLException {
/*  991 */     dump(paramObject, paramPrintWriter, 0);
/*      */   }
/*      */ 
/*      */   
/*      */   static void dump(Object paramObject, PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/*  996 */     if (paramObject instanceof STRUCT) { dump((STRUCT)paramObject, paramPrintWriter, paramInt); return; }
/*  997 */      if (paramObject instanceof ARRAY) { ARRAY.dump((ARRAY)paramObject, paramPrintWriter, paramInt); return; }
/*  998 */      paramPrintWriter.println(paramObject.toString());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static void dump(STRUCT paramSTRUCT, PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/* 1005 */     StructDescriptor structDescriptor = paramSTRUCT.getDescriptor();
/* 1006 */     ResultSetMetaData resultSetMetaData = structDescriptor.getMetaData();
/*      */     byte b;
/* 1008 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print(' '); b++; }
/* 1009 */      paramPrintWriter.println("name = " + structDescriptor.getName());
/*      */     
/* 1011 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print(' '); b++; }
/* 1012 */      int i; paramPrintWriter.println("length = " + (i = structDescriptor.getLength()));
/* 1013 */     Object[] arrayOfObject = paramSTRUCT.getAttributes();
/* 1014 */     for (b = 0; b < i; b++) {
/*      */       
/* 1016 */       for (byte b1 = 0; b1 < paramInt; ) { paramPrintWriter.print(' '); b1++; }
/* 1017 */        paramPrintWriter.print(resultSetMetaData.getColumnName(b + 1) + " = ");
/* 1018 */       dump(arrayOfObject[b], paramPrintWriter, paramInt + 1);
/*      */     } 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\STRUCT.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */