/*     */ package oracle.sql.converter;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import java.util.Enumeration;
/*     */ import java.util.Hashtable;
/*     */ import java.util.Vector;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CharacterConverter1Byte
/*     */   extends CharacterConverterJDBC
/*     */ {
/*     */   static final int ORACHARMASK = 255;
/*     */   static final int UCSCHARWIDTH = 16;
/* 113 */   public int m_ucsReplacement = 0;
/* 114 */   public int[] m_ucsChar = null;
/* 115 */   public char[] m_oraCharLevel1 = null;
/* 116 */   public char[] m_oraCharSurrogateLevel = null;
/* 117 */   public char[] m_oraCharLevel2 = null;
/* 118 */   public byte m_oraCharReplacement = 0;
/*     */   protected transient boolean noSurrogate = true;
/*     */   protected transient boolean strictASCII = true;
/* 121 */   protected transient int m_oraCharLevel2Size = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CharacterConverter1Byte() {
/* 128 */     this.m_groupId = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int toUnicode(byte paramByte) throws SQLException {
/* 144 */     int i = this.m_ucsChar[paramByte & 0xFF];
/*     */     
/* 146 */     if (i == -1) {
/*     */       
/* 148 */       DatabaseError.throwSqlException(154);
/*     */ 
/*     */       
/* 151 */       return -1;
/*     */     } 
/*     */ 
/*     */     
/* 155 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int toUnicodeWithReplacement(byte paramByte) {
/* 166 */     int i = this.m_ucsChar[paramByte & 0xFF];
/*     */     
/* 168 */     if (i == -1)
/*     */     {
/* 170 */       return this.m_ucsReplacement;
/*     */     }
/*     */ 
/*     */     
/* 174 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte toOracleCharacter(char paramChar1, char paramChar2) throws SQLException {
/* 190 */     int i = paramChar1 >>> 8 & 0xFF;
/* 191 */     int j = paramChar1 & 0xFF;
/* 192 */     int k = paramChar2 >>> 8 & 0xFF;
/* 193 */     int m = paramChar2 & 0xFF;
/*     */     
/* 195 */     if (this.m_oraCharLevel1[i] != (char)this.m_oraCharLevel2Size && this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] != Character.MAX_VALUE && this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] != Character.MAX_VALUE && this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] + m] != Character.MAX_VALUE)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 201 */       return (byte)this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] + m];
/*     */     }
/*     */ 
/*     */     
/* 205 */     DatabaseError.throwSqlException(155);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 210 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte toOracleCharacter(char paramChar) throws SQLException {
/* 224 */     int i = paramChar >>> 8;
/* 225 */     int j = paramChar & 0xFF;
/*     */     
/*     */     char c;
/* 228 */     if ((c = this.m_oraCharLevel2[this.m_oraCharLevel1[i] + j]) != Character.MAX_VALUE)
/*     */     {
/*     */       
/* 231 */       return (byte)c;
/*     */     }
/*     */ 
/*     */     
/* 235 */     DatabaseError.throwSqlException(155);
/*     */ 
/*     */     
/* 238 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte toOracleCharacterWithReplacement(char paramChar1, char paramChar2) {
/* 252 */     int i = paramChar1 >>> 8 & 0xFF;
/* 253 */     int j = paramChar1 & 0xFF;
/* 254 */     int k = paramChar2 >>> 8 & 0xFF;
/* 255 */     int m = paramChar2 & 0xFF;
/*     */     
/* 257 */     if (this.m_oraCharLevel1[i] != (char)this.m_oraCharLevel2Size && this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] != Character.MAX_VALUE && this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] != Character.MAX_VALUE && this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] + m] != Character.MAX_VALUE)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 263 */       return (byte)this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[i] + j] + k] + m];
/*     */     }
/*     */ 
/*     */     
/* 267 */     return this.m_oraCharReplacement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte toOracleCharacterWithReplacement(char paramChar) {
/* 281 */     int i = paramChar >>> 8;
/* 282 */     int j = paramChar & 0xFF;
/*     */     
/*     */     char c;
/* 285 */     if ((c = this.m_oraCharLevel2[this.m_oraCharLevel1[i] + j]) != Character.MAX_VALUE)
/*     */     {
/*     */       
/* 288 */       return (byte)c;
/*     */     }
/*     */ 
/*     */     
/* 292 */     return this.m_oraCharReplacement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int toUnicodeChars(byte[] paramArrayOfbyte, int paramInt1, char[] paramArrayOfchar, int paramInt2, int paramInt3) throws SQLException {
/* 311 */     int i = paramInt1 + paramInt3;
/*     */     
/* 313 */     int j = 0;
/*     */ 
/*     */     
/* 316 */     int m = paramInt2;
/*     */     int k;
/* 318 */     for (k = paramInt1; k < i && m < paramArrayOfchar.length; k++) {
/*     */       
/* 320 */       j = this.m_ucsChar[paramArrayOfbyte[k] & 0xFF];
/*     */       
/* 322 */       if (j == this.m_ucsReplacement)
/*     */       {
/* 324 */         DatabaseError.throwSqlException(154);
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 329 */       if ((j & 0xFFFFFFFFL) > 65535L) {
/*     */         
/* 331 */         if (m + 2 < paramArrayOfchar.length) {
/*     */           
/* 333 */           k--;
/*     */           break;
/*     */         } 
/* 336 */         paramArrayOfchar[m++] = (char)(j >>> 16);
/* 337 */         paramArrayOfchar[m++] = (char)(j & 0xFFFF);
/*     */       }
/*     */       else {
/*     */         
/* 341 */         paramArrayOfchar[m++] = (char)j;
/*     */       } 
/*     */     } 
/*     */     
/* 345 */     return k;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String toUnicodeString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 351 */     int i = paramInt1 + paramInt2;
/*     */     
/* 353 */     StringBuffer stringBuffer = new StringBuffer(paramInt2);
/* 354 */     int j = 0;
/*     */ 
/*     */ 
/*     */     
/* 358 */     for (int k = paramInt1; k < i; k++) {
/*     */       
/* 360 */       j = this.m_ucsChar[paramArrayOfbyte[k] & 0xFF];
/*     */       
/* 362 */       if (j == this.m_ucsReplacement)
/*     */       {
/* 364 */         DatabaseError.throwSqlException(154);
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 369 */       if ((j & 0xFFFFFFFFL) > 65535L) {
/*     */         
/* 371 */         stringBuffer.append((char)(j >>> 16));
/* 372 */         stringBuffer.append((char)(j & 0xFFFF));
/*     */       }
/*     */       else {
/*     */         
/* 376 */         stringBuffer.append((char)j);
/*     */       } 
/*     */     } 
/*     */     
/* 380 */     return stringBuffer.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toUnicodeStringWithReplacement(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/* 391 */     int i = paramInt1 + paramInt2;
/* 392 */     StringBuffer stringBuffer = new StringBuffer(paramInt2);
/* 393 */     int j = 0;
/*     */ 
/*     */ 
/*     */     
/* 397 */     for (int k = paramInt1; k < i; k++) {
/*     */       
/* 399 */       j = this.m_ucsChar[paramArrayOfbyte[k] & 0xFF];
/*     */       
/* 401 */       if (j == -1) {
/* 402 */         stringBuffer.append((char)this.m_ucsReplacement);
/*     */       } else {
/* 404 */         stringBuffer.append((char)j);
/*     */       } 
/*     */     } 
/* 407 */     return stringBuffer.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] toOracleString(String paramString) throws SQLException {
/* 419 */     int i = paramString.length();
/*     */     
/* 421 */     if (i == 0)
/*     */     {
/* 423 */       return new byte[0];
/*     */     }
/*     */     
/* 426 */     char[] arrayOfChar = new char[i];
/*     */     
/* 428 */     paramString.getChars(0, i, arrayOfChar, 0);
/*     */     
/* 430 */     byte[] arrayOfByte = new byte[i * 4];
/*     */     
/* 432 */     byte b1 = 0;
/*     */     
/* 434 */     for (byte b2 = 0; b2 < i; b2++) {
/*     */       
/* 436 */       if (arrayOfChar[b2] >= '?' && arrayOfChar[b2] < '?') {
/*     */         
/* 438 */         if (b2 + 1 < i && arrayOfChar[b2 + 1] >= '?' && arrayOfChar[b2 + 1] <= '?')
/*     */         {
/*     */ 
/*     */ 
/*     */           
/* 443 */           if (this.noSurrogate) {
/*     */             
/* 445 */             DatabaseError.throwSqlException(155);
/*     */           }
/*     */           else {
/*     */             
/* 449 */             arrayOfByte[b1++] = toOracleCharacter(arrayOfChar[b2], arrayOfChar[b2 + 1]);
/*     */           } 
/*     */ 
/*     */           
/* 453 */           b2++;
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 459 */           DatabaseError.throwSqlException(155);
/*     */         
/*     */         }
/*     */       
/*     */       }
/* 464 */       else if (arrayOfChar[b2] < '' && this.strictASCII) {
/*     */         
/* 466 */         arrayOfByte[b1++] = (byte)arrayOfChar[b2];
/*     */       } else {
/*     */         
/* 469 */         arrayOfByte[b1++] = toOracleCharacter(arrayOfChar[b2]);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 474 */     if (b1 < arrayOfByte.length) {
/*     */ 
/*     */ 
/*     */       
/* 478 */       byte[] arrayOfByte1 = new byte[b1];
/*     */       
/* 480 */       System.arraycopy(arrayOfByte, 0, arrayOfByte1, 0, b1);
/*     */       
/* 482 */       return arrayOfByte1;
/*     */     } 
/*     */ 
/*     */     
/* 486 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] toOracleStringWithReplacement(String paramString) {
/* 497 */     int i = paramString.length();
/*     */     
/* 499 */     if (i == 0)
/*     */     {
/* 501 */       return new byte[0];
/*     */     }
/*     */     
/* 504 */     char[] arrayOfChar = new char[i];
/*     */     
/* 506 */     paramString.getChars(0, i, arrayOfChar, 0);
/*     */     
/* 508 */     byte[] arrayOfByte = new byte[i * 4];
/*     */     
/* 510 */     byte b1 = 0;
/*     */     
/* 512 */     for (byte b2 = 0; b2 < i; b2++) {
/*     */       
/* 514 */       if (arrayOfChar[b2] >= '?' && arrayOfChar[b2] < '?') {
/*     */         
/* 516 */         if (b2 + 1 < i && arrayOfChar[b2 + 1] >= '?' && arrayOfChar[b2 + 1] <= '?')
/*     */         {
/*     */ 
/*     */ 
/*     */           
/* 521 */           if (this.noSurrogate) {
/*     */             
/* 523 */             arrayOfByte[b1++] = this.m_oraCharReplacement;
/*     */           }
/*     */           else {
/*     */             
/* 527 */             arrayOfByte[b1++] = toOracleCharacterWithReplacement(arrayOfChar[b2], arrayOfChar[b2 + 1]);
/*     */           } 
/*     */ 
/*     */           
/* 531 */           b2++;
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 537 */           arrayOfByte[b1++] = this.m_oraCharReplacement;
/*     */ 
/*     */         
/*     */         }
/*     */ 
/*     */       
/*     */       }
/* 544 */       else if (arrayOfChar[b2] < '' && this.strictASCII) {
/*     */         
/* 546 */         arrayOfByte[b1++] = (byte)arrayOfChar[b2];
/*     */       } else {
/*     */         
/* 549 */         arrayOfByte[b1++] = toOracleCharacterWithReplacement(arrayOfChar[b2]);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 554 */     if (b1 < arrayOfByte.length) {
/*     */ 
/*     */ 
/*     */       
/* 558 */       byte[] arrayOfByte1 = new byte[b1];
/*     */       
/* 560 */       System.arraycopy(arrayOfByte, 0, arrayOfByte1, 0, b1);
/*     */       
/* 562 */       return arrayOfByte1;
/*     */     } 
/*     */ 
/*     */     
/* 566 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void buildUnicodeToOracleMapping() {
/* 599 */     this.m_oraCharLevel1 = new char[256];
/* 600 */     this.m_oraCharSurrogateLevel = null;
/* 601 */     this.m_oraCharLevel2 = null;
/*     */     
/* 603 */     Vector vector = new Vector(45055, 12287);
/* 604 */     Hashtable hashtable1 = new Hashtable();
/* 605 */     Hashtable hashtable2 = new Hashtable();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 614 */     int i = this.m_ucsChar.length;
/* 615 */     char c1 = Character.MIN_VALUE;
/* 616 */     char c2 = Character.MIN_VALUE;
/*     */     
/*     */     byte b;
/* 619 */     for (b = 0; b < 'Ā'; b++)
/*     */     {
/* 621 */       this.m_oraCharLevel1[b] = Character.MAX_VALUE;
/*     */     }
/*     */     
/* 624 */     for (b = 0; b < i; b++) {
/*     */ 
/*     */ 
/*     */       
/* 628 */       int m = this.m_ucsChar[b];
/*     */       
/* 630 */       if (m != -1) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 635 */         int[] arrayOfInt = new int[2];
/*     */         
/* 637 */         arrayOfInt[0] = m;
/* 638 */         arrayOfInt[1] = b;
/*     */         
/* 640 */         vector.addElement(arrayOfInt);
/* 641 */         storeMappingRange(m, hashtable1, hashtable2);
/*     */       } 
/*     */     } 
/* 644 */     if (this.extraUnicodeToOracleMapping != null) {
/*     */       
/* 646 */       i = this.extraUnicodeToOracleMapping.length;
/*     */       
/* 648 */       for (b = 0; b < i; b++) {
/*     */ 
/*     */ 
/*     */         
/* 652 */         int m = this.extraUnicodeToOracleMapping[b][0];
/*     */         
/* 654 */         storeMappingRange(m, hashtable1, hashtable2);
/*     */       } 
/*     */     } 
/*     */     
/* 658 */     Enumeration enumeration = hashtable1.keys();
/*     */ 
/*     */     
/* 661 */     int j = 0;
/* 662 */     int k = 0;
/*     */     
/* 664 */     while (enumeration.hasMoreElements()) {
/*     */       
/* 666 */       Object object = enumeration.nextElement();
/* 667 */       char[] arrayOfChar = (char[])hashtable1.get(object);
/*     */       
/* 669 */       if (arrayOfChar != null)
/*     */       {
/*     */ 
/*     */         
/* 673 */         j += 256;
/*     */       }
/*     */     } 
/*     */     
/* 677 */     enumeration = hashtable2.keys();
/*     */     
/* 679 */     while (enumeration.hasMoreElements()) {
/*     */       
/* 681 */       Object object = enumeration.nextElement();
/* 682 */       char[] arrayOfChar = (char[])hashtable2.get(object);
/*     */       
/* 684 */       if (arrayOfChar != null)
/*     */       {
/*     */ 
/*     */         
/* 688 */         k += 256;
/*     */       }
/*     */     } 
/*     */     
/* 692 */     if (j != 0)
/*     */     {
/* 694 */       this.m_oraCharSurrogateLevel = new char[j];
/*     */     }
/*     */     
/* 697 */     if (k != 0)
/*     */     {
/* 699 */       this.m_oraCharLevel2 = new char[k + 256];
/*     */     }
/*     */     
/* 702 */     for (b = 0; b < j; b++)
/*     */     {
/* 704 */       this.m_oraCharSurrogateLevel[b] = Character.MAX_VALUE;
/*     */     }
/*     */     
/* 707 */     for (b = 0; b < k + 256; b++)
/*     */     {
/* 709 */       this.m_oraCharLevel2[b] = Character.MAX_VALUE;
/*     */     }
/*     */     
/* 712 */     for (b = 0; b < vector.size(); b++) {
/*     */       
/* 714 */       int[] arrayOfInt = vector.elementAt(b);
/*     */       
/* 716 */       int m = arrayOfInt[0] >> 24 & 0xFF;
/* 717 */       int n = arrayOfInt[0] >> 16 & 0xFF;
/* 718 */       int i1 = arrayOfInt[0] >> 8 & 0xFF;
/* 719 */       int i2 = arrayOfInt[0] & 0xFF;
/*     */       
/* 721 */       if (m >= 216 && m < 220) {
/*     */         
/* 723 */         if (this.m_oraCharLevel1[m] == Character.MAX_VALUE) {
/*     */           
/* 725 */           this.m_oraCharLevel1[m] = c2;
/* 726 */           c2 = (char)(c2 + 256);
/*     */         } 
/*     */         
/* 729 */         if (this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] == Character.MAX_VALUE) {
/*     */ 
/*     */           
/* 732 */           this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] = c2;
/*     */           
/* 734 */           c2 = (char)(c2 + 256);
/*     */         } 
/*     */         
/* 737 */         if (this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] == Character.MAX_VALUE) {
/*     */ 
/*     */           
/* 740 */           this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] = c1;
/*     */           
/* 742 */           c1 = (char)(c1 + 256);
/*     */         } 
/*     */         
/* 745 */         if (this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] + i2] == Character.MAX_VALUE)
/*     */         {
/*     */           
/* 748 */           this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] + i2] = (char)(arrayOfInt[1] & 0xFFFF);
/*     */ 
/*     */         
/*     */         }
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */ 
/*     */         
/* 759 */         if (this.m_oraCharLevel1[i1] == Character.MAX_VALUE) {
/*     */           
/* 761 */           this.m_oraCharLevel1[i1] = c1;
/* 762 */           c1 = (char)(c1 + 256);
/*     */         } 
/*     */         
/* 765 */         if (this.m_oraCharLevel2[this.m_oraCharLevel1[i1] + i2] == Character.MAX_VALUE)
/*     */         {
/*     */           
/* 768 */           this.m_oraCharLevel2[this.m_oraCharLevel1[i1] + i2] = (char)(arrayOfInt[1] & 0xFFFF);
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 779 */     if (this.extraUnicodeToOracleMapping != null) {
/*     */       
/* 781 */       i = this.extraUnicodeToOracleMapping.length;
/*     */       
/* 783 */       for (b = 0; b < i; b++) {
/*     */ 
/*     */ 
/*     */         
/* 787 */         int i3 = this.extraUnicodeToOracleMapping[b][0];
/*     */ 
/*     */ 
/*     */         
/* 791 */         int m = i3 >>> 24 & 0xFF;
/* 792 */         int n = i3 >>> 16 & 0xFF;
/* 793 */         int i1 = i3 >>> 8 & 0xFF;
/* 794 */         int i2 = i3 & 0xFF;
/*     */         
/* 796 */         if (m >= 216 && m < 220) {
/*     */           
/* 798 */           if (this.m_oraCharLevel1[m] == Character.MAX_VALUE) {
/*     */ 
/*     */ 
/*     */             
/* 802 */             this.m_oraCharLevel1[m] = c2;
/* 803 */             c2 = (char)(c2 + 256);
/*     */           } 
/*     */           
/* 806 */           if (this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] == Character.MAX_VALUE) {
/*     */ 
/*     */             
/* 809 */             this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] = c2;
/*     */             
/* 811 */             c2 = (char)(c2 + 256);
/*     */           } 
/*     */           
/* 814 */           if (this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] == Character.MAX_VALUE) {
/*     */ 
/*     */             
/* 817 */             this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] = c1;
/*     */             
/* 819 */             c1 = (char)(c1 + 256);
/*     */           } 
/*     */           
/* 822 */           this.m_oraCharLevel2[this.m_oraCharSurrogateLevel[this.m_oraCharSurrogateLevel[this.m_oraCharLevel1[m] + n] + i1] + i2] = (char)(this.extraUnicodeToOracleMapping[b][1] & 0xFF);
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 827 */           if (this.m_oraCharLevel1[i1] == Character.MAX_VALUE) {
/*     */             
/* 829 */             this.m_oraCharLevel1[i1] = c1;
/* 830 */             c1 = (char)(c1 + 256);
/*     */           } 
/*     */           
/* 833 */           this.m_oraCharLevel2[this.m_oraCharLevel1[i1] + i2] = (char)(this.extraUnicodeToOracleMapping[b][1] & 0xFFFF);
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 839 */     if (this.m_oraCharSurrogateLevel == null) {
/* 840 */       this.noSurrogate = true;
/*     */     } else {
/* 842 */       this.noSurrogate = false;
/*     */     } 
/* 844 */     this.strictASCII = true;
/*     */     
/* 846 */     for (b = 0; b < ''; b++) {
/*     */       
/* 848 */       if (this.m_oraCharLevel2[b] != b) {
/*     */         
/* 850 */         this.strictASCII = false;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */     
/* 856 */     for (b = 0; b < 'Ā'; b++) {
/*     */       
/* 858 */       if (this.m_oraCharLevel1[b] == Character.MAX_VALUE) {
/* 859 */         this.m_oraCharLevel1[b] = (char)k;
/*     */       }
/*     */     } 
/* 862 */     this.m_oraCharLevel2Size = k;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void extractCodepoints(Vector paramVector) {
/* 870 */     byte b1 = 0;
/* 871 */     char c = 'ÿ';
/*     */ 
/*     */     
/* 874 */     for (byte b2 = b1; b2 <= c; b2++) {
/*     */ 
/*     */       
/*     */       try {
/* 878 */         int[] arrayOfInt = new int[2];
/* 879 */         arrayOfInt[0] = b2;
/* 880 */         arrayOfInt[1] = toUnicode((byte)b2);
/*     */ 
/*     */ 
/*     */         
/* 884 */         paramVector.addElement(arrayOfInt);
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 889 */       catch (SQLException sQLException) {}
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void extractExtraMappings(Vector paramVector) {
/* 899 */     if (this.extraUnicodeToOracleMapping == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 906 */     for (byte b = 0; b < this.extraUnicodeToOracleMapping.length; b++) {
/*     */       
/* 908 */       int[] arrayOfInt = new int[2];
/* 909 */       arrayOfInt[0] = this.extraUnicodeToOracleMapping[b][0];
/* 910 */       arrayOfInt[1] = this.extraUnicodeToOracleMapping[b][1];
/*     */       
/* 912 */       paramVector.addElement(arrayOfInt);
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean hasExtraMappings() {
/* 918 */     return (this.extraUnicodeToOracleMapping != null);
/*     */   }
/*     */ 
/*     */   
/*     */   public char getOraChar1ByteRep() {
/* 923 */     return (char)this.m_oraCharReplacement;
/*     */   }
/*     */ 
/*     */   
/*     */   public char getOraChar2ByteRep() {
/* 928 */     return Character.MIN_VALUE;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getUCS2CharRep() {
/* 933 */     return this.m_ucsReplacement;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\converter\CharacterConverter1Byte.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */