/*      */ package oracle.sql.converter;
/*      */ 
/*      */ import java.sql.SQLException;
/*      */ import java.util.HashMap;
/*      */ import java.util.Locale;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CharacterSetMetaData
/*      */ {
/*      */   static final short WIDTH_SIZE = 8;
/*      */   static final short WIDTH_MASK = 255;
/*      */   static final short FLAG_FIXEDWIDTH = 256;
/*      */   public static final int ST_BADCODESET = 0;
/*   53 */   private static final HashMap language = new HashMap(58, 1.0F);
/*   54 */   private static final HashMap territory = new HashMap(134, 1.0F);
/*      */   
/*      */   static {
/*   57 */     language.put("", "AMERICAN");
/*   58 */     language.put("ar_EG", "EGYPTIAN");
/*   59 */     language.put("ar", "ARABIC");
/*   60 */     language.put("as", "ASSAMESE");
/*   61 */     language.put("bg", "BULGARIAN");
/*   62 */     language.put("bn", "BANGLA");
/*   63 */     language.put("ca", "CATALAN");
/*   64 */     language.put("cs", "CZECH");
/*   65 */     language.put("da", "DANISH");
/*   66 */     language.put("de", "GERMAN");
/*   67 */     language.put("el", "GREEK");
/*   68 */     language.put("en", "AMERICAN");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   89 */     language.put("es_ES", "SPANISH");
/*   90 */     language.put("es_MX", "MEXICAN SPANISH");
/*   91 */     language.put("es", "LATIN AMERICAN SPANISH");
/*   92 */     language.put("et", "ESTONIAN");
/*   93 */     language.put("fi", "FINNISH");
/*   94 */     language.put("fr_CA", "CANADIAN FRENCH");
/*   95 */     language.put("fr", "FRENCH");
/*   96 */     language.put("gu", "GUJARATI");
/*   97 */     language.put("he", "HEBREW");
/*   98 */     language.put("hi", "HINDI");
/*   99 */     language.put("hr", "CROATIAN");
/*  100 */     language.put("hu", "HUNGARIAN");
/*  101 */     language.put("id", "INDONESIAN");
/*  102 */     language.put("in", "INDONESIAN");
/*  103 */     language.put("is", "ICELANDIC");
/*  104 */     language.put("it", "ITALIAN");
/*  105 */     language.put("iw", "HEBREW");
/*  106 */     language.put("ja", "JAPANESE");
/*  107 */     language.put("kn", "KANNADA");
/*  108 */     language.put("ko", "KOREAN");
/*  109 */     language.put("lt", "LITHUANIAN");
/*  110 */     language.put("lv", "LATVIAN");
/*  111 */     language.put("mk", "MACEDONIAN");
/*  112 */     language.put("ml", "MALAYALAM");
/*  113 */     language.put("mr", "MARATHI");
/*  114 */     language.put("ms", "MALAY");
/*  115 */     language.put("nl", "DUTCH");
/*  116 */     language.put("no", "NORWEGIAN");
/*  117 */     language.put("or", "ORIYA");
/*  118 */     language.put("pa", "PUNJABI");
/*  119 */     language.put("pl", "POLISH");
/*  120 */     language.put("pt_BR", "BRAZILIAN PORTUGUESE");
/*  121 */     language.put("pt", "PORTUGUESE");
/*  122 */     language.put("ro", "ROMANIAN");
/*  123 */     language.put("ru", "RUSSIAN");
/*  124 */     language.put("sk", "SLOVAK");
/*  125 */     language.put("sq", "ALBANIAN");
/*  126 */     language.put("sl", "SLOVENIAN");
/*  127 */     language.put("sv", "SWEDISH");
/*  128 */     language.put("ta", "TAMIL");
/*  129 */     language.put("te", "TELUGU");
/*  130 */     language.put("th", "THAI");
/*  131 */     language.put("tr", "TURKISH");
/*  132 */     language.put("uk", "UKRAINIAN");
/*  133 */     language.put("vi", "VIETNAMESE");
/*  134 */     language.put("zh_HK", "TRADITIONAL CHINESE");
/*  135 */     language.put("zh_TW", "TRADITIONAL CHINESE");
/*  136 */     language.put("zh", "SIMPLIFIED CHINESE");
/*      */     
/*  138 */     territory.put("AE", "UNITED ARAB EMIRATES");
/*  139 */     territory.put("AL", "ALBANIA");
/*  140 */     territory.put("AT", "AUSTRIA");
/*  141 */     territory.put("AU", "AUSTRALIA");
/*  142 */     territory.put("BD", "BANGLADESH");
/*  143 */     territory.put("BE", "BELGIUM");
/*  144 */     territory.put("BG", "BULGARIA");
/*  145 */     territory.put("BH", "BAHRAIN");
/*  146 */     territory.put("BR", "BRAZIL");
/*  147 */     territory.put("CA", "CANADA");
/*  148 */     territory.put("CH", "SWITZERLAND");
/*  149 */     territory.put("CL", "CHILE");
/*  150 */     territory.put("CN", "CHINA");
/*  151 */     territory.put("CO", "COLOMBIA");
/*  152 */     territory.put("CR", "COSTA RICA");
/*  153 */     territory.put("CY", "CYPRUS");
/*  154 */     territory.put("CZ", "CZECH REPUBLIC");
/*  155 */     territory.put("DE", "GERMANY");
/*  156 */     territory.put("DJ", "DJIBOUTI");
/*  157 */     territory.put("DK", "DENMARK");
/*  158 */     territory.put("DZ", "ALGERIA");
/*  159 */     territory.put("EE", "ESTONIA");
/*  160 */     territory.put("EG", "EGYPT");
/*  161 */     territory.put("es_ES", "SPAIN");
/*  162 */     territory.put("ca_ES", "CATALONIA");
/*      */ 
/*      */     
/*  165 */     territory.put("FI", "FINLAND");
/*  166 */     territory.put("FR", "FRANCE");
/*  167 */     territory.put("GB", "UNITED KINGDOM");
/*  168 */     territory.put("GR", "GREECE");
/*  169 */     territory.put("GT", "GUATEMALA");
/*  170 */     territory.put("HK", "HONG KONG");
/*  171 */     territory.put("HR", "CROATIA");
/*  172 */     territory.put("HU", "HUNGARY");
/*  173 */     territory.put("ID", "INDONESIA");
/*  174 */     territory.put("IE", "IRELAND");
/*  175 */     territory.put("IL", "ISRAEL");
/*  176 */     territory.put("IN", "INDIA");
/*  177 */     territory.put("IQ", "IRAQ");
/*  178 */     territory.put("IS", "ICELAND");
/*  179 */     territory.put("IT", "ITALY");
/*  180 */     territory.put("JO", "JORDAN");
/*  181 */     territory.put("JP", "JAPAN");
/*  182 */     territory.put("KR", "KOREA");
/*  183 */     territory.put("KW", "KUWAIT");
/*  184 */     territory.put("LB", "LEBANON");
/*  185 */     territory.put("LT", "LITHUANIA");
/*  186 */     territory.put("LU", "LUXEMBOURG");
/*  187 */     territory.put("LV", "LATVIA");
/*  188 */     territory.put("LY", "LIBYA");
/*  189 */     territory.put("MA", "MOROCCO");
/*  190 */     territory.put("MK", "FYR MACEDONIA");
/*  191 */     territory.put("MR", "MAURITANIA");
/*  192 */     territory.put("MX", "MEXICO");
/*  193 */     territory.put("MY", "MALAYSIA");
/*  194 */     territory.put("NI", "NICARAGUA");
/*  195 */     territory.put("NL", "THE NETHERLANDS");
/*  196 */     territory.put("NO", "NORWAY");
/*  197 */     territory.put("NZ", "NEW ZEALAND");
/*  198 */     territory.put("OM", "OMAN");
/*  199 */     territory.put("PA", "PANAMA");
/*  200 */     territory.put("PE", "PERU");
/*  201 */     territory.put("PL", "POLAND");
/*  202 */     territory.put("PR", "PUERTO RICO");
/*  203 */     territory.put("PT", "PORTUGAL");
/*  204 */     territory.put("QA", "QATAR");
/*  205 */     territory.put("RO", "ROMANIA");
/*  206 */     territory.put("RU", "CIS");
/*  207 */     territory.put("SA", "SAUDI ARABIA");
/*  208 */     territory.put("SD", "SUDAN");
/*  209 */     territory.put("SE", "SWEDEN");
/*  210 */     territory.put("SG", "SINGAPORE");
/*  211 */     territory.put("SI", "SLOVENIA");
/*  212 */     territory.put("SK", "SLOVAKIA");
/*  213 */     territory.put("SO", "SOMALIA");
/*  214 */     territory.put("SV", "EL SALVADOR");
/*  215 */     territory.put("SY", "SYRIA");
/*  216 */     territory.put("TH", "THAILAND");
/*  217 */     territory.put("TN", "TUNISIA");
/*  218 */     territory.put("TR", "TURKEY");
/*  219 */     territory.put("TW", "TAIWAN");
/*  220 */     territory.put("UA", "UKRAINE");
/*  221 */     territory.put("US", "AMERICA");
/*  222 */     territory.put("VE", "VENEZUELA");
/*  223 */     territory.put("VN", "VIETNAM");
/*  224 */     territory.put("YE", "YEMEN");
/*  225 */     territory.put("ZA", "SOUTH AFRICA");
/*      */     
/*  227 */     territory.put("ar", "SAUDI ARABIA");
/*  228 */     territory.put("as", "INDIA");
/*  229 */     territory.put("bg", "BULGARIA");
/*  230 */     territory.put("bn", "BANGLADESH");
/*  231 */     territory.put("ca", "CATALONIA");
/*  232 */     territory.put("cs", "CZECH REPUBLIC");
/*  233 */     territory.put("da", "DENMARK");
/*  234 */     territory.put("de", "GERMANY");
/*  235 */     territory.put("el", "GREECE");
/*  236 */     territory.put("en", "AMERICA");
/*  237 */     territory.put("es", "AMERICA");
/*  238 */     territory.put("et", "ESTONIA");
/*  239 */     territory.put("fi", "FINLAND");
/*  240 */     territory.put("fr", "FRANCE");
/*  241 */     territory.put("gu", "INDIA");
/*  242 */     territory.put("he", "ISRAEL");
/*  243 */     territory.put("hi", "INDIA");
/*  244 */     territory.put("hr", "CROATIA");
/*  245 */     territory.put("hu", "HUNGARY");
/*  246 */     territory.put("id", "INDONESIA");
/*  247 */     territory.put("in", "INDONESIA");
/*  248 */     territory.put("is", "ICELAND");
/*  249 */     territory.put("it", "ITALY");
/*  250 */     territory.put("iw", "ISRAEL");
/*  251 */     territory.put("ja", "JAPAN");
/*  252 */     territory.put("kn", "INDIA");
/*  253 */     territory.put("ko", "KOREA");
/*  254 */     territory.put("lt", "LITHUANIA");
/*  255 */     territory.put("lv", "LATVIA");
/*  256 */     territory.put("mk", "FYR MACEDONIA");
/*  257 */     territory.put("ml", "INDIA");
/*  258 */     territory.put("mr", "INDIA");
/*  259 */     territory.put("ms", "MALAYSIA");
/*  260 */     territory.put("nl", "THE NETHERLANDS");
/*  261 */     territory.put("no", "NORWAY");
/*  262 */     territory.put("or", "INDIA");
/*  263 */     territory.put("pa", "INDIA");
/*  264 */     territory.put("pl", "POLAND");
/*  265 */     territory.put("pt", "PORTUGAL");
/*  266 */     territory.put("ro", "ROMANIA");
/*  267 */     territory.put("ru", "CIS");
/*  268 */     territory.put("sk", "SLOVAKIA");
/*  269 */     territory.put("sl", "SLOVENIA");
/*  270 */     territory.put("sq", "ALBANIA");
/*  271 */     territory.put("sv", "SWEDEN");
/*  272 */     territory.put("ta", "INDIA");
/*  273 */     territory.put("te", "INDIA");
/*  274 */     territory.put("th", "THAILAND");
/*  275 */     territory.put("tr", "TURKEY");
/*  276 */     territory.put("uk", "UKRAINE");
/*  277 */     territory.put("vi", "VIETNAM");
/*  278 */     territory.put("zh", "CHINA");
/*      */   }
/*      */ 
/*      */   
/*  282 */   static InternalCharacterSetMetaData jdbcMetaDataImpl = null;
/*  283 */   static InternalCharacterSetMetaData orai18MetaDataImpl = null;
/*      */ 
/*      */   
/*      */   static {
/*      */     try {
/*  288 */       jdbcMetaDataImpl = new JdbcCharacterSetMetaData();
/*      */       
/*  290 */       Class.forName("oracle.i18n.text.OraBoot");
/*  291 */       orai18MetaDataImpl = new Orai18nCharacterSetMetaData();
/*  292 */     } catch (ClassNotFoundException classNotFoundException) {
/*      */       
/*  294 */       orai18MetaDataImpl = null;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  308 */   private static final short[][] m_maxCharWidth = new short[][] { { 1, 1 }, { 2, 1 }, { 3, 1 }, { 4, 1 }, { 5, 1 }, { 6, 1 }, { 7, 1 }, { 8, 1 }, { 9, 1 }, { 10, 1 }, { 11, 1 }, { 12, 1 }, { 13, 1 }, { 14, 1 }, { 15, 1 }, { 16, 1 }, { 17, 1 }, { 18, 1 }, { 19, 1 }, { 20, 1 }, { 21, 1 }, { 22, 1 }, { 23, 1 }, { 25, 1 }, { 27, 1 }, { 28, 1 }, { 31, 1 }, { 32, 1 }, { 33, 1 }, { 34, 1 }, { 35, 1 }, { 36, 1 }, { 37, 1 }, { 38, 1 }, { 39, 1 }, { 40, 1 }, { 41, 1 }, { 42, 1 }, { 43, 1 }, { 44, 1 }, { 45, 1 }, { 46, 1 }, { 47, 1 }, { 48, 1 }, { 49, 1 }, { 50, 1 }, { 51, 1 }, { 61, 1 }, { 70, 1 }, { 72, 1 }, { 81, 1 }, { 82, 1 }, { 90, 1 }, { 91, 1 }, { 92, 1 }, { 93, 1 }, { 94, 1 }, { 95, 1 }, { 96, 1 }, { 97, 1 }, { 98, 1 }, { 99, 1 }, { 100, 1 }, { 101, 1 }, { 110, 1 }, { 113, 1 }, { 114, 1 }, { 140, 1 }, { 150, 1 }, { 152, 1 }, { 153, 1 }, { 154, 1 }, { 155, 1 }, { 156, 1 }, { 158, 1 }, { 159, 1 }, { 160, 1 }, { 161, 1 }, { 162, 1 }, { 163, 1 }, { 164, 1 }, { 165, 1 }, { 166, 1 }, { 167, 1 }, { 170, 1 }, { 171, 1 }, { 172, 1 }, { 173, 1 }, { 174, 1 }, { 175, 1 }, { 176, 1 }, { 177, 1 }, { 178, 1 }, { 179, 1 }, { 180, 1 }, { 181, 1 }, { 182, 1 }, { 183, 1 }, { 184, 1 }, { 185, 1 }, { 186, 1 }, { 187, 1 }, { 188, 1 }, { 189, 1 }, { 190, 1 }, { 191, 1 }, { 192, 1 }, { 193, 1 }, { 194, 1 }, { 195, 1 }, { 196, 1 }, { 197, 1 }, { 198, 1 }, { 199, 1 }, { 200, 1 }, { 201, 1 }, { 202, 1 }, { 203, 1 }, { 204, 1 }, { 205, 1 }, { 206, 1 }, { 207, 1 }, { 208, 1 }, { 210, 1 }, { 211, 1 }, { 221, 1 }, { 222, 1 }, { 223, 1 }, { 224, 1 }, { 225, 1 }, { 226, 1 }, { 230, 1 }, { 231, 1 }, { 232, 1 }, { 233, 1 }, { 235, 1 }, { 239, 1 }, { 241, 1 }, { 251, 1 }, { 261, 1 }, { 262, 1 }, { 263, 1 }, { 264, 1 }, { 265, 1 }, { 266, 1 }, { 267, 1 }, { 277, 1 }, { 278, 1 }, { 279, 1 }, { 301, 1 }, { 311, 1 }, { 312, 1 }, { 314, 1 }, { 315, 1 }, { 316, 1 }, { 317, 1 }, { 319, 1 }, { 320, 1 }, { 322, 1 }, { 323, 1 }, { 324, 1 }, { 351, 1 }, { 352, 1 }, { 353, 1 }, { 354, 1 }, { 368, 1 }, { 380, 1 }, { 381, 1 }, { 382, 1 }, { 383, 1 }, { 384, 1 }, { 385, 1 }, { 386, 1 }, { 390, 1 }, { 401, 1 }, { 500, 1 }, { 504, 1 }, { 505, 1 }, { 506, 1 }, { 507, 1 }, { 508, 1 }, { 509, 1 }, { 511, 1 }, { 514, 1 }, { 554, 1 }, { 555, 1 }, { 556, 1 }, { 557, 1 }, { 558, 1 }, { 559, 1 }, { 560, 1 }, { 561, 1 }, { 563, 1 }, { 565, 1 }, { 566, 1 }, { 567, 1 }, { 590, 1 }, { 798, 1 }, { 799, 258 }, { 829, 2 }, { 830, 3 }, { 831, 3 }, { 832, 2 }, { 833, 3 }, { 834, 2 }, { 835, 3 }, { 836, 2 }, { 837, 3 }, { 838, 2 }, { 840, 2 }, { 842, 3 }, { 845, 2 }, { 846, 2 }, { 850, 2 }, { 851, 2 }, { 852, 2 }, { 853, 3 }, { 854, 4 }, { 860, 4 }, { 861, 4 }, { 862, 2 }, { 863, 4 }, { 864, 3 }, { 865, 2 }, { 866, 2 }, { 867, 2 }, { 868, 2 }, { 870, 3 }, { 871, 3 }, { 872, 4 }, { 873, 4 }, { 994, 2 }, { 995, 2 }, { 996, 3 }, { 997, 2 }, { 998, 3 }, { 1001, 258 }, { 1830, 258 }, { 1832, 258 }, { 1833, 258 }, { 1840, 258 }, { 1842, 258 }, { 1850, 258 }, { 1852, 258 }, { 1853, 258 }, { 1860, 258 }, { 1863, 260 }, { 1864, 258 }, { 1865, 258 }, { 2000, 258 }, { 2002, 258 }, { 9996, 3 }, { 9997, 3 }, { 9998, 3 }, { 9999, 3 } };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getNLSLanguage(Locale paramLocale) {
/* 1098 */     String str = null;
/*      */     
/* 1100 */     str = (String)language.get(paramLocale.getLanguage() + "_" + paramLocale.getCountry());
/*      */     
/* 1102 */     if (str == null)
/*      */     {
/* 1104 */       str = (String)language.get(paramLocale.getLanguage());
/*      */     }
/*      */     
/* 1107 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getNLSTerritory(Locale paramLocale) {
/* 1121 */     String str = (String)territory.get(paramLocale.getCountry());
/*      */ 
/*      */ 
/*      */     
/* 1125 */     if (str == null) {
/*      */ 
/*      */       
/* 1128 */       str = (String)territory.get(paramLocale.getLanguage() + "_" + paramLocale.getCountry());
/*      */ 
/*      */ 
/*      */       
/* 1132 */       if (str == null && paramLocale.getCountry().equals("ES")) {
/* 1133 */         str = "SPAIN";
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1138 */     if (str == null)
/*      */     {
/* 1140 */       str = (String)territory.get(paramLocale.getLanguage());
/*      */     }
/*      */ 
/*      */     
/* 1144 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isFixedWidth(int paramInt) throws SQLException {
/* 1155 */     if (paramInt == 0) return false;
/*      */     
/* 1157 */     int i = -1;
/* 1158 */     int j = 0;
/* 1159 */     int k = m_maxCharWidth.length - 1;
/* 1160 */     int m = -1;
/*      */     
/* 1162 */     while (j <= k) {
/*      */       
/* 1164 */       m = (j + k) / 2;
/*      */       
/* 1166 */       if (paramInt < m_maxCharWidth[m][0]) {
/*      */         
/* 1168 */         k = m - 1; continue;
/*      */       } 
/* 1170 */       if (paramInt > m_maxCharWidth[m][0]) {
/*      */         
/* 1172 */         j = m + 1;
/*      */ 
/*      */         
/*      */         continue;
/*      */       } 
/*      */       
/* 1178 */       i = m;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1184 */     if (i < 0) {
/*      */       
/* 1186 */       if (orai18MetaDataImpl == null) {
/* 1187 */         DatabaseError.throwSqlException(35);
/*      */       }
/* 1189 */       return orai18MetaDataImpl.isFixedWidth(paramInt);
/*      */     } 
/*      */     
/* 1192 */     return ((m_maxCharWidth[i][1] & 0x100) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getRatio(int paramInt1, int paramInt2) {
/* 1226 */     if (paramInt2 == paramInt1)
/*      */     {
/* 1228 */       return 1;
/*      */     }
/*      */     
/* 1231 */     int i = jdbcMetaDataImpl.getMaxCharLength(paramInt1);
/* 1232 */     if (i == 0) {
/*      */       
/* 1234 */       if (orai18MetaDataImpl == null || (i = orai18MetaDataImpl.getMaxCharLength(paramInt1)) == 0)
/*      */       {
/*      */         
/* 1237 */         return 0; } 
/*      */     } else {
/* 1239 */       if (i == 1)
/* 1240 */         return 1; 
/* 1241 */       if (paramInt2 == 1)
/* 1242 */         return i; 
/*      */     } 
/* 1244 */     if (jdbcMetaDataImpl.isFixedWidth(paramInt2) || (orai18MetaDataImpl != null && orai18MetaDataImpl.isFixedWidth(paramInt2)))
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 1249 */       return i;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1256 */     int j = jdbcMetaDataImpl.getMaxCharLength(paramInt2);
/* 1257 */     if (j == 0)
/*      */     {
/* 1259 */       if (orai18MetaDataImpl == null || (j = orai18MetaDataImpl.getMaxCharLength(paramInt2)) == 0)
/*      */       {
/*      */         
/* 1262 */         return 0;
/*      */       }
/*      */     }
/* 1265 */     int k = i / j;
/* 1266 */     if (i % j != 0)
/*      */     {
/* 1268 */       k++;
/*      */     }
/*      */     
/* 1271 */     return k;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class JdbcCharacterSetMetaData
/*      */     implements InternalCharacterSetMetaData
/*      */   {
/*      */     public boolean isFixedWidth(int param1Int) {
/* 1282 */       if (param1Int == 0) return false;
/*      */ 
/*      */       
/* 1285 */       int i = -1;
/* 1286 */       int j = 0;
/* 1287 */       int k = CharacterSetMetaData.m_maxCharWidth.length - 1;
/* 1288 */       int m = -1;
/*      */       
/* 1290 */       while (j <= k) {
/*      */         
/* 1292 */         m = (j + k) / 2;
/*      */ 
/*      */         
/* 1295 */         if (param1Int < CharacterSetMetaData.m_maxCharWidth[m][0]) {
/*      */           
/* 1297 */           k = m - 1; continue;
/*      */         } 
/* 1299 */         if (param1Int > CharacterSetMetaData.m_maxCharWidth[m][0]) {
/*      */           
/* 1301 */           j = m + 1;
/*      */           
/*      */           continue;
/*      */         } 
/*      */         
/* 1306 */         i = m;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1312 */       if (i < 0 || i > CharacterSetMetaData.m_maxCharWidth.length) {
/* 1313 */         return false;
/*      */       }
/* 1315 */       return ((CharacterSetMetaData.m_maxCharWidth[i][1] & 0x100) != 0);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public int getMaxCharLength(int param1Int) {
/* 1324 */       int i = -1;
/* 1325 */       int j = 0;
/* 1326 */       int k = CharacterSetMetaData.m_maxCharWidth.length - 1;
/*      */ 
/*      */       
/* 1329 */       while (j <= k) {
/*      */         
/* 1331 */         int m = (j + k) / 2;
/*      */         
/* 1333 */         if (param1Int < CharacterSetMetaData.m_maxCharWidth[m][0]) {
/*      */           
/* 1335 */           k = m - 1; continue;
/*      */         } 
/* 1337 */         if (param1Int > CharacterSetMetaData.m_maxCharWidth[m][0]) {
/*      */           
/* 1339 */           j = m + 1;
/*      */           
/*      */           continue;
/*      */         } 
/*      */         
/* 1344 */         i = m;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1350 */       if (i < 0)
/*      */       {
/* 1352 */         return 0;
/*      */       }
/* 1354 */       return CharacterSetMetaData.m_maxCharWidth[i][1] & 0xFF;
/*      */     }
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\converter\CharacterSetMetaData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */