/*     */ package org.dom4j.dom;
/*     */ 
/*     */ import org.dom4j.Element;
/*     */ import org.dom4j.Node;
/*     */ import org.dom4j.QName;
/*     */ import org.dom4j.tree.DefaultAttribute;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Document;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.NamedNodeMap;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.NodeList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DOMAttribute
/*     */   extends DefaultAttribute
/*     */   implements Attr
/*     */ {
/*     */   public DOMAttribute(QName qname) {
/*  30 */     super(qname);
/*     */   }
/*     */   
/*     */   public DOMAttribute(QName qname, String value) {
/*  34 */     super(qname, value);
/*     */   }
/*     */   
/*     */   public DOMAttribute(Element parent, QName qname, String value) {
/*  38 */     super(parent, qname, value);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supports(String feature, String version) {
/*  44 */     return DOMNodeHelper.supports((Node)this, feature, version);
/*     */   }
/*     */   
/*     */   public String getNamespaceURI() {
/*  48 */     return getQName().getNamespaceURI();
/*     */   }
/*     */   
/*     */   public String getPrefix() {
/*  52 */     return getQName().getNamespacePrefix();
/*     */   }
/*     */   
/*     */   public void setPrefix(String prefix) throws DOMException {
/*  56 */     DOMNodeHelper.setPrefix((Node)this, prefix);
/*     */   }
/*     */   
/*     */   public String getLocalName() {
/*  60 */     return getQName().getName();
/*     */   }
/*     */   
/*     */   public String getNodeName() {
/*  64 */     return getName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNodeValue() throws DOMException {
/*  71 */     return DOMNodeHelper.getNodeValue((Node)this);
/*     */   }
/*     */   
/*     */   public void setNodeValue(String nodeValue) throws DOMException {
/*  75 */     DOMNodeHelper.setNodeValue((Node)this, nodeValue);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Node getParentNode() {
/*  82 */     return null;
/*     */   }
/*     */   
/*     */   public NodeList getChildNodes() {
/*  86 */     return DOMNodeHelper.getChildNodes((Node)this);
/*     */   }
/*     */   
/*     */   public Node getFirstChild() {
/*  90 */     return DOMNodeHelper.getFirstChild((Node)this);
/*     */   }
/*     */   
/*     */   public Node getLastChild() {
/*  94 */     return DOMNodeHelper.getLastChild((Node)this);
/*     */   }
/*     */   
/*     */   public Node getPreviousSibling() {
/*  98 */     return DOMNodeHelper.getPreviousSibling((Node)this);
/*     */   }
/*     */   
/*     */   public Node getNextSibling() {
/* 102 */     return DOMNodeHelper.getNextSibling((Node)this);
/*     */   }
/*     */   
/*     */   public NamedNodeMap getAttributes() {
/* 106 */     return null;
/*     */   }
/*     */   
/*     */   public Document getOwnerDocument() {
/* 110 */     return DOMNodeHelper.getOwnerDocument((Node)this);
/*     */   }
/*     */ 
/*     */   
/*     */   public Node insertBefore(Node newChild, Node refChild) throws DOMException {
/* 115 */     checkNewChildNode(newChild);
/*     */     
/* 117 */     return DOMNodeHelper.insertBefore((Node)this, newChild, refChild);
/*     */   }
/*     */ 
/*     */   
/*     */   public Node replaceChild(Node newChild, Node oldChild) throws DOMException {
/* 122 */     checkNewChildNode(newChild);
/*     */     
/* 124 */     return DOMNodeHelper.replaceChild((Node)this, newChild, oldChild);
/*     */   }
/*     */ 
/*     */   
/*     */   public Node removeChild(Node oldChild) throws DOMException {
/* 129 */     return DOMNodeHelper.removeChild((Node)this, oldChild);
/*     */   }
/*     */ 
/*     */   
/*     */   public Node appendChild(Node newChild) throws DOMException {
/* 134 */     checkNewChildNode(newChild);
/*     */     
/* 136 */     return DOMNodeHelper.appendChild((Node)this, newChild);
/*     */   }
/*     */ 
/*     */   
/*     */   private void checkNewChildNode(Node newChild) throws DOMException {
/* 141 */     int nodeType = newChild.getNodeType();
/*     */     
/* 143 */     if (nodeType != 3 && nodeType != 5)
/*     */     {
/* 145 */       throw new DOMException((short)3, "The node cannot be a child of attribute");
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean hasChildNodes() {
/* 151 */     return DOMNodeHelper.hasChildNodes((Node)this);
/*     */   }
/*     */   
/*     */   public Node cloneNode(boolean deep) {
/* 155 */     return DOMNodeHelper.cloneNode((Node)this, deep);
/*     */   }
/*     */   
/*     */   public void normalize() {
/* 159 */     DOMNodeHelper.normalize((Node)this);
/*     */   }
/*     */   
/*     */   public boolean isSupported(String feature, String version) {
/* 163 */     return DOMNodeHelper.isSupported((Node)this, feature, version);
/*     */   }
/*     */   
/*     */   public boolean hasAttributes() {
/* 167 */     return DOMNodeHelper.hasAttributes((Node)this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getSpecified() {
/* 174 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public Element getOwnerElement() {
/* 180 */     return DOMNodeHelper.asDOMElement((Node)getParent());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\dom4j-1.6.1.jar!\org\dom4j\dom\DOMAttribute.class
 * Java compiler version: 3 (47.0)
 * JD-Core Version:       1.1.3
 */