/*     */ package com.google.zxing;
/*     */ 
/*     */ import com.google.zxing.common.BitArray;
/*     */ import com.google.zxing.common.BitMatrix;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class BinaryBitmap
/*     */ {
/*     */   private final Binarizer binarizer;
/*     */   private BitMatrix matrix;
/*     */   
/*     */   public BinaryBitmap(Binarizer binarizer) {
/*  34 */     if (binarizer == null) {
/*  35 */       throw new IllegalArgumentException("Binarizer must be non-null.");
/*     */     }
/*  37 */     this.binarizer = binarizer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getWidth() {
/*  44 */     return this.binarizer.getWidth();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHeight() {
/*  51 */     return this.binarizer.getHeight();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BitArray getBlackRow(int y, BitArray row) throws NotFoundException {
/*  65 */     return this.binarizer.getBlackRow(y, row);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BitMatrix getBlackMatrix() throws NotFoundException {
/*  82 */     if (this.matrix == null) {
/*  83 */       this.matrix = this.binarizer.getBlackMatrix();
/*     */     }
/*  85 */     return this.matrix;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCropSupported() {
/*  92 */     return this.binarizer.getLuminanceSource().isCropSupported();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BinaryBitmap crop(int left, int top, int width, int height) {
/* 106 */     LuminanceSource newSource = this.binarizer.getLuminanceSource().crop(left, top, width, height);
/* 107 */     return new BinaryBitmap(this.binarizer.createBinarizer(newSource));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isRotateSupported() {
/* 114 */     return this.binarizer.getLuminanceSource().isRotateSupported();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BinaryBitmap rotateCounterClockwise() {
/* 124 */     LuminanceSource newSource = this.binarizer.getLuminanceSource().rotateCounterClockwise();
/* 125 */     return new BinaryBitmap(this.binarizer.createBinarizer(newSource));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BinaryBitmap rotateCounterClockwise45() {
/* 135 */     LuminanceSource newSource = this.binarizer.getLuminanceSource().rotateCounterClockwise45();
/* 136 */     return new BinaryBitmap(this.binarizer.createBinarizer(newSource));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\BinaryBitmap.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */