/*     */ package com.google.zxing;
/*     */ 
/*     */ import com.google.zxing.common.detector.MathUtils;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ResultPoint
/*     */ {
/*     */   private final float x;
/*     */   private final float y;
/*     */   
/*     */   public ResultPoint(float x, float y) {
/*  33 */     this.x = x;
/*  34 */     this.y = y;
/*     */   }
/*     */   
/*     */   public final float getX() {
/*  38 */     return this.x;
/*     */   }
/*     */   
/*     */   public final float getY() {
/*  42 */     return this.y;
/*     */   }
/*     */ 
/*     */   
/*     */   public final boolean equals(Object other) {
/*  47 */     if (other instanceof ResultPoint) {
/*  48 */       ResultPoint otherPoint = (ResultPoint)other;
/*  49 */       return (this.x == otherPoint.x && this.y == otherPoint.y);
/*     */     } 
/*  51 */     return false;
/*     */   }
/*     */ 
/*     */   
/*     */   public final int hashCode() {
/*  56 */     return 31 * Float.floatToIntBits(this.x) + Float.floatToIntBits(this.y);
/*     */   }
/*     */ 
/*     */   
/*     */   public final String toString() {
/*  61 */     StringBuilder result = new StringBuilder(25);
/*  62 */     result.append('(');
/*  63 */     result.append(this.x);
/*  64 */     result.append(',');
/*  65 */     result.append(this.y);
/*  66 */     result.append(')');
/*  67 */     return result.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void orderBestPatterns(ResultPoint[] patterns) {
/*     */     ResultPoint pointA, pointB, pointC;
/*  77 */     float zeroOneDistance = distance(patterns[0], patterns[1]);
/*  78 */     float oneTwoDistance = distance(patterns[1], patterns[2]);
/*  79 */     float zeroTwoDistance = distance(patterns[0], patterns[2]);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  85 */     if (oneTwoDistance >= zeroOneDistance && oneTwoDistance >= zeroTwoDistance) {
/*  86 */       pointB = patterns[0];
/*  87 */       pointA = patterns[1];
/*  88 */       pointC = patterns[2];
/*  89 */     } else if (zeroTwoDistance >= oneTwoDistance && zeroTwoDistance >= zeroOneDistance) {
/*  90 */       pointB = patterns[1];
/*  91 */       pointA = patterns[0];
/*  92 */       pointC = patterns[2];
/*     */     } else {
/*  94 */       pointB = patterns[2];
/*  95 */       pointA = patterns[0];
/*  96 */       pointC = patterns[1];
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 103 */     if (crossProductZ(pointA, pointB, pointC) < 0.0F) {
/* 104 */       ResultPoint temp = pointA;
/* 105 */       pointA = pointC;
/* 106 */       pointC = temp;
/*     */     } 
/*     */     
/* 109 */     patterns[0] = pointA;
/* 110 */     patterns[1] = pointB;
/* 111 */     patterns[2] = pointC;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float distance(ResultPoint pattern1, ResultPoint pattern2) {
/* 119 */     return MathUtils.distance(pattern1.x, pattern1.y, pattern2.x, pattern2.y);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static float crossProductZ(ResultPoint pointA, ResultPoint pointB, ResultPoint pointC) {
/* 128 */     float bX = pointB.x;
/* 129 */     float bY = pointB.y;
/* 130 */     return (pointC.x - bX) * (pointA.y - bY) - (pointC.y - bY) * (pointA.x - bX);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\ResultPoint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */