/*    */ package com.google.zxing.aztec;
/*    */ 
/*    */ import com.google.zxing.BarcodeFormat;
/*    */ import com.google.zxing.BinaryBitmap;
/*    */ import com.google.zxing.DecodeHintType;
/*    */ import com.google.zxing.FormatException;
/*    */ import com.google.zxing.NotFoundException;
/*    */ import com.google.zxing.Reader;
/*    */ import com.google.zxing.Result;
/*    */ import com.google.zxing.ResultMetadataType;
/*    */ import com.google.zxing.ResultPoint;
/*    */ import com.google.zxing.ResultPointCallback;
/*    */ import com.google.zxing.aztec.decoder.Decoder;
/*    */ import com.google.zxing.aztec.detector.Detector;
/*    */ import com.google.zxing.common.DecoderResult;
/*    */ import java.util.List;
/*    */ import java.util.Map;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class AztecReader
/*    */   implements Reader
/*    */ {
/*    */   public Result decode(BinaryBitmap image) throws NotFoundException, FormatException {
/* 53 */     return decode(image, null);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public Result decode(BinaryBitmap image, Map<DecodeHintType, ?> hints) throws NotFoundException, FormatException {
/* 60 */     AztecDetectorResult detectorResult = (new Detector(image.getBlackMatrix())).detect();
/* 61 */     ResultPoint[] points = detectorResult.getPoints();
/*    */     
/* 63 */     if (hints != null) {
/* 64 */       ResultPointCallback rpcb = (ResultPointCallback)hints.get(DecodeHintType.NEED_RESULT_POINT_CALLBACK);
/* 65 */       if (rpcb != null) {
/* 66 */         for (ResultPoint point : points) {
/* 67 */           rpcb.foundPossibleResultPoint(point);
/*    */         }
/*    */       }
/*    */     } 
/*    */     
/* 72 */     DecoderResult decoderResult = (new Decoder()).decode(detectorResult);
/*    */     
/* 74 */     Result result = new Result(decoderResult.getText(), decoderResult.getRawBytes(), points, BarcodeFormat.AZTEC);
/*    */     
/* 76 */     List<byte[]> byteSegments = decoderResult.getByteSegments();
/* 77 */     if (byteSegments != null) {
/* 78 */       result.putMetadata(ResultMetadataType.BYTE_SEGMENTS, byteSegments);
/*    */     }
/* 80 */     String ecLevel = decoderResult.getECLevel();
/* 81 */     if (ecLevel != null) {
/* 82 */       result.putMetadata(ResultMetadataType.ERROR_CORRECTION_LEVEL, ecLevel);
/*    */     }
/*    */     
/* 85 */     return result;
/*    */   }
/*    */   
/*    */   public void reset() {}
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\aztec\AztecReader.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */