/*    */ package com.google.zxing.aztec;
/*    */ 
/*    */ import com.google.zxing.BarcodeFormat;
/*    */ import com.google.zxing.EncodeHintType;
/*    */ import com.google.zxing.Writer;
/*    */ import com.google.zxing.aztec.encoder.AztecCode;
/*    */ import com.google.zxing.aztec.encoder.Encoder;
/*    */ import com.google.zxing.common.BitMatrix;
/*    */ import java.nio.charset.Charset;
/*    */ import java.util.Map;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class AztecWriter
/*    */   implements Writer
/*    */ {
/* 31 */   private static final Charset DEFAULT_CHARSET = Charset.forName("ISO-8859-1");
/*    */ 
/*    */   
/*    */   public BitMatrix encode(String contents, BarcodeFormat format, int width, int height) {
/* 35 */     return encode(contents, format, DEFAULT_CHARSET, 33);
/*    */   }
/*    */ 
/*    */   
/*    */   public BitMatrix encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType, ?> hints) {
/* 40 */     String charset = (String)hints.get(EncodeHintType.CHARACTER_SET);
/* 41 */     Number eccPercent = (Number)hints.get(EncodeHintType.ERROR_CORRECTION);
/* 42 */     return encode(contents, format, (charset == null) ? DEFAULT_CHARSET : Charset.forName(charset), (eccPercent == null) ? 33 : eccPercent.intValue());
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   private static BitMatrix encode(String contents, BarcodeFormat format, Charset charset, int eccPercent) {
/* 49 */     if (format != BarcodeFormat.AZTEC) {
/* 50 */       throw new IllegalArgumentException("Can only encode AZTEC, but got " + format);
/*    */     }
/* 52 */     AztecCode aztec = Encoder.encode(contents.getBytes(charset), eccPercent);
/* 53 */     return aztec.getMatrix();
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\aztec\AztecWriter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */