/*    */ package com.google.zxing.client.result;
/*    */ 
/*    */ import com.google.zxing.Result;
/*    */ import java.util.regex.Pattern;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class EmailDoCoMoResultParser
/*    */   extends AbstractDoCoMoResultParser
/*    */ {
/* 32 */   private static final Pattern ATEXT_ALPHANUMERIC = Pattern.compile("[a-zA-Z0-9@.!#$%&'*+\\-/=?^_`{|}~]+");
/*    */ 
/*    */   
/*    */   public EmailAddressParsedResult parse(Result result) {
/* 36 */     String rawText = getMassagedText(result);
/* 37 */     if (!rawText.startsWith("MATMSG:")) {
/* 38 */       return null;
/*    */     }
/* 40 */     String[] rawTo = matchDoCoMoPrefixedField("TO:", rawText, true);
/* 41 */     if (rawTo == null) {
/* 42 */       return null;
/*    */     }
/* 44 */     String to = rawTo[0];
/* 45 */     if (!isBasicallyValidEmailAddress(to)) {
/* 46 */       return null;
/*    */     }
/* 48 */     String subject = matchSingleDoCoMoPrefixedField("SUB:", rawText, false);
/* 49 */     String body = matchSingleDoCoMoPrefixedField("BODY:", rawText, false);
/* 50 */     return new EmailAddressParsedResult(to, subject, body, "mailto:" + to);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   static boolean isBasicallyValidEmailAddress(String email) {
/* 60 */     return (email != null && ATEXT_ALPHANUMERIC.matcher(email).matches() && email.indexOf('@') >= 0);
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\client\result\EmailDoCoMoResultParser.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */