/*    */ package com.google.zxing.client.result;
/*    */ 
/*    */ import java.util.regex.Pattern;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class URIParsedResult
/*    */   extends ParsedResult
/*    */ {
/* 26 */   private static final Pattern USER_IN_HOST = Pattern.compile(":/*([^/@]+)@[^/]+");
/*    */   
/*    */   private final String uri;
/*    */   private final String title;
/*    */   
/*    */   public URIParsedResult(String uri, String title) {
/* 32 */     super(ParsedResultType.URI);
/* 33 */     this.uri = massageURI(uri);
/* 34 */     this.title = title;
/*    */   }
/*    */   
/*    */   public String getURI() {
/* 38 */     return this.uri;
/*    */   }
/*    */   
/*    */   public String getTitle() {
/* 42 */     return this.title;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public boolean isPossiblyMaliciousURI() {
/* 54 */     return USER_IN_HOST.matcher(this.uri).find();
/*    */   }
/*    */ 
/*    */   
/*    */   public String getDisplayResult() {
/* 59 */     StringBuilder result = new StringBuilder(30);
/* 60 */     maybeAppend(this.title, result);
/* 61 */     maybeAppend(this.uri, result);
/* 62 */     return result.toString();
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   private static String massageURI(String uri) {
/* 70 */     uri = uri.trim();
/* 71 */     int protocolEnd = uri.indexOf(':');
/* 72 */     if (protocolEnd < 0) {
/*    */       
/* 74 */       uri = "http://" + uri;
/* 75 */     } else if (isColonFollowedByPortNumber(uri, protocolEnd)) {
/*    */       
/* 77 */       uri = "http://" + uri;
/*    */     } 
/* 79 */     return uri;
/*    */   }
/*    */   
/*    */   private static boolean isColonFollowedByPortNumber(String uri, int protocolEnd) {
/* 83 */     int nextSlash = uri.indexOf('/', protocolEnd + 1);
/* 84 */     if (nextSlash < 0) {
/* 85 */       nextSlash = uri.length();
/*    */     }
/* 87 */     if (nextSlash <= protocolEnd + 1) {
/* 88 */       return false;
/*    */     }
/* 90 */     for (int x = protocolEnd + 1; x < nextSlash; x++) {
/* 91 */       if (uri.charAt(x) < '0' || uri.charAt(x) > '9') {
/* 92 */         return false;
/*    */       }
/*    */     } 
/* 95 */     return true;
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\client\result\URIParsedResult.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */