/*     */ package com.google.zxing.common;
/*     */ 
/*     */ import com.google.zxing.NotFoundException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class GridSampler
/*     */ {
/*  36 */   private static GridSampler gridSampler = new DefaultGridSampler();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setGridSampler(GridSampler newGridSampler) {
/*  48 */     gridSampler = newGridSampler;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GridSampler getInstance() {
/*  55 */     return gridSampler;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract BitMatrix sampleGrid(BitMatrix paramBitMatrix, int paramInt1, int paramInt2, float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4, float paramFloat5, float paramFloat6, float paramFloat7, float paramFloat8, float paramFloat9, float paramFloat10, float paramFloat11, float paramFloat12, float paramFloat13, float paramFloat14, float paramFloat15, float paramFloat16) throws NotFoundException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract BitMatrix sampleGrid(BitMatrix paramBitMatrix, int paramInt1, int paramInt2, PerspectiveTransform paramPerspectiveTransform) throws NotFoundException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void checkAndNudgePoints(BitMatrix image, float[] points) throws NotFoundException {
/* 102 */     int width = image.getWidth();
/* 103 */     int height = image.getHeight();
/*     */     
/* 105 */     boolean nudged = true; int offset;
/* 106 */     for (offset = 0; offset < points.length && nudged; offset += 2) {
/* 107 */       int x = (int)points[offset];
/* 108 */       int y = (int)points[offset + 1];
/* 109 */       if (x < -1 || x > width || y < -1 || y > height) {
/* 110 */         throw NotFoundException.getNotFoundInstance();
/*     */       }
/* 112 */       nudged = false;
/* 113 */       if (x == -1) {
/* 114 */         points[offset] = 0.0F;
/* 115 */         nudged = true;
/* 116 */       } else if (x == width) {
/* 117 */         points[offset] = (width - 1);
/* 118 */         nudged = true;
/*     */       } 
/* 120 */       if (y == -1) {
/* 121 */         points[offset + 1] = 0.0F;
/* 122 */         nudged = true;
/* 123 */       } else if (y == height) {
/* 124 */         points[offset + 1] = (height - 1);
/* 125 */         nudged = true;
/*     */       } 
/*     */     } 
/*     */     
/* 129 */     nudged = true;
/* 130 */     for (offset = points.length - 2; offset >= 0 && nudged; offset -= 2) {
/* 131 */       int x = (int)points[offset];
/* 132 */       int y = (int)points[offset + 1];
/* 133 */       if (x < -1 || x > width || y < -1 || y > height) {
/* 134 */         throw NotFoundException.getNotFoundInstance();
/*     */       }
/* 136 */       nudged = false;
/* 137 */       if (x == -1) {
/* 138 */         points[offset] = 0.0F;
/* 139 */         nudged = true;
/* 140 */       } else if (x == width) {
/* 141 */         points[offset] = (width - 1);
/* 142 */         nudged = true;
/*     */       } 
/* 144 */       if (y == -1) {
/* 145 */         points[offset + 1] = 0.0F;
/* 146 */         nudged = true;
/* 147 */       } else if (y == height) {
/* 148 */         points[offset + 1] = (height - 1);
/* 149 */         nudged = true;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\common\GridSampler.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */