/*     */ package com.google.zxing.datamatrix.decoder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class DataBlock
/*     */ {
/*     */   private final int numDataCodewords;
/*     */   private final byte[] codewords;
/*     */   
/*     */   private DataBlock(int numDataCodewords, byte[] codewords) {
/*  32 */     this.numDataCodewords = numDataCodewords;
/*  33 */     this.codewords = codewords;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static DataBlock[] getDataBlocks(byte[] rawCodewords, Version version) {
/*  49 */     Version.ECBlocks ecBlocks = version.getECBlocks();
/*     */ 
/*     */     
/*  52 */     int totalBlocks = 0;
/*  53 */     Version.ECB[] ecBlockArray = ecBlocks.getECBlocks();
/*  54 */     for (Version.ECB ecBlock : ecBlockArray) {
/*  55 */       totalBlocks += ecBlock.getCount();
/*     */     }
/*     */ 
/*     */     
/*  59 */     DataBlock[] result = new DataBlock[totalBlocks];
/*  60 */     int numResultBlocks = 0;
/*  61 */     for (Version.ECB ecBlock : ecBlockArray) {
/*  62 */       for (int m = 0; m < ecBlock.getCount(); m++) {
/*  63 */         int numDataCodewords = ecBlock.getDataCodewords();
/*  64 */         int numBlockCodewords = ecBlocks.getECCodewords() + numDataCodewords;
/*  65 */         result[numResultBlocks++] = new DataBlock(numDataCodewords, new byte[numBlockCodewords]);
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  72 */     int longerBlocksTotalCodewords = (result[0]).codewords.length;
/*     */ 
/*     */     
/*  75 */     int longerBlocksNumDataCodewords = longerBlocksTotalCodewords - ecBlocks.getECCodewords();
/*  76 */     int shorterBlocksNumDataCodewords = longerBlocksNumDataCodewords - 1;
/*     */ 
/*     */     
/*  79 */     int rawCodewordsOffset = 0;
/*  80 */     for (int i = 0; i < shorterBlocksNumDataCodewords; i++) {
/*  81 */       for (int m = 0; m < numResultBlocks; m++) {
/*  82 */         (result[m]).codewords[i] = rawCodewords[rawCodewordsOffset++];
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/*  87 */     boolean specialVersion = (version.getVersionNumber() == 24);
/*  88 */     int numLongerBlocks = specialVersion ? 8 : numResultBlocks;
/*  89 */     for (int j = 0; j < numLongerBlocks; j++) {
/*  90 */       (result[j]).codewords[longerBlocksNumDataCodewords - 1] = rawCodewords[rawCodewordsOffset++];
/*     */     }
/*     */ 
/*     */     
/*  94 */     int max = (result[0]).codewords.length;
/*  95 */     for (int k = longerBlocksNumDataCodewords; k < max; k++) {
/*  96 */       for (int m = 0; m < numResultBlocks; m++) {
/*  97 */         int iOffset = (specialVersion && m > 7) ? (k - 1) : k;
/*  98 */         (result[m]).codewords[iOffset] = rawCodewords[rawCodewordsOffset++];
/*     */       } 
/*     */     } 
/*     */     
/* 102 */     if (rawCodewordsOffset != rawCodewords.length) {
/* 103 */       throw new IllegalArgumentException();
/*     */     }
/*     */     
/* 106 */     return result;
/*     */   }
/*     */   
/*     */   int getNumDataCodewords() {
/* 110 */     return this.numDataCodewords;
/*     */   }
/*     */   
/*     */   byte[] getCodewords() {
/* 114 */     return this.codewords;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\datamatrix\decoder\DataBlock.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */