/*    */ package com.google.zxing.datamatrix.encoder;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ final class X12Encoder
/*    */   extends C40Encoder
/*    */ {
/*    */   public int getEncodingMode() {
/* 23 */     return 3;
/*    */   }
/*    */ 
/*    */ 
/*    */   
/*    */   public void encode(EncoderContext context) {
/* 29 */     StringBuilder buffer = new StringBuilder();
/* 30 */     while (context.hasMoreCharacters()) {
/* 31 */       char c = context.getCurrentChar();
/* 32 */       context.pos++;
/*    */       
/* 34 */       encodeChar(c, buffer);
/*    */       
/* 36 */       int count = buffer.length();
/* 37 */       if (count % 3 == 0) {
/* 38 */         writeNextTriplet(context, buffer);
/*    */         
/* 40 */         int newMode = HighLevelEncoder.lookAheadTest(context.msg, context.pos, getEncodingMode());
/* 41 */         if (newMode != getEncodingMode()) {
/* 42 */           context.signalEncoderChange(newMode);
/*    */           break;
/*    */         } 
/*    */       } 
/*    */     } 
/* 47 */     handleEOD(context, buffer);
/*    */   }
/*    */ 
/*    */   
/*    */   int encodeChar(char c, StringBuilder sb) {
/* 52 */     if (c == '\r') {
/* 53 */       sb.append(false);
/* 54 */     } else if (c == '*') {
/* 55 */       sb.append('\001');
/* 56 */     } else if (c == '>') {
/* 57 */       sb.append('\002');
/* 58 */     } else if (c == ' ') {
/* 59 */       sb.append('\003');
/* 60 */     } else if (c >= '0' && c <= '9') {
/* 61 */       sb.append((char)(c - 48 + 4));
/* 62 */     } else if (c >= 'A' && c <= 'Z') {
/* 63 */       sb.append((char)(c - 65 + 14));
/*    */     } else {
/* 65 */       HighLevelEncoder.illegalCharacter(c);
/*    */     } 
/* 67 */     return 1;
/*    */   }
/*    */ 
/*    */   
/*    */   void handleEOD(EncoderContext context, StringBuilder buffer) {
/* 72 */     context.updateSymbolInfo();
/* 73 */     int available = context.symbolInfo.dataCapacity - context.getCodewordCount();
/* 74 */     int count = buffer.length();
/* 75 */     if (count == 2) {
/* 76 */       context.writeCodeword('þ');
/* 77 */       context.pos -= 2;
/* 78 */       context.signalEncoderChange(0);
/* 79 */     } else if (count == 1) {
/* 80 */       context.pos--;
/* 81 */       if (available > 1) {
/* 82 */         context.writeCodeword('þ');
/*    */       }
/*    */       
/* 85 */       context.signalEncoderChange(0);
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\datamatrix\encoder\X12Encoder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */