/*    */ package com.google.zxing.multi;
/*    */ 
/*    */ import com.google.zxing.BinaryBitmap;
/*    */ import com.google.zxing.ChecksumException;
/*    */ import com.google.zxing.DecodeHintType;
/*    */ import com.google.zxing.FormatException;
/*    */ import com.google.zxing.NotFoundException;
/*    */ import com.google.zxing.Reader;
/*    */ import com.google.zxing.Result;
/*    */ import java.util.Map;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class ByQuadrantReader
/*    */   implements Reader
/*    */ {
/*    */   private final Reader delegate;
/*    */   
/*    */   public ByQuadrantReader(Reader delegate) {
/* 43 */     this.delegate = delegate;
/*    */   }
/*    */ 
/*    */ 
/*    */   
/*    */   public Result decode(BinaryBitmap image) throws NotFoundException, ChecksumException, FormatException {
/* 49 */     return decode(image, null);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public Result decode(BinaryBitmap image, Map<DecodeHintType, ?> hints) throws NotFoundException, ChecksumException, FormatException {
/* 56 */     int width = image.getWidth();
/* 57 */     int height = image.getHeight();
/* 58 */     int halfWidth = width / 2;
/* 59 */     int halfHeight = height / 2;
/*    */     
/* 61 */     BinaryBitmap topLeft = image.crop(0, 0, halfWidth, halfHeight);
/*    */     try {
/* 63 */       return this.delegate.decode(topLeft, hints);
/* 64 */     } catch (NotFoundException re) {
/*    */ 
/*    */ 
/*    */       
/* 68 */       BinaryBitmap topRight = image.crop(halfWidth, 0, halfWidth, halfHeight);
/*    */       try {
/* 70 */         return this.delegate.decode(topRight, hints);
/* 71 */       } catch (NotFoundException notFoundException) {
/*    */ 
/*    */ 
/*    */         
/* 75 */         BinaryBitmap bottomLeft = image.crop(0, halfHeight, halfWidth, halfHeight);
/*    */         try {
/* 77 */           return this.delegate.decode(bottomLeft, hints);
/* 78 */         } catch (NotFoundException notFoundException1) {
/*    */ 
/*    */ 
/*    */           
/* 82 */           BinaryBitmap bottomRight = image.crop(halfWidth, halfHeight, halfWidth, halfHeight);
/*    */           try {
/* 84 */             return this.delegate.decode(bottomRight, hints);
/* 85 */           } catch (NotFoundException notFoundException2) {
/*    */ 
/*    */ 
/*    */             
/* 89 */             int quarterWidth = halfWidth / 2;
/* 90 */             int quarterHeight = halfHeight / 2;
/* 91 */             BinaryBitmap center = image.crop(quarterWidth, quarterHeight, halfWidth, halfHeight);
/* 92 */             return this.delegate.decode(center, hints);
/*    */           } 
/*    */         } 
/*    */       } 
/*    */     }  } public void reset() {
/* 97 */     this.delegate.reset();
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\multi\ByQuadrantReader.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */