/*    */ package com.google.zxing.multi.qrcode;
/*    */ 
/*    */ import com.google.zxing.BarcodeFormat;
/*    */ import com.google.zxing.BinaryBitmap;
/*    */ import com.google.zxing.DecodeHintType;
/*    */ import com.google.zxing.NotFoundException;
/*    */ import com.google.zxing.ReaderException;
/*    */ import com.google.zxing.Result;
/*    */ import com.google.zxing.ResultMetadataType;
/*    */ import com.google.zxing.ResultPoint;
/*    */ import com.google.zxing.common.DecoderResult;
/*    */ import com.google.zxing.common.DetectorResult;
/*    */ import com.google.zxing.multi.MultipleBarcodeReader;
/*    */ import com.google.zxing.multi.qrcode.detector.MultiDetector;
/*    */ import com.google.zxing.qrcode.QRCodeReader;
/*    */ import java.util.ArrayList;
/*    */ import java.util.List;
/*    */ import java.util.Map;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class QRCodeMultiReader
/*    */   extends QRCodeReader
/*    */   implements MultipleBarcodeReader
/*    */ {
/* 45 */   private static final Result[] EMPTY_RESULT_ARRAY = new Result[0];
/*    */ 
/*    */   
/*    */   public Result[] decodeMultiple(BinaryBitmap image) throws NotFoundException {
/* 49 */     return decodeMultiple(image, null);
/*    */   }
/*    */ 
/*    */   
/*    */   public Result[] decodeMultiple(BinaryBitmap image, Map<DecodeHintType, ?> hints) throws NotFoundException {
/* 54 */     List<Result> results = new ArrayList<Result>();
/* 55 */     DetectorResult[] detectorResults = (new MultiDetector(image.getBlackMatrix())).detectMulti(hints);
/* 56 */     for (DetectorResult detectorResult : detectorResults) {
/*    */       try {
/* 58 */         DecoderResult decoderResult = getDecoder().decode(detectorResult.getBits(), hints);
/* 59 */         ResultPoint[] points = detectorResult.getPoints();
/* 60 */         Result result = new Result(decoderResult.getText(), decoderResult.getRawBytes(), points, BarcodeFormat.QR_CODE);
/*    */         
/* 62 */         List<byte[]> byteSegments = decoderResult.getByteSegments();
/* 63 */         if (byteSegments != null) {
/* 64 */           result.putMetadata(ResultMetadataType.BYTE_SEGMENTS, byteSegments);
/*    */         }
/* 66 */         String ecLevel = decoderResult.getECLevel();
/* 67 */         if (ecLevel != null) {
/* 68 */           result.putMetadata(ResultMetadataType.ERROR_CORRECTION_LEVEL, ecLevel);
/*    */         }
/* 70 */         results.add(result);
/* 71 */       } catch (ReaderException re) {}
/*    */     } 
/*    */ 
/*    */     
/* 75 */     if (results.isEmpty()) {
/* 76 */       return EMPTY_RESULT_ARRAY;
/*    */     }
/* 78 */     return results.<Result>toArray(new Result[results.size()]);
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\multi\qrcode\QRCodeMultiReader.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */