/*     */ package com.google.zxing.oned;
/*     */ 
/*     */ import java.util.Arrays;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class CodaBarWriter
/*     */   extends OneDimensionalCodeWriter
/*     */ {
/*  28 */   private static final char[] START_CHARS = new char[] { 'A', 'B', 'C', 'D' };
/*  29 */   private static final char[] END_CHARS = new char[] { 'T', 'N', '*', 'E' };
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean[] encode(String contents) {
/*  35 */     if (!CodaBarReader.arrayContains(START_CHARS, Character.toUpperCase(contents.charAt(0)))) {
/*  36 */       throw new IllegalArgumentException("Codabar should start with one of the following: " + Arrays.toString(START_CHARS));
/*     */     }
/*     */     
/*  39 */     if (!CodaBarReader.arrayContains(END_CHARS, Character.toUpperCase(contents.charAt(contents.length() - 1)))) {
/*  40 */       throw new IllegalArgumentException("Codabar should end with one of the following: " + Arrays.toString(END_CHARS));
/*     */     }
/*     */ 
/*     */     
/*  44 */     int resultLength = 20;
/*  45 */     char[] charsWhichAreTenLengthEachAfterDecoded = { '/', ':', '+', '.' };
/*  46 */     for (int i = 1; i < contents.length() - 1; i++) {
/*  47 */       if (Character.isDigit(contents.charAt(i)) || contents.charAt(i) == '-' || contents.charAt(i) == '$') {
/*     */         
/*  49 */         resultLength += 9;
/*  50 */       } else if (CodaBarReader.arrayContains(charsWhichAreTenLengthEachAfterDecoded, contents.charAt(i))) {
/*     */         
/*  52 */         resultLength += 10;
/*     */       } else {
/*  54 */         throw new IllegalArgumentException("Cannot encode : '" + contents.charAt(i) + '\'');
/*     */       } 
/*     */     } 
/*     */     
/*  58 */     resultLength += contents.length() - 1;
/*     */     
/*  60 */     boolean[] result = new boolean[resultLength];
/*  61 */     int position = 0;
/*  62 */     for (int index = 0; index < contents.length(); index++) {
/*  63 */       char c = Character.toUpperCase(contents.charAt(index));
/*  64 */       if (index == contents.length() - 1)
/*     */       {
/*  66 */         switch (c) {
/*     */           case 'T':
/*  68 */             c = 'A';
/*     */             break;
/*     */           case 'N':
/*  71 */             c = 'B';
/*     */             break;
/*     */           case '*':
/*  74 */             c = 'C';
/*     */             break;
/*     */           case 'E':
/*  77 */             c = 'D';
/*     */             break;
/*     */         } 
/*     */       }
/*  81 */       int code = 0;
/*  82 */       for (int j = 0; j < CodaBarReader.ALPHABET.length; j++) {
/*     */         
/*  84 */         if (c == CodaBarReader.ALPHABET[j]) {
/*  85 */           code = CodaBarReader.CHARACTER_ENCODINGS[j];
/*     */           break;
/*     */         } 
/*     */       } 
/*  89 */       boolean color = true;
/*  90 */       int counter = 0;
/*  91 */       int bit = 0;
/*  92 */       while (bit < 7) {
/*  93 */         result[position] = color;
/*  94 */         position++;
/*  95 */         if ((code >> 6 - bit & 0x1) == 0 || counter == 1) {
/*  96 */           color = !color;
/*  97 */           bit++;
/*  98 */           counter = 0; continue;
/*     */         } 
/* 100 */         counter++;
/*     */       } 
/*     */       
/* 103 */       if (index < contents.length() - 1) {
/* 104 */         result[position] = false;
/* 105 */         position++;
/*     */       } 
/*     */     } 
/* 108 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\CodaBarWriter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */