/*    */ package com.google.zxing.oned;
/*    */ 
/*    */ import com.google.zxing.BarcodeFormat;
/*    */ import com.google.zxing.EncodeHintType;
/*    */ import com.google.zxing.WriterException;
/*    */ import com.google.zxing.common.BitMatrix;
/*    */ import java.util.Map;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class Code39Writer
/*    */   extends OneDimensionalCodeWriter
/*    */ {
/*    */   public BitMatrix encode(String contents, BarcodeFormat format, int width, int height, Map<EncodeHintType, ?> hints) throws WriterException {
/* 39 */     if (format != BarcodeFormat.CODE_39) {
/* 40 */       throw new IllegalArgumentException("Can only encode CODE_39, but got " + format);
/*    */     }
/* 42 */     return super.encode(contents, format, width, height, hints);
/*    */   }
/*    */ 
/*    */   
/*    */   public boolean[] encode(String contents) {
/* 47 */     int length = contents.length();
/* 48 */     if (length > 80) {
/* 49 */       throw new IllegalArgumentException("Requested contents should be less than 80 digits long, but got " + length);
/*    */     }
/*    */ 
/*    */     
/* 53 */     int[] widths = new int[9];
/* 54 */     int codeWidth = 25 + length;
/* 55 */     for (int i = 0; i < length; i++) {
/* 56 */       int indexInString = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ-. *$/+%".indexOf(contents.charAt(i));
/* 57 */       toIntArray(Code39Reader.CHARACTER_ENCODINGS[indexInString], widths);
/* 58 */       for (int width : widths) {
/* 59 */         codeWidth += width;
/*    */       }
/*    */     } 
/* 62 */     boolean[] result = new boolean[codeWidth];
/* 63 */     toIntArray(Code39Reader.CHARACTER_ENCODINGS[39], widths);
/* 64 */     int pos = appendPattern(result, 0, widths, true);
/* 65 */     int[] narrowWhite = { 1 };
/* 66 */     pos += appendPattern(result, pos, narrowWhite, false);
/*    */     
/* 68 */     for (int j = length - 1; j >= 0; j--) {
/* 69 */       int indexInString = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ-. *$/+%".indexOf(contents.charAt(j));
/* 70 */       toIntArray(Code39Reader.CHARACTER_ENCODINGS[indexInString], widths);
/* 71 */       pos += appendPattern(result, pos, widths, true);
/* 72 */       pos += appendPattern(result, pos, narrowWhite, false);
/*    */     } 
/* 74 */     toIntArray(Code39Reader.CHARACTER_ENCODINGS[39], widths);
/* 75 */     pos += appendPattern(result, pos, widths, true);
/* 76 */     return result;
/*    */   }
/*    */   
/*    */   private static void toIntArray(int a, int[] toReturn) {
/* 80 */     for (int i = 0; i < 9; i++) {
/* 81 */       int temp = a & 1 << i;
/* 82 */       toReturn[i] = (temp == 0) ? 1 : 2;
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\Code39Writer.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */