/*    */ package com.google.zxing.oned.rss.expanded.decoders;
/*    */ 
/*    */ import com.google.zxing.NotFoundException;
/*    */ import com.google.zxing.common.BitArray;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class AbstractExpandedDecoder
/*    */ {
/*    */   private final BitArray information;
/*    */   private final GeneralAppIdDecoder generalDecoder;
/*    */   
/*    */   AbstractExpandedDecoder(BitArray information) {
/* 42 */     this.information = information;
/* 43 */     this.generalDecoder = new GeneralAppIdDecoder(information);
/*    */   }
/*    */   
/*    */   protected final BitArray getInformation() {
/* 47 */     return this.information;
/*    */   }
/*    */   
/*    */   protected final GeneralAppIdDecoder getGeneralDecoder() {
/* 51 */     return this.generalDecoder;
/*    */   }
/*    */   
/*    */   public abstract String parseInformation() throws NotFoundException;
/*    */   
/*    */   public static AbstractExpandedDecoder createDecoder(BitArray information) {
/* 57 */     if (information.get(1)) {
/* 58 */       return new AI01AndOtherAIs(information);
/*    */     }
/* 60 */     if (!information.get(2)) {
/* 61 */       return new AnyAIDecoder(information);
/*    */     }
/*    */     
/* 64 */     int fourBitEncodationMethod = GeneralAppIdDecoder.extractNumericValueFromBitArray(information, 1, 4);
/*    */     
/* 66 */     switch (fourBitEncodationMethod) { case 4:
/* 67 */         return new AI013103decoder(information);
/* 68 */       case 5: return new AI01320xDecoder(information); }
/*    */ 
/*    */     
/* 71 */     int fiveBitEncodationMethod = GeneralAppIdDecoder.extractNumericValueFromBitArray(information, 1, 5);
/* 72 */     switch (fiveBitEncodationMethod) { case 12:
/* 73 */         return new AI01392xDecoder(information);
/* 74 */       case 13: return new AI01393xDecoder(information); }
/*    */ 
/*    */     
/* 77 */     int sevenBitEncodationMethod = GeneralAppIdDecoder.extractNumericValueFromBitArray(information, 1, 7);
/* 78 */     switch (sevenBitEncodationMethod) { case 56:
/* 79 */         return new AI013x0x1xDecoder(information, "310", "11");
/* 80 */       case 57: return new AI013x0x1xDecoder(information, "320", "11");
/* 81 */       case 58: return new AI013x0x1xDecoder(information, "310", "13");
/* 82 */       case 59: return new AI013x0x1xDecoder(information, "320", "13");
/* 83 */       case 60: return new AI013x0x1xDecoder(information, "310", "15");
/* 84 */       case 61: return new AI013x0x1xDecoder(information, "320", "15");
/* 85 */       case 62: return new AI013x0x1xDecoder(information, "310", "17");
/* 86 */       case 63: return new AI013x0x1xDecoder(information, "320", "17"); }
/*    */ 
/*    */     
/* 89 */     throw new IllegalStateException("unknown decoder: " + information);
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\oned\rss\expanded\decoders\AbstractExpandedDecoder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */