/*    */ package com.google.zxing.pdf417.encoder;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class BarcodeMatrix
/*    */ {
/*    */   private final BarcodeRow[] matrix;
/*    */   private int currentRow;
/*    */   private final int height;
/*    */   private final int width;
/*    */   
/*    */   BarcodeMatrix(int height, int width) {
/* 36 */     this.matrix = new BarcodeRow[height + 2];
/*    */     
/* 38 */     for (int i = 0, matrixLength = this.matrix.length; i < matrixLength; i++) {
/* 39 */       this.matrix[i] = new BarcodeRow((width + 4) * 17 + 1);
/*    */     }
/* 41 */     this.width = width * 17;
/* 42 */     this.height = height + 2;
/* 43 */     this.currentRow = 0;
/*    */   }
/*    */   
/*    */   void set(int x, int y, byte value) {
/* 47 */     this.matrix[y].set(x, value);
/*    */   }
/*    */   
/*    */   void setMatrix(int x, int y, boolean black) {
/* 51 */     set(x, y, (byte)(black ? 1 : 0));
/*    */   }
/*    */   
/*    */   void startRow() {
/* 55 */     this.currentRow++;
/*    */   }
/*    */   
/*    */   BarcodeRow getCurrentRow() {
/* 59 */     return this.matrix[this.currentRow];
/*    */   }
/*    */   
/*    */   public byte[][] getMatrix() {
/* 63 */     return getScaledMatrix(1, 1);
/*    */   }
/*    */   
/*    */   public byte[][] getScaledMatrix(int scale) {
/* 67 */     return getScaledMatrix(scale, scale);
/*    */   }
/*    */   
/*    */   public byte[][] getScaledMatrix(int xScale, int yScale) {
/* 71 */     byte[][] matrixOut = new byte[this.height * yScale][this.width * xScale];
/* 72 */     int yMax = this.height * yScale;
/* 73 */     for (int i = 0; i < yMax; i++) {
/* 74 */       matrixOut[yMax - i - 1] = this.matrix[i / yScale].getScaledRow(xScale);
/*    */     }
/* 76 */     return matrixOut;
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\pdf417\encoder\BarcodeMatrix.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */