/*    */ package com.google.zxing.qrcode.detector;
/*    */ 
/*    */ import com.google.zxing.ResultPoint;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class FinderPattern
/*    */   extends ResultPoint
/*    */ {
/*    */   private final float estimatedModuleSize;
/*    */   private int count;
/*    */   
/*    */   FinderPattern(float posX, float posY, float estimatedModuleSize) {
/* 34 */     this(posX, posY, estimatedModuleSize, 1);
/*    */   }
/*    */   
/*    */   private FinderPattern(float posX, float posY, float estimatedModuleSize, int count) {
/* 38 */     super(posX, posY);
/* 39 */     this.estimatedModuleSize = estimatedModuleSize;
/* 40 */     this.count = count;
/*    */   }
/*    */   
/*    */   public float getEstimatedModuleSize() {
/* 44 */     return this.estimatedModuleSize;
/*    */   }
/*    */   
/*    */   int getCount() {
/* 48 */     return this.count;
/*    */   }
/*    */   
/*    */   void incrementCount() {
/* 52 */     this.count++;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   boolean aboutEquals(float moduleSize, float i, float j) {
/* 60 */     if (Math.abs(i - getY()) <= moduleSize && Math.abs(j - getX()) <= moduleSize) {
/* 61 */       float moduleSizeDiff = Math.abs(moduleSize - this.estimatedModuleSize);
/* 62 */       return (moduleSizeDiff <= 1.0F || moduleSizeDiff <= this.estimatedModuleSize);
/*    */     } 
/* 64 */     return false;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   FinderPattern combineEstimate(float i, float j, float newModuleSize) {
/* 73 */     int combinedCount = this.count + 1;
/* 74 */     float combinedX = (this.count * getX() + j) / combinedCount;
/* 75 */     float combinedY = (this.count * getY() + i) / combinedCount;
/* 76 */     float combinedModuleSize = (this.count * this.estimatedModuleSize + newModuleSize) / combinedCount;
/* 77 */     return new FinderPattern(combinedX, combinedY, combinedModuleSize, combinedCount);
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\google\zxing\qrcode\detector\FinderPattern.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */