/*     */ package com.jacob.com;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Dispatch
/*     */   extends JacobObject
/*     */ {
/*     */   public static final int LOCALE_SYSTEM_DEFAULT = 2048;
/*     */   public static final int Method = 1;
/*     */   public static final int Get = 2;
/*     */   public static final int Put = 4;
/*     */   public static final int PutRef = 8;
/*     */   public static final int fdexNameCaseSensitive = 1;
/*     */   public long m_pDispatch;
/*  56 */   private String programId = null;
/*     */   
/*  58 */   private static int NOT_ATTACHED = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  63 */   private static final Object[] NO_OBJECT_ARGS = new Object[0];
/*     */ 
/*     */ 
/*     */   
/*  67 */   private static final Variant[] NO_VARIANT_ARGS = new Variant[0];
/*     */ 
/*     */ 
/*     */   
/*  71 */   private static final int[] NO_INT_ARGS = new int[0];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dispatch() {
/*  78 */     this.m_pDispatch = NOT_ATTACHED;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dispatch(String requestedProgramId) {
/*  97 */     this.programId = requestedProgramId;
/*  98 */     if (this.programId != null && !"".equals(this.programId)) {
/*  99 */       createInstanceNative(requestedProgramId);
/*     */     } else {
/* 101 */       throw new IllegalArgumentException("Dispatch(String) does not accept null or an empty string as a parameter");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native void createInstanceNative(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native void getActiveInstanceNative(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void getActiveInstance(String pProgramIdentifier) {
/* 142 */     if (pProgramIdentifier == null || "".equals(pProgramIdentifier)) {
/* 143 */       throw new IllegalArgumentException("program id is required");
/*     */     }
/* 145 */     this.programId = pProgramIdentifier;
/* 146 */     getActiveInstanceNative(pProgramIdentifier);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native void coCreateInstanceNative(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void coCreateInstance(String pProgramIdentifier) {
/* 169 */     if (pProgramIdentifier == null || "".equals(pProgramIdentifier)) {
/* 170 */       throw new IllegalArgumentException("program id is required");
/*     */     }
/* 172 */     this.programId = pProgramIdentifier;
/* 173 */     coCreateInstanceNative(pProgramIdentifier);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public native Dispatch QueryInterface(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Dispatch(long pDisp) {
/* 202 */     this.m_pDispatch = pDisp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dispatch(Dispatch dispatchToBeDisplaced) {
/* 216 */     this.m_pDispatch = dispatchToBeDisplaced.m_pDispatch;
/*     */     
/* 218 */     dispatchToBeDisplaced.m_pDispatch = NOT_ATTACHED;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getProgramId() {
/* 228 */     return this.programId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void finalize() {
/* 238 */     safeRelease();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void safeRelease() {
/* 248 */     super.safeRelease();
/* 249 */     if (isAttached()) {
/* 250 */       release();
/* 251 */       this.m_pDispatch = NOT_ATTACHED;
/*     */     
/*     */     }
/* 254 */     else if (isDebugEnabled()) {
/* 255 */       debug(getClass().getName() + ":" + hashCode() + " double release");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isAttached() {
/* 266 */     if (this.m_pDispatch == NOT_ATTACHED) {
/* 267 */       return false;
/*     */     }
/* 269 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void throwIfUnattachedDispatch(Dispatch theOneInQuestion) {
/* 282 */     if (theOneInQuestion == null) {
/* 283 */       throw new IllegalArgumentException("Can't pass in null Dispatch object");
/*     */     }
/* 285 */     if (theOneInQuestion.isAttached()) {
/*     */       return;
/*     */     }
/* 288 */     throw new IllegalStateException("Dispatch not hooked to windows memory");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native void release();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void put_Casesensitive(Dispatch dispatchTarget, String name, Object val) {
/* 310 */     throw new NotImplementedException("not implemented yet");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSubv(Dispatch dispatchTarget, String name, int dispID, int lcid, int wFlags, Variant[] vArg, int[] uArgErr) {
/* 330 */     throwIfUnattachedDispatch(dispatchTarget);
/* 331 */     invokev(dispatchTarget, name, dispID, lcid, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSubv(Dispatch dispatchTarget, String name, int wFlags, Variant[] vArg, int[] uArgErr) {
/* 343 */     throwIfUnattachedDispatch(dispatchTarget);
/* 344 */     invokev(dispatchTarget, name, 0, 2048, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSubv(Dispatch dispatchTarget, int dispID, int wFlags, Variant[] vArg, int[] uArgErr) {
/* 357 */     throwIfUnattachedDispatch(dispatchTarget);
/* 358 */     invokev(dispatchTarget, (String)null, dispID, 2048, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant callN_CaseSensitive(Dispatch dispatchTarget, String name, Object[] values) {
/* 373 */     throw new NotImplementedException("not implemented yet");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSubN(Dispatch dispatchTarget, String name, Object... args) {
/* 384 */     throwIfUnattachedDispatch(dispatchTarget);
/* 385 */     invokeSubv(dispatchTarget, name, 3, VariantUtilities.objectsToVariants(args), new int[args.length]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSubN(Dispatch dispatchTarget, int dispID, Object... args) {
/* 397 */     throwIfUnattachedDispatch(dispatchTarget);
/* 398 */     invokeSubv(dispatchTarget, dispID, 3, VariantUtilities.objectsToVariants(args), new int[args.length]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getIDOfName(Dispatch dispatchTarget, String name) {
/* 413 */     int[] ids = getIDsOfNames(dispatchTarget, 2048, new String[] { name });
/*     */     
/* 415 */     return ids[0];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static native int[] getIDsOfNames(Dispatch paramDispatch, int paramInt, String[] paramArrayOfString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getIDsOfNames(Dispatch dispatchTarget, String[] names) {
/* 435 */     return getIDsOfNames(dispatchTarget, 2048, names);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant callN(Dispatch dispatchTarget, String name, Object... args) {
/* 452 */     throwIfUnattachedDispatch(dispatchTarget);
/* 453 */     return invokev(dispatchTarget, name, 3, VariantUtilities.objectsToVariants(args), new int[args.length]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant callN(Dispatch dispatchTarget, int dispID, Object... args) {
/* 465 */     throwIfUnattachedDispatch(dispatchTarget);
/* 466 */     return invokev(dispatchTarget, dispID, 3, VariantUtilities.objectsToVariants(args), new int[args.length]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invoke(Dispatch dispatchTarget, String name, int dispID, int lcid, int wFlags, Object[] oArg, int[] uArgErr) {
/* 482 */     throwIfUnattachedDispatch(dispatchTarget);
/* 483 */     return invokev(dispatchTarget, name, dispID, lcid, wFlags, VariantUtilities.objectsToVariants(oArg), uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invoke(Dispatch dispatchTarget, String name, int wFlags, Object[] oArg, int[] uArgErr) {
/* 497 */     throwIfUnattachedDispatch(dispatchTarget);
/* 498 */     return invokev(dispatchTarget, name, wFlags, VariantUtilities.objectsToVariants(oArg), uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invoke(Dispatch dispatchTarget, int dispID, int wFlags, Object[] oArg, int[] uArgErr) {
/* 512 */     throwIfUnattachedDispatch(dispatchTarget);
/* 513 */     return invokev(dispatchTarget, dispID, wFlags, VariantUtilities.objectsToVariants(oArg), uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant call(Dispatch dispatchTarget, String name) {
/* 528 */     throwIfUnattachedDispatch(dispatchTarget);
/* 529 */     return callN(dispatchTarget, name, (Object[])NO_VARIANT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant call(Dispatch dispatchTarget, String name, Object... attributes) {
/* 540 */     throwIfUnattachedDispatch(dispatchTarget);
/* 541 */     return callN(dispatchTarget, name, attributes);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant call(Dispatch dispatchTarget, int dispid) {
/* 550 */     throwIfUnattachedDispatch(dispatchTarget);
/* 551 */     return callN(dispatchTarget, dispid, (Object[])NO_VARIANT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant call(Dispatch dispatchTarget, int dispid, Object... attributes) {
/* 564 */     throwIfUnattachedDispatch(dispatchTarget);
/* 565 */     return callN(dispatchTarget, dispid, attributes);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void put(Dispatch dispatchTarget, String name, Object val) {
/* 579 */     throwIfUnattachedDispatch(dispatchTarget);
/* 580 */     invoke(dispatchTarget, name, 4, new Object[] { val }, new int[1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void put(Dispatch dispatchTarget, int dispid, Object val) {
/* 590 */     throwIfUnattachedDispatch(dispatchTarget);
/* 591 */     invoke(dispatchTarget, dispid, 4, new Object[] { val }, new int[1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static native Variant invokev(Dispatch paramDispatch, String paramString, int paramInt1, int paramInt2, int paramInt3, Variant[] paramArrayOfVariant, int[] paramArrayOfint);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invokev(Dispatch dispatchTarget, String name, int wFlags, Variant[] vArg, int[] uArgErr) {
/* 624 */     throwIfUnattachedDispatch(dispatchTarget);
/* 625 */     return invokev(dispatchTarget, name, 0, 2048, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invokev(Dispatch dispatchTarget, String name, int wFlags, Variant[] vArg, int[] uArgErr, int wFlagsEx) {
/* 640 */     throwIfUnattachedDispatch(dispatchTarget);
/*     */     
/* 642 */     return invokev(dispatchTarget, name, 0, 2048, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant invokev(Dispatch dispatchTarget, int dispID, int wFlags, Variant[] vArg, int[] uArgErr) {
/* 656 */     throwIfUnattachedDispatch(dispatchTarget);
/* 657 */     return invokev(dispatchTarget, (String)null, dispID, 2048, wFlags, vArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSub(Dispatch dispatchTarget, String name, int dispid, int lcid, int wFlags, Object[] oArg, int[] uArgErr) {
/* 679 */     throwIfUnattachedDispatch(dispatchTarget);
/* 680 */     invokeSubv(dispatchTarget, name, dispid, lcid, wFlags, VariantUtilities.objectsToVariants(oArg), uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSub(Dispatch dispatchTarget, String name, int wFlags, Object[] oArg, int[] uArgErr) {
/* 698 */     throwIfUnattachedDispatch(dispatchTarget);
/* 699 */     invokeSub(dispatchTarget, name, 0, 2048, wFlags, oArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void invokeSub(Dispatch dispatchTarget, int dispid, int wFlags, Object[] oArg, int[] uArgErr) {
/* 712 */     throwIfUnattachedDispatch(dispatchTarget);
/* 713 */     invokeSub(dispatchTarget, (String)null, dispid, 2048, wFlags, oArg, uArgErr);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSub(Dispatch dispatchTarget, String name) {
/* 729 */     throwIfUnattachedDispatch(dispatchTarget);
/* 730 */     callSubN(dispatchTarget, name, NO_OBJECT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSub(Dispatch dispatchTarget, String name, Object... attributes) {
/* 744 */     throwIfUnattachedDispatch(dispatchTarget);
/* 745 */     callSubN(dispatchTarget, name, attributes);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSub(Dispatch dispatchTarget, int dispid) {
/* 755 */     throwIfUnattachedDispatch(dispatchTarget);
/* 756 */     callSubN(dispatchTarget, dispid, NO_OBJECT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void callSub(Dispatch dispatchTarget, int dispid, Object... attributes) {
/* 770 */     throwIfUnattachedDispatch(dispatchTarget);
/* 771 */     callSubN(dispatchTarget, dispid, attributes);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant get(Dispatch dispatchTarget, String name) {
/* 787 */     throwIfUnattachedDispatch(dispatchTarget);
/* 788 */     return invokev(dispatchTarget, name, 2, NO_VARIANT_ARGS, NO_INT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant get(Dispatch dispatchTarget, int dispid) {
/* 800 */     throwIfUnattachedDispatch(dispatchTarget);
/* 801 */     return invokev(dispatchTarget, dispid, 2, NO_VARIANT_ARGS, NO_INT_ARGS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void putRef(Dispatch dispatchTarget, String name, Object val) {
/* 818 */     throwIfUnattachedDispatch(dispatchTarget);
/* 819 */     invoke(dispatchTarget, name, 8, new Object[] { val }, new int[1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void putRef(Dispatch dispatchTarget, int dispid, Object val) {
/* 831 */     throwIfUnattachedDispatch(dispatchTarget);
/* 832 */     invoke(dispatchTarget, dispid, 8, new Object[] { val }, new int[1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Variant get_CaseSensitive(Dispatch dispatchTarget, String name) {
/* 845 */     throw new NotImplementedException("not implemented yet");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static native int hasExited(Dispatch paramDispatch, int paramInt1, int paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int hasExited(Dispatch dispatchTarget) {
/* 868 */     throwIfUnattachedDispatch(dispatchTarget);
/* 869 */     return hasExited(dispatchTarget, 0, 2048);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\Dispatch.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */