/*     */ package com.jacob.com;
/*     */ 
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.lang.reflect.Method;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class InvocationProxyAllVariants
/*     */   extends InvocationProxy
/*     */ {
/*     */   public Variant invoke(String methodName, Variant[] targetParameters) {
/*  47 */     Variant mVariantToBeReturned = null;
/*  48 */     if (this.mTargetObject == null) {
/*  49 */       if (JacobObject.isDebugEnabled()) {
/*  50 */         JacobObject.debug("InvocationProxy: received notification (" + methodName + ") with no target set");
/*     */       }
/*     */ 
/*     */ 
/*     */       
/*  55 */       return null;
/*     */     } 
/*  57 */     Class<?> targetClass = this.mTargetObject.getClass();
/*  58 */     if (methodName == null) {
/*  59 */       throw new IllegalArgumentException("InvocationProxy: missing method name");
/*     */     }
/*     */     
/*  62 */     if (targetParameters == null) {
/*  63 */       throw new IllegalArgumentException("InvocationProxy: missing Variant parameters");
/*     */     }
/*     */     
/*     */     try {
/*  67 */       if (JacobObject.isDebugEnabled()) {
/*  68 */         JacobObject.debug("InvocationProxy: trying to invoke " + methodName + " on " + this.mTargetObject);
/*     */       }
/*     */ 
/*     */       
/*  72 */       Method targetMethod = targetClass.getMethod(methodName, new Class[] { Variant[].class });
/*     */       
/*  74 */       if (targetMethod != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  79 */         Object mReturnedByInvocation = null;
/*  80 */         mReturnedByInvocation = targetMethod.invoke(this.mTargetObject, new Object[] { targetParameters });
/*     */         
/*  82 */         if (mReturnedByInvocation == null)
/*  83 */         { mVariantToBeReturned = null; }
/*  84 */         else { if (!(mReturnedByInvocation instanceof Variant))
/*     */           {
/*  86 */             throw new IllegalArgumentException("InvocationProxy: invokation of target method returned non-null non-variant object: " + mReturnedByInvocation);
/*     */           }
/*     */ 
/*     */ 
/*     */           
/*  91 */           mVariantToBeReturned = (Variant)mReturnedByInvocation; }
/*     */       
/*     */       } 
/*  94 */     } catch (SecurityException e) {
/*     */       
/*  96 */       e.printStackTrace();
/*  97 */     } catch (NoSuchMethodException e) {
/*     */ 
/*     */       
/* 100 */       if (JacobObject.isDebugEnabled()) {
/* 101 */         JacobObject.debug("InvocationProxy: listener (" + this.mTargetObject + ") doesn't implement " + methodName);
/*     */       }
/*     */     }
/* 104 */     catch (IllegalArgumentException e) {
/* 105 */       e.printStackTrace();
/*     */       
/* 107 */       throw e;
/* 108 */     } catch (IllegalAccessException e) {
/*     */       
/* 110 */       if (JacobObject.isDebugEnabled()) {
/* 111 */         JacobObject.debug("InvocationProxy: probably tried to access public method on non public class" + methodName);
/*     */       }
/*     */ 
/*     */       
/* 115 */       e.printStackTrace();
/* 116 */     } catch (InvocationTargetException e) {
/*     */       
/* 118 */       e.printStackTrace();
/*     */     } 
/* 120 */     return mVariantToBeReturned;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\com\jacob\com\InvocationProxyAllVariants.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */