/*    */ package common;
/*    */ 
/*    */ import common.log.LoggerName;
/*    */ import common.log.SimpleLogger;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class Logger
/*    */ {
/* 31 */   private static Logger logger = null;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public static final Logger getLogger(Class cl) {
/* 38 */     if (logger == null)
/*    */     {
/* 40 */       initializeLogger();
/*    */     }
/*    */     
/* 43 */     return logger.getLoggerImpl(cl);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   private static synchronized void initializeLogger() {
/* 51 */     if (logger != null) {
/*    */       return;
/*    */     }
/*    */ 
/*    */ 
/*    */     
/* 57 */     String loggerName = System.getProperty("logger");
/*    */     
/* 59 */     if (loggerName == null)
/*    */     {
/*    */       
/* 62 */       loggerName = LoggerName.NAME;
/*    */     }
/*    */ 
/*    */     
/*    */     try {
/* 67 */       logger = (Logger)Class.forName(loggerName).newInstance();
/*    */     }
/* 69 */     catch (IllegalAccessException e) {
/*    */       
/* 71 */       logger = (Logger)new SimpleLogger();
/* 72 */       logger.warn("Could not instantiate logger " + loggerName + " using default");
/*    */     
/*    */     }
/* 75 */     catch (InstantiationException e) {
/*    */       
/* 77 */       logger = (Logger)new SimpleLogger();
/* 78 */       logger.warn("Could not instantiate logger " + loggerName + " using default");
/*    */     
/*    */     }
/* 81 */     catch (ClassNotFoundException e) {
/*    */       
/* 83 */       logger = (Logger)new SimpleLogger();
/* 84 */       logger.warn("Could not instantiate logger " + loggerName + " using default");
/*    */     } 
/*    */   }
/*    */   
/*    */   public abstract void debug(Object paramObject);
/*    */   
/*    */   public abstract void debug(Object paramObject, Throwable paramThrowable);
/*    */   
/*    */   public abstract void error(Object paramObject);
/*    */   
/*    */   public abstract void error(Object paramObject, Throwable paramThrowable);
/*    */   
/*    */   public abstract void fatal(Object paramObject);
/*    */   
/*    */   public abstract void fatal(Object paramObject, Throwable paramThrowable);
/*    */   
/*    */   public abstract void info(Object paramObject);
/*    */   
/*    */   public abstract void info(Object paramObject, Throwable paramThrowable);
/*    */   
/*    */   public abstract void warn(Object paramObject);
/*    */   
/*    */   public abstract void warn(Object paramObject, Throwable paramThrowable);
/*    */   
/*    */   protected abstract Logger getLoggerImpl(Class paramClass);
/*    */   
/*    */   public void setSuppressWarnings(boolean w) {}
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\common\Logger.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */