/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class LengthSyntax
/*     */   implements Serializable, Cloneable
/*     */ {
/*     */   public static final int INCH = 25400;
/*     */   public static final int MM = 1000;
/*     */   private static final long serialVersionUID = 120L;
/*     */   private final int MICRONS;
/*     */   
/*     */   protected LengthSyntax(float paramFloat, boolean paramBoolean) {
/*  55 */     this(paramFloat, paramBoolean ? 25400 : 1000);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected LengthSyntax(float paramFloat, int paramInt) {
/*  62 */     if (paramFloat < 0.0F)
/*     */     {
/*  64 */       throw new IllegalArgumentException("The Length cannot be less than zero.");
/*     */     }
/*  66 */     if (paramInt < 0)
/*     */     {
/*  68 */       throw new IllegalArgumentException("The Units Conversion Factor cannot be less than zero.");
/*     */     }
/*     */     
/*  71 */     this.MICRONS = (int)(paramFloat * paramInt + 0.5F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/*  87 */     if (!(paramObject instanceof LengthSyntax)) return false;
/*     */     
/*  89 */     return (this.MICRONS == ((LengthSyntax)paramObject).getLengthInMicrons());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getLength(boolean paramBoolean) {
/*  97 */     return a(this.MICRONS, paramBoolean ? 25400 : 1000);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getLength(int paramInt) {
/* 105 */     return a(this.MICRONS, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 114 */     return this.MICRONS;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int toPixelsRounded() {
/* 123 */     return (int)(this.MICRONS / 25400.0F * 72.0F + 0.5F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 132 */     return this.MICRONS + " um (" + a(this.MICRONS, 25400) + " inches)";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getLengthInMicrons() {
/* 145 */     return this.MICRONS;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static float a(int paramInt1, int paramInt2) {
/* 158 */     if (paramInt2 < 0)
/*     */     {
/* 160 */       throw new IllegalArgumentException("The Units Conversion Factor cannot be less than zero.");
/*     */     }
/*     */     
/* 163 */     return paramInt1 / paramInt2;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\LengthSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */