/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics2D;
/*     */ import java.io.Serializable;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PageComponentSyntax
/*     */   implements Serializable, CloneableValueAttribute, PageHeaderFooterAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   final transient PrintParameterHolder a;
/*     */   final transient JComponent b;
/*     */   
/*     */   public PageComponentSyntax(JComponent paramJComponent) {
/*  62 */     this.a = a();
/*  63 */     this.b = paramJComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/*  77 */     if (!(paramObject instanceof PageComponentSyntax)) return false;
/*     */     
/*  79 */     return (this.b == ((PageComponentSyntax)paramObject).b);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/*  87 */     Dimension dimension = this.b.getPreferredSize();
/*     */ 
/*     */     
/*  90 */     this.b.validate();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  97 */     this.b.setVisible(false);
/*  98 */     this.b.setSize(paramInt, dimension.height);
/*  99 */     this.b.setVisible(true);
/*     */     
/* 101 */     return dimension.height;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getScaleFactor() {
/* 111 */     return 1.0F;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 120 */     return this.b.hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/*     */     JComponent jComponent;
/* 143 */     (jComponent = prepareComponentToPrint(paramPrintParameterHolder, paramInt1)).validate();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     int i;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 153 */     if ((i = jComponent.getHeight()) == 0) i = getRequiredHeight(paramInt1, paramPrintParameterHolder); 
/* 154 */     if (this instanceof PageFooterAttribute) paramInt3 = (int)(paramInt3 - i / getScaleFactor());
/*     */ 
/*     */     
/* 157 */     paramInt2 += 2;
/* 158 */     paramGraphics2D.translate(paramInt2, paramInt3);
/* 159 */     jComponent.print(paramGraphics2D);
/* 160 */     paramGraphics2D.translate(-paramInt2, -paramInt3);
/*     */     
/* 162 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/*     */     String str;
/* 173 */     if ((str = this.b.getName()) == null) str = this.b.getClass().getName();
/*     */     
/* 175 */     return "[" + str + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JComponent prepareComponentToPrint(PrintParameterHolder paramPrintParameterHolder, int paramInt) {
/*     */     boolean bool;
/* 197 */     paramInt = 0;
/*     */ 
/*     */ 
/*     */     
/* 201 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 203 */       bool = paramPrintParameterHolder.isToReplaceMarkers();
/*     */     }
/*     */ 
/*     */     
/* 207 */     if (bool)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 213 */       if (!this.a.equals(paramPrintParameterHolder)) {
/*     */ 
/*     */         
/* 216 */         if (this.a.pageNo != -987)
/*     */         {
/* 218 */           restoreMarkers();
/*     */         }
/*     */ 
/*     */         
/* 222 */         replaceMarkers(paramPrintParameterHolder);
/*     */ 
/*     */         
/* 225 */         paramPrintParameterHolder.copyParameterValues(this.a);
/*     */       } 
/*     */     }
/*     */     
/* 229 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void replaceMarkers(PrintParameterHolder paramPrintParameterHolder);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void restoreMarkers();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static PrintParameterHolder a() {
/*     */     PrintParameterHolder printParameterHolder;
/* 256 */     (printParameterHolder = new PrintParameterHolder()).pageNo = -987;
/*     */     
/* 258 */     return printParameterHolder;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageComponentSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */