/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Rectangle;
/*     */ import javax.swing.JTextPane;
/*     */ import javax.swing.text.AbstractDocument;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.EditorKit;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf.printer.AbstractTextComponentPrinter;
/*     */ import jpdf.printer.text.PrintStyledTextEditorKit;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PageDocumentSyntax
/*     */   extends TextDocumentSyntax
/*     */   implements PageHeaderFooterAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   private final Color BACKGROUND_COLOR;
/*  48 */   private transient JTextPane a = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageDocumentSyntax(AbstractDocument paramAbstractDocument) {
/*  57 */     this(paramAbstractDocument, null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageDocumentSyntax(AbstractDocument paramAbstractDocument, Color paramColor) {
/*  65 */     super(paramAbstractDocument);
/*     */     
/*  67 */     this.BACKGROUND_COLOR = paramColor;
/*  68 */     paramColor = paramColor; PageDocumentSyntax pageDocumentSyntax = this; boolean bool1 = AbstractTextComponentPrinter.isToForceShapesForGlyphPrinting(), bool2 = AbstractTextComponentPrinter.isToUseGlyphDrawing(); pageDocumentSyntax.a = new JTextPane(); if (paramColor != null) { pageDocumentSyntax.a.setOpaque(true); pageDocumentSyntax.a.setBackground(paramColor); } else { pageDocumentSyntax.a.setOpaque(false); }  pageDocumentSyntax.a.setMargin(new Insets(2, 2, 2, 2)); pageDocumentSyntax.a.setEditorKit((EditorKit)new PrintStyledTextEditorKit(bool2, bool1));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/*     */     JTextPane jTextPane;
/*     */     PageDocumentSyntax pageDocumentSyntax;
/*  83 */     (jTextPane = (pageDocumentSyntax = this).a).setDocument(getFormattedDocument(paramPrintParameterHolder));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  91 */     return paramInt = a(jTextPane, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder, boolean paramBoolean) {
/*     */     PageDocumentSyntax pageDocumentSyntax;
/* 115 */     JTextPane jTextPane = (pageDocumentSyntax = this).a;
/* 116 */     int i = getRequiredHeight(paramInt1, paramPrintParameterHolder);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 123 */     jTextPane.setSize(paramInt1, i);
/*     */ 
/*     */     
/* 126 */     if (paramBoolean) paramInt3 -= i;
/*     */ 
/*     */     
/* 129 */     paramGraphics2D.translate(paramInt2, paramInt3);
/* 130 */     jTextPane.paint(paramGraphics2D);
/* 131 */     paramGraphics2D.translate(-paramInt2, -paramInt3);
/*     */     
/* 133 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(JTextComponent paramJTextComponent, int paramInt) {
/*     */     String str;
/* 192 */     Document document = paramJTextComponent.getDocument();
/* 193 */     Object object = null;
/* 194 */     int i = document.getLength();
/*     */     
/* 196 */     int j = 0;
/*     */ 
/*     */     
/* 199 */     if (paramInt < 5) {
/*     */       
/* 201 */       str = "The Available Width must be at least 5 pixels.\n      Invalid value: " + paramInt;
/* 202 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 207 */     str.setSize(paramInt, 111);
/*     */ 
/*     */ 
/*     */     
/* 211 */     if (i > 0) {
/*     */       try {
/*     */         Rectangle rectangle;
/*     */ 
/*     */         
/* 216 */         int k = (rectangle = str.modelToView(i - 1)).y + rectangle.height;
/* 217 */         str.setSize(paramInt, k);
/*     */       }
/* 219 */       catch (Exception exception2) {
/*     */         Exception exception1;
/* 221 */         PrintManager.handleException(exception1 = null);
/*     */ 
/*     */         
/* 224 */         j = str.getHeight();
/*     */       } 
/*     */     }
/*     */     
/* 228 */     return j + 1;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageDocumentSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */