/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Graphics2D;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageFootFirst2Last
/*     */   implements CloneableValueAttribute, IndexedPageHeaderFooterAttribute, PageFooterAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   final PageFooterAttribute[] FOOTER_ATTRIBUTE;
/*     */   
/*     */   public PageFootFirst2Last(PageFooterAttribute paramPageFooterAttribute1, PageFooterAttribute paramPageFooterAttribute2) {
/*     */     String str;
/*  59 */     if (paramPageFooterAttribute1 == null || paramPageFooterAttribute2 == null) {
/*     */       
/*  61 */       str = "Both the First-Page and Second-to-Last-Page footers must be specified.";
/*  62 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  65 */     this.FOOTER_ATTRIBUTE = new PageFooterAttribute[] { (PageFooterAttribute)str, paramPageFooterAttribute2 };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute cloneAttribute() {
/*  84 */     PageFooterAttribute[] arrayOfPageFooterAttribute = new PageFooterAttribute[2];
/*  85 */     boolean bool = false;
/*     */     
/*  87 */     for (byte b = 0; b < 2; b++) {
/*     */       
/*  89 */       if (this.FOOTER_ATTRIBUTE[b] instanceof CloneableValueAttribute) {
/*     */         
/*  91 */         arrayOfPageFooterAttribute[b] = (PageFooterAttribute)((CloneableValueAttribute)this.FOOTER_ATTRIBUTE[b]).cloneAttribute();
/*     */         
/*  93 */         bool = true;
/*     */       }
/*     */       else {
/*     */         
/*  97 */         arrayOfPageFooterAttribute[b] = this.FOOTER_ATTRIBUTE[b];
/*     */       } 
/*     */     } 
/*     */     
/* 101 */     return bool ? new PageFootFirst2Last(arrayOfPageFooterAttribute[0], arrayOfPageFooterAttribute[1]) : this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 110 */     if (!(paramObject instanceof PageFootFirst2Last)) return false; 
/* 111 */     if (!this.FOOTER_ATTRIBUTE[0].equals(((PageFootFirst2Last)paramObject).FOOTER_ATTRIBUTE[0])) return false; 
/* 112 */     if (!this.FOOTER_ATTRIBUTE[1].equals(((PageFootFirst2Last)paramObject).FOOTER_ATTRIBUTE[1])) return false;
/*     */     
/* 114 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/* 122 */     return PageFooterAttribute.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFirstPageNoForCategory(int paramInt) {
/* 132 */     return (paramInt == 0) ? 1 : 2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/* 140 */     return "@page-foot-first-2last";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String[] getPageCategoryTitles(Locale paramLocale) {
/* 150 */     String[] arrayOfString = new String[2];
/*     */     
/* 152 */     if (paramLocale == null) {
/*     */       
/* 154 */       arrayOfString[0] = "First";
/* 155 */       arrayOfString[1] = "2 to Last";
/*     */     }
/*     */     else {
/*     */       
/* 159 */       arrayOfString[0] = ResourceAdministrator.getLocalizedString("page.first");
/* 160 */       arrayOfString[1] = ResourceAdministrator.getLocalizedString("page.2ToLast");
/*     */     } 
/*     */     
/* 163 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 172 */     boolean bool = false;
/*     */ 
/*     */     
/* 175 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 177 */       if (paramPrintParameterHolder.getPageRowNo() > 1) bool = true;
/*     */     
/*     */     }
/* 180 */     return this.FOOTER_ATTRIBUTE[bool].getRequiredHeight(paramInt, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 189 */     return this.FOOTER_ATTRIBUTE[0].hashCode() | this.FOOTER_ATTRIBUTE[1].hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/* 199 */     boolean bool = false;
/*     */ 
/*     */     
/* 202 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 204 */       if (paramPrintParameterHolder.getPageRowNo() > 1) bool = true;
/*     */     
/*     */     }
/* 207 */     return this.FOOTER_ATTRIBUTE[bool].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 217 */     return "[" + this.FOOTER_ATTRIBUTE[0].getClass().getName() + ", " + this.FOOTER_ATTRIBUTE[1].getClass().getName() + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageFootFirst2Last.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */