/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Graphics2D;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageFootOddEven
/*     */   implements CloneableValueAttribute, IndexedPageHeaderFooterAttribute, PageFooterAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 130L;
/*     */   final PageFooterAttribute[] FOOTER_ATTRIBUTE;
/*     */   
/*     */   public PageFootOddEven(PageFooterAttribute paramPageFooterAttribute1, PageFooterAttribute paramPageFooterAttribute2) {
/*     */     String str;
/*  57 */     if (paramPageFooterAttribute1 == null || paramPageFooterAttribute2 == null) {
/*     */       
/*  59 */       str = "Both the Odd-Page and Even-Page footers must be specified.";
/*  60 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  63 */     this.FOOTER_ATTRIBUTE = new PageFooterAttribute[] { (PageFooterAttribute)str, paramPageFooterAttribute2 };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute cloneAttribute() {
/*  82 */     PageFooterAttribute[] arrayOfPageFooterAttribute = new PageFooterAttribute[2];
/*  83 */     boolean bool = false;
/*     */     
/*  85 */     for (byte b = 0; b < 2; b++) {
/*     */       
/*  87 */       if (this.FOOTER_ATTRIBUTE[b] instanceof CloneableValueAttribute) {
/*     */         
/*  89 */         arrayOfPageFooterAttribute[b] = (PageFooterAttribute)((CloneableValueAttribute)this.FOOTER_ATTRIBUTE[b]).cloneAttribute();
/*     */         
/*  91 */         bool = true;
/*     */       }
/*     */       else {
/*     */         
/*  95 */         arrayOfPageFooterAttribute[b] = this.FOOTER_ATTRIBUTE[b];
/*     */       } 
/*     */     } 
/*     */     
/*  99 */     return bool ? new PageFootOddEven(arrayOfPageFooterAttribute[0], arrayOfPageFooterAttribute[1]) : this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 108 */     if (!(paramObject instanceof PageFootOddEven)) return false; 
/* 109 */     if (!this.FOOTER_ATTRIBUTE[0].equals(((PageFootOddEven)paramObject).FOOTER_ATTRIBUTE[0])) return false; 
/* 110 */     if (!this.FOOTER_ATTRIBUTE[1].equals(((PageFootOddEven)paramObject).FOOTER_ATTRIBUTE[1])) return false;
/*     */     
/* 112 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/* 120 */     return PageFooterAttribute.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFirstPageNoForCategory(int paramInt) {
/* 130 */     return (paramInt == 0) ? 1 : 2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/* 138 */     return "@page-foot-odd-even";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String[] getPageCategoryTitles(Locale paramLocale) {
/* 148 */     String[] arrayOfString = new String[2];
/*     */     
/* 150 */     if (paramLocale == null) {
/*     */       
/* 152 */       arrayOfString[0] = "Odd";
/* 153 */       arrayOfString[1] = "Even";
/*     */     }
/*     */     else {
/*     */       
/* 157 */       arrayOfString[0] = ResourceAdministrator.getLocalizedString("odd");
/* 158 */       arrayOfString[1] = ResourceAdministrator.getLocalizedString("even");
/*     */     } 
/*     */     
/* 161 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 170 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 174 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 176 */       if (PrintPageOddEven.isEven(paramPrintParameterHolder.getPageRowNo())) bool = true;
/*     */     
/*     */     }
/* 179 */     return this.FOOTER_ATTRIBUTE[bool].getRequiredHeight(paramInt, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 188 */     return this.FOOTER_ATTRIBUTE[0].hashCode() | this.FOOTER_ATTRIBUTE[1].hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/* 198 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 202 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 204 */       if (PrintPageOddEven.isEven(paramPrintParameterHolder.getPageRowNo())) bool = true;
/*     */     
/*     */     }
/* 207 */     return this.FOOTER_ATTRIBUTE[bool].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 217 */     return "[" + this.FOOTER_ATTRIBUTE[0].getClass().getName() + ", " + this.FOOTER_ATTRIBUTE[1].getClass().getName() + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageFootOddEven.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */