/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Graphics2D;
/*     */ import javax.print.attribute.Attribute;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageFootTwin
/*     */   implements CloneableValueAttribute, PageFooterAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   final PageFooterAttribute[] FOOTER_ATTRIBUTE;
/*     */   
/*     */   public PageFootTwin(PageFooterAttribute paramPageFooterAttribute1, PageFooterAttribute paramPageFooterAttribute2) {
/*     */     String str;
/*  51 */     if (paramPageFooterAttribute1 == null || paramPageFooterAttribute2 == null) {
/*     */       
/*  53 */       str = "Both the Top and Bottom Footers must be specified.";
/*  54 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  57 */     this.FOOTER_ATTRIBUTE = new PageFooterAttribute[] { (PageFooterAttribute)str, paramPageFooterAttribute2 };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute cloneAttribute() {
/*  76 */     PageFooterAttribute[] arrayOfPageFooterAttribute = new PageFooterAttribute[2];
/*  77 */     boolean bool = false;
/*     */     
/*  79 */     for (byte b = 0; b < 2; b++) {
/*     */       
/*  81 */       if (this.FOOTER_ATTRIBUTE[b] instanceof CloneableValueAttribute) {
/*     */         
/*  83 */         arrayOfPageFooterAttribute[b] = (PageFooterAttribute)((CloneableValueAttribute)this.FOOTER_ATTRIBUTE[b]).cloneAttribute();
/*     */         
/*  85 */         bool = true;
/*     */       }
/*     */       else {
/*     */         
/*  89 */         arrayOfPageFooterAttribute[b] = this.FOOTER_ATTRIBUTE[b];
/*     */       } 
/*     */     } 
/*     */     
/*  93 */     return bool ? new PageFootTwin(arrayOfPageFooterAttribute[0], arrayOfPageFooterAttribute[1]) : this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 102 */     if (!(paramObject instanceof PageFootTwin)) return false; 
/* 103 */     if (!this.FOOTER_ATTRIBUTE[0].equals(((PageFootTwin)paramObject).FOOTER_ATTRIBUTE[0])) return false; 
/* 104 */     if (!this.FOOTER_ATTRIBUTE[1].equals(((PageFootTwin)paramObject).FOOTER_ATTRIBUTE[1])) return false;
/*     */     
/* 106 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/* 114 */     return PageFooterAttribute.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/* 122 */     return "@page-head-twin";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 131 */     return this.FOOTER_ATTRIBUTE[0].getRequiredHeight(paramInt, paramPrintParameterHolder) + this.FOOTER_ATTRIBUTE[1].getRequiredHeight(paramInt, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 141 */     return this.FOOTER_ATTRIBUTE[0].hashCode() | this.FOOTER_ATTRIBUTE[1].hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/* 151 */     int j = this.FOOTER_ATTRIBUTE[1].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 157 */     paramInt3 -= j;
/*     */     
/*     */     int i;
/*     */     
/* 161 */     return (i = this.FOOTER_ATTRIBUTE[0].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder)) + j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 170 */     return "[" + this.FOOTER_ATTRIBUTE[0].getClass().getName() + ", " + this.FOOTER_ATTRIBUTE[1].getClass().getName() + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageFootTwin.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */