/*     */ package jpdf.attribute;
/*     */ 
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.EnumSyntax;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageFooterOnFirst2LastPages
/*     */   extends EnumSyntax
/*     */   implements PageFooterIncludedAttribute
/*     */ {
/*  40 */   public static final PageFooterOnFirst2LastPages FIRST_PAGE_ONLY = new PageFooterOnFirst2LastPages(0);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  45 */   public static final PageFooterOnFirst2LastPages TWO_TO_LAST_PAGES_ONLY = new PageFooterOnFirst2LastPages(1);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  50 */   public static final PageFooterOnFirst2LastPages ALL_PAGES = new PageFooterOnFirst2LastPages(2);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  55 */   public static final PageFooterOnFirst2LastPages NO_PAGES = new PageFooterOnFirst2LastPages(3);
/*     */   
/*  57 */   private static final PageFooterOnFirst2LastPages[] a = new PageFooterOnFirst2LastPages[] { FIRST_PAGE_ONLY, TWO_TO_LAST_PAGES_ONLY, ALL_PAGES, NO_PAGES };
/*     */   
/*  59 */   private static final String[] b = new String[] { "First Page Only", "Pages 2 to Last", "All Pages", "No Pages" };
/*     */ 
/*     */ 
/*     */   
/*     */   private static final long serialVersionUID = 120L;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PageFooterOnFirst2LastPages(int paramInt) {
/*  69 */     super(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/*  82 */     return PageFooterIncludedAttribute.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/*  90 */     return "@print-footer-on-pages";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFooterIncludedOnPage(int paramInt) {
/*  99 */     if (this == ALL_PAGES) return true; 
/* 100 */     if (paramInt == 0) return (this == FIRST_PAGE_ONLY);
/*     */     
/* 102 */     return (this == TWO_TO_LAST_PAGES_ONLY);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isFooterIncludedOnPage(AttributeSet paramAttributeSet, int paramInt) {
/* 111 */     PageFooterIncludedAttribute pageFooterIncludedAttribute = null;
/* 112 */     boolean bool = true;
/*     */     
/* 114 */     if (paramAttributeSet != null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 119 */       if ((pageFooterIncludedAttribute = (PageFooterIncludedAttribute)paramAttributeSet.get(PageFooterIncludedAttribute.class)) != null)
/*     */       {
/* 121 */         bool = pageFooterIncludedAttribute.isFooterIncludedOnPage(paramInt);
/*     */       }
/*     */     }
/*     */     
/* 125 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String[] getStringTable() {
/* 139 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected EnumSyntax[] getEnumValueTable() {
/* 148 */     return (EnumSyntax[])a;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageFooterOnFirst2LastPages.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */