/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Graphics2D;
/*     */ import javax.print.attribute.Attribute;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageHeadTwin
/*     */   implements CloneableValueAttribute, PageHeaderAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   final PageHeaderAttribute[] HEADER_ATTRIBUTE;
/*     */   
/*     */   public PageHeadTwin(PageHeaderAttribute paramPageHeaderAttribute1, PageHeaderAttribute paramPageHeaderAttribute2) {
/*     */     String str;
/*  51 */     if (paramPageHeaderAttribute1 == null || paramPageHeaderAttribute2 == null) {
/*     */       
/*  53 */       str = "Both the Top and Bottom headers must be specified.";
/*  54 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  57 */     this.HEADER_ATTRIBUTE = new PageHeaderAttribute[] { (PageHeaderAttribute)str, paramPageHeaderAttribute2 };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute cloneAttribute() {
/*  76 */     PageHeaderAttribute[] arrayOfPageHeaderAttribute = new PageHeaderAttribute[2];
/*  77 */     boolean bool = false;
/*     */     
/*  79 */     for (byte b = 0; b < 2; b++) {
/*     */       
/*  81 */       if (this.HEADER_ATTRIBUTE[b] instanceof CloneableValueAttribute) {
/*     */         
/*  83 */         arrayOfPageHeaderAttribute[b] = (PageHeaderAttribute)((CloneableValueAttribute)this.HEADER_ATTRIBUTE[b]).cloneAttribute();
/*     */         
/*  85 */         bool = true;
/*     */       }
/*     */       else {
/*     */         
/*  89 */         arrayOfPageHeaderAttribute[b] = this.HEADER_ATTRIBUTE[b];
/*     */       } 
/*     */     } 
/*     */     
/*  93 */     return bool ? new PageHeadTwin(arrayOfPageHeaderAttribute[0], arrayOfPageHeaderAttribute[1]) : this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 102 */     if (!(paramObject instanceof PageHeadTwin)) return false; 
/* 103 */     if (!this.HEADER_ATTRIBUTE[0].equals(((PageHeadTwin)paramObject).HEADER_ATTRIBUTE[0])) return false; 
/* 104 */     if (!this.HEADER_ATTRIBUTE[1].equals(((PageHeadTwin)paramObject).HEADER_ATTRIBUTE[1])) return false;
/*     */     
/* 106 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/* 114 */     return PageHeaderAttribute.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/* 122 */     return "@page-head-twin";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 131 */     return this.HEADER_ATTRIBUTE[0].getRequiredHeight(paramInt, paramPrintParameterHolder) + this.HEADER_ATTRIBUTE[1].getRequiredHeight(paramInt, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 141 */     return this.HEADER_ATTRIBUTE[0].hashCode() | this.HEADER_ATTRIBUTE[1].hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/* 151 */     int j = this.HEADER_ATTRIBUTE[0].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 157 */     paramInt3 += j;
/* 158 */     int i = this.HEADER_ATTRIBUTE[1].print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */ 
/*     */     
/* 161 */     return j + i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 170 */     return "[" + this.HEADER_ATTRIBUTE[0].getClass().getName() + ", " + this.HEADER_ATTRIBUTE[1].getClass().getName() + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageHeadTwin.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */