/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.text.EditorKit;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf.printer.EditorPanePrinter;
/*     */ import jpdf.printer.text.html.PrintHtmlEditorKit;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PageHtmlSyntax
/*     */   extends PageComponentSyntax
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   protected final String HTML_STRING;
/*     */   final float SCALE_FACTOR;
/*     */   private final transient PrintParameterHolder c;
/*     */   private final transient JEditorPane d;
/*     */   
/*     */   public PageHtmlSyntax(String paramString) {
/*  64 */     this(paramString, 1.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageHtmlSyntax(String paramString, float paramFloat) {
/*  88 */     super(a(paramString));
/*     */ 
/*     */     
/*  91 */     validateScaleFactor(paramFloat);
/*     */     
/*  93 */     this.HTML_STRING = paramString;
/*  94 */     this.SCALE_FACTOR = paramFloat;
/*     */     
/*  96 */     this.c = a();
/*  97 */     this.d = a(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 113 */     JEditorPane jEditorPane = (JEditorPane)this.b;
/*     */     
/* 115 */     return a(jEditorPane, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getScaleFactor() {
/* 125 */     return this.SCALE_FACTOR;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder) {
/* 137 */     paramGraphics2D.getTransform();
/* 138 */     if (this.SCALE_FACTOR == 1.0D)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 144 */       return super.print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 149 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/*     */ 
/*     */     
/* 152 */     paramInt2 = (int)(paramInt2 / this.SCALE_FACTOR);
/* 153 */     paramInt3 = (int)(paramInt3 / this.SCALE_FACTOR);
/*     */ 
/*     */     
/* 156 */     paramGraphics2D.scale(this.SCALE_FACTOR, this.SCALE_FACTOR);
/* 157 */     paramInt1 = super.print(paramGraphics2D, paramInt1, paramInt2, paramInt3, paramPrintParameterHolder);
/*     */     
/* 159 */     paramGraphics2D.setTransform(affineTransform);
/*     */     
/* 161 */     return paramInt1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void validateScaleFactor(float paramFloat) {
/* 172 */     if (paramFloat < 0.2F || paramFloat > 2.0F) {
/*     */       
/* 174 */       String str = "The Scale Factor must be between 0.2 and 2.0.  Invalid: " + paramFloat;
/*     */       
/* 176 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JComponent prepareComponentToPrint(PrintParameterHolder paramPrintParameterHolder, int paramInt) {
/*     */     PrintParameterHolder printParameterHolder;
/*     */     JEditorPane jEditorPane;
/* 202 */     if (this.a.pageNo == paramPrintParameterHolder.pageNo || this.a.pageNo == -987) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 210 */       jEditorPane = (JEditorPane)this.b;
/* 211 */       printParameterHolder = this.a;
/*     */ 
/*     */     
/*     */     }
/* 215 */     else if (this.c.pageNo == paramPrintParameterHolder.pageNo || this.c.pageNo == -987 || this.a.pageNo == paramPrintParameterHolder.pageNo - 1) {
/*     */ 
/*     */ 
/*     */       
/* 219 */       jEditorPane = this.d;
/* 220 */       printParameterHolder = this.c;
/*     */       
/* 222 */       if (this.c.pageNo == -987)
/*     */       {
/* 224 */         a(jEditorPane, paramInt);
/*     */       }
/*     */     }
/*     */     else {
/*     */       
/* 229 */       jEditorPane = (JEditorPane)this.b;
/* 230 */       printParameterHolder = this.a;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*     */     boolean bool;
/*     */ 
/*     */ 
/*     */     
/* 239 */     if (bool = paramPrintParameterHolder.isToReplaceMarkers())
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 245 */       if (!printParameterHolder.equals(paramPrintParameterHolder)) {
/*     */ 
/*     */         
/* 248 */         if (printParameterHolder.pageNo != -987)
/*     */         {
/* 250 */           a(jEditorPane);
/*     */         }
/*     */ 
/*     */         
/* 254 */         a(jEditorPane, paramPrintParameterHolder);
/*     */ 
/*     */         
/* 257 */         paramPrintParameterHolder.copyParameterValues(printParameterHolder);
/*     */       } 
/*     */     }
/*     */     
/* 261 */     return jEditorPane;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void replaceMarkers(PrintParameterHolder paramPrintParameterHolder) {
/* 271 */     a((JEditorPane)this.b, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void restoreMarkers() {
/* 280 */     a((JEditorPane)this.b);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JEditorPane a(String paramString) {
/* 311 */     if (paramString == null)
/*     */     {
/*     */ 
/*     */       
/* 315 */       throw new IllegalArgumentException("The HTML string must be specified.");
/*     */     }
/*     */     
/*     */     JEditorPane jEditorPane;
/*     */     
/* 320 */     (jEditorPane = new JEditorPane("text/html", paramString)).setMargin(new Insets(0, 0, 0, 0));
/* 321 */     jEditorPane.setOpaque(false);
/* 322 */     jEditorPane.setBorder((Border)null);
/*     */ 
/*     */ 
/*     */     
/* 326 */     EditorPanePrinter.configureForPrinting(jEditorPane, false);
/* 327 */     jEditorPane.setDoubleBuffered(false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 333 */     jEditorPane.addNotify();
/*     */     
/* 335 */     return jEditorPane;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int a(JEditorPane paramJEditorPane, int paramInt) {
/* 347 */     EditorKit editorKit = paramJEditorPane.getUI().getEditorKit(paramJEditorPane);
/* 348 */     paramInt = (int)(paramInt / this.SCALE_FACTOR);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 354 */     ((PrintHtmlEditorKit)editorKit).setAvailablePageWidth(paramInt);
/*     */ 
/*     */ 
/*     */     
/* 358 */     paramInt = (int)((paramInt = b(paramJEditorPane, paramInt)) * this.SCALE_FACTOR);
/*     */ 
/*     */     
/* 361 */     paramJEditorPane.validate();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 366 */     paramInt++;
/* 367 */     paramJEditorPane.setSize(paramJEditorPane.getWidth(), paramInt);
/*     */     
/* 369 */     return paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(JEditorPane paramJEditorPane, PrintParameterHolder paramPrintParameterHolder) {
/* 378 */     paramJEditorPane.setText(paramPrintParameterHolder.replaceMarkers(this.HTML_STRING));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(JEditorPane paramJEditorPane) {
/* 386 */     paramJEditorPane.setText(this.HTML_STRING);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int b(JEditorPane paramJEditorPane, int paramInt) {
/* 396 */     Rectangle rectangle = null;
/*     */     
/*     */     int i;
/* 399 */     if ((i = paramJEditorPane.getDocument().getLength()) == 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 404 */       paramJEditorPane.setSize(paramInt, 0);
/* 405 */       return 0;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 410 */     paramJEditorPane.setSize(paramInt, 111);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 416 */       rectangle = paramJEditorPane.modelToView(i - 1);
/*     */     }
/* 418 */     catch (Exception exception2) {
/*     */       Exception exception1;
/* 420 */       PrintManager.handleException(exception1 = null);
/*     */     } 
/*     */ 
/*     */     
/* 424 */     if (rectangle != null) {
/*     */       
/* 426 */       i = rectangle.y + rectangle.height;
/*     */     }
/*     */     else {
/*     */       
/* 430 */       i = 0;
/*     */     } 
/*     */ 
/*     */     
/*     */     Dimension dimension;
/*     */     
/* 436 */     if ((dimension = paramJEditorPane.getPreferredSize()).height > i)
/*     */     {
/* 438 */       i = dimension.height;
/*     */     }
/*     */ 
/*     */     
/* 442 */     paramJEditorPane.setSize(paramInt, i);
/*     */     
/* 444 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageHtmlSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */