/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Graphics2D;
/*     */ import java.io.Serializable;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PageLineSyntax
/*     */   implements Serializable, Cloneable, PageHeaderFooterAttribute
/*     */ {
/*     */   private transient BasicStroke a;
/*  36 */   private Color lineColor = null;
/*  37 */   private int lineWidth = 0;
/*  38 */   private int lineLeftOffset = 0;
/*  39 */   private int lineRightOffset = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageLineSyntax(Color paramColor, int paramInt) {
/*  48 */     this(paramColor, paramInt, 0, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageLineSyntax(Color paramColor, int paramInt1, int paramInt2, int paramInt3) {
/*  57 */     if (paramColor == null)
/*     */     {
/*  59 */       throw new IllegalArgumentException("The Line Color must be specified.");
/*     */     }
/*  61 */     if (paramInt1 <= 0)
/*     */     {
/*  63 */       throw new IllegalArgumentException("Invalid Line Width: " + paramInt1 + " Must be greater then zero.");
/*     */     }
/*     */     
/*  66 */     if (paramInt2 < 0)
/*     */     {
/*  68 */       throw new IllegalArgumentException("Invalid Left Offset: " + paramInt2 + " Negative not allowed.");
/*     */     }
/*     */     
/*  71 */     if (paramInt3 < 0)
/*     */     {
/*  73 */       throw new IllegalArgumentException("Invalid Right Offset: " + paramInt3 + " Negative not allowed.");
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  78 */     this.lineColor = paramColor;
/*  79 */     this.lineWidth = paramInt1;
/*  80 */     this.lineLeftOffset = paramInt2;
/*  81 */     this.lineRightOffset = paramInt3;
/*     */ 
/*     */     
/*  84 */     this.a = new BasicStroke(paramInt1, 0, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/*  98 */     if (!(paramObject instanceof PageLineSyntax)) return false; 
/*  99 */     if (!this.lineColor.equals(((PageLineSyntax)paramObject).getLineColor())) return false; 
/* 100 */     if (this.lineWidth != ((PageLineSyntax)paramObject).getLineWidth()) return false;
/*     */     
/* 102 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getLineColor() {
/* 110 */     return this.lineColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineLeftOffset() {
/* 119 */     return this.lineLeftOffset;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineRightOffset() {
/* 128 */     return this.lineRightOffset;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineWidth() {
/* 136 */     return this.lineWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 145 */     return getLineWidth();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 154 */     String str = this.lineWidth + this.lineLeftOffset + this.lineRightOffset;
/*     */     
/* 156 */     return this.lineColor.hashCode() | Integer.parseInt(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 165 */     return getLineWidth();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int a(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean) {
/* 188 */     boolean bool = !(paramGraphics2D instanceof java.awt.print.PrinterGraphics) ? true : false;
/* 189 */     int j = getRequiredHeight(paramInt1, null);
/* 190 */     byte b = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 197 */     if (paramBoolean) {
/*     */ 
/*     */       
/* 200 */       paramInt3 = (paramInt3 = paramInt3 - j) + (int)((getLineWidth() / 2) + 0.5F);
/*     */     }
/*     */     else {
/*     */       
/* 204 */       paramInt3 += getLineWidth() / 2;
/*     */     } 
/*     */ 
/*     */     
/* 208 */     paramGraphics2D.translate(paramInt2, paramInt3);
/*     */ 
/*     */     
/* 211 */     int i = 2 + getLineLeftOffset();
/* 212 */     paramInt1 = paramInt1 + 2 + 1 - getLineRightOffset();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 218 */     if (bool) {
/*     */       
/* 220 */       b++;
/* 221 */       i++;
/* 222 */       paramInt1++;
/*     */     } 
/*     */ 
/*     */     
/* 226 */     paramGraphics2D.setColor(getLineColor());
/* 227 */     paramGraphics2D.setStroke(this.a);
/* 228 */     paramGraphics2D.drawLine(i, b, paramInt1, b);
/*     */ 
/*     */     
/* 231 */     paramGraphics2D.translate(-paramInt2, -paramInt3);
/*     */ 
/*     */     
/* 234 */     return j;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageLineSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */