/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.KeyboardFocusManager;
/*     */ import java.awt.Window;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf_common.gui.d.j;
/*     */ import jpdf_common.system.a.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PageNotesSyntax
/*     */   extends StringArraySyntax
/*     */   implements PageHeaderFooterAttribute
/*     */ {
/*     */   public static final int LEFT = 0;
/*     */   public static final int CENTER = 1;
/*     */   public static final int RIGHT = 2;
/*  64 */   public static final Color DEFAULT_COLOR = Color.BLACK;
/*     */ 
/*     */   
/*     */   private static final AffineTransform a;
/*     */ 
/*     */   
/*     */   private static final long serialVersionUID = 120L;
/*     */ 
/*     */   
/*     */   private static Font b;
/*     */   
/*  75 */   private static int c = 6;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   private static int d = 2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/*  88 */     j.i();
/*  89 */     if (!(b = j.g()).isPlain())
/*     */     {
/*  91 */       b = b.deriveFont(0);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  96 */     a = a.b ? new AffineTransform() : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   private Color notesColor = null;
/* 104 */   private Font notesFont = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageNotesSyntax(String paramString1, String paramString2, String paramString3) {
/* 113 */     this(paramString1, paramString2, paramString3, DEFAULT_COLOR, getDefaultNoteFont());
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public PageNotesSyntax(String paramString1, String paramString2, String paramString3, Color paramColor) {
/* 119 */     this(paramString1, paramString2, paramString3, paramColor, getDefaultNoteFont());
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public PageNotesSyntax(String paramString1, String paramString2, String paramString3, Color paramColor, Font paramFont) {
/* 125 */     super(new String[] { (paramString1 == null) ? "" : paramString1, (paramString2 == null) ? "" : paramString2, (paramString3 == null) ? "" : paramString3 });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 130 */     this.notesColor = paramColor;
/* 131 */     this.notesFont = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 145 */     if (!(paramObject instanceof PageNotesSyntax)) return false; 
/* 146 */     if (!this.notesColor.equals(((PageNotesSyntax)paramObject).getNotesColor())) return false; 
/* 147 */     if (!this.notesFont.equals(((PageNotesSyntax)paramObject).getNotesFont())) return false;
/*     */     
/* 149 */     return super.equals(paramObject);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String formatValue(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/* 160 */     return paramPrintParameterHolder.replaceMarkers(getArrayElementValue(paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font getDefaultNoteFont() {
/* 169 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNoteCenter() {
/* 178 */     return getArrayElementValue(1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNoteLeft() {
/* 187 */     return getArrayElementValue(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNoteRight() {
/* 196 */     return getArrayElementValue(2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getNotesColor() {
/* 204 */     return this.notesColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Font getNotesFont() {
/* 212 */     return this.notesFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getNoteXOffsetLeft() {
/* 221 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getNoteXOffsetRight() {
/* 230 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt, PrintParameterHolder paramPrintParameterHolder) {
/*     */     int i;
/* 241 */     Font font = getNotesFont();
/*     */     
/* 243 */     paramInt = 0;
/*     */ 
/*     */ 
/*     */     
/*     */     Window window;
/*     */ 
/*     */     
/* 250 */     if ((window = KeyboardFocusManager.getCurrentKeyboardFocusManager().getActiveWindow()) != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 255 */       i = window.getFontMetrics(font).getHeight();
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 262 */       i = (i = font.getSize()) + (int)(i * 0.4F);
/*     */     } 
/*     */     
/* 265 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 274 */     return super.hashCode() | this.notesColor.hashCode() | this.notesFont.hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 283 */     return "[" + getNoteLeft() + " | " + getNoteCenter() + " | " + getNoteRight() + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultNoteFont(Font paramFont) {
/* 292 */     b = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setNoteXOffsetLeft(int paramInt) {
/* 301 */     c = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setNoteXOffsetRight(int paramInt) {
/* 310 */     d = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static int computeCenterNoteXPos(String paramString, int paramInt, FontMetrics paramFontMetrics) {
/* 324 */     return (paramInt - paramFontMetrics.stringWidth(paramString)) / 2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static int computeLeftNoteXPos(String paramString, int paramInt, FontMetrics paramFontMetrics) {
/* 333 */     return getNoteXOffsetLeft();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static int computeRightNoteXPos(String paramString, int paramInt, FontMetrics paramFontMetrics) {
/* 342 */     return paramInt - paramFontMetrics.stringWidth(paramString) + getNoteXOffsetRight();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String[] getFormattedNotes(PrintParameterHolder paramPrintParameterHolder) {
/* 354 */     String[] arrayOfString = new String[3];
/* 355 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 359 */     if (paramPrintParameterHolder != null)
/*     */     {
/* 361 */       bool = paramPrintParameterHolder.isToReplaceMarkers();
/*     */     }
/*     */ 
/*     */     
/* 365 */     if (bool) {
/*     */       
/* 367 */       arrayOfString[0] = paramPrintParameterHolder.replaceMarkers(getArrayElementValue(0));
/* 368 */       arrayOfString[1] = paramPrintParameterHolder.replaceMarkers(getArrayElementValue(1));
/* 369 */       arrayOfString[2] = paramPrintParameterHolder.replaceMarkers(getArrayElementValue(2));
/*     */     }
/*     */     else {
/*     */       
/* 373 */       arrayOfString[0] = getArrayElementValue(0);
/* 374 */       arrayOfString[1] = getArrayElementValue(1);
/* 375 */       arrayOfString[2] = getArrayElementValue(2);
/*     */     } 
/*     */     
/* 378 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, PrintParameterHolder paramPrintParameterHolder, boolean paramBoolean) {
/* 398 */     AffineTransform affineTransform = null;
/* 399 */     String[] arrayOfString = getFormattedNotes(paramPrintParameterHolder);
/*     */     
/* 401 */     Font font = getNotesFont();
/* 402 */     int i = 0;
/*     */ 
/*     */     
/* 405 */     paramGraphics2D.setFont(font);
/*     */ 
/*     */ 
/*     */     
/* 409 */     paramGraphics2D.setColor(getNotesColor());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 420 */     if (i = (a.b && paramGraphics2D instanceof java.awt.print.PrinterGraphics) ? 1 : 0) {
/*     */       
/* 422 */       affineTransform = paramGraphics2D.getTransform();
/* 423 */       paramGraphics2D.setTransform(a);
/*     */     } 
/*     */     
/*     */     FontMetrics fontMetrics;
/*     */     
/* 428 */     int j = (fontMetrics = paramGraphics2D.getFontMetrics()).getHeight();
/* 429 */     int k = fontMetrics.getMaxAscent();
/* 430 */     if (font.getSize() > 10) k--;
/*     */ 
/*     */     
/* 433 */     if (i) paramGraphics2D.setTransform(affineTransform);
/*     */ 
/*     */     
/* 436 */     if (paramBoolean) paramInt3 -= j;
/*     */ 
/*     */     
/* 439 */     paramGraphics2D.translate(paramInt2, paramInt3);
/*     */ 
/*     */     
/* 442 */     if (arrayOfString[0].length() > 0) {
/*     */       
/* 444 */       i = computeLeftNoteXPos(arrayOfString[0], paramInt1, fontMetrics);
/* 445 */       paramGraphics2D.drawString(arrayOfString[0], i, k);
/*     */     } 
/* 447 */     if (arrayOfString[1].length() > 0) {
/*     */       
/* 449 */       i = computeCenterNoteXPos(arrayOfString[1], paramInt1, fontMetrics);
/* 450 */       paramGraphics2D.drawString(arrayOfString[1], i, k);
/*     */     } 
/* 452 */     if (arrayOfString[2].length() > 0) {
/*     */       
/* 454 */       i = computeRightNoteXPos(arrayOfString[2], paramInt1, fontMetrics);
/* 455 */       paramGraphics2D.drawString(arrayOfString[2], i, k);
/*     */     } 
/*     */ 
/*     */     
/* 459 */     paramGraphics2D.translate(-paramInt2, -paramInt3);
/*     */ 
/*     */     
/* 462 */     return j;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\PageNotesSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */