/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.io.Serializable;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.event.UndoableEditListener;
/*     */ import javax.swing.text.AbstractDocument;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import javax.swing.text.DefaultStyledDocument;
/*     */ import javax.swing.text.SimpleAttributeSet;
/*     */ import javax.swing.text.StyleConstants;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf_common.gui.d.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class TextDocumentSyntax
/*     */   implements Serializable, CloneableValueAttribute
/*     */ {
/*     */   private static final long serialVersionUID = 120L;
/*     */   final AbstractDocument DOCUMENT;
/*     */   
/*     */   protected TextDocumentSyntax(AbstractDocument paramAbstractDocument) {
/*  69 */     this.DOCUMENT = a(paramAbstractDocument);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attribute cloneAttribute() {
/*  83 */     return createNewInstance(this.DOCUMENT);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static DefaultStyledDocument createDocument(String paramString1, String paramString2, int paramInt, Color paramColor, boolean paramBoolean) {
/*  95 */     paramBoolean = paramBoolean;
/*     */ 
/*     */     
/*  98 */     return createDocument(paramString1, paramString2, paramInt, false, false, paramColor, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static DefaultStyledDocument createDocument(String paramString, Font paramFont, Color paramColor, int paramInt) {
/* 111 */     String str = null;
/* 112 */     boolean bool1 = false;
/* 113 */     boolean bool2 = false;
/* 114 */     int i = -1;
/*     */     
/* 116 */     if (paramFont != null) {
/*     */       
/* 118 */       str = paramFont.getFamily();
/* 119 */       i = paramFont.getSize();
/* 120 */       bool1 = paramFont.isBold();
/* 121 */       bool2 = paramFont.isItalic();
/*     */     } 
/*     */     
/* 124 */     return createDocument(paramString, str, i, bool1, bool2, paramColor, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static DefaultStyledDocument createDocument(String paramString1, String paramString2, int paramInt1, boolean paramBoolean1, boolean paramBoolean2, Color paramColor, int paramInt2) {
/* 140 */     SimpleAttributeSet simpleAttributeSet = new SimpleAttributeSet();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 145 */     if (paramInt1 > 0)
/*     */     {
/* 147 */       StyleConstants.setFontSize(simpleAttributeSet, paramInt1);
/*     */     }
/* 149 */     if (paramString2 != null)
/*     */     {
/* 151 */       StyleConstants.setFontFamily(simpleAttributeSet, paramString2);
/*     */     }
/* 153 */     if (paramColor != null)
/*     */     {
/* 155 */       StyleConstants.setForeground(simpleAttributeSet, paramColor);
/*     */     }
/* 157 */     if (paramBoolean1) StyleConstants.setBold(simpleAttributeSet, true); 
/* 158 */     if (paramBoolean2) StyleConstants.setItalic(simpleAttributeSet, true); 
/* 159 */     StyleConstants.setAlignment(simpleAttributeSet, paramInt2);
/*     */ 
/*     */     
/* 162 */     DefaultStyledDocument defaultStyledDocument = new DefaultStyledDocument();
/*     */ 
/*     */     
/*     */     try {
/* 166 */       defaultStyledDocument.insertString(0, paramString1, simpleAttributeSet);
/*     */ 
/*     */       
/* 169 */       defaultStyledDocument.setParagraphAttributes(0, paramString1.length(), simpleAttributeSet, true);
/*     */     }
/* 171 */     catch (Exception exception) {}
/*     */     
/* 173 */     return defaultStyledDocument;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 184 */     if (!(paramObject instanceof TextDocumentSyntax)) return false;
/*     */     
/* 186 */     return (this.DOCUMENT == ((TextDocumentSyntax)paramObject).getValue());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractDocument getDocumentClone() {
/* 194 */     return a();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractDocument getValue() {
/* 206 */     return this.DOCUMENT;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 215 */     return this.DOCUMENT.hashCode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isContainingOnlyWhitespace() {
/* 224 */     return isContainingOnlyWhitespace(this.DOCUMENT);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isContainingOnlyWhitespace(AbstractDocument paramAbstractDocument) {
/* 233 */     String str = null;
/*     */     
/*     */     int i;
/* 236 */     if ((i = paramAbstractDocument.getLength()) == 0) return true;
/*     */ 
/*     */     
/*     */     try {
/* 240 */       str = paramAbstractDocument.getText(0, i);
/* 241 */       for (byte b = 0; b < i; b++) {
/*     */         
/* 243 */         if (!Character.isWhitespace(str.charAt(b))) return false;
/*     */       
/*     */       } 
/* 246 */     } catch (BadLocationException badLocationException) {
/*     */       
/* 248 */       return false;
/*     */     } 
/*     */     
/* 251 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 260 */     String str = null;
/* 261 */     int i = this.DOCUMENT.getLength();
/*     */ 
/*     */     
/*     */     try {
/* 265 */       if (i > 40) {
/*     */         
/* 267 */         str = this.DOCUMENT.getText(0, 40) + "... [length=" + i + "]";
/*     */       }
/*     */       else {
/*     */         
/* 271 */         str = this.DOCUMENT.getText(0, i) + " [length=" + i + "]";
/*     */       } 
/* 273 */       str = str.replace('\n', '¶');
/*     */     }
/* 275 */     catch (BadLocationException badLocationException) {
/*     */       
/* 277 */       str = "Document Length = " + i;
/*     */     } 
/*     */     
/* 280 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract TextDocumentSyntax createNewInstance(AbstractDocument paramAbstractDocument);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AbstractDocument getFormattedDocument(PrintParameterHolder paramPrintParameterHolder) {
/* 302 */     if (paramPrintParameterHolder == null) return this.DOCUMENT;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 307 */     if (!paramPrintParameterHolder.isToReplaceMarkers()) return this.DOCUMENT;
/*     */ 
/*     */     
/*     */     AbstractDocument abstractDocument;
/*     */     
/* 312 */     if (abstractDocument = a() instanceof DefaultStyledDocument) {
/*     */       
/* 314 */       paramPrintParameterHolder.replaceMarkers((DefaultStyledDocument)abstractDocument);
/*     */     }
/*     */     else {
/*     */       
/* 318 */       paramPrintParameterHolder.replaceMarkers(abstractDocument);
/*     */     } 
/*     */     
/* 321 */     return abstractDocument;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private AbstractDocument a() {
/*     */     IllegalStateException illegalStateException;
/*     */     try {
/* 334 */       AbstractDocument abstractDocument = (AbstractDocument)a.a(this.DOCUMENT);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 341 */     catch (Exception exception) {
/*     */ 
/*     */       
/* 344 */       (illegalStateException = new IllegalStateException("Could not clone Text Document.")).initCause(exception);
/* 345 */       throw illegalStateException;
/*     */     } 
/*     */     
/* 348 */     return (AbstractDocument)illegalStateException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractDocument a(AbstractDocument paramAbstractDocument) {
/* 356 */     UndoableEditListener[] arrayOfUndoableEditListener = paramAbstractDocument.getUndoableEditListeners();
/* 357 */     DocumentListener[] arrayOfDocumentListener = paramAbstractDocument.getDocumentListeners();
/* 358 */     IllegalStateException illegalStateException = null;
/* 359 */     AbstractDocument abstractDocument = null;
/*     */     
/*     */     byte b;
/* 362 */     for (b = 0; b < arrayOfUndoableEditListener.length; b++)
/*     */     {
/* 364 */       paramAbstractDocument.removeUndoableEditListener(arrayOfUndoableEditListener[b]);
/*     */     }
/* 366 */     for (b = 0; b < arrayOfDocumentListener.length; b++)
/*     */     {
/* 368 */       paramAbstractDocument.removeDocumentListener(arrayOfDocumentListener[b]);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 374 */       abstractDocument = (AbstractDocument)a.a(paramAbstractDocument);
/*     */     }
/* 376 */     catch (Exception exception) {
/*     */ 
/*     */       
/* 379 */       (illegalStateException = new IllegalStateException("Could not clone Text Document.")).initCause(exception);
/*     */     } 
/*     */ 
/*     */     
/* 383 */     for (b = 0; b < arrayOfUndoableEditListener.length; b++)
/*     */     {
/* 385 */       paramAbstractDocument.addUndoableEditListener(arrayOfUndoableEditListener[b]);
/*     */     }
/* 387 */     for (b = 0; b < arrayOfDocumentListener.length; b++)
/*     */     {
/* 389 */       paramAbstractDocument.addDocumentListener(arrayOfDocumentListener[b]);
/*     */     }
/*     */ 
/*     */     
/* 393 */     if (illegalStateException != null) throw illegalStateException;
/*     */     
/* 395 */     return abstractDocument;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\TextDocumentSyntax.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */