/*     */ package jpdf.attribute;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import javax.print.attribute.PrintRequestAttribute;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TreeExpansion
/*     */   implements Serializable, Cloneable, PrintRequestAttribute
/*     */ {
/*     */   public static final int CURRENT_EXPANSION_TYPE = 0;
/*     */   public static final int LEVEL_EXPANSION_TYPE = 1;
/*     */   public static final int TOTAL_EXPANSION_TYPE = 2;
/*     */   private static final long serialVersionUID = 120L;
/*     */   protected final int TYPE;
/*     */   protected final int LEVEL;
/*     */   
/*     */   public TreeExpansion(int paramInt) {
/*     */     String str;
/*  56 */     if (paramInt == 1) {
/*     */       
/*  58 */       str = "This consturctor cannot be used for To Level tree expansion.";
/*  59 */       throw new IllegalArgumentException(str);
/*     */     } 
/*  61 */     if (str != null && str != '\002')
/*     */     {
/*  63 */       throw new IllegalArgumentException("Invalid Tree Expansion Type: " + str);
/*     */     }
/*     */     
/*  66 */     this.TYPE = str;
/*  67 */     this.LEVEL = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TreeExpansion(int paramInt1, int paramInt2) {
/*  79 */     if (paramInt1 != 0 && paramInt1 != 1 && paramInt1 != 2)
/*     */     {
/*     */       
/*  82 */       throw new IllegalArgumentException("Invalid Tree Expansion Type: " + paramInt1);
/*     */     }
/*     */     
/*  85 */     this.TYPE = paramInt1;
/*  86 */     this.LEVEL = paramInt2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 102 */     if (!(paramObject instanceof TreeExpansion)) return false;
/*     */     
/* 104 */     return (this.TYPE == ((TreeExpansion)paramObject).TYPE && this.LEVEL == ((TreeExpansion)paramObject).LEVEL);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Class getCategory() {
/* 113 */     return TreeExpansion.class;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLevel() {
/* 122 */     return this.LEVEL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String getName() {
/* 130 */     return "@tree-expansion";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getType() {
/* 138 */     return this.TYPE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 147 */     return getClass().getSimpleName().hashCode() + 10 * (this.TYPE + 1) + this.LEVEL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCurrentExpansion() {
/* 155 */     return (this.LEVEL == 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToLevelExpansion() {
/* 163 */     return (this.LEVEL == 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTotalExpansion() {
/* 171 */     return (this.LEVEL == 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 180 */     if (this.TYPE == 0)
/*     */     {
/* 182 */       return "Current";
/*     */     }
/* 184 */     if (this.TYPE == 2)
/*     */     {
/* 186 */       return "Total";
/*     */     }
/*     */     
/* 189 */     return "To Level " + this.LEVEL;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\attribute\TreeExpansion.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */