/*     */ package jpdf.diagnostics;
/*     */ 
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.datatransfer.Clipboard;
/*     */ import java.awt.datatransfer.StringSelection;
/*     */ import java.io.FileReader;
/*     */ import java.io.FileWriter;
/*     */ import java.io.IOException;
/*     */ import java.io.LineNumberReader;
/*     */ import java.io.PrintWriter;
/*     */ import java.io.Writer;
/*     */ import java.text.DateFormat;
/*     */ import java.util.Date;
/*     */ import java.util.Vector;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.PrintServiceLookup;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintServiceRegistry;
/*     */ import jpdf_common.gui.b.a.a;
/*     */ import jpdf_common.system.c.g;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DiagnosticsManager
/*     */ {
/*     */   public static String buildAttributeSetString(AttributeSet paramAttributeSet) {
/*  98 */     return PrintDebugger.buildPrintAttributeSetMessage(paramAttributeSet, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String buildEnvironmentInfoString(String paramString) {
/* 109 */     String str = System.getProperty("line.separator");
/*     */     
/* 111 */     return paramString + str + "---------------------------------------" + str + "JPDF 3.0.0" + str + "Operating System: " + System.getProperty("os.name") + " " + System.getProperty("os.version") + str + "    Java Runtime: " + System.getProperty("java.vendor") + " " + System.getProperty("java.version") + str + "            Time: " + new Date() + str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void copyToClipboard(String paramString) {
/* 128 */     Clipboard clipboard = null;
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 133 */       (clipboard = Toolkit.getDefaultToolkit().getSystemClipboard()).setContents(new StringSelection(paramString), null);
/*     */       return;
/* 135 */     } catch (Throwable throwable) {
/*     */       
/* 137 */       PrintManager.handleException((Throwable)(paramString = null));
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String[] getBadPrintServiceNames() {
/* 147 */     LineNumberReader lineNumberReader = null;
/* 148 */     Vector<String> vector = new Vector(5);
/* 149 */     String[] arrayOfString = null;
/* 150 */     String str = null;
/* 151 */     byte b = 0;
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 156 */       lineNumberReader = new LineNumberReader(new FileReader("JPDF_BadPrintService.txt"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 162 */       while ((str = lineNumberReader.readLine()) != null) {
/* 163 */         if (str.trim().length() > 0) {
/*     */           
/* 165 */           vector.add(str);
/* 166 */           b++;
/*     */         } 
/*     */       } 
/*     */       
/* 170 */       if (b > 0)
/*     */       {
/* 172 */         arrayOfString = vector.<String>toArray(new String[b]);
/*     */       }
/*     */ 
/*     */       
/* 176 */       lineNumberReader.close();
/*     */     }
/* 178 */     catch (Throwable throwable) {}
/*     */     
/* 180 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void initialize() {
/* 188 */     a.a("JPDF 3.0.0");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static JpdfDiagnosticsException runDiagnostics() {
/* 198 */     PrintService[] arrayOfPrintService = null;
/* 199 */     JpdfDiagnosticsException jpdfDiagnosticsException = new JpdfDiagnosticsException();
/* 200 */     arrayOfPrintService = null;
/* 201 */     Object object = null;
/* 202 */     boolean bool = false;
/* 203 */     int i = 0;
/*     */     
/* 205 */     System.out.println("Running JPDF Diagnostics");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 211 */       if (bool = ((arrayOfPrintService = PrintServiceLookup.lookupPrintServices(null, null)) == null || arrayOfPrintService.length == 0) ? true : false) {
/*     */         
/* 213 */         jpdfDiagnosticsException.addJpdfException(new JpdfNoPrintServiceException());
/*     */       } else {
/*     */         JpdfPrintServiceDiagnosticException[] arrayOfJpdfPrintServiceDiagnosticException;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 220 */         if ((arrayOfJpdfPrintServiceDiagnosticException = a(arrayOfPrintService)) != null)
/*     */         {
/*     */           
/* 223 */           i = arrayOfJpdfPrintServiceDiagnosticException.length;
/* 224 */           for (byte b = 0; b < arrayOfJpdfPrintServiceDiagnosticException.length; b++) {
/*     */             
/* 226 */             String str = (arrayOfJpdfPrintServiceDiagnosticException[b]).PRINT_SERVICE.getName();
/* 227 */             System.out.println("  >>>[DiagnosticsManager] Bad Printer: " + str);
/* 228 */             jpdfDiagnosticsException.addJpdfException(arrayOfJpdfPrintServiceDiagnosticException[b]);
/*     */           } 
/*     */ 
/*     */           
/* 232 */           a(arrayOfJpdfPrintServiceDiagnosticException);
/*     */         
/*     */         }
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 239 */     catch (Throwable throwable) {
/*     */       
/* 241 */       jpdfDiagnosticsException.addJpdfException(new JpdfUnexpectedException(throwable));
/*     */     } 
/*     */ 
/*     */     
/* 245 */     if (i > 0) writePrintServiceDiagnosticsFile();
/*     */ 
/*     */     
/* 248 */     if (jpdfDiagnosticsException.getJpdfExceptionCount() == 0) {
/*     */       
/* 250 */       jpdfDiagnosticsException = null;
/* 251 */       System.out.println("  No problems found.");
/*     */     }
/*     */     else {
/*     */       
/* 255 */       a(jpdfDiagnosticsException);
/*     */     } 
/*     */     
/* 258 */     return jpdfDiagnosticsException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static JpdfDiagnosticsException runQuickDiagnostics() {
/* 272 */     PrintService[] arrayOfPrintService = null;
/* 273 */     JpdfDiagnosticsException jpdfDiagnosticsException = new JpdfDiagnosticsException();
/* 274 */     arrayOfPrintService = null;
/* 275 */     Object object = null;
/* 276 */     object = null;
/* 277 */     boolean bool = false;
/* 278 */     int i = 0;
/*     */     
/* 280 */     System.out.println("Running JPDF Quick Diagnostics");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 287 */       if (bool = ((arrayOfPrintService = PrintServiceLookup.lookupPrintServices(null, null)) == null || arrayOfPrintService.length == 0) ? true : false) {
/*     */         
/* 289 */         jpdfDiagnosticsException.addJpdfException(new JpdfNoPrintServiceException());
/*     */       } else {
/*     */         PrintService printService;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 298 */         if ((printService = PrintServiceRegistry.lookupDefaultPrintService()) == null) printService = arrayOfPrintService[0];
/*     */ 
/*     */ 
/*     */         
/*     */         JpdfPrintServiceDiagnosticException[] arrayOfJpdfPrintServiceDiagnosticException;
/*     */         
/* 304 */         if ((arrayOfJpdfPrintServiceDiagnosticException = a(arrayOfPrintService = new PrintService[] { printService })) != null)
/*     */         {
/*     */           
/* 307 */           i = arrayOfJpdfPrintServiceDiagnosticException.length;
/* 308 */           for (byte b = 0; b < arrayOfJpdfPrintServiceDiagnosticException.length; b++) {
/*     */             
/* 310 */             String str = (arrayOfJpdfPrintServiceDiagnosticException[b]).PRINT_SERVICE.getName();
/* 311 */             System.out.println("  >>>[DiagnosticsManager] Bad Printer: " + str);
/* 312 */             jpdfDiagnosticsException.addJpdfException(arrayOfJpdfPrintServiceDiagnosticException[b]);
/*     */           } 
/*     */ 
/*     */           
/* 316 */           a(arrayOfJpdfPrintServiceDiagnosticException);
/*     */         
/*     */         }
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 323 */     catch (Throwable throwable) {
/*     */       
/* 325 */       jpdfDiagnosticsException.addJpdfException(new JpdfUnexpectedException(throwable));
/*     */     } 
/*     */ 
/*     */     
/* 329 */     if (i > 0) writePrintServiceDiagnosticsFile();
/*     */ 
/*     */     
/* 332 */     if (jpdfDiagnosticsException.getJpdfExceptionCount() == 0) {
/*     */       
/* 334 */       jpdfDiagnosticsException = null;
/* 335 */       System.out.println("  No problems found.");
/*     */     }
/*     */     else {
/*     */       
/* 339 */       a(jpdfDiagnosticsException);
/*     */     } 
/*     */     
/* 342 */     return jpdfDiagnosticsException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void unregisterBadPrintServices() {
/*     */     String[] arrayOfString;
/* 355 */     if ((arrayOfString = getBadPrintServiceNames()) == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 361 */     int i = (PrintServiceLookup.lookupPrintServices(null, null)).length;
/*     */ 
/*     */     
/* 364 */     if (arrayOfString.length < i)
/*     */     {
/* 366 */       for (i = 0; i < arrayOfString.length; i++) {
/*     */         
/* 368 */         System.out.println("  >>>[DiagnosticsManager] Unregister Printer: " + arrayOfString[i]);
/* 369 */         PrintServiceRegistry.unregisterPrintService(arrayOfString[i]);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void writeAttributeSetToFile(AttributeSet paramAttributeSet, String paramString) {
/*     */     FileWriter fileWriter;
/* 379 */     String str = System.getProperty("line.separator");
/*     */     try {
/* 381 */       fileWriter = new FileWriter(paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 388 */     catch (Throwable throwable) {
/*     */       
/* 390 */       System.out.println("\n*** ERROR: Could not create file: " + paramString + "\n   " + throwable);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 395 */     System.out.print("\n  Writing Attribute Set File: " + paramString);
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 400 */       a(fileWriter, "JPDF Print Attribute Set File");
/*     */ 
/*     */       
/* 403 */       fileWriter.write(str + "Attribute Set\n======================");
/* 404 */       fileWriter.write(PrintDebugger.buildPrintAttributeSetMessage((AttributeSet)throwable, false));
/*     */     }
/* 406 */     catch (IOException iOException) {
/*     */       
/* 408 */       System.out.println("\n*** ERROR: Could not write to file: " + paramString + "\n   " + iOException);
/*     */       
/*     */       return;
/* 411 */     } catch (Throwable throwable1) {
/*     */       
/* 413 */       System.out.println("\n*** ERROR: " + g.a(throwable1, 10, true));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/*     */     try {
/* 420 */       fileWriter.close();
/*     */     }
/* 422 */     catch (IOException iOException) {
/*     */       
/* 424 */       System.out.println("\n*** ERROR: Could not close the file: " + paramString + "\n   " + iOException);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 429 */     System.out.println("\n  Done. \n");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void writePrintServiceDiagnosticsFile() {
/*     */     FileWriter fileWriter;
/* 440 */     String str1 = System.getProperty("line.separator");
/*     */     
/* 442 */     String str2 = str1 + "  ----------------------------------";
/* 443 */     String str3 = str1 + "================================";
/*     */     
/* 445 */     PrintService printService = null;
/* 446 */     printService = null;
/* 447 */     printService = null;
/*     */     
/* 449 */     DateFormat dateFormat = DateFormat.getTimeInstance(2);
/* 450 */     Date date = new Date();
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 455 */       fileWriter = new FileWriter("JPDF_PrintService_diagnostics.txt");
/*     */     }
/* 457 */     catch (Throwable throwable) {
/*     */       
/* 459 */       System.out.println("\n*** ERROR: Could not create Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + throwable);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 465 */     System.out.print("\n  Writing Diagnostic File: JPDF_PrintService_diagnostics.txt");
/*     */ 
/*     */     
/*     */     try {
/*     */       PrintService[] arrayOfPrintService;
/*     */       
/* 471 */       a(fileWriter, "JPDF Print Service Diagnostics");
/*     */ 
/*     */ 
/*     */       
/* 475 */       String str = ((printService = PrintServiceRegistry.lookupDefaultPrintService()) == null) ? "<None>" : printService.getName();
/* 476 */       fileWriter.write(str1 + "[" + dateFormat.format((Date)throwable) + "] Platform Default Printer: " + str + str1);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 482 */         arrayOfPrintService = PrintServiceRegistry.lookupPrintServices(null, null);
/*     */       }
/* 484 */       catch (Throwable throwable1) {
/*     */         
/* 486 */         System.out.println("\n*** ERROR: Could not get printer list. \n   " + throwable1);
/*     */         
/*     */         return;
/*     */       } 
/* 490 */       if (arrayOfPrintService == null || arrayOfPrintService.length == 0) {
/*     */         
/* 492 */         System.out.println("\n*** ERROR: Empty printer list. ");
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 497 */       fileWriter.write(str1 + "[" + dateFormat.format(new Date()) + "] Printer List" + str3 + str1);
/*     */       
/* 499 */       fileWriter.write(LogPanel.buildPrinterListString());
/* 500 */       System.out.print("\n    >Printer List.");
/*     */ 
/*     */       
/* 503 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Print Attributes" + str3);
/*     */       
/* 505 */       System.out.print("\n    >Print Attributes "); byte b;
/* 506 */       for (b = 0; b < arrayOfPrintService.length; b++) {
/*     */         
/* 508 */         System.out.print(".");
/* 509 */         fileWriter.write(str1 + str1 + "  [" + dateFormat.format(new Date()) + "] " + arrayOfPrintService[b].getName() + str2);
/*     */         
/* 511 */         fileWriter.write(LogPanel.buildPrinterSupportedAttributesString(arrayOfPrintService[b], false));
/*     */       } 
/*     */ 
/*     */       
/* 515 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Media" + str3);
/*     */       
/* 517 */       System.out.print("\n    >Supported Media ");
/* 518 */       for (b = 0; b < arrayOfPrintService.length; b++) {
/*     */         
/* 520 */         System.out.print(".");
/* 521 */         fileWriter.write(str1 + str1 + "  [" + dateFormat.format(new Date()) + "] " + arrayOfPrintService[b].getName() + str2);
/*     */         
/* 523 */         fileWriter.write(LogPanel.buildPrinterSupportedMediaString(arrayOfPrintService[b], false));
/*     */       } 
/*     */ 
/*     */       
/* 527 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Doc Flavors" + str3);
/*     */       
/* 529 */       System.out.print("\n    >Doc Flavors ");
/* 530 */       for (b = 0; b < arrayOfPrintService.length; b++) {
/*     */         
/* 532 */         System.out.print(".");
/* 533 */         fileWriter.write(str1 + str1 + "  [" + dateFormat.format(new Date()) + "] " + arrayOfPrintService[b].getName() + str2);
/*     */         
/* 535 */         fileWriter.write(LogPanel.buildPrinterSupportedDocFlavorsString(arrayOfPrintService[b], false));
/*     */       } 
/*     */ 
/*     */       
/* 539 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] * * *  END  * * *" + str1 + str1);
/*     */       
/* 541 */       fileWriter.close();
/*     */     }
/* 543 */     catch (IOException iOException) {
/*     */       
/* 545 */       System.out.println("\n*** ERROR: Could not write to Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + iOException);
/*     */ 
/*     */       
/*     */       return;
/* 549 */     } catch (Throwable throwable1) {
/*     */       
/* 551 */       System.out.println("\n*** ERROR: " + g.a(throwable1, 10, true));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/*     */     try {
/* 558 */       fileWriter.close();
/*     */     }
/* 560 */     catch (IOException iOException) {
/*     */       
/* 562 */       System.out.println("\n*** ERROR: Could not close the Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + iOException);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 568 */     System.out.println("\n  Done. \n");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void writePrintServiceDiagnosticsFile(PrintService paramPrintService) {
/*     */     FileWriter fileWriter;
/* 580 */     String str1 = System.getProperty("line.separator");
/*     */ 
/*     */ 
/*     */     
/* 584 */     String str2 = null;
/*     */     
/* 586 */     DateFormat dateFormat = DateFormat.getTimeInstance(2);
/* 587 */     Date date = new Date();
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 592 */       fileWriter = new FileWriter("JPDF_PrintService_diagnostics.txt");
/*     */     }
/* 594 */     catch (Throwable throwable) {
/*     */       
/* 596 */       System.out.println("\n*** ERROR: Could not create Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + throwable);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 602 */     System.out.print("\n  Writing Diagnostic File: JPDF_PrintService_diagnostics.txt");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 608 */       a(fileWriter, "JPDF Print Service Diagnostics");
/*     */ 
/*     */       
/* 611 */       str2 = throwable.getName();
/* 612 */       fileWriter.write(str1 + "[" + dateFormat.format(date) + "] Printer: " + str2 + str1);
/*     */ 
/*     */ 
/*     */       
/* 616 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Print Attributes\n================================");
/*     */       
/* 618 */       System.out.print("\n    >Print Attributes ");
/* 619 */       fileWriter.write(LogPanel.buildPrinterSupportedAttributesString((PrintService)throwable, false));
/*     */ 
/*     */       
/* 622 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Media\n================================");
/*     */       
/* 624 */       System.out.print("\n    >Supported Media ");
/* 625 */       fileWriter.write(LogPanel.buildPrinterSupportedMediaString((PrintService)throwable, false));
/*     */ 
/*     */       
/* 628 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] Supported Doc Flavors\n================================");
/*     */       
/* 630 */       System.out.print("\n    >Doc Flavors ");
/* 631 */       System.out.print(".");
/* 632 */       fileWriter.write(LogPanel.buildPrinterSupportedDocFlavorsString((PrintService)throwable, false));
/*     */ 
/*     */       
/* 635 */       fileWriter.write(str1 + str1 + "[" + dateFormat.format(new Date()) + "] * * *  END  * * *" + str1 + str1);
/*     */       
/* 637 */       fileWriter.close();
/*     */     }
/* 639 */     catch (IOException iOException) {
/*     */       
/* 641 */       System.out.println("\n*** ERROR: Could not write to Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + iOException);
/*     */ 
/*     */       
/*     */       return;
/* 645 */     } catch (Throwable throwable1) {
/*     */       
/* 647 */       System.out.println("\n*** ERROR: " + g.a(throwable1, 10, true));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/*     */     try {
/* 654 */       fileWriter.close();
/*     */     }
/* 656 */     catch (IOException iOException) {
/*     */       
/* 658 */       System.out.println("\n*** ERROR: Could not close the Diagnostic File: JPDF_PrintService_diagnostics.txt\n   " + iOException);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 664 */     System.out.println("\n  Done. \n");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JpdfPrintServiceDiagnosticException[] a(PrintService[] paramArrayOfPrintService) {
/* 679 */     JpdfPrintServiceDiagnosticException[] arrayOfJpdfPrintServiceDiagnosticException = null;
/* 680 */     Object object = null;
/* 681 */     PrintService printService = null;
/* 682 */     Vector<Throwable> vector = new Vector(5);
/* 683 */     byte b1 = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 688 */     System.out.print("  ");
/* 689 */     for (byte b2 = 0; b2 < paramArrayOfPrintService.length; b2++) {
/*     */ 
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */         
/* 696 */         System.out.print(".");
/*     */         
/* 698 */         (printService = paramArrayOfPrintService[b2]).getSupportedAttributeValues((Class)Media.class, null, null);
/* 699 */         printService.getSupportedDocFlavors();
/* 700 */         printService.getSupportedAttributeCategories();
/*     */       }
/* 702 */       catch (Throwable throwable) {
/*     */         
/* 704 */         throwable = new JpdfPrintServiceDiagnosticException(printService, throwable);
/* 705 */         vector.add(throwable);
/* 706 */         b1++;
/*     */       } 
/*     */     } 
/* 709 */     System.out.println();
/*     */ 
/*     */     
/* 712 */     if (b1 > 0)
/*     */     {
/* 714 */       arrayOfJpdfPrintServiceDiagnosticException = vector.<JpdfPrintServiceDiagnosticException>toArray(new JpdfPrintServiceDiagnosticException[b1]);
/*     */     }
/*     */ 
/*     */     
/* 718 */     return arrayOfJpdfPrintServiceDiagnosticException;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(JpdfPrintServiceDiagnosticException[] paramArrayOfJpdfPrintServiceDiagnosticException) {
/* 728 */     FileWriter fileWriter = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 733 */     try { fileWriter = new FileWriter("JPDF_BadPrintService.txt");
/*     */ 
/*     */       
/* 736 */       for (byte b = 0; b < paramArrayOfJpdfPrintServiceDiagnosticException.length; b++)
/*     */       {
/* 738 */         fileWriter.write((paramArrayOfJpdfPrintServiceDiagnosticException[b]).PRINT_SERVICE.getName() + "\n");
/*     */       }
/* 740 */       fileWriter.write("\n"); }
/*     */     
/* 742 */     catch (Throwable throwable)
/*     */     
/*     */     { 
/*     */       
/*     */       try { 
/*     */ 
/*     */         
/*     */         return; }
/* 750 */       catch (Throwable throwable1) { return; }  } finally { try { if (fileWriter != null) fileWriter.close();  } catch (Throwable throwable) {} }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(JpdfDiagnosticsException paramJpdfDiagnosticsException) {
/*     */     PrintWriter printWriter;
/* 763 */     JpdfException[] arrayOfJpdfException = paramJpdfDiagnosticsException.getJpdfExceptionList();
/* 764 */     Throwable throwable = null; try {
/* 765 */       printWriter = new PrintWriter(new FileWriter("JPDF_error_diagnostics.txt"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 773 */     catch (Throwable throwable1) {
/*     */       
/* 775 */       System.out.println("\n*** ERROR: Could not create Diagnostic File: JPDF_error_diagnostics.txt\n   " + throwable1);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 781 */     System.out.print("\n  Writing Diagnostic File: JPDF_error_diagnostics.txt");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 787 */       a(printWriter, "JPDF Error Diagnostics");
/*     */ 
/*     */       
/* 790 */       for (byte b = 0; b < arrayOfJpdfException.length; b++) {
/*     */         
/* 792 */         printWriter.write("\n");
/*     */ 
/*     */ 
/*     */         
/* 796 */         if (arrayOfJpdfException[b] instanceof JpdfUnexpectedException) {
/*     */           
/* 798 */           throwable = ((JpdfUnexpectedException)arrayOfJpdfException[b]).getCause();
/* 799 */           printWriter.write(arrayOfJpdfException[b] + "\n----------------------------------------------\n");
/*     */         }
/*     */         else {
/*     */           
/* 803 */           throwable = arrayOfJpdfException[b];
/*     */         } 
/* 805 */         throwable.printStackTrace(printWriter);
/*     */       } 
/*     */ 
/*     */       
/* 809 */       printWriter.close();
/*     */     }
/* 811 */     catch (IOException iOException) {
/*     */       
/* 813 */       System.out.println("\n*** ERROR: Could not write to Diagnostic File: JPDF_error_diagnostics.txt\n   " + iOException);
/*     */ 
/*     */       
/*     */       return;
/* 817 */     } catch (Throwable throwable1) {
/*     */       
/* 819 */       System.out.println("\n*** ERROR: " + g.a(throwable1, 10, true));
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 824 */     System.out.println("\n  Done. \n");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(Writer paramWriter, String paramString) {
/* 833 */     paramWriter.write(buildEnvironmentInfoString(paramString));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\diagnostics\DiagnosticsManager.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */