/*     */ package jpdf.diagnostics;
/*     */ 
/*     */ import jpdf_common.system.a.a;
/*     */ import jpdf_common.system.manage.Diagnostic;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class JpdfException
/*     */   extends Exception
/*     */   implements Diagnostic
/*     */ {
/*     */   public JpdfException() {}
/*     */   
/*     */   public JpdfException(String paramString) {
/*  37 */     super(paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public JpdfException(String paramString, Throwable paramThrowable) {
/*  42 */     super(paramString, paramThrowable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String buildCausalChainHtml() {
/*     */     Throwable throwable;
/*  62 */     if ((throwable = getCause()) == null) return "";
/*     */ 
/*     */     
/*  65 */     StringBuilder stringBuilder = new StringBuilder(256);
/*  66 */     while (throwable != null) {
/*     */       
/*  68 */       stringBuilder.append("<BR><B> ==> " + Diagnostic.CAUSED_BY + ":</B> " + throwable.getMessage());
/*     */       
/*  70 */       throwable = throwable.getCause();
/*     */     } 
/*     */     
/*  73 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDetailedExplanation() {
/*     */     String str;
/*  96 */     return str = (str = getMessage()).replaceAll(a.h, "<BR>").replaceAll("\\t", "&nbsp; &nbsp; &nbsp;");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDetailedExplanation(boolean paramBoolean, int paramInt) {
/* 112 */     String str = getDetailedExplanation();
/*     */ 
/*     */     
/* 115 */     if (paramBoolean)
/*     */     {
/* 117 */       str = str + "<HR><CODE>" + getExceptionTraceHtml(this, paramInt) + "</CODE>";
/*     */     }
/*     */ 
/*     */     
/* 121 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getExceptionTraceHtml(Throwable paramThrowable) {
/* 130 */     return getExceptionTraceHtml(paramThrowable, 999);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getExceptionTraceHtml(Throwable paramThrowable, int paramInt) {
/*     */     StackTraceElement[] arrayOfStackTraceElement;
/* 141 */     int i = Math.min((arrayOfStackTraceElement = paramThrowable.getStackTrace()).length, paramInt);
/*     */ 
/*     */ 
/*     */     
/* 145 */     StringBuilder stringBuilder = new StringBuilder(i * 100);
/* 146 */     for (byte b = 0; b < i; b++)
/*     */     {
/* 148 */       stringBuilder.append("<BR>&nbsp;&nbsp;&nbsp;" + arrayOfStackTraceElement[b].toString());
/*     */     }
/*     */ 
/*     */     
/* 152 */     if (i < arrayOfStackTraceElement.length)
/*     */     {
/* 154 */       stringBuilder.append("<BR>&nbsp;&nbsp;&nbsp;... " + (arrayOfStackTraceElement.length - i) + " more");
/*     */     }
/*     */ 
/*     */     
/* 158 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getTitle() {
/* 169 */     return isWarning() ? "System Warning" : "System Critical Error";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLocalized() {
/* 179 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isWarning() {
/* 190 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static StackTraceElement getExceptionTraceLastElement(Throwable paramThrowable) {
/*     */     StackTraceElement[] arrayOfStackTraceElement;
/* 206 */     return ((arrayOfStackTraceElement = paramThrowable.getStackTrace()).length > 0) ? arrayOfStackTraceElement[0] : null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\diagnostics\JpdfException.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */