/*     */ package jpdf.diagnostics;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.io.Serializable;
/*     */ import java.util.Arrays;
/*     */ import java.util.Comparator;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.IntegerSyntax;
/*     */ import javax.print.attribute.Size2DSyntax;
/*     */ import javax.print.attribute.TextSyntax;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import jpdf.manage.PrintServiceRegistry;
/*     */ import jpdf_common.system.log.BasicDebugger;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintDebugger
/*     */   extends BasicDebugger
/*     */ {
/*     */   static class a
/*     */     implements Serializable, Comparator
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final int compare(Object param1Object1, Object param1Object2) {
/*  47 */       return ((Attribute)param1Object1).getName().compareToIgnoreCase(((Attribute)param1Object2).getName());
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final boolean equals(Object param1Object) {
/*  53 */       return (param1Object == this);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String buildPrintAttributeSetMessage(AttributeSet paramAttributeSet, boolean paramBoolean) {
/*  77 */     String str = System.getProperty("line.separator");
/*     */     
/*  79 */     Attribute[] arrayOfAttribute = paramAttributeSet.toArray();
/*  80 */     StringBuilder stringBuilder = new StringBuilder(paramAttributeSet.size() << 5);
/*     */ 
/*     */     
/*  83 */     if (paramBoolean)
/*     */     {
/*  85 */       stringBuilder.append(str + "[*Print Attribute Set*] " + paramAttributeSet.toString());
/*     */     }
/*     */ 
/*     */     
/*  89 */     Arrays.sort(arrayOfAttribute, new a((byte)0));
/*     */ 
/*     */     
/*  92 */     for (byte b = 0; b < arrayOfAttribute.length; b++) {
/*     */       
/*  94 */       stringBuilder.append(str + "\t" + arrayOfAttribute[b].getName() + " : ");
/*  95 */       if (arrayOfAttribute[b] instanceof TextSyntax) {
/*     */         
/*  97 */         stringBuilder.append(((TextSyntax)arrayOfAttribute[b]).getValue());
/*     */       }
/*  99 */       else if (arrayOfAttribute[b] instanceof IntegerSyntax) {
/*     */         
/* 101 */         stringBuilder.append(((IntegerSyntax)arrayOfAttribute[b]).getValue());
/*     */       }
/* 103 */       else if (arrayOfAttribute[b] instanceof Size2DSyntax) {
/*     */         
/* 105 */         stringBuilder.append(((Size2DSyntax)arrayOfAttribute[b]).toString(25400, " inches"));
/*     */       }
/* 107 */       else if (arrayOfAttribute[b] instanceof MediaPrintableArea) {
/*     */         
/* 109 */         MediaPrintableArea mediaPrintableArea = (MediaPrintableArea)arrayOfAttribute[b];
/* 110 */         stringBuilder.append(mediaPrintableArea.toString(25400, " inches"));
/*     */       }
/*     */       else {
/*     */         
/* 114 */         stringBuilder.append(arrayOfAttribute[b].toString());
/*     */       } 
/*     */     } 
/*     */     
/* 118 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logPageFormat(PageFormat paramPageFormat) {
/* 126 */     logMessageAsIs("\nPage Format: " + paramPageFormat.getImageableX() + " " + paramPageFormat.getImageableX() + " " + paramPageFormat.getImageableWidth() + " " + paramPageFormat.getImageableHeight());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logDefaultAttributeValue(PrintService paramPrintService, Class<? extends Attribute> paramClass) {
/* 138 */     Object object = paramPrintService.getDefaultAttributeValue(paramClass);
/* 139 */     String str = "\nDefault Attribute Value for " + paramClass.getName() + " = ";
/*     */     
/* 141 */     if (object != null) {
/*     */       
/* 143 */       str = str + "\n\t" + object.getClass().getName() + " : " + object;
/*     */     }
/*     */     else {
/*     */       
/* 147 */       str = str + "<null>";
/*     */     } 
/* 149 */     logMessageAsIs(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logPrintAttributeSet(AttributeSet paramAttributeSet) {
/* 157 */     logMessageAsIs(buildPrintAttributeSetMessage(paramAttributeSet, true));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logPrintServiceSupportedAttributes(PrintService paramPrintService) {
/* 166 */     Class[] arrayOfClass = paramPrintService.getSupportedAttributeCategories();
/* 167 */     StringBuilder stringBuilder = new StringBuilder(64 * (arrayOfClass.length + 1));
/* 168 */     Object object = null;
/*     */     
/* 170 */     stringBuilder.append("[* Supported Attributes for Print Service: " + paramPrintService.getName() + " *] ");
/*     */     
/* 172 */     for (byte b = 0; b < arrayOfClass.length; b++) {
/*     */       
/* 174 */       stringBuilder.append("\n  " + b + ".\t" + arrayOfClass[b] + " = ");
/*     */       
/* 176 */       if ((object = paramPrintService.getDefaultAttributeValue(arrayOfClass[b])) != null) {
/*     */         
/* 178 */         stringBuilder.append(((Attribute)object).getName() + " : " + object);
/*     */       }
/*     */       else {
/*     */         
/* 182 */         stringBuilder.append("<null>");
/*     */       } 
/*     */     } 
/*     */     
/* 186 */     logMessageAsIs(stringBuilder.toString());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logPrintServiceSupportedFlavors() {
/* 194 */     PrintService[] arrayOfPrintService = PrintServiceRegistry.lookupPrintServices(null, null);
/*     */     
/* 196 */     for (byte b = 0; b < arrayOfPrintService.length; b++)
/*     */     {
/* 198 */       logPrintServiceSupportedFlavors(arrayOfPrintService[b]);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void logPrintServiceSupportedFlavors(PrintService paramPrintService) {
/* 207 */     DocFlavor[] arrayOfDocFlavor = paramPrintService.getSupportedDocFlavors();
/*     */     
/*     */     StringBuilder stringBuilder;
/* 210 */     (stringBuilder = new StringBuilder(32 * (arrayOfDocFlavor.length + 1))).append("[* Supported Doc Flavors for Print Service: " + paramPrintService.getName() + " *] ");
/*     */     
/* 212 */     for (byte b = 0; b < arrayOfDocFlavor.length; b++)
/*     */     {
/* 214 */       stringBuilder.append("\n  " + b + ".\t" + arrayOfDocFlavor[b]);
/*     */     }
/*     */     
/* 217 */     logMessageAsIs(stringBuilder.toString());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\diagnostics\PrintDebugger.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */