/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf.printer.AbstractTextComponentPrinter;
/*     */ import jpdf.printer.TextAreaPrinter;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.FullHeightRowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ContentTextContainerPanel
/*     */   extends AbstractContentContainerPanel
/*     */ {
/*     */   public static class ExtendedConstructionOptions
/*     */     extends AbstractContentContainerPanel.ConstructionOptions
/*     */   {
/*     */     public boolean scaleToFitWidthIncluded = false;
/*     */     
/*     */     public ExtendedConstructionOptions(float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  57 */       super(param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(AbstractTextComponentPrinter param1AbstractTextComponentPrinter, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  64 */       super((AbstractComponentPrinter)param1AbstractTextComponentPrinter, param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */ 
/*     */       
/*  67 */       if (param1AbstractTextComponentPrinter instanceof TextAreaPrinter)
/*     */       {
/*  69 */         this.scaleToFitWidthIncluded = ((TextAreaPrinter)param1AbstractTextComponentPrinter).isFitWidthScalingAllowed();
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ExtendedConstructionOptions(JTextComponent param1JTextComponent, float param1Float1, float param1Float2, boolean param1Boolean1, boolean param1Boolean2) {
/*  77 */       super(param1JTextComponent, param1Float1, param1Float2, param1Boolean1, param1Boolean2);
/*     */ 
/*     */       
/*  80 */       if (param1JTextComponent instanceof JTextArea)
/*     */       {
/*  82 */         this.scaleToFitWidthIncluded = TextAreaPrinter.isFitWidthScalingAllowed((JTextArea)param1JTextComponent);
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ContentTextContainerPanel(ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 122 */     this("Content", paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */   
/*     */   public ContentTextContainerPanel(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 127 */     super(ResourceAdministrator.getLocalizedString("content"), arrayOfPrintOptionsController, "Text");
/*     */ 
/*     */     
/* 130 */     a(paramLocale, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */   
/*     */   public ContentTextContainerPanel(String paramString, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 135 */     super(paramString, arrayOfPrintOptionsController, "Text");
/*     */     
/* 137 */     a((Locale)null, paramExtendedConstructionOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentTextContainerPanel createInstance(JTextComponent paramJTextComponent, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentTextContainerPanel contentTextContainerPanel;
/* 155 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions(paramJTextComponent, paramFloat1, paramFloat2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 163 */     if (paramLocale == null) {
/*     */       
/* 165 */       contentTextContainerPanel = new ContentTextContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 169 */       contentTextContainerPanel = new ContentTextContainerPanel(paramLocale, (ExtendedConstructionOptions)contentTextContainerPanel);
/*     */     } 
/*     */     
/* 172 */     return contentTextContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ContentTextContainerPanel createInstance(AbstractTextComponentPrinter paramAbstractTextComponentPrinter, Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentTextContainerPanel contentTextContainerPanel;
/* 185 */     ExtendedConstructionOptions extendedConstructionOptions = new ExtendedConstructionOptions(paramAbstractTextComponentPrinter, paramFloat1, paramFloat2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 193 */     if (paramLocale == null) {
/*     */       
/* 195 */       contentTextContainerPanel = new ContentTextContainerPanel(extendedConstructionOptions);
/*     */     }
/*     */     else {
/*     */       
/* 199 */       contentTextContainerPanel = new ContentTextContainerPanel(paramLocale, (ExtendedConstructionOptions)contentTextContainerPanel);
/*     */     } 
/*     */     
/* 202 */     return contentTextContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(Locale paramLocale, PrintOptionsController[] paramArrayOfPrintOptionsController, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 307 */     JPanel jPanel1, jPanel2 = null;
/*     */     
/* 309 */     boolean bool = false;
/*     */ 
/*     */     
/* 312 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */       
/* 314 */       bool = (!paramExtendedConstructionOptions.useBackgroundOptionIncluded || !paramExtendedConstructionOptions.backgroundOnPageOptionIncluded) ? true : false;
/*     */ 
/*     */ 
/*     */       
/* 318 */       jPanel1 = createOptionsPanel(new BorderLayout(), paramLocale);
/*     */       
/* 320 */       (jPanel2 = new JPanel((LayoutManager)new ColLayout(1))).add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 321 */       jPanel2.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/* 322 */       jPanel2.add(paramArrayOfPrintOptionsController[6].getDisplayComponent());
/* 323 */       if (!bool)
/*     */       {
/* 325 */         jPanel2.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/*     */       }
/* 327 */       jPanel1.add(jPanel2, "Center");
/*     */ 
/*     */       
/* 330 */       jPanel2 = new JPanel((LayoutManager)new ColLayout(1));
/* 331 */       if (bool)
/*     */       {
/* 333 */         jPanel2.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/*     */       }
/* 335 */       jPanel2.add(paramArrayOfPrintOptionsController[3].getDisplayComponent());
/* 336 */       if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */       {
/* 338 */         jPanel2.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/*     */       }
/* 340 */       if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */       {
/* 342 */         jPanel2.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/*     */       }
/* 344 */       if (paramExtendedConstructionOptions.borderOptionsIncluded)
/*     */       {
/* 346 */         jPanel2.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */       }
/* 348 */       jPanel1.add(jPanel2, "East");
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 355 */       (jPanel1 = createOptionsPanel((Locale)jPanel1)).add(paramArrayOfPrintOptionsController[0].getDisplayComponent());
/* 356 */       jPanel1.add(paramArrayOfPrintOptionsController[8].getDisplayComponent());
/* 357 */       jPanel1.add(paramArrayOfPrintOptionsController[6].getDisplayComponent());
/* 358 */       jPanel1.add(paramArrayOfPrintOptionsController[7].getDisplayComponent());
/* 359 */       jPanel1.add(paramArrayOfPrintOptionsController[3].getDisplayComponent());
/* 360 */       if (paramExtendedConstructionOptions.useBackgroundOptionIncluded)
/*     */       {
/* 362 */         jPanel1.add(paramArrayOfPrintOptionsController[4].getDisplayComponent());
/*     */       }
/* 364 */       if (paramExtendedConstructionOptions.backgroundOnPageOptionIncluded)
/*     */       {
/* 366 */         jPanel1.add(paramArrayOfPrintOptionsController[5].getDisplayComponent());
/*     */       }
/* 368 */       if (paramExtendedConstructionOptions.borderOptionsIncluded)
/*     */       {
/* 370 */         jPanel1.add(paramArrayOfPrintOptionsController[9].getDisplayComponent());
/*     */       }
/*     */     } 
/*     */     
/* 374 */     return jPanel1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Locale paramLocale, ExtendedConstructionOptions paramExtendedConstructionOptions) {
/* 382 */     PrintOptionsController[] arrayOfPrintOptionsController = getPrintOptionsControllerList();
/* 383 */     JPanel jPanel = null;
/*     */ 
/*     */     
/* 386 */     setBorder(EMPTY_BORDER);
/*     */ 
/*     */     
/* 389 */     if (paramExtendedConstructionOptions.toMinimizeHeight) {
/*     */       
/* 391 */       setLayout((LayoutManager)new FullHeightRowLayout(2, 7));
/* 392 */       if (paramExtendedConstructionOptions.scaleToFitWidthIncluded) {
/*     */         
/* 394 */         add(arrayOfPrintOptionsController[10].getDisplayComponent());
/*     */       }
/*     */       else {
/*     */         
/* 398 */         add(createScalePanel(arrayOfPrintOptionsController[1], paramLocale));
/*     */       } 
/* 400 */       add(arrayOfPrintOptionsController[2].getDisplayComponent());
/* 401 */       add(a(paramLocale, arrayOfPrintOptionsController, paramExtendedConstructionOptions));
/*     */       
/*     */       return;
/*     */     } 
/* 405 */     setLayout(new BorderLayout(7, 7));
/* 406 */     if (paramExtendedConstructionOptions.scaleToFitWidthIncluded) {
/*     */       
/* 408 */       add(arrayOfPrintOptionsController[10].getDisplayComponent(), "North");
/*     */     }
/*     */     else {
/*     */       
/* 412 */       add(createScalePanel(arrayOfPrintOptionsController[1], paramLocale), "North");
/*     */     } 
/*     */     
/* 415 */     (jPanel = new JPanel(new BorderLayout(7, 7))).add(arrayOfPrintOptionsController[2].getDisplayComponent(), "Center");
/* 416 */     jPanel.add(a(paramLocale, arrayOfPrintOptionsController, paramExtendedConstructionOptions), "East");
/* 417 */     add(jPanel, "Center");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\ContentTextContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */