/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.TextSyntax;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTextField;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractTextInputPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */ {
/*     */   public static final int DEFAULT_FIELD_COLUMNS = 20;
/*  47 */   private JTextField textInputField = null;
/*  48 */   private Class attributeCategory = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractTextInputPanel(String paramString, int paramInt1, Class<?> paramClass, int paramInt2) {
/*  65 */     super(paramString);
/*     */     
/*  67 */     if (!TextSyntax.class.isAssignableFrom(paramClass)) {
/*     */       
/*  69 */       paramString = "Invalid Attribute Category: " + paramClass.getName() + "\nThe Attribute Category must be a subclass of javax.print.attribute.TextSyntax.";
/*     */       
/*  71 */       throw new IllegalArgumentException(paramString);
/*     */     } 
/*  73 */     this.attributeCategory = paramClass;
/*     */     
/*  75 */     paramInt1 = paramInt2; AbstractTextInputPanel abstractTextInputPanel; (abstractTextInputPanel = this).textInputField = new JTextField(paramInt1); PrintComponentFactory.arrangeLabeledComponentContents((JPanel)this, paramString, paramInt1, abstractTextInputPanel.textInputField, 4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/*  91 */     JTextField jTextField = null;
/*     */     
/*     */     String str;
/*     */     
/*  95 */     if ((str = getAttributeValue(paramPrintInfoHolder.getAttributeSet(), paramPrintInfoHolder.getSelectedPrintService())) != null) {
/*     */ 
/*     */       
/*  98 */       (jTextField = getTextInputField()).setText(str);
/*  99 */       jTextField.setCaretPosition(0);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 109 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 110 */     String str1 = getTextInputField().getText();
/* 111 */     String str2 = null;
/*     */     
/* 113 */     if (str1.trim().equals("")) {
/*     */       
/* 115 */       printRequestAttributeSet.remove(getAttributeCategory());
/*     */     }
/*     */     else {
/*     */       
/* 119 */       str2 = getAttributeValue(printRequestAttributeSet);
/* 120 */       if (!str1.equals(str2))
/*     */       {
/* 122 */         printRequestAttributeSet.add((Attribute)createAttribute(str1));
/*     */       }
/*     */     } 
/*     */     
/* 126 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract TextSyntax createAttribute(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Class getAttributeCategory() {
/* 144 */     return this.attributeCategory;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String getAttributeValue(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 153 */     String str = null;
/*     */     
/*     */     TextSyntax textSyntax;
/*     */     
/* 157 */     if ((textSyntax = (TextSyntax)paramPrintRequestAttributeSet.get(getAttributeCategory())) != null) str = textSyntax.getValue();
/*     */     
/* 159 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String getAttributeValue(PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService) {
/* 169 */     String str = null;
/*     */     
/* 171 */     Class<?> clazz = getAttributeCategory();
/*     */ 
/*     */     
/*     */     TextSyntax textSyntax;
/*     */ 
/*     */     
/* 177 */     if ((textSyntax = (TextSyntax)paramPrintRequestAttributeSet.get(clazz)) == null)
/*     */     {
/* 179 */       textSyntax = (TextSyntax)paramPrintService.getDefaultAttributeValue((Class)clazz);
/*     */     }
/*     */ 
/*     */     
/* 183 */     if (textSyntax != null) str = textSyntax.getValue();
/*     */     
/* 185 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JTextField getTextInputField() {
/* 193 */     return this.textInputField;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\AbstractTextInputPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */