/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.attribute.FitToPages;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.component.k.b;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FitToPagesPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */ {
/*     */   private final Dimension SPINNER_SIZE;
/*     */   private PrintInfoHolder printInfoHolder;
/*     */   private b pagesWideSpinner;
/*     */   private b pagesHighSpinner;
/*     */   private JLabel spinnerLabel;
/*     */   
/*     */   public FitToPagesPanel(boolean paramBoolean) {
/*  54 */     this((Locale)null, "Fit To Pages", paramBoolean, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public FitToPagesPanel(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  60 */     this((Locale)null, "Fit To Pages", paramBoolean1, paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */   
/*     */   public FitToPagesPanel(Locale paramLocale, boolean paramBoolean) {
/*  65 */     this(paramLocale, ResourceAdministrator.getLocalizedString("fitPages"), paramBoolean, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FitToPagesPanel(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  72 */     this(paramLocale, ResourceAdministrator.getLocalizedString("fitPages"), paramBoolean1, paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public FitToPagesPanel(Locale paramLocale, String paramString, boolean paramBoolean) {
/*  78 */     this(paramLocale, paramString, paramBoolean, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public FitToPagesPanel(Locale paramLocale, String paramString, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  84 */     super(paramString); String str1, str6; this.SPINNER_SIZE = new Dimension(45, 25); this.printInfoHolder = null; this.pagesWideSpinner = null; this.pagesHighSpinner = null;
/*     */     this.spinnerLabel = null;
/*  86 */     if (!paramBoolean2 && !paramBoolean3)
/*     */     {
/*  88 */       throw new IllegalArgumentException("Either Fit Wide and/or Fit High must be included.");
/*     */     }
/*     */     
/*  91 */     String str4 = "Center"; boolean bool1 = paramBoolean3; paramBoolean3 = paramBoolean2; paramBoolean2 = paramBoolean1; String str2 = paramString; Locale locale1 = paramLocale; FitToPagesPanel fitToPagesPanel1; (fitToPagesPanel1 = this).setLayout(new BorderLayout(7, 7)); boolean bool2 = bool1; bool1 = paramBoolean3; paramBoolean3 = paramBoolean2; String str3 = str2; Locale locale2 = locale1; FitToPagesPanel fitToPagesPanel2 = fitToPagesPanel1; String str5 = null; JPanel jPanel2 = new JPanel(new FlowLayout(0, 0, 0)); JLabel jLabel = null; if (locale2 == null) { str1 = " Wide   "; str6 = " High"; } else { str1 = " " + ResourceAdministrator.getLocalizedString("wide") + "   "; str6 = " " + ResourceAdministrator.getLocalizedString("high"); }  str5 = str3; FitToPagesPanel fitToPagesPanel3; (fitToPagesPanel3 = fitToPagesPanel2).spinnerLabel = new JLabel(str5 + ": "); jPanel2.add(fitToPagesPanel3.spinnerLabel); if (bool1) { boolean bool = paramBoolean3; b b1 = (fitToPagesPanel3 = fitToPagesPanel2).pagesWideSpinner = fitToPagesPanel3.createNumericSpinner(1, 1, 99, 1, bool, fitToPagesPanel3.SPINNER_SIZE); jLabel = new JLabel(str1); jPanel2.add((Component)b1); jPanel2.add(jLabel); jLabel.setLabelFor(b1.getEditorField()); }  if (bool2) { boolean bool = paramBoolean3; b b1 = (fitToPagesPanel3 = fitToPagesPanel2).pagesHighSpinner = fitToPagesPanel3.createNumericSpinner(1, 1, 99, 1, bool, fitToPagesPanel3.SPINNER_SIZE); jLabel = new JLabel(str6); jPanel2.add((Component)b1); jPanel2.add(jLabel); jLabel.setLabelFor(b1.getEditorField()); }  JPanel jPanel1 = jPanel2; fitToPagesPanel1.add(jPanel1, str4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 106 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 107 */     FitToPagesPanel fitToPagesPanel = null;
/*     */ 
/*     */ 
/*     */     
/* 111 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder;
/*     */ 
/*     */     
/*     */     FitToPages fitToPages;
/*     */ 
/*     */     
/* 117 */     if ((fitToPages = (FitToPages)printRequestAttributeSet.get(FitToPages.class)) != null) {
/*     */       b b1;
/*     */       
/* 120 */       if ((b1 = getPagesWideSpinner()) != null)
/*     */       {
/* 122 */         b1.setValue(Integer.valueOf(fitToPages.getWidth()));
/*     */       }
/*     */       
/* 125 */       if ((b1 = getPagesHighSpinner()) != null)
/*     */       {
/* 127 */         b1.setValue(Integer.valueOf(fitToPages.getHeight()));
/*     */       }
/*     */     } 
/*     */ 
/*     */     
/* 132 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/* 142 */     FitToPages fitToPages = (FitToPages)(printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet()).get(FitToPages.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     b b1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 159 */     boolean bool2 = ((b1 = getPagesWideSpinner()) != null) ? ((Integer)b1.getValue()).intValue() : ((fitToPages != null) ? fitToPages.getWidth() : true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 171 */     boolean bool1 = ((b1 = getPagesHighSpinner()) != null) ? ((Integer)b1.getValue()).intValue() : ((fitToPages != null) ? fitToPages.getHeight() : true);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 176 */     if (fitToPages == null || !fitToPages.isEqualSize(bool2, bool1))
/*     */     {
/*     */       
/* 179 */       printRequestAttributeSet.add((Attribute)new FitToPages(bool2, bool1));
/*     */     }
/*     */ 
/*     */     
/* 183 */     updateUpdatableContainer(paramPrintInfoHolder);
/*     */     
/* 185 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected b getPagesHighSpinner() {
/* 199 */     return this.pagesHighSpinner;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected b getPagesWideSpinner() {
/* 208 */     return this.pagesWideSpinner;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 217 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JLabel getSpinnerLabel() {
/* 227 */     return this.spinnerLabel;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\FitToPagesPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */