/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Arrays;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import jpdf.attribute.RequestMediaSizeName;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageSizePanel
/*     */   extends AbstractMediaSelectionPanel
/*     */ {
/*     */   private static boolean a = true;
/*  65 */   private PrintInfoHolder printInfoHolder = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageSizePanel(int paramInt) {
/*  74 */     super("Size", paramInt);
/*     */   }
/*     */ 
/*     */   
/*     */   public PageSizePanel(Locale paramLocale, int paramInt) {
/*  79 */     super(ResourceAdministrator.getLocalizedString("label.size"), paramInt);
/*     */   }
/*     */ 
/*     */   
/*     */   public PageSizePanel(String paramString, int paramInt) {
/*  84 */     super(paramString, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getMediaSizeDisplayName(AttributeSet paramAttributeSet) {
/*     */     MediaSizeName mediaSizeName;
/* 100 */     return ResourceAdministrator.getMediaSizeName(mediaSizeName = PrintUtility.getMediaSizeName(paramAttributeSet));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/* 115 */     MediaSizeName mediaSizeName = PrintUtility.getMediaSizeName(printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet());
/*     */     
/*     */     PageSizePanel pageSizePanel;
/*     */     
/* 119 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder;
/*     */ 
/*     */     
/*     */     RequestMediaSizeName requestMediaSizeName;
/*     */     
/* 124 */     if ((requestMediaSizeName = (RequestMediaSizeName)printRequestAttributeSet.get(RequestMediaSizeName.class)) == null) {
/*     */       
/* 126 */       if (mediaSizeName == null)
/*     */       {
/* 128 */         mediaSizeName = getDefaultMediaSizeName(paramPrintInfoHolder.getSelectedPrintService());
/*     */       }
/* 130 */       requestMediaSizeName = new RequestMediaSizeName(mediaSizeName);
/* 131 */       printRequestAttributeSet.add((Attribute)requestMediaSizeName);
/*     */     } 
/*     */ 
/*     */     
/* 135 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */ 
/*     */     
/* 138 */     initializePrintableArea(printRequestAttributeSet, paramPrintInfoHolder.getSelectedPrintService());
/*     */ 
/*     */     
/* 141 */     super.setLastSelectedMedia(mediaSizeName);
/*     */ 
/*     */     
/* 144 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isDisplayedWithDimensions() {
/* 153 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/* 167 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService();
/* 168 */     DocFlavor docFlavor = paramPrintInfoHolder.getDocFlavor();
/* 169 */     AbstractMediaSelectionPanel.MediaSelectionComboBox mediaSelectionComboBox = getMediaSelectionComboBox();
/* 170 */     ArrayList<AbstractMediaSelectionPanel.MediaName> arrayList = null;
/*     */ 
/*     */     
/* 173 */     String str = null;
/*     */     
/* 175 */     boolean bool2 = isDisplayedWithDimensions();
/*     */ 
/*     */ 
/*     */     
/* 179 */     Media[] arrayOfMedia = (Media[])printService.getSupportedAttributeValues((Class)Media.class, docFlavor, null);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 184 */     arrayList = new ArrayList(arrayOfMedia.length);
/* 185 */     for (byte b = 0; b < arrayOfMedia.length; b++) {
/*     */       
/* 187 */       if (arrayOfMedia[b] instanceof MediaSizeName) {
/*     */         
/* 189 */         str = ResourceAdministrator.getMediaSizeName((MediaSizeName)arrayOfMedia[b], bool2, true);
/*     */         
/* 191 */         arrayList.add(new AbstractMediaSelectionPanel.MediaName(arrayOfMedia[b], str));
/*     */       } 
/*     */     } 
/*     */     AbstractMediaSelectionPanel.MediaName[] arrayOfMediaName;
/* 195 */     Arrays.sort((Object[])(arrayOfMediaName = arrayList.toArray(new AbstractMediaSelectionPanel.MediaName[0])));
/*     */ 
/*     */ 
/*     */     
/*     */     boolean bool1;
/*     */ 
/*     */     
/* 202 */     if (!(bool1 = mediaSelectionComboBox.loadMediaNameList(arrayOfMediaName, getLastSelectedMedia()))) {
/*     */       Media media;
/*     */       
/* 205 */       if (media = (Media)printService.getDefaultAttributeValue((Class)Media.class) instanceof MediaSizeName)
/*     */       {
/* 207 */         mediaSelectionComboBox.selectMedia(media);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDisplayedWithDimensions(boolean paramBoolean) {
/* 218 */     a = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 234 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 235 */     AbstractMediaSelectionPanel.MediaName mediaName = null;
/* 236 */     AbstractPrintOptionsControllerPanel.MarginValuesHolder marginValuesHolder = computeMarginValues(printRequestAttributeSet, null);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 244 */     mediaName = (AbstractMediaSelectionPanel.MediaName)getMediaSelectionComboBox().getSelectedItem();
/* 245 */     Media media = (Media)printRequestAttributeSet.get(Media.class);
/* 246 */     if (!mediaName.MEDIA.equals(media)) {
/*     */       
/* 248 */       printRequestAttributeSet.add(mediaName.MEDIA);
/* 249 */       RequestMediaSizeName requestMediaSizeName = new RequestMediaSizeName((MediaSizeName)mediaName.MEDIA);
/* 250 */       printRequestAttributeSet.add((Attribute)requestMediaSizeName);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 256 */     updatePrintableArea(paramPrintInfoHolder, marginValuesHolder, true, true);
/*     */     
/* 258 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static MediaSizeName getDefaultMediaSizeName(PrintService paramPrintService) {
/*     */     Media media;
/* 275 */     if (media = (Media)paramPrintService.getDefaultAttributeValue((Class)Media.class) instanceof MediaSizeName) {
/*     */       
/* 277 */       media = media;
/*     */     }
/*     */     else {
/*     */       
/* 281 */       media = PrintUtility.DEFAULT_MEDIA_SIZE_NAME;
/*     */     } 
/*     */     
/* 284 */     return (MediaSizeName)media;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 293 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setLastSelectedMedia(Media paramMedia) {
/* 302 */     PrintInfoHolder printInfoHolder = getPrintInfoHolder();
/*     */ 
/*     */     
/* 305 */     super.setLastSelectedMedia(paramMedia);
/*     */ 
/*     */     
/* 308 */     if (printInfoHolder != null) updatePrintOptions(printInfoHolder); 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PageSizePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */