/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.PrintQuality;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JRadioButton;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintServiceSelectionObserver;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class QualitySpecificationPanel
/*     */   extends AbstractRadioButtonPanel
/*     */   implements PrintServiceSelectionObserver
/*     */ {
/*     */   public QualitySpecificationPanel() {
/*  53 */     this((Locale)null, "Quality", true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public QualitySpecificationPanel(Locale paramLocale) {
/*  62 */     this(paramLocale, ResourceAdministrator.getLocalizedString("quality.title"), true);
/*     */   }
/*     */ 
/*     */   
/*     */   public QualitySpecificationPanel(String paramString) {
/*  67 */     this((Locale)null, paramString, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public QualitySpecificationPanel(Locale paramLocale, String paramString) {
/*  76 */     this(paramLocale, paramString, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public QualitySpecificationPanel(Locale paramLocale, String paramString, boolean paramBoolean) {
/*  88 */     super(paramString);
/*     */     
/*  90 */     boolean bool = paramBoolean; Locale locale = paramLocale; QualitySpecificationPanel qualitySpecificationPanel = this; initializeBorderLayoutContents(bool ? qualitySpecificationPanel.createVerticalRadioButtonsPanel(qualitySpecificationPanel.a(locale), 3) : qualitySpecificationPanel.createRowRadioButtonsPanel(qualitySpecificationPanel.a(locale)), paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 105 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 106 */     PrintService printService = null;
/* 107 */     printService = null;
/*     */ 
/*     */     
/*     */     PrintQuality printQuality;
/*     */ 
/*     */     
/* 113 */     if ((printQuality = (PrintQuality)printRequestAttributeSet.get(PrintQuality.class)) == null)
/*     */     {
/*     */       
/* 116 */       printQuality = (PrintQuality)(printService = paramPrintInfoHolder.getSelectedPrintService()).getDefaultAttributeValue((Class)PrintQuality.class);
/*     */     }
/*     */ 
/*     */     
/* 120 */     if (printQuality != null) {
/*     */       
/* 122 */       JRadioButton[] arrayOfJRadioButton = getButtonList();
/* 123 */       if (printQuality == PrintQuality.DRAFT) {
/*     */         
/* 125 */         arrayOfJRadioButton[0].setSelected(true);
/*     */       }
/* 127 */       else if (printQuality == PrintQuality.NORMAL) {
/*     */         
/* 129 */         arrayOfJRadioButton[1].setSelected(true);
/*     */       }
/* 131 */       else if (printQuality == PrintQuality.HIGH) {
/*     */         
/* 133 */         arrayOfJRadioButton[2].setSelected(true);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 138 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/* 149 */     DocFlavor docFlavor = paramPrintInfoHolder.getDocFlavor();
/* 150 */     JRadioButton[] arrayOfJRadioButton = getButtonList();
/*     */     
/* 152 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService(); byte b;
/* 153 */     for (b = 0; b < arrayOfJRadioButton.length; 
/*     */ 
/*     */       
/* 156 */       b++)
/*     */     {
/* 158 */       arrayOfJRadioButton[b].setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     PrintQuality[] arrayOfPrintQuality;
/*     */ 
/*     */     
/* 166 */     if ((arrayOfPrintQuality = (PrintQuality[])printService.getSupportedAttributeValues((Class)PrintQuality.class, docFlavor, null)) != null)
/*     */     {
/* 168 */       for (b = 0; b < arrayOfPrintQuality.length; b++) {
/*     */         
/* 170 */         if (arrayOfPrintQuality[b] == PrintQuality.DRAFT) {
/*     */           
/* 172 */           arrayOfJRadioButton[0].setEnabled(true);
/*     */         }
/* 174 */         else if (arrayOfPrintQuality[b] == PrintQuality.NORMAL) {
/*     */           
/* 176 */           arrayOfJRadioButton[1].setEnabled(true);
/*     */         }
/* 178 */         else if (arrayOfPrintQuality[b] == PrintQuality.HIGH) {
/*     */           
/* 180 */           arrayOfJRadioButton[2].setEnabled(true);
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 188 */     if ((i = getSelectedButtonIndex()) >= 0)
/*     */     {
/* 190 */       if (!arrayOfJRadioButton[i].isEnabled())
/*     */       {
/* 192 */         if (arrayOfJRadioButton[1].isEnabled())
/*     */         {
/* 194 */           arrayOfJRadioButton[1].setSelected(true);
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 206 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 207 */     JRadioButton[] arrayOfJRadioButton = null;
/* 208 */     Object object = null;
/* 209 */     arrayOfJRadioButton = getButtonList();
/* 210 */     int i = getSelectedButtonIndex();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 215 */     if (!arrayOfJRadioButton[i].isEnabled()) {
/*     */       
/* 217 */       printRequestAttributeSet.remove(PrintQuality.class);
/*     */     } else {
/*     */       PrintQuality printQuality1;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 224 */       if (i == 0) {
/*     */         
/* 226 */         printQuality1 = PrintQuality.DRAFT;
/*     */       }
/* 228 */       else if (i == 1) {
/*     */         
/* 230 */         printQuality1 = PrintQuality.NORMAL;
/*     */       }
/*     */       else {
/*     */         
/* 234 */         printQuality1 = PrintQuality.HIGH;
/*     */       } 
/*     */ 
/*     */       
/* 238 */       PrintQuality printQuality2 = (PrintQuality)printRequestAttributeSet.get(PrintQuality.class);
/*     */ 
/*     */       
/* 241 */       if (!printQuality1.equals(printQuality2))
/*     */       {
/* 243 */         printRequestAttributeSet.add(printQuality1);
/*     */       }
/*     */     } 
/*     */     
/* 247 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JRadioButton[] a(Locale paramLocale) {
/* 274 */     JRadioButton[] arrayOfJRadioButton = new JRadioButton[3];
/* 275 */     ButtonGroup buttonGroup = getButtonGroup();
/* 276 */     String str = null;
/*     */ 
/*     */     
/* 279 */     if (paramLocale == null) {
/*     */       
/* 281 */       arrayOfJRadioButton[0] = new JRadioButton("Draft");
/* 282 */       arrayOfJRadioButton[1] = new JRadioButton("Normal");
/* 283 */       arrayOfJRadioButton[2] = new JRadioButton("High");
/*     */     }
/*     */     else {
/*     */       
/* 287 */       str = ResourceAdministrator.getLocalizedString("quality.draft");
/* 288 */       arrayOfJRadioButton[0] = new JRadioButton(str);
/* 289 */       str = ResourceAdministrator.getLocalizedString("quality.normal");
/* 290 */       arrayOfJRadioButton[1] = new JRadioButton(str);
/* 291 */       str = ResourceAdministrator.getLocalizedString("quality.high");
/* 292 */       arrayOfJRadioButton[2] = new JRadioButton(str);
/*     */     } 
/*     */ 
/*     */     
/* 296 */     for (byte b = 0; b < arrayOfJRadioButton.length; b++) {
/*     */       
/* 298 */       buttonGroup.add(arrayOfJRadioButton[b]);
/* 299 */       arrayOfJRadioButton[b].setEnabled(false);
/*     */     } 
/*     */ 
/*     */     
/* 303 */     arrayOfJRadioButton[1].setSelected(true);
/*     */     
/* 305 */     return arrayOfJRadioButton;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\QualitySpecificationPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */