/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.SpinnerNumberModel;
/*     */ import jpdf.attribute.ScaleFactor;
/*     */ import jpdf.attribute.ScaleFactorMax;
/*     */ import jpdf.attribute.ScaleFactorMin;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.component.k.b;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ScaleFactorPanel
/*     */   extends AbstractNumericSpinnerPanel
/*     */ {
/*     */   private static boolean a = true;
/*  52 */   private static int b = 10;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ScaleFactorPanel(float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  63 */     this((Locale)null, "Scale", paramFloat1, paramFloat2, paramBoolean1, paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ScaleFactorPanel(Locale paramLocale, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  71 */     this(paramLocale, ResourceAdministrator.getLocalizedString("scale"), paramFloat1, paramFloat2, paramBoolean1, paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ScaleFactorPanel(String paramString, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  80 */     this((Locale)null, paramString, paramFloat1, paramFloat2, paramBoolean1, paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ScaleFactorPanel(Locale paramLocale, String paramString, float paramFloat1, float paramFloat2, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/*  88 */     super(paramString, paramBoolean1);
/*     */ 
/*     */     
/*  91 */     if (paramFloat1 >= paramFloat2) {
/*     */       
/*  93 */       String str1 = "The Minimum Scale Factor (" + paramFloat1 + ") must be less than the Maximum Scale Factor (" + paramFloat2 + ").";
/*     */       
/*  95 */       throw new IllegalArgumentException(str1);
/*     */     } 
/*  97 */     if (paramFloat1 > 1.0F || paramFloat2 < 1.0F) {
/*     */       
/*  99 */       String str1 = "The Scale Factor Range (" + paramFloat1 + " - " + paramFloat2 + ") must bound 1.0.";
/*     */       
/* 101 */       throw new IllegalArgumentException(str1);
/*     */     } 
/*     */ 
/*     */     
/* 105 */     paramBoolean1 = paramBoolean2 = paramBoolean3; paramFloat2 = paramFloat2; paramFloat1 = paramFloat1; paramString = paramString; ScaleFactorPanel scaleFactorPanel1 = this; if (paramBoolean1 && paramBoolean2) { scaleFactorPanel1.setLayout((LayoutManager)new ColLayout(1, 0, 7)); } else { scaleFactorPanel1.setLayout((LayoutManager)new RowLayout(10, 7)); }  float f2 = paramFloat2, f1 = paramFloat1; String str = paramString; ScaleFactorPanel scaleFactorPanel2 = scaleFactorPanel1; JPanel jPanel = new JPanel(new FlowLayout(3, 0, 0)); b b = scaleFactorPanel2.createNumericSpinner(100, Math.round(f1 * 100.0F), Math.round(f2 * 100.0F), b); JLabel jLabel = scaleFactorPanel2.createSpinnerLabel(str + ": ", b); jPanel.add(jLabel); if (isToIncludeStepSizeField()) { jPanel.add(b.createContainingSpinnerDeltaPanel(2)); } else { jPanel.add((Component)b); }  jPanel.add(new JLabel(" %")); scaleFactorPanel1.add(jPanel); if (paramBoolean1) { float f4 = paramFloat2, f3 = paramFloat1; scaleFactorPanel1.add(new JLabel(" (" + (int)(f3 * 100.0F) + "% - " + (int)(f4 * 100.0F) + "%)")); }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 124 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 125 */     setPrintInfoHolder(paramPrintInfoHolder);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     ScaleFactor scaleFactor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 137 */     if ((scaleFactor = (ScaleFactor)printRequestAttributeSet.get(ScaleFactor.class)) != null)
/*     */     {
/* 139 */       getNumericSpinner().setValue(Integer.valueOf((int)(scaleFactor.getValue() * 100.0F)));
/*     */     }
/*     */ 
/*     */     
/*     */     SpinnerNumberModel spinnerNumberModel;
/*     */     
/* 145 */     int j = ((Integer)(spinnerNumberModel = (SpinnerNumberModel)getNumericSpinner().getModel()).getMinimum()).intValue();
/* 146 */     int i = ((Integer)spinnerNumberModel.getMaximum()).intValue();
/* 147 */     printRequestAttributeSet.add((Attribute)new ScaleFactorMin(j / 100.0F));
/* 148 */     printRequestAttributeSet.add((Attribute)new ScaleFactorMax(i / 100.0F));
/*     */ 
/*     */     
/* 151 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToIncludeStepSizeField() {
/* 161 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 170 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/*     */ 
/*     */     
/*     */     int j;
/*     */ 
/*     */     
/*     */     b b;
/*     */     
/* 178 */     float f = (j = ((Integer)(b = getNumericSpinner()).getValue()).intValue()) / 100.0F;
/*     */ 
/*     */     
/*     */     ScaleFactor scaleFactor;
/*     */ 
/*     */     
/* 184 */     if ((scaleFactor = (ScaleFactor)printRequestAttributeSet.get(ScaleFactor.class)) == null || scaleFactor.getValue() != f)
/*     */     {
/*     */       
/* 187 */       printRequestAttributeSet.add((Attribute)new ScaleFactor(f));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 193 */     int i = (int)b.getFloatStepSize();
/*     */ 
/*     */     
/* 196 */     updateUpdatableContainer(paramPrintInfoHolder);
/*     */     
/* 198 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToIncludeStepSizeField(boolean paramBoolean) {
/* 208 */     a = paramBoolean;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\ScaleFactorPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */