/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Font;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTree;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf.attribute.ScaleFactorMax;
/*     */ import jpdf.attribute.ScaleFactorMin;
/*     */ import jpdf.gui.container.AbstractContentContainerPanel;
/*     */ import jpdf.gui.container.ContentContainerPanel;
/*     */ import jpdf.gui.container.ContentFontContainerPanel;
/*     */ import jpdf.gui.container.ContentSizingContainerPanel;
/*     */ import jpdf.gui.container.ContentTableContainerPanel;
/*     */ import jpdf.gui.container.ContentTextContainerPanel;
/*     */ import jpdf.gui.container.ContentTreeContainerPanel;
/*     */ import jpdf.printer.AbstractComponentListPrinter;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf.printer.AbstractTextComponentPrinter;
/*     */ import jpdf.printer.CloneableGenericComponentPrinter;
/*     */ import jpdf.printer.TableComponentPrinter;
/*     */ import jpdf.printer.TextPrinter;
/*     */ import jpdf.printer.TreeComponentPrinter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ContentDialogAdministrator
/*     */ {
/*  38 */   private static float a = 0.2F;
/*  39 */   private static float b = 4.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createBasicPrintableOptionsContainer(Locale paramLocale, boolean paramBoolean1, Printable paramPrintable, boolean paramBoolean2) {
/*  56 */     return (AbstractContentContainerPanel)ContentContainerPanel.createInstanceForBasicPrintable(paramPrintable, paramLocale, getMinScaleFactor(), getMaxScaleFactor(), paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createComponentOptionsContainer(Locale paramLocale, boolean paramBoolean1, Printable paramPrintable, boolean paramBoolean2) {
/*  74 */     if (isToIncludeSizingControls(paramPrintable))
/*     */     {
/*  76 */       return (AbstractContentContainerPanel)ContentSizingContainerPanel.createInstanceForComponentPrintable(paramPrintable, paramLocale, paramBoolean1, paramBoolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  82 */     return (AbstractContentContainerPanel)ContentContainerPanel.createInstanceForComponentPrintable(paramPrintable, paramLocale, getMinScaleFactor(), getMaxScaleFactor(), paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createFontOptionsContainer(Locale paramLocale, boolean paramBoolean1, Font paramFont, boolean paramBoolean2) {
/*  96 */     return (AbstractContentContainerPanel)ContentFontContainerPanel.createInstance(paramLocale, paramFont, paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createOptionsContainer(Locale paramLocale, AttributeSet paramAttributeSet, Printable paramPrintable, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ContentTableContainerPanel contentTableContainerPanel;
/*     */     AbstractContentContainerPanel abstractContentContainerPanel;
/*     */     AbstractComponentPrinter abstractComponentPrinter;
/* 120 */     Printable printable2 = paramPrintable;
/*     */     
/* 122 */     Object object = null;
/*     */     
/* 124 */     float f1 = getMinScaleFactor(paramAttributeSet);
/* 125 */     float f2 = getMaxScaleFactor(paramAttributeSet);
/*     */ 
/*     */ 
/*     */     
/* 129 */     Printable printable1 = paramPrintable; Component component2 = null; if (printable1 instanceof javax.swing.JComponent || printable1 instanceof javax.swing.JDialog || printable1 instanceof javax.swing.JFrame || printable1 instanceof javax.swing.JWindow) { component2 = (Component)printable1; } else if (printable1 instanceof AbstractComponentPrinter) { component2 = ((AbstractComponentPrinter)printable1).getTargetComponent(); } else if (printable1 instanceof AbstractComponentListPrinter) { component2 = ((AbstractComponentListPrinter)printable1).getPrimaryComponent(); }  Component component1 = component2;
/*     */ 
/*     */     
/* 132 */     if (paramPrintable instanceof AbstractComponentListPrinter)
/*     */     {
/* 134 */       abstractComponentPrinter = ((AbstractComponentListPrinter)paramPrintable).getPrimaryPrinter();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 140 */     if (component1 instanceof JTable) {
/*     */       
/* 142 */       if (abstractComponentPrinter instanceof TableComponentPrinter) {
/*     */         
/* 144 */         contentTableContainerPanel = ContentTableContainerPanel.createInstance((TableComponentPrinter)abstractComponentPrinter, paramLocale, f1, f2, paramBoolean1, paramBoolean2);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 150 */         contentTableContainerPanel = ContentTableContainerPanel.createInstance((JTable)component1, (Locale)contentTableContainerPanel, f1, f2, paramBoolean1, paramBoolean2);
/*     */       } 
/*     */     } else {
/*     */       ContentTreeContainerPanel contentTreeContainerPanel;
/*     */ 
/*     */ 
/*     */       
/* 157 */       if (component1 instanceof JTree) {
/*     */         
/* 159 */         if (abstractComponentPrinter instanceof TreeComponentPrinter) {
/*     */           
/* 161 */           contentTreeContainerPanel = ContentTreeContainerPanel.createInstance((TreeComponentPrinter)abstractComponentPrinter, (Locale)contentTableContainerPanel, f1, f2, paramBoolean1, paramBoolean2);
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 167 */           contentTreeContainerPanel = ContentTreeContainerPanel.createInstance((JTree)component1, (Locale)contentTreeContainerPanel, f1, f2, paramBoolean1, paramBoolean2);
/*     */         } 
/*     */       } else {
/*     */         ContentTextContainerPanel contentTextContainerPanel;
/*     */ 
/*     */ 
/*     */         
/* 174 */         if (component1 instanceof JTextComponent) {
/*     */           
/* 176 */           if (abstractComponentPrinter instanceof AbstractTextComponentPrinter)
/*     */           {
/* 178 */             contentTextContainerPanel = ContentTextContainerPanel.createInstance((AbstractTextComponentPrinter)abstractComponentPrinter, (Locale)contentTreeContainerPanel, f1, f2, paramBoolean1, paramBoolean2);
/*     */           
/*     */           }
/*     */           else
/*     */           {
/*     */             
/* 184 */             contentTextContainerPanel = ContentTextContainerPanel.createInstance((JTextComponent)component1, (Locale)contentTextContainerPanel, f1, f2, paramBoolean1, paramBoolean2);
/*     */ 
/*     */           
/*     */           }
/*     */ 
/*     */         
/*     */         }
/* 191 */         else if (component1 instanceof javax.swing.JComponent || component1 instanceof javax.swing.JDialog || component1 instanceof javax.swing.JFrame || component1 instanceof javax.swing.JWindow) {
/*     */ 
/*     */           
/* 194 */           abstractContentContainerPanel = createComponentOptionsContainer((Locale)contentTextContainerPanel, paramBoolean1, paramPrintable, paramBoolean2);
/*     */ 
/*     */ 
/*     */         
/*     */         }
/* 199 */         else if (paramPrintable instanceof TextPrinter) {
/*     */           
/* 201 */           Font font = ((TextPrinter)paramPrintable).getDefaultFont();
/* 202 */           abstractContentContainerPanel = createFontOptionsContainer((Locale)abstractContentContainerPanel, paramBoolean1, font, paramBoolean2);
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 209 */           abstractContentContainerPanel = createBasicPrintableOptionsContainer((Locale)abstractContentContainerPanel, paramBoolean1, paramPrintable, paramBoolean2);
/*     */         } 
/*     */       } 
/*     */     } 
/* 213 */     return abstractContentContainerPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createTableOptionsContainer(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 223 */     return (AbstractContentContainerPanel)ContentTableContainerPanel.createInstance(null, paramLocale, getMinScaleFactor(), getMaxScaleFactor(), paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createTextOptionsContainer(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 235 */     return (AbstractContentContainerPanel)ContentTextContainerPanel.createInstance(null, paramLocale, getMinScaleFactor(), getMaxScaleFactor(), paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractContentContainerPanel createTreeOptionsContainer(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 247 */     return (AbstractContentContainerPanel)ContentTreeContainerPanel.createInstance(null, paramLocale, getMinScaleFactor(), getMaxScaleFactor(), paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getMaxScaleFactor() {
/* 258 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getMaxScaleFactor(AttributeSet paramAttributeSet) {
/* 269 */     float f = getMaxScaleFactor();
/*     */     
/* 271 */     if (paramAttributeSet != null)
/*     */     {
/* 273 */       f = ScaleFactorMax.getScaleFactorMax(paramAttributeSet, f);
/*     */     }
/*     */     
/* 276 */     return f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getMinScaleFactor() {
/* 285 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getMinScaleFactor(AttributeSet paramAttributeSet) {
/* 296 */     float f = getMinScaleFactor();
/*     */     
/* 298 */     if (paramAttributeSet != null)
/*     */     {
/* 300 */       f = ScaleFactorMin.getScaleFactorMin(paramAttributeSet, f);
/*     */     }
/*     */     
/* 303 */     return f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToIncludeSizingControls(Printable paramPrintable) {
/* 318 */     if (paramPrintable instanceof CloneableGenericComponentPrinter)
/*     */     {
/*     */ 
/*     */       
/* 322 */       return ((CloneableGenericComponentPrinter)paramPrintable).isSizingPreferred();
/*     */     }
/*     */     
/* 325 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setMaxScaleFactor(float paramFloat) {
/* 334 */     b = paramFloat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setMinScaleFactor(float paramFloat) {
/* 343 */     a = paramFloat;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\ContentDialogAdministrator.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */