/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.container.General_4_ContainerPanel;
/*     */ import jpdf.gui.container.General_4i_ContainerPanel;
/*     */ import jpdf.gui.container.JobOptions_1_ContainerPanel;
/*     */ import jpdf.gui.preview.AbstractOverviewControlPanel;
/*     */ import jpdf.gui.preview.OverviewPrintableControlPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OverviewPrintDialog
/*     */   extends TabbedPrintDialog
/*     */   implements InitializableDisplay
/*     */ {
/*  59 */   private static final AbstractOverviewControlPanel.ControlState a = new AbstractOverviewControlPanel.ControlState();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Frame paramFrame, AttributeSetPrintable paramAttributeSetPrintable) {
/*  75 */     this(paramFrame, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/*  89 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 102 */     super(paramFrame, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService), (Object)null, false);
/*     */ 
/*     */     
/* 105 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Dialog paramDialog, AttributeSetPrintable paramAttributeSetPrintable) {
/* 117 */     this(paramDialog, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 131 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPrintDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 144 */     super(paramDialog, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService), (Object)null, false);
/*     */ 
/*     */     
/* 147 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/* 161 */     b().initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/* 173 */     setDefaultCursor();
/* 174 */     super.show();
/* 175 */     b().storeControlState(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static PrintOptionsController[] a(Locale paramLocale, PrintService paramPrintService) {
/* 189 */     PrintOptionsController[] arrayOfPrintOptionsController = new PrintOptionsController[3];
/* 190 */     boolean bool1 = PrintDialogPreferences.isToUsePrintServiceSelectionIcons();
/*     */     boolean bool2;
/* 192 */     byte b = (bool2 = PrintDialogPreferences.isToUseSmallPrintServiceIcons()) ? 2 : 4;
/*     */ 
/*     */     
/* 195 */     if (paramLocale == null) {
/*     */       
/* 197 */       if (bool1) {
/*     */         
/* 199 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_4i_ContainerPanel(paramPrintService, true, true, b, bool2);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 204 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_4_ContainerPanel(true, true);
/*     */       } 
/* 206 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new JobOptions_1_ContainerPanel();
/* 207 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new OverviewPrintableControlPanel();
/*     */     }
/*     */     else {
/*     */       
/* 211 */       if (bool1) {
/*     */         
/* 213 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_4i_ContainerPanel(paramLocale, paramPrintService, true, true, b, bool2);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 218 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_4_ContainerPanel(paramLocale, true, true);
/*     */       } 
/* 220 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new JobOptions_1_ContainerPanel(paramLocale);
/* 221 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new OverviewPrintableControlPanel(paramLocale);
/*     */     } 
/*     */     
/* 224 */     return arrayOfPrintOptionsController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private OverviewPrintableControlPanel b() {
/* 232 */     return (OverviewPrintableControlPanel)getPrintOptionsContainerPanel().getPrintOptionsControllerList()[2];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Printable paramPrintable) {
/* 242 */     b().setControlState(a);
/*     */ 
/*     */     
/* 245 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 247 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */ 
/*     */     
/* 251 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\OverviewPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */