/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.container.PreviewPrintContainerPanel;
/*     */ import jpdf.gui.preview.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewPrintDialog
/*     */   extends AbstractPrintDialog
/*     */   implements InitializableDisplay
/*     */ {
/*     */   public PreviewPrintDialog(Frame paramFrame, AttributeSetPrintable paramAttributeSetPrintable) {
/*  59 */     this(paramFrame, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/*  73 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/*  86 */     super(paramFrame, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale), (Object)null);
/*     */ 
/*     */ 
/*     */     
/*  90 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/*  92 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */ 
/*     */     
/*  96 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintDialog(Dialog paramDialog, AttributeSetPrintable paramAttributeSetPrintable) {
/* 108 */     this(paramDialog, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 122 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 135 */     super(paramDialog, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale), (Object)null);
/*     */ 
/*     */ 
/*     */     
/* 139 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 141 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */ 
/*     */     
/* 145 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/*     */     PreviewPrintContainerPanel previewPrintContainerPanel;
/*     */     PreviewPrintableControlPanel previewPrintableControlPanel;
/* 165 */     (previewPrintableControlPanel = (previewPrintContainerPanel = (PreviewPrintContainerPanel)getPrintOptionsContainerPanel()).getPreviewControlPanel()).initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/* 182 */     setUniqueMnemonics(25);
/*     */ 
/*     */     
/* 185 */     setResizable(false);
/*     */ 
/*     */     
/* 188 */     pack();
/* 189 */     if (getWidth() < 560) setSize(560, getHeight());
/*     */     
/* 191 */     super.show();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractPrintOptionsContainerPanel a(Locale paramLocale) {
/*     */     PreviewPrintContainerPanel previewPrintContainerPanel;
/* 204 */     if (paramLocale == null) {
/*     */ 
/*     */ 
/*     */       
/* 208 */       previewPrintContainerPanel = new PreviewPrintContainerPanel();
/*     */     }
/*     */     else {
/*     */       
/* 212 */       previewPrintContainerPanel = new PreviewPrintContainerPanel((Locale)previewPrintContainerPanel);
/*     */     } 
/*     */     
/* 215 */     return (AbstractPrintOptionsContainerPanel)previewPrintContainerPanel;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\PreviewPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */