/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.container.AbstractContentContainerPanel;
/*     */ import jpdf.gui.container.General_1_ContainerPanel;
/*     */ import jpdf.gui.container.Notes_3_ContainerPanel;
/*     */ import jpdf.gui.container.PageSetup_1_ContainerPanel;
/*     */ import jpdf.gui.preview.AbstractPreviewControlPanel;
/*     */ import jpdf.gui.preview.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SetupContentPreviewPrintDialog
/*     */   extends TabbedPrintDialog
/*     */   implements InitializableDisplay
/*     */ {
/*  87 */   private static final AbstractPreviewControlPanel.ControlState a = new AbstractPreviewControlPanel.ControlState();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String CONTENT_TYPE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupContentPreviewPrintDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, PrintOptionsController paramPrintOptionsController, String paramString, Printable paramPrintable) {
/* 118 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintOptionsController, paramString, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupContentPreviewPrintDialog(Frame paramFrame, String paramString1, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, PrintOptionsController paramPrintOptionsController, String paramString2, Printable paramPrintable) {
/* 139 */     super(paramFrame, paramString1, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintRequestAttributeSet, paramPrintOptionsController), (Object)null);
/*     */ 
/*     */     
/* 142 */     this.CONTENT_TYPE = paramString2;
/* 143 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupContentPreviewPrintDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, PrintOptionsController paramPrintOptionsController, String paramString, Printable paramPrintable) {
/* 164 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintOptionsController, paramString, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupContentPreviewPrintDialog(Dialog paramDialog, String paramString1, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, PrintOptionsController paramPrintOptionsController, String paramString2, Printable paramPrintable) {
/* 185 */     super(paramDialog, paramString1, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintRequestAttributeSet, paramPrintOptionsController), (Object)null);
/*     */ 
/*     */     
/* 188 */     this.CONTENT_TYPE = paramString2;
/* 189 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SetupContentPreviewPrintDialog createPrintableContentDialog(Frame paramFrame, AttributeSetPrintable paramAttributeSetPrintable) {
/* 211 */     return createPrintableContentDialog(paramFrame, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SetupContentPreviewPrintDialog createPrintableContentDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 232 */     AbstractContentContainerPanel abstractContentContainerPanel = ContentDialogAdministrator.createOptionsContainer(paramLocale, paramPrintRequestAttributeSet, paramPrintable, true, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 240 */     String str = "-" + abstractContentContainerPanel.getContentType() + '-';
/*     */ 
/*     */ 
/*     */     
/*     */     SetupContentPreviewPrintDialog setupContentPreviewPrintDialog;
/*     */ 
/*     */     
/* 247 */     return setupContentPreviewPrintDialog = new SetupContentPreviewPrintDialog(paramFrame, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, (PrintOptionsController)abstractContentContainerPanel, str, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SetupContentPreviewPrintDialog createPrintableContentDialog(Dialog paramDialog, AttributeSetPrintable paramAttributeSetPrintable) {
/* 264 */     return createPrintableContentDialog(paramDialog, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SetupContentPreviewPrintDialog createPrintableContentDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 285 */     AbstractContentContainerPanel abstractContentContainerPanel = ContentDialogAdministrator.createOptionsContainer(paramLocale, paramPrintRequestAttributeSet, paramPrintable, true, false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 293 */     String str = "-" + abstractContentContainerPanel.getContentType() + '-';
/*     */ 
/*     */ 
/*     */     
/*     */     SetupContentPreviewPrintDialog setupContentPreviewPrintDialog;
/*     */ 
/*     */     
/* 300 */     return setupContentPreviewPrintDialog = new SetupContentPreviewPrintDialog(paramDialog, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, (PrintOptionsController)abstractContentContainerPanel, str, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/*     */     InitializableDisplay initializableDisplay;
/* 312 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(3)).initializeDisplay();
/*     */     
/* 314 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(4)).initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/*     */     PreviewPrintableControlPanel previewPrintableControlPanel;
/* 331 */     (previewPrintableControlPanel = b()).setPreferredSize(new Dimension(111, 111));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 336 */     setDefaultCursor();
/* 337 */     super.show();
/* 338 */     previewPrintableControlPanel.storeControlState(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static PrintOptionsController[] a(Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintOptionsController paramPrintOptionsController) {
/* 357 */     PrintOptionsController[] arrayOfPrintOptionsController = new PrintOptionsController[5];
/*     */     
/* 359 */     boolean bool = PrintDialogPreferences.isToAllowReverseOrientations();
/*     */ 
/*     */ 
/*     */     
/* 363 */     Notes_3_ContainerPanel.ConstructionOptions constructionOptions = new Notes_3_ContainerPanel.ConstructionOptions(true);
/* 364 */     if (paramLocale == null) {
/*     */       
/* 366 */       arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_1_ContainerPanel(false);
/* 367 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_1_ContainerPanel(bool);
/* 368 */       arrayOfPrintOptionsController[2] = paramPrintOptionsController;
/* 369 */       arrayOfPrintOptionsController[3] = (PrintOptionsController)new Notes_3_ContainerPanel(paramPrintRequestAttributeSet, constructionOptions);
/* 370 */       arrayOfPrintOptionsController[4] = (PrintOptionsController)new PreviewPrintableControlPanel(true);
/*     */     }
/*     */     else {
/*     */       
/* 374 */       arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_1_ContainerPanel(paramLocale, false);
/* 375 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_1_ContainerPanel(paramLocale, bool);
/* 376 */       arrayOfPrintOptionsController[2] = paramPrintOptionsController;
/* 377 */       arrayOfPrintOptionsController[3] = (PrintOptionsController)new Notes_3_ContainerPanel(paramPrintRequestAttributeSet, paramLocale, constructionOptions);
/*     */       
/* 379 */       arrayOfPrintOptionsController[4] = (PrintOptionsController)new PreviewPrintableControlPanel(paramLocale, true);
/*     */     } 
/*     */     
/* 382 */     return arrayOfPrintOptionsController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreviewPrintableControlPanel b() {
/* 390 */     return (PreviewPrintableControlPanel)getPrintOptionsController(4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Printable paramPrintable) {
/* 399 */     b().setControlState(a);
/*     */ 
/*     */     
/* 402 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 404 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */ 
/*     */     
/* 408 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\SetupContentPreviewPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */