/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.container.General_1_ContainerPanel;
/*     */ import jpdf.gui.container.PageSetup_1_ContainerPanel;
/*     */ import jpdf.gui.preview.AbstractPreviewControlPanel;
/*     */ import jpdf.gui.preview.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SetupPreviewPrintDialog
/*     */   extends TabbedPrintDialog
/*     */   implements InitializableDisplay
/*     */ {
/*  58 */   private static final AbstractPreviewControlPanel.ControlState a = new AbstractPreviewControlPanel.ControlState();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Frame paramFrame, AttributeSetPrintable paramAttributeSetPrintable) {
/*  74 */     this(paramFrame, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/*  88 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 101 */     super(paramFrame, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale), (Object)null);
/*     */ 
/*     */     
/* 104 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Dialog paramDialog, AttributeSetPrintable paramAttributeSetPrintable) {
/* 116 */     this(paramDialog, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 130 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPreviewPrintDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 143 */     super(paramDialog, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale), (Object)null);
/*     */ 
/*     */     
/* 146 */     a(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/* 160 */     b().initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/*     */     PreviewPrintableControlPanel previewPrintableControlPanel;
/* 177 */     (previewPrintableControlPanel = b()).setPreferredSize(new Dimension(99, 99));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 182 */     setDefaultCursor();
/* 183 */     super.show();
/* 184 */     previewPrintableControlPanel.storeControlState(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static PrintOptionsController[] a(Locale paramLocale) {
/* 200 */     PrintOptionsController[] arrayOfPrintOptionsController = new PrintOptionsController[3];
/* 201 */     boolean bool = PrintDialogPreferences.isToAllowReverseOrientations();
/*     */ 
/*     */     
/* 204 */     if (paramLocale == null) {
/*     */       
/* 206 */       arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_1_ContainerPanel(true);
/* 207 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_1_ContainerPanel(bool);
/* 208 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new PreviewPrintableControlPanel(true);
/*     */     }
/*     */     else {
/*     */       
/* 212 */       arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_1_ContainerPanel(paramLocale, true);
/* 213 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_1_ContainerPanel(paramLocale, bool);
/* 214 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new PreviewPrintableControlPanel(paramLocale, true);
/*     */     } 
/*     */     
/* 217 */     return arrayOfPrintOptionsController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreviewPrintableControlPanel b() {
/* 225 */     return (PreviewPrintableControlPanel)getPrintOptionsContainerPanel().getPrintOptionsControllerList()[2];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Printable paramPrintable) {
/* 235 */     b().setControlState(a);
/*     */ 
/*     */     
/* 238 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 240 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */ 
/*     */     
/* 244 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\SetupPreviewPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */