/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.container.General_2_ContainerPanel;
/*     */ import jpdf.gui.container.General_2i_ContainerPanel;
/*     */ import jpdf.gui.container.JobOptions_1_ContainerPanel;
/*     */ import jpdf.gui.container.PageSetup_2_ContainerPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SetupPrintDialog
/*     */   extends TabbedPrintDialog
/*     */ {
/*     */   public SetupPrintDialog(Frame paramFrame, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  78 */     this(paramFrame, Locale.getDefault(), paramPrintRequestAttributeSet, PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPrintDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/*  86 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPrintDialog(Frame paramFrame, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/*  94 */     super(paramFrame, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService), (Object)null);
/*     */ 
/*     */ 
/*     */     
/*  98 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 100 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPrintDialog(Dialog paramDialog, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 118 */     this(paramDialog, Locale.getDefault(), paramPrintRequestAttributeSet, PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPrintDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 126 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.printDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SetupPrintDialog(Dialog paramDialog, String paramString, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 134 */     super(paramDialog, paramString, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintService), (Object)null);
/*     */ 
/*     */ 
/*     */     
/* 138 */     if (PrintDialogPreferences.isToDisplayPrintServiceInTitleBar())
/*     */     {
/* 140 */       displayPrintServiceInTitleBar();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static PrintOptionsController[] a(Locale paramLocale, PrintService paramPrintService) {
/* 154 */     PrintOptionsController[] arrayOfPrintOptionsController = new PrintOptionsController[3];
/* 155 */     boolean bool1 = PrintDialogPreferences.isToUsePrintServiceSelectionIcons();
/* 156 */     boolean bool2 = PrintDialogPreferences.isToUseSmallPrintServiceIcons();
/* 157 */     boolean bool3 = PrintDialogPreferences.isToAllowReverseOrientations();
/* 158 */     boolean bool4 = bool2 ? PrintDialogPreferences.getSmallIconColCount() : true;
/* 159 */     boolean bool5 = bool2 ? PrintDialogPreferences.getSmallIconRowCount() : true;
/*     */ 
/*     */     
/* 162 */     if (paramLocale == null) {
/*     */       
/* 164 */       if (bool1) {
/*     */         
/* 166 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_2i_ContainerPanel(paramPrintService, true, true, bool5, bool4, bool2);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 171 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_2_ContainerPanel(true, true);
/*     */       } 
/* 173 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_2_ContainerPanel(bool3, false);
/* 174 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new JobOptions_1_ContainerPanel();
/*     */     }
/*     */     else {
/*     */       
/* 178 */       if (bool1) {
/*     */         
/* 180 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_2i_ContainerPanel(paramLocale, paramPrintService, true, true, bool5, bool4, bool2);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 186 */         arrayOfPrintOptionsController[0] = (PrintOptionsController)new General_2_ContainerPanel(paramLocale, true, true);
/*     */       } 
/* 188 */       arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_2_ContainerPanel(paramLocale, bool3, false);
/* 189 */       arrayOfPrintOptionsController[2] = (PrintOptionsController)new JobOptions_1_ContainerPanel(paramLocale);
/*     */     } 
/*     */     
/* 192 */     return arrayOfPrintOptionsController;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\SetupPrintDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */