/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.swing.ActionMap;
/*     */ import javax.swing.InputMap;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.KeyStroke;
/*     */ import jpdf.gui.AbstractPrintOptionsPanel;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.UpdatableDisplay;
/*     */ import jpdf.gui.controller.PageOrientationPanel;
/*     */ import jpdf.gui.controller.PageSizePanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.c.b;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractViewControlPanel
/*     */   extends AbstractPrintOptionsPanel
/*     */   implements InitializableDisplay, UpdatableDisplay
/*     */ {
/*     */   public static class ToolBarPanel
/*     */     extends JPanel
/*     */   {
/*     */     public ToolBarPanel() {}
/*     */     
/*     */     public ToolBarPanel(LayoutManager param1LayoutManager) {
/*  90 */       super(param1LayoutManager);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   private static final Dimension a = new Dimension(8, 16);
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b = true;
/*     */ 
/*     */   
/* 105 */   private PrintInfoHolder printInfoHolder = null;
/* 106 */   private JLabel mediaLabel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractViewControlPanel(String paramString) {
/* 118 */     super(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addToolBarComponent(JComponent paramJComponent, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     ToolBarPanel toolBarPanel;
/* 139 */     if ((toolBarPanel = getToolBarPanel()) != null) {
/*     */ 
/*     */       
/* 142 */       if (paramBoolean1)
/*     */       {
/* 144 */         addToolBarSeparator(getLastToolBarComponent(toolBarPanel));
/*     */       }
/*     */ 
/*     */       
/* 148 */       toolBarPanel.add(paramJComponent);
/*     */ 
/*     */       
/* 151 */       if (paramBoolean2)
/*     */       {
/* 153 */         toolBarPanel.add(new JSeparator(0));
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addToolBarComponent(JComponent paramJComponent, boolean paramBoolean1, boolean paramBoolean2, int paramInt) {
/*     */     ToolBarPanel toolBarPanel;
/* 175 */     if ((toolBarPanel = getToolBarPanel()) == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 181 */     int i = toolBarPanel.getComponentCount() - 1;
/* 182 */     if (paramInt > i) {
/*     */       
/* 184 */       addToolBarComponent(paramJComponent, paramBoolean1, paramBoolean2);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 189 */     if (paramInt < 0)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 196 */       if ((paramInt = i + 1 + paramInt) < 0) paramInt = 0;
/*     */     
/*     */     }
/*     */     
/* 200 */     if (paramBoolean1) addToolBarSeparator(paramJComponent);
/*     */ 
/*     */     
/* 203 */     toolBarPanel.add(paramJComponent, paramInt);
/*     */ 
/*     */     
/* 206 */     if (paramBoolean2)
/*     */     {
/* 208 */       toolBarPanel.add(new JSeparator(0), paramInt + 1);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 229 */     setPrintInfoHolder(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isPageNavigationAudible() {
/* 237 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBackground(Color paramColor) {
/* 246 */     AbstractPageImageDisplayPanel abstractPageImageDisplayPanel = getPageImageDisplayPanel();
/*     */     
/* 248 */     super.setBackground(paramColor);
/* 249 */     if (abstractPageImageDisplayPanel != null) abstractPageImageDisplayPanel.setBackground(paramColor);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPageNavigationAudible(boolean paramBoolean) {
/* 257 */     b = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 266 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static void addToolBarSeparator(JComponent paramJComponent) {
/*     */     JSeparator jSeparator;
/* 281 */     (jSeparator = new JSeparator(1)).setPreferredSize(a);
/* 282 */     paramJComponent.add(jSeparator);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static String computeMediaSizeString(PageFormat paramPageFormat) {
/*     */     // Byte code:
/*     */     //   0: invokestatic getMediaSizeUnits : ()I
/*     */     //   3: dup
/*     */     //   4: istore_1
/*     */     //   5: sipush #25400
/*     */     //   8: if_icmpne -> 34
/*     */     //   11: aload_0
/*     */     //   12: invokevirtual getWidth : ()D
/*     */     //   15: ldc2_w 72.0
/*     */     //   18: ddiv
/*     */     //   19: d2f
/*     */     //   20: fstore_1
/*     */     //   21: aload_0
/*     */     //   22: invokevirtual getHeight : ()D
/*     */     //   25: ldc2_w 72.0
/*     */     //   28: ddiv
/*     */     //   29: d2f
/*     */     //   30: fstore_0
/*     */     //   31: goto -> 54
/*     */     //   34: aload_0
/*     */     //   35: invokevirtual getWidth : ()D
/*     */     //   38: ldc2_w 2.8346456
/*     */     //   41: ddiv
/*     */     //   42: d2f
/*     */     //   43: fstore_1
/*     */     //   44: aload_0
/*     */     //   45: invokevirtual getHeight : ()D
/*     */     //   48: ldc2_w 2.8346456
/*     */     //   51: ddiv
/*     */     //   52: d2f
/*     */     //   53: fstore_0
/*     */     //   54: fload_1
/*     */     //   55: fload_0
/*     */     //   56: invokestatic formMediaSizeString : (FF)Ljava/lang/String;
/*     */     //   59: areturn
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #290	-> 0
/*     */     //   #295	-> 4
/*     */     //   #297	-> 11
/*     */     //   #298	-> 21
/*     */     //   #302	-> 34
/*     */     //   #303	-> 44
/*     */     //   #306	-> 54
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static String computeMediaSizeString(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 314 */     MediaSize mediaSize = PrintUtility.getMediaSize(paramPrintRequestAttributeSet);
/* 315 */     boolean bool = PageOrientationPanel.isLandscape(paramPrintRequestAttributeSet);
/*     */     
/* 317 */     return ResourceAdministrator.getMediaSizeString(mediaSize, bool, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JScrollPane createDisplayScrollPane(AbstractPageImageDisplayPanel paramAbstractPageImageDisplayPanel) {
/*     */     JScrollPane jScrollPane;
/* 328 */     InputMap inputMap = (jScrollPane = new JScrollPane(paramAbstractPageImageDisplayPanel)).getInputMap(2);
/*     */     
/* 330 */     ActionMap actionMap = jScrollPane.getActionMap();
/* 331 */     jScrollPane.getVerticalScrollBar().setUnitIncrement(5);
/*     */ 
/*     */ 
/*     */     
/* 335 */     jScrollPane.getHorizontalScrollBar().setUnitIncrement(5);
/*     */ 
/*     */     
/* 338 */     String str = "arrowDown";
/* 339 */     inputMap.put(KeyStroke.getKeyStroke(40, 0), str);
/* 340 */     a a = new a(this, str, jScrollPane);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 349 */     actionMap.put(str, a);
/*     */ 
/*     */     
/* 352 */     str = "arrowUp";
/* 353 */     inputMap.put(KeyStroke.getKeyStroke(38, 0), str);
/* 354 */     b b = new b(this, str, jScrollPane);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 363 */     actionMap.put(str, b);
/*     */ 
/*     */     
/* 366 */     str = "arrowRight";
/* 367 */     inputMap.put(KeyStroke.getKeyStroke(39, 0), str);
/* 368 */     c c = new c(this, str, jScrollPane);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 377 */     actionMap.put(str, c);
/*     */ 
/*     */     
/* 380 */     str = "arrowLeft";
/* 381 */     inputMap.put(KeyStroke.getKeyStroke(37, 0), str);
/* 382 */     d d = new d(this, str, jScrollPane);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 391 */     actionMap.put(str, d);
/*     */ 
/*     */     
/* 394 */     b.a(jScrollPane);
/*     */     
/* 396 */     return jScrollPane;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JLabel createMediaLabel(int paramInt) {
/* 404 */     this.mediaLabel = new JLabel();
/*     */     
/* 406 */     this.mediaLabel.setHorizontalAlignment(paramInt);
/*     */     
/* 408 */     return this.mediaLabel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JScrollPane getDisplayScrollPane() {
/* 416 */     return (JScrollPane)getPageImageDisplayPanel().getParent().getParent();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Throwable getLastPreviewException() {
/* 424 */     return getPageImageDisplayPanel().getLastPreviewException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JComponent getLastToolBarComponent(ToolBarPanel paramToolBarPanel) {
/* 433 */     Component[] arrayOfComponent = paramToolBarPanel.getComponents();
/* 434 */     JComponent jComponent = null;
/*     */     
/* 436 */     for (int i = arrayOfComponent.length - 1; i >= 0; i--) {
/*     */       
/* 438 */       if (!(arrayOfComponent[i] instanceof JSeparator)) {
/*     */         
/* 440 */         jComponent = (JComponent)arrayOfComponent[i];
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 445 */     return jComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract AbstractPageImageDisplayPanel getPageImageDisplayPanel();
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JLabel getMediaLabel() {
/* 458 */     return this.mediaLabel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintRequestAttributeSet getPageFormatAttributeSet(Printable paramPrintable, PageFormat paramPageFormat) {
/* 475 */     PrintRequestAttributeSet printRequestAttributeSet = null;
/*     */ 
/*     */     
/* 478 */     if (paramPrintable instanceof AttributeSetPrintable)
/*     */     {
/* 480 */       printRequestAttributeSet = ((AttributeSetPrintable)paramPrintable).getAttributeSet();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 486 */     if (printRequestAttributeSet == null) {
/*     */       
/* 488 */       printRequestAttributeSet = getPrintInfoHolder().getAttributeSet();
/* 489 */       PrintUtility.updateAttributeSet(paramPageFormat, printRequestAttributeSet, false);
/*     */     } 
/*     */     
/* 492 */     return printRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 501 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract Printable getTargetPrintable();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected ToolBarPanel getToolBarPanel() {
/* 517 */     Component[] arrayOfComponent = getComponents();
/* 518 */     ToolBarPanel toolBarPanel = null;
/*     */     
/* 520 */     for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */       
/* 522 */       if (arrayOfComponent[b] instanceof ToolBarPanel) {
/*     */         
/* 524 */         toolBarPanel = (ToolBarPanel)arrayOfComponent[b];
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 529 */     return toolBarPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void navigatedPage() {
/* 539 */     a(true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void navigateToNext() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void navigateToPrevious() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void scrollDisplayToOrigin() {
/*     */     JScrollPane jScrollPane;
/* 566 */     (jScrollPane = getDisplayScrollPane()).getHorizontalScrollBar().setValue(0);
/* 567 */     jScrollPane.getVerticalScrollBar().setValue(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setPrintInfoHolder(PrintInfoHolder paramPrintInfoHolder) {
/* 575 */     this.printInfoHolder = paramPrintInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setToCloseWindowOnPreviewException(boolean paramBoolean) {
/* 584 */     getPageImageDisplayPanel().setToCloseWindowOnException(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateMediaLabel(PageFormat paramPageFormat) {
/* 592 */     MediaSizeName mediaSizeName = PrintUtility.lookupMediaSizeName(paramPageFormat);
/* 593 */     String str = ResourceAdministrator.getMediaSizeName(mediaSizeName) + " - " + computeMediaSizeString(paramPageFormat);
/*     */ 
/*     */ 
/*     */     
/* 597 */     getMediaLabel().setText(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateMediaLabel(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 605 */     String str = PageSizePanel.getMediaSizeDisplayName(paramPrintRequestAttributeSet) + " - " + computeMediaSizeString(paramPrintRequestAttributeSet);
/*     */ 
/*     */ 
/*     */     
/* 609 */     getMediaLabel().setText(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static JPanel wrapToolBarComponent(JComponent paramJComponent, int paramInt) {
/*     */     JPanel jPanel;
/* 622 */     (jPanel = new JPanel((LayoutManager)new RowLayout(2, paramInt))).add(paramJComponent);
/*     */     
/* 624 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(boolean paramBoolean) {
/* 641 */     if (paramBoolean && isPageNavigationAudible())
/*     */     {
/* 643 */       BasicResourceManager.playPageTurn();
/*     */     }
/* 645 */     scrollDisplayToOrigin();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractViewControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */