/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Pageable;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OverviewPageableControlPanel
/*     */   extends AbstractOverviewControlPanel
/*     */   implements PageableOverviewPanel.PageSelectionObserver
/*     */ {
/*     */   public OverviewPageableControlPanel(Pageable paramPageable) {
/*  43 */     this("Overview", (Locale)null, paramPageable, 0.0F, 0.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(Pageable paramPageable, float paramFloat1, float paramFloat2) {
/*  54 */     this("Overview", (Locale)null, paramPageable, paramFloat1, paramFloat2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(String paramString, Pageable paramPageable) {
/*  62 */     this(paramString, (Locale)null, paramPageable, 0.0F, 0.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(String paramString, Pageable paramPageable, float paramFloat1, float paramFloat2) {
/*  73 */     this(paramString, (Locale)null, paramPageable, paramFloat1, paramFloat2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(Locale paramLocale, Pageable paramPageable) {
/*  81 */     this(ResourceAdministrator.getLocalizedString("overview"), paramLocale, paramPageable, 0.0F, 0.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(Locale paramLocale, Pageable paramPageable, float paramFloat1, float paramFloat2) {
/*  92 */     this(ResourceAdministrator.getLocalizedString("overview"), paramLocale, paramPageable, paramFloat1, paramFloat2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OverviewPageableControlPanel(String paramString, Locale paramLocale, Pageable paramPageable, float paramFloat1, float paramFloat2) {
/* 104 */     super(paramString, paramLocale, new PageableOverviewPanel(locale, pageable, 2), paramFloat1, paramFloat2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 120 */     super.initializePrintOptions(paramPrintInfoHolder);
/*     */     
/* 122 */     ((PageableOverviewPanel)getDisplayPanel()).setPageSelectionObserver(this);
/* 123 */     updatePageSelectionGridArrangement();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPage(int paramInt, PageFormat paramPageFormat, Printable paramPrintable) {
/* 133 */     PrintInfoHolder printInfoHolder = getPrintInfoHolder();
/* 134 */     PrintRequestAttributeSet printRequestAttributeSet = getPageFormatAttributeSet(paramPrintable, paramPageFormat);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 141 */     printInfoHolder.setAttributeSet(printRequestAttributeSet);
/*     */ 
/*     */     
/* 144 */     updateMediaLabel(paramPageFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/* 154 */     AbstractOverviewPanel abstractOverviewPanel = getDisplayPanel();
/* 155 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintInfoHolder().getAttributeSet();
/*     */ 
/*     */     
/* 158 */     abstractOverviewPanel.updatePageFormat(printRequestAttributeSet);
/*     */ 
/*     */     
/* 161 */     refreshControlledDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Pageable getOverviewPageable() {
/* 174 */     return ((PageableOverviewPanel)getDisplayPanel()).getOverviewPageable();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getSelectedPageIndex() {
/* 182 */     return ((PageableOverviewPanel)getDisplayPanel()).getSelectedPageIndex();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Printable getTargetPrintable() {
/* 193 */     return getOverviewPageable().getPrintable(getSelectedPageIndex());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\OverviewPageableControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */