/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Pageable;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewPageableControlPanel
/*     */   extends AbstractPreviewControlPanel
/*     */ {
/*  38 */   private Pageable previewPageable = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPageableControlPanel(Pageable paramPageable) {
/*  50 */     super("Preview", true);
/*     */     
/*  52 */     getPageNavigationPanel().addPageNavigationControls();
/*  53 */     a(paramPageable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPageableControlPanel(Locale paramLocale, Pageable paramPageable) {
/*  61 */     super(paramLocale, true);
/*     */     
/*  63 */     getPageNavigationPanel().addPageNavigationControls();
/*  64 */     a(paramPageable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPageableControlPanel(String paramString, Pageable paramPageable) {
/*  72 */     super(paramString, true);
/*     */     
/*  74 */     getPageNavigationPanel().addPageNavigationControls();
/*  75 */     a(paramPageable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getCurrentPageIndex() {
/*  89 */     return getDisplayPanel().getPrintablePageIndex();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageCount() {
/*  98 */     return getPreviewPageable().getNumberOfPages();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPage(int paramInt) {
/* 107 */     PrintablePreviewPanel printablePreviewPanel = getDisplayPanel();
/* 108 */     PrintInfoHolder printInfoHolder = getPrintInfoHolder();
/* 109 */     int i = getCurrentPageIndex();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 114 */     if (paramInt < 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 120 */     if (printInfoHolder == null) {
/*     */       return;
/*     */     }
/*     */     Pageable pageable;
/* 124 */     int j = (pageable = getPreviewPageable()).getNumberOfPages();
/*     */ 
/*     */     
/* 127 */     if (paramInt >= j)
/*     */     {
/* 129 */       paramInt = j - 1;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 134 */     Printable printable = (pageable = getPreviewPageable()).getPrintable(paramInt);
/* 135 */     printablePreviewPanel.setPreviewPrintable(printable, paramInt);
/*     */ 
/*     */     
/* 138 */     PageFormat pageFormat = pageable.getPageFormat(paramInt);
/* 139 */     printablePreviewPanel.updatePageFormat(pageFormat);
/*     */ 
/*     */ 
/*     */     
/* 143 */     PrintRequestAttributeSet printRequestAttributeSet = getPageFormatAttributeSet(printable, pageFormat);
/*     */ 
/*     */     
/* 146 */     printInfoHolder.setAttributeSet(printRequestAttributeSet);
/*     */ 
/*     */ 
/*     */     
/* 150 */     getZoomPercentageComboBox().configureForPageFormat(pageFormat);
/*     */ 
/*     */     
/* 153 */     updateMediaLabel(printRequestAttributeSet);
/*     */ 
/*     */ 
/*     */     
/* 157 */     if (this.FIT_RADIO_BUTTON.isSelected()) {
/*     */       
/* 159 */       zoomDisplayToFit();
/*     */     }
/*     */     else {
/*     */       
/* 163 */       updateDisplayPanelSize();
/*     */     } 
/*     */ 
/*     */     
/* 167 */     getPageNavigationPanel().updatePageNavigationControls(paramInt, j);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 173 */     a((paramInt != i));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 183 */     boolean bool = isPageNavigationAudible();
/*     */ 
/*     */     
/* 186 */     super.initializePrintOptions(paramPrintInfoHolder);
/*     */ 
/*     */     
/* 189 */     if (getPreviewPageable().getNumberOfPages() > 0) {
/*     */ 
/*     */       
/* 192 */       setPageNavigationAudible(false);
/* 193 */       navigateToPage(0);
/* 194 */       setPageNavigationAudible(bool);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/* 205 */     PrintablePreviewPanel printablePreviewPanel = getDisplayPanel();
/* 206 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintInfoHolder().getAttributeSet();
/* 207 */     Pageable pageable = getPreviewPageable();
/*     */ 
/*     */     
/* 210 */     int i = printablePreviewPanel.getPrintablePageIndex();
/* 211 */     int j = pageable.getNumberOfPages();
/*     */ 
/*     */ 
/*     */     
/* 215 */     if (i >= j) {
/*     */       
/* 217 */       i = j - 1;
/* 218 */       navigateToPage(i);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 223 */     PageFormat pageFormat1 = printablePreviewPanel.updatePageFormat(printRequestAttributeSet);
/*     */ 
/*     */     
/* 226 */     PageFormat pageFormat2 = pageable.getPageFormat(i);
/* 227 */     PrintUtility.updatePageFormat(pageFormat1, pageFormat2);
/*     */ 
/*     */ 
/*     */     
/* 231 */     getZoomPercentageComboBox().configureForPageFormat(pageFormat1);
/*     */ 
/*     */     
/* 234 */     updateMediaLabel(printRequestAttributeSet);
/*     */ 
/*     */     
/* 237 */     getPageNavigationPanel().updatePageNavigationControls(i, j);
/*     */ 
/*     */ 
/*     */     
/* 241 */     if (this.FIT_RADIO_BUTTON.isSelected()) {
/*     */       
/* 243 */       zoomDisplayToFit();
/*     */       
/*     */       return;
/*     */     } 
/* 247 */     updateDisplayPanelSize();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Pageable getPreviewPageable() {
/* 261 */     return this.previewPageable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Printable getTargetPrintable() {
/* 272 */     return getPreviewPageable().getPrintable(getCurrentPageIndex());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Pageable paramPageable) {
/* 286 */     this.previewPageable = paramPageable;
/*     */ 
/*     */     
/* 289 */     getPageNavigationPanel().updatePageNavigationControls(1, paramPageable.getNumberOfPages());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PreviewPageableControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */