/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.RepaintManager;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintablePreviewPanel
/*     */   extends AbstractPageImageDisplayPanel
/*     */ {
/*  36 */   private PrintablePagePaintObserver pagePaintObserver = null;
/*  37 */   private Printable previewPrintable = null;
/*  38 */   private int printablePageIndex = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintablePreviewPanel() {
/*  49 */     setNothingPrintable();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintablePreviewPanel(Printable paramPrintable) {
/*  56 */     setPreviewPrintable(paramPrintable, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BufferedImage createPageImage(Printable paramPrintable, PageFormat paramPageFormat, int paramInt, float paramFloat) {
/*  78 */     Rectangle rectangle = new Rectangle();
/*     */ 
/*     */     
/*  81 */     updatePrintableRectangle(paramPageFormat, rectangle);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  90 */     int j = (int)(paramFloat * paramPageFormat.getWidth()) + 7;
/*  91 */     int k = (int)(paramFloat * paramPageFormat.getHeight()) + 7;
/*     */ 
/*     */     
/*     */     int i;
/*     */ 
/*     */     
/*     */     BufferedImage bufferedImage;
/*     */ 
/*     */     
/*     */     Graphics2D graphics2D;
/*     */     
/* 102 */     if ((i = a(graphics2D = (Graphics2D)(bufferedImage = a(j, k, false)).getGraphics(), paramPrintable, paramPageFormat, rectangle, Color.WHITE, false, true, paramInt, paramFloat, j, k)) == 1) bufferedImage = null;
/*     */ 
/*     */     
/* 105 */     graphics2D.dispose();
/*     */     
/* 107 */     return bufferedImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paint(Graphics paramGraphics) {
/* 116 */     PrintablePagePaintObserver printablePagePaintObserver = getPagePaintObserver();
/* 117 */     WaitCursorable waitCursorable = null;
/* 118 */     paramGraphics = paramGraphics;
/* 119 */     Image image = getDisplayImage();
/* 120 */     boolean bool = isToPaintImage();
/* 121 */     boolean bool1 = false;
/* 122 */     if (!a()) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 128 */     if (image == null && bool) {
/*     */ 
/*     */       
/* 131 */       waitCursorable = displayWaitCursor();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 139 */       if ((image = a((Graphics2D)paramGraphics)) != null) {
/*     */         
/* 141 */         setDisplayImage(image);
/*     */       }
/*     */       else {
/*     */         
/* 145 */         setToPaintImage(false);
/* 146 */         bool1 = true;
/* 147 */         bool = false;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 152 */     super.paint(paramGraphics);
/*     */ 
/*     */     
/* 155 */     if (bool)
/*     */     {
/* 157 */       paramGraphics.drawImage(image, 6, 6, this);
/*     */     }
/*     */ 
/*     */     
/* 161 */     if (printablePagePaintObserver != null)
/*     */     {
/* 163 */       if (bool1) {
/*     */         
/* 165 */         printablePagePaintObserver.failedPaintPage(getPreviewPrintable(), getPrintablePageIndex());
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 170 */       else if (bool) {
/*     */         
/* 172 */         printablePagePaintObserver.paintedPage(getPreviewPrintable(), getPrintablePageIndex());
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 178 */     if (waitCursorable != null) waitCursorable.setDefaultCursor();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintablePagePaintObserver getPagePaintObserver() {
/* 191 */     return this.pagePaintObserver;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Printable getPreviewPrintable() {
/* 199 */     return this.previewPrintable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getPrintablePageIndex() {
/* 207 */     return this.printablePageIndex;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setNothingPrintable() {
/* 217 */     setPreviewPrintable((Printable)new AbstractPageImageDisplayPanel.NothingPrintable(), 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setPagePaintObserver(PrintablePagePaintObserver paramPrintablePagePaintObserver) {
/* 225 */     this.pagePaintObserver = paramPrintablePagePaintObserver;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setPreviewPrintable(Printable paramPrintable, int paramInt) {
/* 236 */     displayWaitCursor();
/*     */ 
/*     */     
/* 239 */     this.previewPrintable = paramPrintable;
/*     */     
/*     */     PrintablePreviewPanel printablePreviewPanel;
/* 242 */     (printablePreviewPanel = this).printablePageIndex = paramInt = paramInt;
/*     */ 
/*     */ 
/*     */     
/* 246 */     setToPaintImage(true);
/*     */ 
/*     */     
/* 249 */     refreshDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final BufferedImage a(int paramInt) {
/* 265 */     PageFormat pageFormat = this.PAGE_FORMAT;
/*     */ 
/*     */     
/* 268 */     float f = getZoomFactor();
/* 269 */     int k = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 274 */     if (paramInt == -1) return null;
/*     */ 
/*     */     
/* 277 */     int i = (int)(f * pageFormat.getWidth()) + 7;
/* 278 */     int j = (int)(f * pageFormat.getHeight()) + 7;
/*     */     
/*     */     BufferedImage bufferedImage;
/*     */     
/* 282 */     Graphics2D graphics2D = (Graphics2D)(bufferedImage = a(i, j, isToUseGrayScaleImages())).getGraphics();
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 287 */       k = a(graphics2D, getPreviewPrintable(), pageFormat, this.PRINTABLE_RECTANGLE, getBackground(), isHighlightingMargins(), isToUseFractionalMetrics(), paramInt, f, i, j);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 293 */     catch (Throwable throwable) {
/*     */ 
/*     */       
/* 296 */       setNothingPrintable();
/*     */ 
/*     */       
/* 299 */       handlePreviewException(throwable);
/*     */     } 
/* 301 */     if (k == 1) bufferedImage = null;
/*     */ 
/*     */     
/* 304 */     graphics2D.dispose();
/*     */     
/* 306 */     return bufferedImage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static BufferedImage a(int paramInt1, int paramInt2, boolean paramBoolean) {
/* 320 */     paramBoolean = paramBoolean ? true : true;
/*     */ 
/*     */ 
/*     */     
/* 324 */     return new BufferedImage(paramInt1, paramInt2, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Image a(Graphics2D paramGraphics2D) {
/* 332 */     PageFormat pageFormat = this.PAGE_FORMAT;
/*     */     
/* 334 */     float f = getZoomFactor();
/*     */     
/* 336 */     int i = getPrintablePageIndex();
/* 337 */     int m = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 342 */     if (i == -1) return null;
/*     */ 
/*     */     
/* 345 */     int j = (int)(f * pageFormat.getWidth()) + 7;
/* 346 */     int k = (int)(f * pageFormat.getHeight()) + 7;
/*     */     
/*     */     Image image;
/*     */     
/* 350 */     paramGraphics2D = (Graphics2D)(image = createDisplayImage(paramGraphics2D, j, k)).getGraphics();
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 355 */       m = a(paramGraphics2D, getPreviewPrintable(), pageFormat, this.PRINTABLE_RECTANGLE, getBackground(), isHighlightingMargins(), isToUseFractionalMetrics(), i, f, j, k);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 361 */     catch (Throwable throwable) {
/*     */ 
/*     */       
/* 364 */       setNothingPrintable();
/*     */ 
/*     */       
/* 367 */       handlePreviewException(throwable);
/*     */     } 
/* 369 */     if (m == 1) image = null;
/*     */ 
/*     */     
/* 372 */     paramGraphics2D.dispose();
/*     */     
/* 374 */     return image;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(Graphics2D paramGraphics2D, Printable paramPrintable, PageFormat paramPageFormat, Rectangle paramRectangle, Color paramColor, boolean paramBoolean1, boolean paramBoolean2, int paramInt1, float paramFloat, int paramInt2, int paramInt3) {
/*     */     RepaintManager repaintManager;
/*     */     boolean bool;
/* 390 */     if (bool = (repaintManager = RepaintManager.currentManager((JComponent)null)).isDoubleBufferingEnabled()) repaintManager.setDoubleBufferingEnabled(false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 396 */     paramGraphics2D.setColor(paramColor);
/* 397 */     paramGraphics2D.fillRect(0, 0, paramInt2, paramInt3);
/*     */ 
/*     */     
/* 400 */     a(paramGraphics2D, paramPageFormat, paramFloat, paramRectangle, paramBoolean1, 1, 1);
/*     */ 
/*     */ 
/*     */     
/* 404 */     paramGraphics2D.setColor(Color.BLACK);
/* 405 */     paramGraphics2D.scale(paramFloat, paramFloat);
/* 406 */     if (paramPrintable instanceof PreviewGraphicsCustomizer)
/*     */     {
/* 408 */       paramGraphics2D = ((PreviewGraphicsCustomizer)paramPrintable).customizePreviewGraphics(paramGraphics2D);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 415 */     a(paramGraphics2D, paramBoolean2);
/*     */ 
/*     */     
/* 418 */     int i = paramPrintable.print(paramGraphics2D, paramPageFormat, paramInt1);
/*     */ 
/*     */ 
/*     */     
/* 422 */     if (bool) repaintManager.setDoubleBufferingEnabled(true);
/*     */     
/* 424 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PrintablePreviewPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */