/*     */ package jpdf.gui.preview2;
/*     */ 
/*     */ import java.awt.Color;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewTheme
/*     */ {
/*     */   public static final Color DEFAULT_BACKGROUND_COLOR;
/*  39 */   public static final Color DEFAULT_SHADOW_COLOR = DEFAULT_BACKGROUND_COLOR = new Color(86, 86, 86);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  44 */   public static final Color DEFAULT_SEARCH_SEL_FOREGROUND_COLOR = Color.BLACK;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  49 */   public static final Color DEFAULT_SEARCH_SEL_BACKGROUND_COLOR = Color.ORANGE;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  54 */   public static final Color DEFAULT_MARGIN_HIGHLIGHT_COLOR = new Color(255, 255, 133);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static final int DEFAULT_SHADOW_WIDTH = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static final int DEFAULT_INSET_WIDTH = 4;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static final int DEFAULT_HORIZONTAL_GAP_WIDTH = 2;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static final int DEFAULT_VERTICAL_GAP_WIDTH = 8;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   private static final PreviewTheme a = new PreviewTheme(DEFAULT_BACKGROUND_COLOR, DEFAULT_SHADOW_COLOR, true, true, 0, 4, 2, 8);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Color BACKGROUND_COLOR;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Color PAGE_SHADOW_COLOR;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean TO_CENTER_HORIZONTALLY;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean TO_CENTER_VERTICALLY;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int PAGE_SHADOW_WIDTH;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int PREVIEW_INSET_WIDTH;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int PAGE_HORIZONTAL_GAP_WIDTH;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int PAGE_VERTICAL_GAP_WIDTH;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 131 */   private Color b = DEFAULT_SEARCH_SEL_FOREGROUND_COLOR;
/* 132 */   private Color c = DEFAULT_SEARCH_SEL_BACKGROUND_COLOR;
/* 133 */   private Color d = DEFAULT_MARGIN_HIGHLIGHT_COLOR;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean e = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewTheme(Color paramColor1, Color paramColor2, boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 154 */     if (paramColor1 == null) paramColor1 = DEFAULT_BACKGROUND_COLOR; 
/* 155 */     if (paramColor2 == null) paramColor1 = DEFAULT_SHADOW_COLOR; 
/* 156 */     if (paramInt1 < 0) {
/*     */       
/* 158 */       paramInt1 = 0;
/*     */     }
/* 160 */     else if (paramInt1 > 10) {
/*     */       
/* 162 */       paramInt1 = 10;
/*     */     } 
/* 164 */     if (paramInt2 < 2) {
/*     */       
/* 166 */       paramInt2 = 2;
/*     */     }
/* 168 */     else if (paramInt2 > 20) {
/*     */       
/* 170 */       paramInt2 = 20;
/*     */     } 
/* 172 */     if (paramInt3 < 2) {
/*     */       
/* 174 */       paramInt3 = 2;
/*     */     }
/* 176 */     else if (paramInt3 > 20) {
/*     */       
/* 178 */       paramInt3 = 20;
/*     */     } 
/* 180 */     if (paramInt4 < 2) {
/*     */       
/* 182 */       paramInt4 = 2;
/*     */     }
/* 184 */     else if (paramInt4 > 20) {
/*     */       
/* 186 */       paramInt4 = 20;
/*     */     } 
/*     */     
/* 189 */     this.BACKGROUND_COLOR = paramColor1;
/* 190 */     this.PAGE_SHADOW_COLOR = paramColor2;
/* 191 */     this.TO_CENTER_HORIZONTALLY = paramBoolean1;
/* 192 */     this.TO_CENTER_VERTICALLY = paramBoolean2;
/* 193 */     this.PAGE_SHADOW_WIDTH = paramInt1;
/* 194 */     this.PREVIEW_INSET_WIDTH = paramInt2;
/* 195 */     this.PAGE_HORIZONTAL_GAP_WIDTH = paramInt3;
/* 196 */     this.PAGE_VERTICAL_GAP_WIDTH = paramInt4;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewTheme getDefaultInstance() {
/* 209 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewTheme getJpdfClassicInstance() {
/* 218 */     Color color1 = new Color(177, 177, 188);
/* 219 */     Color color2 = new Color(66, 66, 66);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     PreviewTheme previewTheme;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 232 */     (previewTheme = new PreviewTheme(color1, color2, false, false, 4, 10, 10, 10)).setLeftAlignedToolBars(true);
/*     */     
/* 234 */     return previewTheme;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getMarginHighlightColor() {
/* 243 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getSearchSelectionBackground() {
/* 251 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getSearchSelectionForeground() {
/* 259 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLeftAlignedToolBars() {
/* 268 */     return this.e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLeftAlignedToolBars(boolean paramBoolean) {
/* 277 */     this.e = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setMarginHighlightColor(Color paramColor) {
/* 286 */     this.d = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSearchSelectionBackground(Color paramColor) {
/* 294 */     this.c = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSearchSelectionForeground(Color paramColor) {
/* 302 */     this.b = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 310 */     return getClass().getSimpleName() + "[insetWidth=" + this.PREVIEW_INSET_WIDTH + ", gapWidthHorizontal/Vertical=" + this.PAGE_HORIZONTAL_GAP_WIDTH + '/' + this.PAGE_VERTICAL_GAP_WIDTH + ", shadowWidth=" + this.PAGE_SHADOW_WIDTH + ", centerHorizontally/Vertically=" + this.TO_CENTER_HORIZONTALLY + '/' + this.TO_CENTER_VERTICALLY + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\PreviewTheme.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */