/*      */ package jpdf.gui.preview2;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Color;
/*      */ import java.awt.ComponentOrientation;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Point;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.image.BufferedImage;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Printable;
/*      */ import java.util.Arrays;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.RepaintManager;
/*      */ import javax.swing.SwingUtilities;
/*      */ import jpdf.ability.PrintablePageContentPainter;
/*      */ import jpdf.gui.preview.PreviewGraphicsCustomizer;
/*      */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*      */ import jpdf.printable.PageGridPrintable;
/*      */ import jpdf_common.system.c.g;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ final class n
/*      */   extends a
/*      */ {
/*      */   final PreviewPrintableControlPanel CONTROL_PANEL;
/*   74 */   private FullyNavigableAttributeSetPrintable previewPrintable = null;
/*   75 */   private PrintablePageContentPainter overlayPainter = null;
/*   76 */   private JComponent emptyDisplayComponent = null;
/*      */   private boolean descretePageDisplay = true;
/*      */   private boolean fullPageRowDisplay = false;
/*      */   private boolean fitWidthZoomSelected = false;
/*      */   private boolean fitPageZoomSelected = false;
/*      */   private boolean printableScalable = true;
/*      */   private boolean rightToLeftOrientation = false;
/*   83 */   private int requestedPageIndex = 0;
/*   84 */   private int pageColumnCount = 2;
/*   85 */   private int paginationWaitCount = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public n(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/*   98 */     super(new BorderLayout(), new p());
/*      */     
/*  100 */     this.CONTROL_PANEL = paramPreviewPrintableControlPanel;
/*      */ 
/*      */     
/*  103 */     a(paramFullyNavigableAttributeSetPrintable, 0);
/*  104 */     t();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final Point a(int paramInt) {
/*  124 */     Point point = new Point();
/*      */     
/*      */     int i;
/*      */     
/*  128 */     if ((i = i()) == 0) return point;
/*      */ 
/*      */     
/*  131 */     if (paramInt < 0) {
/*      */       
/*  133 */       paramInt = 0;
/*      */     }
/*  135 */     else if (paramInt >= i) {
/*      */       
/*  137 */       paramInt = i - 1;
/*      */     }  n n1;
/*  139 */     int j = paramInt;
/*      */ 
/*      */     
/*  142 */     e();
/*      */ 
/*      */     
/*  145 */     a(paramInt, this.PAGE_SPATIAL_INFO, point);
/*  146 */     point.x -= this.THEME.PAGE_HORIZONTAL_GAP_WIDTH;
/*  147 */     if (point.x <= this.THEME.PREVIEW_INSET_WIDTH)
/*      */     {
/*  149 */       point.x = 0;
/*      */     }
/*  151 */     point.y -= this.THEME.PAGE_VERTICAL_GAP_WIDTH;
/*  152 */     if (point.y <= this.THEME.PREVIEW_INSET_WIDTH)
/*      */     {
/*  154 */       point.y = 0;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  159 */     if (point.x > 0)
/*      */     {
/*  161 */       if (getWidth() > (getPreferredSize()).width) point.x = 0;
/*      */     
/*      */     }
/*  164 */     return point;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final Point a(Rectangle paramRectangle) {
/*  178 */     int i, j = (i = i()) - 1;
/*      */     
/*  180 */     if (i == 0) return new Point();
/*      */ 
/*      */ 
/*      */     
/*      */     n n1;
/*      */ 
/*      */     
/*  187 */     int k = (n1 = this).requestedPageIndex + 1;
/*      */ 
/*      */ 
/*      */     
/*  191 */     if ((n1 = this).fullPageRowDisplay && k < j) {
/*      */       
/*  193 */       int m = getWidth();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  202 */       if ((m = (paramRectangle.x + paramRectangle.width >= m) ? 1 : 0) != 0) {
/*      */         
/*  204 */         k = k();
/*      */ 
/*      */         
/*  207 */         int i1 = o();
/*  208 */         m = r();
/*  209 */         int i2 = k * i1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  216 */         if ((k = (k == m - 1) ? 1 : 0) != 0) {
/*      */           
/*  218 */           k = i;
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */ 
/*      */           
/*  227 */           k = i2 + i1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  233 */           if ((m = (paramRectangle.x == 0) ? 1 : 0) != 0)
/*      */           {
/*      */             
/*  236 */             if ((k = k + i1 - 1) > j)
/*      */             {
/*  238 */               k = j;
/*      */             }
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  246 */     Point point = a(k);
/*      */ 
/*      */ 
/*      */     
/*  250 */     if (k >= i)
/*      */     {
/*  252 */       if (this.PAGE_SPATIAL_INFO.c > paramRectangle.height)
/*      */       {
/*  254 */         point.y = getHeight() - paramRectangle.height;
/*      */       }
/*      */     }
/*      */     
/*  258 */     return point;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final Point b(Rectangle paramRectangle) {
/*  271 */     Point point = new Point(); n n2;
/*  272 */     int i = (n2 = this).requestedPageIndex;
/*      */     
/*      */     int j;
/*      */     
/*  276 */     if ((j = i()) == 0) return point;
/*      */ 
/*      */ 
/*      */     
/*  280 */     a(i, this.PAGE_SPATIAL_INFO, point);
/*  281 */     if (paramRectangle.y - point.y > 36) {
/*      */       
/*  283 */       point.x -= this.THEME.PAGE_HORIZONTAL_GAP_WIDTH;
/*  284 */       point.y -= this.THEME.PAGE_VERTICAL_GAP_WIDTH;
/*  285 */       return point;
/*      */     } 
/*      */ 
/*      */     
/*  289 */     i--;
/*      */     
/*      */     n n1;
/*  292 */     if ((n1 = this).fullPageRowDisplay) {
/*      */       int k;
/*      */ 
/*      */ 
/*      */       
/*  297 */       if (k = (paramRectangle.width >= getWidth()) ? 1 : 0) {
/*      */         
/*  299 */         k = k();
/*  300 */         int m = o();
/*      */         
/*  302 */         i = (k = k * m) - m;
/*      */       } 
/*      */     } 
/*      */     
/*  306 */     return a(i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final PageLayout g() {
/*  315 */     PageLayout pageLayout = PageLayout.SINGLE_PAGE;
/*      */     
/*      */     n n1;
/*  318 */     if ((n1 = this).descretePageDisplay && (n1 = this).fullPageRowDisplay) {
/*      */       
/*  320 */       pageLayout = PageLayout.SINGLE_ROW;
/*      */     }
/*  322 */     else if (!(n1 = this).descretePageDisplay && !(n1 = this).fullPageRowDisplay) {
/*      */       
/*  324 */       pageLayout = PageLayout.SINGLE_COL;
/*      */     }
/*  326 */     else if (!(n1 = this).descretePageDisplay && (n1 = this).fullPageRowDisplay) {
/*      */       
/*  328 */       pageLayout = PageLayout.FULL_GRID;
/*      */     } 
/*      */     
/*  331 */     return pageLayout;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final int h() {
/*  349 */     return this.PAGE_SPATIAL_INFO.b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final Point b(int paramInt) {
/*  357 */     Point point = new Point();
/*      */     
/*  359 */     a(paramInt, this.PAGE_SPATIAL_INFO, point);
/*      */     
/*  361 */     return point;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final int i() {
/*      */     n n1;
/*  370 */     return (n1 = this).previewPrintable.getPageCount();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final int j() {
/*  380 */     return this.requestedPageIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final int k() {
/*      */     n n1;
/*  390 */     return (n1 = this).requestedPageIndex / o();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final boolean l() {
/*  398 */     return this.fitPageZoomSelected;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final boolean m() {
/*  406 */     return this.fitWidthZoomSelected;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final void paint(Graphics paramGraphics) {
/*  425 */     Graphics2D graphics2D = (Graphics2D)paramGraphics;
/*      */ 
/*      */     
/*  428 */     if (!c()) {
/*      */       return;
/*      */     }
/*      */     
/*  432 */     if (getComponentCount() > 0) {
/*      */       
/*  434 */       super.paint(paramGraphics);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  446 */     if (d()) {
/*      */       n n2;
/*      */       
/*  449 */       int i = (n2 = this).paginationWaitCount;
/*  450 */       if (i() < 0 && i < 25) {
/*      */         
/*  452 */         g.b(100); n n3;
/*  453 */         int j = i + 1;
/*  454 */         n3 = this; o o; SwingUtilities.invokeLater(o = new o(n3)); return;
/*      */       } 
/*      */       n n1;
/*  457 */       boolean bool = false;
/*      */     } 
/*      */ 
/*      */     
/*  461 */     graphics2D.setColor(getBackground());
/*  462 */     graphics2D.fillRect(0, 0, getWidth(), getHeight());
/*      */ 
/*      */     
/*  465 */     if (d()) {
/*      */ 
/*      */ 
/*      */       
/*  469 */       RepaintManager repaintManager = RepaintManager.currentManager(this);
/*  470 */       boolean bool = false;
/*  471 */       if (repaintManager instanceof PreviewWindowHelper.f && repaintManager.isDoubleBufferingEnabled()) {
/*      */ 
/*      */         
/*  474 */         repaintManager.setDoubleBufferingEnabled(false);
/*  475 */         bool = true;
/*      */       } 
/*      */ 
/*      */       
/*  479 */       a(graphics2D);
/*      */ 
/*      */       
/*  482 */       if (bool) repaintManager.setDoubleBufferingEnabled(true);
/*      */     
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final void setComponentOrientation(ComponentOrientation paramComponentOrientation) {
/*  508 */     super.setComponentOrientation(paramComponentOrientation);
/*  509 */     this.rightToLeftOrientation = !paramComponentOrientation.isLeftToRight();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final Point a(PageLayout paramPageLayout, Rectangle paramRectangle) {
/*  524 */     if (paramPageLayout == PageLayout.SINGLE_PAGE) {
/*      */       
/*  526 */       boolean bool = true;
/*  527 */       (n1 = this).fullPageRowDisplay = bool = false;
/*      */     }
/*  529 */     else if (n1 == PageLayout.SINGLE_ROW) {
/*      */       
/*  531 */       boolean bool = true;
/*  532 */       (n1 = this).fullPageRowDisplay = bool = true;
/*      */     }
/*  534 */     else if (n1 == PageLayout.SINGLE_COL) {
/*      */       
/*  536 */       boolean bool = false;
/*  537 */       (n1 = this).fullPageRowDisplay = bool = false;
/*      */     }
/*      */     else {
/*      */       
/*  541 */       boolean bool = false;
/*  542 */       (n1 = this).fullPageRowDisplay = bool = true;
/*      */     } 
/*      */ 
/*      */     
/*      */     n n1;
/*      */     
/*  548 */     if ((n1 = this).fitWidthZoomSelected) {
/*      */       
/*  550 */       d(paramRectangle);
/*      */     }
/*  552 */     else if ((n1 = this).fitPageZoomSelected) {
/*      */       
/*  554 */       c(paramRectangle);
/*      */     }
/*      */     else {
/*      */       
/*  558 */       f(paramRectangle);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  566 */     return a((n1 = this).requestedPageIndex);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final void a(float paramFloat) {
/*      */     n n2;
/*  577 */     if (!(n2 = this).printableScalable) {
/*      */       
/*  579 */       if (getWidth() == 0) t();
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  585 */     float f2 = b(); float f1; if ((Math.abs((f1 = paramFloat) - f2) < 0.005F)) {
/*      */       return;
/*      */     }
/*  588 */     super.a(paramFloat);
/*      */ 
/*      */     
/*  591 */     t();
/*      */     
/*      */     n n1;
/*  594 */     boolean bool = false;
/*  595 */     (n1 = this).fitWidthZoomSelected = bool = false;
/*      */ 
/*      */     
/*  598 */     g();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final float c(Rectangle paramRectangle) {
/*  609 */     float f1 = 0.0F;
/*  610 */     f1 = 0.0F;
/*  611 */     float f2 = 0.0F;
/*  612 */     int i = o();
/*  613 */     boolean bool2 = false;
/*  614 */     bool2 = false;
/*  615 */     int j = 0;
/*      */     
/*      */     n n1;
/*  618 */     if (!(n1 = this).printableScalable) {
/*      */       
/*  620 */       if (getWidth() == 0) a(1.0F); 
/*  621 */       return 1.0F;
/*      */     } 
/*      */ 
/*      */     
/*  625 */     if (paramRectangle.width > 0) {
/*      */ 
/*      */       
/*  628 */       super.a(1.0F);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  633 */       j = d(i);
/*  634 */       int k = c(i, false) + 2;
/*  635 */       float f3 = (paramRectangle.width - j) / k;
/*      */ 
/*      */ 
/*      */       
/*  639 */       j = c(1);
/*  640 */       k = b(1, false) + 1;
/*  641 */       float f4 = (paramRectangle.height - j) / k;
/*      */ 
/*      */ 
/*      */       
/*  645 */       f3 = (f3 < f4) ? f3 : f4;
/*      */ 
/*      */ 
/*      */       
/*  649 */       super.a(f3);
/*      */ 
/*      */       
/*  652 */       f(paramRectangle);
/*      */     } 
/*      */ 
/*      */     
/*  656 */     boolean bool1 = true;
/*  657 */     (n1 = this).fitWidthZoomSelected = bool1 = false;
/*      */ 
/*      */     
/*  660 */     g();
/*      */ 
/*      */     
/*  663 */     return b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public final float d(Rectangle paramRectangle) {
/*  673 */     float f = 0.0F;
/*  674 */     int i = o();
/*  675 */     boolean bool2 = false;
/*  676 */     int j = 0;
/*      */     
/*      */     n n1;
/*  679 */     if (!(n1 = this).printableScalable) {
/*      */       
/*  681 */       if (getWidth() == 0) a(1.0F); 
/*  682 */       return 1.0F;
/*      */     } 
/*      */ 
/*      */     
/*  686 */     if (paramRectangle.width > 0) {
/*      */ 
/*      */       
/*  689 */       super.a(1.0F);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  694 */       j = d(i);
/*  695 */       int k = c(i, false) + 2;
/*  696 */       float f1 = (paramRectangle.width - j) / k;
/*      */ 
/*      */       
/*  699 */       super.a(f1);
/*      */ 
/*      */       
/*  702 */       f(paramRectangle);
/*      */     } 
/*      */ 
/*      */     
/*  706 */     boolean bool1 = false;
/*  707 */     (n1 = this).fitWidthZoomSelected = bool1 = true;
/*      */ 
/*      */     
/*  710 */     g();
/*      */ 
/*      */     
/*  713 */     return b();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Dimension a(int paramInt1, int paramInt2) {
/*  727 */     return new Dimension(c(paramInt1, true), b(paramInt2, true));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int b(int paramInt, boolean paramBoolean) {
/*  738 */     return paramInt * this.PAGE_SPATIAL_INFO.c + (paramBoolean ? c(paramInt) : 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int c(int paramInt) {
/*  748 */     return 2 * this.THEME.PREVIEW_INSET_WIDTH + (paramInt - 1) * this.THEME.PAGE_VERTICAL_GAP_WIDTH + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int c(int paramInt, boolean paramBoolean) {
/*  759 */     return paramInt * this.PAGE_SPATIAL_INFO.b + (paramBoolean ? d(paramInt) : 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int d(int paramInt) {
/*  769 */     return 2 * this.THEME.PREVIEW_INSET_WIDTH + (paramInt - 1) * this.THEME.PAGE_HORIZONTAL_GAP_WIDTH + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final BufferedImage a(int paramInt, boolean paramBoolean) {
/*  784 */     int i, j, k = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  791 */     if (paramInt == -1) return null;
/*      */ 
/*      */     
/*  794 */     if (paramBoolean) {
/*      */       
/*  796 */       i = this.PAGE_SPATIAL_INFO.b + this.THEME.PREVIEW_INSET_WIDTH;
/*  797 */       j = this.PAGE_SPATIAL_INFO.c + this.THEME.PREVIEW_INSET_WIDTH;
/*      */     }
/*      */     else {
/*      */       
/*  801 */       i = this.PAGE_SPATIAL_INFO.b + 2;
/*  802 */       j = this.PAGE_SPATIAL_INFO.c + 2;
/*      */     } 
/*  804 */     int i1 = j, m = i;
/*      */     
/*      */     BufferedImage bufferedImage;
/*  807 */     Graphics2D graphics2D = (Graphics2D)(bufferedImage = new BufferedImage(m, i1, 1)).getGraphics();
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  812 */       int i5 = j, i4 = i, i3 = paramInt; PageFormat pageFormat = this.PAGE_FORMAT; a.a a1 = this.PAGE_SPATIAL_INFO; n n1; FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (n1 = this).previewPrintable; Graphics2D graphics2D1 = graphics2D; n1 = this; Color color = Color.WHITE; RepaintManager repaintManager; boolean bool; if (bool = (repaintManager = RepaintManager.currentManager((JComponent)null)).isDoubleBufferingEnabled()) repaintManager.setDoubleBufferingEnabled(false);  graphics2D1.setColor(color); graphics2D1.fillRect(0, 0, i4, i5); n1.a(graphics2D1, a1, false, new Point(1, 1)); graphics2D1.setColor(Color.BLACK); graphics2D1.scale(a1.a, a1.a); graphics2D1.translate(1, 1); if (fullyNavigableAttributeSetPrintable instanceof PreviewGraphicsCustomizer) graphics2D1 = ((PreviewGraphicsCustomizer)fullyNavigableAttributeSetPrintable).customizePreviewGraphics(graphics2D1);  a(graphics2D1, a((Printable)fullyNavigableAttributeSetPrintable)); int i2 = fullyNavigableAttributeSetPrintable.print(graphics2D1, pageFormat, i3); if (bool) repaintManager.setDoubleBufferingEnabled(true);  k = i2;
/*      */ 
/*      */     
/*      */     }
/*  816 */     catch (Throwable throwable) {
/*      */       n n1;
/*  818 */       a((n1 = this).previewPrintable, paramInt, throwable);
/*      */     } 
/*  820 */     if (k == 1) bufferedImage = null;
/*      */ 
/*      */     
/*  823 */     graphics2D.dispose();
/*      */     
/*  825 */     return bufferedImage;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int b(int paramInt1, int paramInt2) {
/*  836 */     int j = o();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  843 */     n n1 = this; int k = 0; n n2; if ((n2 = n1).descretePageDisplay) if ((n2 = n1).fullPageRowDisplay) { k = (k = n1.k()) * n1.o(); } else { k = (n2 = n1).requestedPageIndex; }   int i = k;
/*      */ 
/*      */     
/*  846 */     paramInt2 /= this.THEME.PREVIEW_INSET_WIDTH + this.PAGE_SPATIAL_INFO.c + this.THEME.PAGE_VERTICAL_GAP_WIDTH;
/*      */ 
/*      */ 
/*      */     
/*  850 */     if ((paramInt1 = paramInt1 / (this.THEME.PREVIEW_INSET_WIDTH + this.PAGE_SPATIAL_INFO.b + this.THEME.PAGE_HORIZONTAL_GAP_WIDTH)) >= j)
/*      */     {
/*  852 */       paramInt1 = j - 1;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  858 */     if ((paramInt1 = i + paramInt2 * j + paramInt1) >= i())
/*      */     {
/*  860 */       paramInt1 = i() - 1;
/*      */     }
/*      */     
/*  863 */     return paramInt1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final FullyNavigableAttributeSetPrintable n() {
/*  871 */     return this.previewPrintable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int o() {
/*  879 */     int i = 1;
/*      */     n n1;
/*  881 */     if ((n1 = this).fullPageRowDisplay)
/*      */     {
/*  883 */       i = (n1 = this).pageColumnCount;
/*      */     }
/*      */     
/*  886 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int r() {
/*  894 */     int i, j = 0;
/*      */     
/*  896 */     int k = 0;
/*      */     
/*      */     n n1;
/*      */     
/*  900 */     if ((n1 = this).descretePageDisplay) {
/*      */       
/*  902 */       i = 1;
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  908 */       k = i();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  913 */       if ((n1 = this).fullPageRowDisplay) {
/*      */         
/*  915 */         j = o();
/*      */         
/*  917 */         if ((i = k / j) * j < k) i++;
/*      */         
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  923 */         i = k;
/*      */       } 
/*      */     } 
/*      */     
/*  927 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final PrintablePageContentPainter p() {
/*  945 */     return this.overlayPainter;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int e(Rectangle paramRectangle) {
/*  955 */     int i, j = (paramRectangle.y == 0) ? 1 : 0;
/*  956 */     boolean bool = (paramRectangle.y + paramRectangle.height >= getHeight()) ? true : false;
/*  957 */     int k = (paramRectangle.x == 0) ? 1 : 0; n n1, n2;
/*  958 */     if (((n2 = n1 = this).descretePageDisplay && !(n2 = n1).fullPageRowDisplay)) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  963 */       i = (n2 = this).requestedPageIndex;
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  970 */       if (k) {
/*      */ 
/*      */ 
/*      */         
/*  974 */         k = 72;
/*      */       }
/*      */       else {
/*      */         
/*  978 */         k = (int)(i.x + i.width / 2.0F);
/*      */       } 
/*  980 */       if (bool && !j) {
/*      */         
/*  982 */         i = i.y + i.height - 20;
/*      */       }
/*      */       else {
/*      */         
/*  986 */         i = (int)(i.y + i.height / 3.0F);
/*      */       } 
/*  988 */       i = b(k, i);
/*  989 */       (n2 = this).requestedPageIndex = j = i;
/*      */     } 
/*      */     
/*  992 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final boolean q() {
/* 1004 */     return this.descretePageDisplay;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(JComponent paramJComponent) {
/* 1014 */     if (getComponentCount() > 0) remove(0);
/*      */ 
/*      */     
/* 1017 */     this.emptyDisplayComponent = paramJComponent;
/*      */ 
/*      */     
/* 1020 */     if (i() == 0)
/*      */     {
/* 1022 */       add(paramJComponent, "Center");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(PrintablePageContentPainter paramPrintablePageContentPainter) {
/* 1032 */     this.overlayPainter = paramPrintablePageContentPainter;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final void a(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, int paramInt) {
/* 1041 */     this.previewPrintable = paramFullyNavigableAttributeSetPrintable;
/*      */ 
/*      */ 
/*      */     
/* 1045 */     this.printableScalable = !(paramFullyNavigableAttributeSetPrintable instanceof jpdf.ability.Unscalable);
/*      */ 
/*      */     
/* 1048 */     a(paramFullyNavigableAttributeSetPrintable.getAttributeSet());
/*      */ 
/*      */     
/* 1051 */     int i = paramFullyNavigableAttributeSetPrintable.computePageCount(this.PAGE_FORMAT);
/*      */ 
/*      */     
/* 1054 */     b((i > 0));
/*      */ 
/*      */     
/* 1057 */     if (i > 0) {
/*      */ 
/*      */       
/* 1060 */       if (getComponentCount() > 0) remove(0); 
/* 1061 */       a(0);
/*      */     } else {
/*      */       n n1;
/*      */ 
/*      */ 
/*      */       
/* 1067 */       JComponent jComponent = (n1 = this).emptyDisplayComponent;
/* 1068 */       if (getComponentCount() == 0 && jComponent != null)
/*      */       {
/* 1070 */         add(jComponent, "Center");
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1075 */     e();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final PageFormat a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*      */     int i;
/*      */     n n2;
/* 1086 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (n2 = this).previewPrintable;
/* 1087 */     Dimension dimension = null;
/*      */     
/* 1089 */     PageFormat pageFormat = super.a(paramPrintRequestAttributeSet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1103 */     if (fullyNavigableAttributeSetPrintable instanceof PageGridPrintable) {
/*      */ 
/*      */ 
/*      */       
/* 1107 */       i = (dimension = ((PageGridPrintable)fullyNavigableAttributeSetPrintable).computePageGridSize(pageFormat)).width * dimension.height;
/* 1108 */       bool = (dimension.width >= 2) ? dimension.width : true;
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1114 */       i = i.computePageCount(pageFormat);
/* 1115 */       bool = true;
/*      */     } 
/*      */ 
/*      */     
/* 1119 */     if (i < 2) bool = true;  n n1;
/* 1120 */     boolean bool = bool;
/*      */     
/* 1122 */     return pageFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Point e(int paramInt) {
/* 1137 */     int j, i = o(); n n1;
/* 1138 */     if ((n1 = this).descretePageDisplay) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1146 */       if ((n1 = this).fullPageRowDisplay)
/*      */       {
/* 1148 */         j = paramInt / i;
/* 1149 */         paramInt -= j * i;
/* 1150 */         j = 0;
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*      */         
/* 1156 */         j = 0;
/* 1157 */         paramInt = 0;
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */ 
/*      */     
/*      */     }
/* 1165 */     else if ((n1 = this).fullPageRowDisplay) {
/*      */       
/* 1167 */       j = paramInt / i;
/* 1168 */       paramInt -= j * i;
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1173 */       j = paramInt;
/* 1174 */       paramInt = 0;
/*      */     } 
/*      */     
/*      */     n n2;
/*      */     
/* 1179 */     if ((n2 = this).rightToLeftOrientation && i > 1)
/*      */     {
/* 1181 */       paramInt = i - 1 - paramInt;
/*      */     }
/*      */     
/* 1184 */     return new Point(paramInt, j);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt, a.a parama, Point paramPoint) {
/*      */     Point point;
/* 1225 */     int j = (point = e(paramInt)).x;
/* 1226 */     int i = point.y;
/*      */ 
/*      */     
/* 1229 */     paramPoint.x = this.THEME.PREVIEW_INSET_WIDTH + 1 + j * (parama.b + this.THEME.PAGE_HORIZONTAL_GAP_WIDTH);
/*      */     
/* 1231 */     paramPoint.y = this.THEME.PREVIEW_INSET_WIDTH + i * (parama.c + this.THEME.PAGE_VERTICAL_GAP_WIDTH);
/*      */ 
/*      */ 
/*      */     
/* 1235 */     if (this.THEME.TO_CENTER_HORIZONTALLY) {
/*      */       
/* 1237 */       i = getWidth();
/* 1238 */       j = 2 * this.THEME.PREVIEW_INSET_WIDTH + o() * (parama.b + this.THEME.PAGE_HORIZONTAL_GAP_WIDTH);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1245 */       if (i > j)
/*      */       {
/* 1247 */         paramPoint.x = (int)(paramPoint.x + ((i - j) + 1.0D) / 2.0D);
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 1252 */     if (this.THEME.TO_CENTER_VERTICALLY) {
/*      */       
/* 1254 */       i = getHeight();
/* 1255 */       j = this.THEME.PREVIEW_INSET_WIDTH + r() * (parama.c + this.THEME.PAGE_VERTICAL_GAP_WIDTH);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1262 */       if (i > j)
/*      */       {
/* 1264 */         paramPoint.y += (i - j) / 2;
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Dimension s() {
/*      */     Dimension dimension;
/* 1276 */     Object object = null;
/*      */ 
/*      */     
/* 1279 */     int j, i = (j = i()) - 1;
/* 1280 */     int k = 0;
/* 1281 */     int m = 0;
/*      */ 
/*      */     
/* 1284 */     if (i >= 0) {
/*      */ 
/*      */       
/* 1287 */       Point point = e(i);
/* 1288 */       k = o();
/* 1289 */       m = point.y + 1;
/* 1290 */       if (k > j) k = j;
/*      */ 
/*      */       
/* 1293 */       dimension = a(k, m);
/*      */     }
/*      */     else {
/*      */       
/* 1297 */       dimension = new Dimension(0, 0);
/*      */     } 
/*      */     
/* 1300 */     return dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int[] a(a.a parama, Rectangle paramRectangle, int paramInt1, int paramInt2) {
/* 1311 */     Point point = new Point();
/*      */     
/* 1313 */     int i = paramInt2 - paramInt1 + 1;
/*      */     
/* 1315 */     byte b = 0;
/*      */ 
/*      */     
/* 1318 */     if (i <= 0) return new int[0];
/*      */ 
/*      */     
/*      */     int[] arrayOfInt;
/* 1322 */     Arrays.fill(arrayOfInt = new int[(i > 10) ? 10 : i], -1);
/*      */ 
/*      */     
/* 1325 */     Rectangle rectangle = new Rectangle(parama.b + this.THEME.PAGE_HORIZONTAL_GAP_WIDTH, parama.c + this.THEME.PAGE_VERTICAL_GAP_WIDTH);
/*      */ 
/*      */ 
/*      */     
/* 1329 */     for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*      */ 
/*      */       
/* 1332 */       a(paramInt1, parama, point);
/* 1333 */       rectangle.x = point.x - 1;
/* 1334 */       rectangle.y = point.y - 1;
/*      */ 
/*      */ 
/*      */       
/* 1338 */       if (rectangle.intersects(paramRectangle)) {
/*      */ 
/*      */         
/* 1341 */         if (b >= arrayOfInt.length) {
/*      */           int[] arrayOfInt1;
/*      */           
/* 1344 */           Arrays.fill(arrayOfInt1 = new int[arrayOfInt.length + 10], -1);
/* 1345 */           for (byte b1 = 0; b1 < arrayOfInt.length; b1++)
/*      */           {
/* 1347 */             arrayOfInt1[b1] = arrayOfInt[b1];
/*      */           }
/* 1349 */           arrayOfInt = arrayOfInt1;
/*      */         } 
/* 1351 */         arrayOfInt[b] = paramInt1;
/* 1352 */         b++;
/*      */       } 
/*      */     } 
/*      */     
/* 1356 */     return arrayOfInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, int paramInt, Throwable paramThrowable) {
/* 1381 */     UnexpectedPreviewPrintableException unexpectedPreviewPrintableException = new UnexpectedPreviewPrintableException((Printable)paramFullyNavigableAttributeSetPrintable, paramInt, paramThrowable, false);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1388 */     this.CONTROL_PANEL.a((Throwable)unexpectedPreviewPrintableException);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean a(Printable paramPrintable) {
/* 1438 */     return !(paramPrintable instanceof jpdf.ability.Unscalable);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean a(Graphics2D paramGraphics2D, Printable paramPrintable, int paramInt, a.a parama, boolean paramBoolean1, boolean paramBoolean2, Point paramPoint, Rectangle paramRectangle) {
/* 1514 */     return this.PAGE_PAINTER.a(this, paramGraphics2D, paramPrintable, paramInt, parama, paramBoolean1, paramBoolean2, paramPoint, paramRectangle);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean a(Graphics2D paramGraphics2D) {
/*      */     n n1;
/* 1524 */     FullyNavigableAttributeSetPrintable fullyNavigableAttributeSetPrintable = (n1 = this).previewPrintable;
/* 1525 */     Point point = new Point();
/* 1526 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/* 1527 */     boolean bool1 = false;
/* 1528 */     Object object = null;
/*      */     
/* 1530 */     int j = 0;
/* 1531 */     int i = i() - 1;
/*      */     
/* 1533 */     boolean bool2 = a((Printable)fullyNavigableAttributeSetPrintable);
/*      */ 
/*      */     
/*      */     try {
/*      */       int[] arrayOfInt;
/*      */ 
/*      */       
/* 1540 */       if ((n1 = this).descretePageDisplay) {
/*      */ 
/*      */         
/* 1543 */         if ((n1 = this).fullPageRowDisplay) {
/*      */           
/* 1545 */           int k = k();
/* 1546 */           int m = o();
/*      */ 
/*      */ 
/*      */           
/* 1550 */           if ((m = (k = k * m) + m - 1) > i)
/*      */           {
/* 1552 */             m = i;
/*      */           }
/*      */           
/* 1555 */           arrayOfInt = a(this.PAGE_SPATIAL_INFO, rectangle, k, m);
/*      */ 
/*      */ 
/*      */           
/* 1559 */           for (k = 0; k < arrayOfInt.length; )
/*      */           {
/*      */ 
/*      */             
/* 1563 */             a(j, this.PAGE_SPATIAL_INFO, point);
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1568 */             if ((j = arrayOfInt[k]) >= 0 && (bool1 = a(paramGraphics2D, (Printable)fullyNavigableAttributeSetPrintable, j, this.PAGE_SPATIAL_INFO, bool2, a(), point, rectangle))) {
/*      */               k++;
/*      */             }
/*      */           }
/*      */         
/*      */         } else {
/*      */           
/* 1575 */           j = (n1 = this).requestedPageIndex;
/* 1576 */           a(j, this.PAGE_SPATIAL_INFO, point);
/* 1577 */           bool1 = a(paramGraphics2D, (Printable)fullyNavigableAttributeSetPrintable, j, this.PAGE_SPATIAL_INFO, bool2, a(), point, rectangle);
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */         
/* 1589 */         arrayOfInt = a(this.PAGE_SPATIAL_INFO, rectangle, 0, arrayOfInt);
/*      */ 
/*      */ 
/*      */         
/* 1593 */         for (byte b = 0; b < arrayOfInt.length; ) {
/*      */ 
/*      */ 
/*      */           
/* 1597 */           a(j, this.PAGE_SPATIAL_INFO, point);
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1602 */           if ((j = arrayOfInt[b]) >= 0 && (bool1 = a(paramGraphics2D, (Printable)fullyNavigableAttributeSetPrintable, j, this.PAGE_SPATIAL_INFO, bool2, a(), point, rectangle)))
/*      */             b++; 
/*      */         } 
/*      */       } 
/* 1606 */     } catch (Throwable throwable) {
/*      */       
/* 1608 */       a(fullyNavigableAttributeSetPrintable, j, throwable);
/*      */     } 
/*      */     
/* 1611 */     return bool1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Dimension t() {
/* 1704 */     Dimension dimension = s();
/*      */     
/* 1706 */     setSize(dimension);
/* 1707 */     setPreferredSize(dimension);
/*      */     
/* 1709 */     return dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final Dimension f(Rectangle paramRectangle) {
/*      */     Dimension dimension2;
/* 1720 */     int j = (dimension2 = s()).width;
/* 1721 */     int i = dimension2.height;
/*      */ 
/*      */     
/* 1724 */     if (j < paramRectangle.width) j = paramRectangle.width; 
/* 1725 */     if (i < paramRectangle.height) i = paramRectangle.height; 
/* 1726 */     setSize(j, i);
/*      */ 
/*      */     
/* 1729 */     Dimension dimension1 = getSize();
/* 1730 */     setPreferredSize(dimension1);
/*      */     
/* 1732 */     return dimension1;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\n.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */