/*     */ package jpdf.gui.preview2.text;
/*     */ 
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.awt.font.TextMeasurer;
/*     */ import java.awt.geom.Rectangle2D;
/*     */ import java.text.AttributedCharacterIterator;
/*     */ import jpdf.printer.text.PrintTextUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TextRenderUtility
/*     */ {
/*     */   public static final int NOTHING_FITS = -1;
/*     */   public static final int EVERYTHING_FITS = -2;
/*     */   
/*     */   public static class TextFitInfo
/*     */   {
/*     */     public final int LAST_FIT_CHAR_INDEX;
/*     */     public final int NEXT_CHAR_WIDTH;
/*     */     public final int NEXT_CHAR_OVERFLOW;
/*     */     
/*     */     public TextFitInfo(int param1Int) {
/*  58 */       this(param1Int, 0, 0);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TextFitInfo(int param1Int1, int param1Int2, int param1Int3) {
/*  67 */       this.LAST_FIT_CHAR_INDEX = param1Int1;
/*  68 */       this.NEXT_CHAR_WIDTH = param1Int2;
/*  69 */       this.NEXT_CHAR_OVERFLOW = param1Int3;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean isCharacterBisected() {
/*  77 */       return (this.NEXT_CHAR_WIDTH != 0);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public float computeLastCharOverflowFraction() {
/*  86 */       if (this.NEXT_CHAR_WIDTH == 0) return 0.0F;
/*     */       
/*  88 */       return this.NEXT_CHAR_OVERFLOW / this.NEXT_CHAR_WIDTH;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computeLastFitCharIndex(Graphics2D paramGraphics2D, a parama, int paramInt) {
/* 130 */     parama.a(paramGraphics2D, paramInt);
/* 131 */     int j = parama.c() - 1;
/*     */ 
/*     */ 
/*     */     
/* 135 */     if (paramInt <= 0) return -1;
/*     */ 
/*     */ 
/*     */     
/*     */     TextFitInfo textFitInfo;
/*     */     
/* 141 */     if ((textFitInfo = parama.a(paramGraphics2D, paramInt)) == null) return -1;
/*     */ 
/*     */     
/* 144 */     int i = textFitInfo.LAST_FIT_CHAR_INDEX;
/*     */ 
/*     */     
/* 147 */     if (textFitInfo.isCharacterBisected())
/*     */     {
/* 149 */       if (textFitInfo.computeLastCharOverflowFraction() <= 0.5F) i++;
/*     */     
/*     */     }
/*     */     
/* 153 */     if (i > j)
/*     */     {
/* 155 */       i = -2;
/*     */     }
/*     */     
/* 158 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextFitInfo computeTextFitInfo(AttributedCharacterIterator paramAttributedCharacterIterator, TextMeasurer paramTextMeasurer, int paramInt) {
/* 172 */     int m = paramAttributedCharacterIterator.getBeginIndex();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 177 */     if (paramInt <= 0) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     int k;
/*     */ 
/*     */     
/* 185 */     if ((k = paramTextMeasurer.getLineBreakIndex(m, paramInt)) == paramAttributedCharacterIterator.getEndIndex())
/*     */     {
/* 187 */       return new TextFitInfo(CharIteratorUtility.getLength(paramAttributedCharacterIterator) - 1);
/*     */     }
/*     */ 
/*     */     
/* 191 */     if (k == m) return null;
/*     */ 
/*     */     
/* 194 */     float f1 = paramTextMeasurer.getAdvanceBetween(m, k);
/*     */     float f2;
/* 196 */     int i = (int)((f2 = paramTextMeasurer.getAdvanceBetween(m, k + 1)) - f1);
/* 197 */     paramInt = (int)(f2 - paramInt);
/*     */ 
/*     */     
/* 200 */     int j = k - 1 - m;
/*     */     
/* 202 */     return new TextFitInfo(j, i, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextFitInfo computeTextFitInfo(GlyphVector paramGlyphVector, int paramInt) {
/* 212 */     TextFitInfo textFitInfo = null;
/* 213 */     int i = paramGlyphVector.getNumGlyphs();
/* 214 */     int j = 0;
/* 215 */     int k = 0;
/*     */     
/* 217 */     int m = 0;
/*     */ 
/*     */     
/* 220 */     if (paramInt <= 0) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 226 */     if ((k = PrintTextUtility.getGlyphVectorVisibleWidth(paramGlyphVector)) <= paramInt)
/*     */     {
/* 228 */       return new TextFitInfo(i - 1);
/*     */     }
/*     */ 
/*     */     
/* 232 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 237 */       if ((k = PrintTextUtility.getGlyphEndX(paramGlyphVector, b)) >= paramInt) {
/*     */         
/* 239 */         j = paramGlyphVector.getGlyphCharIndex(b - 1);
/*     */         
/* 241 */         if ((m = k - paramInt) == 0) {
/*     */           
/* 243 */           j++;
/* 244 */           k = 0;
/*     */         }
/*     */         else {
/*     */           
/* 248 */           k = PrintTextUtility.getGlyphEndX(paramGlyphVector, b);
/* 249 */           if (b > 0)
/*     */           {
/* 251 */             k -= PrintTextUtility.getGlyphEndX(paramGlyphVector, b - 1);
/*     */           }
/*     */         } 
/*     */         
/* 255 */         textFitInfo = new TextFitInfo(j, k, m);
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 260 */     return textFitInfo;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextFitInfo computeTextFitInfo(String paramString, int paramInt, FontMetrics paramFontMetrics) {
/*     */     TextFitInfo textFitInfo;
/* 270 */     String str = null;
/* 271 */     int i = paramString.length();
/* 272 */     int j = 0;
/* 273 */     int m = 0;
/*     */     
/* 275 */     int k = 0;
/*     */ 
/*     */     
/* 278 */     if (paramInt <= 0) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 284 */     if ((k = paramFontMetrics.stringWidth(paramString)) <= paramInt)
/*     */     {
/* 286 */       return new TextFitInfo(i - 1);
/*     */     }
/*     */ 
/*     */     
/* 290 */     k = 0;
/* 291 */     for (int n = 0; n < i; n++) {
/*     */       
/* 293 */       m = paramFontMetrics.charWidth(paramString.charAt(n));
/*     */ 
/*     */ 
/*     */       
/* 297 */       if ((k = k + m) >= paramInt) {
/*     */         
/* 299 */         j = n - 1;
/*     */ 
/*     */ 
/*     */         
/* 303 */         if (n > 10) {
/*     */           
/* 305 */           str = null;
/* 306 */           for (n -= 9; n < i; n++) {
/*     */             
/* 308 */             str = paramString.substring(0, n);
/*     */             
/* 310 */             if ((k = paramFontMetrics.stringWidth(str)) > paramInt) {
/*     */               
/* 312 */               m = paramFontMetrics.charWidth(paramString.charAt(n - 1));
/* 313 */               j = n - 2;
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/*     */         } 
/*     */         
/* 320 */         if ((k = k - paramInt) == 0) {
/*     */           
/* 322 */           j++;
/* 323 */           m = 0;
/*     */         } 
/*     */         
/* 326 */         textFitInfo = new TextFitInfo(j, m, k);
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 331 */     return textFitInfo;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Rectangle convertToIntBounds(Rectangle2D paramRectangle2D) {
/*     */     Rectangle rectangle;
/* 340 */     if (paramRectangle2D instanceof Rectangle) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 345 */       paramRectangle2D = paramRectangle2D;
/*     */     }
/*     */     else {
/*     */       
/* 349 */       int j = Math.round((float)paramRectangle2D.getX());
/* 350 */       int k = Math.round((float)paramRectangle2D.getY());
/* 351 */       int m = Math.round((float)paramRectangle2D.getWidth());
/* 352 */       int i = Math.round((float)paramRectangle2D.getHeight());
/* 353 */       rectangle = new Rectangle(j, k, m, i);
/*     */     } 
/*     */     
/* 356 */     return rectangle;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Rectangle2D.Float convertToFloatBounds(Rectangle2D paramRectangle2D) {
/*     */     Rectangle2D.Float float_;
/* 365 */     if (paramRectangle2D instanceof Rectangle2D.Float) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 370 */       paramRectangle2D = paramRectangle2D;
/*     */     }
/*     */     else {
/*     */       
/* 374 */       float f2 = (float)paramRectangle2D.getX();
/* 375 */       float f3 = (float)paramRectangle2D.getY();
/* 376 */       float f4 = (float)paramRectangle2D.getWidth();
/* 377 */       float f1 = (float)paramRectangle2D.getHeight();
/* 378 */       float_ = new Rectangle2D.Float(f2, f3, f4, f1);
/*     */     } 
/*     */     
/* 381 */     return float_;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Rectangle2D.Float intersection(Rectangle paramRectangle, Rectangle2D.Float paramFloat) {
/* 391 */     float f3 = paramRectangle.x;
/* 392 */     float f4 = paramRectangle.y;
/* 393 */     float f5 = (paramRectangle.x + paramRectangle.width);
/* 394 */     float f1 = (paramRectangle.y + paramRectangle.height);
/* 395 */     float f6 = paramFloat.x;
/* 396 */     float f7 = paramFloat.y;
/* 397 */     float f8 = paramFloat.x + paramFloat.width;
/* 398 */     float f2 = paramFloat.y + paramFloat.height;
/* 399 */     float f9 = f3;
/* 400 */     float f10 = f4;
/* 401 */     float f11 = f5;
/* 402 */     float f12 = f1;
/*     */     
/* 404 */     if (f6 > f3) f9 = f6; 
/* 405 */     if (f7 > f4) f10 = f7; 
/* 406 */     if (f8 < f5) f11 = f8; 
/* 407 */     if (f2 < f1) f12 = f2;
/*     */     
/* 409 */     return new Rectangle2D.Float(f9, f10, f11 - f9, f12 - f10);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static double round4(double paramDouble) {
/* 420 */     return Math.round(paramDouble * 10000.0D) / 10000.0D;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\text\TextRenderUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */