/*     */ package jpdf.manage;
/*     */ 
/*     */ import java.net.URI;
/*     */ import java.util.ArrayList;
/*     */ import javax.print.CancelablePrintJob;
/*     */ import javax.print.Doc;
/*     */ import javax.print.DocPrintJob;
/*     */ import javax.print.PrintException;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Destination;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import jpdf.diagnostics.JpdfPrintJobCancellationException;
/*     */ import jpdf.diagnostics.JpdfPrintJobException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPrintJobThread
/*     */   extends Thread
/*     */ {
/*  51 */   private static final ArrayList g = new ArrayList(3);
/*     */   
/*  53 */   private static final ArrayList h = new ArrayList(3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final String a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final Object b;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final PrintService c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final PrintRequestAttributeSet d;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final Doc e;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final DocPrintJob f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final PrintJobStatusDialog i;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final PrintJobObserver j;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean k = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   AbstractPrintJobThread(String paramString, Object paramObject, PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, Doc paramDoc, PrintManager.PrintJobOptions paramPrintJobOptions) {
/* 114 */     super("JPDF Print Job");
/*     */ 
/*     */     
/* 117 */     this.a = paramString;
/* 118 */     this.b = paramObject;
/* 119 */     this.c = paramPrintService;
/* 120 */     this.d = paramPrintRequestAttributeSet;
/* 121 */     this.e = paramDoc;
/* 122 */     this.f = this.c.createPrintJob();
/* 123 */     this.j = paramPrintJobOptions.getPrintJobObserver();
/* 124 */     boolean bool = paramPrintJobOptions.isStatusDialogModal(); AbstractPrintJobThread abstractPrintJobThread = this; this.i = paramPrintJobOptions.isStatusDialogDisplayed() ? new PrintJobStatusDialog(abstractPrintJobThread, bool, false, true) : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getJobName() {
/*     */     JobName jobName;
/* 142 */     if ((jobName = (JobName)this.d.get(JobName.class)) == null) return this.a;
/*     */     
/* 144 */     return jobName.getValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintService getJobPrintService() {
/* 153 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttribute getPrintAttribute(Class<?> paramClass) {
/* 164 */     if (paramClass == null) return null; 
/* 165 */     if (!PrintRequestAttribute.class.isAssignableFrom(paramClass)) return null;
/*     */     
/* 167 */     return (PrintRequestAttribute)this.d.get(paramClass);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isPrintJobCancelled() {
/* 175 */     return this.k;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 184 */     return getClass().getName() + " [" + this.a + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(PrintJobObserver paramPrintJobObserver) {
/* 197 */     g.add(paramPrintJobObserver);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(PrintJobStatusObserver paramPrintJobStatusObserver) {
/* 205 */     h.add(paramPrintJobStatusObserver);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized void g() {
/* 223 */     AbstractPrintJobThread abstractPrintJobThread = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 228 */     if (!isPrintJobCancelled()) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 235 */       (abstractPrintJobThread = this).k = true;
/*     */ 
/*     */       
/* 238 */       d();
/*     */       
/* 240 */       if (this.f instanceof CancelablePrintJob && PrintJobAdministrator.isPrintJobCancellationSupported()) {
/*     */         
/*     */         try {
/*     */ 
/*     */           
/* 245 */           ((CancelablePrintJob)this.f).cancel();
/*     */           return;
/* 247 */         } catch (PrintException printException) {
/*     */           JpdfPrintJobCancellationException jpdfPrintJobCancellationException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 254 */           PrintManager.handleException((Throwable)(jpdfPrintJobCancellationException = new JpdfPrintJobCancellationException(this, printException)), false, false);
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void d() {
/* 266 */     if (this.i != null) this.i.remove();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void h() {
/* 276 */     if (this.i != null)
/*     */     {
/* 278 */       if (!this.i.isShowing())
/*     */       {
/* 280 */         this.i.showOnThreadIfModal();
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final PrintJobStatusDialog i() {
/* 310 */     return this.i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(Throwable paramThrowable) {
/* 318 */     a(paramThrowable, null, false, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(Throwable paramThrowable, String paramString, boolean paramBoolean1, boolean paramBoolean2) {
/* 328 */     a(paramThrowable, paramString, true, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void a(Throwable paramThrowable, String paramString, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) {
/* 340 */     Throwable throwable = paramThrowable; String str = PrintJobMessenger.getFailedJobMsg(); AbstractPrintJobThread abstractPrintJobThread = this; Destination destination = null; URI uRI = null; int i = g.size(); if ((destination = (Destination)abstractPrintJobThread.d.get(Destination.class)) != null) uRI = destination.getURI();  if (abstractPrintJobThread.j != null) { abstractPrintJobThread.j.abortededPrintJob(abstractPrintJobThread.c, uRI, abstractPrintJobThread.a, str, throwable); } else { for (byte b = 0; b < i; ) { PrintJobObserver printJobObserver; (printJobObserver = g.get(b)).abortededPrintJob(abstractPrintJobThread.c, uRI, abstractPrintJobThread.a, str, throwable); b++; }
/*     */        }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     JpdfPrintJobException jpdfPrintJobException;
/*     */ 
/*     */     
/* 349 */     PrintManager.handleException((Throwable)(jpdfPrintJobException = new JpdfPrintJobException(this, paramThrowable, paramString, paramBoolean1)), paramBoolean2, paramBoolean3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(String paramString) {
/* 392 */     Destination destination = null;
/* 393 */     URI uRI = null;
/*     */     
/* 395 */     int i = g.size();
/*     */ 
/*     */ 
/*     */     
/* 399 */     if ((destination = (Destination)this.d.get(Destination.class)) != null) uRI = destination.getURI();
/*     */ 
/*     */ 
/*     */     
/* 403 */     if (this.j != null) {
/*     */       
/* 405 */       this.j.canceledPrintJob(this.c, uRI, this.a, paramString);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 410 */     for (byte b = 0; b < i; b++) {
/*     */       PrintJobObserver printJobObserver;
/*     */       
/* 413 */       (printJobObserver = g.get(b)).canceledPrintJob(this.c, uRI, this.a, paramString);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void a(boolean paramBoolean, String paramString) {
/* 424 */     Destination destination = null;
/* 425 */     URI uRI = null;
/*     */     
/* 427 */     int i = g.size();
/*     */ 
/*     */ 
/*     */     
/* 431 */     if ((destination = (Destination)this.d.get(Destination.class)) != null) uRI = destination.getURI();
/*     */ 
/*     */ 
/*     */     
/* 435 */     if (this.j != null) {
/*     */       
/* 437 */       this.j.finishedPrintJob(this.c, uRI, this.a, paramBoolean, paramString);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 442 */     for (byte b = 0; b < i; b++) {
/*     */       PrintJobObserver printJobObserver;
/*     */       
/* 445 */       (printJobObserver = g.get(b)).finishedPrintJob(this.c, uRI, this.a, paramBoolean, paramString);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(boolean paramBoolean) {
/* 456 */     Destination destination = null;
/* 457 */     URI uRI = null;
/*     */     
/* 459 */     int i = g.size();
/*     */ 
/*     */ 
/*     */     
/* 463 */     if ((destination = (Destination)this.d.get(Destination.class)) != null) uRI = destination.getURI();
/*     */ 
/*     */ 
/*     */     
/* 467 */     if (this.j != null) {
/*     */       
/* 469 */       this.j.submittedPrintJob(this.c, uRI, this.a, paramBoolean);
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 474 */     for (byte b = 0; b < i; b++) {
/*     */       PrintJobObserver printJobObserver;
/*     */       
/* 477 */       (printJobObserver = g.get(b)).submittedPrintJob(this.c, uRI, this.a, paramBoolean);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final boolean j() {
/* 489 */     if (this.i == null) return false;
/*     */     
/* 491 */     return this.i.isModal();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void k() {
/* 500 */     this.k = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean b(PrintJobObserver paramPrintJobObserver) {
/* 509 */     return g.add(paramPrintJobObserver);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean b(PrintJobStatusObserver paramPrintJobStatusObserver) {
/* 518 */     return h.add(paramPrintJobStatusObserver);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void b(String paramString) {
/* 527 */     AbstractPrintJobThread abstractPrintJobThread = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     PrintJobStatusDialog printJobStatusDialog;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 537 */     if ((printJobStatusDialog = (abstractPrintJobThread = this).i) != null)
/*     */     {
/* 539 */       printJobStatusDialog.displayProgressMessage(paramString);
/*     */     }
/*     */ 
/*     */     
/* 543 */     int i = h.size();
/* 544 */     for (byte b = 0; b < i; b++) {
/*     */       PrintJobStatusObserver printJobStatusObserver;
/*     */       
/* 547 */       (printJobStatusObserver = h.get(b)).statussedPrintJob(this.a, paramString);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\AbstractPrintJobThread.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */