/*     */ package jpdf.manage;
/*     */ 
/*     */ import java.io.File;
/*     */ import java.io.PrintStream;
/*     */ import java.net.URI;
/*     */ import java.text.DateFormat;
/*     */ import javax.print.PrintService;
/*     */ import jpdf_common.system.a.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BasicPrintJobObserver
/*     */   extends AbstractEventLogger
/*     */   implements PrintJobObserver
/*     */ {
/*     */   public BasicPrintJobObserver() {
/*  40 */     this(System.out);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicPrintJobObserver(DateFormat paramDateFormat) {
/*  50 */     this(System.out, paramDateFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicPrintJobObserver(PrintStream paramPrintStream) {
/*  60 */     super(paramPrintStream, DateFormat.getTimeInstance());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicPrintJobObserver(PrintStream paramPrintStream, DateFormat paramDateFormat) {
/*  71 */     super(paramPrintStream, paramDateFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void abortededPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, String paramString2, Throwable paramThrowable) {
/*  90 */     StackTraceElement[] arrayOfStackTraceElement = paramThrowable.getStackTrace();
/*  91 */     StringBuilder stringBuilder = new StringBuilder(512);
/*     */ 
/*     */     
/*  94 */     finishedPrintJob(paramPrintService, paramURI, paramString1, false, paramString2);
/*     */ 
/*     */ 
/*     */     
/*  98 */     stringBuilder.append("*** Print Job Error: " + paramThrowable + a.h);
/*  99 */     for (byte b = 0; b < arrayOfStackTraceElement.length; b++)
/*     */     {
/* 101 */       stringBuilder.append("\t\t   > " + arrayOfStackTraceElement[b].toString() + a.h);
/*     */     }
/*     */ 
/*     */     
/* 105 */     writePrintJobMessage(stringBuilder.toString(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void canceledPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, String paramString2) {
/* 118 */     finishedPrintJob(paramPrintService, paramURI, paramString1, false, paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void finishedPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, boolean paramBoolean, String paramString2) {
/* 132 */     String str = buildDestinationMsg(paramPrintService, paramURI);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 137 */     str = paramString2 + ": " + paramString1 + a.h + "\t\t" + str + a.h;
/*     */ 
/*     */ 
/*     */     
/* 141 */     writePrintJobMessage(str, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void submittedPrintJob(PrintService paramPrintService, URI paramURI, String paramString, boolean paramBoolean) {
/* 153 */     String str = a.h + "=============================================" + a.h;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 158 */     this.PRINT_STREAM.println(str);
/*     */ 
/*     */     
/* 161 */     str = PrintJobMessenger.getStartingJobMsg() + ": " + paramString;
/* 162 */     writePrintJobMessage(str, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String buildDestinationMsg(PrintService paramPrintService, URI paramURI) {
/*     */     String str;
/* 176 */     if (paramURI == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 181 */       str = PrintJobMessenger.getPrinterMsg() + paramPrintService.getName();
/*     */ 
/*     */     
/*     */     }
/* 185 */     else if (paramURI.getScheme().equalsIgnoreCase("file")) {
/*     */       
/* 187 */       str = PrintJobMessenger.getDestinationMsg() + new File(paramURI);
/*     */     }
/*     */     else {
/*     */       
/* 191 */       str = PrintJobMessenger.getDestinationMsg() + paramURI;
/*     */     } 
/*     */ 
/*     */     
/* 195 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void writePrintJobMessage(String paramString, boolean paramBoolean) {
/* 205 */     this.PRINT_STREAM.println(buildMsgPrefix() + paramString);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\BasicPrintJobObserver.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */