/*     */ package jpdf.pageable;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Arrays;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.ability.Titled;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractAttributeSetListPageable
/*     */   implements Titled, AttributeSetListPageable
/*     */ {
/*  36 */   private PrintRequestAttributeSet a = PrintManager.getDefaultPrintAttributes();
/*     */   
/*  38 */   private String b = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractAttributeSetListPageable(String paramString) {
/*  49 */     setTitle(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFirstPageIndex(Printable paramPrintable) {
/*  64 */     byte b = -1;
/*  65 */     int i = getNumberOfPages();
/*     */     
/*  67 */     for (byte b1 = 0; b1 < i; b1++) {
/*     */       
/*  69 */       if (getPrintable(b1) == paramPrintable) {
/*     */         
/*  71 */         b = b1;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*  76 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastPageIndex(Printable paramPrintable) {
/*  86 */     int i = -1;
/*     */ 
/*     */     
/*  89 */     for (int j = getNumberOfPages() - 1; j >= 0; j--) {
/*     */       
/*  91 */       if (getPrintable(j) == paramPrintable) {
/*     */         
/*  93 */         i = j;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*  98 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttributeSet getPrintAttributeSet() {
/* 108 */     return this.a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getTitle() {
/* 118 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintAttributeSet(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 127 */     this.a = paramPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTitle(String paramString) {
/* 135 */     this.b = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PrintRequestAttributeSet[] buildAttributeSetList(PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt) {
/*     */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet;
/* 152 */     Arrays.fill((Object[])(arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[paramInt]), paramPrintRequestAttributeSet);
/*     */     
/* 154 */     return arrayOfPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PrintRequestAttributeSet[] buildAttributeSetList(PageFormat[] paramArrayOfPageFormat) {
/* 162 */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[paramArrayOfPageFormat.length];
/*     */ 
/*     */ 
/*     */     
/* 166 */     for (byte b = 0; b < paramArrayOfPageFormat.length; b++) {
/*     */       
/* 168 */       arrayOfPrintRequestAttributeSet[b] = new HashPrintRequestAttributeSet();
/* 169 */       PrintUtility.updateAttributeSet(paramArrayOfPageFormat[b], arrayOfPrintRequestAttributeSet[b], false);
/*     */     } 
/*     */     
/* 172 */     return arrayOfPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PrintRequestAttributeSet[] buildIndependentAttributeSetList(int paramInt) {
/* 181 */     return buildIndependentAttributeSetList(PrintManager.getDefaultPrintAttributes(), paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PrintRequestAttributeSet[] buildIndependentAttributeSetList(PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt) {
/* 191 */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[paramInt];
/*     */ 
/*     */ 
/*     */     
/* 195 */     for (byte b = 0; b < paramInt; b++)
/*     */     {
/* 197 */       arrayOfPrintRequestAttributeSet[b] = new HashPrintRequestAttributeSet(paramPrintRequestAttributeSet);
/*     */     }
/*     */     
/* 200 */     return arrayOfPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PageFormat[] buildPageFormatList(int paramInt) {
/* 208 */     PageFormat[] arrayOfPageFormat = new PageFormat[paramInt];
/*     */ 
/*     */     
/* 211 */     for (byte b = 0; b < paramInt; b++)
/*     */     {
/* 213 */       arrayOfPageFormat[b] = new PageFormat();
/*     */     }
/*     */     
/* 216 */     return arrayOfPageFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PageFormat[] buildPageFormatList(PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet) {
/* 224 */     PageFormat[] arrayOfPageFormat = new PageFormat[paramArrayOfPrintRequestAttributeSet.length];
/*     */ 
/*     */     
/* 227 */     for (byte b = 0; b < paramArrayOfPrintRequestAttributeSet.length; b++) {
/*     */       
/* 229 */       arrayOfPageFormat[b] = new PageFormat();
/* 230 */       PrintUtility.updatePageFormat(paramArrayOfPrintRequestAttributeSet[b], arrayOfPageFormat[b]);
/*     */     } 
/*     */     
/* 233 */     return arrayOfPageFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static PageFormat[] buildPageFormatList(AttributeSetPrintable[] paramArrayOfAttributeSetPrintable) {
/* 241 */     PageFormat[] arrayOfPageFormat = new PageFormat[paramArrayOfAttributeSetPrintable.length];
/*     */ 
/*     */     
/* 244 */     for (byte b = 0; b < paramArrayOfAttributeSetPrintable.length; b++) {
/*     */       
/* 246 */       arrayOfPageFormat[b] = new PageFormat();
/* 247 */       PrintUtility.updatePageFormat(paramArrayOfAttributeSetPrintable[b].getAttributeSet(), arrayOfPageFormat[b]);
/*     */     } 
/*     */     
/* 250 */     return arrayOfPageFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static String[] buildTitleList(String paramString, int paramInt) {
/*     */     String[] arrayOfString;
/* 260 */     Arrays.fill((Object[])(arrayOfString = new String[paramInt]), paramString);
/*     */     
/* 262 */     return arrayOfString;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\pageable\AbstractAttributeSetListPageable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */