/*     */ package jpdf.printable;
/*     */ 
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.print.PageFormat;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.ability.ContentAlignable;
/*     */ import jpdf.attribute.ScaleFactor;
/*     */ import jpdf.printer.AbstractPrinter;
/*     */ import jpdf.printer.observer.PrinterEventType;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPageContentPrintable
/*     */   extends AbstractPrinter
/*     */   implements ContentAlignable
/*     */ {
/*  46 */   private int a = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageContentPrintable(String paramString) {
/*  59 */     super(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageContentPrintable(String paramString, AttributeSet paramAttributeSet) {
/*  68 */     super(paramString, paramAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageContentPrintable(String paramString, int paramInt1, int paramInt2) {
/*  79 */     super(paramString);
/*     */     
/*  81 */     setDisplayPageCount(paramInt1);
/*  82 */     setPrintPageIndex(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageContentPrintable(String paramString, AttributeSet paramAttributeSet, int paramInt1, int paramInt2) {
/*  93 */     super(paramString, paramAttributeSet);
/*     */     
/*  95 */     setDisplayPageCount(paramInt1);
/*  96 */     setPrintPageIndex(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageCount() {
/* 109 */     return 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPrintPageIndex() {
/* 117 */     return this.a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHorizontallyAlignable() {
/* 127 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isVerticallyAlignable() {
/* 137 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt) {
/* 147 */     paramGraphics = paramGraphics;
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/* 149 */     float f = ScaleFactor.getScaleFactor(printRequestAttributeSet = getAttributeSet(), 1.0F);
/*     */ 
/*     */     
/* 152 */     if (paramInt != getPrintPageIndex()) return 1;
/*     */ 
/*     */     
/* 155 */     broadcastEventToObservers(PrinterEventType.START_PAGE_PRINT, (Graphics2D)paramGraphics, paramPageFormat, paramInt, f);
/*     */ 
/*     */ 
/*     */     
/* 159 */     prepareForPrinting(paramPageFormat, printRequestAttributeSet);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 164 */     printPageDecorations((Graphics2D)paramGraphics, paramPageFormat, paramInt, getDisplayPageCount(), f);
/*     */ 
/*     */ 
/*     */     
/* 168 */     paramGraphics.translate((int)paramPageFormat.getImageableX(), (int)paramPageFormat.getImageableY());
/*     */ 
/*     */ 
/*     */     
/* 172 */     if (f != 1.0F) paramGraphics.scale(f, f);
/*     */ 
/*     */     
/* 175 */     broadcastEventToObservers(PrinterEventType.START_PAGE_CONTENT_PRINT, (Graphics2D)paramGraphics, paramPageFormat, paramInt, f);
/*     */ 
/*     */ 
/*     */     
/* 179 */     paintPageContents((Graphics2D)paramGraphics, paramPageFormat, paramInt, printRequestAttributeSet, f);
/*     */ 
/*     */     
/* 182 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintPageIndex(int paramInt) {
/* 190 */     this.a = paramInt;
/*     */   }
/*     */   
/*     */   protected abstract void paintPageContents(Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, AttributeSet paramAttributeSet, float paramFloat);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printable\AbstractPageContentPrintable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */