/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.pageable.AbstractAttributeSetListPageable;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ComponentListPageable
/*     */   extends AbstractAttributeSetListPageable
/*     */ {
/*     */   protected final AbstractComponentPrinter[] PRINTER_LIST;
/*     */   protected final PageFormat[] PAGE_FORMAT_LIST;
/*     */   private int a;
/*     */   
/*     */   public ComponentListPageable(JComponent[] paramArrayOfJComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  90 */     this(paramArrayOfJComponent, buildTitleList(paramString, paramArrayOfJComponent.length), paramPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ComponentListPageable(JComponent[] paramArrayOfJComponent, String[] paramArrayOfString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 102 */     this(paramArrayOfJComponent, paramArrayOfString, buildAttributeSetList(paramPrintRequestAttributeSet, paramArrayOfJComponent.length), new DefaultComponentPrinterBuilder());
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 107 */     setPrintAttributeSet(paramPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ComponentListPageable(JComponent[] paramArrayOfJComponent, String[] paramArrayOfString, PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet) {
/* 119 */     this(paramArrayOfJComponent, paramArrayOfString, paramArrayOfPrintRequestAttributeSet, new DefaultComponentPrinterBuilder());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ComponentListPageable(JComponent[] paramArrayOfJComponent, String[] paramArrayOfString, PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet, ComponentPrinterBuilder paramComponentPrinterBuilder) {
/* 133 */     super(null);
/*     */     String str;
/*     */     this.a = 0;
/* 136 */     if (paramArrayOfJComponent == null) {
/*     */       
/* 138 */       str = "The Component List cannot be null.";
/* 139 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 141 */     if (str.length <= 1) {
/*     */       
/* 143 */       str = "The Component List must contain at least two elements.";
/* 144 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 146 */     if (paramArrayOfString == null) {
/*     */       
/* 148 */       str = "The Title List cannot be null.";
/* 149 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 151 */     if (paramArrayOfString.length != str.length) {
/*     */       
/* 153 */       str = "The Title List must have the same length as the Component List.";
/* 154 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 156 */     if (paramArrayOfPrintRequestAttributeSet == null) {
/*     */       
/* 158 */       str = "The Attribute Set List cannot be null.";
/* 159 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 161 */     if (paramArrayOfPrintRequestAttributeSet.length != str.length) {
/*     */       
/* 163 */       str = "The Attribute Set List must have the same length as the Component List.";
/* 164 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 166 */     if (paramComponentPrinterBuilder == null) {
/*     */       
/* 168 */       str = "The Component Printer Builder cannot be null.";
/* 169 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 173 */     this.PRINTER_LIST = a((JComponent[])str, paramArrayOfString, paramComponentPrinterBuilder);
/* 174 */     this.PAGE_FORMAT_LIST = buildPageFormatList(this.PRINTER_LIST.length);
/*     */ 
/*     */ 
/*     */     
/* 178 */     a(this.PRINTER_LIST, paramArrayOfPrintRequestAttributeSet, this.PAGE_FORMAT_LIST);
/*     */ 
/*     */     
/* 181 */     a();
/*     */ 
/*     */     
/* 184 */     setTitle(paramArrayOfString[0]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getNumberOfPages() {
/* 198 */     return this.a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttributeSet getPageAttributeSet(int paramInt) {
/* 207 */     paramInt = a(paramInt);
/*     */     
/* 209 */     return this.PRINTER_LIST[paramInt].getAttributeSet();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageFormat getPageFormat(int paramInt) {
/* 219 */     return this.PAGE_FORMAT_LIST[a(paramInt)];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Printable getPrintable(int paramInt) {
/* 232 */     paramInt = a(paramInt);
/*     */     
/* 234 */     return (Printable)this.PRINTER_LIST[paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updatedPageAttributeSet(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 246 */     for (byte b = 0; b < this.PRINTER_LIST.length; b++) {
/*     */       
/* 248 */       if (this.PRINTER_LIST[b].getAttributeSet() == paramPrintRequestAttributeSet) {
/*     */ 
/*     */         
/* 251 */         PrintUtility.updatePageFormat(paramPrintRequestAttributeSet, this.PAGE_FORMAT_LIST[b]);
/*     */ 
/*     */         
/* 254 */         byte b1 = b; ComponentListPageable componentListPageable = this; int i = 0; componentListPageable.PRINTER_LIST[b1].computePageCount(componentListPageable.PAGE_FORMAT_LIST[b1]); for (b1 = 0; b1 < componentListPageable.PRINTER_LIST.length; ) { i += componentListPageable.PRINTER_LIST[b1].getPageCount(); b1++; }  componentListPageable.b(i);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractComponentPrinter[] a(JComponent[] paramArrayOfJComponent, String[] paramArrayOfString, ComponentPrinterBuilder paramComponentPrinterBuilder) {
/* 272 */     AbstractComponentPrinter[] arrayOfAbstractComponentPrinter = new AbstractComponentPrinter[paramArrayOfJComponent.length];
/*     */ 
/*     */     
/* 275 */     for (byte b = 0; b < paramArrayOfJComponent.length; b++) {
/*     */ 
/*     */ 
/*     */       
/* 279 */       if (paramArrayOfJComponent[b] instanceof ComponentPrinterBuilder) {
/*     */         
/* 281 */         arrayOfAbstractComponentPrinter[b] = ((ComponentPrinterBuilder)paramArrayOfJComponent[b]).buildComponentPrinter(paramArrayOfJComponent[b], paramArrayOfString[b]);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 286 */         arrayOfAbstractComponentPrinter[b] = paramComponentPrinterBuilder.buildComponentPrinter(paramArrayOfJComponent[b], paramArrayOfString[b]);
/*     */       } 
/*     */     } 
/*     */     
/* 290 */     return arrayOfAbstractComponentPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int a() {
/* 299 */     int i = 0;
/*     */     
/* 301 */     for (byte b = 0; b < this.PRINTER_LIST.length; b++)
/*     */     {
/* 303 */       i += this.PRINTER_LIST[b].computePageCount(this.PAGE_FORMAT_LIST[b]);
/*     */     }
/* 305 */     b(i);
/*     */     
/* 307 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int a(int paramInt) {
/* 315 */     int i = 0;
/*     */     
/* 317 */     for (byte b = 0; b < this.PRINTER_LIST.length; b++) {
/*     */ 
/*     */       
/* 320 */       if ((i = i + this.PRINTER_LIST[b].getPageCount()) > paramInt) return b;
/*     */     
/*     */     } 
/* 323 */     throw new IndexOutOfBoundsException("Invalid Page Index: " + paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(AbstractComponentPrinter[] paramArrayOfAbstractComponentPrinter, PrintRequestAttributeSet[] paramArrayOfPrintRequestAttributeSet, PageFormat[] paramArrayOfPageFormat) {
/* 335 */     for (byte b = 0; b < paramArrayOfAbstractComponentPrinter.length; b++) {
/*     */ 
/*     */       
/* 338 */       paramArrayOfAbstractComponentPrinter[b].setAttributeSet(paramArrayOfPrintRequestAttributeSet[b]);
/*     */ 
/*     */       
/* 341 */       PrintUtility.updatePageFormat(paramArrayOfPrintRequestAttributeSet[b], paramArrayOfPageFormat[b]);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void b(int paramInt) {
/* 352 */     this.a = paramInt;
/*     */     
/*     */     byte b;
/* 355 */     for (b = 0; b < this.PRINTER_LIST.length; b++)
/*     */     {
/* 357 */       this.PRINTER_LIST[b].setDisplayPageCount(paramInt);
/*     */     }
/*     */ 
/*     */     
/* 361 */     paramInt = 0;
/* 362 */     for (b = 1; b < this.PRINTER_LIST.length; b++) {
/*     */       
/* 364 */       paramInt += this.PRINTER_LIST[b - 1].getPageCount();
/* 365 */       this.PRINTER_LIST[b].e(-paramInt);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\ComponentListPageable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */