/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.util.Arrays;
/*     */ import javax.swing.JTable;
/*     */ import jpdf.printer.swing.PrintTableUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DefaultTableColumnResizer
/*     */   implements TableColumnResizer
/*     */ {
/*     */   private final float[] a;
/*     */   private final int b;
/*     */   
/*     */   public DefaultTableColumnResizer() {
/*  59 */     this.a = null;
/*  60 */     this.b = -99;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DefaultTableColumnResizer(int paramInt) {
/*  72 */     if (paramInt < 0)
/*     */     {
/*  74 */       throw new IllegalArgumentException("The Column Index cannot be less than zero.");
/*     */     }
/*  76 */     this.a = null;
/*  77 */     this.b = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DefaultTableColumnResizer(float[] paramArrayOffloat) {
/*  92 */     validateResizeWeights(paramArrayOffloat);
/*     */ 
/*     */     
/*  95 */     this.a = new float[paramArrayOffloat.length];
/*  96 */     for (byte b = 0; b < paramArrayOffloat.length; b++)
/*     */     {
/*  98 */       this.a[b] = paramArrayOffloat[b];
/*     */     }
/*     */     
/* 101 */     this.b = -88;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean sizeColumnsToFitWidth(JTable paramJTable, int paramInt) {
/* 129 */     int i = paramJTable.getWidth();
/*     */ 
/*     */     
/* 132 */     int k = paramJTable.getColumnCount();
/* 133 */     int n = 0;
/*     */ 
/*     */     
/* 136 */     int i1 = 0;
/*     */ 
/*     */     
/*     */     int m;
/*     */     
/* 141 */     if ((m = paramInt - i) == 0) return false;
/*     */ 
/*     */     
/* 144 */     int j = k; DefaultTableColumnResizer defaultTableColumnResizer = this; n = 0; if (defaultTableColumnResizer.b == -88) { if (defaultTableColumnResizer.a.length == j) { arrayOfFloat = defaultTableColumnResizer.a; } else { Arrays.fill(arrayOfFloat = new float[j], 1.0F / j); }  } else if (((DefaultTableColumnResizer)arrayOfFloat).b >= 0) { if ((n = ((DefaultTableColumnResizer)arrayOfFloat).b) >= j) n = j - 1;  Arrays.fill(arrayOfFloat = new float[j], 0.0F); arrayOfFloat[n] = 1.0F; } else { Arrays.fill(arrayOfFloat = new float[j], 1.0F / j); }  float[] arrayOfFloat = arrayOfFloat;
/*     */ 
/*     */     
/* 147 */     int[] arrayOfInt = PrintTableUtility.getColumnPreferredWidthsInModel(paramJTable); byte b;
/* 148 */     for (b = 0; b < k; b++) {
/*     */       
/* 150 */       n = (int)(m * arrayOfFloat[b]);
/* 151 */       arrayOfInt[b] = arrayOfInt[b] + n;
/* 152 */       i1 += arrayOfInt[b];
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 159 */     if ((m = paramInt - i1) >= 0) {
/*     */       
/* 161 */       paramInt = 1;
/*     */     }
/*     */     else {
/*     */       
/* 165 */       paramInt = -1;
/* 166 */       m = -m;
/*     */     } 
/* 168 */     if (m > k) m = k; 
/* 169 */     for (b = 0; b < m; b++)
/*     */     {
/* 171 */       arrayOfInt[b] = arrayOfInt[b] + paramInt;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 177 */     PrintTableUtility.setColumnWidths(paramJTable, arrayOfInt);
/*     */     
/* 179 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void validateResizeWeights(float[] paramArrayOffloat) {
/* 188 */     float f = 0.0F;
/*     */ 
/*     */ 
/*     */     
/* 192 */     for (byte b = 0; b < paramArrayOffloat.length; b++) {
/*     */       String str;
/* 194 */       if (paramArrayOffloat[b] < 0.0F || paramArrayOffloat[b] > 1.0F) {
/*     */         
/* 196 */         str = "The Column Resize Weights must be between 0.0 and 1.0.  Invalid weight: " + paramArrayOffloat[b];
/*     */         
/* 198 */         throw new IllegalArgumentException(str);
/*     */       } 
/* 200 */       f += str[b];
/*     */     } 
/*     */     
/* 203 */     if (f <= 0.995D || f >= 1.005D) {
/*     */       
/* 205 */       String str = "The sum of the Column Resize Weights must equal 1.0.  Invalid weight sum: " + f;
/*     */       
/* 207 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\DefaultTableColumnResizer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */