/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Paper;
/*     */ import java.awt.print.Printable;
/*     */ import java.awt.print.PrinterException;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printer.observer.PrinterEventType;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintablePrinter
/*     */   extends AbstractPrinter
/*     */ {
/*     */   private final Printable a;
/*     */   
/*     */   public PrintablePrinter(Printable paramPrintable, String paramString) {
/*  70 */     super(paramString);
/*     */     String str;
/*  72 */     if (paramPrintable instanceof AbstractPrinter) {
/*     */       
/*  74 */       str = "A PrintablePrinter cannot be used to print an AbstractPrinter.";
/*  75 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  78 */     this.a = (Printable)str;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintablePrinter(Printable paramPrintable, String paramString, AttributeSet paramAttributeSet) {
/*  84 */     super(paramString, paramAttributeSet);
/*     */     String str;
/*  86 */     if (paramPrintable instanceof AbstractPrinter) {
/*     */       
/*  88 */       str = "A PrintablePrinter cannot be used to print an AbstractPrinter.";
/*  89 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  92 */     this.a = (Printable)str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt) {
/*     */     boolean bool;
/* 109 */     PrintCustomizer printCustomizer = getPrintCustomizer();
/* 110 */     Graphics2D graphics2D = (Graphics2D)paramGraphics;
/* 111 */     PrintRequestAttributeSet printRequestAttributeSet = getAttributeSet();
/* 112 */     Paper paper = paramPageFormat.getPaper();
/*     */     
/* 114 */     if (PrintManager.isPrintJobCancelled()) return 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 120 */     broadcastEventToObservers(PrinterEventType.START_PAGE_PRINT, graphics2D, paramPageFormat, paramInt, 1.0F);
/*     */ 
/*     */ 
/*     */     
/* 124 */     prepareForPrinting(paramPageFormat, printRequestAttributeSet);
/*     */ 
/*     */     
/* 127 */     if (printCustomizer != null)
/*     */     {
/* 129 */       graphics2D = printCustomizer.customizePrint(graphics2D, paramPageFormat, paramInt, this, printRequestAttributeSet, this.PRINT_PARAM_HOLDER);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 136 */     printPageDecorations(graphics2D, paramPageFormat, paramInt, getDisplayPageCount(), 1.0F);
/*     */ 
/*     */     
/*     */     Rectangle rectangle;
/*     */     
/* 141 */     (rectangle = graphics2D.getClipBounds()).x++;
/* 142 */     rectangle.y++;
/* 143 */     rectangle.width -= 2;
/* 144 */     rectangle.height -= 2;
/* 145 */     PrintUtility.updatePageFormat(rectangle, paramPageFormat);
/*     */ 
/*     */     
/* 148 */     broadcastEventToObservers(PrinterEventType.START_PAGE_CONTENT_PRINT, graphics2D, paramPageFormat, paramInt, 1.0F);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 154 */       bool = this.a.print(paramGraphics, paramPageFormat, paramInt);
/*     */     }
/* 156 */     catch (PrinterException printerException) {
/*     */       
/* 158 */       PrintManager.handleException((Throwable)(paramGraphics = null));
/* 159 */       bool = true;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 164 */     paramPageFormat.setPaper(paper);
/*     */     
/* 166 */     return bool;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\PrintablePrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */