/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.JTextPane;
/*     */ import javax.swing.JTree;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrinterFactory
/*     */ {
/*     */   private static boolean a = true;
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent) {
/*  53 */     return buildComponentPrinter(paramComponent, AbstractComponentPrinter.getTitleForComponent(paramComponent), GenericComponentPrinter.getDefaultPrintMode());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  64 */     return buildComponentPrinter(paramComponent, AbstractComponentPrinter.getTitleForComponent(paramComponent), GenericComponentPrinter.getDefaultPrintMode(), paramPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, String paramString) {
/*  73 */     return buildComponentPrinter(paramComponent, paramString, GenericComponentPrinter.getDefaultPrintMode());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  82 */     return buildComponentPrinter(paramComponent, paramString, GenericComponentPrinter.getDefaultPrintMode(), paramPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, int paramInt) {
/*  93 */     return buildComponentPrinter(paramComponent, AbstractComponentPrinter.getTitleForComponent(paramComponent), paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, int paramInt, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 105 */     return buildComponentPrinter(paramComponent, AbstractComponentPrinter.getTitleForComponent(paramComponent), paramInt, paramPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, String paramString, int paramInt, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     AbstractComponentPrinter abstractComponentPrinter;
/* 121 */     (abstractComponentPrinter = buildComponentPrinter(paramComponent, paramString, paramInt)).setAttributeSet(paramPrintRequestAttributeSet);
/*     */     
/* 123 */     return abstractComponentPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractComponentPrinter buildComponentPrinter(Component paramComponent, String paramString, int paramInt) {
/*     */     TableComponentPrinter tableComponentPrinter;
/*     */     GenericComponentPrinter genericComponentPrinter;
/* 134 */     boolean bool = isToBuildScalingPrinters();
/*     */ 
/*     */     
/* 137 */     if (paramComponent instanceof JTable) {
/*     */       
/* 139 */       tableComponentPrinter = bool ? new TableComponentPrinter((JTable)paramComponent, paramString) : new UnscalableTableComponentPrinter((JTable)paramComponent, paramString);
/*     */     } else {
/*     */       TreeComponentPrinter treeComponentPrinter;
/*     */       
/* 143 */       if (tableComponentPrinter instanceof JTree) {
/*     */         
/* 145 */         treeComponentPrinter = bool ? new TreeComponentPrinter((JTree)tableComponentPrinter, paramString) : new UnscalableTreeComponentPrinter((JTree)tableComponentPrinter, paramString);
/*     */       } else {
/*     */         TextAreaPrinter textAreaPrinter;
/*     */         
/* 149 */         if (treeComponentPrinter instanceof JTextArea) {
/*     */           
/* 151 */           textAreaPrinter = bool ? new TextAreaPrinter((JTextArea)treeComponentPrinter, paramString) : new UnscalableTextAreaPrinter((JTextArea)treeComponentPrinter, paramString);
/*     */         } else {
/*     */           TextPanePrinter textPanePrinter;
/*     */ 
/*     */           
/* 156 */           if (textAreaPrinter instanceof JTextPane) {
/*     */             
/* 158 */             textPanePrinter = bool ? new TextPanePrinter((JTextPane)textAreaPrinter, paramString) : new UnscalableTextPanePrinter((JTextPane)textAreaPrinter, paramString);
/*     */           } else {
/*     */             EditorPanePrinter editorPanePrinter;
/*     */             
/* 162 */             if (textPanePrinter instanceof JEditorPane)
/*     */             
/* 164 */             { editorPanePrinter = bool ? new EditorPanePrinter((JEditorPane)textPanePrinter, paramString) : new UnscalableEditorPanePrinter((JEditorPane)textPanePrinter, paramString);
/*     */ 
/*     */ 
/*     */               
/*     */                }
/*     */             
/* 170 */             else if (bool)
/*     */             
/* 172 */             { if (editorPanePrinter instanceof jpdf.ability.clone.CloneableViewComponent && editorPanePrinter instanceof JComponent)
/*     */               {
/* 174 */                 genericComponentPrinter = new CloneableGenericComponentPrinter((JComponent)editorPanePrinter, paramString, paramInt, true, true);
/*     */               
/*     */               }
/*     */               else
/*     */               {
/* 179 */                 genericComponentPrinter = new GenericComponentPrinter((Component)genericComponentPrinter, paramString, paramInt);
/*     */               }
/*     */                }
/*     */             else
/*     */             
/* 184 */             { genericComponentPrinter = new UnscalableGenericComponentPrinter((Component)genericComponentPrinter, paramString, paramInt); } 
/*     */           } 
/*     */         } 
/*     */       } 
/* 188 */     }  return genericComponentPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractTextComponentPrinter buildTextComponentPrinter(JTextComponent paramJTextComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     TextAreaPrinter textAreaPrinter;
/*     */     String str;
/* 200 */     boolean bool = isToBuildScalingPrinters();
/*     */ 
/*     */ 
/*     */     
/* 204 */     if (paramJTextComponent instanceof JTextArea) {
/*     */       
/* 206 */       textAreaPrinter = bool ? new TextAreaPrinter((JTextArea)paramJTextComponent, paramString) : new UnscalableTextAreaPrinter((JTextArea)paramJTextComponent, paramString);
/*     */     } else {
/*     */       TextPanePrinter textPanePrinter;
/*     */ 
/*     */       
/* 211 */       if (textAreaPrinter instanceof JTextPane) {
/*     */         
/* 213 */         textPanePrinter = bool ? new TextPanePrinter((JTextPane)textAreaPrinter, paramString) : new UnscalableTextPanePrinter((JTextPane)textAreaPrinter, paramString);
/*     */       } else {
/*     */         EditorPanePrinter editorPanePrinter;
/*     */         
/* 217 */         if (textPanePrinter instanceof JEditorPane) {
/*     */           
/* 219 */           editorPanePrinter = bool ? new EditorPanePrinter((JEditorPane)textPanePrinter, paramString) : new UnscalableEditorPanePrinter((JEditorPane)textPanePrinter, paramString);
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 225 */           str = "The component for which a Printer is to be built must be a direct or indirect instance of either JTextArea or JEditorPane.\n Illegal text component class: " + editorPanePrinter.getClass().getName();
/*     */ 
/*     */           
/* 228 */           throw new IllegalArgumentException(str);
/*     */         } 
/*     */       } 
/*     */     } 
/* 232 */     str.setAttributeSet(paramPrintRequestAttributeSet);
/*     */     
/* 234 */     return (AbstractTextComponentPrinter)str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static AbstractTextComponentPrinter buildTextComponentPrinter(JTextComponent paramJTextComponent1, JTextComponent paramJTextComponent2, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     String str2;
/*     */     TextAreaPrinter textAreaPrinter;
/*     */     String str1;
/* 252 */     boolean bool = isToBuildScalingPrinters();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 257 */     if (paramJTextComponent1.getClass() != paramJTextComponent2.getClass()) {
/*     */       
/* 259 */       str2 = "The component and clone to be used by the Printer to be built must be of the same class.\n Component Class: " + paramJTextComponent1.getClass().getName() + "\nClone Class: " + paramJTextComponent2.getClass().getName();
/*     */ 
/*     */       
/* 262 */       throw new IllegalArgumentException(str2);
/*     */     } 
/*     */ 
/*     */     
/* 266 */     if (str2 instanceof JTextArea) {
/*     */       
/* 268 */       textAreaPrinter = bool ? new TextAreaPrinter((JTextArea)str2, (JTextArea)paramJTextComponent2, paramString) : new UnscalableTextAreaPrinter((JTextArea)str2, (JTextArea)paramJTextComponent2, paramString);
/*     */     } else {
/*     */       TextPanePrinter textPanePrinter;
/*     */ 
/*     */       
/* 273 */       if (textAreaPrinter instanceof JTextPane) {
/*     */         
/* 275 */         textPanePrinter = bool ? new TextPanePrinter((JTextPane)textAreaPrinter, (JTextPane)paramJTextComponent2, paramString) : new UnscalableTextPanePrinter((JTextPane)textAreaPrinter, (JTextPane)paramJTextComponent2, paramString);
/*     */       } else {
/*     */         EditorPanePrinter editorPanePrinter;
/*     */         
/* 279 */         if (textPanePrinter instanceof JEditorPane) {
/*     */           
/* 281 */           editorPanePrinter = bool ? new EditorPanePrinter((JEditorPane)textPanePrinter, (JEditorPane)paramJTextComponent2, paramString) : new UnscalableEditorPanePrinter((JEditorPane)textPanePrinter, (JEditorPane)paramJTextComponent2, paramString);
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 287 */           str1 = "The component for which a Printer is to be built must be a direct or indirect instance of either JTextArea or JEditorPane.\n Illegal text component class: " + editorPanePrinter.getClass().getName();
/*     */ 
/*     */           
/* 290 */           throw new IllegalArgumentException(str1);
/*     */         } 
/*     */       } 
/*     */     } 
/* 294 */     str1.setAttributeSet(paramPrintRequestAttributeSet);
/*     */     
/* 296 */     return (AbstractTextComponentPrinter)str1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToBuildScalingPrinters() {
/* 306 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToBuildScalingPrinters(boolean paramBoolean) {
/* 316 */     a = paramBoolean;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\PrinterFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */