/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.image.ImageObserver;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.manage.PrintCustomizationFacade;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.utility.AttributeSetFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SinglePageGenericComponentPrinter
/*     */   extends GenericComponentPrinter
/*     */ {
/*     */   public SinglePageGenericComponentPrinter(Component paramComponent, String paramString) {
/*  49 */     super(paramComponent, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SinglePageGenericComponentPrinter(Component paramComponent, String paramString, AttributeSet paramAttributeSet) {
/*  61 */     super(paramComponent, paramString, paramAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponent(Component paramComponent, String paramString) {
/*  74 */     printComponent(paramComponent, paramString, AttributeSetFactory.buildFromDefaultAttributeSet(true), PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponent(Component paramComponent, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  85 */     printComponent(paramComponent, getTitleForComponent(paramComponent), paramPrintRequestAttributeSet, PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponent(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  96 */     printComponent(paramComponent, paramString, paramPrintRequestAttributeSet, PrintCustomizationFacade.isStatusDisplayedByDefault(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponent(Component paramComponent, String paramString, PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean1, boolean paramBoolean2) {
/* 111 */     SinglePageGenericComponentPrinter singlePageGenericComponentPrinter = null;
/*     */ 
/*     */     
/* 114 */     if (paramComponent instanceof Printable) {
/*     */       
/* 116 */       PrintManager.printPrintable((Printable)paramComponent, paramPrintRequestAttributeSet, null, null, false, paramBoolean1, paramBoolean2);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 122 */     singlePageGenericComponentPrinter = new SinglePageGenericComponentPrinter(paramComponent, paramString);
/*     */ 
/*     */     
/* 125 */     if (paramPrintRequestAttributeSet != null) singlePageGenericComponentPrinter.setAttributeSet(paramPrintRequestAttributeSet);
/*     */ 
/*     */     
/* 128 */     PrintManager.printPrintable((Printable)singlePageGenericComponentPrinter, paramPrintRequestAttributeSet, null, null, false, paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void computePageGridSize(PageFormat paramPageFormat, AttributeSet paramAttributeSet, float paramFloat, Dimension paramDimension) {
/* 148 */     paramDimension.width = 1;
/* 149 */     paramDimension.height = 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void drawComponentImage(Graphics2D paramGraphics2D, Rectangle paramRectangle, int paramInt1, int paramInt2, float paramFloat1, Dimension paramDimension, int paramInt3, int paramInt4, float paramFloat2, float paramFloat3, boolean paramBoolean) {
/* 163 */     float f = d();
/*     */     
/* 165 */     a(paramRectangle, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 174 */     paramInt2 = -((int)(this.EXTRA_SPACE.width * paramFloat2));
/* 175 */     paramInt3 = -((int)(this.EXTRA_SPACE.height * paramFloat3));
/*     */ 
/*     */     
/* 178 */     Image image = createComponentImage(paramGraphics2D, paramFloat1, 0, 0, 0, 0, paramRectangle.width, paramRectangle.height, isToPrintContentFrame());
/*     */ 
/*     */ 
/*     */     
/* 182 */     paramGraphics2D.translate(-paramInt2, -paramInt3);
/*     */ 
/*     */     
/* 185 */     paramGraphics2D.translate(paramRectangle.x, paramRectangle.y);
/*     */ 
/*     */     
/* 188 */     if (f != 1.0D) {
/*     */       
/* 190 */       float f1 = 1.0F / f;
/* 191 */       paramGraphics2D.scale(f1, f1);
/*     */     } 
/*     */ 
/*     */     
/* 195 */     paramGraphics2D.drawImage(image, 0, 0, (ImageObserver)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintComponent(Graphics2D paramGraphics2D, Rectangle paramRectangle, int paramInt1, int paramInt2, float paramFloat1, Dimension paramDimension, int paramInt3, int paramInt4, float paramFloat2, float paramFloat3, boolean paramBoolean) {
/* 208 */     a(paramRectangle, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 219 */     int i = paramRectangle.x + (int)(this.EXTRA_SPACE.width * paramFloat2);
/* 220 */     if (paramFloat2 == 0.0F) i++; 
/* 221 */     paramInt3 = paramRectangle.y + (int)(this.EXTRA_SPACE.height * paramFloat3);
/* 222 */     if (paramFloat3 == 0.0F) paramInt3++;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 227 */     paramGraphics2D.clipRect(i, paramInt3, paramInt1, paramInt2);
/*     */ 
/*     */     
/* 230 */     paramGraphics2D.translate(i, paramInt3);
/*     */ 
/*     */     
/* 233 */     if (paramFloat1 != 1.0F) paramGraphics2D.scale(paramFloat1, paramFloat1); 
/* 234 */     printTargetComponent(paramGraphics2D, false);
/*     */ 
/*     */     
/* 237 */     a(paramGraphics2D, i, paramInt3, paramFloat1, paramRectangle, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Rectangle paramRectangle, int paramInt1, int paramInt2) {
/* 254 */     this.EXTRA_SPACE.width = paramRectangle.width - paramInt1;
/* 255 */     if (this.EXTRA_SPACE.width < 0) this.EXTRA_SPACE.width = 0; 
/* 256 */     this.EXTRA_SPACE.height = paramRectangle.height - paramInt2;
/* 257 */     if (this.EXTRA_SPACE.height < 0) this.EXTRA_SPACE.height = 0; 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\SinglePageGenericComponentPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */