/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.Point;
/*     */ import java.awt.Rectangle;
/*     */ import java.io.File;
/*     */ import java.io.FileReader;
/*     */ import java.lang.reflect.Constructor;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.plaf.TextUI;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.EditorKit;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf.ability.clone.CloneableViewTextArea;
/*     */ import jpdf.printer.swing.PrintTextComponentUtility;
/*     */ import jpdf.printer.text.PrintTextAreaUI;
/*     */ import jpdf.printer.text.PrintTextUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TextAreaPrinter
/*     */   extends AbstractTextComponentPrinter
/*     */ {
/*     */   public static final String NO_FIT_WIDTH_SCALE_PROPERTY_KEY = "JPDF_NoFitWidthScale";
/*     */   private boolean a = true;
/*     */   
/*     */   public TextAreaPrinter(JTextArea paramJTextArea, String paramString) {
/* 105 */     this(paramJTextArea, cloneTextAreaView(paramJTextArea), paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TextAreaPrinter(JTextArea paramJTextArea1, JTextArea paramJTextArea2, String paramString) {
/* 114 */     super(paramJTextArea2, paramString);
/*     */ 
/*     */ 
/*     */     
/* 118 */     configureCloneForPrinting(paramJTextArea1, paramJTextArea2);
/* 119 */     a(paramJTextArea2.getSize());
/*     */     
/*     */     Object object;
/*     */     
/* 123 */     if ((object = paramJTextArea1.getClientProperty("JPDF_NoFitWidthScale")) == Boolean.TRUE) setFitWidthScalingAllowed(false);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TextAreaPrinter(JTextArea paramJTextArea, String paramString, boolean paramBoolean1, boolean paramBoolean2) {
/* 140 */     super(paramBoolean1 ? cloneTextAreaView(paramJTextArea) : paramJTextArea, paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 147 */     if (paramBoolean1) {
/*     */ 
/*     */ 
/*     */       
/* 151 */       configureCloneForPrinting(paramJTextArea, (JTextArea)this.TARGET_COMPONENT);
/* 152 */       a(this.TARGET_COMPONENT.getSize());
/*     */     }
/* 154 */     else if (paramBoolean2) {
/*     */       
/* 156 */       configureForPrinting(paramJTextArea);
/* 157 */       a(paramJTextArea.getSize());
/*     */     } 
/*     */     
/*     */     Object object;
/*     */     
/* 162 */     if ((object = paramJTextArea.getClientProperty("JPDF_NoFitWidthScale")) == Boolean.TRUE) setFitWidthScalingAllowed(false);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static JTextArea cloneTextAreaView(JTextArea paramJTextArea) {
/*     */     JTextArea jTextArea;
/* 176 */     if (paramJTextArea instanceof CloneableViewTextArea) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 181 */       jTextArea = ((CloneableViewTextArea)paramJTextArea).cloneView();
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 186 */       jTextArea = a(paramJTextArea);
/*     */ 
/*     */       
/* 189 */       setTextAreaCloneProperties(paramJTextArea, jTextArea);
/*     */     } 
/*     */ 
/*     */     
/* 193 */     jTextArea.setSize(paramJTextArea.getSize());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 199 */     jTextArea.setSelectionEnd(paramJTextArea.getSelectionEnd());
/* 200 */     jTextArea.setSelectionStart(paramJTextArea.getSelectionStart());
/*     */     
/* 202 */     return jTextArea;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void configureForPrinting(JTextArea paramJTextArea) {
/* 218 */     boolean bool = PrintTextUtility.isTextAntialiasingPreferred();
/*     */     
/* 220 */     a(paramJTextArea, paramJTextArea.getSelectionStart(), paramJTextArea.getSelectionEnd(), bool);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void configureForPrinting(JTextArea paramJTextArea, boolean paramBoolean) {
/* 234 */     a(paramJTextArea, paramJTextArea.getSelectionStart(), paramJTextArea.getSelectionEnd(), paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextAreaPrinter createInstanceForFile(File paramFile, String paramString, Font paramFont, Border paramBorder, Color paramColor1, Color paramColor2) {
/* 251 */     JTextArea jTextArea = new JTextArea();
/* 252 */     FileReader fileReader = null;
/*     */ 
/*     */     
/* 255 */     if (paramFont != null) jTextArea.setFont(paramFont); 
/* 256 */     if (paramBorder != null) jTextArea.setBorder(paramBorder); 
/* 257 */     if (paramColor1 != null) jTextArea.setForeground(paramColor1); 
/* 258 */     if (paramColor2 != null) jTextArea.setBackground(paramColor2);
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 263 */       fileReader = new FileReader(paramFile);
/* 264 */       jTextArea.read(fileReader, (Object)null);
/*     */     } finally {
/*     */ 
/*     */       
/*     */       try {
/*     */ 
/*     */         
/* 271 */         if (fileReader != null) fileReader.close();
/*     */       
/* 273 */       } catch (Throwable throwable) {}
/*     */     } 
/*     */     
/* 276 */     return new TextAreaPrinter(jTextArea, paramString, false, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextAreaPrinter createInstanceForStrng(String paramString1, String paramString2, Font paramFont, Border paramBorder, Color paramColor1, Color paramColor2) {
/* 291 */     JTextArea jTextArea = new JTextArea(paramString1);
/*     */ 
/*     */     
/* 294 */     if (paramFont != null) jTextArea.setFont(paramFont); 
/* 295 */     if (paramBorder != null) jTextArea.setBorder(paramBorder); 
/* 296 */     if (paramColor1 != null) jTextArea.setForeground(paramColor1); 
/* 297 */     if (paramColor2 != null) jTextArea.setBackground(paramColor2);
/*     */     
/* 299 */     return new TextAreaPrinter(jTextArea, paramString2, false, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getFitScalingSupportCode() {
/* 312 */     if (isFitWidthScalingAllowed()) return 2;
/*     */     
/* 314 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFitWidthScalingAllowed() {
/* 333 */     return (this.a && b(d()));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isFitWidthScalingAllowed(JTextArea paramJTextArea) {
/* 354 */     return b(paramJTextArea.getPreferredSize());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFitWidthScalingAllowed(boolean paramBoolean) {
/* 365 */     this.a = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setTextAreaCloneProperties(JTextArea paramJTextArea1, JTextArea paramJTextArea2) {
/* 383 */     paramJTextArea2.setLineWrap(paramJTextArea1.getLineWrap());
/* 384 */     paramJTextArea2.setWrapStyleWord(paramJTextArea1.getWrapStyleWord());
/*     */ 
/*     */ 
/*     */     
/* 388 */     setTextComponentCloneProperties(paramJTextArea1, paramJTextArea2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureCloneForPrinting(JTextArea paramJTextArea1, JTextArea paramJTextArea2) {
/*     */     TextUI textUI;
/* 408 */     EditorKit editorKit = (textUI = paramJTextArea2.getUI()).getEditorKit(paramJTextArea2);
/* 409 */     boolean bool = PrintTextUtility.isTextAntialiasingPreferred();
/*     */ 
/*     */ 
/*     */     
/* 413 */     if (paramJTextArea1.getDocument() == paramJTextArea2.getDocument()) {
/*     */       
/* 415 */       paramJTextArea2.setDocument(editorKit.createDefaultDocument());
/* 416 */       paramJTextArea2.setText(paramJTextArea1.getText());
/*     */     } 
/*     */ 
/*     */     
/* 420 */     a(paramJTextArea2, paramJTextArea1.getSelectionStart(), paramJTextArea1.getSelectionEnd(), bool);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int a(JTextComponent paramJTextComponent, int paramInt1, int paramInt2, float paramFloat, int paramInt3, int paramInt4, int paramInt5) {
/*     */     Rectangle rectangle;
/* 459 */     Point point = new Point(0, paramInt4);
/*     */     
/* 461 */     paramInt3 = 0;
/* 462 */     point.x = (paramJTextComponent.getInsets()).left + 8;
/*     */ 
/*     */ 
/*     */     
/* 466 */     int i = paramJTextComponent.viewToModel(point);
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 471 */       rectangle = paramJTextComponent.modelToView(i);
/*     */     }
/* 473 */     catch (BadLocationException badLocationException) {
/*     */       
/* 475 */       return paramInt4;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 483 */     paramInt3 = rectangle.y + rectangle.height - 1;
/* 484 */     while (paramInt3 < paramInt4) {
/*     */       
/* 486 */       rectangle.y += rectangle.height;
/* 487 */       paramInt3 += rectangle.height;
/*     */     } 
/* 489 */     while (rectangle.y > paramInt4)
/*     */     {
/* 491 */       rectangle.y -= rectangle.height;
/*     */     }
/*     */ 
/*     */     
/* 495 */     return a(rectangle, paramInt1, paramInt2, paramInt4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(JTextArea paramJTextArea, int paramInt1, int paramInt2, boolean paramBoolean) {
/* 509 */     TextUI textUI = null;
/* 510 */     textUI = paramJTextArea.getUI();
/* 511 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 515 */     if (!(textUI instanceof PrintTextAreaUI)) {
/*     */       
/* 517 */       bool = paramJTextArea.isOpaque();
/* 518 */       paramJTextArea.setUI((TextUI)new PrintTextAreaUI(isToUseGlyphDrawing(), paramBoolean));
/*     */ 
/*     */ 
/*     */       
/* 522 */       paramJTextArea.setSelectionEnd(paramInt2);
/* 523 */       paramJTextArea.setSelectionStart(paramInt1);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 528 */       paramJTextArea.setOpaque(bool);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/*     */       Dimension dimension;
/*     */ 
/*     */ 
/*     */       
/* 539 */       (dimension = new Dimension(0, 100876)).width = PrintTextComponentUtility.computeRequiredWidth(paramJTextArea);
/* 540 */       paramJTextArea.setSize(dimension);
/* 541 */       dimension = paramJTextArea.getPreferredSize();
/* 542 */       paramJTextArea.setPreferredSize(dimension);
/* 543 */       paramJTextArea.setSize(dimension);
/*     */     }
/* 545 */     catch (BadLocationException badLocationException2) {
/*     */       BadLocationException badLocationException1;
/* 547 */       (badLocationException1 = null).printStackTrace();
/*     */     } 
/*     */ 
/*     */     
/* 551 */     paramJTextArea.setDoubleBuffered(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JTextArea a(JTextArea paramJTextArea) {
/* 570 */     Class[] arrayOfClass = null;
/* 571 */     arrayOfClass = null;
/* 572 */     Object[] arrayOfObject = null;
/* 573 */     arrayOfClass = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 579 */       arrayOfClass = new Class[] { Document.class };
/* 580 */       Constructor<?> constructor = paramJTextArea.getClass().getConstructor(arrayOfClass);
/* 581 */       arrayOfObject = new Object[] { paramJTextArea.getDocument() };
/*     */       
/*     */       JTextArea jTextArea;
/* 584 */       return jTextArea = (JTextArea)constructor.newInstance(arrayOfObject);
/*     */     }
/* 586 */     catch (Exception exception) {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/* 591 */         arrayOfClass = new Class[0];
/* 592 */         Constructor<?> constructor = paramJTextArea.getClass().getConstructor(arrayOfClass);
/* 593 */         arrayOfObject = new Object[0];
/*     */         JTextArea jTextArea;
/* 595 */         (jTextArea = (JTextArea)constructor.newInstance(arrayOfObject)).setDocument(paramJTextArea.getDocument());
/*     */         
/* 597 */         return jTextArea;
/*     */       }
/* 599 */       catch (Exception exception1) {
/*     */         JTextArea jTextArea;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 606 */         (jTextArea = new JTextArea()).setDocument(paramJTextArea.getDocument());
/*     */         
/* 608 */         return jTextArea;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b(Dimension paramDimension) {
/* 618 */     return (paramDimension.width <= 1440);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\TextAreaPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */