/*     */ package jpdf.printer;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.io.FileReader;
/*     */ import java.io.InputStreamReader;
/*     */ import java.net.URL;
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import jpdf.attribute.ContentFont;
/*     */ import jpdf.attribute.ForegroundColor;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf.printer.observer.PrinterEventType;
/*     */ import jpdf.utility.AttributeSetFactory;
/*     */ import jpdf.utility.PageDecorationUtility;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.a.c;
/*     */ import jpdf_common.gui.d.a;
/*     */ import jpdf_common.system.c.f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TextPrinter
/*     */   extends AbstractPrinter
/*     */   implements FullyNavigableAttributeSetPrintable
/*     */ {
/*     */   private final ArrayList a;
/*     */   private final Font b;
/*     */   private final String[] c;
/*  68 */   private int d = -1;
/*  69 */   private int e = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TextPrinter(String paramString1, String paramString2) {
/*  78 */     this(f.a(paramString1, "  "), (Font)null, paramString2);
/*     */   }
/*     */ 
/*     */   
/*     */   public TextPrinter(String paramString1, Font paramFont, String paramString2) {
/*  83 */     this(f.a(paramString1, "  "), paramFont, paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public TextPrinter(String[] paramArrayOfString, Font paramFont, String paramString) {
/*  89 */     super(paramString);
/*     */     
/*     */     int i;
/*  92 */     if ((i = paramArrayOfString.length / 50) < 5) i = 5; 
/*  93 */     this.a = new ArrayList(i);
/*  94 */     this.c = paramArrayOfString;
/*     */ 
/*     */     
/*  97 */     if (paramFont == null) paramFont = new Font("courier", 0, 11); 
/*  98 */     this.b = paramFont;
/*     */ 
/*     */     
/* 101 */     setMinimumOffsets(1, 2, 2, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextPrinter createFileTextPrinter(String paramString) {
/* 115 */     return createFileTextPrinter(paramString, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextPrinter createFileTextPrinter(String paramString1, String paramString2) {
/* 124 */     TextPrinter textPrinter = null;
/* 125 */     String[] arrayOfString = null;
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 130 */       paramString1 = paramString1; arrayOfString = a.a(new FileReader(paramString1));
/*     */     }
/* 132 */     catch (Exception exception) {
/*     */       
/* 134 */       PrintManager.handleException((Throwable)(paramString1 = null));
/*     */     } 
/*     */ 
/*     */     
/* 138 */     if (arrayOfString != null)
/*     */     {
/* 140 */       textPrinter = new TextPrinter(arrayOfString, c.e.deriveFont(10.0F), paramString2);
/*     */     }
/*     */ 
/*     */     
/* 144 */     return textPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TextPrinter createFileTextPrinter(URL paramURL, String paramString) {
/* 153 */     TextPrinter textPrinter = null;
/* 154 */     String[] arrayOfString = null;
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 159 */       paramURL = paramURL; arrayOfString = a.a(new InputStreamReader(paramURL.openStream()));
/*     */     }
/* 161 */     catch (Exception exception) {
/*     */       
/* 163 */       PrintManager.handleException((Throwable)(paramURL = null));
/*     */     } 
/*     */ 
/*     */     
/* 167 */     if (arrayOfString != null)
/*     */     {
/* 169 */       textPrinter = new TextPrinter(arrayOfString, c.e.deriveFont(10.0F), paramString);
/*     */     }
/*     */ 
/*     */     
/* 173 */     return textPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponentText(JTextComponent paramJTextComponent, String paramString) {
/* 187 */     printComponentText(paramJTextComponent, paramString, 1.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printComponentText(JTextComponent paramJTextComponent, String paramString, float paramFloat) {
/* 203 */     Font font = paramJTextComponent.getFont();
/*     */ 
/*     */     
/* 206 */     float f = 0.0F;
/*     */ 
/*     */     
/* 209 */     PrintRequestAttributeSet printRequestAttributeSet = AttributeSetFactory.buildFromDefaultAttributeSet(true);
/*     */ 
/*     */     
/* 212 */     if (paramFloat != 1.0F) {
/*     */       
/* 214 */       f = font.getSize() * paramFloat;
/* 215 */       font = font.deriveFont(f);
/*     */     } 
/*     */     
/*     */     TextPrinter textPrinter;
/*     */     
/* 220 */     PrintManager.printPrintable((Printable)(textPrinter = new TextPrinter(paramJTextComponent.getText(), font, paramString)), printRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printFileText(String paramString) {
/* 229 */     PrintRequestAttributeSet printRequestAttributeSet = null;
/*     */     
/*     */     TextPrinter textPrinter;
/* 232 */     if ((textPrinter = createFileTextPrinter(paramString)) != null) {
/*     */ 
/*     */       
/* 235 */       printRequestAttributeSet = AttributeSetFactory.buildFromDefaultAttributeSet(true);
/* 236 */       PrintUtility.updateAttributeSet(true, 0.5F, 0.5F, 0.3F, 0.3F, printRequestAttributeSet, false);
/*     */ 
/*     */       
/* 239 */       PrintManager.printPrintable((Printable)textPrinter, printRequestAttributeSet);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int computePageCount(PageFormat paramPageFormat) {
/* 258 */     PrintRequestAttributeSet printRequestAttributeSet = getAttributeSet();
/* 259 */     int i = 0;
/* 260 */     int j = 0;
/* 261 */     i = 0;
/* 262 */     this.a.clear();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 269 */     this.d = 0;
/* 270 */     if (this.c == null || this.c.length == 0)
/*     */     {
/* 272 */       return this.d;
/*     */     }
/*     */ 
/*     */     
/* 276 */     int k = a(printRequestAttributeSet);
/*     */ 
/*     */     
/* 279 */     this.PRINT_PARAM_HOLDER.pageNo = getDisplayPageNumberOffset();
/* 280 */     while (j < this.c.length) {
/*     */ 
/*     */ 
/*     */       
/* 284 */       this.PRINT_PARAM_HOLDER.pageNo++;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 290 */       if ((i = (i = (i = PageDecorationUtility.computeAvailablePageHeight(paramPageFormat, printRequestAttributeSet, this.DECORATION_OPTIONS, this.PRINT_PARAM_HOLDER)) - 2) / k) <= 0) i = 1;
/*     */ 
/*     */ 
/*     */       
/* 294 */       this.a.add(Integer.valueOf(j));
/*     */ 
/*     */       
/* 297 */       j += i;
/* 298 */       this.d++;
/*     */     } 
/*     */     
/* 301 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final Font getDefaultFont() {
/* 312 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageCount() {
/* 328 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPrintedPageIndex() {
/* 337 */     return this.e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt) {
/* 347 */     paramGraphics = paramGraphics;
/* 348 */     if (PrintManager.isPrintJobCancelled()) return 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 354 */     broadcastEventToObservers(PrinterEventType.START_PAGE_PRINT, (Graphics2D)paramGraphics, paramPageFormat, paramInt, 1.0F);
/*     */ 
/*     */     
/*     */     int j;
/*     */     
/* 359 */     if ((j = getPageCount()) == -1)
/*     */     {
/* 361 */       j = computePageCount(paramPageFormat);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 366 */     if (paramInt >= j) return 1;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 371 */     printPageDecorations((Graphics2D)paramGraphics, paramPageFormat, paramInt, j, 1.0F);
/*     */ 
/*     */     
/* 374 */     broadcastEventToObservers(PrinterEventType.START_PAGE_CONTENT_PRINT, (Graphics2D)paramGraphics, paramPageFormat, paramInt, 1.0F);
/*     */ 
/*     */ 
/*     */     
/* 378 */     j = paramInt; Graphics graphics = paramGraphics; TextPrinter textPrinter; PrintRequestAttributeSet printRequestAttributeSet = (textPrinter = this).getAttributeSet(); Rectangle rectangle = graphics.getClipBounds(); int n = textPrinter.a(printRequestAttributeSet); graphics.translate(rectangle.x, rectangle.y); Font font = ContentFont.getFont(printRequestAttributeSet, textPrinter.b); FontMetrics fontMetrics; int m = (fontMetrics = graphics.getFontMetrics(font)).getMaxAscent() - 1, i1 = ((Integer)textPrinter.a.get(j)).intValue(); if (j < textPrinter.getPageCount() - 1) { j = ((Integer)textPrinter.a.get(j + 1)).intValue() - 1; } else { j = textPrinter.c.length - 1; }  graphics.setColor(ForegroundColor.getColor(printRequestAttributeSet, Color.BLACK)); graphics.setFont(font); for (int k = i1; k <= j; ) { graphics.drawString(textPrinter.c[k], 0, m); m += n; k++; }
/*     */ 
/*     */     
/* 381 */     int i = paramInt;
/*     */ 
/*     */ 
/*     */     
/* 385 */     return PrintManager.isPrintJobCancelled() ? 1 : 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int computeLineHeight(AttributeSet paramAttributeSet, Font paramFont) {
/* 404 */     return paramFont.getSize() + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int a(AttributeSet paramAttributeSet) {
/* 418 */     Font font = ContentFont.getFont(paramAttributeSet, this.b);
/*     */     
/*     */     int i;
/* 421 */     if ((i = computeLineHeight(paramAttributeSet, font)) < 5) {
/*     */       
/* 423 */       i = 5;
/*     */     }
/* 425 */     else if (i > 3 * font.getSize()) {
/*     */       
/* 427 */       i = 3 * font.getSize();
/*     */     } 
/*     */     
/* 430 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\TextPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */