/*      */ package jpdf.printer;
/*      */ 
/*      */ import java.awt.Color;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Insets;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.lang.reflect.Constructor;
/*      */ import java.util.Enumeration;
/*      */ import java.util.Stack;
/*      */ import javax.print.attribute.AttributeSet;
/*      */ import javax.swing.JTree;
/*      */ import javax.swing.border.Border;
/*      */ import javax.swing.plaf.TreeUI;
/*      */ import javax.swing.plaf.basic.BasicTreeUI;
/*      */ import javax.swing.tree.DefaultTreeCellRenderer;
/*      */ import javax.swing.tree.TreeCellRenderer;
/*      */ import javax.swing.tree.TreeModel;
/*      */ import javax.swing.tree.TreeNode;
/*      */ import javax.swing.tree.TreePath;
/*      */ import jpdf.ability.PageBreakAdjusterTree;
/*      */ import jpdf.ability.clone.CloneableViewTree;
/*      */ import jpdf.attribute.HighlightSelections;
/*      */ import jpdf.attribute.SizeToFitPageWidth;
/*      */ import jpdf.attribute.TreeExpansion;
/*      */ import jpdf.attribute.UseBackgroundColor;
/*      */ import jpdf.printer.swing.PrintCellRenderer;
/*      */ import jpdf.printer.swing.TreeCellPrintRenderer;
/*      */ import jpdf.utility.PageDecorationUtility;
/*      */ import jpdf_common.gui.d.j;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class TreeComponentPrinter
/*      */   extends AbstractComponentPrinter
/*      */ {
/*      */   public static final String REPLACE_TREE_RENDERER_PROPERTY_KEY = "JpdfReplaceTreeRenderer";
/*      */   private final JTree a;
/*      */   private final TreePath[] b;
/*  121 */   private TreeExpansion c = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  128 */   private int[] d = new int[10];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TreeComponentPrinter(JTree paramJTree, String paramString) {
/*  142 */     this(paramJTree, paramString, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TreeComponentPrinter(JTree paramJTree, String paramString, boolean paramBoolean) {
/*  159 */     super(paramBoolean ? cloneTreeView(paramJTree) : paramJTree, paramString, paramBoolean);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  164 */     if (paramJTree.isSelectionEmpty()) {
/*      */       
/*  166 */       this.b = new TreePath[0];
/*      */     }
/*      */     else {
/*      */       
/*  170 */       this.b = paramJTree.getSelectionPaths();
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  180 */     if (paramBoolean) {
/*      */       
/*  182 */       this.a = paramJTree;
/*      */     }
/*      */     else {
/*      */       
/*  186 */       this.a = cloneTreeView(paramJTree);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  193 */     JTree jTree = (JTree)this.TARGET_COMPONENT; TreeComponentPrinter treeComponentPrinter = this; boolean bool = true; Object object; if (object = jTree.getClientProperty("JpdfReplaceTreeRenderer") instanceof Boolean) bool = ((Boolean)object).booleanValue();  if ((treeComponentPrinter instanceof jpdf.ability.Unscalable) ? false : bool) {
/*      */       TreeCellRenderer treeCellRenderer1;
/*  195 */       jTree = (JTree)this.TARGET_COMPONENT; object = (treeComponentPrinter = this).a.getCellRenderer(); TreeCellRenderer treeCellRenderer2 = jTree.getCellRenderer(), treeCellRenderer3 = null; if (treeComponentPrinter.a instanceof CloneableViewTree || (object.getClass() == DefaultTreeCellRenderer.class && treeCellRenderer2.getClass() == DefaultTreeCellRenderer.class)) { treeCellRenderer1 = treeCellRenderer2; } else { treeCellRenderer1 = ((TreeComponentPrinter)treeCellRenderer1).a.getCellRenderer(); }  if (treeCellRenderer1 instanceof DefaultTreeCellRenderer) { treeCellRenderer1 = treeCellRenderer1; treeCellRenderer3 = (object = j.i()).j().a((DefaultTreeCellRenderer)treeCellRenderer1); jTree.setCellRenderer(treeCellRenderer3); }
/*      */     
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static JTree cloneTreeView(JTree paramJTree) {
/*  244 */     Class[] arrayOfClass = null;
/*  245 */     JTree jTree = null;
/*  246 */     Object[] arrayOfObject = null;
/*  247 */     arrayOfClass = null;
/*      */ 
/*      */     
/*  250 */     if (paramJTree instanceof CloneableViewTree) {
/*      */       
/*  252 */       jTree = ((CloneableViewTree)paramJTree).cloneView();
/*      */     } else {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/*  260 */         arrayOfClass = new Class[] { TreeModel.class };
/*  261 */         arrayOfObject = new Object[] { paramJTree.getModel() };
/*      */         Constructor<?> constructor;
/*  263 */         if ((constructor = paramJTree.getClass().getConstructor(arrayOfClass)) != null)
/*      */         {
/*  265 */           jTree = (JTree)constructor.newInstance(arrayOfObject);
/*      */         }
/*      */       }
/*  268 */       catch (Exception exception) {}
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       try {
/*  274 */         arrayOfClass = new Class[0];
/*  275 */         arrayOfObject = new Object[0];
/*      */         Constructor<?> constructor;
/*  277 */         if ((constructor = paramJTree.getClass().getConstructor(arrayOfClass)) != null)
/*      */         {
/*      */           
/*  280 */           (jTree = (JTree)constructor.newInstance(arrayOfObject)).setModel(paramJTree.getModel());
/*      */         }
/*      */       }
/*  283 */       catch (Exception exception) {}
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  288 */       if (jTree == null)
/*      */       {
/*  290 */         jTree = new JTree(paramJTree.getModel());
/*      */       }
/*      */ 
/*      */       
/*  294 */       setTreeComponentCloneProperties(paramJTree, jTree);
/*      */     } 
/*      */ 
/*      */     
/*  298 */     jTree.setSize(paramJTree.getSize());
/*      */ 
/*      */     
/*  301 */     jTree.setDoubleBuffered(false);
/*      */ 
/*      */     
/*  304 */     j.i().j().a(jTree);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  309 */     a(paramJTree, jTree);
/*      */ 
/*      */ 
/*      */     
/*  313 */     jTree.setSelectionRows(paramJTree.getSelectionRows());
/*      */     
/*  315 */     return jTree;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setTreeComponentCloneProperties(JTree paramJTree1, JTree paramJTree2) {
/*  333 */     paramJTree2.setCellRenderer(paramJTree1.getCellRenderer());
/*  334 */     paramJTree2.setRowHeight(paramJTree1.getRowHeight());
/*  335 */     paramJTree2.setRootVisible(paramJTree1.isRootVisible());
/*  336 */     paramJTree2.setShowsRootHandles(paramJTree1.getShowsRootHandles());
/*      */ 
/*      */ 
/*      */     
/*  340 */     setComponentCloneProperties(paramJTree1, paramJTree2, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int adjustCandidatePageBreakNode(JTree paramJTree, int paramInt1, int paramInt2, int paramInt3, float paramFloat, int paramInt4) {
/*  375 */     paramInt3 = 0;
/*      */     
/*  377 */     if (paramJTree instanceof PageBreakAdjusterTree)
/*      */     {
/*  379 */       paramInt3 = ((PageBreakAdjusterTree)paramJTree).adjustCandidatePageBreakNode(paramInt1, paramInt2, paramInt2, paramFloat, paramInt4);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  385 */     return paramInt3;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void computePageGridSize(PageFormat paramPageFormat, AttributeSet paramAttributeSet, float paramFloat, Dimension paramDimension) {
/*      */     int i;
/*  404 */     TreeCellRenderer treeCellRenderer = null;
/*      */     
/*      */     JTree jTree;
/*  407 */     int j = (jTree = (JTree)this.TARGET_COMPONENT).getRowHeight();
/*  408 */     int m = 1;
/*      */     
/*  410 */     int k = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  416 */     int n = PageDecorationUtility.computeAvailablePageWidth(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  422 */     if (treeCellRenderer = jTree.getCellRenderer() instanceof TreeCellPrintRenderer)
/*      */     {
/*  424 */       ((TreeCellPrintRenderer)treeCellRenderer).setPrintParameters(n, paramFloat);
/*      */     }
/*      */ 
/*      */     
/*  428 */     if (SizeToFitPageWidth.isToSizeToFitWidth(paramAttributeSet)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  437 */       Dimension dimension1 = new Dimension(n - 10, 9999);
/*  438 */       jTree.setPreferredSize(dimension1);
/*  439 */       jTree.setSize(dimension1);
/*      */ 
/*      */       
/*  442 */       k = a(jTree);
/*      */ 
/*      */       
/*  445 */       dimension1.height = k;
/*  446 */       jTree.setPreferredSize(dimension1);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  451 */     k = jTree.getRowCount();
/*      */ 
/*      */ 
/*      */     
/*      */     Dimension dimension;
/*      */ 
/*      */ 
/*      */     
/*  459 */     (dimension = jTree.getPreferredSize()).width += 9;
/*  460 */     jTree.setSize(dimension);
/*  461 */     dimension.width = (int)(dimension.width * paramFloat);
/*  462 */     dimension.height = (int)(dimension.height * paramFloat);
/*      */ 
/*      */     
/*  465 */     if (dimension.width > n)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  471 */       if (c() != 1)
/*      */       {
/*  473 */         m = (int)(dimension.width / n + 0.999F);
/*      */       }
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  481 */     if (j > 0) {
/*      */       
/*  483 */       i = a(jTree, paramPageFormat, paramAttributeSet, k, j, paramFloat);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  489 */       i = a(jTree, i, paramAttributeSet, k, paramFloat);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  495 */     paramDimension.width = m;
/*  496 */     paramDimension.height = i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getComponentHeightOnPage(int paramInt) {
/*  510 */     if (paramInt < 0 || paramInt >= this.PAGE_GRID_SIZE.height) return 0;
/*      */ 
/*      */     
/*  513 */     if (paramInt == 0) return this.d[0];
/*      */ 
/*      */     
/*  516 */     return this.d[paramInt] - this.d[paramInt - 1];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void prepareForPrinting(PageFormat paramPageFormat, AttributeSet paramAttributeSet) {
/*      */     JTree jTree1;
/*  531 */     Border border = (jTree1 = (JTree)this.TARGET_COMPONENT).getBorder();
/*  532 */     Color color = null;
/*      */ 
/*      */     
/*  535 */     super.prepareForPrinting(paramPageFormat, paramAttributeSet);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  541 */     if (isBackgroundColorSupported()) {
/*      */       TreeCellRenderer treeCellRenderer;
/*      */       
/*  544 */       if (treeCellRenderer = jTree1.getCellRenderer() instanceof PrintCellRenderer) {
/*      */ 
/*      */ 
/*      */         
/*  548 */         if (UseBackgroundColor.isToUseBackgroundColor(paramAttributeSet)) {
/*      */           
/*  550 */           color = Color.GREEN;
/*      */         }
/*      */         else {
/*      */           
/*  554 */           color = null;
/*      */         } 
/*  556 */         ((PrintCellRenderer)treeCellRenderer).setBackground(color);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  561 */     if (jTree1.getBorder() != border)
/*      */     {
/*      */ 
/*      */       
/*  565 */       a(jTree1);
/*      */     }
/*      */ 
/*      */     
/*  569 */     AttributeSet attributeSet = paramAttributeSet; JTree jTree2 = jTree1; TreeComponentPrinter treeComponentPrinter = this; int i = 0; boolean bool = false; TreeExpansion treeExpansion; if ((treeExpansion = (TreeExpansion)attributeSet.get(TreeExpansion.class)) != null) { TreeComponentPrinter treeComponentPrinter2; TreeExpansion treeExpansion1 = (treeComponentPrinter2 = treeComponentPrinter).c; if (!treeExpansion.equals(treeExpansion1)) if ((i = treeExpansion.getType()) == 0) { if (treeExpansion1 != null) { JTree jTree; for (int j = i = (jTree = jTree2).getRowCount() - 1; j >= 0; ) { jTree.collapseRow(j); j--; }  a(treeComponentPrinter.a, jTree2); }  } else if (i == 1) { int j = treeExpansion.getLevel(); if (jTree2.isRootVisible()) j--;  i = j; JTree jTree; TreeNode treeNode = (TreeNode)(jTree = jTree2).getModel().getRoot(); jTree.collapsePath(new TreePath(treeNode)); if (i > 0) a(jTree, treeNode, 0, i);  } else { JTree jTree; a(jTree = jTree2, (TreeNode)jTree.getModel().getRoot()); }   TreeComponentPrinter treeComponentPrinter1; TreeExpansion treeExpansion2 = treeExpansion; }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  575 */     a(jTree1, paramAttributeSet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void printTargetComponent(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, AttributeSet paramAttributeSet, float paramFloat) {
/*  586 */     Rectangle rectangle = this.DECORATION_OPTIONS.pageContentRectangle;
/*  587 */     if (paramInt1 == 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  594 */       rectangle.y += getEmptySpaceAtFirstPageTop();
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  600 */       a(paramGraphics2D, rectangle);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  606 */     rectangle.height = this.d[paramInt1] + 1;
/*  607 */     if (paramInt1 > 0)
/*      */     {
/*  609 */       rectangle.height -= this.d[paramInt1 - 1] + 1;
/*      */     }
/*  611 */     paramGraphics2D.clip(rectangle);
/*      */ 
/*      */ 
/*      */     
/*  615 */     paramInt2 = rectangle.x - rectangle.width * paramInt2;
/*  616 */     int i = rectangle.y;
/*  617 */     if (paramInt1 > 0)
/*      */     {
/*  619 */       i -= this.d[paramInt1 - 1] + 1;
/*      */     }
/*      */ 
/*      */     
/*  623 */     paramGraphics2D.translate(paramInt2, i);
/*      */ 
/*      */     
/*  626 */     if (paramFloat != 1.0F) paramGraphics2D.scale(paramFloat, paramFloat);
/*      */ 
/*      */     
/*  629 */     printTargetComponent(paramGraphics2D, false);
/*      */ 
/*      */     
/*  632 */     a(paramGraphics2D, paramInt2, i, paramFloat, rectangle, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static TreePath a(TreeNode paramTreeNode) {
/*  670 */     Stack<TreeNode> stack = new Stack();
/*  671 */     while (paramTreeNode != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  676 */       stack.push(paramTreeNode);
/*  677 */       paramTreeNode = paramTreeNode.getParent();
/*      */     } 
/*      */ 
/*      */     
/*  681 */     TreeNode[] arrayOfTreeNode = new TreeNode[stack.size()];
/*  682 */     for (byte b = 0; b < arrayOfTreeNode.length; b++)
/*      */     {
/*  684 */       arrayOfTreeNode[b] = stack.pop();
/*      */     }
/*      */ 
/*      */     
/*  688 */     return new TreePath((Object[])arrayOfTreeNode);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean a(JTree paramJTree, TreeNode paramTreeNode) {
/*  705 */     boolean bool2 = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  710 */     if (paramTreeNode.isLeaf()) return false;
/*      */ 
/*      */ 
/*      */     
/*      */     Enumeration<? extends TreeNode> enumeration;
/*      */ 
/*      */     
/*      */     boolean bool1;
/*      */ 
/*      */     
/*  720 */     if (bool1 = ((enumeration = paramTreeNode.children()) != null && enumeration.hasMoreElements()) ? true : false)
/*      */     
/*  722 */     { while (enumeration.hasMoreElements()) {
/*      */ 
/*      */         
/*  725 */         if (a(paramJTree, enumeration.nextElement()))
/*      */         {
/*  727 */           bool2 = true;
/*      */         }
/*      */       } 
/*      */ 
/*      */       
/*  732 */       if (!bool2)
/*      */       
/*      */       { 
/*      */         
/*  736 */         paramJTree.expandPath(a(paramTreeNode));
/*      */ 
/*      */         
/*  739 */         return true; }  return true; }  paramJTree.expandPath(a(paramTreeNode)); return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(JTree paramJTree1, JTree paramJTree2) {
/*  749 */     int i = paramJTree1.getRowCount();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  754 */     if (paramJTree1.isRootVisible() && paramJTree1.isCollapsed(0)) {
/*      */       
/*  756 */       paramJTree2.collapseRow(0);
/*      */       
/*      */       return;
/*      */     } 
/*  760 */     for (byte b = 0; b < i; b++) {
/*      */       
/*  762 */       if (paramJTree1.isExpanded(b))
/*      */       {
/*  764 */         paramJTree2.expandRow(b);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void a(JTree paramJTree, TreeNode paramTreeNode, int paramInt1, int paramInt2) {
/*      */     Enumeration<? extends TreeNode> enumeration1;
/*  795 */     Object object = null;
/*      */     
/*  797 */     int i = paramInt1 + 1;
/*      */ 
/*      */ 
/*      */     
/*  801 */     if (paramInt1 > paramInt2) {
/*      */       return;
/*      */     }
/*  804 */     if (paramTreeNode.isLeaf()) {
/*      */       return;
/*      */     }
/*      */     
/*      */     Enumeration<? extends TreeNode> enumeration2;
/*      */     
/*  810 */     boolean bool = ((enumeration2 = paramTreeNode.children()) != null && enumeration2.hasMoreElements()) ? true : false;
/*      */ 
/*      */ 
/*      */     
/*  814 */     if (i == paramInt2) {
/*      */       
/*  816 */       paramJTree.expandPath(a(paramTreeNode));
/*  817 */       if (bool) for (enumeration1 = enumeration2, paramJTree = paramJTree; enumeration1.hasMoreElements(); paramJTree.collapsePath(a(enumeration1.nextElement())));
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  823 */     if (bool) {
/*      */       
/*  825 */       while (enumeration2.hasMoreElements()) {
/*      */         TreeNode treeNode;
/*      */ 
/*      */         
/*  829 */         if (!(treeNode = enumeration2.nextElement()).isLeaf())
/*      */         {
/*  831 */           a(paramJTree, treeNode, i, paramInt2);
/*      */         }
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  838 */       paramJTree.expandPath(a((TreeNode)enumeration1));
/*      */       
/*      */       return;
/*      */     } 
/*  842 */     paramJTree.expandPath(a((TreeNode)enumeration1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int a(JTree paramJTree) {
/*      */     int i;
/*  952 */     TreeUI treeUI = paramJTree.getUI();
/*  953 */     int j = 0;
/*  954 */     if (treeUI instanceof BasicTreeUI) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  960 */       j = ((BasicTreeUI)treeUI).getLeftChildIndent();
/*  961 */       ((BasicTreeUI)treeUI).setLeftChildIndent(j);
/*  962 */       i = (((BasicTreeUI)treeUI).getPreferredSize(paramJTree, false)).height;
/*      */     }
/*      */     else {
/*      */       
/*  966 */       i = (i.getPreferredSize()).height;
/*      */     } 
/*      */     
/*  969 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int a(JTree paramJTree, PageFormat paramPageFormat, AttributeSet paramAttributeSet, int paramInt1, int paramInt2, float paramFloat) {
/*  982 */     AbstractComponentPrinter.a a = a();
/*  983 */     Insets insets = ((JTree)this.TARGET_COMPONENT).getInsets();
/*  984 */     boolean bool = false;
/*  985 */     float f = paramInt2 * paramFloat;
/*  986 */     int j = 0;
/*  987 */     int k = -1;
/*  988 */     int m = -1;
/*  989 */     int n = 0;
/*  990 */     int i1 = 0;
/*  991 */     int i2 = 0;
/*  992 */     int i3 = 0;
/*  993 */     i3 = 0;
/*  994 */     insets.top = (int)(insets.top * paramFloat + 0.5F);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  999 */     insets.bottom = (int)(insets.bottom * paramFloat + 0.5F);
/*      */ 
/*      */     
/* 1002 */     this.PRINT_PARAM_HOLDER.scaleFactor = paramFloat;
/*      */ 
/*      */     
/* 1005 */     this.PRINT_PARAM_HOLDER.pageNo = getDisplayPageNumberOffset();
/* 1006 */     while (!bool) {
/*      */       
/* 1008 */       k++;
/*      */ 
/*      */ 
/*      */       
/* 1012 */       this.PRINT_PARAM_HOLDER.pageNo++;
/* 1013 */       n = PageDecorationUtility.computeAvailablePageHeight(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, this.PRINT_PARAM_HOLDER);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1018 */       if (k == 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1024 */         n = (n = n - insets.top) - getEmptySpaceAtFirstPageTop();
/*      */ 
/*      */       
/*      */       }
/* 1028 */       else if (a != null) {
/*      */         
/* 1030 */         n -= a.a();
/*      */       } 
/*      */ 
/*      */       
/* 1034 */       i1 = (int)(n / f);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1039 */       if ((i2 = i2 + i1) >= paramInt1) {
/*      */         
/* 1041 */         i1 -= i2 - paramInt1;
/* 1042 */         i2 = paramInt1;
/* 1043 */         bool = true;
/*      */       } 
/*      */ 
/*      */       
/* 1047 */       if (!bool) {
/*      */         
/* 1049 */         i3 = n - (int)(i1 * f);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1055 */         if ((i3 = adjustCandidatePageBreakNode(paramJTree, k, i2, i1, paramFloat, i3)) >= i1) i3 = i1 - 1;
/*      */ 
/*      */         
/* 1058 */         if (i3 > 0) {
/*      */           
/* 1060 */           i1 -= i3;
/* 1061 */           i2 -= i3;
/*      */         } 
/*      */       } 
/*      */ 
/*      */       
/* 1066 */       j = (int)(i1 * f + 0.5F);
/* 1067 */       if (k == 0) j += insets.top; 
/* 1068 */       if (j <= 0) {
/*      */         
/* 1070 */         j = n;
/* 1071 */         if (k == 0) j += insets.top; 
/*      */       } 
/* 1073 */       m += j;
/*      */ 
/*      */       
/* 1076 */       if (k >= this.d.length)
/*      */       {
/* 1078 */         this.d = a(this.d, paramInt1, i2);
/*      */       }
/* 1080 */       this.d[k] = m;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1086 */     int i = n - j;
/* 1087 */     k = a(this.d, k, i, insets.bottom, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1093 */     i = this.d[k];
/* 1094 */     if (k > 0) i -= this.d[k - 1];
/*      */ 
/*      */     
/* 1097 */     b(n - i);
/*      */     
/* 1099 */     return k + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int a(JTree paramJTree, PageFormat paramPageFormat, AttributeSet paramAttributeSet, int paramInt, float paramFloat) {
/* 1111 */     AbstractComponentPrinter.a a = a();
/* 1112 */     Insets insets = paramJTree.getInsets();
/* 1113 */     boolean bool = false;
/* 1114 */     float f1 = 0.0F;
/* 1115 */     float f2 = 0.0F;
/* 1116 */     int j = 0;
/* 1117 */     int k = -1;
/* 1118 */     int m = -1;
/* 1119 */     int n = 0;
/* 1120 */     byte b = -1;
/* 1121 */     byte b1 = 0;
/* 1122 */     int i1 = 0;
/* 1123 */     insets.top = (int)(insets.top * paramFloat + 0.5F);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1128 */     insets.bottom = (int)(insets.bottom * paramFloat + 0.5F);
/*      */ 
/*      */     
/* 1131 */     this.PRINT_PARAM_HOLDER.scaleFactor = paramFloat;
/*      */ 
/*      */     
/* 1134 */     this.PRINT_PARAM_HOLDER.pageNo = getDisplayPageNumberOffset();
/* 1135 */     while (!bool) {
/*      */       float f;
/* 1137 */       k++;
/*      */ 
/*      */ 
/*      */       
/* 1141 */       this.PRINT_PARAM_HOLDER.pageNo++;
/* 1142 */       n = PageDecorationUtility.computeAvailablePageHeight(paramPageFormat, paramAttributeSet, this.DECORATION_OPTIONS, this.PRINT_PARAM_HOLDER);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1147 */       if (k == 0) {
/*      */ 
/*      */         
/* 1150 */         n -= getEmptySpaceAtFirstPageTop();
/* 1151 */         f = insets.top;
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 1157 */         if (a != null)
/*      */         {
/* 1159 */           n -= a.a();
/*      */         }
/* 1161 */         f = 0.0F;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1166 */       b1 = 0;
/* 1167 */       while (f < n) {
/*      */         
/* 1169 */         b++;
/* 1170 */         b1++;
/*      */ 
/*      */         
/* 1173 */         if (b < paramInt) {
/*      */           
/* 1175 */           f1 = (paramJTree.getRowBounds(b)).height * paramFloat;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1181 */           f += f1;
/*      */         } 
/*      */       } 
/*      */       
/* 1185 */       if (f > n) {
/*      */         
/* 1187 */         f -= f1;
/* 1188 */         b--;
/* 1189 */         b1--;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1196 */       if (!(bool = (b >= paramInt) ? true : false)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1203 */         if ((i1 = adjustCandidatePageBreakNode(paramJTree, k, b, b1, paramFloat, n - (int)f)) >= b1) i1 = b1 - 1;
/*      */ 
/*      */         
/* 1206 */         for (b1 = 1; b1 <= i1; ) {
/*      */           
/* 1208 */           f1 = (paramJTree.getRowBounds(b)).height * paramFloat;
/* 1209 */           f -= f1;
/* 1210 */           b--;
/* 1211 */           b1++;
/*      */         } 
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1217 */       j = (f > 0.0F) ? (int)(f + 0.5F) : n;
/* 1218 */       m += j;
/* 1219 */       if (k >= this.d.length)
/*      */       {
/* 1221 */         this.d = a(this.d, paramInt, b);
/*      */       }
/* 1223 */       this.d[k] = m;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1229 */     int i = n - j;
/* 1230 */     k = a(this.d, k, i, insets.bottom, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1236 */     i = this.d[k];
/* 1237 */     if (k > 0) i -= this.d[k - 1];
/*      */ 
/*      */     
/* 1240 */     b(n - i);
/*      */     
/* 1242 */     return k + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(JTree paramJTree, AttributeSet paramAttributeSet) {
/* 1253 */     boolean bool = HighlightSelections.isToHighlightSelections(paramAttributeSet);
/*      */ 
/*      */     
/* 1256 */     paramJTree.clearSelection();
/*      */ 
/*      */ 
/*      */     
/* 1260 */     if (bool)
/*      */     {
/* 1262 */       for (bool = false; bool < this.b.length; bool++) {
/*      */         
/* 1264 */         if (paramJTree.isVisible(this.b[bool]))
/*      */         {
/* 1266 */           paramJTree.addSelectionPath(this.b[bool]);
/*      */         }
/*      */       } 
/*      */     }
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\TreeComponentPrinter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */