/*     */ package jpdf.printer.text;
/*     */ 
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.awt.geom.Point2D;
/*     */ import javax.swing.text.BoxView;
/*     */ import javax.swing.text.Segment;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class JustifyTextUtility
/*     */ {
/*     */   public static class SpaceExpansionInfo
/*     */   {
/*     */     public final int[] POST_SPACE_SHIFT;
/*     */     public final int SEGMENT_LAST_CHAR_INDEX;
/*     */     public final int FIRST_VISIBLE_CHAR_INDEX;
/*     */     public final int LAST_VISIBLE_CHAR_INDEX;
/*     */     
/*     */     private SpaceExpansionInfo() {
/*  70 */       this(0, 0, 0, new int[0]);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private SpaceExpansionInfo(int param1Int1, int param1Int2, int param1Int3, int[] param1ArrayOfint) {
/*  79 */       this.SEGMENT_LAST_CHAR_INDEX = param1Int1;
/*  80 */       this.FIRST_VISIBLE_CHAR_INDEX = param1Int2;
/*  81 */       this.LAST_VISIBLE_CHAR_INDEX = param1Int3;
/*  82 */       this.POST_SPACE_SHIFT = param1ArrayOfint;
/*     */     }
/*     */ 
/*     */     
/*     */     public String toString() {
/*  87 */       int i = this.POST_SPACE_SHIFT.length;
/*     */ 
/*     */       
/*  90 */       StringBuilder stringBuilder = new StringBuilder(6 * ((i < 4) ? 4 : i));
/*  91 */       for (byte b = 0; b < i; b++)
/*     */       {
/*  93 */         stringBuilder.append(b + ":" + this.POST_SPACE_SHIFT[b] + ", ");
/*     */       }
/*  95 */       if (i > 0) stringBuilder.setLength(stringBuilder.length() - 2);
/*     */       
/*  97 */       return "SpaceExpansionInfo[lineFirstVisChar=" + this.FIRST_VISIBLE_CHAR_INDEX + ", lineLastVisChar=" + this.LAST_VISIBLE_CHAR_INDEX + ", lineLength=" + (this.SEGMENT_LAST_CHAR_INDEX + 1) + ", expandableSpaces=" + this.POST_SPACE_SHIFT.length + ",\n\t spaceExpansions=" + stringBuilder + "]";
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SpaceExpansionInfo computeSpaceExpansionInfo(BoxView paramBoxView, Segment paramSegment, boolean paramBoolean, int paramInt1, int paramInt2) {
/* 158 */     Object object = null;
/*     */     
/* 160 */     if (paramBoolean) {
/*     */       Object object1; int[] arrayOfInt; float f; int i; byte b1; byte b2;
/* 162 */       for (paramBoxView = paramBoxView, object1 = null, object = null, arrayOfInt = null, f = 0.0F, i = paramBoxView.getViewCount(), b1 = 0, b2 = 0; b2 < i; ) { if (object = paramBoxView.getView(b2) instanceof javax.swing.text.html.ImageView) b1++;  b2++; }  if (b1 > 0) { for (arrayOfInt = new int[b1], b1 = 0, b2 = 0; b2 < i; ) { if (object = paramBoxView.getView(b2) instanceof javax.swing.text.html.ImageView) { arrayOfInt[b1] = object.getStartOffset(); f += object.getPreferredSpan(0); b1++; }  b2++; }  object1 = new Object(arrayOfInt, f) { public final int[] a; }; }  object = object1;
/*     */     } 
/*     */     
/* 165 */     return a(paramSegment, paramInt1, paramInt2, (null)object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void justifyGlyphVector(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt1, int paramInt2) {
/*     */     int m;
/* 197 */     if ((m = paramInt1 - a(paramSegment, paramGlyphVector)) <= 0) {
/*     */       return;
/*     */     }
/*     */     
/* 201 */     int i2 = paramInt2, i1 = m; GlyphVector glyphVector2 = paramGlyphVector; Segment segment; SpaceExpansionInfo spaceExpansionInfo = a(segment = paramSegment, i1, i2, null); a(segment, glyphVector2, spaceExpansionInfo, 0, 0);
/*     */ 
/*     */ 
/*     */     
/*     */     int k;
/*     */ 
/*     */     
/* 208 */     if ((k = paramInt1 - a(paramSegment, paramGlyphVector)) <= 0) {
/*     */       return;
/*     */     }
/* 211 */     k = k; GlyphVector glyphVector1; int n = i2 = (glyphVector1 = paramGlyphVector).getNumGlyphs(), i = 0, j = 0; if (i2 > k) n = k;  if (k > n) i = k - i2;  for (paramInt1 = 1; paramInt1 < i2; ) { if (paramInt1 <= n) j += (paramInt1 <= i) ? 2 : 1;  a(glyphVector1, paramInt1, j); paramInt1++; }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(Segment paramSegment, GlyphVector paramGlyphVector, SpaceExpansionInfo paramSpaceExpansionInfo, int paramInt1, int paramInt2) {
/* 254 */     int i = 0;
/*     */     
/* 256 */     int j = 0;
/* 257 */     int k = 0;
/* 258 */     int m = -1;
/*     */ 
/*     */     
/* 261 */     if (paramSpaceExpansionInfo.POST_SPACE_SHIFT.length == 0) {
/*     */       return;
/*     */     }
/*     */     
/* 265 */     if (paramInt2 > 0)
/*     */     {
/* 267 */       if (paramInt2 - 1 < paramSpaceExpansionInfo.POST_SPACE_SHIFT.length) {
/*     */         
/* 269 */         m = paramInt2 - 1;
/* 270 */         k = paramSpaceExpansionInfo.POST_SPACE_SHIFT[m];
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 275 */     paramInt2 = paramGlyphVector.getNumGlyphs();
/* 276 */     for (byte b = 0; b < paramInt2; b++) {
/*     */ 
/*     */       
/* 279 */       i = paramSegment.offset + paramGlyphVector.getGlyphCharIndex(b);
/*     */       
/*     */       int n;
/*     */       
/* 283 */       if ((n = paramInt1 + paramGlyphVector.getGlyphCharIndex(b)) >= paramSpaceExpansionInfo.FIRST_VISIBLE_CHAR_INDEX) {
/*     */         byte b1;
/*     */         
/* 286 */         if (n > paramSpaceExpansionInfo.LAST_VISIBLE_CHAR_INDEX) {
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 291 */           if (j) {
/*     */             
/* 293 */             for (b1 = b; b1 < paramInt2; b1++)
/*     */             {
/* 295 */               a(paramGlyphVector, b1, j);
/*     */             }
/*     */             
/*     */             return;
/*     */           } 
/*     */           
/*     */           break;
/*     */         } 
/* 303 */         if (PrintTextUtility.isSpaceChar(b1.array[i])) {
/*     */           
/* 305 */           m++;
/* 306 */           if (m < paramSpaceExpansionInfo.POST_SPACE_SHIFT.length)
/*     */           {
/* 308 */             j = paramSpaceExpansionInfo.POST_SPACE_SHIFT[m] - k;
/*     */           }
/*     */         } 
/*     */ 
/*     */         
/* 313 */         if (j > 0) a(paramGlyphVector, b, j);
/*     */       
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static SpaceExpansionInfo a(Segment paramSegment, int paramInt1, int paramInt2, null paramnull) {
/*     */     // Byte code:
/*     */     //   0: iconst_0
/*     */     //   1: istore #6
/*     */     //   3: iconst_m1
/*     */     //   4: istore #7
/*     */     //   6: iconst_m1
/*     */     //   7: istore #8
/*     */     //   9: iconst_m1
/*     */     //   10: istore #9
/*     */     //   12: aload_0
/*     */     //   13: getfield offset : I
/*     */     //   16: aload_0
/*     */     //   17: getfield count : I
/*     */     //   20: iadd
/*     */     //   21: iconst_1
/*     */     //   22: isub
/*     */     //   23: istore #10
/*     */     //   25: iconst_m1
/*     */     //   26: istore #4
/*     */     //   28: iconst_0
/*     */     //   29: istore #11
/*     */     //   31: aload_3
/*     */     //   32: ifnull -> 53
/*     */     //   35: aload_3
/*     */     //   36: getfield a : [I
/*     */     //   39: arraylength
/*     */     //   40: istore #11
/*     */     //   42: aload_3
/*     */     //   43: getfield a : [I
/*     */     //   46: iload #11
/*     */     //   48: iconst_1
/*     */     //   49: isub
/*     */     //   50: iaload
/*     */     //   51: istore #4
/*     */     //   53: iload #10
/*     */     //   55: istore #12
/*     */     //   57: iload #12
/*     */     //   59: aload_0
/*     */     //   60: getfield offset : I
/*     */     //   63: if_icmplt -> 92
/*     */     //   66: aload_0
/*     */     //   67: getfield array : [C
/*     */     //   70: iload #12
/*     */     //   72: caload
/*     */     //   73: invokestatic isSpaceChar : (C)Z
/*     */     //   76: ifne -> 86
/*     */     //   79: iload #12
/*     */     //   81: istore #8
/*     */     //   83: goto -> 92
/*     */     //   86: iinc #12, -1
/*     */     //   89: goto -> 57
/*     */     //   92: iload #8
/*     */     //   94: iload #4
/*     */     //   96: if_icmpge -> 103
/*     */     //   99: iload #4
/*     */     //   101: istore #8
/*     */     //   103: iload #8
/*     */     //   105: ifge -> 117
/*     */     //   108: new jpdf/printer/text/JustifyTextUtility$SpaceExpansionInfo
/*     */     //   111: dup
/*     */     //   112: iconst_0
/*     */     //   113: invokespecial <init> : (B)V
/*     */     //   116: areturn
/*     */     //   117: aload_0
/*     */     //   118: getfield offset : I
/*     */     //   121: istore #12
/*     */     //   123: iload #12
/*     */     //   125: iload #8
/*     */     //   127: if_icmpgt -> 156
/*     */     //   130: aload_0
/*     */     //   131: getfield array : [C
/*     */     //   134: iload #12
/*     */     //   136: caload
/*     */     //   137: invokestatic isSpaceChar : (C)Z
/*     */     //   140: ifne -> 150
/*     */     //   143: iload #12
/*     */     //   145: istore #9
/*     */     //   147: goto -> 156
/*     */     //   150: iinc #12, 1
/*     */     //   153: goto -> 123
/*     */     //   156: iload #4
/*     */     //   158: iflt -> 172
/*     */     //   161: iload #4
/*     */     //   163: iload #9
/*     */     //   165: if_icmpge -> 172
/*     */     //   168: iload #4
/*     */     //   170: istore #9
/*     */     //   172: iload #8
/*     */     //   174: iconst_1
/*     */     //   175: isub
/*     */     //   176: istore #12
/*     */     //   178: iload #12
/*     */     //   180: iload #9
/*     */     //   182: if_icmplt -> 211
/*     */     //   185: aload_0
/*     */     //   186: getfield array : [C
/*     */     //   189: iload #12
/*     */     //   191: caload
/*     */     //   192: invokestatic isSpaceChar : (C)Z
/*     */     //   195: ifeq -> 205
/*     */     //   198: iload #12
/*     */     //   200: istore #7
/*     */     //   202: goto -> 211
/*     */     //   205: iinc #12, -1
/*     */     //   208: goto -> 178
/*     */     //   211: iload #7
/*     */     //   213: ifge -> 225
/*     */     //   216: new jpdf/printer/text/JustifyTextUtility$SpaceExpansionInfo
/*     */     //   219: dup
/*     */     //   220: iconst_0
/*     */     //   221: invokespecial <init> : (B)V
/*     */     //   224: areturn
/*     */     //   225: iconst_0
/*     */     //   226: istore #4
/*     */     //   228: iload #9
/*     */     //   230: istore #12
/*     */     //   232: iload #12
/*     */     //   234: iload #7
/*     */     //   236: if_icmpgt -> 261
/*     */     //   239: aload_0
/*     */     //   240: getfield array : [C
/*     */     //   243: iload #12
/*     */     //   245: caload
/*     */     //   246: invokestatic isSpaceChar : (C)Z
/*     */     //   249: ifeq -> 255
/*     */     //   252: iinc #4, 1
/*     */     //   255: iinc #12, 1
/*     */     //   258: goto -> 232
/*     */     //   261: iload #4
/*     */     //   263: iload #11
/*     */     //   265: isub
/*     */     //   266: istore #4
/*     */     //   268: iload_1
/*     */     //   269: i2f
/*     */     //   270: iload #4
/*     */     //   272: i2f
/*     */     //   273: fdiv
/*     */     //   274: f2i
/*     */     //   275: dup
/*     */     //   276: istore #5
/*     */     //   278: iload_2
/*     */     //   279: if_icmplt -> 288
/*     */     //   282: iload_2
/*     */     //   283: istore #5
/*     */     //   285: goto -> 297
/*     */     //   288: iload_1
/*     */     //   289: iload #5
/*     */     //   291: iload #4
/*     */     //   293: imul
/*     */     //   294: isub
/*     */     //   295: istore #6
/*     */     //   297: iload #4
/*     */     //   299: iload #11
/*     */     //   301: iadd
/*     */     //   302: newarray int
/*     */     //   304: astore_2
/*     */     //   305: iconst_m1
/*     */     //   306: istore #4
/*     */     //   308: iconst_m1
/*     */     //   309: istore #12
/*     */     //   311: iload #9
/*     */     //   313: istore #13
/*     */     //   315: iload #13
/*     */     //   317: iload #7
/*     */     //   319: if_icmpgt -> 479
/*     */     //   322: aload_0
/*     */     //   323: getfield array : [C
/*     */     //   326: iload #13
/*     */     //   328: caload
/*     */     //   329: invokestatic isSpaceChar : (C)Z
/*     */     //   332: ifeq -> 473
/*     */     //   335: iinc #4, 1
/*     */     //   338: iload #11
/*     */     //   340: ifle -> 419
/*     */     //   343: aload_3
/*     */     //   344: getfield a : [I
/*     */     //   347: iload #13
/*     */     //   349: istore #15
/*     */     //   351: dup
/*     */     //   352: astore #14
/*     */     //   354: dup
/*     */     //   355: astore #14
/*     */     //   357: arraylength
/*     */     //   358: istore #16
/*     */     //   360: iconst_0
/*     */     //   361: istore #17
/*     */     //   363: iload #17
/*     */     //   365: iload #16
/*     */     //   367: if_icmpge -> 393
/*     */     //   370: aload #14
/*     */     //   372: iload #17
/*     */     //   374: iaload
/*     */     //   375: dup
/*     */     //   376: istore #18
/*     */     //   378: iload #15
/*     */     //   380: if_icmpne -> 387
/*     */     //   383: iconst_1
/*     */     //   384: goto -> 394
/*     */     //   387: iinc #17, 1
/*     */     //   390: goto -> 363
/*     */     //   393: iconst_0
/*     */     //   394: ifeq -> 419
/*     */     //   397: aload_2
/*     */     //   398: iload #4
/*     */     //   400: iload #4
/*     */     //   402: ifne -> 409
/*     */     //   405: iconst_0
/*     */     //   406: goto -> 415
/*     */     //   409: aload_2
/*     */     //   410: iload #4
/*     */     //   412: iconst_1
/*     */     //   413: isub
/*     */     //   414: iaload
/*     */     //   415: iastore
/*     */     //   416: goto -> 460
/*     */     //   419: aload_2
/*     */     //   420: iload #4
/*     */     //   422: iload #4
/*     */     //   424: ifne -> 432
/*     */     //   427: iload #5
/*     */     //   429: goto -> 441
/*     */     //   432: aload_2
/*     */     //   433: iload #4
/*     */     //   435: iconst_1
/*     */     //   436: isub
/*     */     //   437: iaload
/*     */     //   438: iload #5
/*     */     //   440: iadd
/*     */     //   441: iastore
/*     */     //   442: iinc #12, 1
/*     */     //   445: iload #12
/*     */     //   447: iload #6
/*     */     //   449: if_icmpge -> 460
/*     */     //   452: aload_2
/*     */     //   453: iload #4
/*     */     //   455: dup2
/*     */     //   456: iaload
/*     */     //   457: iconst_1
/*     */     //   458: iadd
/*     */     //   459: iastore
/*     */     //   460: aload_2
/*     */     //   461: iload #4
/*     */     //   463: iaload
/*     */     //   464: iload_1
/*     */     //   465: if_icmple -> 473
/*     */     //   468: aload_2
/*     */     //   469: iload #4
/*     */     //   471: iload_1
/*     */     //   472: iastore
/*     */     //   473: iinc #13, 1
/*     */     //   476: goto -> 315
/*     */     //   479: iload #10
/*     */     //   481: aload_0
/*     */     //   482: getfield offset : I
/*     */     //   485: isub
/*     */     //   486: istore #10
/*     */     //   488: iload #9
/*     */     //   490: aload_0
/*     */     //   491: getfield offset : I
/*     */     //   494: isub
/*     */     //   495: istore #9
/*     */     //   497: iload #8
/*     */     //   499: aload_0
/*     */     //   500: getfield offset : I
/*     */     //   503: isub
/*     */     //   504: istore #8
/*     */     //   506: new jpdf/printer/text/JustifyTextUtility$SpaceExpansionInfo
/*     */     //   509: dup
/*     */     //   510: iload #10
/*     */     //   512: iload #9
/*     */     //   514: iload #8
/*     */     //   516: aload_2
/*     */     //   517: aload_0
/*     */     //   518: invokespecial <init> : (III[ILjavax/swing/text/Segment;)V
/*     */     //   521: areturn
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #337	-> 0
/*     */     //   #342	-> 3
/*     */     //   #343	-> 6
/*     */     //   #344	-> 9
/*     */     //   #345	-> 12
/*     */     //   #346	-> 25
/*     */     //   #347	-> 28
/*     */     //   #351	-> 31
/*     */     //   #353	-> 35
/*     */     //   #354	-> 42
/*     */     //   #364	-> 53
/*     */     //   #366	-> 66
/*     */     //   #368	-> 79
/*     */     //   #369	-> 83
/*     */     //   #364	-> 86
/*     */     //   #372	-> 92
/*     */     //   #374	-> 99
/*     */     //   #376	-> 103
/*     */     //   #378	-> 108
/*     */     //   #382	-> 117
/*     */     //   #384	-> 130
/*     */     //   #386	-> 143
/*     */     //   #387	-> 147
/*     */     //   #382	-> 150
/*     */     //   #390	-> 156
/*     */     //   #392	-> 168
/*     */     //   #398	-> 172
/*     */     //   #400	-> 185
/*     */     //   #402	-> 198
/*     */     //   #403	-> 202
/*     */     //   #398	-> 205
/*     */     //   #406	-> 211
/*     */     //   #408	-> 216
/*     */     //   #413	-> 225
/*     */     //   #414	-> 228
/*     */     //   #416	-> 239
/*     */     //   #418	-> 252
/*     */     //   #414	-> 255
/*     */     //   #423	-> 261
/*     */     //   #426	-> 268
/*     */     //   #428	-> 276
/*     */     //   #430	-> 282
/*     */     //   #436	-> 288
/*     */     //   #443	-> 297
/*     */     //   #444	-> 305
/*     */     //   #445	-> 308
/*     */     //   #446	-> 311
/*     */     //   #449	-> 322
/*     */     //   #451	-> 335
/*     */     //   #455	-> 338
/*     */     //   #457	-> 397
/*     */     //   #464	-> 419
/*     */     //   #466	-> 442
/*     */     //   #469	-> 445
/*     */     //   #474	-> 460
/*     */     //   #476	-> 468
/*     */     //   #446	-> 473
/*     */     //   #482	-> 479
/*     */     //   #483	-> 488
/*     */     //   #484	-> 497
/*     */     //   #486	-> 506
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(Segment paramSegment, GlyphVector paramGlyphVector) {
/*     */     GlyphVector glyphVector;
/*     */     Object object;
/*     */     int i;
/*     */     int j;
/*     */     int k;
/*     */     int m;
/*     */     int n;
/* 597 */     for (glyphVector = paramGlyphVector, paramSegment = paramSegment, object = null, j = -1, i = paramSegment.offset + paramSegment.count - 1, k = 0, m = 0, n = paramSegment.offset; n <= i; ) { if (!PrintTextUtility.isSpaceChar(paramSegment.array[n])) { j = n; break; }  n++; }  for (i = glyphVector.getNumGlyphs(), n = 0; n < i; ) { if ((k = paramSegment.offset + glyphVector.getGlyphCharIndex(n)) >= j) { Point2D point2D; m = (int)((point2D = glyphVector.getGlyphPosition(n)).getX() + 0.99D); break; }  n++; }  return ((j <= 0) ? 0 : m) + PrintTextUtility.getGlyphVectorVisibleWidth(paramGlyphVector);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void a(GlyphVector paramGlyphVector, int paramInt1, int paramInt2) {
/*     */     Point2D point2D;
/* 666 */     (point2D = paramGlyphVector.getGlyphPosition(paramInt1)).setLocation(point2D.getX() + paramInt2, point2D.getY());
/* 667 */     paramGlyphVector.setGlyphPosition(paramInt1, point2D);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\JustifyTextUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */