/*     */ package jpdf.printer.text;
/*     */ 
/*     */ import java.awt.Font;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.RenderingHints;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.font.FontRenderContext;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.awt.font.LineMetrics;
/*     */ import java.awt.geom.Point2D;
/*     */ import java.util.Map;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.Segment;
/*     */ import javax.swing.text.TabExpander;
/*     */ import javax.swing.text.Utilities;
/*     */ import jpdf_common.system.a.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class PrintTextUtility
/*     */ {
/*     */   public static final Object PLATFORM_TEXT_AA_VALUE;
/*     */   
/*     */   static {
/*  54 */     Object object = RenderingHints.VALUE_TEXT_ANTIALIAS_ON; Toolkit toolkit; Map map; if (!a.a && (map = (Map)(toolkit = Toolkit.getDefaultToolkit()).getDesktopProperty("awt.font.desktophints")) != null && (object = map.get(RenderingHints.KEY_TEXT_ANTIALIASING)) == null) object = RenderingHints.VALUE_TEXT_ANTIALIAS_ON;  PLATFORM_TEXT_AA_VALUE = object;
/*     */   }
/*  56 */   static final FontRenderContext a = new FontRenderContext(null, false, true);
/*     */   
/*  58 */   private static GlyphVectorFactory b = new a();
/*     */   
/*  60 */   private static GlyphVectorFactory c = new b();
/*     */ 
/*     */   
/*  63 */   private static FontRenderContext d = null;
/*  64 */   private static Object e = PLATFORM_TEXT_AA_VALUE;
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean f = true;
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/*  73 */     d = new FontRenderContext(null, PLATFORM_TEXT_AA_VALUE, RenderingHints.VALUE_FRACTIONALMETRICS_ON);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int calculateFitOffset(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt) {
/* 100 */     double d = 0.0D;
/* 101 */     int j = paramGlyphVector.getNumGlyphs();
/* 102 */     int k = 0;
/* 103 */     if (paramInt <= 0) return 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 114 */     if (paramInt >= getLastGlyphEndX(paramGlyphVector)) return paramSegment.count;
/*     */ 
/*     */     
/* 117 */     for (byte b = 1; b < j; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 123 */       if ((d = paramGlyphVector.getGlyphPosition(b).getX()) > paramInt) {
/*     */         
/* 125 */         k = b - 1;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*     */     int i;
/*     */ 
/*     */ 
/*     */     
/* 140 */     if ((i = paramGlyphVector.getGlyphCharIndex(k)) < paramSegment.count - 1 && paramSegment.array[paramSegment.offset + i + 1] == '\t')
/*     */     {
/*     */       
/* 143 */       i++;
/*     */     }
/*     */     
/* 146 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int calculateTextOffsetAtX(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt, boolean paramBoolean) {
/* 161 */     double d1 = 0.0D;
/* 162 */     double d2 = 0.0D;
/* 163 */     int i = paramGlyphVector.getNumGlyphs();
/* 164 */     int j = 0;
/*     */ 
/*     */     
/* 167 */     if (paramInt <= 0) return 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 175 */     if (paramInt >= getLastGlyphEndX(paramGlyphVector)) return paramSegment.count;
/*     */ 
/*     */     
/* 178 */     for (byte b = 1; b < i; b++) {
/*     */ 
/*     */       
/* 181 */       d1 = paramGlyphVector.getGlyphPosition(b).getX();
/*     */ 
/*     */       
/* 184 */       if (paramInt >= d2 && paramInt < d1) {
/*     */ 
/*     */ 
/*     */         
/* 188 */         if (paramBoolean) {
/*     */           
/* 190 */           if (paramInt - d2 < d1 - paramInt) {
/*     */             
/* 192 */             j = b - 1;
/*     */             
/*     */             break;
/*     */           } 
/* 196 */           j = b;
/*     */           
/*     */           break;
/*     */         } 
/*     */         
/* 201 */         j = b - 1;
/*     */ 
/*     */         
/*     */         break;
/*     */       } 
/*     */       
/* 207 */       d2 = d1;
/*     */     } 
/*     */ 
/*     */     
/* 211 */     return paramGlyphVector.getGlyphCharIndex(j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computeRequiredWidth(Font paramFont, char[][] paramArrayOfchar, boolean paramBoolean) {
/* 222 */     int i = paramArrayOfchar.length;
/* 223 */     int j = 0;
/* 224 */     int k = 0;
/*     */ 
/*     */     
/* 227 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */       
/* 230 */       if ((k = computeWidth(paramFont, paramArrayOfchar[b], paramBoolean)) > j) j = k;
/*     */     
/*     */     } 
/* 233 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computeRequiredWidth(Font paramFont, String[] paramArrayOfString, boolean paramBoolean) {
/* 244 */     int i = paramArrayOfString.length;
/* 245 */     int j = 0;
/* 246 */     int k = 0;
/*     */ 
/*     */     
/* 249 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */       
/* 252 */       if ((k = computeWidth(paramFont, paramArrayOfString[b], paramBoolean)) > j) j = k;
/*     */     
/*     */     } 
/* 255 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computeWidth(Font paramFont, char[] paramArrayOfchar, boolean paramBoolean) {
/* 264 */     FontRenderContext fontRenderContext = paramBoolean ? d : a;
/*     */ 
/*     */     
/*     */     GlyphVector glyphVector;
/*     */ 
/*     */     
/* 270 */     return getGlyphVectorLogicalWidth(glyphVector = paramFont.createGlyphVector(fontRenderContext, paramArrayOfchar));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int computeWidth(Font paramFont, String paramString, boolean paramBoolean) {
/* 279 */     FontRenderContext fontRenderContext = paramBoolean ? d : a;
/*     */ 
/*     */     
/*     */     GlyphVector glyphVector;
/*     */ 
/*     */     
/* 285 */     return getGlyphVectorLogicalWidth(glyphVector = paramFont.createGlyphVector(fontRenderContext, paramString));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVector createGlyphVector(Font paramFont, char[] paramArrayOfchar, boolean paramBoolean) {
/* 297 */     return b.createGlyphVector(paramFont, paramArrayOfchar, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVector createGlyphVector(Font paramFont, String paramString, boolean paramBoolean) {
/* 309 */     return b.createGlyphVector(paramFont, paramString, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVector createGlyphVector(Font paramFont, Segment paramSegment, boolean paramBoolean) {
/* 321 */     return b.createGlyphVector(paramFont, paramSegment, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVector createGlyphVector(Font paramFont, Segment paramSegment, TabExpander paramTabExpander, boolean paramBoolean) {
/* 334 */     return b.createGlyphVector(paramFont, paramSegment, paramTabExpander, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int drawGlyphVector(GlyphVector paramGlyphVector, int paramInt1, int paramInt2, Graphics paramGraphics) {
/*     */     // Byte code:
/*     */     //   0: aload_3
/*     */     //   1: checkcast java/awt/Graphics2D
/*     */     //   4: dup
/*     */     //   5: astore_3
/*     */     //   6: astore #4
/*     */     //   8: getstatic jpdf_common/system/a/a.g : Z
/*     */     //   11: ifeq -> 68
/*     */     //   14: invokestatic isToUseGlyphVectorFillOnMac : ()Z
/*     */     //   17: ifeq -> 68
/*     */     //   20: aload #4
/*     */     //   22: instanceof jpdf/wrap/graphics/Graphics2DWrapper
/*     */     //   25: ifeq -> 44
/*     */     //   28: aload #4
/*     */     //   30: checkcast jpdf/wrap/graphics/Graphics2DWrapper
/*     */     //   33: invokevirtual getRootTargetGraphicsClass : ()Ljava/lang/Class;
/*     */     //   36: invokevirtual getName : ()Ljava/lang/String;
/*     */     //   39: astore #4
/*     */     //   41: goto -> 54
/*     */     //   44: aload #4
/*     */     //   46: invokevirtual getClass : ()Ljava/lang/Class;
/*     */     //   49: invokevirtual getName : ()Ljava/lang/String;
/*     */     //   52: astore #4
/*     */     //   54: aload #4
/*     */     //   56: ldc 'PathGraphics'
/*     */     //   58: invokevirtual indexOf : (Ljava/lang/String;)I
/*     */     //   61: ifle -> 68
/*     */     //   64: iconst_1
/*     */     //   65: goto -> 69
/*     */     //   68: iconst_0
/*     */     //   69: ifeq -> 97
/*     */     //   72: aload_3
/*     */     //   73: iload_1
/*     */     //   74: iload_2
/*     */     //   75: invokevirtual translate : (II)V
/*     */     //   78: aload_3
/*     */     //   79: aload_0
/*     */     //   80: invokevirtual getOutline : ()Ljava/awt/Shape;
/*     */     //   83: invokevirtual fill : (Ljava/awt/Shape;)V
/*     */     //   86: aload_3
/*     */     //   87: iload_1
/*     */     //   88: ineg
/*     */     //   89: iload_2
/*     */     //   90: ineg
/*     */     //   91: invokevirtual translate : (II)V
/*     */     //   94: goto -> 106
/*     */     //   97: aload_3
/*     */     //   98: aload_0
/*     */     //   99: iload_1
/*     */     //   100: i2f
/*     */     //   101: iload_2
/*     */     //   102: i2f
/*     */     //   103: invokevirtual drawGlyphVector : (Ljava/awt/font/GlyphVector;FF)V
/*     */     //   106: iload_1
/*     */     //   107: aload_0
/*     */     //   108: invokestatic getLastGlyphEndX : (Ljava/awt/font/GlyphVector;)I
/*     */     //   111: iadd
/*     */     //   112: ireturn
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #356	-> 0
/*     */     //   #360	-> 5
/*     */     //   #362	-> 72
/*     */     //   #363	-> 78
/*     */     //   #364	-> 86
/*     */     //   #368	-> 97
/*     */     //   #371	-> 106
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int drawSegment(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt1, int paramInt2, Graphics paramGraphics, TabExpander paramTabExpander, int paramInt3) {
/* 385 */     Utilities.drawTabbedText(paramSegment, paramInt1, paramInt2, paramGraphics, paramTabExpander, paramInt3);
/*     */     
/* 387 */     return paramInt1 + getLastGlyphEndX(paramGlyphVector);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int findBreakIndex(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt) {
/* 402 */     boolean bool = false;
/* 403 */     int i = paramGlyphVector.getNumGlyphs();
/*     */     
/* 405 */     int j = -1;
/*     */ 
/*     */     
/* 408 */     if (paramSegment.count <= 1) return 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     double d;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 419 */     if ((d = getLastGlyphEndX(paramGlyphVector)) <= paramInt) return paramSegment.count - 1;
/*     */     
/*     */     int k;
/* 422 */     for (k = 1; k < i; k++) {
/*     */ 
/*     */       
/* 425 */       if ((d = paramGlyphVector.getGlyphPosition(k).getX()) > paramInt) {
/*     */         
/* 427 */         j = paramGlyphVector.getGlyphCharIndex(k - 1);
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */     
/* 433 */     if (j < 0) j = paramSegment.count - 2;
/*     */ 
/*     */     
/* 436 */     for (k = paramSegment.offset + j; k >= paramSegment.offset; k--) {
/*     */       
/* 438 */       if (isSpaceChar(paramSegment.array[k])) {
/*     */         
/* 440 */         j = k - paramSegment.offset;
/* 441 */         bool = true;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */     
/* 447 */     if (!bool) j--;
/*     */     
/* 449 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVectorFactory getDefaultGlyphVectorFactory() {
/* 458 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getFirstGlyphStartX(GlyphVector paramGlyphVector) {
/* 468 */     return (int)Math.round(paramGlyphVector.getGlyphPosition(0).getX());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static LineMetrics getLineMetrics(Font paramFont, String paramString, boolean paramBoolean) {
/* 478 */     FontRenderContext fontRenderContext = paramBoolean ? d : a;
/*     */ 
/*     */     
/* 481 */     return paramFont.getLineMetrics(paramString, fontRenderContext);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getGlyphEndX(GlyphVector paramGlyphVector, int paramInt) {
/* 491 */     int i = 0;
/*     */     
/* 493 */     if (paramInt >= 0)
/*     */     {
/* 495 */       i = (int)(paramGlyphVector.getGlyphPosition(paramInt).getX() + paramGlyphVector.getGlyphMetrics(paramInt).getAdvance() + 0.9900000095367432D);
/*     */     }
/*     */ 
/*     */     
/* 499 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getGlyphEndX_float(GlyphVector paramGlyphVector, int paramInt) {
/* 509 */     float f = 0.0F;
/*     */     
/* 511 */     if (paramInt >= 0)
/*     */     {
/* 513 */       f = (float)(paramGlyphVector.getGlyphPosition(paramInt).getX() + paramGlyphVector.getGlyphMetrics(paramInt).getAdvance());
/*     */     }
/*     */ 
/*     */     
/* 517 */     return f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getLastGlyphEndX(GlyphVector paramGlyphVector) {
/* 526 */     return getGlyphEndX(paramGlyphVector, paramGlyphVector.getNumGlyphs() - 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getLastGlyphEndX_float(GlyphVector paramGlyphVector) {
/* 536 */     return getGlyphEndX_float(paramGlyphVector, paramGlyphVector.getNumGlyphs() - 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getLastGlyphIndexForChar(GlyphVector paramGlyphVector, int paramInt) {
/*     */     String str;
/* 548 */     int i = paramGlyphVector.getNumGlyphs() - 1;
/*     */     
/* 550 */     int j = paramGlyphVector.getGlyphCharIndex(i);
/* 551 */     int k = -1;
/*     */ 
/*     */     
/* 554 */     if (paramInt < 0) {
/*     */       
/* 556 */       str = "Invalid Char Index (" + paramInt + ") - cannot be less than zero.";
/* 557 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 559 */     if (paramInt > j) {
/*     */       
/* 561 */       str = "Invalid Char Index (" + paramInt + ") - cannot be greater than the last glyph char index (" + j + ").";
/*     */       
/* 563 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 568 */     if (j == paramInt)
/*     */     {
/* 570 */       return i;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 575 */     for (j = paramInt; j <= i; j++) {
/*     */       
/* 577 */       if (str.getGlyphCharIndex(j) > paramInt) {
/*     */         
/* 579 */         k = j - 1;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 584 */     return k;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getGlyphVectorLogicalWidth(GlyphVector paramGlyphVector) {
/* 592 */     return (int)(paramGlyphVector.getLogicalBounds().getWidth() + 0.9900000095367432D);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getGlyphVectorVisibleWidth(GlyphVector paramGlyphVector) {
/*     */     int i;
/* 605 */     if ((i = (int)(paramGlyphVector.getVisualBounds().getWidth() + 0.9900000095367432D)) < 0) i = 0;
/*     */     
/* 607 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVectorFactory getPreviewGlyphVectorFactory() {
/* 619 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Object getTextAntialiasingRenderHintValue() {
/* 631 */     return e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isSpaceChar(char paramChar) {
/* 641 */     return (paramChar == ' ' || paramChar == '\t');
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isSpaceCharPresent(Segment paramSegment, int paramInt) {
/* 650 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 654 */     if (paramInt >= paramSegment.count) paramInt = paramSegment.count;
/*     */ 
/*     */     
/* 657 */     paramInt = paramSegment.offset + paramInt - 1;
/* 658 */     for (int i = paramSegment.offset; i <= paramInt; i++) {
/*     */       
/* 660 */       if (isSpaceChar(paramSegment.array[i])) {
/*     */         
/* 662 */         bool = true;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 667 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isTextAntialiasingPreferred() {
/* 678 */     return (getTextAntialiasingRenderHintValue() != RenderingHints.VALUE_TEXT_ANTIALIAS_OFF);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToUseGlyphVectorFillOnMac() {
/* 689 */     return f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static GlyphVector loadText(Segment paramSegment, Document paramDocument, int paramInt1, int paramInt2, Font paramFont, TabExpander paramTabExpander, int paramInt3, GlyphVector paramGlyphVector, boolean paramBoolean) {
/* 707 */     return b.loadText(paramSegment, paramDocument, paramInt1, paramInt2, paramFont, paramTabExpander, paramInt3, paramGlyphVector, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printGlyphPositionsX(String paramString, GlyphVector paramGlyphVector) {
/* 719 */     System.out.println(paramString + a(paramGlyphVector));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printGlyphPositionsX(String paramString, GlyphVector paramGlyphVector, Segment paramSegment) {
/* 731 */     System.out.println(paramString + a(paramGlyphVector, paramSegment));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setTextAntialiasingRenderHintValue(Object paramObject) {
/* 745 */     if (paramObject == null) paramObject = PLATFORM_TEXT_AA_VALUE; 
/* 746 */     if (!RenderingHints.KEY_TEXT_ANTIALIASING.isCompatibleValue(paramObject)) {
/*     */       
/* 748 */       paramObject = "Invalid value for TEXT ANTIALIASING rendering hint: " + paramObject;
/*     */       
/* 750 */       throw new IllegalArgumentException(paramObject);
/*     */     } 
/*     */ 
/*     */     
/* 754 */     e = paramObject;
/*     */ 
/*     */     
/* 757 */     if (paramObject != RenderingHints.VALUE_TEXT_ANTIALIAS_OFF && paramObject != d.getAntiAliasingHint())
/*     */     {
/*     */       
/* 760 */       d = new FontRenderContext(null, paramObject, RenderingHints.VALUE_FRACTIONALMETRICS_ON);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToUseGlyphVectorFillOnMac(boolean paramBoolean) {
/* 773 */     f = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void shiftGlyphVectorPositions(GlyphVector paramGlyphVector, int paramInt) {
/* 782 */     Point2D point2D = null;
/* 783 */     int i = paramGlyphVector.getNumGlyphs();
/*     */ 
/*     */     
/* 786 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */       
/* 789 */       (point2D = paramGlyphVector.getGlyphPosition(b)).setLocation(point2D.getX() + paramInt, point2D.getY());
/* 790 */       paramGlyphVector.setGlyphPosition(b, point2D);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void updateGlyphVectorPositions(Segment paramSegment, GlyphVector paramGlyphVector, TabExpander paramTabExpander) {
/* 800 */     updateGlyphVectorPositions(paramSegment, paramGlyphVector, paramTabExpander, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void updateGlyphVectorPositions(Segment paramSegment, GlyphVector paramGlyphVector, TabExpander paramTabExpander, int paramInt) {
/* 813 */     Object object = null;
/* 814 */     double d1 = 0.0D;
/* 815 */     double d2 = 0.0D;
/* 816 */     float f = 0.0F;
/* 817 */     int i = paramGlyphVector.getNumGlyphs();
/* 818 */     byte b1 = 0;
/* 819 */     int j = 0;
/*     */ 
/*     */     
/* 822 */     if (paramTabExpander == null) {
/*     */       return;
/*     */     }
/* 825 */     for (byte b2 = 0; b2 < paramSegment.count; b2++) {
/*     */ 
/*     */       
/* 828 */       if (paramSegment.array[paramSegment.offset + b2] == '\t') {
/*     */ 
/*     */         
/* 831 */         for (byte b4 = b1; b4 < i; b4++) {
/*     */ 
/*     */           
/* 834 */           if ((j = paramGlyphVector.getGlyphCharIndex(b4)) == b2) {
/*     */             
/* 836 */             b1 = b4;
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 848 */         double d = paramGlyphVector.getGlyphPosition(b1).getX();
/*     */ 
/*     */         
/* 851 */         d2 = (f = paramTabExpander.nextTabStop((float)(paramInt + d), paramSegment.offset + j) - paramInt) - d;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 856 */         for (byte b3 = b1; b3 < i; b3++) {
/*     */           Point2D point2D;
/*     */           
/* 859 */           (point2D = paramGlyphVector.getGlyphPosition(b3)).setLocation(point2D.getX() + d2, point2D.getY());
/* 860 */           paramGlyphVector.setGlyphPosition(b3, point2D);
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static String a(GlyphVector paramGlyphVector) {
/* 879 */     int i = paramGlyphVector.getNumGlyphs();
/*     */ 
/*     */ 
/*     */     
/* 883 */     StringBuilder stringBuilder = new StringBuilder(i * 7);
/* 884 */     for (byte b = 0; b < i; b++) {
/*     */       
/* 886 */       if (b % 10 == 0) stringBuilder.append("\n     "); 
/* 887 */       stringBuilder.append(b + "[" + (int)paramGlyphVector.getGlyphPosition(b).getX() + "] ");
/*     */     } 
/* 889 */     stringBuilder.append("WIDTH[" + (int)paramGlyphVector.getGlyphPosition(i).getX() + "] ");
/*     */     
/* 891 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static String a(GlyphVector paramGlyphVector, Segment paramSegment) {
/* 902 */     Object object = null;
/*     */     
/* 904 */     int i = 0;
/* 905 */     int j = paramGlyphVector.getNumGlyphs();
/* 906 */     i = 0;
/*     */ 
/*     */     
/* 909 */     StringBuilder stringBuilder = new StringBuilder(j << 3);
/* 910 */     for (byte b = 0; b < j; b++) {
/*     */       String str;
/*     */ 
/*     */       
/* 914 */       i = paramGlyphVector.getGlyphCharIndex(b);
/*     */       
/* 916 */       if ((i = paramSegment.array[paramSegment.offset + i]) == 32) {
/*     */         
/* 918 */         str = "<space>";
/*     */       }
/* 920 */       else if (str == '\t') {
/*     */         
/* 922 */         str = "<tab>";
/*     */       }
/* 924 */       else if (str == '\n') {
/*     */         
/* 926 */         str = "<feed>";
/*     */       }
/*     */       else {
/*     */         
/* 930 */         str = Character.toString(str);
/*     */       } 
/*     */ 
/*     */       
/* 934 */       if (b % 10 == 0) stringBuilder.append("\n     "); 
/* 935 */       stringBuilder.append(b + "[" + (int)paramGlyphVector.getGlyphPosition(b).getX() + "]" + str + " ");
/*     */     } 
/*     */ 
/*     */     
/* 939 */     stringBuilder.append("WIDTH[" + (int)paramGlyphVector.getGlyphPosition(j).getX() + "] ");
/*     */     
/* 941 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static FontRenderContext a() {
/* 949 */     return d;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\PrintTextUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */