/*     */ package jpdf.printer.text;
/*     */ 
/*     */ import java.awt.Rectangle;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import javax.swing.text.BoxView;
/*     */ import javax.swing.text.CompositeView;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import javax.swing.text.Segment;
/*     */ import javax.swing.text.View;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ViewUtility
/*     */ {
/*     */   public static int getChildViewIndex(CompositeView paramCompositeView, View paramView) {
/*  41 */     byte b = -1;
/*  42 */     int i = 0;
/*     */     
/*  44 */     if (paramCompositeView != null) {
/*     */       
/*  46 */       i = paramCompositeView.getViewCount();
/*  47 */       for (byte b1 = 0; b1 < i; b1++) {
/*     */         
/*  49 */         if (paramCompositeView.getView(b1) == paramView) {
/*     */           
/*  51 */           b = b1;
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */     } 
/*  57 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static View getFollowingSiblingView(View paramView) {
/*  67 */     View view1 = null;
/*  68 */     View view2 = paramView.getParent();
/*  69 */     int i = 0;
/*     */     
/*  71 */     if (view2 != null && view2 instanceof CompositeView) {
/*     */       
/*  73 */       i = ((CompositeView)view2).getViewCount() - 1;
/*  74 */       for (byte b = 0; b < i; b++) {
/*     */         
/*  76 */         if (((CompositeView)view2).getView(b) == paramView) {
/*     */           
/*  78 */           view1 = ((CompositeView)view2).getView(b + 1);
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */     } 
/*  84 */     return view1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getLowestBottomCharOffset(JTextComponent paramJTextComponent, int paramInt1, int paramInt2) {
/*  96 */     Object object = null;
/*  97 */     Rectangle rectangle = paramJTextComponent.modelToView(paramInt2);
/*  98 */     boolean bool = false;
/*  99 */     int i = rectangle.y + rectangle.height - 1;
/* 100 */     int j = paramInt2;
/* 101 */     paramInt2--;
/*     */ 
/*     */     
/* 104 */     while (paramInt2 >= paramInt1) {
/*     */       int k;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       Rectangle rectangle1;
/*     */ 
/*     */ 
/*     */       
/* 114 */       if ((k = (rectangle1 = paramJTextComponent.modelToView(paramInt2)).y + rectangle1.height - 1) >= rectangle.y) {
/*     */ 
/*     */         
/* 117 */         if (k > i) {
/*     */           
/* 119 */           i = k;
/* 120 */           j = paramInt2;
/*     */         } 
/*     */         
/* 123 */         paramInt2--;
/*     */       } 
/*     */     } 
/* 126 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static View getPrecedingSiblingView(View paramView) {
/* 136 */     View view1 = null;
/* 137 */     View view2 = paramView.getParent();
/* 138 */     int i = 0;
/*     */     
/* 140 */     if (view2 != null && view2 instanceof CompositeView) {
/*     */       
/* 142 */       i = ((CompositeView)view2).getViewCount();
/* 143 */       for (byte b = 1; b < i; b++) {
/*     */         
/* 145 */         if (((CompositeView)view2).getView(b) == paramView) {
/*     */           
/* 147 */           view1 = ((CompositeView)view2).getView(b - 1);
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */     } 
/* 153 */     return view1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getViewText(View paramView) {
/*     */     Element element;
/* 163 */     Document document = (element = paramView.getElement()).getDocument();
/* 164 */     int j = paramView.getStartOffset();
/* 165 */     int i = paramView.getEndOffset();
/*     */     
/* 167 */     return document.getText(j, i - j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Segment loadViewText(BoxView paramBoxView, Document paramDocument, Segment paramSegment) {
/* 179 */     int j = paramBoxView.getStartOffset();
/*     */     
/* 181 */     int i, k = (i = paramBoxView.getEndOffset()) - j;
/*     */ 
/*     */     
/*     */     try {
/* 185 */       paramDocument.getText(j, k, paramSegment);
/*     */     }
/* 187 */     catch (BadLocationException badLocationException) {
/*     */       
/* 189 */       throw new BadRangeError("Can't get document text.", j, i);
/*     */     } 
/*     */ 
/*     */     
/* 193 */     return paramSegment;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\ViewUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */