/*     */ package jpdf.printer.text;
/*     */ 
/*     */ import java.awt.Font;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.util.ArrayList;
/*     */ import javax.swing.text.Segment;
/*     */ import javax.swing.text.TabExpander;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class WrapTextUtility
/*     */ {
/*     */   public static class LogicalLineInfoHolder
/*     */   {
/*  41 */     public Segment logicalLineSegment = new Segment();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  46 */     public int lineWidth = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean lastLogicalLine = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private LogicalLineInfoHolder(char[] param1ArrayOfchar, int param1Int, int[] param1ArrayOfint) {
/*  64 */       this.logicalLineSegment.array = param1ArrayOfchar;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  70 */       this.logicalLineSegment.offset = 0;
/*  71 */       this.logicalLineSegment.count = 0;
/*  72 */       this.lineWidth = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  77 */       this.logicalLineSegment.offset = param1Int;
/*  78 */       this.logicalLineSegment.count = param1ArrayOfint[0] - param1Int + 1;
/*  79 */       this.lineWidth = param1ArrayOfint[1];
/*     */ 
/*     */       
/*  82 */       param1Int = this.logicalLineSegment.offset + this.logicalLineSegment.count - 1;
/*  83 */       this.lastLogicalLine = (param1ArrayOfchar.length == 0) ? true : ((param1Int >= param1ArrayOfchar.length - 1));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public LogicalLineInfoHolder() {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void breakString(Font paramFont, char[] paramArrayOfchar, TabExpander paramTabExpander, int paramInt, ArrayList<LogicalLineInfoHolder> paramArrayList, boolean paramBoolean) {
/* 116 */     Object object = null;
/* 117 */     GlyphVectorFactory glyphVectorFactory = PrintTextUtility.getDefaultGlyphVectorFactory();
/* 118 */     object = null;
/* 119 */     int[] arrayOfInt = null;
/*     */     
/* 121 */     boolean bool = false;
/* 122 */     bool = false;
/*     */ 
/*     */     
/* 125 */     Segment segment = new Segment(paramArrayOfchar, 0, paramArrayOfchar.length);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 131 */     GlyphVector glyphVector = glyphVectorFactory.createGlyphVector(paramFont, segment, paramTabExpander, paramBoolean);
/*     */     
/* 133 */     arrayOfInt = getBreakOffsetAndLineWidth(segment, glyphVector, paramInt);
/*     */     
/* 135 */     LogicalLineInfoHolder logicalLineInfoHolder = new LogicalLineInfoHolder(paramArrayOfchar, segment.offset, arrayOfInt, (byte)0);
/*     */     
/* 137 */     paramArrayList.add(logicalLineInfoHolder);
/*     */     
/*     */     int i;
/*     */     
/* 141 */     while ((i = arrayOfInt[0]) < paramArrayOfchar.length - 1) {
/*     */ 
/*     */       
/* 144 */       segment.offset = i + 1;
/* 145 */       segment.count = paramArrayOfchar.length - segment.offset;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 150 */       i = 0;
/* 151 */       for (byte b = 0; b < segment.count;) {
/*     */         
/* 153 */         if (segment.array[segment.offset + b] == ' ') {
/* 154 */           i++; b++;
/*     */         } 
/* 156 */       }  segment.offset += i;
/* 157 */       segment.count -= i;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int findBreakOffset(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt) {
/* 173 */     return paramSegment.offset + PrintTextUtility.findBreakIndex(paramSegment, paramGlyphVector, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getBreakOffsetAndLineWidth(Segment paramSegment, GlyphVector paramGlyphVector, int paramInt) {
/* 189 */     int[] arrayOfInt = new int[2];
/* 190 */     int i = 0;
/* 191 */     if (paramSegment.count == 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 198 */       arrayOfInt[0] = paramSegment.offset;
/* 199 */       arrayOfInt[1] = 0;
/* 200 */       return arrayOfInt;
/*     */     } 
/*     */ 
/*     */     
/* 204 */     arrayOfInt[0] = findBreakOffset(paramSegment, paramGlyphVector, paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 209 */     for (i = paramInt = arrayOfInt[0]; i >= paramSegment.offset;) {
/*     */       
/* 211 */       if (PrintTextUtility.isSpaceChar(paramSegment.array[i])) {
/*     */         
/* 213 */         paramInt--;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         i--;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 225 */     if (paramInt < 0)
/*     */     {
/* 227 */       paramInt = arrayOfInt[0];
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 233 */     if ((paramInt = paramInt - paramSegment.offset) >= paramSegment.count - 1) {
/*     */       
/* 235 */       arrayOfInt[1] = PrintTextUtility.getGlyphVectorVisibleWidth(paramGlyphVector);
/*     */     }
/*     */     else {
/*     */       
/* 239 */       i = PrintTextUtility.getLastGlyphIndexForChar(paramGlyphVector, paramInt);
/* 240 */       arrayOfInt[1] = PrintTextUtility.getGlyphEndX(paramGlyphVector, i);
/*     */     } 
/*     */     
/* 243 */     return arrayOfInt;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\WrapTextUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */