/*     */ package jpdf.report;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.attribute.SizeToFitPageWidth;
/*     */ import jpdf.report.decoration.ReportDecoration;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractSectionOptions
/*     */ {
/*     */   public static final int DEFAULT_START_NEW_PAGE_HEIGHT = 144;
/*     */   private static final PrintRequestAttributeSet a;
/*     */   private final PrintRequestAttributeSet b;
/*     */   
/*     */   static {
/*     */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet;
/*  71 */     (hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet()).add((Attribute)SizeToFitPageWidth.TRUE); a = hashPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   private ReportDecorationBuilder c = null;
/*  80 */   private ReportDecorationBuilder d = null;
/*  81 */   private String e = null;
/*  82 */   private int f = 144;
/*  83 */   private int g = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  98 */     this.b = paramPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString) {
/* 111 */     this.b = paramPrintRequestAttributeSet;
/* 112 */     setSectionHeaderTitle(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, String paramString1, String paramString2) {
/* 126 */     this.b = paramPrintRequestAttributeSet;
/* 127 */     setSectionHeaderTitle(paramString1);
/* 128 */     setSectionFooterTitle(paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, ReportDecorationBuilder paramReportDecorationBuilder1, ReportDecorationBuilder paramReportDecorationBuilder2) {
/* 143 */     this.b = paramPrintRequestAttributeSet;
/* 144 */     setSectionHeaderBuilder(paramReportDecorationBuilder1);
/* 145 */     setSectionFooterBuilder(paramReportDecorationBuilder2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String computeContentComponentName(JComponent paramJComponent) {
/*     */     String str;
/* 175 */     if ((str = paramJComponent.getName()) != null) return str;
/*     */ 
/*     */ 
/*     */     
/* 179 */     if ((str = getContentName()) != null) return str;
/*     */ 
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder;
/* 183 */     if (reportDecorationBuilder = getSectionHeaderBuilder() instanceof TitleDecorationBuilder) {
/*     */       String str1;
/*     */       
/* 186 */       return str1 = ((TitleDecorationBuilder)reportDecorationBuilder).getTitleText();
/*     */     } 
/*     */     
/* 189 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getComponentCount() {
/* 200 */     return this.g;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContentName() {
/* 208 */     return this.e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttributeSet getPrintAttributeSet() {
/* 218 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReportDecorationBuilder getSectionFooterBuilder() {
/* 226 */     return this.d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReportDecorationBuilder getSectionHeaderBuilder() {
/* 234 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSectionStartNewPageHeight() {
/* 249 */     return this.f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isDecorationPanel(JComponent paramJComponent) {
/* 259 */     return (paramJComponent instanceof ReportDecoration && paramJComponent instanceof javax.swing.JPanel);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setContentName(String paramString) {
/* 268 */     this.e = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSectionFooterBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/* 276 */     this.d = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSectionFooterTitle(String paramString) {
/* 284 */     TitleOptions titleOptions = null;
/* 285 */     titleOptions = null;
/*     */     
/* 287 */     if (paramString == null) {
/*     */       
/* 289 */       setSectionFooterBuilder(null);
/*     */       
/*     */       return;
/*     */     } 
/* 293 */     titleOptions = ReportStandardizer.getSectionFooterTitleOptions();
/* 294 */     TitleDecorationBuilder titleDecorationBuilder = new TitleDecorationBuilder(false, paramString, titleOptions);
/* 295 */     setSectionFooterBuilder((ReportDecorationBuilder)titleDecorationBuilder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSectionHeaderBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/* 304 */     this.c = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSectionHeaderTitle(String paramString) {
/* 312 */     TitleOptions titleOptions = null;
/* 313 */     titleOptions = null;
/*     */     
/* 315 */     if (paramString == null) {
/*     */       
/* 317 */       setSectionHeaderBuilder(null);
/*     */       
/*     */       return;
/*     */     } 
/* 321 */     titleOptions = ReportStandardizer.getSectionHeaderTitleOptions();
/* 322 */     TitleDecorationBuilder titleDecorationBuilder = new TitleDecorationBuilder(true, paramString, titleOptions);
/* 323 */     setSectionHeaderBuilder((ReportDecorationBuilder)titleDecorationBuilder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSectionStartNewPageHeight(int paramInt) {
/* 350 */     this.f = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/*     */     String str;
/* 361 */     if ((str = getContentName()) == null) return getClass().getName();
/*     */     
/* 363 */     return getClass().getName() + "[contentName='" + str + "']";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int addSectionComponents(ArrayList<JComponent> paramArrayList, JComponent paramJComponent) {
/* 382 */     ReportDecorationBuilder reportDecorationBuilder = null;
/*     */     
/* 384 */     int j = paramArrayList.size();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 389 */     if ((reportDecorationBuilder = getSectionHeaderBuilder()) != null) {
/*     */       
/* 391 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramJComponent);
/*     */       
/* 393 */       paramArrayList.add(j, jComponent);
/*     */     } 
/*     */ 
/*     */     
/* 397 */     paramArrayList.add(paramJComponent);
/*     */ 
/*     */ 
/*     */     
/* 401 */     if ((reportDecorationBuilder = getSectionFooterBuilder()) != null) {
/*     */       
/* 403 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramJComponent);
/*     */       
/* 405 */       paramArrayList.add(jComponent);
/*     */     } 
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 411 */     return i = paramArrayList.size() - j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int addSectionComponents(ArrayList<JComponent> paramArrayList, JComponent[] paramArrayOfJComponent) {
/* 424 */     ReportDecorationBuilder reportDecorationBuilder2 = null;
/*     */     
/* 426 */     int j = paramArrayList.size();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 431 */     if ((reportDecorationBuilder2 = getSectionHeaderBuilder()) != null) {
/*     */       
/* 433 */       JComponent jComponent = reportDecorationBuilder2.buildDecorationComponent(paramArrayList, null);
/*     */       
/* 435 */       paramArrayList.add(j, jComponent);
/*     */     } 
/*     */ 
/*     */     
/* 439 */     for (byte b = 0; b < paramArrayOfJComponent.length; b++)
/*     */     {
/* 441 */       paramArrayList.add(paramArrayOfJComponent[b]);
/*     */     }
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder1;
/*     */     
/* 446 */     if ((reportDecorationBuilder1 = getSectionFooterBuilder()) != null) {
/*     */       
/* 448 */       JComponent jComponent = reportDecorationBuilder1.buildDecorationComponent(paramArrayList, null);
/*     */       
/* 450 */       paramArrayList.add(jComponent);
/*     */     } 
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 456 */     return i = paramArrayList.size() - j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintRequestAttributeSet getPrintAttributeSet(JComponent paramJComponent) {
/* 478 */     if (isDecorationPanel(paramJComponent)) return a;
/*     */     
/* 480 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int getStartNewPageHeight(JComponent[] paramArrayOfJComponent, int paramInt1, int paramInt2) {
/* 501 */     ReportDecoration reportDecoration = null;
/* 502 */     JComponent jComponent = paramArrayOfJComponent[paramInt1];
/* 503 */     if (paramInt1 == paramInt2)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 509 */       return getSectionStartNewPageHeight();
/*     */     }
/*     */ 
/*     */     
/* 513 */     if (jComponent instanceof ReportDecoration) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 518 */       if ((reportDecoration = (ReportDecoration)jComponent).isHeader())
/*     */       {
/* 520 */         paramInt2 = 108;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 528 */       else if (jComponent instanceof javax.swing.JPanel)
/*     */       {
/* 530 */         paramInt2 = -91;
/*     */       }
/*     */       else
/*     */       {
/* 534 */         paramInt2 = 36;
/*     */       
/*     */       }
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 543 */       paramInt2 = 72;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 548 */       if (paramArrayOfJComponent[paramInt1 - 1] instanceof ReportDecoration)
/*     */       {
/*     */         
/* 551 */         if ((reportDecoration = (ReportDecoration)paramArrayOfJComponent[paramInt1 - 1]).isHeader())
/*     */         {
/* 553 */           paramInt2 = 36;
/*     */         }
/*     */       }
/*     */     } 
/*     */     
/* 558 */     return paramInt2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(int paramInt) {
/* 571 */     this.g = paramInt;
/*     */   }
/*     */   
/*     */   public abstract int addSectionComponents(ArrayList paramArrayList);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\AbstractSectionOptions.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */