/*     */ package jpdf.report;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.ability.PrintAttributeSetGettable;
/*     */ import jpdf.diagnostics.JpdfException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReportFactory
/*     */ {
/*     */   public static ReportPrinter createReportPrinter(String paramString, AbstractSectionOptions paramAbstractSectionOptions) {
/*     */     AbstractSectionOptions[] arrayOfAbstractSectionOptions;
/*  56 */     (arrayOfAbstractSectionOptions = new AbstractSectionOptions[1])[0] = paramAbstractSectionOptions;
/*     */     
/*  58 */     return createReportPrinter(new ReportOptions(paramString), arrayOfAbstractSectionOptions, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ReportPrinter createReportPrinter(ReportOptions paramReportOptions, AbstractSectionOptions paramAbstractSectionOptions) {
/*     */     AbstractSectionOptions[] arrayOfAbstractSectionOptions;
/*  70 */     (arrayOfAbstractSectionOptions = new AbstractSectionOptions[1])[0] = paramAbstractSectionOptions;
/*     */     
/*  72 */     return createReportPrinter(paramReportOptions, arrayOfAbstractSectionOptions, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ReportPrinter createReportPrinter(String paramString, AbstractSectionOptions[] paramArrayOfAbstractSectionOptions, int paramInt) {
/*  86 */     return createReportPrinter(new ReportOptions(paramString), paramArrayOfAbstractSectionOptions, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ReportPrinter createReportPrinter(ReportSpecification paramReportSpecification) {
/*  99 */     return createReportPrinter(paramReportSpecification.REPORT_OPTIONS, paramReportSpecification.SECTION_OPTIONS_LIST, paramReportSpecification.PRIMARY_SECTION_INDEX);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ReportPrinter createReportPrinter(ReportOptions paramReportOptions, ArrayList paramArrayList, int paramInt) {
/* 116 */     AbstractSectionOptions[] arrayOfAbstractSectionOptions = (AbstractSectionOptions[])paramArrayList.toArray((Object[])new AbstractSectionOptions[0]);
/*     */ 
/*     */ 
/*     */     
/* 120 */     return createReportPrinter(paramReportOptions, arrayOfAbstractSectionOptions, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ReportPrinter createReportPrinter(ReportOptions paramReportOptions, AbstractSectionOptions[] paramArrayOfAbstractSectionOptions, int paramInt) {
/*     */     String str;
/*     */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet;
/*     */     JComponent[] arrayOfJComponent;
/* 134 */     if (paramInt >= paramArrayOfAbstractSectionOptions.length) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 143 */       str = "Invalid Primary Section Index: " + paramInt + ".\nMust not exceed the index of the last section (" + (paramArrayOfAbstractSectionOptions.length - 1) + ").";
/*     */ 
/*     */       
/* 146 */       throw new ReportException(paramReportOptions.REPORT_TITLE, str);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 152 */       arrayOfJComponent = a((AbstractSectionOptions[])str);
/*     */     }
/* 154 */     catch (JpdfException jpdfException) {
/*     */       
/* 156 */       throw new ReportException(paramReportOptions.REPORT_TITLE, "Report Printer creation failed.", jpdfException);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 161 */     if (arrayOfJComponent.length > 0) {
/*     */       
/* 163 */       arrayOfPrintRequestAttributeSet = a((AbstractSectionOptions[])str, arrayOfJComponent);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 170 */       arrayOfJComponent = new JComponent[] { paramReportOptions.buildEmptyReportComponent() };
/*     */ 
/*     */ 
/*     */       
/* 174 */       PrintRequestAttributeSet printRequestAttributeSet = str[paramInt].getPrintAttributeSet();
/*     */       
/* 176 */       paramReportOptions.populateEmptyAttributeSet(printRequestAttributeSet);
/* 177 */       arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[] { printRequestAttributeSet };
/*     */     } 
/*     */ 
/*     */     
/* 181 */     paramInt = a((AbstractSectionOptions[])str, arrayOfJComponent, paramInt);
/*     */ 
/*     */     
/*     */     ReportPrinter reportPrinter;
/*     */     
/* 186 */     return reportPrinter = new ReportPrinter(paramReportOptions, (AbstractSectionOptions[])str, arrayOfJComponent, paramInt, arrayOfPrintRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static PrintRequestAttributeSet[] a(AbstractSectionOptions[] paramArrayOfAbstractSectionOptions, JComponent[] paramArrayOfJComponent) {
/* 202 */     AbstractSectionOptions abstractSectionOptions = null;
/*     */     
/* 204 */     JComponent jComponent = null;
/* 205 */     int i = 0;
/* 206 */     byte b1 = 0;
/* 207 */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[paramArrayOfJComponent.length];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 213 */     for (byte b2 = 0; b2 < paramArrayOfAbstractSectionOptions.length; b2++) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 219 */       i = (abstractSectionOptions = paramArrayOfAbstractSectionOptions[b2]).getComponentCount();
/*     */ 
/*     */       
/* 222 */       for (byte b = 0; b < i; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 227 */         if (jComponent = paramArrayOfJComponent[b1] instanceof PrintAttributeSetGettable) {
/*     */           
/* 229 */           arrayOfPrintRequestAttributeSet[b1] = ((PrintAttributeSetGettable)jComponent).getPrintAttributeSet();
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 236 */           arrayOfPrintRequestAttributeSet[b1] = abstractSectionOptions.getPrintAttributeSet(jComponent);
/*     */         } 
/*     */         
/* 239 */         b1++;
/*     */       } 
/*     */     } 
/*     */     
/* 243 */     return arrayOfPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JComponent[] a(AbstractSectionOptions[] paramArrayOfAbstractSectionOptions) {
/* 253 */     AbstractSectionOptions abstractSectionOptions = null;
/* 254 */     int j = 0;
/*     */ 
/*     */ 
/*     */     
/* 258 */     ArrayList arrayList = new ArrayList(3 * paramArrayOfAbstractSectionOptions.length);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 265 */     for (byte b = 0; b < paramArrayOfAbstractSectionOptions.length; b++) {
/*     */ 
/*     */       
/* 268 */       abstractSectionOptions = paramArrayOfAbstractSectionOptions[b];
/*     */       
/*     */       try {
/* 271 */         j = abstractSectionOptions.addSectionComponents(arrayList);
/*     */       }
/* 273 */       catch (JpdfException jpdfException) {
/*     */         
/* 275 */         String str = "An error occured while building a Report Section (index=" + b + ").";
/*     */         
/* 277 */         throw new ReportSectionBuildException(abstractSectionOptions, b, str, jpdfException);
/*     */       
/*     */       }
/* 280 */       catch (Throwable throwable) {
/*     */         
/* 282 */         String str = "An unexpected exception occured while building a Report Section (index=" + b + ").";
/*     */         
/* 284 */         throw new ReportSectionBuildException(abstractSectionOptions, b, str, throwable);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 289 */       abstractSectionOptions.a(j);
/*     */     } 
/*     */ 
/*     */     
/* 293 */     int i = throwable.size();
/*     */     
/*     */     JComponent[] arrayOfJComponent;
/* 296 */     return arrayOfJComponent = (JComponent[])throwable.toArray((Object[])new JComponent[i]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int a(AbstractSectionOptions[] paramArrayOfAbstractSectionOptions, JComponent[] paramArrayOfJComponent, int paramInt) {
/* 307 */     int i = 0;
/*     */ 
/*     */     
/* 310 */     for (byte b = 0; b < paramArrayOfAbstractSectionOptions.length; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 316 */       if (b == paramInt)
/*     */       {
/* 318 */         for (int j = i; j < paramArrayOfJComponent.length; j++) {
/*     */           
/* 320 */           if (!(paramArrayOfJComponent[j] instanceof jpdf.report.decoration.ReportDecoration))
/* 321 */             return j; 
/*     */         } 
/*     */       }
/* 324 */       i += paramArrayOfAbstractSectionOptions[b].getComponentCount();
/*     */     } 
/*     */     
/* 327 */     return 0;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\ReportFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */