/*     */ package jpdf.report.border;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Insets;
/*     */ import javax.swing.border.AbstractBorder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractStrokeBorder
/*     */   extends AbstractBorder
/*     */ {
/*     */   protected final BasicStroke BORDER_STROKE;
/*     */   protected final Color BORDER_COLOR;
/*     */   protected final int BORDER_THICKNESS;
/*     */   private final float FLOAT_BORDER_THICKNESS;
/*     */   private final float HALF_BORDER_THICKNESS;
/*     */   
/*     */   public AbstractStrokeBorder(float paramFloat, Color paramColor) {
/*  53 */     this(createLineStroke(paramFloat), paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractStrokeBorder(BasicStroke paramBasicStroke, Color paramColor) {
/*  60 */     this.BORDER_STROKE = paramBasicStroke;
/*  61 */     this.BORDER_COLOR = paramColor;
/*  62 */     this.FLOAT_BORDER_THICKNESS = paramBasicStroke.getLineWidth();
/*  63 */     this.HALF_BORDER_THICKNESS = this.FLOAT_BORDER_THICKNESS / 2.0F;
/*  64 */     this.BORDER_THICKNESS = (int)(this.FLOAT_BORDER_THICKNESS + 0.9F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BasicStroke createDashedStroke(float paramFloat) {
/*  78 */     float f = 5.0F * paramFloat;
/*     */     
/*  80 */     return createDashedStroke(paramFloat, new float[] { f, f });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BasicStroke createDashedStroke(float paramFloat, float[] paramArrayOffloat) {
/*  91 */     return new BasicStroke(paramFloat, 0, 0, 10.0F, paramArrayOffloat, 0.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BasicStroke createDottedStroke(float paramFloat) {
/* 101 */     float[] arrayOfFloat = { paramFloat, paramFloat };
/*     */     
/* 103 */     return createDashedStroke(paramFloat, arrayOfFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static BasicStroke createLineStroke(float paramFloat) {
/* 112 */     return new BasicStroke(paramFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent) {
/* 121 */     return new Insets(this.BORDER_THICKNESS, this.BORDER_THICKNESS, this.BORDER_THICKNESS, this.BORDER_THICKNESS);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent, Insets paramInsets) {
/* 131 */     paramInsets.left = paramInsets.top = paramInsets.right = paramInsets.bottom = this.BORDER_THICKNESS;
/*     */     
/* 133 */     return paramInsets;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final float a(int paramInt) {
/* 146 */     return paramInt - this.FLOAT_BORDER_THICKNESS;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final float b(int paramInt) {
/* 154 */     return paramInt - this.FLOAT_BORDER_THICKNESS;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final float c(int paramInt) {
/* 162 */     return paramInt + this.HALF_BORDER_THICKNESS;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final float d(int paramInt) {
/* 170 */     return paramInt + this.HALF_BORDER_THICKNESS;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\border\AbstractStrokeBorder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */