/*     */ package jpdf.report.border;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Font;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Insets;
/*     */ import java.awt.font.GlyphVector;
/*     */ import javax.swing.border.AbstractBorder;
/*     */ import jpdf.printer.text.GlyphVectorFactory;
/*     */ import jpdf.printer.text.PrintTextUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintableTitledBorder
/*     */   extends AbstractBorder
/*     */ {
/*     */   private final AbstractBorder TITLE_BORDER;
/*     */   private final GlyphVector TITLE_GLYPH_VECTOR;
/*     */   private final Color TITLE_COLOR;
/*     */   private final int TITLE_FONT_SIZE;
/*     */   private final int HALF_TITLE_FONT_SIZE;
/*     */   private final int TITLE_WIDTH;
/*     */   
/*     */   public PrintableTitledBorder(String paramString, AbstractBorder paramAbstractBorder, Font paramFont, Color paramColor) {
/*  52 */     GlyphVectorFactory glyphVectorFactory = PrintTextUtility.getPreviewGlyphVectorFactory();
/*     */     
/*  54 */     this.TITLE_BORDER = paramAbstractBorder;
/*  55 */     this.TITLE_GLYPH_VECTOR = glyphVectorFactory.createGlyphVector(paramFont, paramString, true);
/*  56 */     this.TITLE_COLOR = paramColor;
/*  57 */     this.TITLE_FONT_SIZE = paramFont.getSize();
/*  58 */     this.HALF_TITLE_FONT_SIZE = (int)(this.TITLE_FONT_SIZE / 2.0F + 0.5F);
/*  59 */     this.TITLE_WIDTH = PrintTextUtility.getGlyphVectorVisibleWidth(this.TITLE_GLYPH_VECTOR);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paintBorder(Component paramComponent, Graphics paramGraphics, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  74 */     Color color = paramGraphics.getColor();
/*     */ 
/*     */     
/*  77 */     paramInt2 += this.HALF_TITLE_FONT_SIZE;
/*  78 */     paramInt4 -= this.HALF_TITLE_FONT_SIZE;
/*  79 */     this.TITLE_BORDER.paintBorder(paramComponent, paramGraphics, paramInt1, paramInt2, paramInt3, paramInt4);
/*     */ 
/*     */     
/*  82 */     paramInt1 += 15;
/*  83 */     paramInt2 -= this.HALF_TITLE_FONT_SIZE;
/*  84 */     paramGraphics.setColor(Color.WHITE);
/*  85 */     paramGraphics.fillRect(paramInt1, paramInt2, this.TITLE_WIDTH + 10, this.TITLE_FONT_SIZE + 1);
/*     */ 
/*     */     
/*  88 */     paramInt1 += 5;
/*  89 */     paramInt2 += this.TITLE_FONT_SIZE - 2;
/*  90 */     paramGraphics.setColor(this.TITLE_COLOR);
/*  91 */     PrintTextUtility.drawGlyphVector(this.TITLE_GLYPH_VECTOR, paramInt1, paramInt2, paramGraphics);
/*     */ 
/*     */     
/*  94 */     paramGraphics.setColor(color);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent) {
/*     */     Insets insets;
/* 105 */     (insets = this.TITLE_BORDER.getBorderInsets(paramComponent)).top = this.TITLE_FONT_SIZE + 4;
/*     */     
/* 107 */     return insets;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent, Insets paramInsets) {
/* 117 */     (paramInsets = this.TITLE_BORDER.getBorderInsets(paramComponent, paramInsets)).top = this.TITLE_FONT_SIZE + 4;
/*     */     
/* 119 */     return paramInsets;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\border\PrintableTitledBorder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */