/*     */ package jpdf.report.border;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Stroke;
/*     */ import java.awt.geom.Line2D;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.border.Border;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SideStrokeBorder
/*     */   extends AbstractStrokeBorder
/*     */ {
/*     */   private final boolean ON_TOP;
/*     */   private final boolean ON_LEFT;
/*     */   private final boolean ON_BOTTOM;
/*     */   private final boolean ON_RIGHT;
/*  36 */   private Line2D.Float line2D = new Line2D.Float();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder() {
/*  49 */     this(new BasicStroke(), Color.BLACK, false, false, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(float paramFloat) {
/*  58 */     this(new BasicStroke(paramFloat), Color.BLACK, false, false, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(float paramFloat, Color paramColor) {
/*  68 */     this(new BasicStroke(paramFloat), paramColor, false, false, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(float paramFloat, Color paramColor, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) {
/*  80 */     this(new BasicStroke(paramFloat), paramColor, paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(BasicStroke paramBasicStroke) {
/*  89 */     this(paramBasicStroke, Color.BLACK, false, false, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(BasicStroke paramBasicStroke, Color paramColor) {
/*  97 */     this(paramBasicStroke, paramColor, false, false, true, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(float paramFloat, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) {
/* 107 */     this(new BasicStroke(paramFloat), Color.BLACK);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SideStrokeBorder(BasicStroke paramBasicStroke, Color paramColor, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) {
/* 118 */     super(paramBasicStroke, paramColor);
/*     */     
/* 120 */     this.ON_TOP = paramBoolean1;
/* 121 */     this.ON_LEFT = paramBoolean2;
/* 122 */     this.ON_BOTTOM = paramBoolean3;
/* 123 */     this.ON_RIGHT = paramBoolean4;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Border buildDoubleStrokeBorder(float paramFloat, Color paramColor, int paramInt, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) {
/* 143 */     SideStrokeBorder sideStrokeBorder = new SideStrokeBorder(paramFloat, paramColor, paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 149 */     Border border = BorderFactory.createEmptyBorder(paramBoolean1 ? paramInt : 0, paramBoolean2 ? paramInt : 0, paramBoolean3 ? paramInt : 0, paramBoolean4 ? paramInt : 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 156 */     return border = BorderFactory.createCompoundBorder(border = BorderFactory.createCompoundBorder(sideStrokeBorder, border), sideStrokeBorder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent) {
/* 165 */     boolean bool1 = this.ON_TOP ? this.BORDER_THICKNESS : false;
/* 166 */     boolean bool2 = this.ON_LEFT ? this.BORDER_THICKNESS : false;
/* 167 */     boolean bool3 = this.ON_BOTTOM ? this.BORDER_THICKNESS : false;
/* 168 */     boolean bool4 = this.ON_RIGHT ? this.BORDER_THICKNESS : false;
/*     */     
/* 170 */     return new Insets(bool1, bool2, bool3, bool4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent, Insets paramInsets) {
/* 180 */     paramInsets.top = this.ON_TOP ? this.BORDER_THICKNESS : 0;
/* 181 */     paramInsets.left = this.ON_LEFT ? this.BORDER_THICKNESS : 0;
/* 182 */     paramInsets.bottom = this.ON_BOTTOM ? this.BORDER_THICKNESS : 0;
/* 183 */     paramInsets.right = this.ON_RIGHT ? this.BORDER_THICKNESS : 0;
/*     */     
/* 185 */     return paramInsets;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paintBorder(Component paramComponent, Graphics paramGraphics, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*     */     Graphics2D graphics2D;
/* 196 */     Stroke stroke = (graphics2D = (Graphics2D)paramGraphics).getStroke();
/* 197 */     Color color = graphics2D.getColor();
/*     */     
/* 199 */     float f1, f3 = (f1 = c(paramInt1)) + a(paramInt3);
/*     */     
/* 201 */     float f2, f4 = (f2 = d(paramInt2)) + b(paramInt4);
/*     */ 
/*     */     
/* 204 */     graphics2D.setColor(this.BORDER_COLOR);
/* 205 */     graphics2D.setStroke(this.BORDER_STROKE);
/* 206 */     if (this.ON_TOP) {
/*     */       
/* 208 */       this.line2D.x1 = f1;
/* 209 */       this.line2D.y1 = f2;
/* 210 */       this.line2D.x2 = f3;
/* 211 */       this.line2D.y2 = f2;
/* 212 */       graphics2D.draw(this.line2D);
/*     */     } 
/* 214 */     if (this.ON_LEFT) {
/*     */       
/* 216 */       this.line2D.x1 = f1;
/* 217 */       this.line2D.y1 = f2;
/* 218 */       this.line2D.x2 = f1;
/* 219 */       this.line2D.y2 = f4;
/* 220 */       graphics2D.draw(this.line2D);
/*     */     } 
/* 222 */     if (this.ON_BOTTOM) {
/*     */       
/* 224 */       this.line2D.x1 = f1;
/* 225 */       this.line2D.y1 = f4;
/* 226 */       this.line2D.x2 = f3;
/* 227 */       this.line2D.y2 = f4;
/* 228 */       graphics2D.draw(this.line2D);
/*     */     } 
/* 230 */     if (this.ON_RIGHT) {
/*     */       
/* 232 */       this.line2D.x1 = f3;
/* 233 */       this.line2D.y1 = f2;
/* 234 */       this.line2D.x2 = f3;
/* 235 */       this.line2D.y2 = f4;
/* 236 */       graphics2D.draw(this.line2D);
/*     */     } 
/*     */ 
/*     */     
/* 240 */     graphics2D.setColor(color);
/* 241 */     graphics2D.setStroke(stroke);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\border\SideStrokeBorder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */