/*     */ package jpdf.report.border;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Stroke;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TwoStrokeBorder
/*     */   extends AbstractStrokeBorder
/*     */ {
/*     */   private final int BORDER_SIDE;
/*     */   
/*     */   public TwoStrokeBorder() {
/*  42 */     this(Color.BLACK, 1, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TwoStrokeBorder(int paramInt) {
/*  51 */     this(Color.BLACK, paramInt, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TwoStrokeBorder(int paramInt1, int paramInt2) {
/*  62 */     this(Color.BLACK, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TwoStrokeBorder(Color paramColor, int paramInt) {
/*  71 */     this(paramColor, paramInt, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TwoStrokeBorder(Color paramColor, int paramInt1, int paramInt2) {
/*  82 */     super(paramInt1, paramColor);
/*     */     
/*  84 */     if (paramInt2 != 1 && paramInt2 != 2 && paramInt2 != 3 && paramInt2 != 4) {
/*     */ 
/*     */       
/*  87 */       String str = "The Side must be one of: SwingConstants.TOP, SwingConstants.LEFT, SwingConstants.BOTTOM, or SwingConstants.RIGHT.";
/*     */       
/*  89 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  92 */     this.BORDER_SIDE = paramInt2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paintBorder(Component paramComponent, Graphics paramGraphics, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*     */     Graphics2D graphics2D;
/* 108 */     Stroke stroke = (graphics2D = (Graphics2D)paramGraphics).getStroke();
/* 109 */     Color color = graphics2D.getColor();
/* 110 */     paramGraphics.setColor(this.BORDER_COLOR);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 117 */     graphics2D.setStroke(this.BORDER_STROKE);
/*     */ 
/*     */     
/* 120 */     if (this.BORDER_SIDE == 1) {
/*     */       
/* 122 */       int i = paramInt1 + 1;
/* 123 */       paramInt1 = paramInt1 + paramInt3 - 2;
/* 124 */       paramInt3 = paramInt2 + 1;
/* 125 */       graphics2D.drawLine(i, paramInt3, paramInt1, paramInt3);
/* 126 */       paramInt2 = paramInt3 + (this.BORDER_THICKNESS << 1);
/* 127 */       graphics2D.drawLine(i, paramInt2, paramInt1, paramInt2);
/*     */     }
/* 129 */     else if (this.BORDER_SIDE == 3) {
/*     */       
/* 131 */       int i = paramInt1 + 1;
/* 132 */       paramInt1 = paramInt1 + paramInt3 - 2;
/* 133 */       paramInt3 = paramInt2 + paramInt4 - this.BORDER_THICKNESS * 3;
/* 134 */       graphics2D.drawLine(i, paramInt3, paramInt1, paramInt3);
/* 135 */       paramInt2 = paramInt3 + (this.BORDER_THICKNESS << 1);
/* 136 */       graphics2D.drawLine(i, paramInt2, paramInt1, paramInt2);
/*     */     }
/* 138 */     else if (this.BORDER_SIDE == 2) {
/*     */       
/* 140 */       int i = paramInt1 + 1;
/* 141 */       paramInt3 = paramInt2 + 1;
/* 142 */       paramInt2 = paramInt2 + paramInt4 - 2;
/* 143 */       graphics2D.drawLine(i, paramInt3, i, paramInt2);
/* 144 */       paramInt1 = i + (this.BORDER_THICKNESS << 1);
/* 145 */       graphics2D.drawLine(paramInt1, paramInt3, paramInt1, paramInt2);
/*     */     }
/*     */     else {
/*     */       
/* 149 */       int i = paramInt1 + paramInt3 - this.BORDER_THICKNESS * 3;
/* 150 */       paramInt3 = paramInt2 + 1;
/* 151 */       paramInt2 = paramInt2 + paramInt4 - 2;
/* 152 */       graphics2D.drawLine(i, paramInt3, i, paramInt2);
/* 153 */       paramInt1 = i + (this.BORDER_THICKNESS << 1);
/* 154 */       graphics2D.drawLine(paramInt1, paramInt3, paramInt1, paramInt2);
/*     */     } 
/*     */ 
/*     */     
/* 158 */     graphics2D.setColor(color);
/* 159 */     graphics2D.setStroke(stroke);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent) {
/* 169 */     return getBorderInsets(paramComponent, new Insets(0, 0, 0, 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Insets getBorderInsets(Component paramComponent, Insets paramInsets) {
/* 178 */     int i = 3 * this.BORDER_THICKNESS;
/*     */     
/* 180 */     paramInsets.top = paramInsets.left = paramInsets.right = paramInsets.bottom = 0;
/*     */     
/* 182 */     if (this.BORDER_SIDE == 1) {
/*     */       
/* 184 */       paramInsets.top = i;
/*     */     }
/* 186 */     else if (this.BORDER_SIDE == 3) {
/*     */       
/* 188 */       paramInsets.bottom = i;
/*     */     }
/* 190 */     else if (this.BORDER_SIDE == 1) {
/*     */       
/* 192 */       paramInsets.left = i;
/*     */     }
/*     */     else {
/*     */       
/* 196 */       paramInsets.right = i;
/*     */     } 
/*     */     
/* 199 */     return paramInsets;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\border\TwoStrokeBorder.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */