/*     */ package jpdf.report.form;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DoubleDividerPanel
/*     */   extends FormPanel
/*     */ {
/*     */   private final BasicStroke STROKE_1;
/*     */   private final BasicStroke STROKE_2;
/*     */   private final int GAP_WIDTH;
/*     */   private final int MARGIN_WIDTH;
/*  31 */   private Color firstLineColor = Color.BLACK;
/*  32 */   private Color secondLineColor = Color.BLACK;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DoubleDividerPanel() {
/*  41 */     this(1.0F, 1.0F, 2, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public DoubleDividerPanel(float paramFloat1, float paramFloat2, int paramInt1, int paramInt2) {
/*  47 */     super(new FlowLayout());
/*     */     
/*  49 */     this.STROKE_1 = new BasicStroke(paramFloat1, 0, 1);
/*  50 */     this.STROKE_2 = new BasicStroke(paramFloat2, 0, 1);
/*  51 */     this.GAP_WIDTH = paramInt1;
/*  52 */     this.MARGIN_WIDTH = paramInt2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getFirstLineColor() {
/*  65 */     return this.firstLineColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getSecondLineColor() {
/*  73 */     return this.secondLineColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paint(Graphics paramGraphics) {
/*  82 */     Graphics2D graphics2D = (Graphics2D)paramGraphics;
/*  83 */     int j = getWidth() - 2 * this.MARGIN_WIDTH;
/*  84 */     super.paint(paramGraphics);
/*     */ 
/*     */ 
/*     */     
/*  88 */     graphics2D.setColor(getFirstLineColor());
/*  89 */     graphics2D.setStroke(this.STROKE_1);
/*  90 */     graphics2D.drawLine(this.MARGIN_WIDTH, 1, this.MARGIN_WIDTH + j, 1);
/*     */     
/*  92 */     int i = 1 + this.GAP_WIDTH;
/*  93 */     graphics2D.setColor(getSecondLineColor());
/*  94 */     graphics2D.setStroke(this.STROKE_2);
/*  95 */     graphics2D.drawLine(this.MARGIN_WIDTH, i, this.MARGIN_WIDTH + j, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFirstLineColor(Color paramColor) {
/* 103 */     this.firstLineColor = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSecondLineColor(Color paramColor) {
/* 111 */     this.secondLineColor = paramColor;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\form\DoubleDividerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */