/*     */ package jpdf.report.form;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.Shape;
/*     */ import java.awt.Stroke;
/*     */ import java.awt.geom.Line2D;
/*     */ import java.util.ArrayList;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.border.Border;
/*     */ import jpdf.report.form.painter.DrawPainter;
/*     */ import jpdf.report.form.painter.FillPainter;
/*     */ import jpdf.report.form.painter.FilledDrawPainter;
/*     */ import jpdf.report.form.painter.Painter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FixedFormPanel
/*     */   extends FormPanel
/*     */ {
/*  46 */   private final ArrayList PAINTER_LIST = new ArrayList(5);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FixedFormPanel() {
/*  55 */     super((LayoutManager)new FixedBoundsLayout());
/*     */   }
/*     */ 
/*     */   
/*     */   public FixedFormPanel(Border paramBorder) {
/*  60 */     super((LayoutManager)new FixedBoundsLayout(), paramBorder);
/*     */   }
/*     */ 
/*     */   
/*     */   public FixedFormPanel(Color paramColor) {
/*  65 */     super((LayoutManager)new FixedBoundsLayout(), paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundDraw(Color paramColor, Stroke paramStroke, Shape paramShape) {
/*  79 */     this.PAINTER_LIST.add(new DrawPainter(paramColor, paramStroke, paramShape));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundDrawLine(Color paramColor, Stroke paramStroke, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  89 */     addBackgroundDraw(paramColor, paramStroke, new Line2D.Float(paramInt1, paramInt2, paramInt3, paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundDrawRect(Color paramColor, Stroke paramStroke, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  99 */     addBackgroundDraw(paramColor, paramStroke, new Rectangle(paramInt1, paramInt2, paramInt3, paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundFill(Color paramColor, Shape paramShape) {
/* 108 */     this.PAINTER_LIST.add(new FillPainter(paramColor, paramShape));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundFillRect(Color paramColor, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 118 */     addBackgroundFill(paramColor, new Rectangle(paramInt1, paramInt2, paramInt3, paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundFilledDraw(Color paramColor1, Color paramColor2, Stroke paramStroke, Shape paramShape) {
/* 128 */     this.PAINTER_LIST.add(new FilledDrawPainter(paramColor1, paramColor2, paramStroke, paramShape));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundPainter(Painter paramPainter) {
/* 136 */     this.PAINTER_LIST.add(paramPainter);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addBackgroundFilledDrawRect(Color paramColor1, Color paramColor2, Stroke paramStroke, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 146 */     addBackgroundFilledDraw(paramColor1, paramColor2, paramStroke, new Rectangle(paramInt1, paramInt2, paramInt3, paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addComponent(JComponent paramJComponent, int paramInt1, int paramInt2) {
/* 156 */     Dimension dimension = paramJComponent.getPreferredSize();
/*     */     
/* 158 */     add(paramJComponent, new Rectangle(paramInt1, paramInt2, dimension.width, dimension.height));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Painter[] getPainterList() {
/* 167 */     return (Painter[])this.PAINTER_LIST.toArray((Object[])new Painter[0]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isShowing() {
/* 177 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLayout(LayoutManager paramLayoutManager) {
/*     */     String str;
/* 188 */     if (!(paramLayoutManager instanceof FixedBoundsLayout)) {
/*     */       
/* 190 */       str = "Invalid Layout: " + paramLayoutManager + "\nThe Layout Manager for this panel must be a FixedBoundsLayout.";
/*     */       
/* 192 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 195 */     super.setLayout((LayoutManager)str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintComponent(Graphics paramGraphics) {
/* 209 */     Graphics2D graphics2D = (Graphics2D)paramGraphics;
/* 210 */     Painter painter = null;
/* 211 */     int i = this.PAINTER_LIST.size();
/*     */ 
/*     */     
/* 214 */     super.paintComponent(paramGraphics);
/*     */ 
/*     */     
/* 217 */     for (byte b = 0; b < i; b++)
/*     */     {
/*     */       
/* 220 */       (painter = this.PAINTER_LIST.get(b)).paint(graphics2D);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\form\FixedFormPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */