/*     */ package jpdf.report.form.text;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.Point;
/*     */ import java.awt.Rectangle;
/*     */ import java.io.File;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printer.TextAreaPrinter;
/*     */ import jpdf.printer.swing.DoNotPrintConfigure;
/*     */ import jpdf_common.gui.d.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FormTextArea
/*     */   extends JTextArea
/*     */   implements DoNotPrintConfigure
/*     */ {
/*     */   public FormTextArea(String paramString, Font paramFont) {
/*  50 */     this(paramString, paramFont, (Border)null, Color.BLACK);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormTextArea(String paramString, Font paramFont, Border paramBorder) {
/*  59 */     this(paramString, paramFont, paramBorder, Color.BLACK);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormTextArea(String paramString, Font paramFont, Border paramBorder, Color paramColor) {
/*  69 */     super(paramString);
/*     */     
/*  71 */     setWrapStyleWord(true);
/*  72 */     setLineWrap(true);
/*  73 */     setFont(paramFont);
/*  74 */     setForeground(paramColor);
/*  75 */     setBorder(paramBorder);
/*  76 */     setOpaque(false);
/*     */     
/*  78 */     TextAreaPrinter.configureForPrinting(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String breakAtHeightAbove(int paramInt) {
/*  98 */     if (paramInt >= getLastCharBottom()) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 106 */     int i = (getInsets()).left + 1;
/* 107 */     Point point = new Point(i, paramInt);
/*     */ 
/*     */     
/* 110 */     return a(point);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String breakAtHeightBelow(int paramInt) {
/* 125 */     if (paramInt >= getLastCharBottom()) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 134 */     int i = getRowHeight();
/* 135 */     int j = (getInsets()).left + 1;
/* 136 */     paramInt += i;
/* 137 */     Point point = new Point(j, paramInt);
/*     */     
/* 139 */     return a(point);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static FormTextArea createInstance(File paramFile, Font paramFont) {
/*     */     String str;
/*     */     try {
/* 149 */       str = a.a(paramFile);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 155 */     catch (Throwable throwable) {
/*     */       
/* 157 */       str = "***ERROR -- Could not read file: " + paramFile + "\n" + throwable;
/*     */     } 
/*     */ 
/*     */     
/* 161 */     return new FormTextArea(str, paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLastCharBottom() {
/*     */     int i;
/*     */     int j;
/* 172 */     if ((j = getDocument().getLength() - 1) < 0) return 0;
/*     */ 
/*     */ 
/*     */     
/*     */     Rectangle rectangle;
/*     */ 
/*     */     
/* 179 */     if ((rectangle = a(j)) != null) {
/*     */       
/* 181 */       i = rectangle.y + rectangle.height - 1;
/*     */     }
/*     */     else {
/*     */       
/* 185 */       i = getHeight();
/*     */     } 
/*     */     
/* 188 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int sizeToWidth(int paramInt) {
/* 199 */     return TextAreaPrinter.sizeComponentToWidth(this, getInsets(), paramInt, 1.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String a(Point paramPoint) {
/* 213 */     String str = null;
/* 214 */     int j = getDocument().getLength();
/*     */     
/*     */     int i;
/*     */     
/* 218 */     if ((i = viewToModel(paramPoint)) < j - 1) {
/*     */       
/*     */       try {
/*     */         
/* 222 */         str = getText(i, j - i);
/* 223 */         setText(getText(0, i));
/*     */       }
/* 225 */       catch (BadLocationException badLocationException2) {
/*     */         BadLocationException badLocationException1;
/* 227 */         PrintManager.handleException(badLocationException1 = null);
/*     */       } 
/*     */     }
/*     */     
/* 231 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Rectangle a(int paramInt) {
/* 239 */     Rectangle rectangle = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 245 */       rectangle = modelToView(paramInt);
/*     */     }
/* 247 */     catch (BadLocationException badLocationException2) {
/*     */       BadLocationException badLocationException1;
/* 249 */       PrintManager.handleException(badLocationException1 = null);
/*     */     } 
/*     */     
/* 252 */     return rectangle;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\form\text\FormTextArea.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */