/*     */ package jpdf.report.table;
/*     */ 
/*     */ import jpdf.report.table.data.TableData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DefaultTableSlicer
/*     */   implements TableSlicer
/*     */ {
/*     */   private final TableData a;
/*     */   private final int b;
/*     */   private boolean c;
/*     */   
/*     */   public DefaultTableSlicer(TableData paramTableData, int paramInt) {
/*     */     String str;
/*  39 */     this.c = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  56 */     if (paramInt <= 0) {
/*     */       
/*  58 */       str = "The number of Slice Columns must be greater than zero.";
/*  59 */       throw new IllegalArgumentException(str);
/*     */     } 
/*  61 */     if (paramInt >= str.getColumnCount()) {
/*     */       
/*  63 */       str = "The number of Slice Columns must be less than the number of columns in the table";
/*     */       
/*  65 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/*  68 */     this.a = (TableData)str;
/*  69 */     this.b = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String computeSliceContentName(SlicedReportTable paramSlicedReportTable) {
/*  83 */     int i = paramSlicedReportTable.getSliceFirstRowIndex();
/*  84 */     int j = getLevelCount() - 1;
/*     */     
/*  86 */     return this.a.getColumnName(j) + ": " + this.a.getValueAt(i, j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String computeSliceHeaderText(SlicedReportTable paramSlicedReportTable) {
/*  96 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String computeSliceStartDivisionName(SlicedReportTable paramSlicedReportTable) {
/* 108 */     int i = getLevelCount();
/*     */     
/* 110 */     int j = paramSlicedReportTable.getSliceFirstRowIndex();
/* 111 */     if (i == 1) return null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     int k;
/*     */ 
/*     */ 
/*     */     
/* 120 */     if ((k = computeSliceLevel(paramSlicedReportTable)) == i) return null;
/*     */ 
/*     */     
/* 123 */     StringBuilder stringBuilder = new StringBuilder(64);
/* 124 */     i = k - 1;
/* 125 */     for (k = 0; k < i; k++)
/*     */     {
/* 127 */       stringBuilder.append(this.a.getColumnName(k) + ": " + this.a.getValueAt(j, k).toString() + "  ");
/*     */     }
/*     */ 
/*     */     
/* 131 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int computeSliceLevel(SlicedReportTable paramSlicedReportTable) {
/* 145 */     int j = 1;
/*     */     
/* 147 */     int i, k = (i = paramSlicedReportTable.getSliceFirstRowIndex()) - 1;
/*     */ 
/*     */     
/* 150 */     if (i == 0) return 1;
/*     */ 
/*     */     
/* 153 */     for (byte b = 0; b < this.b; b++) {
/*     */       
/* 155 */       if (isSame(this.a.getValueAt(i, b), this.a.getValueAt(k, b))) {
/*     */ 
/*     */         
/* 158 */         j = b + 1;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 163 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int findSliceEndIndex(int paramInt) {
/* 175 */     int i = this.a.getRowCount();
/* 176 */     int j = -1;
/*     */ 
/*     */     
/* 179 */     while (++paramInt < i) {
/*     */ 
/*     */       
/* 182 */       for (byte b = 0; b < this.b; b++) {
/*     */ 
/*     */ 
/*     */         
/* 186 */         if (!isSame(this.a.getValueAt(paramInt, b), this.a.getValueAt(paramInt - 1, b))) {
/*     */           
/* 188 */           j = paramInt - 1;
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */       
/* 194 */       if (j < 0) {
/*     */         paramInt++;
/*     */       }
/*     */     } 
/* 198 */     if (j < 0) j = i - 1;
/*     */     
/* 200 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLevelCount() {
/* 210 */     return this.b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TableData getTableData() {
/* 218 */     return this.a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToRemoveRepeatingValues() {
/* 226 */     return this.c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void prepareDataForPrinting() {
/* 236 */     int i = 0;
/*     */ 
/*     */     
/* 239 */     if (isToRemoveRepeatingValues()) {
/*     */       
/* 241 */       i = getLevelCount();
/* 242 */       for (byte b = 0; b < i; b++)
/*     */       {
/* 244 */         this.a.removeRepeatingValues(b);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToRemoveRepeatingValues(boolean paramBoolean) {
/* 255 */     this.c = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isSame(Object paramObject1, Object paramObject2) {
/* 268 */     if (paramObject1 == null && paramObject2 == null) return true; 
/* 269 */     if (paramObject1 == null || paramObject2 == null) return false;
/*     */     
/* 271 */     return paramObject1.toString().equalsIgnoreCase(paramObject2.toString());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\DefaultTableSlicer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */