/*     */ package jpdf.report.table;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.Insets;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.border.EmptyBorder;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.table.TableModel;
/*     */ import jpdf.ability.PrintGapGettable;
/*     */ import jpdf.printer.TableRowResizer;
/*     */ import jpdf.printer.swing.PrintTableUtility;
/*     */ import jpdf.report.table.renderer.ReportDataCellRenderer;
/*     */ import jpdf.report.table.renderer.TableCellCustomizer;
/*     */ import jpdf.report.table.renderer.WrappedTextCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReportTable
/*     */   extends JTable
/*     */   implements PrintGapGettable, TableRowResizer, CustomizableCellTable
/*     */ {
/*  57 */   private TableCellCustomizer cellCustomizer = null;
/*  58 */   private int printGapBelow = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReportTable(TableSectionOptions paramTableSectionOptions) {
/*  70 */     super((TableModel)paramTableSectionOptions.TABLE_DATA);
/*     */     
/*  72 */     a((Color)null, (Color)null, (Font)null);
/*     */ 
/*     */     
/*  75 */     paramTableSectionOptions.a(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected ReportTable(int paramInt1, int paramInt2, Color paramColor1, Color paramColor2, Font paramFont) {
/*  86 */     super(paramInt1, paramInt2);
/*     */     
/*  88 */     a(paramColor1, paramColor2, paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected ReportTable(TableModel paramTableModel, Color paramColor1, Color paramColor2, Font paramFont) {
/*  99 */     super(paramTableModel);
/*     */     
/* 101 */     a(paramColor1, paramColor2, paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void applyPadding(JComponent paramJComponent, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*     */     Border border1;
/*     */     String str;
/* 118 */     Border border2 = paramJComponent.getBorder();
/* 119 */     if (paramInt1 < 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 124 */       str = "Invalid top padding: " + paramInt1 + "  Cannot be less than zero.";
/*     */       
/* 126 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 128 */     if (paramInt2 < 0) {
/*     */       
/* 130 */       str = "Invalid left padding: " + paramInt2 + "  Cannot be less than zero.";
/*     */       
/* 132 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 134 */     if (paramInt3 < 0) {
/*     */       
/* 136 */       str = "Invalid bottom padding: " + paramInt3 + "  Cannot be less than zero.";
/*     */       
/* 138 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 140 */     if (paramInt4 < 0) {
/*     */       
/* 142 */       str = "Invalid right padding: " + paramInt4 + "  Cannot be less than zero.";
/*     */       
/* 144 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 148 */     if (str != null) {
/*     */       Insets insets;
/*     */ 
/*     */       
/* 152 */       if (str.getClass() == EmptyBorder.class)
/*     */       {
/*     */         
/* 155 */         (insets = ((EmptyBorder)str).getBorderInsets()).top += paramInt1;
/* 156 */         insets.left += paramInt2;
/* 157 */         insets.bottom += paramInt3;
/* 158 */         insets.right += paramInt4;
/* 159 */         border1 = BorderFactory.createEmptyBorder(insets.top, insets.left, insets.bottom, insets.right);
/*     */ 
/*     */ 
/*     */       
/*     */       }
/*     */       else
/*     */       {
/*     */ 
/*     */         
/* 168 */         border1 = BorderFactory.createCompoundBorder(border1 = BorderFactory.createEmptyBorder(border1, paramInt2, paramInt3, paramInt4), (Border)insets);
/*     */       
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 175 */       border1 = BorderFactory.createEmptyBorder(border1, paramInt2, paramInt3, paramInt4);
/*     */     } 
/*     */ 
/*     */     
/* 179 */     paramJComponent.setBorder(border1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void customizeCell(int paramInt1, int paramInt2, JComponent paramJComponent) {
/*     */     TableCellCustomizer tableCellCustomizer;
/* 195 */     if ((tableCellCustomizer = getCellCustomizer()) == null) {
/*     */       return;
/*     */     }
/* 198 */     tableCellCustomizer.customizeTableCell(this, paramInt1, paramInt2, paramJComponent);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPrintGapBelow() {
/* 209 */     return this.printGapBelow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TableCellCustomizer getCellCustomizer() {
/* 217 */     return this.cellCustomizer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCellEditable(int paramInt1, int paramInt2) {
/* 226 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean resizeRows(JTable paramJTable) {
/* 240 */     if (!isToResizeRows()) return false;
/*     */ 
/*     */     
/* 243 */     setRowHeightsToFit();
/*     */     
/* 245 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBackground(Color paramColor) {
/*     */     TableCellRenderer tableCellRenderer;
/* 258 */     if (tableCellRenderer = getDefaultRenderer(Object.class) instanceof ReportDataCellRenderer)
/*     */     {
/* 260 */       ((ReportDataCellRenderer)tableCellRenderer).setBackground(paramColor);
/*     */     }
/*     */     
/* 263 */     super.setBackground(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFont(Font paramFont) {
/* 273 */     TableCellRenderer tableCellRenderer = getDefaultRenderer(Object.class);
/* 274 */     Font font = getFont();
/*     */ 
/*     */     
/* 277 */     if (tableCellRenderer instanceof ReportDataCellRenderer)
/*     */     {
/* 279 */       ((ReportDataCellRenderer)tableCellRenderer).setFont(paramFont);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 286 */     if (!(paramFont instanceof javax.swing.plaf.UIResource)) {
/*     */       
/* 288 */       TableColumnModel tableColumnModel = getColumnModel();
/* 289 */       int i = getColumnCount();
/* 290 */       for (byte b = 0; b < i; b++) {
/*     */ 
/*     */         
/* 293 */         if (tableCellRenderer = tableColumnModel.getColumn(b).getCellRenderer() instanceof WrappedTextCellRenderer)
/*     */         {
/* 295 */           if (((WrappedTextCellRenderer)tableCellRenderer).getFont().equals(font))
/*     */           {
/* 297 */             ((WrappedTextCellRenderer)tableCellRenderer).setTextFont(paramFont, true);
/*     */           }
/*     */         }
/*     */       } 
/*     */     } 
/* 302 */     super.setFont(paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setForeground(Color paramColor) {
/*     */     TableCellRenderer tableCellRenderer;
/* 315 */     if (tableCellRenderer = getDefaultRenderer(Object.class) instanceof ReportDataCellRenderer)
/*     */     {
/* 317 */       ((ReportDataCellRenderer)tableCellRenderer).setForeground(paramColor);
/*     */     }
/*     */     
/* 320 */     super.setForeground(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintGapBelow(int paramInt) {
/* 329 */     this.printGapBelow = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellCustomizer(TableCellCustomizer paramTableCellCustomizer) {
/* 337 */     this.cellCustomizer = paramTableCellCustomizer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isToResizeRows() {
/* 355 */     TableColumnModel tableColumnModel = getColumnModel();
/* 356 */     TableColumn tableColumn = null;
/* 357 */     boolean bool = false;
/* 358 */     int i = getColumnCount();
/*     */ 
/*     */     
/* 361 */     for (byte b = 0; b < i; b++) {
/*     */ 
/*     */       
/* 364 */       if ((tableColumn = tableColumnModel.getColumn(b)).getCellRenderer() instanceof jpdf.report.table.renderer.WrappedRenderer || tableColumn.getHeaderRenderer() instanceof jpdf.report.table.renderer.WrappedRenderer) {
/*     */ 
/*     */         
/* 367 */         bool = true;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/* 372 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setColumnWidthsToFit(int[] paramArrayOfint) {
/* 381 */     if (paramArrayOfint == null) {
/*     */       
/* 383 */       PrintTableUtility.setColumnWidthsToFitData(this, 0, 999, 3);
/*     */       
/*     */       return;
/*     */     } 
/* 387 */     PrintTableUtility.setColumnWidthsToFitData(this, 0, paramArrayOfint, 3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setRowHeightsToFit() {
/* 397 */     PrintTableUtility.setRowHeightsToFitData(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Color paramColor1, Color paramColor2, Font paramFont) {
/* 411 */     putClientProperty("JpdfKeepTableRenderer", Boolean.TRUE);
/*     */ 
/*     */     
/* 414 */     setOpaque(true);
/* 415 */     if (paramColor1 != null) setForeground(paramColor1); 
/* 416 */     if (paramColor2 != null) setBackground(paramColor2); 
/* 417 */     if (paramFont != null) setFont(paramFont);
/*     */ 
/*     */     
/* 420 */     setAutoResizeMode(0);
/*     */ 
/*     */ 
/*     */     
/* 424 */     setDefaultRenderer(Object.class, (TableCellRenderer)new ReportDataCellRenderer(this));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\ReportTable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */