/*     */ package jpdf.report.table;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.attribute.OffsetLeft;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.AbstractReportDecorationBuilder;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SegmentedTableSectionOptions
/*     */   extends TableSectionOptions
/*     */ {
/*     */   public static final String SEGMENT_COL_NAME_MARKER = "[-sCn-]";
/*     */   public static final String SEGMENT_COL_VALUE_MARKER = "[-sCv-]";
/*     */   public final int SEGMENTATION_COLUMNS;
/*     */   private final PrintRequestAttributeSet[][] a;
/*     */   private final Integer[] b;
/*     */   private final Integer[] c;
/*     */   private final ReportDecorationBuilder[] d;
/*     */   private final ReportDecorationBuilder[] e;
/*  91 */   private float f = 0.25F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SegmentedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, int paramInt) {
/* 107 */     this(paramPrintRequestAttributeSet, paramTableData, (ReportDecorationBuilder)null, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SegmentedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, ReportDecorationBuilder paramReportDecorationBuilder, int paramInt) {
/* 121 */     super(paramPrintRequestAttributeSet, paramTableData, paramReportDecorationBuilder);
/*     */ 
/*     */     
/* 124 */     if (paramInt <= 0) {
/*     */       
/* 126 */       String str = "The number of Segmentation Columns must be greater than zero.";
/* 127 */       throw new IllegalArgumentException(str);
/*     */     } 
/* 129 */     if (paramInt >= paramTableData.getColumnCount()) {
/*     */       
/* 131 */       String str = "The number of Segmentation Columns must be less than the number of columns in the table";
/*     */       
/* 133 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 137 */     this.SEGMENTATION_COLUMNS = paramInt;
/*     */ 
/*     */     
/* 140 */     this.b = new Integer[this.SEGMENTATION_COLUMNS]; byte b;
/* 141 */     for (b = 0; b < this.SEGMENTATION_COLUMNS; b++)
/*     */     {
/* 143 */       this.b[b] = Integer.valueOf(b + 1);
/*     */     }
/*     */ 
/*     */     
/* 147 */     this.c = new Integer[this.SEGMENTATION_COLUMNS];
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 152 */     this.d = new ReportDecorationBuilder[this.SEGMENTATION_COLUMNS];
/* 153 */     this.e = new ReportDecorationBuilder[this.SEGMENTATION_COLUMNS];
/* 154 */     this.d[0] = b(paramInt, 1);
/* 155 */     super.setTableHeaderBuilder(this.d[0]);
/* 156 */     this.e[0] = getTableFooterBuilder();
/* 157 */     for (b = 1; b < paramInt; b++) {
/*     */       
/* 159 */       this.d[b] = b(paramInt, b + 1);
/* 160 */       this.e[b] = this.e[0];
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 165 */     if (paramInt > 1) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 170 */       this.a = new PrintRequestAttributeSet[this.SEGMENTATION_COLUMNS][2];
/*     */       
/*     */       return;
/*     */     } 
/* 174 */     this.a = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addSectionComponents(ArrayList<JComponent> paramArrayList) {
/* 191 */     ReportDecorationBuilder reportDecorationBuilder = null;
/*     */ 
/*     */     
/* 194 */     int j = paramArrayList.size();
/*     */ 
/*     */ 
/*     */     
/*     */     SegmentedReportTable segmentedReportTable;
/*     */ 
/*     */     
/* 201 */     (segmentedReportTable = new SegmentedReportTable(this)).addSegmentedTableComponents(this, paramArrayList, this.SEGMENTATION_COLUMNS);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 208 */     if ((reportDecorationBuilder = getSectionHeaderBuilder()) != null) {
/*     */       
/* 210 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, null);
/* 211 */       paramArrayList.add(j, jComponent);
/*     */     } 
/*     */     
/* 214 */     if ((reportDecorationBuilder = getSectionFooterBuilder()) != null) {
/*     */ 
/*     */ 
/*     */       
/* 218 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, segmentedReportTable);
/*     */       
/* 220 */       paramArrayList.add(jComponent);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 227 */       jComponent.putClientProperty("JPDF_ContinuationString", "[-none-]");
/*     */     } 
/*     */ 
/*     */     
/*     */     int i;
/*     */ 
/*     */     
/* 234 */     return i = paramArrayList.size() - j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReportDecorationBuilder getSegmentFooterBuilder(int paramInt) {
/* 243 */     return this.e[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ReportDecorationBuilder getSegmentHeaderBuilder(int paramInt) {
/* 252 */     return this.d[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSegmentIndent() {
/* 264 */     return (int)(this.f * 72.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Integer getSegmentStartNewPageHeight(int paramInt) {
/* 278 */     return this.c[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnResizeable(int paramInt) {
/* 297 */     int i = this.TABLE_DATA.getColumnCount() - 1 - this.SEGMENTATION_COLUMNS;
/*     */     
/* 299 */     a(paramInt, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnResizeWeights(float[] paramArrayOffloat) {
/*     */     String str;
/* 319 */     int i = this.TABLE_DATA.getColumnCount() - 1 - this.SEGMENTATION_COLUMNS;
/*     */ 
/*     */     
/* 322 */     if (paramArrayOffloat.length != i) {
/*     */       
/* 324 */       str = "The number of Resize Weights (" + paramArrayOffloat.length + ") must be the same as the number of table columns (" + i + ").";
/*     */       
/* 326 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 329 */     a((float[])str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSegmentFooterBuilder(int paramInt, ReportDecorationBuilder paramReportDecorationBuilder) {
/* 343 */     if (paramInt == 1) {
/*     */       
/* 345 */       setTableFooterBuilder(paramReportDecorationBuilder);
/*     */       
/*     */       return;
/*     */     } 
/* 349 */     this.e[paramInt - 1] = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSegmentHeaderBuilder(int paramInt, ReportDecorationBuilder paramReportDecorationBuilder) {
/* 360 */     if (paramInt == 1) {
/*     */       
/* 362 */       setTableHeaderBuilder(paramReportDecorationBuilder);
/*     */       
/*     */       return;
/*     */     } 
/* 366 */     this.d[paramInt - 1] = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSegmentIndent(int paramInt) {
/* 380 */     if (paramInt <= 0) {
/*     */       
/* 382 */       this.f = 0.0F;
/*     */       
/*     */       return;
/*     */     } 
/* 386 */     this.f = paramInt / 72.0F;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSegmentStartNewPageHeight(int paramInt1, int paramInt2) {
/* 402 */     this.c[paramInt1 - 1] = Integer.valueOf(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableFooterBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/* 412 */     super.setTableFooterBuilder(paramReportDecorationBuilder);
/* 413 */     this.e[0] = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableHeaderBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/* 423 */     super.setTableHeaderBuilder(paramReportDecorationBuilder);
/* 424 */     this.d[0] = paramReportDecorationBuilder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addSegmentFooterComponent(ArrayList<JComponent> paramArrayList, SegmentedReportTable paramSegmentedReportTable) {
/* 439 */     getTableFooterBuilder();
/* 440 */     int i = paramSegmentedReportTable.getSegmentationLevel();
/*     */ 
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder;
/*     */     
/* 445 */     if ((reportDecorationBuilder = getSegmentFooterBuilder(i)) == null) {
/*     */       return;
/*     */     }
/* 448 */     if (reportDecorationBuilder instanceof AbstractReportDecorationBuilder) {
/*     */       AbstractReportDecorationBuilder abstractReportDecorationBuilder;
/*     */ 
/*     */       
/* 452 */       (abstractReportDecorationBuilder = (AbstractReportDecorationBuilder)reportDecorationBuilder).registerReplacementMarker("[-sCn-]", paramSegmentedReportTable.getSegmentTitle());
/*     */       
/* 454 */       abstractReportDecorationBuilder.registerReplacementMarker("[-sCv-]", paramSegmentedReportTable.getSegmentTitleValue());
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 459 */     JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramSegmentedReportTable);
/*     */     
/* 461 */     paramArrayList.add(jComponent);
/*     */ 
/*     */     
/* 464 */     jComponent.putClientProperty("JPDF_SegLevel", this.b[i - 1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addSegmentHeaderComponent(ArrayList<JComponent> paramArrayList, SegmentedReportTable paramSegmentedReportTable) {
/* 475 */     Integer integer = null;
/*     */ 
/*     */ 
/*     */     
/* 479 */     int i = paramSegmentedReportTable.getSegmentationLevel();
/*     */ 
/*     */     
/* 482 */     integer = getSegmentStartNewPageHeight(i);
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder;
/*     */     
/* 486 */     if ((reportDecorationBuilder = getSegmentHeaderBuilder(i)) == null) {
/*     */ 
/*     */ 
/*     */       
/* 490 */       if (integer != null)
/*     */       {
/* 492 */         paramSegmentedReportTable.putClientProperty("JPDF_SNPH", integer);
/*     */       }
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 499 */     JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramSegmentedReportTable);
/*     */     
/* 501 */     paramArrayList.add(jComponent);
/*     */ 
/*     */ 
/*     */     
/* 505 */     if (integer != null)
/*     */     {
/* 507 */       jComponent.putClientProperty("JPDF_SNPH", integer);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 513 */     if (this.SEGMENTATION_COLUMNS > 1)
/*     */     {
/*     */       
/* 516 */       if (i == 1) {
/*     */         
/* 518 */         jComponent.putClientProperty("JPDF_ContinuationString", "[-none-]");
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 525 */         String str = paramSegmentedReportTable.a("  ");
/* 526 */         jComponent.putClientProperty("JPDF_ContinuationString", str);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 532 */     jComponent.putClientProperty("JPDF_SegLevel", this.b[i - 1]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintRequestAttributeSet getPrintAttributeSet(JComponent paramJComponent) {
/* 544 */     Object object = null;
/*     */     
/* 546 */     int i = -1;
/* 547 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 551 */     if (paramJComponent instanceof SegmentedReportTable) {
/*     */       
/* 553 */       i = ((SegmentedReportTable)paramJComponent).getSegmentationLevel();
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 558 */     else if (object = paramJComponent.getClientProperty("JPDF_SegLevel") instanceof Integer) {
/*     */       
/* 560 */       i = ((Integer)object).intValue();
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 566 */     if (i <= 1) return super.getPrintAttributeSet(paramJComponent);
/*     */ 
/*     */ 
/*     */     
/* 570 */     if (getSegmentIndent() == 0) return super.getPrintAttributeSet(paramJComponent);
/*     */ 
/*     */     
/* 573 */     int j = i - 1;
/* 574 */     if (isDecorationPanel(paramJComponent)) bool = true;
/*     */ 
/*     */ 
/*     */     
/* 578 */     if ((object = this.a[j][bool]) == null) {
/*     */       
/* 580 */       i = i; object = paramJComponent; SegmentedTableSectionOptions segmentedTableSectionOptions; object = (segmentedTableSectionOptions = this).getPrintAttributeSet((JComponent)object); float f = (f = OffsetLeft.getOffset((AttributeSet)(object = new HashPrintRequestAttributeSet((PrintRequestAttributeSet)object)), 25400, 0.0F)) + (segmentedTableSectionOptions = segmentedTableSectionOptions).f * (i - 1); object.add((Attribute)new OffsetLeft(f, true)); object = object;
/* 581 */       this.a[j][bool] = (PrintRequestAttributeSet)object;
/*     */     } 
/*     */     
/* 584 */     return (PrintRequestAttributeSet)object;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static ReportDecorationBuilder b(int paramInt1, int paramInt2) {
/*     */     TitleOptions titleOptions;
/* 624 */     if (paramInt1 > 1) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 630 */       if (paramInt2 == 1)
/*     */       {
/* 632 */         titleOptions = ReportStandardizer.getSectionHeaderTitleOptions();
/*     */       }
/*     */       else
/*     */       {
/* 636 */         titleOptions = ReportStandardizer.getSubsectionHeaderTitleOptions();
/*     */       
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 643 */       titleOptions = ReportStandardizer.getSubsectionHeaderTitleOptions();
/*     */     } 
/*     */     
/* 646 */     return (ReportDecorationBuilder)new SegmentedReportTable.SegmentTitleBuilder(titleOptions);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\SegmentedTableSectionOptions.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */