/*     */ package jpdf.report.table;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SlicedTableSectionOptions
/*     */   extends TableSectionOptions
/*     */ {
/*     */   public final TableSlicer TABLE_SLICER;
/*     */   private final Integer[] a;
/*     */   
/*     */   public SlicedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, int paramInt) {
/*  80 */     this(paramPrintRequestAttributeSet, paramTableData, (ReportDecorationBuilder)null, new DefaultTableSlicer(paramTableData, paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SlicedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, ReportDecorationBuilder paramReportDecorationBuilder, int paramInt) {
/*  98 */     this(paramPrintRequestAttributeSet, paramTableData, paramReportDecorationBuilder, new DefaultTableSlicer(paramTableData, paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SlicedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, TableSlicer paramTableSlicer) {
/* 111 */     this(paramPrintRequestAttributeSet, paramTableData, (ReportDecorationBuilder)null, paramTableSlicer);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SlicedTableSectionOptions(PrintRequestAttributeSet paramPrintRequestAttributeSet, TableData paramTableData, ReportDecorationBuilder paramReportDecorationBuilder, TableSlicer paramTableSlicer) {
/* 127 */     super(paramPrintRequestAttributeSet, paramTableData, paramReportDecorationBuilder);
/*     */     
/* 129 */     this.TABLE_SLICER = paramTableSlicer;
/*     */ 
/*     */ 
/*     */     
/* 133 */     this.a = new Integer[paramTableSlicer.getLevelCount()];
/*     */ 
/*     */     
/* 136 */     TitleOptions titleOptions = ReportStandardizer.getSubsectionHeaderTitleOptions();
/* 137 */     setTableHeaderBuilder((ReportDecorationBuilder)new TitleDecorationBuilder(true, "Slice Header", titleOptions));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addSectionComponents(ArrayList<JComponent> paramArrayList) {
/* 154 */     SlicedReportTable slicedReportTable = null;
/*     */ 
/*     */     
/* 157 */     int j = paramArrayList.size();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 164 */     (slicedReportTable = new SlicedReportTable(this)).addSlicedTableComponents(this, paramArrayList);
/*     */ 
/*     */ 
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder;
/*     */ 
/*     */     
/* 171 */     if ((reportDecorationBuilder = getSectionHeaderBuilder()) != null) {
/*     */       
/* 173 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, null);
/* 174 */       paramArrayList.add(j, jComponent);
/*     */     } 
/*     */     
/* 177 */     if ((reportDecorationBuilder = getSectionFooterBuilder()) != null) {
/*     */       
/* 179 */       JComponent jComponent = reportDecorationBuilder.buildDecorationComponent(paramArrayList, null);
/* 180 */       paramArrayList.add(jComponent);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 185 */     this.TABLE_SLICER.prepareDataForPrinting();
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 190 */     return i = paramArrayList.size() - j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Integer getSliceStartNewPageHeight(int paramInt) {
/* 207 */     return this.a[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSliceStartNewPageHeight(int paramInt1, int paramInt2) {
/* 224 */     this.a[paramInt1 - 1] = Integer.valueOf(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableHeaderBuilder(ReportDecorationBuilder paramReportDecorationBuilder) {
/*     */     String str;
/* 238 */     if (!(paramReportDecorationBuilder instanceof TitleDecorationBuilder)) {
/*     */ 
/*     */ 
/*     */       
/* 242 */       str = "The Sliced Table Header Builder must be an instance of jpdf.report.decoration.TitleDecorationBuilder";
/*     */       
/* 244 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 247 */     super.setTableHeaderBuilder((ReportDecorationBuilder)str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final int a(ArrayList<JComponent> paramArrayList, ReportTable paramReportTable) {
/*     */     JComponent jComponent;
/* 265 */     TitleDecorationBuilder titleDecorationBuilder = null;
/* 266 */     SlicedReportTable slicedReportTable = (SlicedReportTable)paramReportTable;
/*     */     
/* 268 */     titleDecorationBuilder = null;
/* 269 */     int j = paramArrayList.size();
/*     */ 
/*     */ 
/*     */     
/* 273 */     int k = slicedReportTable.getSliceLevel();
/*     */ 
/*     */     
/*     */     String str2;
/*     */     
/* 278 */     if ((str2 = this.TABLE_SLICER.computeSliceHeaderText(slicedReportTable)) != null) {
/*     */ 
/*     */       
/* 281 */       (titleDecorationBuilder = (TitleDecorationBuilder)getTableHeaderBuilder()).setTitleText(str2);
/* 282 */       jComponent = titleDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*     */       
/* 284 */       paramArrayList.add(jComponent);
/*     */     } 
/*     */     
/*     */     Integer integer;
/*     */     
/* 289 */     if ((integer = getSliceStartNewPageHeight(k)) != null)
/*     */     {
/* 291 */       if (jComponent != null) {
/*     */         
/* 293 */         jComponent.putClientProperty("JPDF_SNPH", integer);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 298 */         paramReportTable.putClientProperty("JPDF_SNPH", integer);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     String str1;
/*     */ 
/*     */     
/* 307 */     if ((str1 = slicedReportTable.a()) != null)
/*     */     {
/* 309 */       if (jComponent != null) {
/*     */         
/* 311 */         jComponent.putClientProperty("JPDF_ContinuationString", str1);
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 316 */         slicedReportTable.putClientProperty("JPDF_ContinuationString", str1);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 322 */     paramArrayList.add(paramReportTable);
/*     */     
/*     */     ReportDecorationBuilder reportDecorationBuilder;
/*     */     
/* 326 */     if ((reportDecorationBuilder = getTableFooterBuilder()) != null) {
/*     */       
/* 328 */       JComponent jComponent1 = reportDecorationBuilder.buildDecorationComponent(paramArrayList, paramReportTable);
/*     */       
/* 330 */       paramArrayList.add(jComponent1);
/*     */     } 
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 336 */     return i = paramArrayList.size() - j;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\SlicedTableSectionOptions.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */