/*     */ package jpdf.report.table.renderer;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Font;
/*     */ import java.awt.Insets;
/*     */ import java.io.Serializable;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.SwingConstants;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import jpdf.printer.swing.PrintCellRenderer;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.GlobalTableCustomizer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BasicReportCellRenderer
/*     */   extends PrintCellRenderer
/*     */   implements Serializable, SwingConstants, TableCellRenderer
/*     */ {
/*     */   public static final int MARGIN_WIDTH = 1;
/*  59 */   public static final Border DEFAULT_BORDER = BorderFactory.createEmptyBorder(1, 1, 1, 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicReportCellRenderer() {
/*  72 */     this(1, (Font)null, (Color)null, (Color)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicReportCellRenderer(int paramInt) {
/*  82 */     this(paramInt, (Font)null, (Color)null, (Color)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicReportCellRenderer(int paramInt, Font paramFont, Color paramColor1, Color paramColor2) {
/*  96 */     setVerticalAlignment(paramInt);
/*     */ 
/*     */     
/*  99 */     GlobalTableCustomizer globalTableCustomizer = ReportStandardizer.getGlobalTableCustomizer();
/* 100 */     if (paramFont == null)
/*     */     {
/* 102 */       paramFont = globalTableCustomizer.getTableFont();
/*     */     }
/* 104 */     if (paramColor1 == null)
/*     */     {
/* 106 */       paramColor1 = globalTableCustomizer.getTableBackgroundColor();
/*     */     }
/* 108 */     if (paramColor2 == null)
/*     */     {
/* 110 */       paramColor2 = globalTableCustomizer.getTableForegroundColor();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 124 */     setOpaque(true);
/* 125 */     setBackground(paramColor1);
/* 126 */     setForeground(paramColor2);
/* 127 */     setBorder(DEFAULT_BORDER);
/* 128 */     setFont(paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BasicReportCellRenderer(TitleOptions paramTitleOptions, int paramInt) {
/* 141 */     setVerticalAlignment(paramInt);
/* 142 */     setHorizontalAlignment(paramTitleOptions.getHorizontalAlignment());
/* 143 */     setFont(paramTitleOptions.getFont());
/* 144 */     setBackground(paramTitleOptions.getBackgroundColor());
/* 145 */     setForeground(paramTitleOptions.getForegroundColor());
/* 146 */     setOpaque(true);
/*     */     
/* 148 */     setEmptyBorder(paramTitleOptions.buildInsets());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Component getTableCellRendererComponent(JTable paramJTable, Object paramObject, boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/* 165 */     setValue(paramObject);
/*     */     
/* 167 */     return (Component)this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellValueBorder(Border paramBorder) {
/* 177 */     setBorder(new a(paramBorder));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setEmptyBorder(Border paramBorder) {
/* 185 */     setEmptyBorder(paramBorder.getBorderInsets((Component)this));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setEmptyBorder(Insets paramInsets) {
/* 193 */     setBorder(BorderFactory.createEmptyBorder(paramInsets.top, paramInsets.left, paramInsets.bottom, paramInsets.right));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setValue(Object paramObject) {
/* 207 */     setText((paramObject == null) ? "" : paramObject.toString());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\renderer\BasicReportCellRenderer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */