/*     */ package jpdf.report.table.renderer;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.text.Format;
/*     */ import java.text.NumberFormat;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FormattedCellRenderer
/*     */   extends ReportDataCellRenderer
/*     */ {
/*  40 */   private Format cellFormat = null;
/*  41 */   private Font cellFont = null;
/*  42 */   private Color cellBackgroundColor = null;
/*  43 */   private Color cellForegroundColor = null;
/*  44 */   private int cellWidthPadding = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormattedCellRenderer() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormattedCellRenderer(Format paramFormat) {
/*  66 */     setCellFormat(paramFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FormattedCellRenderer(Format paramFormat, int paramInt) {
/*  79 */     setCellFormat(paramFormat);
/*  80 */     setHorizontalAlignment(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static FormattedCellRenderer buildNumberFormatInstance(NumberFormat paramNumberFormat, int paramInt) {
/*  98 */     FormattedCellRenderer formattedCellRenderer = new FormattedCellRenderer(paramNumberFormat, 4);
/*     */ 
/*     */ 
/*     */     
/* 102 */     Border border = BorderFactory.createEmptyBorder(1, 1, 1, paramInt);
/* 103 */     formattedCellRenderer.setBorder(border);
/*     */     
/* 105 */     return formattedCellRenderer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static FormattedCellRenderer buildNumberFormatInstance(NumberFormat paramNumberFormat, Border paramBorder, int paramInt) {
/* 123 */     int j = paramInt; Border border2 = paramBorder; FormattedCellRenderer formattedCellRenderer2 = formattedCellRenderer1; Border border1 = BorderFactory.createEmptyBorder(0, 0, 0, j - i); FormattedCellRenderer formattedCellRenderer1; int i; (formattedCellRenderer1 = new FormattedCellRenderer(paramNumberFormat, 4)).setBorder(((i = (border2.getBorderInsets((Component)formattedCellRenderer2)).right) >= j) ? border2 : BorderFactory.createCompoundBorder(border2, border1));
/*     */     
/* 125 */     return formattedCellRenderer1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getCellBackgroundColor() {
/* 133 */     return this.cellBackgroundColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Font getCellFont() {
/* 141 */     return this.cellFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Color getCellForegroundColor() {
/* 149 */     return this.cellForegroundColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Format getCellFormat() {
/* 157 */     return this.cellFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getCellWidthPadding() {
/* 166 */     return this.cellWidthPadding;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension getPreferredSize() {
/* 175 */     Dimension dimension = super.getPreferredSize();
/*     */     
/* 177 */     if (this.cellWidthPadding > 0) dimension.width += this.cellWidthPadding;
/*     */     
/* 179 */     return dimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Component getTableCellRendererComponent(JTable paramJTable, Object paramObject, boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/* 190 */     if (this.cellFormat != null && paramObject != null) {
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 198 */         paramObject = this.cellFormat.format(paramObject);
/*     */       }
/* 200 */       catch (Throwable throwable) {}
/*     */     }
/*     */ 
/*     */     
/* 204 */     Component component = super.getTableCellRendererComponent(paramJTable, paramObject, paramBoolean1, paramBoolean2, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 209 */     if (this.cellFont != null) component.setFont(this.cellFont); 
/* 210 */     if (this.cellForegroundColor != null) component.setForeground(this.cellForegroundColor); 
/* 211 */     if (this.cellBackgroundColor != null) component.setBackground(this.cellBackgroundColor);
/*     */     
/* 213 */     return component;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellBackgroundColor(Color paramColor) {
/* 221 */     this.cellBackgroundColor = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellFont(Font paramFont) {
/* 229 */     this.cellFont = paramFont;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellForegroundColor(Color paramColor) {
/* 237 */     this.cellForegroundColor = paramColor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellFormat(Format paramFormat) {
/* 245 */     this.cellFormat = paramFormat;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellWidthPadding(int paramInt) {
/* 254 */     this.cellWidthPadding = paramInt;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\table\renderer\FormattedCellRenderer.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */