/*     */ package jpdf.report.text;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.io.File;
/*     */ import java.io.FileReader;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.text.Segment;
/*     */ import javax.swing.text.TabExpander;
/*     */ import jpdf.ability.PageBreakAdjuster;
/*     */ import jpdf.printer.swing.DoNotPrintConfigure;
/*     */ import jpdf.printer.text.GlyphVectorFactory;
/*     */ import jpdf.printer.text.PrintTextUtility;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.d.a;
/*     */ import jpdf_common.system.c.f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PlainTextPanel
/*     */   extends JPanel
/*     */   implements PageBreakAdjuster, DoNotPrintConfigure
/*     */ {
/*     */   private final Dimension PREFERRED_SIZE;
/*     */   private final int PAGE_BOTTOM_ADJUSTEMENT;
/*     */   private TabExpander tabExpander;
/*     */   private FontMetrics fontMetrics;
/*     */   private char[][] lineCharArray;
/*     */   private int requiredTextWidth;
/*     */   private int lineHeight;
/*     */   private int verticalAlignment;
/*     */   private int textAlignment;
/*     */   private boolean antialiasingOn;
/*     */   
/*     */   public PlainTextPanel(String paramString, Font paramFont, int paramInt1, int paramInt2) {
/*  86 */     this(f.b(paramString), paramFont, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextPanel(String[] paramArrayOfString, Font paramFont, int paramInt1, int paramInt2) {
/* 108 */     this(convertToCharArrays(paramArrayOfString), paramFont, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextPanel(File paramFile, Font paramFont, int paramInt1, int paramInt2) {
/* 122 */     this(a.b(new FileReader(paramFile)), paramFont, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PlainTextPanel(char[][] paramArrayOfchar, Font paramFont, int paramInt1, int paramInt2) {
/*     */     String str;
/*     */     this.PREFERRED_SIZE = new Dimension();
/*     */     this.tabExpander = null;
/*     */     this.fontMetrics = null;
/*     */     this.lineCharArray = null;
/*     */     this.requiredTextWidth = 0;
/*     */     this.lineHeight = 0;
/*     */     this.verticalAlignment = 1;
/*     */     this.textAlignment = 0;
/*     */     this.antialiasingOn = true;
/* 148 */     if (paramArrayOfchar == null)
/*     */     {
/* 150 */       throw new IllegalArgumentException("The Line Char Array array cannot be NULL.");
/*     */     }
/* 152 */     if (paramFont == null)
/*     */     {
/* 154 */       throw new IllegalArgumentException("The Text Font cannot be NULL.");
/*     */     }
/* 156 */     if (paramInt1 <= 4)
/*     */     {
/* 158 */       if (paramInt1 < 0) {
/*     */         
/* 160 */         paramInt1 = computeLineHeight(paramFont);
/*     */       }
/*     */       else {
/*     */         
/* 164 */         throw new IllegalArgumentException("The Line Height must be greater than 4.");
/*     */       } 
/*     */     }
/* 167 */     if (Math.abs(paramInt2) >= paramInt1) {
/*     */       
/* 169 */       str = "The Page Bottom Adjustment (" + paramInt2 + ") must be less than the Line Height (" + paramInt1 + ").";
/*     */       
/* 171 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 175 */     this.PAGE_BOTTOM_ADJUSTEMENT = paramInt2;
/*     */ 
/*     */ 
/*     */     
/* 179 */     a((char[][])str, paramFont);
/* 180 */     setTextFont(paramFont, false);
/* 181 */     setLineHeight(paramInt1);
/*     */ 
/*     */     
/* 184 */     setForeground(Color.BLACK);
/* 185 */     setBackground(Color.WHITE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int adjustCandidatePageBreakOffset(int paramInt1, int paramInt2, float paramFloat, int paramInt3) {
/* 209 */     float f1 = (f1 = (getInsets()).top) * paramFloat;
/*     */ 
/*     */     
/* 212 */     float f2 = getLineHeight() * paramFloat;
/*     */     
/* 214 */     paramInt2 = (int)((f1 = paramInt2 - f1) / f2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 222 */     return (int)((f1 = (f1 - paramInt2 * f2) / paramFloat) - this.PAGE_BOTTOM_ADJUSTEMENT + 0.5F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static char[][] convertToCharArrays(String[] paramArrayOfString) {
/* 230 */     char[][] arrayOfChar = new char[paramArrayOfString.length][];
/*     */     
/* 232 */     for (byte b = 0; b < paramArrayOfString.length; b++)
/*     */     {
/* 234 */       arrayOfChar[b] = paramArrayOfString[b].toCharArray();
/*     */     }
/*     */     
/* 237 */     return arrayOfChar;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineCount() {
/* 245 */     return this.lineCharArray.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineHeight() {
/* 253 */     return this.lineHeight;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getLineString(int paramInt) {
/* 261 */     return new String(this.lineCharArray[paramInt]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension getPreferredSize() {
/* 271 */     Insets insets = getInsets();
/*     */ 
/*     */     
/* 274 */     this.PREFERRED_SIZE.width = insets.left + insets.right + getRequiredTextWidth();
/*     */ 
/*     */     
/* 277 */     this.PREFERRED_SIZE.height = insets.top + insets.bottom + getRequiredTextHeight();
/*     */     
/* 279 */     return this.PREFERRED_SIZE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredTextHeight() {
/*     */     PlainTextPanel plainTextPanel;
/* 287 */     return getLineHeight() * getLineCount() + (plainTextPanel = this).fontMetrics.getLeading() + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredTextWidth() {
/* 295 */     return this.requiredTextWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TabExpander getTabExpander() {
/* 303 */     return this.tabExpander;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTextAlignment() {
/* 318 */     return this.textAlignment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Font getTextFont() {
/* 327 */     return getFont();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalAlignment() {
/* 338 */     return this.verticalAlignment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isAntialiasing() {
/* 347 */     return this.antialiasingOn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAntialiasing(boolean paramBoolean) {
/* 356 */     this.antialiasingOn = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFont(Font paramFont) {
/* 368 */     if (paramFont instanceof javax.swing.plaf.UIResource) {
/*     */       
/* 370 */       super.setFont(paramFont);
/* 371 */       a(paramFont);
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 377 */     setTextFont(paramFont, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLineHeight(int paramInt) {
/*     */     String str;
/* 387 */     if (paramInt <= 4)
/*     */     {
/* 389 */       throw new IllegalArgumentException("The Line Height must be greater than 4.");
/*     */     }
/* 391 */     if (Math.abs(this.PAGE_BOTTOM_ADJUSTEMENT) >= paramInt) {
/*     */       
/* 393 */       str = "The Line Height must be greater then the Page Bottom Adjustment (" + this.PAGE_BOTTOM_ADJUSTEMENT + ").";
/*     */       
/* 395 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 398 */     this.lineHeight = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTabExpander(TabExpander paramTabExpander) {
/* 406 */     this.tabExpander = paramTabExpander;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setText(String paramString) {
/* 415 */     a(f.b(paramString), getFont());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTextAlignment(int paramInt) {
/*     */     String str;
/* 432 */     if (paramInt != 1 && paramInt != 3 && paramInt != 0 && paramInt != 2) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 440 */       str = "Invalid Text Alignment value (" + paramInt + ").  Must be equal to one of the constants defined in " + "javax.swing.text.StyleConstants.";
/*     */ 
/*     */       
/* 443 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 447 */     if (str == '\003' && !a()) {
/*     */       
/* 449 */       str = "Justification is not supported by this class.";
/* 450 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 453 */     this.textAlignment = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean setTextFont(Font paramFont, boolean paramBoolean) {
/* 464 */     Font font = getFont();
/*     */ 
/*     */     
/* 467 */     if (paramFont.equals(font)) return false;
/*     */ 
/*     */     
/* 470 */     super.setFont(paramFont);
/* 471 */     a(paramFont);
/*     */ 
/*     */     
/* 474 */     if (this.lineCharArray == null) return false;
/*     */ 
/*     */     
/* 477 */     if (paramBoolean)
/*     */     {
/* 479 */       setLineHeight(computeLineHeight(paramFont));
/*     */     }
/*     */ 
/*     */     
/* 483 */     this.requiredTextWidth = PrintTextUtility.computeRequiredWidth(paramFont, this.lineCharArray, isAntialiasing());
/*     */ 
/*     */     
/* 486 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalAlignment(int paramInt) {
/*     */     String str;
/* 497 */     if (paramInt != 1 && paramInt != 0 && paramInt != 3) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 502 */       str = "Invalid Vertical Alignment value (" + paramInt + ").  Must be equal to one of the constants defined in " + "javax.swing.SwingConstants.";
/*     */ 
/*     */       
/* 505 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 508 */     this.verticalAlignment = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addImpl(Component paramComponent, Object paramObject, int paramInt) {
/* 523 */     String str = "Components cannot be added to this panel.";
/*     */ 
/*     */     
/* 526 */     throw new UnsupportedOperationException(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int computeLineHeight(Font paramFont) {
/*     */     FontMetrics fontMetrics;
/* 540 */     int j = (fontMetrics = Toolkit.getDefaultToolkit().getFontMetrics(paramFont)).getAscent();
/* 541 */     int i = paramFont.getSize();
/*     */     
/* 543 */     return (j > i) ? j : i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int computeTextStartX(Insets paramInsets, FontMetrics paramFontMetrics) {
/* 551 */     return paramInsets.left;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int computeTextStartY(Insets paramInsets, FontMetrics paramFontMetrics) {
/*     */     int i;
/* 562 */     if ((i = getVerticalAlignment()) != 1) {
/*     */       
/* 564 */       int j = getHeight();
/* 565 */       int k = getLineHeight();
/* 566 */       int m = getLineCount();
/* 567 */       j = j - m * k - paramInsets.top + paramInsets.bottom;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 574 */       if (i == 3)
/*     */       {
/* 576 */         return paramInsets.top + j + paramFontMetrics.getAscent() - paramFontMetrics.getDescent() - paramFontMetrics.getLeading();
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 583 */       return paramInsets.top + j / 2 + paramFontMetrics.getAscent() - paramFontMetrics.getLeading();
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 589 */     return paramInsets.top + paramFontMetrics.getAscent();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintComponent(Graphics paramGraphics) {
/* 598 */     Graphics2D graphics2D = (Graphics2D)paramGraphics; PlainTextPanel plainTextPanel;
/* 599 */     FontMetrics fontMetrics = (plainTextPanel = this).fontMetrics;
/* 600 */     Rectangle rectangle = paramGraphics.getClipBounds();
/* 601 */     Insets insets = getInsets();
/* 602 */     int j = getLineCount() - 1;
/* 603 */     int k = 0;
/* 604 */     int m = getLineHeight();
/*     */     
/* 606 */     super.paintComponent(graphics2D);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 613 */     int i1 = computeTextStartY(insets, fontMetrics) - fontMetrics.getAscent();
/*     */ 
/*     */     
/* 616 */     if (rectangle.y + rectangle.height < i1 - m) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/*     */     int n;
/*     */ 
/*     */     
/* 624 */     if ((n = rectangle.y - i1) > 0) {
/*     */ 
/*     */       
/* 627 */       if ((k = n / m) > 0) k--;
/*     */ 
/*     */       
/* 630 */       if (k > j) {
/*     */         return;
/*     */       }
/*     */     } 
/*     */     int i;
/* 635 */     if ((i = (n = rectangle.y + rectangle.height - i1) + 2) > j) i = j;
/*     */ 
/*     */     
/* 638 */     graphics2D.setColor(getForeground());
/* 639 */     paintText(graphics2D, fontMetrics, insets, k, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintText(Graphics2D paramGraphics2D, FontMetrics paramFontMetrics, Insets paramInsets, int paramInt1, int paramInt2) {
/* 650 */     TabExpander tabExpander = getTabExpander();
/*     */     
/* 652 */     Object object = null;
/* 653 */     Font font = getFont();
/* 654 */     Segment segment = new Segment();
/* 655 */     boolean bool2 = isAntialiasing();
/* 656 */     boolean bool1 = PrintUtility.isPreviewGraphics(paramGraphics2D);
/* 657 */     int i = getTextAlignment();
/* 658 */     int j = computeTextStartX(paramInsets, paramFontMetrics);
/* 659 */     int k = computeTextStartY(paramInsets, paramFontMetrics);
/* 660 */     int m = getLineHeight();
/* 661 */     int n = 0;
/*     */ 
/*     */     
/* 664 */     GlyphVectorFactory glyphVectorFactory = bool1 ? PrintTextUtility.getPreviewGlyphVectorFactory() : PrintTextUtility.getDefaultGlyphVectorFactory();
/*     */ 
/*     */ 
/*     */     
/* 668 */     k += paramInt1 * m;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 673 */     if (i == 0) {
/*     */       
/* 675 */       for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */         
/* 677 */         a(paramInt1, segment);
/*     */         
/*     */         GlyphVector glyphVector;
/* 680 */         PrintTextUtility.drawGlyphVector(glyphVector = glyphVectorFactory.createGlyphVector(font, segment, tabExpander, bool2), j, k, paramGraphics2D);
/* 681 */         k += m;
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/* 686 */     if (i == 1) {
/*     */       
/* 688 */       n = getWidth() - paramInsets.left + paramInsets.right;
/* 689 */       for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */         
/* 691 */         a(paramInt1, segment);
/* 692 */         GlyphVector glyphVector = glyphVectorFactory.createGlyphVector(font, segment, tabExpander, bool2);
/*     */         
/* 694 */         int i4 = paramInt1; Insets insets = paramInsets; int i3 = n; boolean bool = bool2; Font font1 = font; PlainTextPanel plainTextPanel = this; int i1 = PrintTextUtility.computeWidth(font1, plainTextPanel.lineCharArray[i4], bool), i2 = insets.left + (i3 - i1) / 2;
/*     */         
/* 696 */         PrintTextUtility.drawGlyphVector(glyphVector, i2, k, paramGraphics2D);
/*     */         
/* 698 */         k += m;
/*     */       } 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 705 */     n = getWidth() - paramInsets.left + paramInsets.right;
/* 706 */     for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */       
/* 708 */       a(paramInt1, segment);
/* 709 */       GlyphVector glyphVector = glyphVectorFactory.createGlyphVector(font, segment, tabExpander, bool2);
/*     */       
/* 711 */       int i4 = paramInt1; Insets insets = paramInsets; int i3 = n; boolean bool = bool2; Font font1 = font; PlainTextPanel plainTextPanel = this; int i1 = PrintTextUtility.computeWidth(font1, plainTextPanel.lineCharArray[i4], bool), i2 = insets.left + i3 - i1;
/*     */       
/* 713 */       PrintTextUtility.drawGlyphVector(glyphVector, i2, k, paramGraphics2D);
/*     */       
/* 715 */       k += m;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final char[] a(int paramInt) {
/* 738 */     return this.lineCharArray[paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean a() {
/* 746 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(int paramInt, Segment paramSegment) {
/* 805 */     paramSegment.array = this.lineCharArray[paramInt];
/* 806 */     paramSegment.offset = 0;
/* 807 */     paramSegment.count = (this.lineCharArray[paramInt]).length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Font paramFont) {
/* 829 */     this.fontMetrics = Toolkit.getDefaultToolkit().getFontMetrics(paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(char[][] paramArrayOfchar, Font paramFont) {
/* 838 */     this.lineCharArray = paramArrayOfchar;
/*     */ 
/*     */     
/* 841 */     this.requiredTextWidth = PrintTextUtility.computeRequiredWidth(paramFont, this.lineCharArray, isAntialiasing());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\text\PlainTextPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */