/*     */ package jpdf.report.text;
/*     */ 
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Insets;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.io.File;
/*     */ import java.io.FileReader;
/*     */ import java.util.ArrayList;
/*     */ import javax.swing.text.TabExpander;
/*     */ import jpdf.printer.text.GlyphVectorFactory;
/*     */ import jpdf.printer.text.JustifyTextUtility;
/*     */ import jpdf.printer.text.PrintTextUtility;
/*     */ import jpdf.printer.text.WrapTextUtility;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.d.a;
/*     */ import jpdf_common.system.c.f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WrappedPlainTextPanel
/*     */   extends PlainTextPanel
/*     */ {
/*     */   private final ArrayList LOGICAL_LINES;
/*  55 */   private int breakWidth = -1;
/*  56 */   private int minimumBreakWidth = 180;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WrappedPlainTextPanel(String paramString, Font paramFont) {
/*  69 */     this(f.a(paramString), paramFont, -1, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WrappedPlainTextPanel(String paramString, Font paramFont, int paramInt) {
/*  78 */     this(f.a(paramString), paramFont, paramInt, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WrappedPlainTextPanel(File paramFile, Font paramFont, int paramInt1, int paramInt2) {
/*  89 */     this(a.a(new FileReader(paramFile)), paramFont, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WrappedPlainTextPanel(String paramString, Font paramFont, int paramInt1, int paramInt2) {
/*  99 */     this(f.a(paramString), paramFont, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WrappedPlainTextPanel(String[] paramArrayOfString, Font paramFont, int paramInt1, int paramInt2) {
/* 116 */     super(paramArrayOfString, paramFont, paramInt1, paramInt2);
/*     */ 
/*     */     
/* 119 */     this.LOGICAL_LINES = new ArrayList(paramArrayOfString.length);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void doLayout() {
/* 134 */     Insets insets = getInsets();
/* 135 */     int i = getWidth() - insets.left + insets.right; WrappedPlainTextPanel wrappedPlainTextPanel;
/* 136 */     int j = (wrappedPlainTextPanel = this).breakWidth;
/* 137 */     if (i <= 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 143 */     int k = getMinimumBreakWidth();
/* 144 */     if (i < k)
/*     */     {
/* 146 */       i = k;
/*     */     }
/*     */ 
/*     */     
/* 150 */     if (j != i) {
/*     */ 
/*     */ 
/*     */       
/* 154 */       j = i; WrappedPlainTextPanel wrappedPlainTextPanel2;
/* 155 */       (wrappedPlainTextPanel2 = this).breakWidth = i = j;
/* 156 */       j = j; WrappedPlainTextPanel wrappedPlainTextPanel1; Font font = (wrappedPlainTextPanel1 = this).getFont(); TabExpander tabExpander = wrappedPlainTextPanel1.getTabExpander(); boolean bool = wrappedPlainTextPanel1.isAntialiasing(); int m = wrappedPlainTextPanel1.getLineCount(); wrappedPlainTextPanel1.LOGICAL_LINES.clear(); for (byte b = 0; b < m; ) { WrapTextUtility.breakString(font, wrappedPlainTextPanel1.a(b), tabExpander, j, wrappedPlainTextPanel1.LOGICAL_LINES, bool); b++; }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void reshape(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 168 */     int i = getWidth();
/*     */     
/* 170 */     super.reshape(paramInt1, paramInt2, paramInt3, paramInt4);
/*     */ 
/*     */     
/* 173 */     if (paramInt3 != i && paramInt3 > 0) doLayout();
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getMinimumBreakWidth() {
/* 182 */     return this.minimumBreakWidth;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredTextWidth() {
/*     */     WrappedPlainTextPanel wrappedPlainTextPanel;
/*     */     int i;
/* 196 */     if ((i = (wrappedPlainTextPanel = this).breakWidth) < 0) return super.getRequiredTextWidth();
/*     */     
/* 198 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLineCount() {
/* 207 */     return this.LOGICAL_LINES.size();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getLineString(int paramInt) {
/* 216 */     int i = paramInt; WrappedPlainTextPanel wrappedPlainTextPanel; WrapTextUtility.LogicalLineInfoHolder logicalLineInfoHolder; return (logicalLineInfoHolder = (wrappedPlainTextPanel = this).LOGICAL_LINES.get(i)).logicalLineSegment.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setMinimumBreakWidth(int paramInt) {
/* 226 */     if (paramInt < 72) paramInt = 72; 
/* 227 */     this.minimumBreakWidth = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setText(String paramString) {
/* 238 */     super.setText(paramString);
/*     */     
/*     */     WrappedPlainTextPanel wrappedPlainTextPanel;
/* 241 */     byte b = -1;
/* 242 */     doLayout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean setTextFont(Font paramFont, boolean paramBoolean) {
/* 256 */     if (!super.setTextFont(paramFont, paramBoolean)) return false;
/*     */     
/*     */     WrappedPlainTextPanel wrappedPlainTextPanel;
/* 259 */     byte b = -1;
/* 260 */     doLayout();
/*     */     
/* 262 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void paintText(Graphics2D paramGraphics2D, FontMetrics paramFontMetrics, Insets paramInsets, int paramInt1, int paramInt2) {
/*     */     GlyphVector glyphVector;
/*     */     Font font;
/* 279 */     int i = (font = getFont()).getSize();
/*     */     
/* 281 */     Object object1 = null;
/* 282 */     TabExpander tabExpander = getTabExpander();
/*     */     
/* 284 */     Object object2 = null;
/* 285 */     boolean bool2 = isAntialiasing();
/* 286 */     boolean bool1 = PrintUtility.isPreviewGraphics(paramGraphics2D);
/* 287 */     int j = getTextAlignment();
/* 288 */     int k = computeTextStartX(paramInsets, paramFontMetrics);
/* 289 */     int m = computeTextStartY(paramInsets, paramFontMetrics); WrappedPlainTextPanel wrappedPlainTextPanel;
/* 290 */     int n = (wrappedPlainTextPanel = this).breakWidth;
/* 291 */     int i1 = getLineHeight();
/*     */ 
/*     */     
/* 294 */     GlyphVectorFactory glyphVectorFactory = bool1 ? PrintTextUtility.getPreviewGlyphVectorFactory() : PrintTextUtility.getDefaultGlyphVectorFactory();
/*     */ 
/*     */ 
/*     */     
/* 298 */     m += paramInt1 * i1;
/*     */ 
/*     */ 
/*     */     
/* 302 */     if (j == 0) {
/*     */       
/* 304 */       for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */         WrapTextUtility.LogicalLineInfoHolder logicalLineInfoHolder;
/*     */         
/* 307 */         if ((logicalLineInfoHolder = this.LOGICAL_LINES.get(paramInt1)).lineWidth > 0)
/*     */         {
/*     */ 
/*     */           
/* 311 */           PrintTextUtility.drawGlyphVector(glyphVector = glyphVectorFactory.createGlyphVector(font, logicalLineInfoHolder.logicalLineSegment, tabExpander, bool2), k, m, paramGraphics2D);
/*     */         }
/* 313 */         m += i1;
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/* 318 */     if (glyphVector == true) {
/*     */       
/* 320 */       for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */         WrapTextUtility.LogicalLineInfoHolder logicalLineInfoHolder;
/*     */         
/* 323 */         if ((logicalLineInfoHolder = this.LOGICAL_LINES.get(paramInt1)).lineWidth > 0) {
/*     */           
/* 325 */           glyphVector = glyphVectorFactory.createGlyphVector(font, logicalLineInfoHolder.logicalLineSegment, tabExpander, bool2);
/*     */           
/* 327 */           k = n; int i2 = logicalLineInfoHolder.lineWidth, i3 = i = paramInsets.left; if (i2 < k) i3 = (int)(i + (k - i2) / 2.0F);  k = i3;
/* 328 */           PrintTextUtility.drawGlyphVector(glyphVector, k, m, paramGraphics2D);
/*     */         } 
/* 330 */         m += i1;
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/* 335 */     if (glyphVector == 2) {
/*     */       
/* 337 */       for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */         WrapTextUtility.LogicalLineInfoHolder logicalLineInfoHolder;
/*     */         
/* 340 */         if ((logicalLineInfoHolder = this.LOGICAL_LINES.get(paramInt1)).lineWidth > 0) {
/*     */           
/* 342 */           glyphVector = glyphVectorFactory.createGlyphVector(font, logicalLineInfoHolder.logicalLineSegment, tabExpander, bool2);
/*     */           
/* 344 */           k = n; int i2 = logicalLineInfoHolder.lineWidth, i3 = i = paramInsets.left; if (i2 < k) i3 = i + k - i2;  k = i3;
/* 345 */           PrintTextUtility.drawGlyphVector(glyphVector, k, m, paramGraphics2D);
/*     */         } 
/* 347 */         m += i1;
/*     */       } 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 354 */     for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*     */       WrapTextUtility.LogicalLineInfoHolder logicalLineInfoHolder;
/*     */ 
/*     */       
/* 358 */       if ((logicalLineInfoHolder = this.LOGICAL_LINES.get(paramInt1)).lineWidth > 0) {
/*     */         
/* 360 */         glyphVector = glyphVectorFactory.createGlyphVector(font, logicalLineInfoHolder.logicalLineSegment, tabExpander, bool2);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 365 */         if (!logicalLineInfoHolder.lastLogicalLine && logicalLineInfoHolder.logicalLineSegment.count > 10)
/*     */         {
/* 367 */           JustifyTextUtility.justifyGlyphVector(logicalLineInfoHolder.logicalLineSegment, glyphVector, n, i);
/*     */         }
/*     */ 
/*     */         
/* 371 */         PrintTextUtility.drawGlyphVector(glyphVector, k, m, paramGraphics2D);
/*     */       } 
/* 373 */       m += i1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final boolean a() {
/* 388 */     return true;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\text\WrappedPlainTextPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */