/*     */ package jpdf.utility;
/*     */ 
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintServiceRegistry;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AttributeSetFactory
/*     */ {
/*     */   public static final float DEFAULT_MARGIN_INCHES = 0.5F;
/*     */   
/*     */   public static PrintRequestAttributeSet buildDerivative(PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, MediaSizeName paramMediaSizeName, OrientationRequested paramOrientationRequested, int paramInt) {
/*  80 */     float f = PrintUtility.convertToInches(paramInt);
/*     */     
/*  82 */     return buildDerivative(paramPrintService, paramPrintRequestAttributeSet, paramMediaSizeName, paramOrientationRequested, f, f, f, f);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildDerivative(PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, MediaSizeName paramMediaSizeName, OrientationRequested paramOrientationRequested, float paramFloat) {
/* 106 */     return buildDerivative(paramPrintService, paramPrintRequestAttributeSet, paramMediaSizeName, paramOrientationRequested, paramFloat, paramFloat, paramFloat, paramFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildDerivative(PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, MediaSizeName paramMediaSizeName, OrientationRequested paramOrientationRequested, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 135 */     return buildDerivative(paramPrintService, paramPrintRequestAttributeSet, paramMediaSizeName, paramOrientationRequested, PrintUtility.convertToInches(paramInt1), PrintUtility.convertToInches(paramInt2), PrintUtility.convertToInches(paramInt3), PrintUtility.convertToInches(paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildDerivative(PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, MediaSizeName paramMediaSizeName, OrientationRequested paramOrientationRequested, float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4) {
/* 163 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintRequestAttributeSet;
/* 164 */     Object object = null;
/* 165 */     object = null;
/* 166 */     float f2 = 0.0F;
/* 167 */     float f1 = 0.0F;
/* 168 */     Class<? extends Attribute> clazz = null;
/*     */ 
/*     */     
/* 171 */     if (paramPrintService.isAttributeCategorySupported((Class)OrientationRequested.class)) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 177 */       (printRequestAttributeSet = new HashPrintRequestAttributeSet(paramPrintRequestAttributeSet)).add(paramOrientationRequested);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 182 */       if (paramMediaSizeName != null) {
/*     */         
/* 184 */         printRequestAttributeSet.add(paramMediaSizeName);
/*     */       }
/*     */       else {
/*     */         
/* 188 */         clazz = MediaSizeName.A.getCategory();
/*     */         
/* 190 */         if ((paramMediaSizeName = (MediaSizeName)printRequestAttributeSet.get(clazz)) == null)
/*     */         {
/* 192 */           paramMediaSizeName = (MediaSizeName)paramPrintService.getDefaultAttributeValue(clazz);
/*     */         }
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 198 */       if (paramMediaSizeName != null) {
/*     */         MediaPrintableArea mediaPrintableArea;
/*     */         
/*     */         MediaSize mediaSize;
/* 202 */         f2 = (mediaSize = MediaSize.getMediaSizeForName(paramMediaSizeName)).getX(25400);
/* 203 */         float f = mediaSize.getY(25400);
/*     */ 
/*     */         
/* 206 */         if (paramOrientationRequested == OrientationRequested.PORTRAIT) {
/*     */ 
/*     */           
/* 209 */           f2 -= paramFloat2 + paramFloat4;
/* 210 */           f -= paramFloat1 + paramFloat3;
/*     */ 
/*     */           
/* 213 */           mediaPrintableArea = new MediaPrintableArea(paramFloat2, paramFloat1, f2, f, 25400);
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 220 */           f2 -= paramFloat1 + paramFloat3;
/* 221 */           float f3 = mediaPrintableArea - paramFloat2 + paramFloat4;
/*     */ 
/*     */           
/* 224 */           mediaPrintableArea = new MediaPrintableArea(paramFloat1, paramFloat4, f2, f3, 25400);
/*     */         } 
/*     */ 
/*     */         
/* 228 */         printRequestAttributeSet.add(mediaPrintableArea);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 233 */     return printRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromDefaultAttributeSet(boolean paramBoolean) {
/* 243 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 246 */     return buildDerivative(PrintManager.getDefaultPrintService(), PrintManager.getDefaultPrintAttributes(), (MediaSizeName)null, orientationRequested, 0.5F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromDefaultAttributeSet(boolean paramBoolean, int paramInt) {
/* 262 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 265 */     return buildDerivative(PrintManager.getDefaultPrintService(), PrintManager.getDefaultPrintAttributes(), (MediaSizeName)null, orientationRequested, PrintUtility.convertToInches(paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromDefaultAttributeSet(boolean paramBoolean, float paramFloat) {
/* 277 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 280 */     return buildDerivative(PrintManager.getDefaultPrintService(), PrintManager.getDefaultPrintAttributes(), (MediaSizeName)null, orientationRequested, paramFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromDefaultAttributeSet(boolean paramBoolean, MediaSizeName paramMediaSizeName, int paramInt) {
/* 297 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 300 */     return buildDerivative(PrintManager.getDefaultPrintService(), PrintManager.getDefaultPrintAttributes(), paramMediaSizeName, orientationRequested, PrintUtility.convertToInches(paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromDefaultAttributeSet(boolean paramBoolean, MediaSizeName paramMediaSizeName, float paramFloat) {
/* 313 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 316 */     return buildDerivative(PrintManager.getDefaultPrintService(), PrintManager.getDefaultPrintAttributes(), paramMediaSizeName, orientationRequested, paramFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromPrintServiceDefaults() {
/* 328 */     return buildFromPrintServiceDefaults(PrintServiceRegistry.lookupDefaultPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildFromPrintServiceDefaults(PrintService paramPrintService) {
/* 337 */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet();
/* 338 */     Object object = null;
/*     */ 
/*     */ 
/*     */     
/* 342 */     Class[] arrayOfClass = paramPrintService.getSupportedAttributeCategories();
/*     */ 
/*     */     
/* 345 */     for (byte b = 0; b < arrayOfClass.length; b++) {
/*     */       
/* 347 */       if (PrintRequestAttribute.class.isAssignableFrom(arrayOfClass[b]))
/*     */       {
/*     */         
/* 350 */         if ((object = paramPrintService.getDefaultAttributeValue(arrayOfClass[b])) != null)
/*     */         {
/* 352 */           hashPrintRequestAttributeSet.add((Attribute)object);
/*     */         }
/*     */       }
/*     */     } 
/*     */     
/* 357 */     return hashPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildNew(boolean paramBoolean, MediaSizeName paramMediaSizeName, int paramInt) {
/* 373 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */     
/* 375 */     float f = PrintUtility.convertToInches(paramInt);
/*     */     
/* 377 */     return buildDerivative(PrintManager.getDefaultPrintService(), new HashPrintRequestAttributeSet(), paramMediaSizeName, orientationRequested, f, f, f, f);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildNew(boolean paramBoolean, MediaSizeName paramMediaSizeName, float paramFloat) {
/* 390 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 393 */     return buildDerivative(PrintManager.getDefaultPrintService(), new HashPrintRequestAttributeSet(), paramMediaSizeName, orientationRequested, paramFloat, paramFloat, paramFloat, paramFloat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildNew(boolean paramBoolean, MediaSizeName paramMediaSizeName, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 412 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 415 */     return buildDerivative(PrintManager.getDefaultPrintService(), new HashPrintRequestAttributeSet(), paramMediaSizeName, orientationRequested, PrintUtility.convertToInches(paramInt1), PrintUtility.convertToInches(paramInt2), PrintUtility.convertToInches(paramInt3), PrintUtility.convertToInches(paramInt4));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PrintRequestAttributeSet buildNew(boolean paramBoolean, MediaSizeName paramMediaSizeName, float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4) {
/* 432 */     OrientationRequested orientationRequested = paramBoolean ? OrientationRequested.LANDSCAPE : OrientationRequested.PORTRAIT;
/*     */ 
/*     */     
/* 435 */     return buildDerivative(PrintManager.getDefaultPrintService(), new HashPrintRequestAttributeSet(), paramMediaSizeName, orientationRequested, paramFloat1, paramFloat2, paramFloat3, paramFloat4);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\AttributeSetFactory.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */