/*     */ package jpdf.utility;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.attribute.OffsetLeft;
/*     */ import jpdf.attribute.ScaleFactorMax;
/*     */ import jpdf.attribute.ScaleFactorMin;
/*     */ import jpdf.manage.PrintParameterHolder;
/*     */ import jpdf.printer.CloneableGenericComponentPrinter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ComponentDecorationPainter
/*     */   extends CloneableGenericComponentPrinter
/*     */   implements PageDecorationPainter
/*     */ {
/*     */   private static final PrintRequestAttributeSet a;
/*     */   private final Rectangle b;
/*     */   private final Dimension c;
/*     */   
/*     */   static {
/*  42 */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  50 */   private final Dimension d = new Dimension(1, 1);
/*     */   
/*     */   private final boolean e;
/*     */   private boolean f = false;
/*  54 */   private int g = 0;
/*  55 */   private int h = 0;
/*  56 */   private int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ComponentDecorationPainter(JComponent paramJComponent, boolean paramBoolean) {
/*  69 */     this(paramJComponent, a, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ComponentDecorationPainter(JComponent paramJComponent, PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/*  83 */     super(paramJComponent, "Page Decoration", 1, false, true);
/*     */     
/*  85 */     this.c = paramJComponent.getPreferredSize();
/*  86 */     this.b = new Rectangle(0, 0, this.c.width, this.c.height);
/*  87 */     this.e = paramBoolean;
/*  88 */     setAttributeSet(paramPrintRequestAttributeSet);
/*  89 */     setToPrintPageDecorations(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getBottomMargin() {
/* 103 */     return this.i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getLeftIndent() {
/* 111 */     return this.g;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getRequiredHeight(int paramInt1, int paramInt2, PrintParameterHolder paramPrintParameterHolder) {
/* 121 */     return this.c.height + getTopMargin() + getBottomMargin();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTopMargin() {
/* 130 */     return this.h;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToUseAvailableContentWidth() {
/* 143 */     return this.f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4, PrintParameterHolder paramPrintParameterHolder) {
/* 156 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/* 157 */     PrintRequestAttributeSet printRequestAttributeSet = getAttributeSet();
/* 158 */     JComponent jComponent = (JComponent)this.TARGET_COMPONENT;
/* 159 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/* 160 */     float f2 = 1.0F;
/*     */ 
/*     */     
/* 163 */     int i = isToUseAvailableContentWidth() ? paramInt2 : paramInt1;
/*     */ 
/*     */ 
/*     */     
/*     */     float f1;
/*     */ 
/*     */ 
/*     */     
/* 171 */     if ((f1 = AlignmentFactorHorizontal.getAlignmentFactor(printRequestAttributeSet)) > 0.0F)
/*     */     {
/* 173 */       if (this.c.width < i)
/*     */       {
/* 175 */         paramInt3 += (int)((i - this.c.width) * f1);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 184 */     paramInt3 = (paramInt3 = paramInt3 + (int)(OffsetLeft.getOffset(printRequestAttributeSet, 25400, 0.0F) * 72.0F + 0.5F)) + getLeftIndent();
/* 185 */     paramInt4 += getTopMargin();
/*     */ 
/*     */     
/* 188 */     paramGraphics2D.translate(paramInt3, paramInt4);
/*     */ 
/*     */     
/* 191 */     if (this.e) {
/*     */       
/* 193 */       sizeToWidth(jComponent, i);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 200 */       int j = i; PrintRequestAttributeSet printRequestAttributeSet1 = printRequestAttributeSet; ComponentDecorationPainter componentDecorationPainter = this; float f4 = 0.01F; f2 = 99.0F; float f3 = j / componentDecorationPainter.c.width; ScaleFactorMin scaleFactorMin; if ((scaleFactorMin = (ScaleFactorMin)printRequestAttributeSet1.get(ScaleFactorMin.class)) != null) f4 = scaleFactorMin.getValue();  ScaleFactorMax scaleFactorMax; if ((scaleFactorMax = (ScaleFactorMax)printRequestAttributeSet1.get(ScaleFactorMax.class)) != null) f2 = scaleFactorMax.getValue();  if (f3 < f4) { f3 = f4; } else if (f3 > f2) { f3 = f2; }  f2 = !FitToPagesSelected.isFitSelected(printRequestAttributeSet1) ? 1.0F : f3;
/*     */     } 
/*     */ 
/*     */     
/* 204 */     paintComponent(paramGraphics2D, this.b, this.c.width, this.c.height, f2, this.d, 0, 0, f1, 0.0F, false);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 209 */     paramGraphics2D.setTransform(affineTransform);
/* 210 */     paramGraphics2D.setClip(rectangle);
/*     */ 
/*     */     
/* 213 */     return getRequiredHeight(paramInt1, paramInt2, paramPrintParameterHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBottomMargin(int paramInt) {
/* 223 */     this.i = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLeftIndent(int paramInt) {
/* 233 */     this.g = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTopMargin(int paramInt) {
/* 242 */     this.h = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToUseAvailableContentWidth(boolean paramBoolean) {
/* 260 */     this.f = paramBoolean;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\ComponentDecorationPainter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */