/*     */ package jpdf.utility;
/*     */ 
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.DocPrintJob;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.ServiceUIFactory;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.AttributeSetUtilities;
/*     */ import javax.print.attribute.HashAttributeSet;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.HashPrintServiceAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintServiceAttribute;
/*     */ import javax.print.attribute.PrintServiceAttributeSet;
/*     */ import javax.print.attribute.standard.Chromaticity;
/*     */ import javax.print.attribute.standard.ColorSupported;
/*     */ import javax.print.attribute.standard.Copies;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import javax.print.attribute.standard.PrinterInfo;
/*     */ import javax.print.attribute.standard.PrinterIsAcceptingJobs;
/*     */ import javax.print.attribute.standard.PrinterName;
/*     */ import javax.print.attribute.standard.PrinterState;
/*     */ import javax.print.attribute.standard.RequestingUserName;
/*     */ import javax.print.event.PrintServiceAttributeListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewPrintService
/*     */   implements PrintService
/*     */ {
/*  59 */   private static final DocFlavor[] a = new DocFlavor[] { DocFlavor.SERVICE_FORMATTED.PRINTABLE, DocFlavor.SERVICE_FORMATTED.PAGEABLE };
/*     */ 
/*     */   
/*  62 */   private static final MediaSizeName[] b = new MediaSizeName[] { MediaSizeName.NA_LETTER, MediaSizeName.LEDGER, MediaSizeName.NA_LEGAL, MediaSizeName.EXECUTIVE, MediaSizeName.ISO_A3, MediaSizeName.ISO_A4, MediaSizeName.ISO_A5, MediaSizeName.ISO_B4, MediaSizeName.ISO_B5 };
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  67 */   private static final OrientationRequested[] c = new OrientationRequested[] { OrientationRequested.PORTRAIT, OrientationRequested.LANDSCAPE, OrientationRequested.REVERSE_LANDSCAPE };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   private final PrintServiceAttributeSet d = new HashPrintServiceAttributeSet();
/*  76 */   private final PrintRequestAttributeSet e = new HashPrintRequestAttributeSet();
/*     */ 
/*     */ 
/*     */   
/*     */   private final Class[] f;
/*     */ 
/*     */ 
/*     */   
/*     */   private final String g;
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintService(String paramString) {
/*  89 */     this.g = paramString;
/*     */     
/*  91 */     Locale locale = Locale.getDefault();
/*     */ 
/*     */     
/*  94 */     this.d.add(new PrinterName(paramString, locale));
/*  95 */     this.d.add(ColorSupported.SUPPORTED);
/*  96 */     this.d.add(PrinterIsAcceptingJobs.ACCEPTING_JOBS);
/*  97 */     this.d.add(PrinterState.IDLE);
/*  98 */     this.d.add(new PrinterInfo("PreviewPrintService", locale));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 105 */     this.e.add(Chromaticity.COLOR);
/* 106 */     this.e.add(new Copies(1));
/* 107 */     this.e.add(new JobName("Java Printing", locale));
/* 108 */     this.e.add(new RequestingUserName("JPDF", locale));
/* 109 */     PrintUtility.addDefaultPageFormatAttributes(this.e);
/*     */ 
/*     */     
/* 112 */     Attribute[] arrayOfAttribute = this.e.toArray();
/* 113 */     this.f = new Class[arrayOfAttribute.length];
/* 114 */     for (byte b = 0; b < this.f.length; b++)
/*     */     {
/* 116 */       this.f[b] = arrayOfAttribute[b].getCategory();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addPrintServiceAttributeListener(PrintServiceAttributeListener paramPrintServiceAttributeListener) {
/* 131 */     throw new UnsupportedOperationException("Print Service Attribute Listeners are not supported.");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DocPrintJob createPrintJob() {
/* 141 */     String str = "This Print Service (" + this.g + ") does not support printing.";
/*     */ 
/*     */     
/* 144 */     throw new UnsupportedOperationException(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintServiceAttribute getAttribute(Class<?> paramClass) {
/* 161 */     if (paramClass == null)
/*     */     {
/* 163 */       throw new NullPointerException("The Category cannot be NULL.");
/*     */     }
/* 165 */     if (!PrintServiceAttribute.class.isAssignableFrom(paramClass))
/*     */     {
/* 167 */       throw new IllegalArgumentException("The Category (" + paramClass.getName() + ") is not a PrintServiceAttribute.");
/*     */     }
/*     */ 
/*     */     
/* 171 */     return (PrintServiceAttribute)this.d.get(paramClass);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintServiceAttributeSet getAttributes() {
/* 180 */     return AttributeSetUtilities.unmodifiableView(this.d);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getDefaultAttributeValue(Class<?> paramClass) {
/* 196 */     if (paramClass == null)
/*     */     {
/* 198 */       throw new NullPointerException("The Category cannot be NULL.");
/*     */     }
/* 200 */     if (!Attribute.class.isAssignableFrom(paramClass))
/*     */     {
/* 202 */       throw new IllegalArgumentException("The Category (" + paramClass.getName() + ") is not an Attribute.");
/*     */     }
/*     */ 
/*     */     
/* 206 */     return this.e.get(paramClass);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() {
/* 214 */     return this.g;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ServiceUIFactory getServiceUIFactory() {
/* 222 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Class[] getSupportedAttributeCategories() {
/*     */     Class[] arrayOfClass;
/* 232 */     return arrayOfClass = (Class[])this.f.clone();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getSupportedAttributeValues(Class<?> paramClass, DocFlavor paramDocFlavor, AttributeSet paramAttributeSet) {
/*     */     MediaSize mediaSize;
/* 266 */     if (paramClass == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 271 */       throw new NullPointerException("The Category cannot be NULL.");
/*     */     }
/* 273 */     if (!Attribute.class.isAssignableFrom(paramClass))
/*     */     {
/* 275 */       throw new IllegalArgumentException("The Category (" + paramClass.getName() + ") is not an Attribute.");
/*     */     }
/*     */     
/* 278 */     if (paramDocFlavor != null && !isDocFlavorSupported(paramDocFlavor))
/*     */     {
/* 280 */       throw new IllegalArgumentException("Unsupported Doc Flavor: " + paramDocFlavor);
/*     */     }
/*     */ 
/*     */     
/* 284 */     if (!isAttributeCategorySupported(paramClass)) return null;
/*     */ 
/*     */     
/* 287 */     if (paramClass == OrientationRequested.class)
/*     */     {
/* 289 */       return c.clone();
/*     */     }
/*     */ 
/*     */     
/* 293 */     if (paramClass == Media.class)
/*     */     {
/* 295 */       return b.clone();
/*     */     }
/*     */ 
/*     */     
/* 299 */     if (paramClass == MediaPrintableArea.class) {
/*     */ 
/*     */       
/* 302 */       if (paramAttributeSet == null) return null;
/*     */ 
/*     */ 
/*     */       
/* 306 */       if ((mediaSize = PrintUtility.getMediaSize(paramAttributeSet)) == null) return null;
/*     */ 
/*     */ 
/*     */       
/* 310 */       return new MediaPrintableArea[] { PrintUtility.buildPrintableArea(mediaSize) };
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 315 */     if (mediaSize == Chromaticity.class)
/*     */     {
/* 317 */       return new Chromaticity[] { Chromaticity.COLOR };
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 322 */     return this.e.get((Class<?>)mediaSize);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DocFlavor[] getSupportedDocFlavors() {
/* 332 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AttributeSet getUnsupportedAttributes(DocFlavor paramDocFlavor, AttributeSet paramAttributeSet) {
/* 346 */     if (paramDocFlavor != null && !isDocFlavorSupported(paramDocFlavor))
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 352 */       throw new IllegalArgumentException("Unsupported Doc Flavor: " + paramDocFlavor);
/*     */     }
/*     */ 
/*     */     
/* 356 */     if (paramAttributeSet == null) return null;
/*     */ 
/*     */     
/* 359 */     HashAttributeSet hashAttributeSet = new HashAttributeSet();
/* 360 */     Attribute[] arrayOfAttribute = paramAttributeSet.toArray();
/* 361 */     for (byte b = 0; b < arrayOfAttribute.length; b++) {
/*     */ 
/*     */       
/*     */       try {
/* 365 */         if (!isAttributeCategorySupported(arrayOfAttribute[b].getCategory()))
/*     */         {
/* 367 */           hashAttributeSet.add(arrayOfAttribute[b]);
/*     */         }
/* 369 */         else if (!isAttributeValueSupported(arrayOfAttribute[b], paramDocFlavor, paramAttributeSet))
/*     */         {
/* 371 */           hashAttributeSet.add(arrayOfAttribute[b]);
/*     */         }
/*     */       
/* 374 */       } catch (ClassCastException classCastException) {}
/*     */     } 
/*     */ 
/*     */     
/* 378 */     if (hashAttributeSet.isEmpty()) hashAttributeSet = null;
/*     */     
/* 380 */     return hashAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isAttributeCategorySupported(Class paramClass) {
/* 389 */     for (byte b = 0; b < this.f.length; b++) {
/*     */       
/* 391 */       if (paramClass.equals(this.f[b])) return true;
/*     */     
/*     */     } 
/* 394 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isAttributeValueSupported(Attribute paramAttribute, DocFlavor paramDocFlavor, AttributeSet paramAttributeSet) {
/* 407 */     if (paramAttribute == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 412 */       throw new NullPointerException("Null Attribute Value not allowed.");
/*     */     }
/* 414 */     if (paramDocFlavor != null && !isDocFlavorSupported(paramDocFlavor))
/*     */     {
/* 416 */       throw new IllegalArgumentException("Unsupported Doc Flavor: " + paramDocFlavor);
/*     */     }
/*     */ 
/*     */     
/* 420 */     Class<? extends Attribute> clazz = paramAttribute.getCategory();
/* 421 */     if (!isAttributeCategorySupported(clazz)) return false;
/*     */ 
/*     */     
/* 424 */     if (paramAttribute instanceof MediaSizeName)
/*     */     {
/* 426 */       return a((MediaSizeName)paramAttribute);
/*     */     }
/*     */ 
/*     */     
/* 430 */     if (paramAttribute instanceof OrientationRequested)
/*     */     {
/* 432 */       return a((OrientationRequested)paramAttribute);
/*     */     }
/*     */     
/* 435 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isDocFlavorSupported(DocFlavor paramDocFlavor) {
/* 444 */     DocFlavor[] arrayOfDocFlavor = getSupportedDocFlavors();
/*     */     
/* 446 */     for (byte b = 0; b < arrayOfDocFlavor.length; b++) {
/*     */       
/* 448 */       if (paramDocFlavor.equals(arrayOfDocFlavor[b])) return true;
/*     */     
/*     */     } 
/* 451 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removePrintServiceAttributeListener(PrintServiceAttributeListener paramPrintServiceAttributeListener) {
/* 460 */     throw new UnsupportedOperationException("Print Service Attribute Listeners are not supported.");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a(MediaSizeName paramMediaSizeName) {
/* 474 */     for (byte b = 0; b < b.length; b++) {
/*     */       
/* 476 */       if (paramMediaSizeName.equals(b[b])) return true;
/*     */     
/*     */     } 
/* 479 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a(OrientationRequested paramOrientationRequested) {
/* 488 */     for (byte b = 0; b < c.length; b++) {
/*     */       
/* 490 */       if (paramOrientationRequested.equals(c[b])) return true;
/*     */     
/*     */     } 
/* 493 */     return false;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpd\\utility\PreviewPrintService.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */