/*     */ package jpdf.wrap.graphics;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Paint;
/*     */ import java.awt.Polygon;
/*     */ import java.awt.Shape;
/*     */ import java.awt.font.GlyphVector;
/*     */ import java.text.AttributedCharacterIterator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TwoColorGraphics2DWrapper
/*     */   extends Graphics2DWrapper
/*     */ {
/*     */   private final Color b;
/*     */   private final Color c;
/*     */   
/*     */   public TwoColorGraphics2DWrapper(Graphics2D paramGraphics2D, Color paramColor1, Color paramColor2) {
/*  42 */     super(paramGraphics2D);
/*     */     
/*  44 */     this.b = paramColor1;
/*  45 */     this.c = paramColor2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Graphics create() {
/*  56 */     return new TwoColorGraphics2DWrapper((Graphics2D)this.a.create(), this.b, this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Graphics create(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  63 */     return new TwoColorGraphics2DWrapper((Graphics2D)this.a.create(paramInt1, paramInt2, paramInt3, paramInt4), this.b, this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawArc(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6) {
/*  70 */     super.setColor(this.b);
/*  71 */     super.drawArc(paramInt1, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6);
/*  72 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawBytes(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  78 */     super.setColor(this.b);
/*  79 */     super.drawBytes(paramArrayOfbyte, paramInt1, paramInt2, paramInt3, paramInt4);
/*  80 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawChars(char[] paramArrayOfchar, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  86 */     super.setColor(this.b);
/*  87 */     super.drawChars(paramArrayOfchar, paramInt1, paramInt2, paramInt3, paramInt4);
/*  88 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */   
/*     */   public void drawLine(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  93 */     super.setColor(this.b);
/*  94 */     super.drawLine(paramInt1, paramInt2, paramInt3, paramInt4);
/*  95 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawOval(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 101 */     super.setColor(this.b);
/* 102 */     super.drawOval(paramInt1, paramInt2, paramInt3, paramInt4);
/* 103 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawPolygon(int[] paramArrayOfint1, int[] paramArrayOfint2, int paramInt) {
/* 109 */     super.setColor(this.b);
/* 110 */     super.drawPolygon(paramArrayOfint1, paramArrayOfint2, paramInt);
/* 111 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawPolygon(Polygon paramPolygon) {
/* 117 */     super.setColor(this.b);
/* 118 */     super.drawPolygon(paramPolygon);
/* 119 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawPolyline(int[] paramArrayOfint1, int[] paramArrayOfint2, int paramInt) {
/* 125 */     super.setColor(this.b);
/* 126 */     super.drawPolyline(paramArrayOfint1, paramArrayOfint2, paramInt);
/* 127 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawRect(int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/* 133 */     super.setColor(this.b);
/* 134 */     super.drawRect(paramInt1, paramInt2, paramInt3, paramInt4);
/* 135 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawRoundRect(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6) {
/* 141 */     super.setColor(this.b);
/* 142 */     super.drawRoundRect(paramInt1, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6);
/* 143 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawString(AttributedCharacterIterator paramAttributedCharacterIterator, int paramInt1, int paramInt2) {
/* 149 */     super.setColor(this.b);
/* 150 */     super.drawString(paramAttributedCharacterIterator, paramInt1, paramInt2);
/* 151 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawString(String paramString, int paramInt1, int paramInt2) {
/* 157 */     super.setColor(this.b);
/* 158 */     super.drawString(paramString, paramInt1, paramInt2);
/* 159 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColor(Color paramColor) {
/* 165 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setXORMode(Color paramColor) {
/* 171 */     setPaintMode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void draw(Shape paramShape) {
/* 181 */     super.setColor(this.b);
/* 182 */     super.draw(paramShape);
/* 183 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void draw3DRect(int paramInt1, int paramInt2, int paramInt3, int paramInt4, boolean paramBoolean) {
/* 189 */     super.setColor(this.b);
/* 190 */     super.draw3DRect(paramInt1, paramInt2, paramInt3, paramInt4, paramBoolean);
/* 191 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawGlyphVector(GlyphVector paramGlyphVector, float paramFloat1, float paramFloat2) {
/* 197 */     super.setColor(this.b);
/* 198 */     super.drawGlyphVector(paramGlyphVector, paramFloat1, paramFloat2);
/* 199 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawString(String paramString, float paramFloat1, float paramFloat2) {
/* 205 */     super.setColor(this.b);
/* 206 */     this.a.drawString(paramString, paramFloat1, paramFloat2);
/* 207 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void drawString(AttributedCharacterIterator paramAttributedCharacterIterator, float paramFloat1, float paramFloat2) {
/* 213 */     super.setColor(this.b);
/* 214 */     this.a.drawString(paramAttributedCharacterIterator, paramFloat1, paramFloat2);
/* 215 */     super.setColor(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBackground(Color paramColor) {
/* 221 */     super.setBackground(this.c);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPaint(Paint paramPaint) {
/* 227 */     super.setPaint(this.c);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\wrap\graphics\TwoColorGraphics2DWrapper.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */