/*     */ package jpdf.wrap.printable;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.awt.print.PrinterException;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.PageRanges;
/*     */ import jpdf.attribute.NumberUpPrintPageEdges;
/*     */ import jpdf.attribute.PrintPageOddEven;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageUpPrintableWrapper
/*     */   extends AbstractPrintableWrapper
/*     */ {
/*     */   public static final int PHYSICAL_MARGIN_PIXELS = 36;
/*     */   public static final float PHYSICAL_MARGIN_INCHES = 0.5F;
/*     */   private final PageUpParamHolder a;
/*     */   private final PageRanges b;
/*     */   private final boolean c;
/*     */   private final boolean d;
/*     */   private final boolean e;
/*     */   private int f;
/*     */   private int g;
/*     */   private int h;
/*     */   
/*     */   public static class PageUpParamHolder
/*     */   {
/*  69 */     public PageFormat logicalPageFormat = new PageFormat();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Dimension logicalPageGrid;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Dimension alignmentOffsets;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public float scaleFactor;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public int pageUpCount;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  96 */     public PrintRequestAttributeSet physicalAttributeSet = new HashPrintRequestAttributeSet();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private PageUpParamHolder(int param1Int) {
/* 102 */       this.pageUpCount = param1Int;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageUpPrintableWrapper(Printable paramPrintable, PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt) {
/* 146 */     super(paramPrintable); String str;
/*     */     this.f = -1;
/*     */     this.g = -1;
/*     */     this.h = -1;
/* 150 */     for (paramPrintable = paramPrintable; paramPrintable instanceof AbstractPrintableWrapper; paramPrintable = ((AbstractPrintableWrapper)paramPrintable).TARGET_PRINTABLE); if (paramPrintable instanceof jpdf.ability.Unscalable) { str = "The Page Up Printable Wrapper cannot be used with an Unscalable Printable: " + paramPrintable.getClass().getName(); throw new IllegalArgumentException(str); }  if (!(str instanceof jpdf.ability.navigate.JumpBackwardAble)) { str = "The Page Up Printable Wrapper cannot be used with a Printable which is not Jump Backward Able: " + str.getClass().getName(); throw new IllegalArgumentException(str); }
/*     */ 
/*     */     
/* 153 */     this.a = buildPageUpParamHolder(paramPrintRequestAttributeSet, paramInt, null);
/*     */ 
/*     */     
/* 156 */     this.e = NumberUpPrintPageEdges.isToPrintPageEdges(paramPrintRequestAttributeSet);
/*     */ 
/*     */     
/* 159 */     PrintPageOddEven printPageOddEven = (PrintPageOddEven)paramPrintRequestAttributeSet.get(PrintPageOddEven.class);
/* 160 */     this.c = (printPageOddEven == PrintPageOddEven.EVEN_ONLY);
/* 161 */     this.d = (printPageOddEven == PrintPageOddEven.ODD_ONLY);
/*     */ 
/*     */     
/* 164 */     this.b = (PageRanges)paramPrintRequestAttributeSet.get(PageRanges.class);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PageUpParamHolder buildPageUpParamHolder(PrintRequestAttributeSet paramPrintRequestAttributeSet, int paramInt, PageUpParamHolder paramPageUpParamHolder) {
/*     */     StringBuilder stringBuilder1;
/*     */     int m;
/*     */     boolean bool;
/* 189 */     if (paramPageUpParamHolder == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 195 */       paramPageUpParamHolder = new PageUpParamHolder(paramInt, (byte)0);
/*     */     }
/*     */     else {
/*     */       
/* 199 */       paramPageUpParamHolder.pageUpCount = paramInt;
/*     */     }  int n;
/*     */     byte b2;
/*     */     int arrayOfInt[], i3;
/* 203 */     for (n = paramInt, b2 = 0, arrayOfInt = getSupportedPageCounts(), i3 = 0; i3 < arrayOfInt.length; ) { if (n == arrayOfInt[i3]) { b2 = 1; break; }  i3++; }  if (!b2) { int i4; for (stringBuilder1 = new StringBuilder(), i4 = arrayOfInt.length - 1, i3 = 0; i3 < i4; ) { stringBuilder1.append(Integer.toString(arrayOfInt[i3]) + ", "); i3++; }  stringBuilder1.append("or " + Integer.toString(arrayOfInt[i4]) + "."); String str = "Invalid Page Up Count: " + n + "\nThe Page Up Count must be one of: " + stringBuilder1.toString(); throw new IllegalArgumentException(str); }
/*     */ 
/*     */     
/* 206 */     PrintUtility.updatePageFormat(paramPrintRequestAttributeSet, paramPageUpParamHolder.logicalPageFormat);
/*     */ 
/*     */     
/* 209 */     byte b1 = (paramPageUpParamHolder.logicalPageFormat.getOrientation() != 1) ? 1 : 0;
/*     */     int j;
/* 211 */     if (j = (stringBuilder1 == 2 || stringBuilder1 == 6 || stringBuilder1 == 12) ? 1 : 0) b1 = !b1 ? 1 : 0;
/*     */ 
/*     */ 
/*     */     
/* 215 */     int i = b1; StringBuilder stringBuilder2 = stringBuilder1; if (i) { if (stringBuilder2 == 2) { bool = true; b2 = 2; } else if (stringBuilder2 == 4) { bool = true; b2 = 2; } else if (stringBuilder2 == 6) { bool = true; b2 = 3; } else if (stringBuilder2 == 9) { bool = true; b2 = 3; } else if (stringBuilder2 == 12) { bool = true; b2 = 4; } else { bool = true; b2 = 1; }  } else if (stringBuilder2 == 2) { bool = true; b2 = 1; } else if (stringBuilder2 == 4) { bool = true; b2 = 2; } else if (stringBuilder2 == 6) { bool = true; b2 = 2; } else if (stringBuilder2 == 9) { bool = true; b2 = 3; } else if (stringBuilder2 == 12) { bool = true; b2 = 3; } else { bool = true; b2 = 1; }  paramPageUpParamHolder.logicalPageGrid = new Dimension(b2, bool);
/*     */ 
/*     */     
/* 218 */     Dimension dimension = paramPageUpParamHolder.logicalPageGrid; i = j; PageFormat pageFormat2; i3 = (int)(pageFormat2 = paramPageUpParamHolder.logicalPageFormat).getWidth(); int i2 = (int)pageFormat2.getHeight(); if (i) { m = i2; i = i3; } else { m = i3; i = i2; }  float f2 = (m - 72) / (i3 * dimension.width), f3 = (i - 72) / (i2 * dimension.height); paramPageUpParamHolder.scaleFactor = Math.min(f2, f3);
/*     */ 
/*     */ 
/*     */     
/* 222 */     float f1 = paramPageUpParamHolder.scaleFactor; dimension = paramPageUpParamHolder.logicalPageGrid; i = j; PageFormat pageFormat1; int i1 = (int)(pageFormat1 = paramPageUpParamHolder.logicalPageFormat).getWidth(), k = (int)pageFormat1.getHeight(); if (i != 0) { i = k - 72; j = i1 - 72; } else { i = i1 - 72; j = k - 72; }  i1 = (int)(0.5F * (i - f1 * i1 * dimension.width)); i3 = (int)(0.5F * (j - f1 * k * dimension.height)); paramPageUpParamHolder.alignmentOffsets = new Dimension(i1, i3);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 227 */     paramPageUpParamHolder.physicalAttributeSet.addAll(paramPrintRequestAttributeSet);
/* 228 */     PrintUtility.updateAttributeSet(b1, 0.5F, paramPageUpParamHolder.physicalAttributeSet, false);
/*     */ 
/*     */     
/* 231 */     return paramPageUpParamHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttributeSet getPhysicalAttributeSet() {
/* 241 */     return this.a.physicalAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] getSupportedPageCounts() {
/* 250 */     return new int[] { 2, 4, 6, 9, 12 };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics paramGraphics, PageFormat paramPageFormat, int paramInt) {
/*     */     int i3;
/* 260 */     paramPageFormat = null;
/* 261 */     paramGraphics = paramGraphics;
/* 262 */     boolean bool = false;
/* 263 */     int i = (int)this.a.logicalPageFormat.getWidth();
/* 264 */     int j = (int)this.a.logicalPageFormat.getHeight();
/* 265 */     int k = (int)this.a.logicalPageFormat.getImageableX();
/* 266 */     int m = (int)this.a.logicalPageFormat.getImageableY();
/* 267 */     int n = (int)this.a.logicalPageFormat.getImageableWidth();
/* 268 */     int i1 = (int)this.a.logicalPageFormat.getImageableHeight();
/* 269 */     int i2 = 0;
/* 270 */     if (this.g < 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 279 */       i3 = a(paramInt - 1);
/*     */     }
/* 281 */     else if (paramInt == this.g) {
/*     */ 
/*     */ 
/*     */       
/* 285 */       i3 = this.h;
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 291 */       i3 = a(this.f);
/*     */     } 
/*     */ 
/*     */     
/* 295 */     this.h = i3;
/* 296 */     this.g = paramInt;
/*     */ 
/*     */     
/* 299 */     if (i3 < 0) return 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 306 */       paramGraphics.translate(36 + this.a.alignmentOffsets.width, 36 + this.a.alignmentOffsets.height);
/*     */ 
/*     */ 
/*     */       
/* 310 */       paramGraphics.scale(this.a.scaleFactor, this.a.scaleFactor);
/*     */ 
/*     */       
/* 313 */       for (paramInt = 0; paramInt < this.a.logicalPageGrid.height; ) {
/*     */         
/* 315 */         for (byte b = 0; b < this.a.logicalPageGrid.width; ) {
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 320 */           paramGraphics.setClip(0, 0, i, j);
/* 321 */           paramGraphics.clipRect(k, m, n, i1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 327 */           AffineTransform affineTransform = paramGraphics.getTransform();
/*     */           
/* 329 */           if ((i2 = this.TARGET_PRINTABLE.print(paramGraphics, this.a.logicalPageFormat, i3)) != 1) {
/* 330 */             bool = true;
/* 331 */             this.f = i3;
/* 332 */             paramGraphics.setTransform(affineTransform);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 339 */             if (this.e) {
/*     */               
/* 341 */               paramGraphics.setClip(0, 0, i + 1, j + 1);
/* 342 */               int i5 = j, i4 = i; Graphics graphics; (graphics = paramGraphics).setColor(Color.DARK_GRAY); graphics.drawRect(0, 0, i4, i5);
/*     */             } 
/*     */ 
/*     */             
/* 346 */             paramGraphics.translate(i, 0);
/*     */ 
/*     */ 
/*     */             
/* 350 */             if ((i3 = a(i3)) < 0) {
/*     */               
/* 352 */               i2 = 1;
/*     */               break;
/*     */             } 
/*     */             b++;
/*     */           } 
/*     */         } 
/* 358 */         if (i2 != 1) {
/*     */ 
/*     */           
/* 361 */           paramGraphics.translate(-(i * this.a.logicalPageGrid.width), j); paramInt++;
/*     */         } 
/*     */       } 
/* 364 */     } catch (PrinterException printerException2) {
/*     */       PrinterException printerException1;
/* 366 */       PrintManager.handleException(printerException1 = null);
/* 367 */       i2 = 1;
/* 368 */       bool = false;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 373 */     if (i2 == 1)
/*     */     {
/* 375 */       if (bool) i2 = 0;
/*     */     
/*     */     }
/* 378 */     return i2;
/*     */   }
/*     */   
/*     */   private int a(int paramInt) {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield c : Z
/*     */     //   4: ifne -> 18
/*     */     //   7: aload_0
/*     */     //   8: getfield d : Z
/*     */     //   11: ifne -> 18
/*     */     //   14: iconst_1
/*     */     //   15: goto -> 19
/*     */     //   18: iconst_0
/*     */     //   19: istore_2
/*     */     //   20: iconst_0
/*     */     //   21: istore_3
/*     */     //   22: iconst_0
/*     */     //   23: istore_3
/*     */     //   24: aload_0
/*     */     //   25: getfield b : Ljavax/print/attribute/standard/PageRanges;
/*     */     //   28: ifnonnull -> 41
/*     */     //   31: iinc #1, 1
/*     */     //   34: iload_1
/*     */     //   35: iconst_1
/*     */     //   36: iadd
/*     */     //   37: istore_3
/*     */     //   38: goto -> 62
/*     */     //   41: iload_1
/*     */     //   42: iconst_1
/*     */     //   43: iadd
/*     */     //   44: istore_3
/*     */     //   45: aload_0
/*     */     //   46: getfield b : Ljavax/print/attribute/standard/PageRanges;
/*     */     //   49: iload_3
/*     */     //   50: invokevirtual next : (I)I
/*     */     //   53: dup
/*     */     //   54: istore_3
/*     */     //   55: iconst_1
/*     */     //   56: isub
/*     */     //   57: dup
/*     */     //   58: istore_1
/*     */     //   59: iflt -> 102
/*     */     //   62: iload_2
/*     */     //   63: ifne -> 102
/*     */     //   66: iload_3
/*     */     //   67: dup
/*     */     //   68: istore_3
/*     */     //   69: iconst_2
/*     */     //   70: irem
/*     */     //   71: ifne -> 78
/*     */     //   74: iconst_1
/*     */     //   75: goto -> 79
/*     */     //   78: iconst_0
/*     */     //   79: dup
/*     */     //   80: istore_3
/*     */     //   81: ifeq -> 91
/*     */     //   84: aload_0
/*     */     //   85: getfield c : Z
/*     */     //   88: ifne -> 102
/*     */     //   91: iload_3
/*     */     //   92: ifne -> 24
/*     */     //   95: aload_0
/*     */     //   96: getfield d : Z
/*     */     //   99: ifeq -> 24
/*     */     //   102: iload_1
/*     */     //   103: ireturn
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #559	-> 0
/*     */     //   #560	-> 20
/*     */     //   #561	-> 22
/*     */     //   #565	-> 24
/*     */     //   #567	-> 31
/*     */     //   #568	-> 34
/*     */     //   #573	-> 41
/*     */     //   #574	-> 45
/*     */     //   #575	-> 54
/*     */     //   #576	-> 58
/*     */     //   #580	-> 62
/*     */     //   #581	-> 66
/*     */     //   #582	-> 80
/*     */     //   #583	-> 91
/*     */     //   #586	-> 102
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\wrap\printable\PageUpPrintableWrapper.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */