/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Insets;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ColLayout
/*     */   extends AbstractColLayout
/*     */ {
/*  58 */   private Component shrinkingComponent = null;
/*     */   private boolean widthLimiting = true;
/*  60 */   private int verticalAligment = 0;
/*  61 */   private int horizontalAligment = 2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout() {
/*  74 */     this(0, 2, 0, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout(int paramInt) {
/*  83 */     this(paramInt, 2, 0, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout(int paramInt1, int paramInt2) {
/*  92 */     this(paramInt1, 2, paramInt2, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout(int paramInt1, int paramInt2, int paramInt3) {
/* 103 */     this(paramInt1, paramInt2, paramInt3, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout(int paramInt1, int paramInt2, boolean paramBoolean) {
/* 114 */     this(paramInt1, 2, paramInt2, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ColLayout(int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean) {
/* 126 */     super(paramInt3);
/*     */     
/* 128 */     setVerticalAlignment(paramInt1);
/* 129 */     setHorizontalAlignment(paramInt2);
/* 130 */     setWidthLimiting(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalAlignment() {
/* 143 */     return this.horizontalAligment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Component getShrinkingComponent() {
/* 152 */     return this.shrinkingComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalAlignment() {
/* 160 */     return this.verticalAligment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isWidthLimiting() {
/* 173 */     return this.widthLimiting;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 183 */     synchronized (paramContainer.getTreeLock()) {
/*     */       int i;
/* 185 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 186 */       Object object = null;
/* 187 */       Dimension dimension1 = null;
/* 188 */       Insets insets = paramContainer.getInsets();
/* 189 */       boolean bool1 = isWidthLimiting();
/* 190 */       boolean bool2 = paramContainer.getComponentOrientation().isLeftToRight();
/* 191 */       int i3 = getVerticalGap();
/* 192 */       int i4 = paramContainer.getHeight() - insets.top + insets.bottom;
/* 193 */       int j = paramContainer.getWidth() - insets.left + insets.right;
/* 194 */       int i5 = 0;
/* 195 */       int i6 = 0;
/* 196 */       for (byte b = 0; b < arrayOfComponent.length; 
/*     */ 
/*     */ 
/*     */         
/* 200 */         b++) {
/*     */         
/* 202 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 204 */           dimension1 = arrayOfComponent[b].getPreferredSize();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 210 */           if (bool1)
/*     */           {
/* 212 */             if (dimension1.width > j) dimension1.width = j;
/*     */           
/*     */           }
/*     */ 
/*     */           
/* 217 */           if (dimension1.width <= 0) {
/*     */             
/* 219 */             arrayOfComponent[b].setSize(j, dimension1.height);
/*     */           }
/*     */           else {
/*     */             
/* 223 */             arrayOfComponent[b].setSize(dimension1.width, dimension1.height);
/*     */           } 
/*     */           
/* 226 */           if (i5) i5 += i3; 
/* 227 */           i5 += dimension1.height;
/* 228 */           i6 = Math.max(i6, dimension1.width);
/*     */         } 
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 237 */       if ((i3 = i4 - i5) < 0) {
/*     */         Component component;
/*     */         
/* 240 */         if ((component = getShrinkingComponent()) != null)
/*     */         {
/*     */           
/* 243 */           if ((dimension1 = component.getPreferredSize()).height > -i3) {
/*     */             
/* 245 */             component.setSize(dimension1.width, dimension1.height + i3);
/*     */           
/*     */           }
/*     */           else {
/*     */             
/* 250 */             component.setSize(dimension1.width, 0);
/*     */           } 
/*     */         }
/*     */       } 
/*     */ 
/*     */       
/* 256 */       boolean bool3 = bool2; int i1 = i4 - i5, n = j, m = insets.top, k = insets.left; arrayOfComponent = arrayOfComponent; ColLayout colLayout = this; Dimension dimension2 = new Dimension(); i5 = colLayout.getVerticalGap(); i6 = 0; int i2 = a(colLayout.getHorizontalAlignment(), bool3); switch (colLayout.getVerticalAlignment()) { case 1: i = m; break;case 3: i = m + i1; break;default: i = m + i1 / 2; break; }  if (i2 == 4) { for (m = 0; m < arrayOfComponent.length; ) { if (arrayOfComponent[m].isVisible()) { arrayOfComponent[m].getSize(dimension2); i6 = k + n - dimension2.width; arrayOfComponent[m].setLocation(i6, i); i += dimension2.height + i5; }  m++; }  } else if (i2 == 0) { for (m = 0; m < arrayOfComponent.length; ) { if (arrayOfComponent[m].isVisible()) { arrayOfComponent[m].getSize(dimension2); i6 = k + (n - dimension2.width) / 2; arrayOfComponent[m].setLocation(i6, i); i += dimension2.height + i5; }  m++; }  } else { for (m = 0; m < arrayOfComponent.length; ) { if (arrayOfComponent[m].isVisible()) { arrayOfComponent[m].getSize(dimension2); arrayOfComponent[m].setLocation(k, i); i += dimension2.height + i5; }  m++; }
/*     */          }
/*     */       
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalAlignment(int paramInt) {
/* 266 */     this.horizontalAligment = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setShrinkingComponent(Component paramComponent) {
/* 275 */     this.shrinkingComponent = paramComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalAlignment(int paramInt) {
/* 283 */     this.verticalAligment = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setWidthLimiting(boolean paramBoolean) {
/* 296 */     this.widthLimiting = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 304 */     String str1 = "";
/* 305 */     String str2 = "";
/*     */     
/* 307 */     switch (getHorizontalAlignment()) {
/*     */       case 2:
/* 309 */         str1 = ", halign='left'"; break;
/* 310 */       case 0: str1 = ", halign='center'"; break;
/* 311 */       case 4: str1 = ", halign='right'"; break;
/* 312 */       case 10: str1 = ", halign='leading'"; break;
/* 313 */       case 11: str1 = ", halign='trailing'"; break;
/*     */     } 
/* 315 */     switch (getVerticalAlignment()) {
/*     */       case 1:
/* 317 */         str2 = ", valign='top'"; break;
/* 318 */       case 0: str2 = ", valign='center'"; break;
/* 319 */       case 3: str2 = ", valign='bottom'";
/*     */         break;
/*     */     } 
/* 322 */     return getClass().getName() + "[vgap=" + getVerticalGap() + str1 + str2 + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\ColLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */