/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Insets;
/*     */ import javax.swing.JSeparator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DividingFlowLayout
/*     */   extends FlowLayout
/*     */ {
/*     */   boolean topAligned = false;
/*     */   
/*     */   public DividingFlowLayout() {}
/*     */   
/*     */   public DividingFlowLayout(int paramInt) {
/*  58 */     super(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DividingFlowLayout(int paramInt1, int paramInt2, int paramInt3) {
/*  67 */     super(paramInt1, paramInt2, paramInt3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DividingFlowLayout(int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean) {
/*  77 */     super(paramInt1, paramInt2, paramInt3);
/*     */     
/*  79 */     setTopAligned(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTopAligned() {
/*  92 */     return this.topAligned;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 101 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 103 */       Insets insets = paramContainer.getInsets();
/* 104 */       Dimension dimension = null;
/* 105 */       Component component = null;
/* 106 */       boolean bool = paramContainer.getComponentOrientation().isLeftToRight();
/* 107 */       int i = getHgap();
/* 108 */       int j = getVgap();
/* 109 */       int m = paramContainer.getComponentCount();
/*     */       
/* 111 */       int n = insets.left;
/* 112 */       int i1 = insets.top;
/* 113 */       int i2 = 0;
/* 114 */       byte b1 = 0;
/*     */ 
/*     */       
/* 117 */       int k = paramContainer.getWidth() - insets.left + insets.right;
/*     */ 
/*     */       
/* 120 */       for (byte b2 = 0; b2 < m; b2++) {
/*     */ 
/*     */ 
/*     */         
/* 124 */         if ((component = paramContainer.getComponent(b2)).isVisible()) {
/*     */ 
/*     */           
/* 127 */           if (component instanceof JSeparator)
/*     */           {
/* 129 */             if (((JSeparator)component).getOrientation() == 0) {
/*     */               
/* 131 */               component.setVisible(false);
/*     */               
/*     */               continue;
/*     */             } 
/*     */           }
/*     */           
/* 137 */           dimension = component.getPreferredSize();
/* 138 */           component.setSize(dimension.width, dimension.height);
/*     */ 
/*     */           
/* 141 */           if (n <= insets.left || n + dimension.width <= k) {
/*     */ 
/*     */             
/* 144 */             if (n > insets.left) n += i; 
/* 145 */             n += dimension.width;
/* 146 */             i2 = Math.max(i2, dimension.height);
/*     */ 
/*     */           
/*     */           }
/*     */           else {
/*     */ 
/*     */             
/* 153 */             a(paramContainer, insets.left, i1, k, k - n, i2, b1, b2 - 1, bool);
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 158 */             n = dimension.width;
/* 159 */             i1 += j + i2;
/* 160 */             i2 = dimension.height;
/* 161 */             b1 = b2;
/*     */           } 
/*     */         } 
/*     */         continue;
/*     */       } 
/* 166 */       a(paramContainer, insets.left, i1, k, k - n, i2, b1, m - 1, bool);
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension minimumLayoutSize(Container paramContainer) {
/* 181 */     return preferredLayoutSize(paramContainer);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension preferredLayoutSize(Container paramContainer) {
/*     */     // Byte code:
/*     */     //   0: aload_1
/*     */     //   1: invokevirtual getTreeLock : ()Ljava/lang/Object;
/*     */     //   4: dup
/*     */     //   5: astore_2
/*     */     //   6: monitorenter
/*     */     //   7: aload_1
/*     */     //   8: invokevirtual getInsets : ()Ljava/awt/Insets;
/*     */     //   11: astore_3
/*     */     //   12: aconst_null
/*     */     //   13: astore #4
/*     */     //   15: aconst_null
/*     */     //   16: astore #4
/*     */     //   18: aload_0
/*     */     //   19: invokevirtual getHgap : ()I
/*     */     //   22: istore #5
/*     */     //   24: aload_0
/*     */     //   25: invokevirtual getVgap : ()I
/*     */     //   28: istore #6
/*     */     //   30: aload_1
/*     */     //   31: invokevirtual getComponentCount : ()I
/*     */     //   34: istore #8
/*     */     //   36: aload_3
/*     */     //   37: getfield left : I
/*     */     //   40: istore #9
/*     */     //   42: aload_3
/*     */     //   43: getfield top : I
/*     */     //   46: istore #10
/*     */     //   48: iconst_0
/*     */     //   49: istore #11
/*     */     //   51: aload_1
/*     */     //   52: invokevirtual getWidth : ()I
/*     */     //   55: aload_3
/*     */     //   56: getfield left : I
/*     */     //   59: aload_3
/*     */     //   60: getfield right : I
/*     */     //   63: iadd
/*     */     //   64: isub
/*     */     //   65: istore #7
/*     */     //   67: iconst_0
/*     */     //   68: istore #12
/*     */     //   70: iload #12
/*     */     //   72: iload #8
/*     */     //   74: if_icmpge -> 211
/*     */     //   77: aload_1
/*     */     //   78: iload #12
/*     */     //   80: invokevirtual getComponent : (I)Ljava/awt/Component;
/*     */     //   83: dup
/*     */     //   84: astore #4
/*     */     //   86: invokevirtual isVisible : ()Z
/*     */     //   89: ifeq -> 205
/*     */     //   92: aload #4
/*     */     //   94: instanceof javax/swing/JSeparator
/*     */     //   97: ifeq -> 111
/*     */     //   100: aload #4
/*     */     //   102: checkcast javax/swing/JSeparator
/*     */     //   105: invokevirtual getOrientation : ()I
/*     */     //   108: ifeq -> 205
/*     */     //   111: aload #4
/*     */     //   113: invokevirtual getPreferredSize : ()Ljava/awt/Dimension;
/*     */     //   116: astore #4
/*     */     //   118: iload #9
/*     */     //   120: aload_3
/*     */     //   121: getfield left : I
/*     */     //   124: if_icmple -> 140
/*     */     //   127: iload #9
/*     */     //   129: aload #4
/*     */     //   131: getfield width : I
/*     */     //   134: iadd
/*     */     //   135: iload #7
/*     */     //   137: if_icmpgt -> 181
/*     */     //   140: iload #9
/*     */     //   142: aload_3
/*     */     //   143: getfield left : I
/*     */     //   146: if_icmple -> 156
/*     */     //   149: iload #9
/*     */     //   151: iload #5
/*     */     //   153: iadd
/*     */     //   154: istore #9
/*     */     //   156: iload #9
/*     */     //   158: aload #4
/*     */     //   160: getfield width : I
/*     */     //   163: iadd
/*     */     //   164: istore #9
/*     */     //   166: iload #11
/*     */     //   168: aload #4
/*     */     //   170: getfield height : I
/*     */     //   173: invokestatic max : (II)I
/*     */     //   176: istore #11
/*     */     //   178: goto -> 205
/*     */     //   181: aload #4
/*     */     //   183: getfield width : I
/*     */     //   186: istore #9
/*     */     //   188: iload #10
/*     */     //   190: iload #6
/*     */     //   192: iload #11
/*     */     //   194: iadd
/*     */     //   195: iadd
/*     */     //   196: istore #10
/*     */     //   198: aload #4
/*     */     //   200: getfield height : I
/*     */     //   203: istore #11
/*     */     //   205: iinc #12, 1
/*     */     //   208: goto -> 70
/*     */     //   211: new java/awt/Dimension
/*     */     //   214: dup
/*     */     //   215: iload #7
/*     */     //   217: iload #10
/*     */     //   219: iload #11
/*     */     //   221: iadd
/*     */     //   222: aload_3
/*     */     //   223: getfield bottom : I
/*     */     //   226: iadd
/*     */     //   227: invokespecial <init> : (II)V
/*     */     //   230: aload_2
/*     */     //   231: monitorexit
/*     */     //   232: areturn
/*     */     //   233: astore_1
/*     */     //   234: aload_2
/*     */     //   235: monitorexit
/*     */     //   236: aload_1
/*     */     //   237: athrow
/*     */     // Line number table:
/*     */     //   Java source line number -> byte code offset
/*     */     //   #191	-> 0
/*     */     //   #193	-> 7
/*     */     //   #194	-> 12
/*     */     //   #195	-> 15
/*     */     //   #196	-> 18
/*     */     //   #197	-> 24
/*     */     //   #198	-> 30
/*     */     //   #200	-> 36
/*     */     //   #201	-> 42
/*     */     //   #202	-> 48
/*     */     //   #203	-> 51
/*     */     //   #209	-> 67
/*     */     //   #212	-> 77
/*     */     //   #213	-> 84
/*     */     //   #216	-> 92
/*     */     //   #218	-> 100
/*     */     //   #222	-> 111
/*     */     //   #225	-> 118
/*     */     //   #228	-> 140
/*     */     //   #229	-> 156
/*     */     //   #230	-> 166
/*     */     //   #237	-> 181
/*     */     //   #238	-> 188
/*     */     //   #239	-> 198
/*     */     //   #240	-> 205
/*     */     //   #244	-> 211
/*     */     //   #245	-> 233
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   7	232	233	finally
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTopAligned(boolean paramBoolean) {
/* 253 */     this.topAligned = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Container paramContainer, int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, int paramInt7, boolean paramBoolean) {
/* 270 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 272 */       Dimension dimension = paramContainer.getSize();
/* 273 */       Object object = null;
/* 274 */       Component component = null;
/* 275 */       int j = getHgap();
/* 276 */       int i = getVgap();
/* 277 */       int k = getAlignment();
/*     */ 
/*     */ 
/*     */       
/* 281 */       if (paramInt6 > 0)
/*     */       {
/*     */         
/* 284 */         if (component = paramContainer.getComponent(paramInt6 - 1) instanceof JSeparator)
/*     */         {
/* 286 */           if (((JSeparator)component).getOrientation() == 0) {
/*     */             
/* 288 */             component.setVisible(true);
/* 289 */             component.setBounds(paramInt1, paramInt2 - i / 2 - 1, paramInt3, i);
/*     */           } 
/*     */         }
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 297 */       switch (k) {
/*     */         case 0:
/* 299 */           paramInt1 += paramBoolean ? 0 : paramInt4; break;
/* 300 */         case 1: paramInt1 += paramInt4 / 2; break;
/* 301 */         case 2: paramInt1 += paramBoolean ? paramInt4 : 0; break;
/*     */         case 4:
/* 303 */           paramInt1 += paramInt4;
/*     */           break;
/*     */       } 
/*     */       
/* 307 */       if (isTopAligned()) {
/*     */         
/* 309 */         for (paramInt3 = paramInt6; paramInt3 <= paramInt7; paramInt3++)
/*     */         {
/*     */           
/* 312 */           if ((component = paramContainer.getComponent(paramInt3)).isVisible()) {
/*     */             Dimension dimension1;
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 318 */             if ((dimension1 = component.getSize()).height == 0 && component instanceof JSeparator) {
/*     */               
/* 320 */               component.setSize(dimension1.width, paramInt5);
/* 321 */               dimension1 = component.getSize();
/*     */             } 
/*     */             
/* 324 */             if (paramBoolean) {
/*     */               
/* 326 */               component.setLocation(paramInt1, paramInt2);
/*     */             }
/*     */             else {
/*     */               
/* 330 */               component.setLocation(dimension.width - paramInt1 - dimension1.width, paramInt2);
/*     */             } 
/* 332 */             paramInt1 += dimension1.width + j;
/*     */           }
/*     */         
/*     */         }
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 340 */         for (paramInt3 = paramInt6; paramInt3 <= paramInt7; paramInt3++) {
/*     */ 
/*     */           
/* 343 */           if ((component = paramContainer.getComponent(paramInt3)).isVisible()) {
/*     */             
/* 345 */             Dimension dimension1 = component.getSize();
/* 346 */             if (paramBoolean) {
/*     */               
/* 348 */               component.setLocation(paramInt1, paramInt2 + (paramInt5 - dimension1.height) / 2);
/*     */             }
/*     */             else {
/*     */               
/* 352 */               component.setLocation(dimension.width - paramInt1 - dimension1.width, paramInt2 + (paramInt5 - dimension1.height) / 2);
/*     */             } 
/*     */             
/* 355 */             paramInt1 += dimension1.width + j;
/*     */           } 
/*     */         } 
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\DividingFlowLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */