/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Insets;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FullHeightRowLayout
/*     */   extends AbstractLayoutManager
/*     */ {
/*     */   private boolean toAllowLayoutLeftOfContainer = true;
/*  52 */   private int horizontalAligment = 0;
/*  53 */   private int horizontalGap = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FullHeightRowLayout() {
/*  62 */     this(0, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public FullHeightRowLayout(int paramInt) {
/*  67 */     this(paramInt, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FullHeightRowLayout(int paramInt1, int paramInt2) {
/*  74 */     setHorizontalGap(paramInt2);
/*  75 */     setHorizontalAlignment(paramInt1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalAlignment() {
/*  89 */     return this.horizontalAligment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalGap() {
/*  97 */     return this.horizontalGap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToAllowLayoutLeftOfContainer() {
/* 110 */     return this.toAllowLayoutLeftOfContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 120 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 122 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 123 */       Dimension dimension1 = null;
/* 124 */       Insets insets2 = paramContainer.getInsets();
/* 125 */       int m = paramContainer.getHeight() - insets2.top + insets2.bottom;
/* 126 */       int i = paramContainer.getWidth() - insets2.left + insets2.right;
/* 127 */       int n = 0;
/* 128 */       int i1 = 0;
/*     */ 
/*     */ 
/*     */       
/* 132 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */         
/* 134 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 136 */           dimension1 = arrayOfComponent[b].getPreferredSize();
/*     */ 
/*     */           
/* 139 */           arrayOfComponent[b].setSize(dimension1.width, m);
/*     */           
/* 141 */           if (n) n += this.horizontalGap; 
/* 142 */           n += dimension1.width;
/* 143 */           i1 = Math.max(i1, dimension1.height);
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 148 */       int k = i - n; Insets insets1 = insets2; arrayOfComponent = arrayOfComponent; FullHeightRowLayout fullHeightRowLayout = this; Dimension dimension2 = new Dimension(); n = insets1.left; int j = insets1.top; i1 = 0; switch (fullHeightRowLayout.getHorizontalAlignment()) { case 2: i1 = n; break;case 0: i1 = n + k / 2; break;case 4: i1 = n + k; break; }  if (!fullHeightRowLayout.isToAllowLayoutLeftOfContainer() && i1 < n) i1 = n;  for (k = 0; k < arrayOfComponent.length; ) { if (arrayOfComponent[k].isVisible()) { arrayOfComponent[k].getSize(dimension2); arrayOfComponent[k].setLocation(i1, j); i1 += dimension2.width + fullHeightRowLayout.horizontalGap; }  k++; }
/*     */       
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension minimumLayoutSize(Container paramContainer) {
/* 160 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 162 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 163 */       Dimension dimension1 = new Dimension(0, 0);
/* 164 */       Dimension dimension2 = null;
/* 165 */       Insets insets = paramContainer.getInsets();
/*     */ 
/*     */       
/* 168 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */         
/* 170 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 172 */           dimension2 = arrayOfComponent[b].getMinimumSize();
/* 173 */           dimension1.height = Math.max(dimension1.height, dimension2.height);
/* 174 */           if (dimension1.width > 0) dimension1.width += this.horizontalGap; 
/* 175 */           dimension1.width += dimension2.width;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 180 */       dimension1.width += insets.left + insets.right;
/* 181 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 183 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension preferredLayoutSize(Container paramContainer) {
/* 194 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 196 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 197 */       Dimension dimension1 = new Dimension(0, 0);
/* 198 */       Dimension dimension2 = null;
/* 199 */       Insets insets = paramContainer.getInsets();
/*     */ 
/*     */       
/* 202 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */         
/* 204 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 206 */           dimension2 = arrayOfComponent[b].getPreferredSize();
/* 207 */           dimension1.height = Math.max(dimension1.height, dimension2.height);
/* 208 */           if (dimension1.width > 0) dimension1.width += this.horizontalGap; 
/* 209 */           dimension1.width += dimension2.width;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 214 */       dimension1.width += insets.left + insets.right;
/* 215 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 217 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalAlignment(int paramInt) {
/* 227 */     this.horizontalAligment = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalGap(int paramInt) {
/* 235 */     this.horizontalGap = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToAllowLayoutLeftOfContainer(boolean paramBoolean) {
/* 249 */     this.toAllowLayoutLeftOfContainer = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 257 */     String str = null;
/*     */     
/* 259 */     switch (getHorizontalAlignment()) {
/*     */       case 2:
/* 261 */         str = ",halign=left"; break;
/* 262 */       case 0: str = ",halign=center"; break;
/* 263 */       case 4: str = ",halign=right";
/*     */         break;
/*     */     } 
/* 266 */     return getClass().getName() + "[hgap=" + getHorizontalGap() + str + "]";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\FullHeightRowLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */