/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Insets;
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class QuadrantLayout
/*     */   implements Serializable, ConstraintLayoutManager
/*     */ {
/*     */   public static final String NORTH_EAST = "NE";
/*     */   public static final String NORTH_WEST = "NW";
/*     */   public static final String SOUTH_EAST = "SE";
/*     */   public static final String SOUTH_WEST = "SW";
/*     */   private static final long serialVersionUID = 120L;
/*  66 */   private Component northEastComponent = null;
/*  67 */   private Component northWestComponent = null;
/*  68 */   private Component southEastComponent = null;
/*  69 */   private Component southWestComponent = null;
/*  70 */   private int horizontalGap = 0;
/*  71 */   private int verticalGap = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public QuadrantLayout() {
/*  80 */     this(0, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public QuadrantLayout(int paramInt1, int paramInt2) {
/*  87 */     setHorizontalGap(paramInt1);
/*  88 */     setVerticalGap(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addLayoutComponent(String paramString, Component paramComponent) {
/* 103 */     String str = null;
/*     */     
/* 105 */     synchronized (paramComponent.getTreeLock()) {
/*     */ 
/*     */       
/* 108 */       if (paramString.equals("NE")) {
/*     */         
/* 110 */         this.northEastComponent = paramComponent;
/*     */       }
/* 112 */       else if (paramString.equals("NW")) {
/*     */         
/* 114 */         this.northWestComponent = paramComponent;
/*     */       }
/* 116 */       else if (paramString.equals("SE")) {
/*     */         
/* 118 */         this.southEastComponent = paramComponent;
/*     */       }
/* 120 */       else if (paramString.equals("SW")) {
/*     */         
/* 122 */         this.southWestComponent = paramComponent;
/*     */       }
/*     */       else {
/*     */         
/* 126 */         str = "Cannot add to layout - Unknown Constraint: " + paramString;
/* 127 */         throw new IllegalArgumentException(str);
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getConstraints(Component paramComponent) {
/* 140 */     if (paramComponent == this.northEastComponent)
/*     */     {
/* 142 */       return "NE";
/*     */     }
/* 144 */     if (paramComponent == this.northWestComponent)
/*     */     {
/* 146 */       return "NW";
/*     */     }
/* 148 */     if (paramComponent == this.southEastComponent)
/*     */     {
/* 150 */       return "SE";
/*     */     }
/* 152 */     if (paramComponent == this.southWestComponent)
/*     */     {
/* 154 */       return "SW";
/*     */     }
/*     */     
/* 157 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalGap() {
/* 165 */     return this.horizontalGap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalGap() {
/* 173 */     return this.verticalGap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 183 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 185 */       Dimension dimension1 = paramContainer.getSize();
/* 186 */       Dimension dimension2 = null;
/*     */       
/*     */       Insets insets;
/* 189 */       int k = (insets = paramContainer.getInsets()).top;
/* 190 */       int m = dimension1.height - insets.bottom;
/* 191 */       int n = insets.left;
/* 192 */       int i = dimension1.width - insets.right;
/* 193 */       int i1 = 0;
/* 194 */       int i2 = 0; Component component;
/* 195 */       if ((component = a("NW")) != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 202 */         i1 = (dimension2 = component.getPreferredSize()).height;
/* 203 */         i2 = dimension2.width;
/*     */       } 
/* 205 */       if ((component = a("NE")) != null)
/*     */       {
/*     */         
/* 208 */         if ((dimension2 = component.getPreferredSize()).height > i1) i1 = dimension2.height; 
/*     */       }
/* 210 */       if ((component = a("SW")) != null)
/*     */       {
/*     */         
/* 213 */         if ((dimension2 = component.getPreferredSize()).width > i2) i2 = dimension2.width;
/*     */       
/*     */       }
/*     */ 
/*     */       
/* 218 */       int j = n + i2;
/* 219 */       if (i2 > 0) j += getHorizontalGap(); 
/* 220 */       int i3 = k + i1;
/* 221 */       if (i1 > 0) i3 += getVerticalGap();
/*     */ 
/*     */       
/* 224 */       if ((component = a("NW")) != null)
/*     */       {
/* 226 */         component.setBounds(n, k, i2, i1);
/*     */       }
/* 228 */       if ((component = a("NE")) != null)
/*     */       {
/* 230 */         component.setBounds(j, k, i - j, i1);
/*     */       }
/* 232 */       if ((component = a("SW")) != null)
/*     */       {
/* 234 */         component.setBounds(n, i3, i2, m - i3);
/*     */       }
/* 236 */       if ((component = a("SE")) != null)
/*     */       {
/* 238 */         component.setBounds(j, i3, i - j, m - i3);
/*     */       }
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension minimumLayoutSize(Container paramContainer) {
/* 250 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 252 */       Dimension dimension = null;
/* 253 */       Insets insets = paramContainer.getInsets();
/*     */       
/* 255 */       int k = 0;
/* 256 */       int m = 0;
/* 257 */       int n = 0;
/* 258 */       int i1 = 0; Component component;
/* 259 */       if ((component = a("NW")) != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 266 */         k = (dimension = component.getMinimumSize()).height;
/* 267 */         n = dimension.width;
/*     */       } 
/* 269 */       if ((component = a("NE")) != null) {
/*     */ 
/*     */         
/* 272 */         if ((dimension = component.getMinimumSize()).height > k) k = dimension.height; 
/* 273 */         i1 = dimension.width;
/*     */       } 
/* 275 */       if ((component = a("SW")) != null) {
/*     */ 
/*     */         
/* 278 */         m = (dimension = component.getMinimumSize()).height;
/* 279 */         if (dimension.width > n) n = dimension.width; 
/*     */       } 
/* 281 */       if ((component = a("SE")) != null) {
/*     */ 
/*     */         
/* 284 */         if ((dimension = component.getMinimumSize()).height > m) m = dimension.height; 
/* 285 */         if (dimension.width > i1) i1 = dimension.width;
/*     */       
/*     */       } 
/*     */       
/* 289 */       int i = n + i1;
/* 290 */       int j = k + m;
/*     */ 
/*     */       
/* 293 */       if (k > 0 && m > 0) j += getVerticalGap(); 
/* 294 */       if (n > 0 && i1 > 0) i += getHorizontalGap();
/*     */ 
/*     */       
/* 297 */       i += insets.left + insets.right;
/* 298 */       j += insets.top + insets.bottom;
/*     */       
/* 300 */       return new Dimension(i, j);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension preferredLayoutSize(Container paramContainer) {
/* 310 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 312 */       Dimension dimension = null;
/* 313 */       Insets insets = paramContainer.getInsets();
/*     */       
/* 315 */       int k = 0;
/* 316 */       int m = 0;
/* 317 */       int n = 0;
/* 318 */       int i1 = 0; Component component;
/* 319 */       if ((component = a("NW")) != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 326 */         k = (dimension = component.getPreferredSize()).height;
/* 327 */         n = dimension.width;
/*     */       } 
/* 329 */       if ((component = a("NE")) != null) {
/*     */ 
/*     */         
/* 332 */         if ((dimension = component.getPreferredSize()).height > k) k = dimension.height; 
/* 333 */         i1 = dimension.width;
/*     */       } 
/* 335 */       if ((component = a("SW")) != null) {
/*     */ 
/*     */         
/* 338 */         m = (dimension = component.getPreferredSize()).height;
/* 339 */         if (dimension.width > n) n = dimension.width; 
/*     */       } 
/* 341 */       if ((component = a("SE")) != null) {
/*     */ 
/*     */         
/* 344 */         if ((dimension = component.getPreferredSize()).height > m) m = dimension.height; 
/* 345 */         if (dimension.width > i1) i1 = dimension.width;
/*     */       
/*     */       } 
/*     */       
/* 349 */       int i = n + i1;
/* 350 */       int j = k + m;
/*     */ 
/*     */       
/* 353 */       if (k > 0 && m > 0) j += getVerticalGap(); 
/* 354 */       if (n > 0 && i1 > 0) i += getHorizontalGap();
/*     */ 
/*     */       
/* 357 */       i += insets.left + insets.right;
/* 358 */       j += insets.top + insets.bottom;
/*     */       
/* 360 */       return new Dimension(i, j);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeLayoutComponent(Component paramComponent) {
/* 370 */     synchronized (paramComponent.getTreeLock()) {
/*     */       
/* 372 */       if (paramComponent == this.northEastComponent) {
/*     */         
/* 374 */         this.northEastComponent = null;
/*     */       }
/* 376 */       else if (paramComponent == this.northWestComponent) {
/*     */         
/* 378 */         this.northWestComponent = null;
/*     */       }
/* 380 */       else if (paramComponent == this.southEastComponent) {
/*     */         
/* 382 */         this.southEastComponent = null;
/*     */       }
/* 384 */       else if (paramComponent == this.southWestComponent) {
/*     */         
/* 386 */         this.southWestComponent = null;
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalGap(int paramInt) {
/* 396 */     this.horizontalGap = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalGap(int paramInt) {
/* 404 */     this.verticalGap = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 412 */     return getClass().getName() + "[hgap=" + this.horizontalGap + ", vgap=" + this.verticalGap + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Component a(String paramString) {
/* 427 */     Component component = null;
/*     */ 
/*     */     
/* 430 */     if (paramString == "NE") {
/*     */       
/* 432 */       component = this.northEastComponent;
/*     */     }
/* 434 */     else if (paramString == "NW") {
/*     */       
/* 436 */       component = this.northWestComponent;
/*     */     }
/* 438 */     else if (paramString == "SE") {
/*     */       
/* 440 */       component = this.southEastComponent;
/*     */     }
/* 442 */     else if (paramString == "SW") {
/*     */       
/* 444 */       component = this.southWestComponent;
/*     */     } 
/*     */ 
/*     */     
/* 448 */     if (component != null && !component.isVisible()) component = null;
/*     */     
/* 450 */     return component;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\QuadrantLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */