/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Insets;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RowLayout
/*     */   extends AbstractLayoutManager
/*     */ {
/*  61 */   private Component shrinkingComponent = null;
/*     */   private boolean toAllowLayoutLeftOfContainer = true;
/*     */   private boolean toAllowLayoutTopOfContainer = true;
/*  64 */   private int horizontalAligment = 0;
/*  65 */   private int verticalAlignment = 0;
/*  66 */   private int horizontalGap = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowLayout() {
/*  75 */     this(0, 0, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public RowLayout(int paramInt) {
/*  80 */     this(paramInt, 0, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public RowLayout(int paramInt1, int paramInt2) {
/*  85 */     this(paramInt1, 0, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RowLayout(int paramInt1, int paramInt2, int paramInt3) {
/*  93 */     setHorizontalGap(paramInt3);
/*  94 */     setHorizontalAlignment(paramInt1);
/*  95 */     setVerticalAlignment(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalAlignment() {
/* 108 */     return this.horizontalAligment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalGap() {
/* 116 */     return this.horizontalGap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Component getShrinkingComponent() {
/* 126 */     return this.shrinkingComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVerticalAlignment() {
/* 134 */     return this.verticalAlignment;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToAllowLayoutLeftOfContainer() {
/* 147 */     return this.toAllowLayoutLeftOfContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToAllowLayoutTopOfContainer() {
/* 161 */     return this.toAllowLayoutTopOfContainer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 171 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 173 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 174 */       Object object = null;
/* 175 */       Dimension dimension = null;
/* 176 */       Insets insets = paramContainer.getInsets();
/* 177 */       boolean bool = paramContainer.getComponentOrientation().isLeftToRight();
/* 178 */       int k = paramContainer.getHeight() - insets.top + insets.bottom;
/* 179 */       int i = paramContainer.getWidth() - insets.left + insets.right;
/* 180 */       int j = 0;
/* 181 */       if (arrayOfComponent.length == 0) {
/*     */         return;
/*     */       }
/*     */ 
/*     */       
/*     */       int n;
/*     */       
/* 188 */       for (n = 0; n < arrayOfComponent.length; n++) {
/*     */         
/* 190 */         if (arrayOfComponent[n].isVisible()) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 196 */           if ((dimension = arrayOfComponent[n].getPreferredSize()).height == 0) {
/*     */             
/* 198 */             arrayOfComponent[n].setSize(dimension.width, k);
/*     */           }
/*     */           else {
/*     */             
/* 202 */             arrayOfComponent[n].setSize(dimension.width, dimension.height);
/*     */           } 
/*     */           
/* 205 */           if (j) j += this.horizontalGap; 
/* 206 */           j += dimension.width;
/*     */         } 
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       int m;
/*     */ 
/*     */ 
/*     */       
/* 217 */       if ((m = i - j) < 0) {
/*     */         Component component;
/*     */         
/* 220 */         if ((component = getShrinkingComponent()) != null)
/*     */         {
/*     */ 
/*     */           
/* 224 */           if ((n = (component.getPreferredSize()).width - (component.getMinimumSize()).width) > 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 231 */             if (n > -m) {
/*     */               
/* 233 */               n = -m;
/*     */             
/*     */             }
/*     */             else {
/*     */               
/* 238 */               n = n;
/*     */             } 
/* 240 */             m += n;
/*     */ 
/*     */             
/* 243 */             dimension = component.getPreferredSize();
/* 244 */             component.setSize(dimension.width - n, dimension.height);
/*     */           } 
/*     */         }
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 251 */       moveComponents(arrayOfComponent, insets, i, m, k, bool);
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension minimumLayoutSize(Container paramContainer) {
/* 263 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 265 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 266 */       Dimension dimension1 = new Dimension(0, 0);
/* 267 */       Dimension dimension2 = null;
/* 268 */       Insets insets = paramContainer.getInsets();
/*     */ 
/*     */       
/* 271 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */         
/* 273 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 275 */           dimension2 = arrayOfComponent[b].getMinimumSize();
/* 276 */           dimension1.height = Math.max(dimension1.height, dimension2.height);
/* 277 */           if (dimension1.width > 0) dimension1.width += this.horizontalGap; 
/* 278 */           dimension1.width += dimension2.width;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 283 */       dimension1.width += insets.left + insets.right;
/* 284 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 286 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension preferredLayoutSize(Container paramContainer) {
/* 297 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 299 */       Component[] arrayOfComponent = paramContainer.getComponents();
/* 300 */       Dimension dimension1 = new Dimension(0, 0);
/* 301 */       Dimension dimension2 = null;
/* 302 */       Insets insets = paramContainer.getInsets();
/*     */ 
/*     */       
/* 305 */       for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */         
/* 307 */         if (arrayOfComponent[b].isVisible()) {
/*     */           
/* 309 */           dimension2 = arrayOfComponent[b].getPreferredSize();
/* 310 */           dimension1.height = Math.max(dimension1.height, dimension2.height);
/* 311 */           if (dimension1.width > 0) dimension1.width += this.horizontalGap; 
/* 312 */           dimension1.width += dimension2.width;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/* 317 */       dimension1.width += insets.left + insets.right;
/* 318 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 320 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalAlignment(int paramInt) {
/* 331 */     this.horizontalAligment = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalGap(int paramInt) {
/* 339 */     this.horizontalGap = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setShrinkingComponent(Component paramComponent) {
/* 349 */     this.shrinkingComponent = paramComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToAllowLayoutLeftOfContainer(boolean paramBoolean) {
/* 363 */     this.toAllowLayoutLeftOfContainer = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToAllowLayoutTopOfContainer(boolean paramBoolean) {
/* 377 */     this.toAllowLayoutTopOfContainer = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setVerticalAlignment(int paramInt) {
/* 386 */     this.verticalAlignment = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 394 */     String str1 = "";
/* 395 */     String str2 = "";
/*     */     
/* 397 */     switch (getHorizontalAlignment()) {
/*     */       case 2:
/* 399 */         str1 = ", halign='left'"; break;
/* 400 */       case 0: str1 = ", halign='center'"; break;
/* 401 */       case 4: str1 = ", halign='right'"; break;
/* 402 */       case 10: str1 = ", halign='leading'"; break;
/* 403 */       case 11: str1 = ", halign='trailing'"; break;
/*     */     } 
/* 405 */     switch (getVerticalAlignment()) {
/*     */       case 1:
/* 407 */         str2 = ", valign='top'"; break;
/* 408 */       case 0: str2 = ", valign='center'"; break;
/* 409 */       case 3: str2 = ", valign='bottom'";
/*     */         break;
/*     */     } 
/* 412 */     return getClass().getName() + "[hgap=" + getHorizontalGap() + str1 + str2 + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void moveComponents(Component[] paramArrayOfComponent, Insets paramInsets, int paramInt1, int paramInt2, int paramInt3, boolean paramBoolean) {
/* 430 */     Dimension dimension = new Dimension();
/* 431 */     boolean bool = isToAllowLayoutTopOfContainer();
/* 432 */     int j = getVerticalAlignment();
/*     */     
/* 434 */     int k = paramInsets.left;
/* 435 */     int m = paramInsets.top;
/* 436 */     int n = 0;
/*     */     
/* 438 */     n = 0;
/* 439 */     int i1 = paramArrayOfComponent.length;
/* 440 */     byte b = 1;
/*     */ 
/*     */     
/* 443 */     if (paramArrayOfComponent.length == 0) {
/*     */       return;
/*     */     }
/*     */     
/*     */     int i;
/*     */     
/* 449 */     switch (i = a(getHorizontalAlignment(), paramBoolean)) {
/*     */       case 2:
/* 451 */         i = k; break;
/* 452 */       case 4: i = k + paramInt2; break;
/* 453 */       default: i = k + paramInt2 / 2;
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 458 */     if (!isToAllowLayoutLeftOfContainer())
/*     */     {
/* 460 */       if (i < k) i = k;
/*     */     
/*     */     }
/*     */ 
/*     */     
/* 465 */     if (!paramBoolean) {
/*     */       
/* 467 */       n = paramArrayOfComponent.length - 1;
/* 468 */       i1 = -1;
/* 469 */       b = -1;
/*     */     } 
/*     */ 
/*     */     
/* 473 */     if (j == 1) {
/*     */       
/* 475 */       for (paramInt2 = n; paramInt2 != i1; paramInt2 += b) {
/*     */         
/* 477 */         if (paramArrayOfComponent[paramInt2].isVisible()) {
/*     */           
/* 479 */           paramArrayOfComponent[paramInt2].getSize(dimension);
/* 480 */           paramArrayOfComponent[paramInt2].setLocation(i, m);
/* 481 */           i += dimension.width + this.horizontalGap;
/*     */         } 
/*     */       } 
/*     */       
/*     */       return;
/*     */     } 
/* 487 */     if (j == 3) {
/*     */       
/* 489 */       for (paramInt2 = n; paramInt2 != i1; paramInt2 += b) {
/*     */         
/* 491 */         if (paramArrayOfComponent[paramInt2].isVisible()) {
/*     */           
/* 493 */           paramArrayOfComponent[paramInt2].getSize(dimension);
/* 494 */           n = m + paramInt3 - dimension.height;
/* 495 */           if (!bool && n < m)
/*     */           {
/* 497 */             n = m;
/*     */           }
/* 499 */           paramArrayOfComponent[paramInt2].setLocation(i, n);
/* 500 */           i += dimension.width + this.horizontalGap;
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 508 */     for (paramInt2 = n; paramInt2 != i1; paramInt2 += b) {
/*     */       
/* 510 */       if (paramArrayOfComponent[paramInt2].isVisible()) {
/*     */         
/* 512 */         paramArrayOfComponent[paramInt2].getSize(dimension);
/* 513 */         n = m + (paramInt3 - dimension.height) / 2;
/* 514 */         if (!bool && n < m)
/*     */         {
/* 516 */           n = m;
/*     */         }
/* 518 */         paramArrayOfComponent[paramInt2].setLocation(i, n);
/* 519 */         i += dimension.width + this.horizontalGap;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\RowLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */