/*     */ package jpdf_common.gui.layout;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Insets;
/*     */ import java.io.Serializable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TripletLayout
/*     */   implements Serializable, ConstraintLayoutManager
/*     */ {
/*     */   public static final String LEFT = "Left";
/*     */   public static final String CENTER = "Center";
/*     */   public static final String RIGHT = "Right";
/*     */   public static final String LINE_START = "Start";
/*     */   public static final String LINE_END = "End";
/*     */   private static final long serialVersionUID = 400L;
/*  77 */   private Component leftComponent = null;
/*  78 */   private Component centerComponent = null;
/*  79 */   private Component rightComponent = null;
/*  80 */   private Component startComponent = null;
/*  81 */   private Component endComponent = null;
/*  82 */   private int horizontalGap = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TripletLayout() {
/*  91 */     this(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TripletLayout(int paramInt) {
/*  98 */     setHorizontalGap(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addLayoutComponent(String paramString, Component paramComponent) {
/* 114 */     String str = null;
/*     */     
/* 116 */     synchronized (paramComponent.getTreeLock()) {
/*     */ 
/*     */       
/* 119 */       if (paramString == null) paramString = "Center";
/*     */ 
/*     */       
/* 122 */       if (paramString.equals("Center")) {
/*     */         
/* 124 */         this.centerComponent = paramComponent;
/*     */       }
/* 126 */       else if (paramString.equals("Left")) {
/*     */         
/* 128 */         this.leftComponent = paramComponent;
/*     */       }
/* 130 */       else if (paramString.equals("Right")) {
/*     */         
/* 132 */         this.rightComponent = paramComponent;
/*     */       }
/* 134 */       else if (paramString.equals("Start")) {
/*     */         
/* 136 */         this.startComponent = paramComponent;
/*     */       }
/* 138 */       else if (paramString.equals("End")) {
/*     */         
/* 140 */         this.endComponent = paramComponent;
/*     */       }
/*     */       else {
/*     */         
/* 144 */         str = "Cannot add to layout - Unknown Constraint: " + paramString;
/* 145 */         throw new IllegalArgumentException(str);
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getConstraints(Component paramComponent) {
/* 158 */     if (paramComponent == this.leftComponent)
/*     */     {
/* 160 */       return "Left";
/*     */     }
/* 162 */     if (paramComponent == this.centerComponent)
/*     */     {
/* 164 */       return "Center";
/*     */     }
/* 166 */     if (paramComponent == this.rightComponent)
/*     */     {
/* 168 */       return "Right";
/*     */     }
/* 170 */     if (paramComponent == this.startComponent)
/*     */     {
/* 172 */       return "Start";
/*     */     }
/* 174 */     if (paramComponent == this.endComponent)
/*     */     {
/* 176 */       return "End";
/*     */     }
/*     */     
/* 179 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getHorizontalGap() {
/* 187 */     return this.horizontalGap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void layoutContainer(Container paramContainer) {
/* 197 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 199 */       Dimension dimension = paramContainer.getSize();
/* 200 */       Insets insets = null;
/* 201 */       insets = paramContainer.getInsets();
/*     */       
/* 203 */       boolean bool = paramContainer.getComponentOrientation().isLeftToRight();
/* 204 */       int k = insets.top;
/* 205 */       int i = dimension.height - insets.bottom;
/* 206 */       int m = insets.left;
/* 207 */       int j = dimension.width - insets.right;
/* 208 */       int n = getHorizontalGap();
/* 209 */       int i1 = 0;
/* 210 */       int i2 = i - k;
/*     */       
/*     */       Component component;
/* 213 */       if ((component = b(bool)) != null) {
/*     */         
/* 215 */         Dimension dimension1 = component.getPreferredSize();
/* 216 */         i1 = (i2 - dimension1.height) / 2;
/* 217 */         component.setBounds(j - dimension1.width, k + i1, dimension1.width, dimension1.height);
/*     */         
/* 219 */         j -= dimension1.width + n;
/*     */       } 
/*     */ 
/*     */       
/* 223 */       if ((component = a(bool)) != null) {
/*     */         
/* 225 */         Dimension dimension1 = component.getPreferredSize();
/* 226 */         i1 = (i2 - dimension1.height) / 2;
/* 227 */         component.setBounds(m, k + i1, dimension1.width, dimension1.height);
/*     */         
/* 229 */         m += dimension1.width + n;
/*     */       } 
/*     */ 
/*     */       
/* 233 */       if ((component = a()) != null) {
/*     */         
/* 235 */         Dimension dimension1 = component.getPreferredSize();
/* 236 */         i1 = (i2 - dimension1.height) / 2;
/* 237 */         component.setBounds(m, k + i1, j - m, dimension1.height);
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension minimumLayoutSize(Container paramContainer) {
/* 250 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 252 */       Dimension dimension1 = new Dimension(0, 0);
/* 253 */       Dimension dimension2 = null;
/* 254 */       Insets insets = paramContainer.getInsets();
/*     */       
/* 256 */       int i = getHorizontalGap();
/*     */       
/*     */       Component component;
/*     */       
/* 260 */       if ((component = b(true)) != null) {
/*     */         
/* 262 */         dimension2 = component.getMinimumSize();
/* 263 */         dimension1.width += dimension2.width + i;
/* 264 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/* 266 */       if ((component = a(true)) != null) {
/*     */         
/* 268 */         dimension2 = component.getMinimumSize();
/* 269 */         dimension1.width += dimension2.width + i;
/* 270 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/* 272 */       if ((component = a()) != null) {
/*     */         
/* 274 */         dimension2 = component.getMinimumSize();
/* 275 */         dimension1.width += dimension2.width;
/* 276 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/*     */ 
/*     */       
/* 280 */       dimension1.width += insets.left + insets.right;
/* 281 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 283 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Dimension preferredLayoutSize(Container paramContainer) {
/* 294 */     synchronized (paramContainer.getTreeLock()) {
/*     */       
/* 296 */       Dimension dimension1 = new Dimension(0, 0);
/* 297 */       Dimension dimension2 = null;
/* 298 */       Insets insets = paramContainer.getInsets();
/*     */       
/* 300 */       int i = getHorizontalGap();
/*     */       
/*     */       Component component;
/*     */       
/* 304 */       if ((component = b(true)) != null) {
/*     */         
/* 306 */         dimension2 = component.getPreferredSize();
/* 307 */         dimension1.width += dimension2.width + i;
/* 308 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/* 310 */       if ((component = a(true)) != null) {
/*     */         
/* 312 */         dimension2 = component.getPreferredSize();
/* 313 */         dimension1.width += dimension2.width + i;
/* 314 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/* 316 */       if ((component = a()) != null) {
/*     */         
/* 318 */         dimension2 = component.getPreferredSize();
/* 319 */         dimension1.width += dimension2.width;
/* 320 */         dimension1.height = Math.max(dimension2.height, dimension1.height);
/*     */       } 
/*     */ 
/*     */       
/* 324 */       dimension1.width += insets.left + insets.right;
/* 325 */       dimension1.height += insets.top + insets.bottom;
/*     */       
/* 327 */       return dimension1;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeLayoutComponent(Component paramComponent) {
/* 337 */     synchronized (paramComponent.getTreeLock()) {
/*     */       
/* 339 */       if (paramComponent == this.centerComponent) {
/*     */         
/* 341 */         this.centerComponent = null;
/*     */       }
/* 343 */       else if (paramComponent == this.leftComponent) {
/*     */         
/* 345 */         this.leftComponent = null;
/*     */       }
/* 347 */       else if (paramComponent == this.rightComponent) {
/*     */         
/* 349 */         this.rightComponent = null;
/*     */       }
/* 351 */       else if (paramComponent == this.startComponent) {
/*     */         
/* 353 */         this.startComponent = null;
/*     */       }
/* 355 */       else if (paramComponent == this.endComponent) {
/*     */         
/* 357 */         this.endComponent = null;
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setHorizontalGap(int paramInt) {
/* 367 */     this.horizontalGap = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 375 */     return getClass().getName() + "[hgap=" + this.horizontalGap + "]";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Component a() {
/* 389 */     if (this.centerComponent != null && !this.centerComponent.isVisible()) return null;
/*     */     
/* 391 */     return this.centerComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Component a(boolean paramBoolean) {
/* 400 */     if (paramBoolean) {
/*     */       
/* 402 */       if (this.startComponent != null)
/*     */       {
/* 404 */         if (!this.startComponent.isVisible()) return null; 
/* 405 */         return this.startComponent;
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 410 */     else if (this.endComponent != null) {
/*     */       
/* 412 */       if (!this.endComponent.isVisible()) return null; 
/* 413 */       return this.endComponent;
/*     */     } 
/*     */ 
/*     */     
/* 417 */     if (this.leftComponent != null && !this.leftComponent.isVisible()) return null;
/*     */     
/* 419 */     return this.leftComponent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Component b(boolean paramBoolean) {
/* 428 */     if (paramBoolean) {
/*     */       
/* 430 */       if (this.endComponent != null)
/*     */       {
/* 432 */         if (!this.endComponent.isVisible()) return null; 
/* 433 */         return this.endComponent;
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 438 */     else if (this.startComponent != null) {
/*     */       
/* 440 */       if (!this.startComponent.isVisible()) return null; 
/* 441 */       return this.startComponent;
/*     */     } 
/*     */ 
/*     */     
/* 445 */     if (this.rightComponent != null && !this.rightComponent.isVisible()) return null;
/*     */     
/* 447 */     return this.rightComponent;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\layout\TripletLayout.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */