/*     */ package jpdf_common.system.manage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ApplicationException
/*     */   extends Exception
/*     */   implements Diagnostic
/*     */ {
/*     */   protected static final int LOW_SEVERITY = 0;
/*     */   protected static final int MEDIUM_SEVERITY = 1;
/*     */   protected static final int HIGH_SEVERITY = 2;
/*     */   protected final int SEVERITY_LEVEL;
/*     */   protected final String DETAILED_EXPLANATION;
/*     */   
/*     */   protected ApplicationException(String paramString1, String paramString2, int paramInt) {
/*  58 */     super(paramString1);
/*     */     
/*  60 */     this.SEVERITY_LEVEL = paramInt;
/*  61 */     this.DETAILED_EXPLANATION = paramString2;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected ApplicationException(Throwable paramThrowable, String paramString1, String paramString2, int paramInt) {
/*  67 */     super(paramString1, paramThrowable);
/*     */     
/*  69 */     this.SEVERITY_LEVEL = paramInt;
/*  70 */     this.DETAILED_EXPLANATION = paramString2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createCriticalError(String paramString) {
/*  83 */     return new ApplicationException(paramString, null, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createCriticalError(String paramString1, String paramString2) {
/*  92 */     return new ApplicationException(paramString1, paramString2, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createCriticalError(Throwable paramThrowable, String paramString) {
/* 101 */     return new ApplicationException(paramThrowable, paramString, null, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createCriticalError(Throwable paramThrowable, String paramString1, String paramString2) {
/* 111 */     return new ApplicationException(paramThrowable, paramString1, paramString2, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createError(String paramString) {
/* 120 */     return new ApplicationException(paramString, null, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createError(String paramString1, String paramString2) {
/* 129 */     return new ApplicationException(paramString1, paramString2, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createError(Throwable paramThrowable, String paramString) {
/* 138 */     return new ApplicationException(paramThrowable, paramString, null, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createError(Throwable paramThrowable, String paramString1, String paramString2) {
/* 148 */     return new ApplicationException(paramThrowable, paramString1, paramString2, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createWarning(String paramString) {
/* 157 */     return new ApplicationException(paramString, null, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createWarning(String paramString1, String paramString2) {
/* 166 */     return new ApplicationException(paramString1, paramString2, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createWarning(Throwable paramThrowable, String paramString) {
/* 175 */     return new ApplicationException(paramThrowable, paramString, null, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ApplicationException createWarning(Throwable paramThrowable, String paramString1, String paramString2) {
/* 185 */     return new ApplicationException(paramThrowable, paramString1, null, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDetailedExplanation() {
/* 194 */     return this.DETAILED_EXPLANATION;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDetailedExplanation(boolean paramBoolean, int paramInt) {
/* 203 */     StackTraceElement[] arrayOfStackTraceElement = null;
/* 204 */     StringBuilder stringBuilder = null;
/* 205 */     String str = this.DETAILED_EXPLANATION;
/* 206 */     int i = paramInt;
/*     */     
/* 208 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */       
/* 212 */       if ((arrayOfStackTraceElement = getStackTrace()).length < paramInt) i = arrayOfStackTraceElement.length; 
/* 213 */       stringBuilder = new StringBuilder(i * 50);
/* 214 */       for (paramBoolean = false; paramBoolean < i; paramBoolean++)
/*     */       {
/* 216 */         stringBuilder.append("\n  >" + arrayOfStackTraceElement[paramBoolean].toString());
/*     */       }
/*     */ 
/*     */       
/* 220 */       str = str + stringBuilder.toString();
/*     */     } 
/*     */     
/* 223 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSeverityLabel() {
/*     */     String str;
/* 232 */     if (this.SEVERITY_LEVEL == 0) {
/*     */ 
/*     */ 
/*     */       
/* 236 */       str = "warning";
/*     */     }
/* 238 */     else if (this.SEVERITY_LEVEL == 0) {
/*     */       
/* 240 */       str = "error";
/*     */     }
/*     */     else {
/*     */       
/* 244 */       str = "critical error";
/*     */     } 
/*     */     
/* 247 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getThrowableTitle(Throwable paramThrowable) {
/*     */     String str;
/* 258 */     if (paramThrowable instanceof ApplicationException) {
/*     */ 
/*     */ 
/*     */       
/* 262 */       str = ((ApplicationException)paramThrowable).getTitle();
/*     */     }
/*     */     else {
/*     */       
/* 266 */       str = "System Exception";
/*     */     } 
/*     */     
/* 269 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getThrowableType(Throwable paramThrowable) {
/*     */     String str;
/* 279 */     if (paramThrowable instanceof ApplicationException) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 284 */       str = "Application Exception (" + ((ApplicationException)paramThrowable).getSeverityLabel() + ")";
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 289 */       str = str.getClass().getName();
/*     */     } 
/*     */     
/* 292 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getTitle() {
/*     */     String str;
/* 301 */     if (isWarning()) {
/*     */ 
/*     */ 
/*     */       
/* 305 */       str = "Application Warning";
/*     */     }
/* 307 */     else if (isError()) {
/*     */       
/* 309 */       str = "Application Error";
/*     */     }
/*     */     else {
/*     */       
/* 313 */       str = "Critical Application Error";
/*     */     } 
/*     */     
/* 316 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCriticalError() {
/* 324 */     return (this.SEVERITY_LEVEL == 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isError() {
/* 332 */     return (this.SEVERITY_LEVEL == 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isWarning() {
/* 341 */     return (this.SEVERITY_LEVEL == 0);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\system\manage\ApplicationException.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */