/*     */ package jxl;
/*     */ 
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.OutputStream;
/*     */ import jxl.read.biff.BiffException;
/*     */ import jxl.read.biff.File;
/*     */ import jxl.read.biff.PasswordException;
/*     */ import jxl.read.biff.WorkbookParser;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import jxl.write.biff.WritableWorkbookImpl;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class Workbook
/*     */ {
/*     */   private static final String version = "2.4.1";
/*     */   
/*     */   public abstract Sheet[] getSheets();
/*     */   
/*     */   public abstract Sheet getSheet(int paramInt) throws IndexOutOfBoundsException;
/*     */   
/*     */   public abstract Sheet getSheet(String paramString);
/*     */   
/*     */   public static String getVersion() {
/*  97 */     return "2.4.1";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract int getNumberOfSheets();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract Cell findCellByName(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract Range[] findByName(String paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract boolean isProtected();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void parse() throws BiffException, PasswordException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract void close();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Workbook getWorkbook(File file) throws IOException, BiffException {
/* 172 */     return getWorkbook(file, new WorkbookSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Workbook getWorkbook(File file, WorkbookSettings ws) throws IOException, BiffException {
/* 187 */     FileInputStream fis = new FileInputStream(file);
/*     */ 
/*     */ 
/*     */     
/* 191 */     File dataFile = null;
/*     */ 
/*     */     
/*     */     try {
/* 195 */       dataFile = new File(fis, ws);
/*     */     }
/* 197 */     catch (IOException e) {
/*     */       
/* 199 */       fis.close();
/* 200 */       throw e;
/*     */     }
/* 202 */     catch (BiffException e) {
/*     */       
/* 204 */       fis.close();
/* 205 */       throw e;
/*     */     } 
/*     */     
/* 208 */     fis.close();
/*     */     
/* 210 */     WorkbookParser workbookParser = new WorkbookParser(dataFile, ws);
/* 211 */     workbookParser.parse();
/*     */     
/* 213 */     return (Workbook)workbookParser;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Workbook getWorkbook(InputStream is) throws IOException, BiffException {
/* 227 */     return getWorkbook(is, new WorkbookSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Workbook getWorkbook(InputStream is, WorkbookSettings ws) throws IOException, BiffException {
/* 242 */     File dataFile = new File(is, ws);
/*     */     
/* 244 */     WorkbookParser workbookParser = new WorkbookParser(dataFile, ws);
/* 245 */     workbookParser.parse();
/*     */     
/* 247 */     return (Workbook)workbookParser;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(File file) throws IOException {
/* 259 */     return createWorkbook(file, new WorkbookSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(File file, WorkbookSettings ws) throws IOException {
/* 273 */     FileOutputStream fos = new FileOutputStream(file);
/* 274 */     return (WritableWorkbook)new WritableWorkbookImpl(fos, true, ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(File file, Workbook in) throws IOException {
/* 291 */     return createWorkbook(file, in, new WorkbookSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(File file, Workbook in, WorkbookSettings ws) throws IOException {
/* 309 */     FileOutputStream fos = new FileOutputStream(file);
/* 310 */     return (WritableWorkbook)new WritableWorkbookImpl(fos, in, true, ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(OutputStream os, Workbook in) throws IOException {
/* 327 */     return createWorkbook(os, in, ((WorkbookParser)in).getSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(OutputStream os, Workbook in, WorkbookSettings ws) throws IOException {
/* 345 */     return (WritableWorkbook)new WritableWorkbookImpl(os, in, false, ws);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(OutputStream os) throws IOException {
/* 361 */     return createWorkbook(os, new WorkbookSettings());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static WritableWorkbook createWorkbook(OutputStream os, WorkbookSettings ws) throws IOException {
/* 378 */     return (WritableWorkbook)new WritableWorkbookImpl(os, false, ws);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\Workbook.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */