/*     */ package jxl.biff;
/*     */ 
/*     */ import jxl.read.biff.Record;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class WritableRecordData
/*     */   extends RecordData
/*     */   implements ByteData
/*     */ {
/*     */   protected static final int maxRecordLength = 8228;
/*     */   
/*     */   protected WritableRecordData(Type t) {
/*  45 */     super(t);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected WritableRecordData(Record t) {
/*  55 */     super(t);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final byte[] getBytes() {
/*  67 */     byte[] data = getData();
/*     */     
/*  69 */     int dataLength = data.length;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  75 */     if (data.length > 8224) {
/*     */       
/*  77 */       dataLength = 8224;
/*  78 */       data = handleContinueRecords(data);
/*     */     } 
/*     */     
/*  81 */     byte[] bytes = new byte[data.length + 4];
/*     */     
/*  83 */     System.arraycopy(data, 0, bytes, 4, data.length);
/*     */     
/*  85 */     IntegerHelper.getTwoBytes(getCode(), bytes, 0);
/*  86 */     IntegerHelper.getTwoBytes(dataLength, bytes, 2);
/*     */     
/*  88 */     return bytes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private byte[] handleContinueRecords(byte[] data) {
/* 100 */     int continuedData = data.length - 8228 - 4;
/* 101 */     int numContinueRecords = continuedData / 8224 + 1;
/*     */ 
/*     */ 
/*     */     
/* 105 */     byte[] newdata = new byte[data.length + numContinueRecords * 4];
/*     */ 
/*     */ 
/*     */     
/* 109 */     System.arraycopy(data, 0, newdata, 0, 8224);
/* 110 */     int oldarraypos = 8224;
/* 111 */     int newarraypos = 8224;
/*     */ 
/*     */     
/* 114 */     for (int i = 0; i < numContinueRecords; i++) {
/*     */ 
/*     */       
/* 117 */       int length = Math.min(data.length - oldarraypos, 8224);
/*     */ 
/*     */       
/* 120 */       IntegerHelper.getTwoBytes(Type.CONTINUE.value, newdata, newarraypos);
/* 121 */       IntegerHelper.getTwoBytes(length, newdata, newarraypos + 2);
/*     */ 
/*     */       
/* 124 */       System.arraycopy(data, oldarraypos, newdata, newarraypos + 4, length);
/*     */ 
/*     */       
/* 127 */       oldarraypos += length;
/* 128 */       newarraypos += length + 4;
/*     */     } 
/*     */     
/* 131 */     return newdata;
/*     */   }
/*     */   
/*     */   protected abstract byte[] getData();
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\WritableRecordData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */