/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import common.Assert;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.IOException;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class BlipStoreEntry
/*     */   extends EscherAtom
/*     */ {
/*     */   private BlipType type;
/*     */   private File imageFile;
/*     */   private byte[] data;
/*     */   private int imageFileLength;
/*     */   private int referenceCount;
/*     */   
/*     */   public BlipStoreEntry(EscherRecordData erd) {
/*  37 */     super(erd);
/*  38 */     this.type = BlipType.getType(getInstance());
/*  39 */     byte[] bytes = getBytes();
/*  40 */     this.referenceCount = IntegerHelper.getInt(bytes[24], bytes[25], bytes[26], bytes[27]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BlipStoreEntry(Drawing d) throws IOException {
/*  47 */     super(EscherRecordType.BSE);
/*  48 */     this.imageFile = d.getImageFile();
/*  49 */     this.type = BlipType.PNG;
/*  50 */     setVersion(2);
/*  51 */     setInstance(this.type.getValue());
/*     */     
/*  53 */     this.imageFileLength = (int)this.imageFile.length();
/*  54 */     this.data = new byte[this.imageFileLength + 61];
/*  55 */     FileInputStream fis = new FileInputStream(this.imageFile);
/*  56 */     fis.read(this.data, 61, this.imageFileLength);
/*  57 */     fis.close();
/*  58 */     this.referenceCount = d.getReferenceCount();
/*     */   }
/*     */ 
/*     */   
/*     */   public BlipType getBlipType() {
/*  63 */     return this.type;
/*     */   }
/*     */ 
/*     */   
/*     */   public byte[] getData() {
/*  68 */     if (this.imageFile != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  73 */       this.data[0] = (byte)this.type.getValue();
/*     */ 
/*     */       
/*  76 */       this.data[1] = (byte)this.type.getValue();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  85 */       IntegerHelper.getFourBytes(this.imageFileLength + 8 + 17, this.data, 20);
/*     */ 
/*     */       
/*  88 */       IntegerHelper.getFourBytes(this.referenceCount, this.data, 24);
/*     */ 
/*     */       
/*  91 */       IntegerHelper.getFourBytes(0, this.data, 28);
/*     */ 
/*     */       
/*  94 */       this.data[32] = 0;
/*     */ 
/*     */       
/*  97 */       this.data[33] = 0;
/*     */ 
/*     */       
/* 100 */       this.data[34] = 126;
/* 101 */       this.data[35] = 1;
/*     */ 
/*     */       
/* 104 */       this.data[36] = 0;
/* 105 */       this.data[37] = 110;
/*     */ 
/*     */       
/* 108 */       IntegerHelper.getTwoBytes(61470, this.data, 38);
/*     */ 
/*     */ 
/*     */       
/* 112 */       IntegerHelper.getFourBytes(this.imageFileLength + 17, this.data, 40);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */ 
/*     */       
/* 120 */       this.data = getBytes();
/*     */     } 
/*     */     
/* 123 */     return setHeaderData(this.data);
/*     */   }
/*     */ 
/*     */   
/*     */   void dereference() {
/* 128 */     this.referenceCount--;
/* 129 */     Assert.verify((this.referenceCount >= 0));
/*     */   }
/*     */ 
/*     */   
/*     */   int getReferenceCount() {
/* 134 */     return this.referenceCount;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\BlipStoreEntry.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */