/*     */ package jxl.biff.drawing;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import jxl.biff.IntegerHelper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Dgg
/*     */   extends EscherAtom
/*     */ {
/*     */   private byte[] data;
/*     */   private int numClusters;
/*     */   private int maxShapeId;
/*     */   private int shapesSaved;
/*     */   private int drawingsSaved;
/*     */   private ArrayList clusters;
/*     */   
/*     */   static final class Cluster
/*     */   {
/*     */     int drawingGroupId;
/*     */     int shapeIdsUsed;
/*     */     
/*     */     Cluster(int dgId, int sids) {
/*  42 */       this.drawingGroupId = dgId;
/*  43 */       this.shapeIdsUsed = sids;
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public Dgg(EscherRecordData erd) {
/*  49 */     super(erd);
/*  50 */     this.clusters = new ArrayList();
/*  51 */     byte[] bytes = getBytes();
/*  52 */     this.maxShapeId = IntegerHelper.getInt(bytes[0], bytes[1], bytes[2], bytes[3]);
/*     */     
/*  54 */     this.numClusters = IntegerHelper.getInt(bytes[4], bytes[5], bytes[6], bytes[7]);
/*     */     
/*  56 */     this.shapesSaved = IntegerHelper.getInt(bytes[8], bytes[9], bytes[10], bytes[11]);
/*     */     
/*  58 */     this.drawingsSaved = IntegerHelper.getInt(bytes[12], bytes[13], bytes[14], bytes[15]);
/*     */ 
/*     */     
/*  61 */     int pos = 16;
/*  62 */     for (int i = 0; i < this.numClusters; i++) {
/*     */       
/*  64 */       int dgId = IntegerHelper.getInt(bytes[pos], bytes[pos + 1]);
/*  65 */       int sids = IntegerHelper.getInt(bytes[pos + 2], bytes[pos + 3]);
/*  66 */       Cluster c = new Cluster(dgId, sids);
/*  67 */       this.clusters.add(c);
/*  68 */       pos += 4;
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public Dgg(int numShapes, int numDrawings) {
/*  74 */     super(EscherRecordType.DGG);
/*  75 */     this.shapesSaved = numShapes;
/*  76 */     this.drawingsSaved = numDrawings;
/*  77 */     this.clusters = new ArrayList();
/*     */   }
/*     */ 
/*     */   
/*     */   void addCluster(int dgid, int sids) {
/*  82 */     Cluster c = new Cluster(dgid, sids);
/*  83 */     this.clusters.add(c);
/*     */   }
/*     */ 
/*     */   
/*     */   byte[] getData() {
/*  88 */     this.numClusters = this.clusters.size();
/*  89 */     this.data = new byte[16 + this.numClusters * 4];
/*     */ 
/*     */     
/*  92 */     IntegerHelper.getFourBytes(1024 + this.shapesSaved, this.data, 0);
/*     */ 
/*     */     
/*  95 */     IntegerHelper.getFourBytes(this.numClusters, this.data, 4);
/*     */ 
/*     */     
/*  98 */     IntegerHelper.getFourBytes(this.shapesSaved, this.data, 8);
/*     */ 
/*     */ 
/*     */     
/* 102 */     IntegerHelper.getFourBytes(1, this.data, 12);
/*     */     
/* 104 */     int pos = 16;
/* 105 */     for (int i = 0; i < this.numClusters; i++) {
/*     */       
/* 107 */       Cluster c = this.clusters.get(i);
/* 108 */       IntegerHelper.getTwoBytes(c.drawingGroupId, this.data, pos);
/* 109 */       IntegerHelper.getTwoBytes(c.shapeIdsUsed, this.data, pos + 2);
/* 110 */       pos += 4;
/*     */     } 
/*     */     
/* 113 */     return setHeaderData(this.data);
/*     */   }
/*     */ 
/*     */   
/*     */   int getShapesSaved() {
/* 118 */     return this.shapesSaved;
/*     */   }
/*     */ 
/*     */   
/*     */   Cluster getCluster(int i) {
/* 123 */     return this.clusters.get(i);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\drawing\Dgg.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */