/*     */ package jxl.read.biff;
/*     */ 
/*     */ import common.Logger;
/*     */ import jxl.Cell;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.RecordData;
/*     */ import jxl.biff.XFRecord;
/*     */ import jxl.format.CellFormat;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CellValue
/*     */   extends RecordData
/*     */   implements Cell
/*     */ {
/*  39 */   private static Logger logger = Logger.getLogger(CellValue.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int row;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int column;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int xfIndex;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FormattingRecords formattingRecords;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean initialized;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private XFRecord format;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private SheetImpl sheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CellValue(Record t, FormattingRecords fr, SheetImpl si) {
/*  86 */     super(t);
/*  87 */     byte[] data = getRecord().getData();
/*  88 */     this.row = IntegerHelper.getInt(data[0], data[1]);
/*  89 */     this.column = IntegerHelper.getInt(data[2], data[3]);
/*  90 */     this.xfIndex = IntegerHelper.getInt(data[4], data[5]);
/*  91 */     this.sheet = si;
/*  92 */     this.formattingRecords = fr;
/*  93 */     this.initialized = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getRow() {
/* 103 */     return this.row;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getColumn() {
/* 113 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final int getXFIndex() {
/* 124 */     return this.xfIndex;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellFormat getCellFormat() {
/* 135 */     if (!this.initialized) {
/*     */       
/* 137 */       this.format = this.formattingRecords.getXFRecord(this.xfIndex);
/* 138 */       this.initialized = true;
/*     */     } 
/*     */     
/* 141 */     return (CellFormat)this.format;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHidden() {
/* 151 */     ColumnInfoRecord cir = this.sheet.getColumnInfo(this.column);
/*     */     
/* 153 */     if (cir != null && (cir.getWidth() == 0 || cir.getHidden()))
/*     */     {
/* 155 */       return true;
/*     */     }
/*     */     
/* 158 */     RowRecord rr = this.sheet.getRowInfo(this.row);
/*     */     
/* 160 */     if (rr != null && (rr.getRowHeight() == 0 || rr.isCollapsed()))
/*     */     {
/* 162 */       return true;
/*     */     }
/*     */     
/* 165 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final SheetImpl getSheet() {
/* 175 */     return this.sheet;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\CellValue.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */