/*     */ package jxl.write.biff;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.OutputStream;
/*     */ import jxl.WorkbookSettings;
/*     */ import jxl.biff.ByteData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class File
/*     */ {
/*     */   private byte[] data;
/*     */   private int pos;
/*     */   private OutputStream outputStream;
/*     */   private int initialFileSize;
/*     */   private int arrayGrowSize;
/*     */   private WorkbookSettings workbookSettings;
/*     */   
/*     */   File(OutputStream os, WorkbookSettings ws) {
/*  69 */     this.initialFileSize = ws.getInitialFileSize();
/*  70 */     this.arrayGrowSize = ws.getArrayGrowSize();
/*  71 */     this.data = new byte[this.initialFileSize];
/*  72 */     this.pos = 0;
/*  73 */     this.outputStream = os;
/*  74 */     this.workbookSettings = ws;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void close(boolean cs) throws IOException {
/*  88 */     CompoundFile cf = new CompoundFile(this.data, this.pos, this.outputStream);
/*  89 */     cf.write();
/*     */     
/*  91 */     this.outputStream.flush();
/*     */     
/*  93 */     if (cs)
/*     */     {
/*  95 */       this.outputStream.close();
/*     */     }
/*     */ 
/*     */     
/*  99 */     this.data = null;
/*     */     
/* 101 */     if (!this.workbookSettings.getGCDisabled())
/*     */     {
/* 103 */       System.gc();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void write(ByteData record) throws IOException {
/* 115 */     byte[] bytes = record.getBytes();
/*     */     
/* 117 */     while (this.pos + bytes.length > this.data.length) {
/*     */ 
/*     */       
/* 120 */       byte[] newdata = new byte[this.data.length + this.arrayGrowSize];
/* 121 */       System.arraycopy(this.data, 0, newdata, 0, this.pos);
/* 122 */       this.data = newdata;
/*     */     } 
/*     */     
/* 125 */     System.arraycopy(bytes, 0, this.data, this.pos, bytes.length);
/* 126 */     this.pos += bytes.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int getPos() {
/* 136 */     return this.pos;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setData(byte[] newdata, int pos) {
/* 148 */     System.arraycopy(newdata, 0, this.data, pos, newdata.length);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\File.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */