package oracle.jdbc;

import java.io.InputStream;
import java.io.Reader;
import java.sql.CallableStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import oracle.sql.ARRAY;
import oracle.sql.BFILE;
import oracle.sql.BINARY_DOUBLE;
import oracle.sql.BINARY_FLOAT;
import oracle.sql.BLOB;
import oracle.sql.CHAR;
import oracle.sql.CLOB;
import oracle.sql.CustomDatumFactory;
import oracle.sql.DATE;
import oracle.sql.Datum;
import oracle.sql.INTERVALDS;
import oracle.sql.INTERVALYM;
import oracle.sql.NUMBER;
import oracle.sql.OPAQUE;
import oracle.sql.ORADataFactory;
import oracle.sql.RAW;
import oracle.sql.REF;
import oracle.sql.ROWID;
import oracle.sql.STRUCT;
import oracle.sql.TIMESTAMP;
import oracle.sql.TIMESTAMPLTZ;
import oracle.sql.TIMESTAMPTZ;

public interface OracleCallableStatement extends CallableStatement, OraclePreparedStatement {
  ARRAY getARRAY(int paramInt) throws SQLException;
  
  InputStream getAsciiStream(int paramInt) throws SQLException;
  
  BFILE getBFILE(int paramInt) throws SQLException;
  
  InputStream getBinaryStream(int paramInt) throws SQLException;
  
  BLOB getBLOB(int paramInt) throws SQLException;
  
  CHAR getCHAR(int paramInt) throws SQLException;
  
  Reader getCharacterStream(int paramInt) throws SQLException;
  
  CLOB getCLOB(int paramInt) throws SQLException;
  
  ResultSet getCursor(int paramInt) throws SQLException;
  
  Object getCustomDatum(int paramInt, CustomDatumFactory paramCustomDatumFactory) throws SQLException;
  
  Object getORAData(int paramInt, ORADataFactory paramORADataFactory) throws SQLException;
  
  Object getAnyDataEmbeddedObject(int paramInt) throws SQLException;
  
  DATE getDATE(int paramInt) throws SQLException;
  
  NUMBER getNUMBER(int paramInt) throws SQLException;
  
  OPAQUE getOPAQUE(int paramInt) throws SQLException;
  
  Datum getOracleObject(int paramInt) throws SQLException;
  
  RAW getRAW(int paramInt) throws SQLException;
  
  REF getREF(int paramInt) throws SQLException;
  
  ROWID getROWID(int paramInt) throws SQLException;
  
  STRUCT getSTRUCT(int paramInt) throws SQLException;
  
  INTERVALYM getINTERVALYM(int paramInt) throws SQLException;
  
  INTERVALDS getINTERVALDS(int paramInt) throws SQLException;
  
  TIMESTAMP getTIMESTAMP(int paramInt) throws SQLException;
  
  TIMESTAMPTZ getTIMESTAMPTZ(int paramInt) throws SQLException;
  
  TIMESTAMPLTZ getTIMESTAMPLTZ(int paramInt) throws SQLException;
  
  InputStream getUnicodeStream(int paramInt) throws SQLException;
  
  void registerOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException;
  
  void registerOutParameterBytes(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException;
  
  void registerOutParameterChars(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException;
  
  int sendBatch() throws SQLException;
  
  void setExecuteBatch(int paramInt) throws SQLException;
  
  Object getPlsqlIndexTable(int paramInt) throws SQLException;
  
  Object getPlsqlIndexTable(int paramInt, Class paramClass) throws SQLException;
  
  Datum[] getOraclePlsqlIndexTable(int paramInt) throws SQLException;
  
  void registerIndexTableOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException;
  
  void setBinaryFloat(String paramString, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException;
  
  void setBinaryDouble(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException;
  
  void setStringForClob(String paramString1, String paramString2) throws SQLException;
  
  void setBytesForBlob(String paramString, byte[] paramArrayOfbyte) throws SQLException;
  
  void registerOutParameter(String paramString, int paramInt1, int paramInt2, int paramInt3) throws SQLException;
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\OracleCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */