package oracle.jdbc;

import java.sql.CallableStatement;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Properties;
import oracle.jdbc.internal.OracleConnection;
import oracle.jdbc.pool.OracleConnectionCacheCallback;

public interface OracleConnection extends Connection {
  public static final int DATABASE_OK = 0;
  
  public static final int DATABASE_CLOSED = -1;
  
  public static final int DATABASE_NOTOK = -2;
  
  public static final int DATABASE_TIMEOUT = -3;
  
  public static final int INVALID_CONNECTION = 4096;
  
  public static final int PROXY_SESSION = 1;
  
  public static final int ABANDONED_CONNECTION_CALLBACK = 1;
  
  public static final int RELEASE_CONNECTION_CALLBACK = 2;
  
  public static final int ALL_CONNECTION_CALLBACKS = 4;
  
  public static final int CONNECTION_RELEASE_LOCKED = 256;
  
  public static final int CONNECTION_RELEASE_LOW = 512;
  
  public static final int CONNECTION_RELEASE_HIGH = 1024;
  
  public static final int PROXYTYPE_USER_NAME = 1;
  
  public static final int PROXYTYPE_DISTINGUISHED_NAME = 2;
  
  public static final int PROXYTYPE_CERTIFICATE = 3;
  
  public static final String PROXY_USER_NAME = "PROXY_USER_NAME";
  
  public static final String PROXY_USER_PASSWORD = "PROXY_USER_PASSWORD";
  
  public static final String PROXY_DISTINGUISHED_NAME = "PROXY_DISTINGUISHED_NAME";
  
  public static final String PROXY_CERTIFICATE = "PROXY_CERTIFICATE";
  
  public static final String PROXY_ROLES = "PROXY_ROLES";
  
  public static final int END_TO_END_ACTION_INDEX = 0;
  
  public static final int END_TO_END_CLIENTID_INDEX = 1;
  
  public static final int END_TO_END_ECID_INDEX = 2;
  
  public static final int END_TO_END_MODULE_INDEX = 3;
  
  public static final int END_TO_END_STATE_INDEX_MAX = 4;
  
  public static final int CACHE_SIZE_NOT_SET = -1;
  
  public static final String CONNECTION_PROPERTY_CREATE_DESCRIPTOR_USE_CURRENT_SCHEMA_FOR_SCHEMA_NAME = "oracle.jdbc.createDescriptorUseCurrentSchemaForSchemaName";
  
  public static final String CONNECTION_PROPERTY_CREATE_DESCRIPTOR_USE_CURRENT_SCHEMA_FOR_SCHEMA_NAME_DEFAULT = "false";
  
  public static final byte CONNECTION_PROPERTY_CREATE_DESCRIPTOR_USE_CURRENT_SCHEMA_FOR_SCHEMA_NAME_ACCESSMODE = 3;
  
  void archive(int paramInt1, int paramInt2, String paramString) throws SQLException;
  
  void openProxySession(int paramInt, Properties paramProperties) throws SQLException;
  
  boolean getAutoClose() throws SQLException;
  
  int getDefaultExecuteBatch();
  
  int getDefaultRowPrefetch();
  
  Object getDescriptor(String paramString);
  
  String[] getEndToEndMetrics() throws SQLException;
  
  short getEndToEndECIDSequenceNumber() throws SQLException;
  
  boolean getIncludeSynonyms();
  
  boolean getRestrictGetTables();
  
  Object getJavaObject(String paramString) throws SQLException;
  
  boolean getRemarksReporting();
  
  String getSQLType(Object paramObject) throws SQLException;
  
  int getStmtCacheSize();
  
  short getStructAttrCsId() throws SQLException;
  
  String getUserName() throws SQLException;
  
  String getCurrentSchema() throws SQLException;
  
  boolean getUsingXAFlag();
  
  boolean getXAErrorFlag();
  
  int pingDatabase(int paramInt) throws SQLException;
  
  void putDescriptor(String paramString, Object paramObject) throws SQLException;
  
  void registerSQLType(String paramString, Class paramClass) throws SQLException;
  
  void registerSQLType(String paramString1, String paramString2) throws SQLException;
  
  void setAutoClose(boolean paramBoolean) throws SQLException;
  
  void setDefaultExecuteBatch(int paramInt) throws SQLException;
  
  void setDefaultRowPrefetch(int paramInt) throws SQLException;
  
  void setEndToEndMetrics(String[] paramArrayOfString, short paramShort) throws SQLException;
  
  void setIncludeSynonyms(boolean paramBoolean);
  
  void setRemarksReporting(boolean paramBoolean);
  
  void setRestrictGetTables(boolean paramBoolean);
  
  void setStmtCacheSize(int paramInt) throws SQLException;
  
  void setStmtCacheSize(int paramInt, boolean paramBoolean) throws SQLException;
  
  void setStatementCacheSize(int paramInt) throws SQLException;
  
  int getStatementCacheSize() throws SQLException;
  
  void setImplicitCachingEnabled(boolean paramBoolean) throws SQLException;
  
  boolean getImplicitCachingEnabled() throws SQLException;
  
  void setExplicitCachingEnabled(boolean paramBoolean) throws SQLException;
  
  boolean getExplicitCachingEnabled() throws SQLException;
  
  void purgeImplicitCache() throws SQLException;
  
  void purgeExplicitCache() throws SQLException;
  
  PreparedStatement getStatementWithKey(String paramString) throws SQLException;
  
  CallableStatement getCallWithKey(String paramString) throws SQLException;
  
  void setUsingXAFlag(boolean paramBoolean);
  
  void setXAErrorFlag(boolean paramBoolean);
  
  void shutdown(int paramInt) throws SQLException;
  
  void startup(String paramString, int paramInt) throws SQLException;
  
  PreparedStatement prepareStatementWithKey(String paramString) throws SQLException;
  
  CallableStatement prepareCallWithKey(String paramString) throws SQLException;
  
  void setCreateStatementAsRefCursor(boolean paramBoolean);
  
  boolean getCreateStatementAsRefCursor();
  
  void setSessionTimeZone(String paramString) throws SQLException;
  
  String getSessionTimeZone();
  
  Properties getProperties();
  
  Connection _getPC();
  
  boolean isLogicalConnection();
  
  void registerTAFCallback(OracleOCIFailover paramOracleOCIFailover, Object paramObject) throws SQLException;
  
  OracleConnection unwrap();
  
  void setWrapper(OracleConnection paramOracleConnection);
  
  OracleConnection physicalConnectionWithin();
  
  OracleSavepoint oracleSetSavepoint() throws SQLException;
  
  OracleSavepoint oracleSetSavepoint(String paramString) throws SQLException;
  
  void oracleRollback(OracleSavepoint paramOracleSavepoint) throws SQLException;
  
  void oracleReleaseSavepoint(OracleSavepoint paramOracleSavepoint) throws SQLException;
  
  void close(Properties paramProperties) throws SQLException;
  
  void close(int paramInt) throws SQLException;
  
  boolean isProxySession();
  
  void applyConnectionAttributes(Properties paramProperties) throws SQLException;
  
  Properties getConnectionAttributes() throws SQLException;
  
  Properties getUnMatchedConnectionAttributes() throws SQLException;
  
  void registerConnectionCacheCallback(OracleConnectionCacheCallback paramOracleConnectionCacheCallback, Object paramObject, int paramInt) throws SQLException;
  
  void setConnectionReleasePriority(int paramInt) throws SQLException;
  
  int getConnectionReleasePriority() throws SQLException;
  
  void setPlsqlWarnings(String paramString) throws SQLException;
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\OracleConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */