package oracle.jdbc;

import java.io.InputStream;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Time;
import java.sql.Timestamp;
import oracle.sql.ARRAY;
import oracle.sql.BFILE;
import oracle.sql.BINARY_DOUBLE;
import oracle.sql.BINARY_FLOAT;
import oracle.sql.BLOB;
import oracle.sql.CHAR;
import oracle.sql.CLOB;
import oracle.sql.CustomDatum;
import oracle.sql.DATE;
import oracle.sql.Datum;
import oracle.sql.INTERVALDS;
import oracle.sql.INTERVALYM;
import oracle.sql.NUMBER;
import oracle.sql.OPAQUE;
import oracle.sql.ORAData;
import oracle.sql.RAW;
import oracle.sql.REF;
import oracle.sql.ROWID;
import oracle.sql.STRUCT;
import oracle.sql.StructDescriptor;
import oracle.sql.TIMESTAMP;
import oracle.sql.TIMESTAMPLTZ;
import oracle.sql.TIMESTAMPTZ;

public interface OraclePreparedStatement extends PreparedStatement, OracleStatement {
  public static final short FORM_NCHAR = 2;
  
  public static final short FORM_CHAR = 1;
  
  void defineParameterTypeBytes(int paramInt1, int paramInt2, int paramInt3) throws SQLException;
  
  void defineParameterTypeChars(int paramInt1, int paramInt2, int paramInt3) throws SQLException;
  
  void defineParameterType(int paramInt1, int paramInt2, int paramInt3) throws SQLException;
  
  int getExecuteBatch();
  
  int sendBatch() throws SQLException;
  
  void setARRAY(int paramInt, ARRAY paramARRAY) throws SQLException;
  
  void setBfile(int paramInt, BFILE paramBFILE) throws SQLException;
  
  void setBFILE(int paramInt, BFILE paramBFILE) throws SQLException;
  
  void setBLOB(int paramInt, BLOB paramBLOB) throws SQLException;
  
  void setCHAR(int paramInt, CHAR paramCHAR) throws SQLException;
  
  void setCLOB(int paramInt, CLOB paramCLOB) throws SQLException;
  
  void setCursor(int paramInt, ResultSet paramResultSet) throws SQLException;
  
  void setCustomDatum(int paramInt, CustomDatum paramCustomDatum) throws SQLException;
  
  void setORAData(int paramInt, ORAData paramORAData) throws SQLException;
  
  void setDATE(int paramInt, DATE paramDATE) throws SQLException;
  
  void setExecuteBatch(int paramInt) throws SQLException;
  
  void setFixedCHAR(int paramInt, String paramString) throws SQLException;
  
  void setNUMBER(int paramInt, NUMBER paramNUMBER) throws SQLException;
  
  void setBinaryFloat(int paramInt, float paramFloat) throws SQLException;
  
  void setBinaryFloat(int paramInt, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException;
  
  void setBinaryDouble(int paramInt, double paramDouble) throws SQLException;
  
  void setBinaryDouble(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException;
  
  void setOPAQUE(int paramInt, OPAQUE paramOPAQUE) throws SQLException;
  
  void setOracleObject(int paramInt, Datum paramDatum) throws SQLException;
  
  void setStructDescriptor(int paramInt, StructDescriptor paramStructDescriptor) throws SQLException;
  
  void setRAW(int paramInt, RAW paramRAW) throws SQLException;
  
  void setREF(int paramInt, REF paramREF) throws SQLException;
  
  void setRefType(int paramInt, REF paramREF) throws SQLException;
  
  void setROWID(int paramInt, ROWID paramROWID) throws SQLException;
  
  void setSTRUCT(int paramInt, STRUCT paramSTRUCT) throws SQLException;
  
  void setTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException;
  
  void setTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException;
  
  void setTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException;
  
  void setINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException;
  
  void setINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException;
  
  void setNullAtName(String paramString1, int paramInt, String paramString2) throws SQLException;
  
  void setNullAtName(String paramString, int paramInt) throws SQLException;
  
  void setBooleanAtName(String paramString, boolean paramBoolean) throws SQLException;
  
  void setByteAtName(String paramString, byte paramByte) throws SQLException;
  
  void setShortAtName(String paramString, short paramShort) throws SQLException;
  
  void setIntAtName(String paramString, int paramInt) throws SQLException;
  
  void setLongAtName(String paramString, long paramLong) throws SQLException;
  
  void setFloatAtName(String paramString, float paramFloat) throws SQLException;
  
  void setDoubleAtName(String paramString, double paramDouble) throws SQLException;
  
  void setBinaryFloatAtName(String paramString, float paramFloat) throws SQLException;
  
  void setBinaryFloatAtName(String paramString, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException;
  
  void setBinaryDoubleAtName(String paramString, double paramDouble) throws SQLException;
  
  void setBinaryDoubleAtName(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException;
  
  void setBigDecimalAtName(String paramString, BigDecimal paramBigDecimal) throws SQLException;
  
  void setStringAtName(String paramString1, String paramString2) throws SQLException;
  
  void setStringForClob(int paramInt, String paramString) throws SQLException;
  
  void setStringForClobAtName(String paramString1, String paramString2) throws SQLException;
  
  void setFixedCHARAtName(String paramString1, String paramString2) throws SQLException;
  
  void setCursorAtName(String paramString, ResultSet paramResultSet) throws SQLException;
  
  void setROWIDAtName(String paramString, ROWID paramROWID) throws SQLException;
  
  void setArrayAtName(String paramString, Array paramArray) throws SQLException;
  
  void setARRAYAtName(String paramString, ARRAY paramARRAY) throws SQLException;
  
  void setOPAQUEAtName(String paramString, OPAQUE paramOPAQUE) throws SQLException;
  
  void setStructDescriptorAtName(String paramString, StructDescriptor paramStructDescriptor) throws SQLException;
  
  void setSTRUCTAtName(String paramString, STRUCT paramSTRUCT) throws SQLException;
  
  void setRAWAtName(String paramString, RAW paramRAW) throws SQLException;
  
  void setCHARAtName(String paramString, CHAR paramCHAR) throws SQLException;
  
  void setDATEAtName(String paramString, DATE paramDATE) throws SQLException;
  
  void setNUMBERAtName(String paramString, NUMBER paramNUMBER) throws SQLException;
  
  void setBLOBAtName(String paramString, BLOB paramBLOB) throws SQLException;
  
  void setBlobAtName(String paramString, Blob paramBlob) throws SQLException;
  
  void setCLOBAtName(String paramString, CLOB paramCLOB) throws SQLException;
  
  void setClobAtName(String paramString, Clob paramClob) throws SQLException;
  
  void setBFILEAtName(String paramString, BFILE paramBFILE) throws SQLException;
  
  void setBfileAtName(String paramString, BFILE paramBFILE) throws SQLException;
  
  void setBytesAtName(String paramString, byte[] paramArrayOfbyte) throws SQLException;
  
  void setBytesForBlob(int paramInt, byte[] paramArrayOfbyte) throws SQLException;
  
  void setBytesForBlobAtName(String paramString, byte[] paramArrayOfbyte) throws SQLException;
  
  void setDateAtName(String paramString, Date paramDate) throws SQLException;
  
  void setTimeAtName(String paramString, Time paramTime) throws SQLException;
  
  void setTimestampAtName(String paramString, Timestamp paramTimestamp) throws SQLException;
  
  void setINTERVALYMAtName(String paramString, INTERVALYM paramINTERVALYM) throws SQLException;
  
  void setINTERVALDSAtName(String paramString, INTERVALDS paramINTERVALDS) throws SQLException;
  
  void setTIMESTAMPAtName(String paramString, TIMESTAMP paramTIMESTAMP) throws SQLException;
  
  void setTIMESTAMPTZAtName(String paramString, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException;
  
  void setTIMESTAMPLTZAtName(String paramString, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException;
  
  void setAsciiStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException;
  
  void setBinaryStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException;
  
  void setUnicodeStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException;
  
  void setCustomDatumAtName(String paramString, CustomDatum paramCustomDatum) throws SQLException;
  
  void setORADataAtName(String paramString, ORAData paramORAData) throws SQLException;
  
  void setObjectAtName(String paramString, Object paramObject, int paramInt1, int paramInt2) throws SQLException;
  
  void setObjectAtName(String paramString, Object paramObject, int paramInt) throws SQLException;
  
  void setRefTypeAtName(String paramString, REF paramREF) throws SQLException;
  
  void setRefAtName(String paramString, Ref paramRef) throws SQLException;
  
  void setREFAtName(String paramString, REF paramREF) throws SQLException;
  
  void setObjectAtName(String paramString, Object paramObject) throws SQLException;
  
  void setOracleObjectAtName(String paramString, Datum paramDatum) throws SQLException;
  
  void setURLAtName(String paramString, URL paramURL) throws SQLException;
  
  void setCheckBindTypes(boolean paramBoolean);
  
  void setPlsqlIndexTable(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5) throws SQLException;
  
  void setFormOfUse(int paramInt, short paramShort);
  
  void setDisableStmtCaching(boolean paramBoolean);
  
  OracleParameterMetaData OracleGetParameterMetaData() throws SQLException;
  
  void registerReturnParameter(int paramInt1, int paramInt2) throws SQLException;
  
  void registerReturnParameter(int paramInt1, int paramInt2, int paramInt3) throws SQLException;
  
  void registerReturnParameter(int paramInt1, int paramInt2, String paramString) throws SQLException;
  
  ResultSet getReturnResultSet() throws SQLException;
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\OraclePreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */