package oracle.jdbc;

import java.sql.ResultSet;
import java.sql.SQLException;
import oracle.sql.ARRAY;
import oracle.sql.BFILE;
import oracle.sql.BLOB;
import oracle.sql.CHAR;
import oracle.sql.CLOB;
import oracle.sql.CustomDatum;
import oracle.sql.CustomDatumFactory;
import oracle.sql.DATE;
import oracle.sql.Datum;
import oracle.sql.INTERVALDS;
import oracle.sql.INTERVALYM;
import oracle.sql.NUMBER;
import oracle.sql.OPAQUE;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.RAW;
import oracle.sql.REF;
import oracle.sql.ROWID;
import oracle.sql.STRUCT;
import oracle.sql.TIMESTAMP;
import oracle.sql.TIMESTAMPLTZ;
import oracle.sql.TIMESTAMPTZ;

public interface OracleResultSet extends ResultSet {
  public static final int HOLD_CURSORS_OVER_COMMIT = 1;
  
  public static final int CLOSE_CURSORS_AT_COMMIT = 2;
  
  ARRAY getARRAY(int paramInt) throws SQLException;
  
  ARRAY getARRAY(String paramString) throws SQLException;
  
  BFILE getBfile(int paramInt) throws SQLException;
  
  BFILE getBFILE(int paramInt) throws SQLException;
  
  BFILE getBfile(String paramString) throws SQLException;
  
  BFILE getBFILE(String paramString) throws SQLException;
  
  BLOB getBLOB(int paramInt) throws SQLException;
  
  BLOB getBLOB(String paramString) throws SQLException;
  
  CHAR getCHAR(int paramInt) throws SQLException;
  
  CHAR getCHAR(String paramString) throws SQLException;
  
  CLOB getCLOB(int paramInt) throws SQLException;
  
  CLOB getCLOB(String paramString) throws SQLException;
  
  OPAQUE getOPAQUE(int paramInt) throws SQLException;
  
  OPAQUE getOPAQUE(String paramString) throws SQLException;
  
  INTERVALYM getINTERVALYM(int paramInt) throws SQLException;
  
  INTERVALYM getINTERVALYM(String paramString) throws SQLException;
  
  INTERVALDS getINTERVALDS(int paramInt) throws SQLException;
  
  INTERVALDS getINTERVALDS(String paramString) throws SQLException;
  
  TIMESTAMP getTIMESTAMP(int paramInt) throws SQLException;
  
  TIMESTAMP getTIMESTAMP(String paramString) throws SQLException;
  
  TIMESTAMPTZ getTIMESTAMPTZ(int paramInt) throws SQLException;
  
  TIMESTAMPTZ getTIMESTAMPTZ(String paramString) throws SQLException;
  
  TIMESTAMPLTZ getTIMESTAMPLTZ(int paramInt) throws SQLException;
  
  TIMESTAMPLTZ getTIMESTAMPLTZ(String paramString) throws SQLException;
  
  ResultSet getCursor(int paramInt) throws SQLException;
  
  ResultSet getCursor(String paramString) throws SQLException;
  
  CustomDatum getCustomDatum(int paramInt, CustomDatumFactory paramCustomDatumFactory) throws SQLException;
  
  ORAData getORAData(int paramInt, ORADataFactory paramORADataFactory) throws SQLException;
  
  CustomDatum getCustomDatum(String paramString, CustomDatumFactory paramCustomDatumFactory) throws SQLException;
  
  ORAData getORAData(String paramString, ORADataFactory paramORADataFactory) throws SQLException;
  
  DATE getDATE(int paramInt) throws SQLException;
  
  DATE getDATE(String paramString) throws SQLException;
  
  NUMBER getNUMBER(int paramInt) throws SQLException;
  
  NUMBER getNUMBER(String paramString) throws SQLException;
  
  Datum getOracleObject(int paramInt) throws SQLException;
  
  Datum getOracleObject(String paramString) throws SQLException;
  
  RAW getRAW(int paramInt) throws SQLException;
  
  RAW getRAW(String paramString) throws SQLException;
  
  REF getREF(int paramInt) throws SQLException;
  
  REF getREF(String paramString) throws SQLException;
  
  ROWID getROWID(int paramInt) throws SQLException;
  
  ROWID getROWID(String paramString) throws SQLException;
  
  STRUCT getSTRUCT(int paramInt) throws SQLException;
  
  STRUCT getSTRUCT(String paramString) throws SQLException;
  
  void updateARRAY(int paramInt, ARRAY paramARRAY) throws SQLException;
  
  void updateARRAY(String paramString, ARRAY paramARRAY) throws SQLException;
  
  void updateBfile(int paramInt, BFILE paramBFILE) throws SQLException;
  
  void updateBFILE(int paramInt, BFILE paramBFILE) throws SQLException;
  
  void updateBfile(String paramString, BFILE paramBFILE) throws SQLException;
  
  void updateBFILE(String paramString, BFILE paramBFILE) throws SQLException;
  
  void updateBLOB(int paramInt, BLOB paramBLOB) throws SQLException;
  
  void updateBLOB(String paramString, BLOB paramBLOB) throws SQLException;
  
  void updateCHAR(int paramInt, CHAR paramCHAR) throws SQLException;
  
  void updateCHAR(String paramString, CHAR paramCHAR) throws SQLException;
  
  void updateCLOB(int paramInt, CLOB paramCLOB) throws SQLException;
  
  void updateCLOB(String paramString, CLOB paramCLOB) throws SQLException;
  
  void updateCustomDatum(int paramInt, CustomDatum paramCustomDatum) throws SQLException;
  
  void updateORAData(int paramInt, ORAData paramORAData) throws SQLException;
  
  void updateCustomDatum(String paramString, CustomDatum paramCustomDatum) throws SQLException;
  
  void updateORAData(String paramString, ORAData paramORAData) throws SQLException;
  
  void updateDATE(int paramInt, DATE paramDATE) throws SQLException;
  
  void updateDATE(String paramString, DATE paramDATE) throws SQLException;
  
  void updateINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException;
  
  void updateINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException;
  
  void updateTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException;
  
  void updateTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException;
  
  void updateTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException;
  
  void updateNUMBER(int paramInt, NUMBER paramNUMBER) throws SQLException;
  
  void updateNUMBER(String paramString, NUMBER paramNUMBER) throws SQLException;
  
  void updateOracleObject(int paramInt, Datum paramDatum) throws SQLException;
  
  void updateOracleObject(String paramString, Datum paramDatum) throws SQLException;
  
  void updateRAW(int paramInt, RAW paramRAW) throws SQLException;
  
  void updateRAW(String paramString, RAW paramRAW) throws SQLException;
  
  void updateREF(int paramInt, REF paramREF) throws SQLException;
  
  void updateREF(String paramString, REF paramREF) throws SQLException;
  
  void updateROWID(int paramInt, ROWID paramROWID) throws SQLException;
  
  void updateROWID(String paramString, ROWID paramROWID) throws SQLException;
  
  void updateSTRUCT(int paramInt, STRUCT paramSTRUCT) throws SQLException;
  
  void updateSTRUCT(String paramString, STRUCT paramSTRUCT) throws SQLException;
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\OracleResultSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */