/*     */ package oracle.jdbc.connector;
/*     */ 
/*     */ import java.io.PrintWriter;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Iterator;
/*     */ import java.util.Properties;
/*     */ import java.util.Set;
/*     */ import javax.naming.InitialContext;
/*     */ import javax.naming.NamingException;
/*     */ import javax.resource.ResourceException;
/*     */ import javax.resource.spi.ConnectionManager;
/*     */ import javax.resource.spi.ConnectionRequestInfo;
/*     */ import javax.resource.spi.EISSystemException;
/*     */ import javax.resource.spi.ManagedConnection;
/*     */ import javax.resource.spi.ManagedConnectionFactory;
/*     */ import javax.resource.spi.ResourceAdapterInternalException;
/*     */ import javax.resource.spi.SecurityException;
/*     */ import javax.resource.spi.security.PasswordCredential;
/*     */ import javax.security.auth.Subject;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.sql.XADataSource;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleManagedConnectionFactory
/*     */   implements ManagedConnectionFactory
/*     */ {
/*  45 */   private XADataSource xaDataSource = null;
/*  46 */   private String xaDataSourceName = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final String RAERR_MCF_SET_XADS = "invalid xads";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final String RAERR_MCF_GET_PCRED = "no password credential";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleManagedConnectionFactory() throws ResourceException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleManagedConnectionFactory(XADataSource paramXADataSource) throws ResourceException {
/*  72 */     this.xaDataSource = paramXADataSource;
/*  73 */     this.xaDataSourceName = "XADataSource";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setXADataSourceName(String paramString) {
/*  84 */     this.xaDataSourceName = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getXADataSourceName() {
/*  95 */     return this.xaDataSourceName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object createConnectionFactory(ConnectionManager paramConnectionManager) throws ResourceException {
/* 118 */     if (this.xaDataSource == null)
/*     */     {
/* 120 */       setupXADataSource();
/*     */     }
/*     */     
/* 123 */     return this.xaDataSource;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object createConnectionFactory() throws ResourceException {
/* 144 */     return createConnectionFactory(null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ManagedConnection createManagedConnection(Subject paramSubject, ConnectionRequestInfo paramConnectionRequestInfo) throws ResourceException {
/*     */     try {
/* 172 */       if (this.xaDataSource == null)
/*     */       {
/* 174 */         setupXADataSource();
/*     */       }
/*     */       
/* 177 */       XAConnection xAConnection = null;
/* 178 */       PasswordCredential passwordCredential = getPasswordCredential(paramSubject, paramConnectionRequestInfo);
/*     */       
/* 180 */       if (passwordCredential == null) {
/*     */         
/* 182 */         xAConnection = this.xaDataSource.getXAConnection();
/*     */       }
/*     */       else {
/*     */         
/* 186 */         xAConnection = this.xaDataSource.getXAConnection(passwordCredential.getUserName(), new String(passwordCredential.getPassword()));
/*     */       } 
/*     */ 
/*     */       
/* 190 */       OracleManagedConnection oracleManagedConnection = new OracleManagedConnection(xAConnection);
/*     */       
/* 192 */       oracleManagedConnection.setPasswordCredential(passwordCredential);
/*     */ 
/*     */       
/* 195 */       oracleManagedConnection.setLogWriter(getLogWriter());
/*     */       
/* 197 */       return oracleManagedConnection;
/*     */     }
/* 199 */     catch (SQLException sQLException) {
/*     */       
/* 201 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 204 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 206 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ManagedConnection matchManagedConnections(Set paramSet, Subject paramSubject, ConnectionRequestInfo paramConnectionRequestInfo) throws ResourceException {
/* 238 */     PasswordCredential passwordCredential = getPasswordCredential(paramSubject, paramConnectionRequestInfo);
/* 239 */     Iterator iterator = paramSet.iterator();
/*     */     
/* 241 */     while (iterator.hasNext()) {
/*     */       
/* 243 */       OracleManagedConnection oracleManagedConnection = (OracleManagedConnection)iterator.next();
/*     */       
/* 245 */       if (oracleManagedConnection instanceof OracleManagedConnection) {
/*     */         
/* 247 */         OracleManagedConnection oracleManagedConnection1 = oracleManagedConnection;
/*     */ 
/*     */         
/* 250 */         if (oracleManagedConnection1.getPasswordCredential().equals(passwordCredential))
/*     */         {
/* 252 */           return oracleManagedConnection1;
/*     */         }
/*     */       } 
/*     */     } 
/*     */     
/* 257 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLogWriter(PrintWriter paramPrintWriter) throws ResourceException {
/*     */     try {
/* 282 */       if (this.xaDataSource == null)
/*     */       {
/* 284 */         setupXADataSource();
/*     */       }
/*     */       
/* 287 */       this.xaDataSource.setLogWriter(paramPrintWriter);
/*     */     }
/* 289 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 295 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 298 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 300 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintWriter getLogWriter() throws ResourceException {
/*     */     try {
/* 324 */       if (this.xaDataSource == null)
/*     */       {
/* 326 */         setupXADataSource();
/*     */       }
/*     */       
/* 329 */       return this.xaDataSource.getLogWriter();
/*     */     }
/* 331 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 337 */       EISSystemException eISSystemException = new EISSystemException("SQLException: " + sQLException.getMessage());
/*     */ 
/*     */       
/* 340 */       eISSystemException.setLinkedException(sQLException);
/*     */       
/* 342 */       throw eISSystemException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setupXADataSource() throws ResourceException {
/*     */     try {
/* 393 */       InitialContext initialContext = null;
/*     */ 
/*     */       
/*     */       try {
/* 397 */         Properties properties = System.getProperties();
/*     */         
/* 399 */         initialContext = new InitialContext(properties);
/*     */       }
/* 401 */       catch (SecurityException securityException) {}
/*     */ 
/*     */ 
/*     */       
/* 405 */       if (initialContext == null)
/*     */       {
/* 407 */         initialContext = new InitialContext();
/*     */       }
/*     */       
/* 410 */       XADataSource xADataSource = (XADataSource)initialContext.lookup(this.xaDataSourceName);
/*     */       
/* 412 */       if (xADataSource == null)
/*     */       {
/* 414 */         throw new ResourceAdapterInternalException("Invalid XADataSource object");
/*     */       }
/*     */       
/* 417 */       this.xaDataSource = xADataSource;
/*     */     }
/* 419 */     catch (NamingException namingException) {
/*     */       
/* 421 */       ResourceException resourceException = new ResourceException("NamingException: " + namingException.getMessage());
/*     */ 
/*     */       
/* 424 */       resourceException.setLinkedException(namingException);
/*     */       
/* 426 */       throw resourceException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PasswordCredential getPasswordCredential(Subject paramSubject, ConnectionRequestInfo paramConnectionRequestInfo) throws ResourceException {
/* 443 */     if (paramSubject != null) {
/*     */ 
/*     */ 
/*     */       
/* 447 */       Set set = paramSubject.getPrivateCredentials(PasswordCredential.class);
/* 448 */       Iterator iterator = set.iterator();
/*     */       
/* 450 */       while (iterator.hasNext()) {
/*     */         
/* 452 */         PasswordCredential passwordCredential1 = iterator.next();
/*     */         
/* 454 */         if (passwordCredential1.getManagedConnectionFactory().equals(this))
/*     */         {
/* 456 */           return passwordCredential1;
/*     */         }
/*     */       } 
/*     */       
/* 460 */       throw new SecurityException("Can not find user/password information", "no password credential");
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 465 */     if (paramConnectionRequestInfo == null)
/*     */     {
/* 467 */       return null;
/*     */     }
/*     */ 
/*     */     
/* 471 */     OracleConnectionRequestInfo oracleConnectionRequestInfo = (OracleConnectionRequestInfo)paramConnectionRequestInfo;
/*     */     
/* 473 */     PasswordCredential passwordCredential = new PasswordCredential(oracleConnectionRequestInfo.getUser(), oracleConnectionRequestInfo.getPassword().toCharArray());
/*     */ 
/*     */     
/* 476 */     passwordCredential.setManagedConnectionFactory(this);
/*     */     
/* 478 */     return passwordCredential;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 488 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:42_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\connector\OracleManagedConnectionFactory.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */