/*      */ package oracle.jdbc.driver;
/*      */ import java.io.ByteArrayInputStream;
/*      */ import java.io.InputStream;
/*      */ import java.io.Reader;
/*      */ import java.math.BigDecimal;
/*      */ import java.sql.Array;
/*      */ import java.sql.Blob;
/*      */ import java.sql.Clob;
/*      */ import java.sql.Date;
/*      */ import java.sql.Ref;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Calendar;
/*      */ import java.util.Map;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CHAR;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CustomDatumFactory;
/*      */ import oracle.sql.DATE;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.OPAQUE;
/*      */ import oracle.sql.ORAData;
/*      */ import oracle.sql.ORADataFactory;
/*      */ import oracle.sql.RAW;
/*      */ import oracle.sql.REF;
/*      */ import oracle.sql.ROWID;
/*      */ import oracle.sql.STRUCT;
/*      */ 
/*      */ public class ArrayDataResultSet extends BaseResultSet {
/*      */   Datum[] data;
/*      */   Map map;
/*      */   private int currentIndex;
/*   38 */   private static Boolean BOOLEAN_TRUE = new Boolean(true); private int lastIndex; boolean closed; PhysicalConnection connection; private Boolean wasNull;
/*   39 */   private static Boolean BOOLEAN_FALSE = new Boolean(false);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int fetchSize;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   ARRAY array;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDataResultSet(OracleConnection paramOracleConnection, Datum[] paramArrayOfDatum, Map paramMap) throws SQLException {
/*   59 */     this.connection = (PhysicalConnection)paramOracleConnection;
/*   60 */     this.data = paramArrayOfDatum;
/*   61 */     this.map = paramMap;
/*   62 */     this.currentIndex = 0;
/*   63 */     this.lastIndex = (this.data == null) ? 0 : this.data.length;
/*   64 */     this.fetchSize = OracleConnection.DEFAULT_ROW_PREFETCH;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDataResultSet(OracleConnection paramOracleConnection, Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*   83 */     this.connection = (PhysicalConnection)paramOracleConnection;
/*   84 */     this.data = paramArrayOfDatum;
/*   85 */     this.map = paramMap;
/*   86 */     this.currentIndex = (int)paramLong - 1;
/*      */     
/*   88 */     byte b = (this.data == null) ? 0 : this.data.length;
/*      */     
/*   90 */     this.lastIndex = this.currentIndex + Math.min(b - this.currentIndex, paramInt);
/*      */     
/*   92 */     this.fetchSize = OracleConnection.DEFAULT_ROW_PREFETCH;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDataResultSet(OracleConnection paramOracleConnection, ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  102 */     this.connection = (PhysicalConnection)paramOracleConnection;
/*  103 */     this.array = paramARRAY;
/*  104 */     this.map = paramMap;
/*  105 */     this.currentIndex = (int)paramLong - 1;
/*      */     
/*  107 */     byte b = (this.array == null) ? 0 : paramARRAY.length();
/*      */     
/*  109 */     this.lastIndex = this.currentIndex + ((paramInt == -1) ? (b - this.currentIndex) : Math.min(b - this.currentIndex, paramInt));
/*      */ 
/*      */     
/*  112 */     this.fetchSize = OracleConnection.DEFAULT_ROW_PREFETCH;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean next() throws SQLException {
/*  121 */     if (this.closed) {
/*  122 */       DatabaseError.throwSqlException(10, "next");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  127 */     this.currentIndex++;
/*      */     
/*  129 */     return (this.currentIndex <= this.lastIndex);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close() throws SQLException {
/*  138 */     this.closed = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean wasNull() throws SQLException {
/*  147 */     if (this.wasNull == null) {
/*  148 */       DatabaseError.throwSqlException(24, null);
/*      */     }
/*  150 */     return this.wasNull.booleanValue();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized String getString(int paramInt) throws SQLException {
/*  159 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  161 */     if (datum != null) {
/*  162 */       return datum.stringValue();
/*      */     }
/*  164 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ResultSet getCursor(int paramInt) throws SQLException {
/*  173 */     DatabaseError.throwSqlException(4, "getCursor");
/*      */ 
/*      */     
/*  176 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Datum getOracleObject(int paramInt) throws SQLException {
/*  185 */     if (this.currentIndex <= 0) {
/*  186 */       DatabaseError.throwSqlException(14, null);
/*      */     }
/*      */     
/*  189 */     if (paramInt == 1) {
/*      */       
/*  191 */       this.wasNull = BOOLEAN_FALSE;
/*      */       
/*  193 */       return (Datum)new NUMBER(this.currentIndex);
/*      */     } 
/*  195 */     if (paramInt == 2) {
/*      */       
/*  197 */       if (this.data != null) {
/*      */         
/*  199 */         this.wasNull = (this.data[this.currentIndex - 1] == null) ? BOOLEAN_TRUE : BOOLEAN_FALSE;
/*      */ 
/*      */         
/*  202 */         return this.data[this.currentIndex - 1];
/*      */       } 
/*  204 */       if (this.array != null) {
/*      */ 
/*      */ 
/*      */         
/*  208 */         Datum[] arrayOfDatum = this.array.getOracleArray(this.currentIndex, 1);
/*      */         
/*  210 */         if (arrayOfDatum != null && arrayOfDatum.length >= 1) {
/*      */           
/*  212 */           this.wasNull = (arrayOfDatum[0] == null) ? BOOLEAN_TRUE : BOOLEAN_FALSE;
/*      */           
/*  214 */           return arrayOfDatum[0];
/*      */         } 
/*      */       } 
/*      */       
/*  218 */       DatabaseError.throwSqlException(1, "Out of sync");
/*      */     } 
/*      */     
/*  221 */     DatabaseError.throwSqlException(3, null);
/*      */ 
/*      */     
/*  224 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ROWID getROWID(int paramInt) throws SQLException {
/*  233 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  235 */     if (datum != null) {
/*      */       
/*  237 */       if (datum instanceof ROWID) {
/*  238 */         return (ROWID)datum;
/*      */       }
/*  240 */       DatabaseError.throwSqlException(4, "getROWID");
/*      */     } 
/*      */ 
/*      */     
/*  244 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized NUMBER getNUMBER(int paramInt) throws SQLException {
/*  253 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  255 */     if (datum != null) {
/*      */       
/*  257 */       if (datum instanceof NUMBER) {
/*  258 */         return (NUMBER)datum;
/*      */       }
/*  260 */       DatabaseError.throwSqlException(4, "getNUMBER");
/*      */     } 
/*      */ 
/*      */     
/*  264 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized DATE getDATE(int paramInt) throws SQLException {
/*  273 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  275 */     if (datum != null) {
/*      */       
/*  277 */       if (datum instanceof DATE) {
/*  278 */         return (DATE)datum;
/*      */       }
/*  280 */       DatabaseError.throwSqlException(4, "getDATE");
/*      */     } 
/*      */ 
/*      */     
/*  284 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ARRAY getARRAY(int paramInt) throws SQLException {
/*  293 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  295 */     if (datum != null) {
/*      */       
/*  297 */       if (datum instanceof ARRAY) {
/*  298 */         return (ARRAY)datum;
/*      */       }
/*  300 */       DatabaseError.throwSqlException(4, "getARRAY");
/*      */     } 
/*      */ 
/*      */     
/*  304 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized STRUCT getSTRUCT(int paramInt) throws SQLException {
/*  313 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  315 */     if (datum != null) {
/*      */       
/*  317 */       if (datum instanceof STRUCT) {
/*  318 */         return (STRUCT)datum;
/*      */       }
/*  320 */       DatabaseError.throwSqlException(4, "getSTRUCT");
/*      */     } 
/*      */ 
/*      */     
/*  324 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OPAQUE getOPAQUE(int paramInt) throws SQLException {
/*  333 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  335 */     if (datum != null) {
/*      */       
/*  337 */       if (datum instanceof OPAQUE) {
/*  338 */         return (OPAQUE)datum;
/*      */       }
/*  340 */       DatabaseError.throwSqlException(4, "getOPAQUE");
/*      */     } 
/*      */ 
/*      */     
/*  344 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized REF getREF(int paramInt) throws SQLException {
/*  353 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  355 */     if (datum != null) {
/*      */       
/*  357 */       if (datum instanceof REF) {
/*  358 */         return (REF)datum;
/*      */       }
/*  360 */       DatabaseError.throwSqlException(4, "getREF");
/*      */     } 
/*      */ 
/*      */     
/*  364 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CHAR getCHAR(int paramInt) throws SQLException {
/*  373 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  375 */     if (datum != null) {
/*      */       
/*  377 */       if (datum instanceof CHAR) {
/*  378 */         return (CHAR)datum;
/*      */       }
/*  380 */       DatabaseError.throwSqlException(4, "getCHAR");
/*      */     } 
/*      */ 
/*      */     
/*  384 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized RAW getRAW(int paramInt) throws SQLException {
/*  393 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  395 */     if (datum != null) {
/*      */       
/*  397 */       if (datum instanceof RAW) {
/*  398 */         return (RAW)datum;
/*      */       }
/*  400 */       DatabaseError.throwSqlException(4, "getRAW");
/*      */     } 
/*      */ 
/*      */     
/*  404 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BLOB getBLOB(int paramInt) throws SQLException {
/*  413 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  415 */     if (datum != null) {
/*      */       
/*  417 */       if (datum instanceof BLOB) {
/*  418 */         return (BLOB)datum;
/*      */       }
/*  420 */       DatabaseError.throwSqlException(4, "getBLOB");
/*      */     } 
/*      */ 
/*      */     
/*  424 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CLOB getCLOB(int paramInt) throws SQLException {
/*  433 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  435 */     if (datum != null) {
/*      */       
/*  437 */       if (datum instanceof CLOB) {
/*  438 */         return (CLOB)datum;
/*      */       }
/*  440 */       DatabaseError.throwSqlException(4, "getCLOB");
/*      */     } 
/*      */ 
/*      */     
/*  444 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BFILE getBFILE(int paramInt) throws SQLException {
/*  453 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  455 */     if (datum != null) {
/*      */       
/*  457 */       if (datum instanceof BFILE) {
/*  458 */         return (BFILE)datum;
/*      */       }
/*  460 */       DatabaseError.throwSqlException(4, "getBFILE");
/*      */     } 
/*      */ 
/*      */     
/*  464 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BFILE getBfile(int paramInt) throws SQLException {
/*  474 */     return getBFILE(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean getBoolean(int paramInt) throws SQLException {
/*  483 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  485 */     if (datum != null) {
/*  486 */       return datum.booleanValue();
/*      */     }
/*  488 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized byte getByte(int paramInt) throws SQLException {
/*  497 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  499 */     if (datum != null) {
/*  500 */       return datum.byteValue();
/*      */     }
/*  502 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized short getShort(int paramInt) throws SQLException {
/*  511 */     long l = getLong(paramInt);
/*      */     
/*  513 */     if (l > 65537L || l < -65538L) {
/*  514 */       DatabaseError.throwSqlException(26, "getShort");
/*      */     }
/*      */     
/*  517 */     return (short)(int)l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int getInt(int paramInt) throws SQLException {
/*  526 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  528 */     if (datum != null)
/*      */     {
/*  530 */       return datum.intValue();
/*      */     }
/*      */     
/*  533 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long getLong(int paramInt) throws SQLException {
/*  542 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  544 */     if (datum != null)
/*      */     {
/*  546 */       return datum.longValue();
/*      */     }
/*      */     
/*  549 */     return 0L;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized float getFloat(int paramInt) throws SQLException {
/*  558 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  560 */     if (datum != null)
/*      */     {
/*  562 */       return datum.floatValue();
/*      */     }
/*      */     
/*  565 */     return 0.0F;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized double getDouble(int paramInt) throws SQLException {
/*  574 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  576 */     if (datum != null)
/*      */     {
/*  578 */       return datum.doubleValue();
/*      */     }
/*      */     
/*  581 */     return 0.0D;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BigDecimal getBigDecimal(int paramInt1, int paramInt2) throws SQLException {
/*  591 */     Datum datum = getOracleObject(paramInt1);
/*      */     
/*  593 */     if (datum != null)
/*      */     {
/*  595 */       return datum.bigDecimalValue();
/*      */     }
/*      */     
/*  598 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized byte[] getBytes(int paramInt) throws SQLException {
/*  607 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  609 */     if (datum != null) {
/*      */       
/*  611 */       if (datum instanceof RAW) {
/*  612 */         return ((RAW)datum).shareBytes();
/*      */       }
/*  614 */       DatabaseError.throwSqlException(4, "getBytes");
/*      */     } 
/*      */ 
/*      */     
/*  618 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Date getDate(int paramInt) throws SQLException {
/*  627 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  629 */     if (datum != null)
/*      */     {
/*  631 */       return datum.dateValue();
/*      */     }
/*      */     
/*  634 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Time getTime(int paramInt) throws SQLException {
/*  643 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  645 */     if (datum != null)
/*      */     {
/*  647 */       return datum.timeValue();
/*      */     }
/*      */     
/*  650 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Timestamp getTimestamp(int paramInt) throws SQLException {
/*  660 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  662 */     if (datum != null)
/*      */     {
/*  664 */       return datum.timestampValue();
/*      */     }
/*      */     
/*  667 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized InputStream getAsciiStream(int paramInt) throws SQLException {
/*  677 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  679 */     if (datum != null)
/*      */     {
/*  681 */       datum.asciiStreamValue();
/*      */     }
/*      */     
/*  684 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized InputStream getUnicodeStream(int paramInt) throws SQLException {
/*  694 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  696 */     if (datum != null) {
/*      */       
/*  698 */       DBConversion dBConversion = this.connection.conversion;
/*  699 */       byte[] arrayOfByte = datum.shareBytes();
/*      */       
/*  701 */       if (datum instanceof RAW)
/*      */       {
/*  703 */         return dBConversion.ConvertStream(new ByteArrayInputStream(arrayOfByte), 3);
/*      */       }
/*      */       
/*  706 */       if (datum instanceof CHAR)
/*      */       {
/*  708 */         return dBConversion.ConvertStream(new ByteArrayInputStream(arrayOfByte), 1);
/*      */       }
/*      */ 
/*      */       
/*  712 */       DatabaseError.throwSqlException(4, "getUnicodeStream");
/*      */     } 
/*      */ 
/*      */     
/*  716 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized InputStream getBinaryStream(int paramInt) throws SQLException {
/*  726 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  728 */     if (datum != null)
/*      */     {
/*  730 */       return datum.binaryStreamValue();
/*      */     }
/*      */     
/*  733 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getObject(int paramInt) throws SQLException {
/*  743 */     return getObject(paramInt, this.map);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized CustomDatum getCustomDatum(int paramInt, CustomDatumFactory paramCustomDatumFactory) throws SQLException {
/*  756 */     Datum datum = getOracleObject(paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  761 */     return paramCustomDatumFactory.create(datum, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ORAData getORAData(int paramInt, ORADataFactory paramORADataFactory) throws SQLException {
/*  771 */     Datum datum = getOracleObject(paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  776 */     return paramORADataFactory.create(datum, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized ResultSetMetaData getMetaData() throws SQLException {
/*  788 */     if (this.closed) {
/*  789 */       DatabaseError.throwSqlException(10, "getMetaData");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  794 */     DatabaseError.throwSqlException(23, "getMetaData");
/*      */ 
/*      */     
/*  797 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int findColumn(String paramString) throws SQLException {
/*  806 */     if (paramString.equalsIgnoreCase("index"))
/*  807 */       return 1; 
/*  808 */     if (paramString.equalsIgnoreCase("value")) {
/*  809 */       return 2;
/*      */     }
/*  811 */     DatabaseError.throwSqlException(6, "get_column_index");
/*      */ 
/*      */ 
/*      */     
/*  815 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Statement getStatement() throws SQLException {
/*  828 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getObject(int paramInt, Map paramMap) throws SQLException {
/*  838 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  840 */     if (datum != null) {
/*      */       
/*  842 */       if (datum instanceof STRUCT) {
/*  843 */         return ((STRUCT)datum).toJdbc(paramMap);
/*      */       }
/*  845 */       return datum.toJdbc();
/*      */     } 
/*      */     
/*  848 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Ref getRef(int paramInt) throws SQLException {
/*  857 */     return (Ref)getREF(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Blob getBlob(int paramInt) throws SQLException {
/*  866 */     return (Blob)getBLOB(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Clob getClob(int paramInt) throws SQLException {
/*  875 */     return (Clob)getCLOB(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Array getArray(int paramInt) throws SQLException {
/*  885 */     return (Array)getARRAY(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Reader getCharacterStream(int paramInt) throws SQLException {
/*  902 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  904 */     if (datum != null)
/*      */     {
/*  906 */       return datum.characterStreamValue();
/*      */     }
/*      */     
/*  909 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized BigDecimal getBigDecimal(int paramInt) throws SQLException {
/*  919 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  921 */     if (datum != null)
/*      */     {
/*  923 */       return datum.bigDecimalValue();
/*      */     }
/*      */     
/*  926 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Date getDate(int paramInt, Calendar paramCalendar) throws SQLException {
/*  936 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  938 */     if (datum != null) {
/*      */       
/*  940 */       DATE dATE = null;
/*      */       
/*  942 */       if (datum instanceof DATE) {
/*  943 */         dATE = (DATE)datum;
/*      */       } else {
/*  945 */         dATE = new DATE(datum.stringValue());
/*      */       } 
/*  947 */       if (dATE != null) {
/*  948 */         return dATE.dateValue(paramCalendar);
/*      */       }
/*      */     } 
/*  951 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Time getTime(int paramInt, Calendar paramCalendar) throws SQLException {
/*  961 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  963 */     if (datum != null) {
/*      */       
/*  965 */       DATE dATE = null;
/*      */       
/*  967 */       if (datum instanceof DATE) {
/*  968 */         dATE = (DATE)datum;
/*      */       } else {
/*  970 */         dATE = new DATE(datum.stringValue());
/*      */       } 
/*  972 */       if (dATE != null) {
/*  973 */         return dATE.timeValue(paramCalendar);
/*      */       }
/*      */     } 
/*  976 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Timestamp getTimestamp(int paramInt, Calendar paramCalendar) throws SQLException {
/*  986 */     Datum datum = getOracleObject(paramInt);
/*      */     
/*  988 */     if (datum != null) {
/*      */       
/*  990 */       DATE dATE = null;
/*      */       
/*  992 */       if (datum instanceof DATE) {
/*  993 */         dATE = (DATE)datum;
/*      */       } else {
/*  995 */         dATE = new DATE(datum.stringValue());
/*      */       } 
/*  997 */       if (dATE != null) {
/*  998 */         return dATE.timestampValue(paramCalendar);
/*      */       }
/*      */     } 
/* 1001 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized URL getURL(int paramInt) throws SQLException {
/* 1041 */     throw new SQLException("Conversion to java.net.URL not supported.");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isBeforeFirst() throws SQLException {
/* 1054 */     return (this.currentIndex < 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isAfterLast() throws SQLException {
/* 1063 */     return (this.currentIndex > this.lastIndex);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isFirst() throws SQLException {
/* 1072 */     return (this.currentIndex == 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isLast() throws SQLException {
/* 1081 */     return (this.currentIndex == this.lastIndex);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRow() throws SQLException {
/* 1090 */     return this.currentIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFetchSize(int paramInt) throws SQLException {
/* 1103 */     if (paramInt < 0) {
/* 1104 */       DatabaseError.throwSqlException(68);
/* 1105 */     } else if (paramInt == 0) {
/* 1106 */       this.fetchSize = OracleConnection.DEFAULT_ROW_PREFETCH;
/*      */     } else {
/* 1108 */       this.fetchSize = paramInt;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFetchSize() throws SQLException {
/* 1117 */     return this.fetchSize;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 1122 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:35_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\ArrayDataResultSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */