/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.Array;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.sql.ARRAY;
/*     */ import oracle.sql.ArrayDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ArrayLocatorResultSet
/*     */   extends OracleResultSetImpl
/*     */ {
/*  24 */   static int COUNT_UNLIMITED = -1;
/*     */ 
/*     */ 
/*     */   
/*     */   Map map;
/*     */ 
/*     */ 
/*     */   
/*     */   long beginIndex;
/*     */ 
/*     */ 
/*     */   
/*     */   int count;
/*     */ 
/*     */   
/*     */   long currentIndex;
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayLocatorResultSet(OracleConnection paramOracleConnection, ArrayDescriptor paramArrayDescriptor, byte[] paramArrayOfbyte, Map paramMap) throws SQLException {
/*  44 */     this(paramOracleConnection, paramArrayDescriptor, paramArrayOfbyte, 0L, COUNT_UNLIMITED, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayLocatorResultSet(OracleConnection paramOracleConnection, ArrayDescriptor paramArrayDescriptor, byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  65 */     super((PhysicalConnection)paramOracleConnection, (OracleStatement)null);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  70 */     if (paramArrayDescriptor == null || paramOracleConnection == null) {
/*  71 */       DatabaseError.throwSqlException(1, "Invalid arguments");
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  76 */     this.close_statement_on_close = true;
/*     */     
/*  78 */     this.count = paramInt;
/*  79 */     this.currentIndex = 0L;
/*  80 */     this.beginIndex = paramLong;
/*     */     
/*  82 */     this.map = paramMap;
/*     */     
/*  84 */     OraclePreparedStatement oraclePreparedStatement = null;
/*     */ 
/*     */     
/*  87 */     ARRAY aRRAY = new ARRAY(paramArrayDescriptor, (Connection)paramOracleConnection, null);
/*     */     
/*  89 */     aRRAY.setLocator(paramArrayOfbyte);
/*     */ 
/*     */     
/*  92 */     if (paramArrayDescriptor.getBaseType() == 2002 || paramArrayDescriptor.getBaseType() == 2008) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  98 */       oraclePreparedStatement = (OraclePreparedStatement)paramOracleConnection.prepareStatement("SELECT ROWNUM, SYS_NC_ROWINFO$ FROM TABLE( CAST(:1 AS " + paramArrayDescriptor.getName() + ") )");
/*     */ 
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */ 
/*     */       
/* 107 */       oraclePreparedStatement = (OraclePreparedStatement)paramOracleConnection.prepareStatement("SELECT ROWNUM, COLUMN_VALUE FROM TABLE( CAST(:1 AS " + paramArrayDescriptor.getName() + ") )");
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 112 */     oraclePreparedStatement.setArray(1, (Array)aRRAY);
/* 113 */     oraclePreparedStatement.executeQuery();
/*     */     
/* 115 */     this.statement = oraclePreparedStatement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized boolean next() throws SQLException {
/* 127 */     if (this.currentIndex < this.beginIndex) {
/*     */       
/* 129 */       while (this.currentIndex < this.beginIndex) {
/*     */         
/* 131 */         this.currentIndex++;
/*     */         
/* 133 */         if (!super.next()) {
/* 134 */           return false;
/*     */         }
/*     */       } 
/* 137 */       return true;
/*     */     } 
/*     */ 
/*     */     
/* 141 */     if (this.count == COUNT_UNLIMITED)
/*     */     {
/* 143 */       return super.next();
/*     */     }
/* 145 */     if (this.currentIndex < this.beginIndex + this.count - 1L) {
/*     */       
/* 147 */       this.currentIndex++;
/*     */       
/* 149 */       return super.next();
/*     */     } 
/*     */ 
/*     */     
/* 153 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized Object getObject(int paramInt) throws SQLException {
/* 165 */     return getObject(paramInt, this.map);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized int findColumn(String paramString) throws SQLException {
/* 177 */     if (paramString.equalsIgnoreCase("index"))
/* 178 */       return 1; 
/* 179 */     if (paramString.equalsIgnoreCase("value")) {
/* 180 */       return 2;
/*     */     }
/* 182 */     DatabaseError.throwSqlException(6, "get_column_index");
/*     */ 
/*     */ 
/*     */     
/* 186 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 191 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:35_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\ArrayLocatorResultSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */