/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.sql.BFILE;
/*     */ import oracle.sql.Datum;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class BfileAccessor
/*     */   extends Accessor
/*     */ {
/*     */   static final int maxLength = 530;
/*     */   
/*     */   BfileAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean) throws SQLException {
/*  31 */     init(paramOracleStatement, 114, 114, paramShort, paramBoolean);
/*  32 */     initForDataAccess(paramInt2, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   BfileAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort) throws SQLException {
/*  39 */     init(paramOracleStatement, 114, 114, paramShort, false);
/*  40 */     initForDescribe(114, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, null);
/*     */     
/*  42 */     initForDataAccess(0, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  48 */     if (paramInt1 != 0) {
/*  49 */       this.externalType = paramInt1;
/*     */     }
/*  51 */     this.internalTypeMaxLength = 530;
/*     */     
/*  53 */     if (paramInt2 > 0 && paramInt2 < this.internalTypeMaxLength) {
/*  54 */       this.internalTypeMaxLength = paramInt2;
/*     */     }
/*  56 */     this.byteLength = this.internalTypeMaxLength;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/*  75 */     return getBFILE(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/*  90 */     return getBFILE(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/* 110 */     return (Datum)getBFILE(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   BFILE getBFILE(int paramInt) throws SQLException {
/* 126 */     BFILE bFILE = null;
/*     */     
/* 128 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 133 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 140 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 142 */       int i = this.columnIndex + this.byteLength * paramInt;
/* 143 */       short s = this.rowSpaceIndicator[this.lengthIndex + paramInt];
/*     */       
/* 145 */       byte[] arrayOfByte = new byte[s];
/*     */       
/* 147 */       System.arraycopy(this.rowSpaceByte, i, arrayOfByte, 0, s);
/*     */ 
/*     */       
/* 150 */       bFILE = new BFILE((OracleConnection)this.statement.connection, arrayOfByte);
/*     */     } 
/*     */     
/* 153 */     return bFILE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   InputStream getAsciiStream(int paramInt) throws SQLException {
/* 167 */     BFILE bFILE = getBFILE(paramInt);
/*     */     
/* 169 */     if (bFILE == null) {
/* 170 */       return null;
/*     */     }
/* 172 */     return bFILE.asciiStreamValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Reader getCharacterStream(int paramInt) throws SQLException {
/* 186 */     BFILE bFILE = getBFILE(paramInt);
/*     */     
/* 188 */     if (bFILE == null) {
/* 189 */       return null;
/*     */     }
/* 191 */     return bFILE.characterStreamValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   InputStream getBinaryStream(int paramInt) throws SQLException {
/* 205 */     BFILE bFILE = getBFILE(paramInt);
/*     */     
/* 207 */     if (bFILE == null) {
/* 208 */       return null;
/*     */     }
/* 210 */     return bFILE.getBinaryStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] privateGetBytes(int paramInt) throws SQLException {
/* 221 */     return super.getBytes(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes(int paramInt) throws SQLException {
/* 236 */     BFILE bFILE = getBFILE(paramInt);
/*     */     
/* 238 */     if (bFILE == null) {
/* 239 */       return null;
/*     */     }
/* 241 */     InputStream inputStream = bFILE.getBinaryStream();
/* 242 */     char c = 'က';
/* 243 */     int i = 0;
/* 244 */     ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(c);
/* 245 */     byte[] arrayOfByte = new byte[c];
/*     */ 
/*     */     
/*     */     try {
/* 249 */       while ((i = inputStream.read(arrayOfByte)) != -1)
/*     */       {
/* 251 */         byteArrayOutputStream.write(arrayOfByte, 0, i);
/*     */       }
/*     */     }
/* 254 */     catch (IOException iOException) {
/*     */       
/* 256 */       DatabaseError.throwSqlException(iOException);
/*     */     }
/* 258 */     catch (IndexOutOfBoundsException indexOutOfBoundsException) {
/*     */       
/* 260 */       DatabaseError.throwSqlException(151);
/*     */     } 
/*     */     
/* 263 */     return byteArrayOutputStream.toByteArray();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\BfileAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */