/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.io.StringWriter;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.sql.CLOB;
/*     */ import oracle.sql.Datum;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class ClobAccessor
/*     */   extends Accessor
/*     */ {
/*     */   static final int maxLength = 4000;
/*     */   
/*     */   ClobAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean) throws SQLException {
/*  30 */     init(paramOracleStatement, 112, 112, paramShort, paramBoolean);
/*  31 */     initForDataAccess(paramInt2, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   ClobAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort) throws SQLException {
/*  38 */     init(paramOracleStatement, 112, 112, paramShort, false);
/*  39 */     initForDescribe(112, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, null);
/*     */     
/*  41 */     initForDataAccess(0, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  47 */     if (paramInt1 != 0) {
/*  48 */       this.externalType = paramInt1;
/*     */     }
/*  50 */     this.internalTypeMaxLength = 4000;
/*     */     
/*  52 */     if (paramInt2 > 0 && paramInt2 < this.internalTypeMaxLength) {
/*  53 */       this.internalTypeMaxLength = paramInt2;
/*     */     }
/*  55 */     this.byteLength = this.internalTypeMaxLength;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/*  74 */     return getCLOB(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/*  89 */     return getCLOB(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/* 109 */     return (Datum)getCLOB(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   CLOB getCLOB(int paramInt) throws SQLException {
/* 125 */     CLOB cLOB = null;
/*     */     
/* 127 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 132 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 139 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 141 */       int i = this.columnIndex + this.byteLength * paramInt;
/* 142 */       short s = this.rowSpaceIndicator[this.lengthIndex + paramInt];
/*     */       
/* 144 */       byte[] arrayOfByte = new byte[s];
/*     */       
/* 146 */       System.arraycopy(this.rowSpaceByte, i, arrayOfByte, 0, s);
/*     */ 
/*     */       
/* 149 */       cLOB = new CLOB((OracleConnection)this.statement.connection, arrayOfByte, this.formOfUse);
/*     */     } 
/*     */     
/* 152 */     return cLOB;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   InputStream getAsciiStream(int paramInt) throws SQLException {
/* 166 */     CLOB cLOB = getCLOB(paramInt);
/*     */     
/* 168 */     if (cLOB == null) {
/* 169 */       return null;
/*     */     }
/* 171 */     return cLOB.getAsciiStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Reader getCharacterStream(int paramInt) throws SQLException {
/* 185 */     CLOB cLOB = getCLOB(paramInt);
/*     */     
/* 187 */     if (cLOB == null) {
/* 188 */       return null;
/*     */     }
/* 190 */     return cLOB.getCharacterStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   InputStream getBinaryStream(int paramInt) throws SQLException {
/* 204 */     CLOB cLOB = getCLOB(paramInt);
/*     */     
/* 206 */     if (cLOB == null) {
/* 207 */       return null;
/*     */     }
/* 209 */     return cLOB.getAsciiStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/* 224 */     CLOB cLOB = getCLOB(paramInt);
/*     */     
/* 226 */     if (cLOB == null) {
/* 227 */       return null;
/*     */     }
/* 229 */     Reader reader = cLOB.getCharacterStream();
/* 230 */     int i = cLOB.getBufferSize();
/* 231 */     int j = 0;
/* 232 */     StringWriter stringWriter = new StringWriter(i);
/* 233 */     char[] arrayOfChar = new char[i];
/*     */ 
/*     */     
/*     */     try {
/* 237 */       while ((j = reader.read(arrayOfChar)) != -1)
/*     */       {
/* 239 */         stringWriter.write(arrayOfChar, 0, j);
/*     */       }
/*     */     }
/* 242 */     catch (IOException iOException) {
/*     */       
/* 244 */       DatabaseError.throwSqlException(iOException);
/*     */     }
/* 246 */     catch (IndexOutOfBoundsException indexOutOfBoundsException) {
/*     */       
/* 248 */       DatabaseError.throwSqlException(151);
/*     */     } 
/*     */     
/* 251 */     if (cLOB.isTemporary()) this.statement.addToTempLobsToFree(cLOB); 
/* 252 */     return stringWriter.getBuffer().substring(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] privateGetBytes(int paramInt) throws SQLException {
/* 264 */     return super.getBytes(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getBytes(int paramInt) throws SQLException {
/* 279 */     DatabaseError.throwUnsupportedFeatureSqlException();
/* 280 */     return null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\ClobAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */