/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Map;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.TIMESTAMP;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class DateAccessor
/*     */   extends DateTimeCommonAccessor
/*     */ {
/*     */   static final int maxLength = 7;
/*     */   
/*     */   DateAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean) throws SQLException {
/*  30 */     init(paramOracleStatement, 12, 12, paramShort, paramBoolean);
/*  31 */     initForDataAccess(paramInt2, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   DateAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort) throws SQLException {
/*  38 */     init(paramOracleStatement, 12, 12, paramShort, false);
/*  39 */     initForDescribe(12, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, null);
/*     */     
/*  41 */     initForDataAccess(0, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  47 */     if (paramInt1 != 0) {
/*  48 */       this.externalType = paramInt1;
/*     */     }
/*  50 */     this.internalTypeMaxLength = 7;
/*     */     
/*  52 */     if (paramInt2 > 0 && paramInt2 < this.internalTypeMaxLength) {
/*  53 */       this.internalTypeMaxLength = paramInt2;
/*     */     }
/*  55 */     this.byteLength = this.internalTypeMaxLength;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/*  61 */     String str = null;
/*     */     
/*  63 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/*  68 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  75 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/*  77 */       int i = this.columnIndex + this.byteLength * paramInt;
/*  78 */       int j = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */       
/*  81 */       str = j + "-" + toStr(this.rowSpaceByte[2 + i]) + "-" + toStr(this.rowSpaceByte[3 + i]) + " " + toStr(this.rowSpaceByte[4 + i] - 1) + ":" + toStr(this.rowSpaceByte[5 + i] - 1) + ":" + toStr(this.rowSpaceByte[6 + i] - 1) + ".0";
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  88 */     return str;
/*     */   }
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/*     */     Date date;
/*  94 */     Timestamp timestamp = null;
/*     */     
/*  96 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 101 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 107 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1)
/*     */     {
/* 109 */       if (this.externalType == 0) {
/*     */ 
/*     */         
/* 112 */         if (this.statement.connection.v8Compatible) {
/* 113 */           timestamp = getTimestamp(paramInt);
/*     */         } else {
/* 115 */           date = getDate(paramInt);
/*     */         } 
/*     */       } else {
/*     */         
/* 119 */         switch (this.externalType) {
/*     */           
/*     */           case 91:
/* 122 */             return getDate(paramInt);
/*     */           case 92:
/* 124 */             return getTime(paramInt);
/*     */           case 93:
/* 126 */             return getTimestamp(paramInt);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/* 131 */         DatabaseError.throwSqlException(4);
/*     */         
/* 133 */         return null;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 141 */     return date;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/* 147 */     return (Datum)getDATE(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/* 153 */     return getObject(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   TIMESTAMP getTIMESTAMP(int paramInt) throws SQLException {
/* 159 */     if (this.statement.connection.v8Compatible != true || this.externalType != 93)
/*     */     {
/* 161 */       return super.getTIMESTAMP(paramInt);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 166 */     TIMESTAMP tIMESTAMP = null;
/*     */     
/* 168 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 173 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 180 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 182 */       short s = this.rowSpaceIndicator[this.lengthIndex + paramInt];
/* 183 */       int i = this.columnIndex + this.byteLength * paramInt;
/* 184 */       byte[] arrayOfByte = new byte[s];
/*     */       
/* 186 */       System.arraycopy(this.rowSpaceByte, i, arrayOfByte, 0, s);
/*     */       
/* 188 */       tIMESTAMP = new TIMESTAMP(arrayOfByte);
/*     */     } 
/*     */     
/* 191 */     return tIMESTAMP;
/*     */   }
/*     */ 
/*     */   
/*     */   static String toStr(int paramInt) {
/* 196 */     return (paramInt < 10) ? ("0" + paramInt) : Integer.toString(paramInt);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\DateAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */