/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.sql.CallableStatement;
/*      */ import java.sql.Connection;
/*      */ import java.sql.PreparedStatement;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLException;
/*      */ import java.util.Enumeration;
/*      */ import java.util.Map;
/*      */ import java.util.Properties;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.internal.OracleStatement;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.jdbc.oracore.OracleTypeCLOB;
/*      */ import oracle.jdbc.pool.OracleConnectionCacheCallback;
/*      */ import oracle.jdbc.pool.OraclePooledConnection;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.BfileDBAccess;
/*      */ import oracle.sql.BlobDBAccess;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.ClobDBAccess;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.StructDescriptor;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class LogicalConnection
/*      */   extends OracleConnection
/*      */ {
/*   53 */   static final ClosedConnection closedConnection = new ClosedConnection();
/*      */ 
/*      */   
/*      */   PhysicalConnection internalConnection;
/*      */ 
/*      */   
/*      */   OraclePooledConnection pooledConnection;
/*      */   
/*      */   boolean closed;
/*      */   
/*   63 */   OracleCloseCallback closeCallback = null;
/*   64 */   Object privateData = null;
/*      */ 
/*      */   
/*   67 */   long startTime = 0L;
/*      */ 
/*      */ 
/*      */   
/*   71 */   OracleConnectionCacheCallback connectionCacheCallback = null;
/*   72 */   Object connectionCacheCallbackUserObj = null;
/*   73 */   int callbackFlag = 0;
/*   74 */   int releasePriority = 0;
/*      */ 
/*      */   
/*   77 */   int heartbeatCount = 0;
/*   78 */   int heartbeatLastCount = 0;
/*   79 */   int heartbeatNoChangeCount = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isAbandonedTimeoutEnabled = false;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LogicalConnection(OraclePooledConnection paramOraclePooledConnection, PhysicalConnection paramPhysicalConnection, boolean paramBoolean) throws SQLException {
/*   90 */     this.internalConnection = paramPhysicalConnection;
/*   91 */     this.pooledConnection = paramOraclePooledConnection;
/*   92 */     this.connection = (OracleConnection)this.internalConnection;
/*      */     
/*   94 */     this.connection.setWrapper((OracleConnection)this);
/*      */     
/*   96 */     this.closed = false;
/*      */     
/*   98 */     this.internalConnection.setAutoCommit(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void registerHeartbeat() throws SQLException {
/*  117 */     if (this.isAbandonedTimeoutEnabled) {
/*      */       
/*      */       try {
/*      */         
/*  121 */         this.heartbeatCount++;
/*      */       }
/*  123 */       catch (ArithmeticException arithmeticException) {
/*      */         
/*  125 */         this.heartbeatCount = 0;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHeartbeatNoChangeCount() throws SQLException {
/*  139 */     if (this.heartbeatCount == this.heartbeatLastCount) {
/*      */       
/*  141 */       this.heartbeatNoChangeCount++;
/*      */     }
/*      */     else {
/*      */       
/*  145 */       this.heartbeatLastCount = this.heartbeatCount;
/*  146 */       this.heartbeatNoChangeCount = 0;
/*      */     } 
/*      */     
/*  149 */     return this.heartbeatNoChangeCount;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection physicalConnectionWithin() {
/*  154 */     return this.internalConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerCloseCallback(OracleCloseCallback paramOracleCloseCallback, Object paramObject) {
/*  160 */     this.closeCallback = paramOracleCloseCallback;
/*  161 */     this.privateData = paramObject;
/*      */   }
/*      */ 
/*      */   
/*      */   public Connection _getPC() {
/*  166 */     return (Connection)this.internalConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isLogicalConnection() {
/*  177 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection getPhysicalConnection() {
/*  182 */     return this.internalConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Connection getLogicalConnection(OraclePooledConnection paramOraclePooledConnection, boolean paramBoolean) throws SQLException {
/*  192 */     DatabaseError.throwSqlException(153);
/*      */     
/*  194 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void getPropertyForPooledConnection(OraclePooledConnection paramOraclePooledConnection) throws SQLException {
/*  203 */     DatabaseError.throwSqlException(153);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close() throws SQLException {
/*  214 */     closeInternal(true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void closeInternal(boolean paramBoolean) throws SQLException {
/*  226 */     if (this.closed) {
/*      */       return;
/*      */     }
/*  229 */     if (this.closeCallback != null) {
/*  230 */       this.closeCallback.beforeClose(this, this.privateData);
/*      */     }
/*      */ 
/*      */     
/*  234 */     this.internalConnection.closeLogicalConnection();
/*      */ 
/*      */     
/*  237 */     this.startTime = 0L;
/*      */     
/*  239 */     this.closed = true;
/*      */ 
/*      */     
/*  242 */     if (this.pooledConnection != null && paramBoolean) {
/*  243 */       this.pooledConnection.logicalClose();
/*      */     }
/*      */ 
/*      */     
/*  247 */     this.internalConnection = closedConnection;
/*  248 */     this.connection = (OracleConnection)closedConnection;
/*      */     
/*  250 */     if (this.closeCallback != null) {
/*  251 */       this.closeCallback.afterClose(this.privateData);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void cleanupAndClose(boolean paramBoolean) throws SQLException {
/*  260 */     if (this.closed)
/*      */       return; 
/*  262 */     this.closed = true;
/*      */     
/*  264 */     this.internalConnection.cleanupAndClose();
/*  265 */     synchronized (this) {
/*  266 */       this.closed = false;
/*  267 */       closeInternal(paramBoolean);
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void abort() throws SQLException {
/*  273 */     if (this.closed)
/*      */       return; 
/*  275 */     this.internalConnection.abort();
/*  276 */     this.closed = true;
/*      */     
/*  278 */     this.internalConnection = closedConnection;
/*  279 */     this.connection = (OracleConnection)closedConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(Properties paramProperties) throws SQLException {
/*  294 */     if (this.pooledConnection != null) {
/*      */       
/*  296 */       this.pooledConnection.cachedConnectionAttributes.clear();
/*  297 */       this.pooledConnection.cachedConnectionAttributes.putAll(paramProperties);
/*      */     } 
/*      */     
/*  300 */     close();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void close(int paramInt) throws SQLException {
/*  309 */     if ((paramInt & 0x1000) != 0) {
/*      */ 
/*      */ 
/*      */       
/*  313 */       if (this.pooledConnection != null) {
/*  314 */         this.pooledConnection.closeOption = paramInt;
/*      */       }
/*  316 */       close();
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  321 */     if ((paramInt & 0x1) != 0)
/*      */     {
/*      */ 
/*      */       
/*  325 */       this.internalConnection.close(1);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void applyConnectionAttributes(Properties paramProperties) throws SQLException {
/*  341 */     if (this.pooledConnection != null) {
/*  342 */       this.pooledConnection.cachedConnectionAttributes.putAll(paramProperties);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Properties getConnectionAttributes() throws SQLException {
/*  358 */     if (this.pooledConnection != null) {
/*  359 */       return this.pooledConnection.cachedConnectionAttributes;
/*      */     }
/*  361 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Properties getUnMatchedConnectionAttributes() throws SQLException {
/*  375 */     if (this.pooledConnection != null) {
/*  376 */       return this.pooledConnection.unMatchedCachedConnAttr;
/*      */     }
/*  378 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAbandonedTimeoutEnabled(boolean paramBoolean) throws SQLException {
/*  388 */     this.isAbandonedTimeoutEnabled = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerConnectionCacheCallback(OracleConnectionCacheCallback paramOracleConnectionCacheCallback, Object paramObject, int paramInt) throws SQLException {
/*  401 */     this.connectionCacheCallback = paramOracleConnectionCacheCallback;
/*  402 */     this.connectionCacheCallbackUserObj = paramObject;
/*  403 */     this.callbackFlag = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleConnectionCacheCallback getConnectionCacheCallbackObj() throws SQLException {
/*  412 */     return this.connectionCacheCallback;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getConnectionCacheCallbackPrivObj() throws SQLException {
/*  420 */     return this.connectionCacheCallbackUserObj;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getConnectionCacheCallbackFlag() throws SQLException {
/*  428 */     return this.callbackFlag;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setConnectionReleasePriority(int paramInt) throws SQLException {
/*  440 */     this.releasePriority = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getConnectionReleasePriority() throws SQLException {
/*  452 */     return this.releasePriority;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isClosed() throws SQLException {
/*  466 */     return this.closed;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setStartTime(long paramLong) throws SQLException {
/*  486 */     if (paramLong <= 0L) {
/*      */       
/*  488 */       DatabaseError.throwSqlException(68);
/*      */     }
/*      */     else {
/*      */       
/*  492 */       this.startTime = paramLong;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getStartTime() throws SQLException {
/*  509 */     return this.startTime;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Properties getServerSessionInfo() throws SQLException {
/*  517 */     return this.internalConnection.getServerSessionInfo();
/*      */   }
/*      */ 
/*      */   
/*      */   public Object getClientData(Object paramObject) {
/*  522 */     return this.internalConnection.getClientData(paramObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public Object setClientData(Object paramObject1, Object paramObject2) {
/*  527 */     return this.internalConnection.setClientData(paramObject1, paramObject2);
/*      */   }
/*      */ 
/*      */   
/*      */   public Object removeClientData(Object paramObject) {
/*  532 */     return this.internalConnection.removeClientData(paramObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public void setClientIdentifier(String paramString) throws SQLException {
/*  537 */     this.internalConnection.setClientIdentifier(paramString);
/*      */   }
/*      */ 
/*      */   
/*      */   public void clearClientIdentifier(String paramString) throws SQLException {
/*  542 */     this.internalConnection.clearClientIdentifier(paramString);
/*      */   }
/*      */ 
/*      */   
/*      */   public short getStructAttrNCsId() throws SQLException {
/*  547 */     return this.internalConnection.getStructAttrNCsId();
/*      */   }
/*      */ 
/*      */   
/*      */   public Map getTypeMap() throws SQLException {
/*  552 */     return this.internalConnection.getTypeMap();
/*      */   }
/*      */ 
/*      */   
/*      */   public Properties getDBAccessProperties() throws SQLException {
/*  557 */     return this.internalConnection.getDBAccessProperties();
/*      */   }
/*      */ 
/*      */   
/*      */   public Properties getOCIHandles() throws SQLException {
/*  562 */     return this.internalConnection.getOCIHandles();
/*      */   }
/*      */ 
/*      */   
/*      */   public String getDatabaseProductVersion() throws SQLException {
/*  567 */     return this.internalConnection.getDatabaseProductVersion();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void cancel() throws SQLException {
/*  576 */     registerHeartbeat();
/*  577 */     this.internalConnection.cancel();
/*      */   }
/*      */ 
/*      */   
/*      */   public String getURL() throws SQLException {
/*  582 */     return this.internalConnection.getURL();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getIncludeSynonyms() {
/*  587 */     return this.internalConnection.getIncludeSynonyms();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getRemarksReporting() {
/*  592 */     return this.internalConnection.getRemarksReporting();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getRestrictGetTables() {
/*  597 */     return this.internalConnection.getRestrictGetTables();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getVersionNumber() throws SQLException {
/*  602 */     return this.internalConnection.getVersionNumber();
/*      */   }
/*      */ 
/*      */   
/*      */   public Map getJavaObjectTypeMap() {
/*  607 */     return this.internalConnection.getJavaObjectTypeMap();
/*      */   }
/*      */ 
/*      */   
/*      */   public void setJavaObjectTypeMap(Map paramMap) {
/*  612 */     this.internalConnection.setJavaObjectTypeMap(paramMap);
/*      */   }
/*      */ 
/*      */   
/*      */   public BfileDBAccess createBfileDBAccess() throws SQLException {
/*  617 */     return this.internalConnection.createBfileDBAccess();
/*      */   }
/*      */ 
/*      */   
/*      */   public BlobDBAccess createBlobDBAccess() throws SQLException {
/*  622 */     return this.internalConnection.createBlobDBAccess();
/*      */   }
/*      */ 
/*      */   
/*      */   public ClobDBAccess createClobDBAccess() throws SQLException {
/*  627 */     return this.internalConnection.createClobDBAccess();
/*      */   }
/*      */ 
/*      */   
/*      */   public void setDefaultFixedString(boolean paramBoolean) {
/*  632 */     this.internalConnection.setDefaultFixedString(paramBoolean);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getDefaultFixedString() {
/*  637 */     return this.internalConnection.getDefaultFixedString();
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleConnection getWrapper() {
/*  642 */     return (OracleConnection)this;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public Class classForNameAndSchema(String paramString1, String paramString2) throws ClassNotFoundException {
/*  648 */     return this.internalConnection.classForNameAndSchema(paramString1, paramString2);
/*      */   }
/*      */ 
/*      */   
/*      */   public void setFDO(byte[] paramArrayOfbyte) throws SQLException {
/*  653 */     this.internalConnection.setFDO(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */   
/*      */   public byte[] getFDO(boolean paramBoolean) throws SQLException {
/*  658 */     return this.internalConnection.getFDO(paramBoolean);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getBigEndian() throws SQLException {
/*  663 */     return this.internalConnection.getBigEndian();
/*      */   }
/*      */ 
/*      */   
/*      */   public Object getDescriptor(byte[] paramArrayOfbyte) {
/*  668 */     return this.internalConnection.getDescriptor(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */   
/*      */   public void putDescriptor(byte[] paramArrayOfbyte, Object paramObject) throws SQLException {
/*  673 */     this.internalConnection.putDescriptor(paramArrayOfbyte, paramObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public void removeDescriptor(String paramString) {
/*  678 */     this.internalConnection.removeDescriptor(paramString);
/*      */   }
/*      */ 
/*      */   
/*      */   public void removeAllDescriptor() {
/*  683 */     this.internalConnection.removeAllDescriptor();
/*      */   }
/*      */ 
/*      */   
/*      */   public int numberOfDescriptorCacheEntries() {
/*  688 */     return this.internalConnection.numberOfDescriptorCacheEntries();
/*      */   }
/*      */ 
/*      */   
/*      */   public Enumeration descriptorCacheKeys() {
/*  693 */     return this.internalConnection.descriptorCacheKeys();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void getOracleTypeADT(OracleTypeADT paramOracleTypeADT) throws SQLException {
/*  699 */     this.internalConnection.getOracleTypeADT(paramOracleTypeADT);
/*      */   }
/*      */ 
/*      */   
/*      */   public short getDbCsId() throws SQLException {
/*  704 */     return this.internalConnection.getDbCsId();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getJdbcCsId() throws SQLException {
/*  709 */     return this.internalConnection.getJdbcCsId();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getNCharSet() {
/*  714 */     return this.internalConnection.getNCharSet();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayDataResultSet(Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  720 */     return this.internalConnection.newArrayDataResultSet(paramArrayOfDatum, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayDataResultSet(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  726 */     return this.internalConnection.newArrayDataResultSet(paramARRAY, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet newArrayLocatorResultSet(ArrayDescriptor paramArrayDescriptor, byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  734 */     return this.internalConnection.newArrayLocatorResultSet(paramArrayDescriptor, paramArrayOfbyte, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSetMetaData newStructMetaData(StructDescriptor paramStructDescriptor) throws SQLException {
/*  741 */     return this.internalConnection.newStructMetaData(paramStructDescriptor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void getForm(OracleTypeADT paramOracleTypeADT, OracleTypeCLOB paramOracleTypeCLOB, int paramInt) throws SQLException {
/*  748 */     this.internalConnection.getForm(paramOracleTypeADT, paramOracleTypeCLOB, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int CHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/*  754 */     return this.internalConnection.CHARBytesToJavaChars(paramArrayOfbyte, paramInt, paramArrayOfchar);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int NCHARBytesToJavaChars(byte[] paramArrayOfbyte, int paramInt, char[] paramArrayOfchar) throws SQLException {
/*  760 */     return this.internalConnection.NCHARBytesToJavaChars(paramArrayOfbyte, paramInt, paramArrayOfchar);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean IsNCharFixedWith() {
/*  765 */     return this.internalConnection.IsNCharFixedWith();
/*      */   }
/*      */ 
/*      */   
/*      */   public short getDriverCharSet() {
/*  770 */     return this.internalConnection.getDriverCharSet();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getC2SNlsRatio() {
/*  775 */     return this.internalConnection.getC2SNlsRatio();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxCharSize() throws SQLException {
/*  780 */     return this.internalConnection.getMaxCharSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxCharbyteSize() {
/*  785 */     return this.internalConnection.getMaxCharbyteSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getMaxNCharbyteSize() {
/*  790 */     return this.internalConnection.getMaxNCharbyteSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isCharSetMultibyte(short paramShort) {
/*  795 */     return this.internalConnection.isCharSetMultibyte(paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  801 */     return this.internalConnection.javaCharsToCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int javaCharsToNCHARBytes(char[] paramArrayOfchar, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  807 */     return this.internalConnection.javaCharsToNCHARBytes(paramArrayOfchar, paramInt, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */   
/*      */   public int getStmtCacheSize() {
/*  812 */     return this.internalConnection.getStmtCacheSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getStatementCacheSize() throws SQLException {
/*  817 */     return this.internalConnection.getStatementCacheSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getImplicitCachingEnabled() throws SQLException {
/*  822 */     return this.internalConnection.getImplicitCachingEnabled();
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean getExplicitCachingEnabled() throws SQLException {
/*  827 */     return this.internalConnection.getExplicitCachingEnabled();
/*      */   }
/*      */ 
/*      */   
/*      */   public void purgeImplicitCache() throws SQLException {
/*  832 */     this.internalConnection.purgeImplicitCache();
/*      */   }
/*      */ 
/*      */   
/*      */   public void purgeExplicitCache() throws SQLException {
/*  837 */     this.internalConnection.purgeExplicitCache();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public PreparedStatement getStatementWithKey(String paramString) throws SQLException {
/*  843 */     return this.internalConnection.getStatementWithKey(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public CallableStatement getCallWithKey(String paramString) throws SQLException {
/*  849 */     return this.internalConnection.getCallWithKey(paramString);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isStatementCacheInitialized() {
/*  854 */     return this.internalConnection.isStatementCacheInitialized();
/*      */   }
/*      */ 
/*      */   
/*      */   public void setTypeMap(Map paramMap) {
/*  859 */     this.internalConnection.setTypeMap(paramMap);
/*      */   }
/*      */ 
/*      */   
/*      */   public String getProtocolType() {
/*  864 */     return this.internalConnection.getProtocolType();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTxnMode(int paramInt) {
/*  871 */     this.internalConnection.setTxnMode(paramInt);
/*      */   }
/*      */ 
/*      */   
/*      */   public int getTxnMode() {
/*  876 */     return this.internalConnection.getTxnMode();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHeapAllocSize() throws SQLException {
/*  882 */     return this.internalConnection.getHeapAllocSize();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getOCIEnvHeapAllocSize() throws SQLException {
/*  887 */     return this.internalConnection.getOCIEnvHeapAllocSize();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB createClob(byte[] paramArrayOfbyte) throws SQLException {
/*  896 */     registerHeartbeat();
/*  897 */     return this.internalConnection.createClob(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB createClob(byte[] paramArrayOfbyte, short paramShort) throws SQLException {
/*  907 */     registerHeartbeat();
/*  908 */     return this.internalConnection.createClob(paramArrayOfbyte, paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BLOB createBlob(byte[] paramArrayOfbyte) throws SQLException {
/*  917 */     registerHeartbeat();
/*  918 */     return this.internalConnection.createBlob(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BFILE createBfile(byte[] paramArrayOfbyte) throws SQLException {
/*  927 */     registerHeartbeat();
/*  928 */     return this.internalConnection.createBfile(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isDescriptorSharable(OracleConnection paramOracleConnection) throws SQLException {
/*  934 */     return this.internalConnection.isDescriptorSharable(paramOracleConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleStatement refCursorCursorToStatement(int paramInt) throws SQLException {
/*  940 */     return this.internalConnection.refCursorCursorToStatement(paramInt);
/*      */   }
/*      */ 
/*      */   
/*      */   public long getTdoCState(String paramString1, String paramString2) throws SQLException {
/*  945 */     return this.internalConnection.getTdoCState(paramString1, paramString2);
/*      */   }
/*      */   
/*      */   public Datum toDatum(CustomDatum paramCustomDatum) throws SQLException {
/*  949 */     return this.internalConnection.toDatum(paramCustomDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public XAResource getXAResource() throws SQLException {
/*  966 */     return this.pooledConnection.getXAResource();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setApplicationContext(String paramString1, String paramString2, String paramString3) throws SQLException {
/*  975 */     this.internalConnection.setApplicationContext(paramString1, paramString2, paramString3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearAllApplicationContext(String paramString) throws SQLException {
/*  982 */     this.internalConnection.clearAllApplicationContext(paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isV8Compatible() throws SQLException {
/*  996 */     return this.internalConnection.isV8Compatible();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public String getDefaultSchemaNameForNamedTypes() throws SQLException {
/* 1002 */     return this.internalConnection.getDefaultSchemaNameForNamedTypes();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1008 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:35_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\LogicalConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */