/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.oracore.OracleType;
/*     */ import oracle.jdbc.oracore.OracleTypeADT;
/*     */ import oracle.sql.ARRAY;
/*     */ import oracle.sql.ArrayDescriptor;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.JAVA_STRUCT;
/*     */ import oracle.sql.OPAQUE;
/*     */ import oracle.sql.OpaqueDescriptor;
/*     */ import oracle.sql.STRUCT;
/*     */ import oracle.sql.StructDescriptor;
/*     */ import oracle.sql.TypeDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class NamedTypeAccessor
/*     */   extends TypeAccessor
/*     */ {
/*     */   NamedTypeAccessor(OracleStatement paramOracleStatement, String paramString, short paramShort, int paramInt, boolean paramBoolean) throws SQLException {
/*  33 */     init(paramOracleStatement, 109, 109, paramShort, paramBoolean);
/*  34 */     initForDataAccess(paramInt, 0, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   NamedTypeAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort, String paramString) throws SQLException {
/*  42 */     init(paramOracleStatement, 109, 109, paramShort, false);
/*  43 */     initForDescribe(109, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, paramString);
/*     */     
/*  45 */     initForDataAccess(0, paramInt1, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   NamedTypeAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort, String paramString, OracleType paramOracleType) throws SQLException {
/*  53 */     init(paramOracleStatement, 109, 109, paramShort, false);
/*     */     
/*  55 */     this.describeOtype = paramOracleType;
/*     */     
/*  57 */     initForDescribe(109, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, paramString);
/*     */ 
/*     */     
/*  60 */     this.internalOtype = paramOracleType;
/*     */     
/*  62 */     initForDataAccess(0, paramInt1, paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   OracleType otypeFromName(String paramString) throws SQLException {
/*  67 */     if (!this.outBind) {
/*  68 */       return (OracleType)TypeDescriptor.getTypeDescriptor(paramString, (OracleConnection)this.statement.connection).getPickler();
/*     */     }
/*  70 */     if (this.externalType == 2003) {
/*  71 */       return (OracleType)ArrayDescriptor.createDescriptor(paramString, (Connection)this.statement.connection).getOracleTypeCOLLECTION();
/*     */     }
/*  73 */     if (this.externalType == 2007) {
/*  74 */       return (OracleType)OpaqueDescriptor.createDescriptor(paramString, (Connection)this.statement.connection).getPickler();
/*     */     }
/*     */     
/*  77 */     return (OracleType)StructDescriptor.createDescriptor(paramString, (Connection)this.statement.connection).getOracleTypeADT();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  84 */     super.initForDataAccess(paramInt1, paramInt2, paramString);
/*     */     
/*  86 */     this.byteLength = this.statement.connection.namedTypeAccessorByteLen;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/* 100 */     return getObject(paramInt, this.statement.connection.getTypeMap());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/* 118 */     if (this.rowSpaceIndicator == null) {
/* 119 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 127 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       Datum datum;
/*     */ 
/*     */       
/* 131 */       if (this.externalType == 0) {
/*     */         
/* 133 */         Datum datum1 = getOracleObject(paramInt);
/*     */ 
/*     */ 
/*     */         
/* 137 */         if (datum1 == null) {
/* 138 */           return null;
/*     */         }
/* 140 */         if (datum1 instanceof STRUCT) {
/* 141 */           return ((STRUCT)datum1).toJdbc(paramMap);
/*     */         }
/* 143 */         if (datum1 instanceof OPAQUE) {
/* 144 */           return ((OPAQUE)datum1).toJdbc(paramMap);
/*     */         }
/* 146 */         return datum1.toJdbc();
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 151 */       switch (this.externalType) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 2008:
/* 157 */           paramMap = null;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 2000:
/*     */         case 2002:
/*     */         case 2003:
/*     */         case 2007:
/* 166 */           datum = getOracleObject(paramInt);
/*     */ 
/*     */ 
/*     */           
/* 170 */           if (datum == null) {
/* 171 */             return null;
/*     */           }
/* 173 */           if (datum instanceof STRUCT) {
/* 174 */             return ((STRUCT)datum).toJdbc(paramMap);
/*     */           }
/* 176 */           return datum.toJdbc();
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 183 */       DatabaseError.throwSqlException(4);
/*     */       
/* 185 */       return null;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 194 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/*     */     JAVA_STRUCT jAVA_STRUCT;
/* 208 */     ARRAY aRRAY = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 213 */     if (this.rowSpaceIndicator == null) {
/* 214 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 222 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1)
/*     */     { STRUCT sTRUCT;
/* 224 */       byte[] arrayOfByte = pickledBytes(paramInt);
/*     */       
/* 226 */       if (arrayOfByte == null || arrayOfByte.length == 0) {
/* 227 */         return null;
/*     */       }
/* 229 */       PhysicalConnection physicalConnection = this.statement.connection;
/* 230 */       OracleTypeADT oracleTypeADT = (OracleTypeADT)this.internalOtype;
/* 231 */       TypeDescriptor typeDescriptor = TypeDescriptor.getTypeDescriptor(oracleTypeADT.getFullName(), (OracleConnection)physicalConnection, arrayOfByte, 0L);
/*     */ 
/*     */       
/* 234 */       switch (typeDescriptor.getTypeCode())
/*     */       
/*     */       { 
/*     */         case 2003:
/* 238 */           aRRAY = new ARRAY((ArrayDescriptor)typeDescriptor, arrayOfByte, (Connection)physicalConnection);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 270 */           return (Datum)aRRAY;case 2002: return (Datum)new STRUCT((StructDescriptor)typeDescriptor, arrayOfByte, (Connection)physicalConnection);case 2007: return (Datum)new OPAQUE((OpaqueDescriptor)typeDescriptor, arrayOfByte, (Connection)physicalConnection);case 2008: jAVA_STRUCT = new JAVA_STRUCT((StructDescriptor)typeDescriptor, arrayOfByte, (Connection)physicalConnection); return (Datum)jAVA_STRUCT; }  DatabaseError.throwSqlException(1); }  return (Datum)jAVA_STRUCT;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   ARRAY getARRAY(int paramInt) throws SQLException {
/* 284 */     return (ARRAY)getOracleObject(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   STRUCT getSTRUCT(int paramInt) throws SQLException {
/* 298 */     return (STRUCT)getOracleObject(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OPAQUE getOPAQUE(int paramInt) throws SQLException {
/* 312 */     return (OPAQUE)getOracleObject(paramInt);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\NamedTypeAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */