/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.InputStream;
/*      */ import java.io.Reader;
/*      */ import java.math.BigDecimal;
/*      */ import java.net.URL;
/*      */ import java.sql.Array;
/*      */ import java.sql.Blob;
/*      */ import java.sql.Clob;
/*      */ import java.sql.Date;
/*      */ import java.sql.Ref;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Calendar;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.internal.OracleCallableStatement;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BINARY_DOUBLE;
/*      */ import oracle.sql.BINARY_FLOAT;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CHAR;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.CustomDatumFactory;
/*      */ import oracle.sql.DATE;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.INTERVALDS;
/*      */ import oracle.sql.INTERVALYM;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.OPAQUE;
/*      */ import oracle.sql.ORAData;
/*      */ import oracle.sql.ORADataFactory;
/*      */ import oracle.sql.RAW;
/*      */ import oracle.sql.REF;
/*      */ import oracle.sql.ROWID;
/*      */ import oracle.sql.STRUCT;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TIMESTAMP;
/*      */ import oracle.sql.TIMESTAMPLTZ;
/*      */ import oracle.sql.TIMESTAMPTZ;
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class OracleCallableStatement
/*      */   extends OraclePreparedStatement
/*      */   implements OracleCallableStatement
/*      */ {
/*      */   boolean atLeastOneOrdinalParameter = false;
/*      */   boolean atLeastOneNamedParameter = false;
/*   53 */   String[] namedParameters = new String[8];
/*      */ 
/*      */   
/*   56 */   int parameterCount = 0;
/*      */ 
/*      */   
/*   59 */   final String errMsgMixedBind = "Ordinal binding and Named binding cannot be combined!";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException {
/*   80 */     this(paramPhysicalConnection, paramString, paramInt1, paramInt2, 1003, 1007);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   OracleCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*   99 */     super(paramPhysicalConnection, paramString, 1, paramInt2, paramInt3, paramInt4);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  105 */     this.statementType = 2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void registerOutParameterInternal(int paramInt1, int paramInt2, int paramInt3, int paramInt4, String paramString) throws SQLException {
/*  119 */     int i = paramInt1 - 1;
/*  120 */     if (i < 0 || paramInt1 > this.numberOfBindPositions) {
/*  121 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  123 */     if (paramInt2 == 0)
/*  124 */       DatabaseError.throwSqlException(4); 
/*  125 */     int j = getInternalType(paramInt2);
/*      */     
/*  127 */     resetBatch();
/*  128 */     this.currentRowNeedToPrepareBinds = true;
/*      */     
/*  130 */     if (this.currentRowBindAccessors == null) {
/*  131 */       this.currentRowBindAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/*      */     
/*  134 */     switch (paramInt2) {
/*      */       case -4:
/*      */       case -3:
/*      */       case -1:
/*      */       case 1:
/*      */       case 12:
/*      */         break;
/*      */ 
/*      */       
/*      */       default:
/*  144 */         paramInt4 = 0;
/*      */         break;
/*      */     } 
/*      */     
/*  148 */     this.currentRowBindAccessors[i] = allocateAccessor(j, paramInt2, i + 1, paramInt4, this.currentRowFormOfUse[i], paramString, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  183 */     if (paramString == null || paramString.length() == 0) {
/*  184 */       DatabaseError.throwSqlException(60, "empty Object name");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  190 */     synchronized (this.connection) {
/*      */       
/*  192 */       synchronized (this) {
/*      */         
/*  194 */         registerOutParameterInternal(paramInt1, paramInt2, 0, 0, paramString);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerOutParameterBytes(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*  229 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, (String)null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerOutParameterChars(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*  262 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, (String)null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*  283 */     registerOutParameterInternal(paramInt1, paramInt2, paramInt3, paramInt4, (String)null);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerOutParameter(String paramString, int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/*  304 */     int i = addNamedPara(paramString);
/*  305 */     registerOutParameter(i, paramInt1, paramInt2, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean isOracleBatchStyle() {
/*  314 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void resetBatch() {
/*  322 */     this.batch = 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setExecuteBatch(int paramInt) throws SQLException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized int sendBatch() throws SQLException {
/*  353 */     return this.validRows;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(int paramInt1, int paramInt2) throws SQLException {
/*  369 */     registerOutParameter(paramInt1, paramInt2, 0, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/*  379 */     registerOutParameter(paramInt1, paramInt2, paramInt3, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean wasNull() throws SQLException {
/*  385 */     return wasNullValue();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getString(int paramInt) throws SQLException {
/*  395 */     if (this.closed) {
/*  396 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  398 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  400 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  404 */     Accessor accessor = null;
/*  405 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  408 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  410 */     this.lastIndex = paramInt;
/*      */     
/*  412 */     if (this.streamList != null) {
/*  413 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  416 */     return accessor.getString(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum getOracleObject(int paramInt) throws SQLException {
/*  426 */     if (this.closed) {
/*  427 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  429 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  431 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  435 */     Accessor accessor = null;
/*  436 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  439 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  441 */     this.lastIndex = paramInt;
/*      */     
/*  443 */     if (this.streamList != null) {
/*  444 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  447 */     return accessor.getOracleObject(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ROWID getROWID(int paramInt) throws SQLException {
/*  457 */     if (this.closed) {
/*  458 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  460 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  462 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  466 */     Accessor accessor = null;
/*  467 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  470 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  472 */     this.lastIndex = paramInt;
/*      */     
/*  474 */     if (this.streamList != null) {
/*  475 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  478 */     return accessor.getROWID(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public NUMBER getNUMBER(int paramInt) throws SQLException {
/*  488 */     if (this.closed) {
/*  489 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  491 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  493 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  497 */     Accessor accessor = null;
/*  498 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  501 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  503 */     this.lastIndex = paramInt;
/*      */     
/*  505 */     if (this.streamList != null) {
/*  506 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  509 */     return accessor.getNUMBER(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE getDATE(int paramInt) throws SQLException {
/*  519 */     if (this.closed) {
/*  520 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  522 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  524 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  528 */     Accessor accessor = null;
/*  529 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  532 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  534 */     this.lastIndex = paramInt;
/*      */     
/*  536 */     if (this.streamList != null) {
/*  537 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  540 */     return accessor.getDATE(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public INTERVALYM getINTERVALYM(int paramInt) throws SQLException {
/*  550 */     if (this.closed) {
/*  551 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  553 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  555 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  559 */     Accessor accessor = null;
/*  560 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  563 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  565 */     this.lastIndex = paramInt;
/*      */     
/*  567 */     if (this.streamList != null) {
/*  568 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  571 */     return accessor.getINTERVALYM(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public INTERVALDS getINTERVALDS(int paramInt) throws SQLException {
/*  581 */     if (this.closed) {
/*  582 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  584 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  586 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  590 */     Accessor accessor = null;
/*  591 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  594 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  596 */     this.lastIndex = paramInt;
/*      */     
/*  598 */     if (this.streamList != null) {
/*  599 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  602 */     return accessor.getINTERVALDS(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TIMESTAMP getTIMESTAMP(int paramInt) throws SQLException {
/*  612 */     if (this.closed) {
/*  613 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  615 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  617 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  621 */     Accessor accessor = null;
/*  622 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  625 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  627 */     this.lastIndex = paramInt;
/*      */     
/*  629 */     if (this.streamList != null) {
/*  630 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  633 */     return accessor.getTIMESTAMP(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TIMESTAMPTZ getTIMESTAMPTZ(int paramInt) throws SQLException {
/*  643 */     if (this.closed) {
/*  644 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  646 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  648 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  652 */     Accessor accessor = null;
/*  653 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  656 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  658 */     this.lastIndex = paramInt;
/*      */     
/*  660 */     if (this.streamList != null) {
/*  661 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  664 */     return accessor.getTIMESTAMPTZ(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TIMESTAMPLTZ getTIMESTAMPLTZ(int paramInt) throws SQLException {
/*  674 */     if (this.closed) {
/*  675 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  677 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  679 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  683 */     Accessor accessor = null;
/*  684 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  687 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  689 */     this.lastIndex = paramInt;
/*      */     
/*  691 */     if (this.streamList != null) {
/*  692 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  695 */     return accessor.getTIMESTAMPLTZ(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public REF getREF(int paramInt) throws SQLException {
/*  705 */     if (this.closed) {
/*  706 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  708 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  710 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  714 */     Accessor accessor = null;
/*  715 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  718 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  720 */     this.lastIndex = paramInt;
/*      */     
/*  722 */     if (this.streamList != null) {
/*  723 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  726 */     return accessor.getREF(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ARRAY getARRAY(int paramInt) throws SQLException {
/*  736 */     if (this.closed) {
/*  737 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  739 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  741 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  745 */     Accessor accessor = null;
/*  746 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  749 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  751 */     this.lastIndex = paramInt;
/*      */     
/*  753 */     if (this.streamList != null) {
/*  754 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  757 */     return accessor.getARRAY(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public STRUCT getSTRUCT(int paramInt) throws SQLException {
/*  767 */     if (this.closed) {
/*  768 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  770 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  772 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  776 */     Accessor accessor = null;
/*  777 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  780 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  782 */     this.lastIndex = paramInt;
/*      */     
/*  784 */     if (this.streamList != null) {
/*  785 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  788 */     return accessor.getSTRUCT(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OPAQUE getOPAQUE(int paramInt) throws SQLException {
/*  798 */     if (this.closed) {
/*  799 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  801 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  803 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  807 */     Accessor accessor = null;
/*  808 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  811 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  813 */     this.lastIndex = paramInt;
/*      */     
/*  815 */     if (this.streamList != null) {
/*  816 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  819 */     return accessor.getOPAQUE(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CHAR getCHAR(int paramInt) throws SQLException {
/*  829 */     if (this.closed) {
/*  830 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  832 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  834 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  838 */     Accessor accessor = null;
/*  839 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  842 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  844 */     this.lastIndex = paramInt;
/*      */     
/*  846 */     if (this.streamList != null) {
/*  847 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  850 */     return accessor.getCHAR(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Reader getCharacterStream(int paramInt) throws SQLException {
/*  860 */     if (this.closed) {
/*  861 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  863 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  865 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  869 */     Accessor accessor = null;
/*  870 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  873 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  875 */     this.lastIndex = paramInt;
/*      */     
/*  877 */     if (this.streamList != null) {
/*  878 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  881 */     return accessor.getCharacterStream(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public RAW getRAW(int paramInt) throws SQLException {
/*  891 */     if (this.closed) {
/*  892 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  894 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  896 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  900 */     Accessor accessor = null;
/*  901 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  904 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  906 */     this.lastIndex = paramInt;
/*      */     
/*  908 */     if (this.streamList != null) {
/*  909 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  912 */     return accessor.getRAW(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BLOB getBLOB(int paramInt) throws SQLException {
/*  923 */     if (this.closed) {
/*  924 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  926 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  928 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  932 */     Accessor accessor = null;
/*  933 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  936 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  938 */     this.lastIndex = paramInt;
/*      */     
/*  940 */     if (this.streamList != null) {
/*  941 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  944 */     return accessor.getBLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CLOB getCLOB(int paramInt) throws SQLException {
/*  954 */     if (this.closed) {
/*  955 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  957 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  959 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  963 */     Accessor accessor = null;
/*  964 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  967 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  969 */     this.lastIndex = paramInt;
/*      */     
/*  971 */     if (this.streamList != null) {
/*  972 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/*  975 */     return accessor.getCLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BFILE getBFILE(int paramInt) throws SQLException {
/*  985 */     if (this.closed) {
/*  986 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  988 */     if (this.atLeastOneNamedParameter)
/*      */     {
/*  990 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/*  994 */     Accessor accessor = null;
/*  995 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/*  998 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1000 */     this.lastIndex = paramInt;
/*      */     
/* 1002 */     if (this.streamList != null) {
/* 1003 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1006 */     return accessor.getBFILE(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getBoolean(int paramInt) throws SQLException {
/* 1016 */     if (this.closed) {
/* 1017 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1019 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1021 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1025 */     Accessor accessor = null;
/* 1026 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1029 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1031 */     this.lastIndex = paramInt;
/*      */     
/* 1033 */     if (this.streamList != null) {
/* 1034 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1037 */     return accessor.getBoolean(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte getByte(int paramInt) throws SQLException {
/* 1047 */     if (this.closed) {
/* 1048 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1050 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1052 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1056 */     Accessor accessor = null;
/* 1057 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1060 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1062 */     this.lastIndex = paramInt;
/*      */     
/* 1064 */     if (this.streamList != null) {
/* 1065 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1068 */     return accessor.getByte(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getShort(int paramInt) throws SQLException {
/* 1078 */     if (this.closed) {
/* 1079 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1081 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1083 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1087 */     Accessor accessor = null;
/* 1088 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1091 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1093 */     this.lastIndex = paramInt;
/*      */     
/* 1095 */     if (this.streamList != null) {
/* 1096 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1099 */     return accessor.getShort(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getInt(int paramInt) throws SQLException {
/* 1109 */     if (this.closed) {
/* 1110 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1112 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1114 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1118 */     Accessor accessor = null;
/* 1119 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1122 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1124 */     this.lastIndex = paramInt;
/*      */     
/* 1126 */     if (this.streamList != null) {
/* 1127 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1130 */     return accessor.getInt(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getLong(int paramInt) throws SQLException {
/* 1140 */     if (this.closed) {
/* 1141 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1143 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1145 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1149 */     Accessor accessor = null;
/* 1150 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1153 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1155 */     this.lastIndex = paramInt;
/*      */     
/* 1157 */     if (this.streamList != null) {
/* 1158 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1161 */     return accessor.getLong(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getFloat(int paramInt) throws SQLException {
/* 1171 */     if (this.closed) {
/* 1172 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1174 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1176 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1180 */     Accessor accessor = null;
/* 1181 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1184 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1186 */     this.lastIndex = paramInt;
/*      */     
/* 1188 */     if (this.streamList != null) {
/* 1189 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1192 */     return accessor.getFloat(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDouble(int paramInt) throws SQLException {
/* 1202 */     if (this.closed) {
/* 1203 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1205 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1207 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1211 */     Accessor accessor = null;
/* 1212 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1215 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1217 */     this.lastIndex = paramInt;
/*      */     
/* 1219 */     if (this.streamList != null) {
/* 1220 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1223 */     return accessor.getDouble(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal getBigDecimal(int paramInt1, int paramInt2) throws SQLException {
/* 1233 */     if (this.closed) {
/* 1234 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1236 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1238 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1242 */     Accessor accessor = null;
/* 1243 */     if (paramInt1 <= 0 || paramInt1 > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt1 - 1]) == null)
/*      */     {
/*      */       
/* 1246 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1248 */     this.lastIndex = paramInt1;
/*      */     
/* 1250 */     if (this.streamList != null) {
/* 1251 */       closeUsedStreams(paramInt1);
/*      */     }
/*      */     
/* 1254 */     return accessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] getBytes(int paramInt) throws SQLException {
/* 1264 */     if (this.closed) {
/* 1265 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1267 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1269 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1273 */     Accessor accessor = null;
/* 1274 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1277 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1279 */     this.lastIndex = paramInt;
/*      */     
/* 1281 */     if (this.streamList != null) {
/* 1282 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1285 */     return accessor.getBytes(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] privateGetBytes(int paramInt) throws SQLException {
/* 1295 */     if (this.closed) {
/* 1296 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1298 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1300 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1304 */     Accessor accessor = null;
/* 1305 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1308 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1310 */     this.lastIndex = paramInt;
/*      */     
/* 1312 */     if (this.streamList != null) {
/* 1313 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1316 */     return accessor.privateGetBytes(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getDate(int paramInt) throws SQLException {
/* 1326 */     if (this.closed) {
/* 1327 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1329 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1331 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1335 */     Accessor accessor = null;
/* 1336 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1339 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1341 */     this.lastIndex = paramInt;
/*      */     
/* 1343 */     if (this.streamList != null) {
/* 1344 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1347 */     return accessor.getDate(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time getTime(int paramInt) throws SQLException {
/* 1357 */     if (this.closed) {
/* 1358 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1360 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1362 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1366 */     Accessor accessor = null;
/* 1367 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1370 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1372 */     this.lastIndex = paramInt;
/*      */     
/* 1374 */     if (this.streamList != null) {
/* 1375 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1378 */     return accessor.getTime(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp getTimestamp(int paramInt) throws SQLException {
/* 1388 */     if (this.closed) {
/* 1389 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1391 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1393 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1397 */     Accessor accessor = null;
/* 1398 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1401 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1403 */     this.lastIndex = paramInt;
/*      */     
/* 1405 */     if (this.streamList != null) {
/* 1406 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1409 */     return accessor.getTimestamp(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream getAsciiStream(int paramInt) throws SQLException {
/* 1419 */     if (this.closed) {
/* 1420 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1422 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1424 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1428 */     Accessor accessor = null;
/* 1429 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1432 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1434 */     this.lastIndex = paramInt;
/*      */     
/* 1436 */     if (this.streamList != null) {
/* 1437 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1440 */     return accessor.getAsciiStream(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream getUnicodeStream(int paramInt) throws SQLException {
/* 1450 */     if (this.closed) {
/* 1451 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1453 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1455 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1459 */     Accessor accessor = null;
/* 1460 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1463 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1465 */     this.lastIndex = paramInt;
/*      */     
/* 1467 */     if (this.streamList != null) {
/* 1468 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1471 */     return accessor.getUnicodeStream(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public InputStream getBinaryStream(int paramInt) throws SQLException {
/* 1481 */     if (this.closed) {
/* 1482 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1484 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1486 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1490 */     Accessor accessor = null;
/* 1491 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1494 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1496 */     this.lastIndex = paramInt;
/*      */     
/* 1498 */     if (this.streamList != null) {
/* 1499 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1502 */     return accessor.getBinaryStream(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getObject(int paramInt) throws SQLException {
/* 1512 */     if (this.closed) {
/* 1513 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1515 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1517 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1521 */     Accessor accessor = null;
/* 1522 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1525 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1527 */     this.lastIndex = paramInt;
/*      */     
/* 1529 */     if (this.streamList != null) {
/* 1530 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1533 */     return accessor.getObject(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getAnyDataEmbeddedObject(int paramInt) throws SQLException {
/* 1545 */     if (this.closed) {
/* 1546 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1548 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1550 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1554 */     Accessor accessor = null;
/* 1555 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1558 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1560 */     this.lastIndex = paramInt;
/*      */     
/* 1562 */     if (this.streamList != null) {
/* 1563 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1566 */     return accessor.getAnyDataEmbeddedObject(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getCustomDatum(int paramInt, CustomDatumFactory paramCustomDatumFactory) throws SQLException {
/* 1576 */     if (this.closed) {
/* 1577 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1579 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1581 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1585 */     Accessor accessor = null;
/* 1586 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1589 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1591 */     this.lastIndex = paramInt;
/*      */     
/* 1593 */     if (this.streamList != null) {
/* 1594 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1597 */     return accessor.getCustomDatum(this.currentRank, paramCustomDatumFactory);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getORAData(int paramInt, ORADataFactory paramORADataFactory) throws SQLException {
/* 1607 */     if (this.closed) {
/* 1608 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1610 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1612 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1616 */     Accessor accessor = null;
/* 1617 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1620 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1622 */     this.lastIndex = paramInt;
/*      */     
/* 1624 */     if (this.streamList != null) {
/* 1625 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1628 */     return accessor.getORAData(this.currentRank, paramORADataFactory);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet getCursor(int paramInt) throws SQLException {
/* 1638 */     if (this.closed) {
/* 1639 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1641 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1643 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1647 */     Accessor accessor = null;
/* 1648 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1651 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1653 */     this.lastIndex = paramInt;
/*      */     
/* 1655 */     if (this.streamList != null) {
/* 1656 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1659 */     return accessor.getCursor(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void clearParameters() throws SQLException {
/* 1668 */     super.clearParameters();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getObject(int paramInt, Map paramMap) throws SQLException {
/* 1688 */     if (this.closed) {
/* 1689 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1691 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1693 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1697 */     Accessor accessor = null;
/* 1698 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1701 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1703 */     this.lastIndex = paramInt;
/*      */     
/* 1705 */     if (this.streamList != null) {
/* 1706 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1709 */     return accessor.getObject(this.currentRank, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Ref getRef(int paramInt) throws SQLException {
/* 1719 */     if (this.closed) {
/* 1720 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1722 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1724 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1728 */     Accessor accessor = null;
/* 1729 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1732 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1734 */     this.lastIndex = paramInt;
/*      */     
/* 1736 */     if (this.streamList != null) {
/* 1737 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1740 */     return (Ref)accessor.getREF(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Blob getBlob(int paramInt) throws SQLException {
/* 1750 */     if (this.closed) {
/* 1751 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1753 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1755 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1759 */     Accessor accessor = null;
/* 1760 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1763 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1765 */     this.lastIndex = paramInt;
/*      */     
/* 1767 */     if (this.streamList != null) {
/* 1768 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1771 */     return (Blob)accessor.getBLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Clob getClob(int paramInt) throws SQLException {
/* 1781 */     if (this.closed) {
/* 1782 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1784 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1786 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1790 */     Accessor accessor = null;
/* 1791 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1794 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1796 */     this.lastIndex = paramInt;
/*      */     
/* 1798 */     if (this.streamList != null) {
/* 1799 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1802 */     return (Clob)accessor.getCLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Array getArray(int paramInt) throws SQLException {
/* 1812 */     if (this.closed) {
/* 1813 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1815 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1817 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1821 */     Accessor accessor = null;
/* 1822 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1825 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1827 */     this.lastIndex = paramInt;
/*      */     
/* 1829 */     if (this.streamList != null) {
/* 1830 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1833 */     return (Array)accessor.getARRAY(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal getBigDecimal(int paramInt) throws SQLException {
/* 1843 */     if (this.closed) {
/* 1844 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1846 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1848 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1852 */     Accessor accessor = null;
/* 1853 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1856 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1858 */     this.lastIndex = paramInt;
/*      */     
/* 1860 */     if (this.streamList != null) {
/* 1861 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1864 */     return accessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getDate(int paramInt, Calendar paramCalendar) throws SQLException {
/* 1874 */     if (this.closed) {
/* 1875 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1877 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1879 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1883 */     Accessor accessor = null;
/* 1884 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1887 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1889 */     this.lastIndex = paramInt;
/*      */     
/* 1891 */     if (this.streamList != null) {
/* 1892 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1895 */     return accessor.getDate(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time getTime(int paramInt, Calendar paramCalendar) throws SQLException {
/* 1905 */     if (this.closed) {
/* 1906 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1908 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1910 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1914 */     Accessor accessor = null;
/* 1915 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1918 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1920 */     this.lastIndex = paramInt;
/*      */     
/* 1922 */     if (this.streamList != null) {
/* 1923 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1926 */     return accessor.getTime(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp getTimestamp(int paramInt, Calendar paramCalendar) throws SQLException {
/* 1936 */     if (this.closed) {
/* 1937 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 1939 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 1941 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 1945 */     Accessor accessor = null;
/* 1946 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 1949 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1951 */     this.lastIndex = paramInt;
/*      */     
/* 1953 */     if (this.streamList != null) {
/* 1954 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 1957 */     return accessor.getTimestamp(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addBatch() throws SQLException {
/* 2003 */     if (this.currentRowBindAccessors != null)
/*      */     {
/* 2005 */       DatabaseError.throwSqlException(90, "Stored procedure with out or inout parameters cannot be batched");
/*      */     }
/*      */ 
/*      */     
/* 2009 */     super.addBatch();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void alwaysOnClose() throws SQLException {
/* 2019 */     this.sqlObject.resetNamedParameters();
/*      */ 
/*      */     
/* 2022 */     this.parameterCount = 0;
/* 2023 */     this.atLeastOneOrdinalParameter = false;
/* 2024 */     this.atLeastOneNamedParameter = false;
/*      */     
/* 2026 */     super.alwaysOnClose();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(String paramString, int paramInt) throws SQLException {
/* 2063 */     registerOutParameter(paramString, paramInt, 0, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(String paramString, int paramInt1, int paramInt2) throws SQLException {
/* 2094 */     registerOutParameter(paramString, paramInt1, paramInt2, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void registerOutParameter(String paramString1, int paramInt, String paramString2) throws SQLException {
/* 2137 */     int i = addNamedPara(paramString1);
/* 2138 */     registerOutParameter(i, paramInt, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public URL getURL(int paramInt) throws SQLException {
/* 2164 */     if (this.closed) {
/* 2165 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 2167 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 2169 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 2173 */     Accessor accessor = null;
/* 2174 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 2177 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 2179 */     this.lastIndex = paramInt;
/*      */     
/* 2181 */     if (this.streamList != null) {
/* 2182 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 2185 */     return accessor.getURL(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setURL(String paramString, URL paramURL) throws SQLException {
/* 2205 */     int i = addNamedPara(paramString);
/* 2206 */     setURLInternal(i, paramURL);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setNull(String paramString, int paramInt) throws SQLException {
/* 2224 */     int i = addNamedPara(paramString);
/* 2225 */     setNullInternal(i, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBoolean(String paramString, boolean paramBoolean) throws SQLException {
/* 2244 */     int i = addNamedPara(paramString);
/* 2245 */     setBooleanInternal(i, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setByte(String paramString, byte paramByte) throws SQLException {
/* 2264 */     int i = addNamedPara(paramString);
/* 2265 */     setByteInternal(i, paramByte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setShort(String paramString, short paramShort) throws SQLException {
/* 2284 */     int i = addNamedPara(paramString);
/* 2285 */     setShortInternal(i, paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setInt(String paramString, int paramInt) throws SQLException {
/* 2304 */     int i = addNamedPara(paramString);
/* 2305 */     setIntInternal(i, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setLong(String paramString, long paramLong) throws SQLException {
/* 2324 */     int i = addNamedPara(paramString);
/* 2325 */     setLongInternal(i, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFloat(String paramString, float paramFloat) throws SQLException {
/* 2344 */     int i = addNamedPara(paramString);
/* 2345 */     setFloatInternal(i, paramFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBinaryFloat(String paramString, float paramFloat) throws SQLException {
/* 2362 */     int i = addNamedPara(paramString);
/* 2363 */     setBinaryFloatInternal(i, paramFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBinaryFloat(String paramString, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException {
/* 2377 */     int i = addNamedPara(paramString);
/* 2378 */     setBinaryFloatInternal(i, paramBINARY_FLOAT);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDouble(String paramString, double paramDouble) throws SQLException {
/* 2397 */     int i = addNamedPara(paramString);
/* 2398 */     setDoubleInternal(i, paramDouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBinaryDouble(String paramString, double paramDouble) throws SQLException {
/* 2415 */     int i = addNamedPara(paramString);
/* 2416 */     setBinaryDoubleInternal(i, paramDouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBinaryDouble(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException {
/* 2431 */     int i = addNamedPara(paramString);
/* 2432 */     setBinaryDoubleInternal(i, paramBINARY_DOUBLE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBigDecimal(String paramString, BigDecimal paramBigDecimal) throws SQLException {
/* 2452 */     int i = addNamedPara(paramString);
/* 2453 */     setBigDecimalInternal(i, paramBigDecimal);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setString(String paramString1, String paramString2) throws SQLException {
/* 2475 */     int i = addNamedPara(paramString1);
/* 2476 */     setStringInternal(i, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setStringForClob(String paramString1, String paramString2) throws SQLException {
/* 2500 */     int i = addNamedPara(paramString1);
/* 2501 */     if (paramString2 == null || paramString2.length() == 0) {
/*      */       
/* 2503 */       setNull(i, 2005);
/*      */       return;
/*      */     } 
/* 2506 */     setStringForClob(i, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setStringForClob(int paramInt, String paramString) throws SQLException {
/* 2523 */     if (paramString == null || paramString.length() == 0) {
/*      */       
/* 2525 */       setNull(paramInt, 2005);
/*      */       return;
/*      */     } 
/* 2528 */     synchronized (this.connection) {
/*      */       
/* 2530 */       synchronized (this.connection) {
/*      */         
/* 2532 */         setStringForClobCritical(paramInt, paramString);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBytes(String paramString, byte[] paramArrayOfbyte) throws SQLException {
/* 2555 */     int i = addNamedPara(paramString);
/* 2556 */     setBytesInternal(i, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBytesForBlob(String paramString, byte[] paramArrayOfbyte) throws SQLException {
/* 2578 */     int i = addNamedPara(paramString);
/* 2579 */     setBytesForBlob(i, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBytesForBlob(int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 2595 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0) {
/*      */       
/* 2597 */       setNull(paramInt, 2004);
/*      */       return;
/*      */     } 
/* 2600 */     synchronized (this.connection) {
/*      */       
/* 2602 */       synchronized (this.connection) {
/*      */         
/* 2604 */         setBytesForBlobCritical(paramInt, paramArrayOfbyte);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDate(String paramString, Date paramDate) throws SQLException {
/* 2625 */     int i = addNamedPara(paramString);
/* 2626 */     setDateInternal(i, paramDate);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTime(String paramString, Time paramTime) throws SQLException {
/* 2645 */     int i = addNamedPara(paramString);
/* 2646 */     setTimeInternal(i, paramTime);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTimestamp(String paramString, Timestamp paramTimestamp) throws SQLException {
/* 2666 */     int i = addNamedPara(paramString);
/* 2667 */     setTimestampInternal(i, paramTimestamp);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setAsciiStream(String paramString, InputStream paramInputStream, int paramInt) throws SQLException {
/* 2695 */     int i = addNamedPara(paramString);
/* 2696 */     setAsciiStreamInternal(i, paramInputStream, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBinaryStream(String paramString, InputStream paramInputStream, int paramInt) throws SQLException {
/* 2723 */     int i = addNamedPara(paramString);
/* 2724 */     setBinaryStreamInternal(i, paramInputStream, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(String paramString, Object paramObject, int paramInt1, int paramInt2) throws SQLException {
/* 2765 */     int i = addNamedPara(paramString);
/* 2766 */     setObjectInternal(i, paramObject, paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(String paramString, Object paramObject, int paramInt) throws SQLException {
/* 2787 */     setObject(paramString, paramObject, paramInt, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(String paramString, Object paramObject) throws SQLException {
/* 2827 */     int i = addNamedPara(paramString);
/* 2828 */     setObjectInternal(i, paramObject);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCharacterStream(String paramString, Reader paramReader, int paramInt) throws SQLException {
/* 2859 */     int i = addNamedPara(paramString);
/* 2860 */     setCharacterStreamInternal(i, paramReader, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDate(String paramString, Date paramDate, Calendar paramCalendar) throws SQLException {
/* 2886 */     int i = addNamedPara(paramString);
/* 2887 */     setDateInternal(i, paramDate, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTime(String paramString, Time paramTime, Calendar paramCalendar) throws SQLException {
/* 2913 */     int i = addNamedPara(paramString);
/* 2914 */     setTimeInternal(i, paramTime, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTimestamp(String paramString, Timestamp paramTimestamp, Calendar paramCalendar) throws SQLException {
/* 2941 */     int i = addNamedPara(paramString);
/* 2942 */     setTimestampInternal(i, paramTimestamp, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setNull(String paramString1, int paramInt, String paramString2) throws SQLException {
/* 2979 */     int i = addNamedPara(paramString1);
/* 2980 */     setNullInternal(i, paramInt, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getString(String paramString) throws SQLException {
/* 3006 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3008 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3012 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3015 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3017 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3020 */     b++;
/*      */     
/* 3022 */     Accessor accessor = null;
/* 3023 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3026 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3028 */     this.lastIndex = b;
/*      */     
/* 3030 */     if (this.streamList != null) {
/* 3031 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3034 */     return accessor.getString(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getBoolean(String paramString) throws SQLException {
/* 3053 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3055 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3059 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3062 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3064 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3067 */     b++;
/*      */     
/* 3069 */     Accessor accessor = null;
/* 3070 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3073 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3075 */     this.lastIndex = b;
/*      */     
/* 3077 */     if (this.streamList != null) {
/* 3078 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3081 */     return accessor.getBoolean(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte getByte(String paramString) throws SQLException {
/* 3100 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3102 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3106 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3109 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3111 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3114 */     b++;
/*      */     
/* 3116 */     Accessor accessor = null;
/* 3117 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3120 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3122 */     this.lastIndex = b;
/*      */     
/* 3124 */     if (this.streamList != null) {
/* 3125 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3128 */     return accessor.getByte(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public short getShort(String paramString) throws SQLException {
/* 3147 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3149 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3153 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3156 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3158 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3161 */     b++;
/*      */     
/* 3163 */     Accessor accessor = null;
/* 3164 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3167 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3169 */     this.lastIndex = b;
/*      */     
/* 3171 */     if (this.streamList != null) {
/* 3172 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3175 */     return accessor.getShort(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getInt(String paramString) throws SQLException {
/* 3195 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3197 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3201 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3204 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3206 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3209 */     b++;
/*      */     
/* 3211 */     Accessor accessor = null;
/* 3212 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3215 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3217 */     this.lastIndex = b;
/*      */     
/* 3219 */     if (this.streamList != null) {
/* 3220 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3223 */     return accessor.getInt(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getLong(String paramString) throws SQLException {
/* 3243 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3245 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3249 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3252 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3254 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3257 */     b++;
/*      */     
/* 3259 */     Accessor accessor = null;
/* 3260 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3263 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3265 */     this.lastIndex = b;
/*      */     
/* 3267 */     if (this.streamList != null) {
/* 3268 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3271 */     return accessor.getLong(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public float getFloat(String paramString) throws SQLException {
/* 3290 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3292 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3296 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3299 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3301 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3304 */     b++;
/*      */     
/* 3306 */     Accessor accessor = null;
/* 3307 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3310 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3312 */     this.lastIndex = b;
/*      */     
/* 3314 */     if (this.streamList != null) {
/* 3315 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3318 */     return accessor.getFloat(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public double getDouble(String paramString) throws SQLException {
/* 3337 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3339 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3343 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3346 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3348 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3351 */     b++;
/*      */     
/* 3353 */     Accessor accessor = null;
/* 3354 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3357 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3359 */     this.lastIndex = b;
/*      */     
/* 3361 */     if (this.streamList != null) {
/* 3362 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3365 */     return accessor.getDouble(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] getBytes(String paramString) throws SQLException {
/* 3385 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3387 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3391 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3394 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3396 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3399 */     b++;
/*      */     
/* 3401 */     Accessor accessor = null;
/* 3402 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3405 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3407 */     this.lastIndex = b;
/*      */     
/* 3409 */     if (this.streamList != null) {
/* 3410 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3413 */     return accessor.getBytes(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getDate(String paramString) throws SQLException {
/* 3432 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3434 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3438 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3441 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3443 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3446 */     b++;
/*      */     
/* 3448 */     Accessor accessor = null;
/* 3449 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3452 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3454 */     this.lastIndex = b;
/*      */     
/* 3456 */     if (this.streamList != null) {
/* 3457 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3460 */     return accessor.getDate(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time getTime(String paramString) throws SQLException {
/* 3479 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3481 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3485 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3488 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3490 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3493 */     b++;
/*      */     
/* 3495 */     Accessor accessor = null;
/* 3496 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3499 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3501 */     this.lastIndex = b;
/*      */     
/* 3503 */     if (this.streamList != null) {
/* 3504 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3507 */     return accessor.getTime(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp getTimestamp(String paramString) throws SQLException {
/* 3526 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3528 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3532 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3535 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3537 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3540 */     b++;
/*      */     
/* 3542 */     Accessor accessor = null;
/* 3543 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3546 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3548 */     this.lastIndex = b;
/*      */     
/* 3550 */     if (this.streamList != null) {
/* 3551 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3554 */     return accessor.getTimestamp(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getObject(String paramString) throws SQLException {
/* 3580 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3582 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3586 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3589 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3591 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3594 */     b++;
/*      */     
/* 3596 */     Accessor accessor = null;
/* 3597 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3600 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3602 */     this.lastIndex = b;
/*      */     
/* 3604 */     if (this.streamList != null) {
/* 3605 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3608 */     return accessor.getObject(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public BigDecimal getBigDecimal(String paramString) throws SQLException {
/* 3628 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3630 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3634 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3637 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3639 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3642 */     b++;
/*      */     
/* 3644 */     Accessor accessor = null;
/* 3645 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3648 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3650 */     this.lastIndex = b;
/*      */     
/* 3652 */     if (this.streamList != null) {
/* 3653 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3656 */     return accessor.getBigDecimal(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getObject(String paramString, Map paramMap) throws SQLException {
/* 3682 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3684 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3688 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3691 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3693 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3696 */     b++;
/*      */     
/* 3698 */     Accessor accessor = null;
/* 3699 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3702 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3704 */     this.lastIndex = b;
/*      */     
/* 3706 */     if (this.streamList != null) {
/* 3707 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3710 */     return accessor.getObject(this.currentRank, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Ref getRef(String paramString) throws SQLException {
/* 3730 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3732 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3736 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3739 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3741 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3744 */     b++;
/*      */     
/* 3746 */     Accessor accessor = null;
/* 3747 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3750 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3752 */     this.lastIndex = b;
/*      */     
/* 3754 */     if (this.streamList != null) {
/* 3755 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3758 */     return (Ref)accessor.getREF(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Blob getBlob(String paramString) throws SQLException {
/* 3778 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3780 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3784 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3787 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3789 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3792 */     b++;
/*      */     
/* 3794 */     Accessor accessor = null;
/* 3795 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3798 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3800 */     this.lastIndex = b;
/*      */     
/* 3802 */     if (this.streamList != null) {
/* 3803 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3806 */     return (Blob)accessor.getBLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Clob getClob(String paramString) throws SQLException {
/* 3825 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3827 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3831 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3834 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3836 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3839 */     b++;
/*      */     
/* 3841 */     Accessor accessor = null;
/* 3842 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3845 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3847 */     this.lastIndex = b;
/*      */     
/* 3849 */     if (this.streamList != null) {
/* 3850 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3853 */     return (Clob)accessor.getCLOB(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Array getArray(String paramString) throws SQLException {
/* 3873 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3875 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3879 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3882 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3884 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3887 */     b++;
/*      */     
/* 3889 */     Accessor accessor = null;
/* 3890 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3893 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3895 */     this.lastIndex = b;
/*      */     
/* 3897 */     if (this.streamList != null) {
/* 3898 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3901 */     return (Array)accessor.getARRAY(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date getDate(String paramString, Calendar paramCalendar) throws SQLException {
/* 3929 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3931 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3935 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3938 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3940 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3943 */     b++;
/*      */     
/* 3945 */     Accessor accessor = null;
/* 3946 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 3949 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 3951 */     this.lastIndex = b;
/*      */     
/* 3953 */     if (this.streamList != null) {
/* 3954 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 3957 */     return accessor.getDate(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time getTime(String paramString, Calendar paramCalendar) throws SQLException {
/* 3985 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 3987 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 3991 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 3994 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 3996 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 3999 */     b++;
/*      */     
/* 4001 */     Accessor accessor = null;
/* 4002 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 4005 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 4007 */     this.lastIndex = b;
/*      */     
/* 4009 */     if (this.streamList != null) {
/* 4010 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 4013 */     return accessor.getTime(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp getTimestamp(String paramString, Calendar paramCalendar) throws SQLException {
/* 4042 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 4044 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 4048 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 4051 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 4053 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 4056 */     b++;
/*      */     
/* 4058 */     Accessor accessor = null;
/* 4059 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 4062 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 4064 */     this.lastIndex = b;
/*      */     
/* 4066 */     if (this.streamList != null) {
/* 4067 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 4070 */     return accessor.getTimestamp(this.currentRank, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public URL getURL(String paramString) throws SQLException {
/* 4092 */     if (!this.atLeastOneNamedParameter)
/*      */     {
/* 4094 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 4098 */     String str = paramString.toUpperCase().intern();
/*      */     
/*      */     byte b;
/* 4101 */     for (b = 0; b < this.parameterCount; b++) {
/*      */       
/* 4103 */       if (str == this.namedParameters[b])
/*      */         break; 
/*      */     } 
/* 4106 */     b++;
/*      */     
/* 4108 */     Accessor accessor = null;
/* 4109 */     if (b <= 0 || b > this.numberOfBindPositions || (accessor = this.outBindAccessors[b - 1]) == null)
/*      */     {
/*      */       
/* 4112 */       DatabaseError.throwSqlException(6);
/*      */     }
/* 4114 */     this.lastIndex = b;
/*      */     
/* 4116 */     if (this.streamList != null) {
/* 4117 */       closeUsedStreams(b);
/*      */     }
/*      */     
/* 4120 */     return accessor.getURL(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void registerIndexTableOutParameter(int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/* 4159 */     int i = paramInt1 - 1;
/* 4160 */     if (i < 0 || paramInt1 > this.numberOfBindPositions) {
/* 4161 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 4163 */     int j = getInternalType(paramInt3);
/*      */     
/* 4165 */     resetBatch();
/* 4166 */     this.currentRowNeedToPrepareBinds = true;
/*      */     
/* 4168 */     if (this.currentRowBindAccessors == null) {
/* 4169 */       this.currentRowBindAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/* 4171 */     this.currentRowBindAccessors[i] = allocateIndexTableAccessor(paramInt3, j, paramInt4, paramInt2, this.currentRowFormOfUse[i], true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4179 */     this.hasIbtBind = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   PlsqlIndexTableAccessor allocateIndexTableAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, boolean paramBoolean) throws SQLException {
/* 4194 */     return new PlsqlIndexTableAccessor(this, paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getPlsqlIndexTable(int paramInt) throws SQLException {
/*      */     BigDecimal[] arrayOfBigDecimal;
/* 4220 */     Datum[] arrayOfDatum = getOraclePlsqlIndexTable(paramInt);
/*      */     
/* 4222 */     PlsqlIndexTableAccessor plsqlIndexTableAccessor = (PlsqlIndexTableAccessor)this.outBindAccessors[paramInt - 1];
/*      */ 
/*      */     
/* 4225 */     int i = plsqlIndexTableAccessor.elementInternalType;
/*      */     
/* 4227 */     String[] arrayOfString = null;
/*      */     
/* 4229 */     switch (i) {
/*      */       
/*      */       case 9:
/* 4232 */         arrayOfString = new String[arrayOfDatum.length];
/*      */         break;
/*      */       case 6:
/* 4235 */         arrayOfBigDecimal = new BigDecimal[arrayOfDatum.length];
/*      */         break;
/*      */       default:
/* 4238 */         DatabaseError.throwSqlException(1, "Invalid column type");
/*      */         break;
/*      */     } 
/*      */     
/* 4242 */     for (byte b = 0; b < arrayOfBigDecimal.length; b++) {
/* 4243 */       arrayOfBigDecimal[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? (BigDecimal)arrayOfDatum[b].toJdbc() : null;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4250 */     return arrayOfBigDecimal;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Object getPlsqlIndexTable(int paramInt, Class paramClass) throws SQLException {
/* 4268 */     Datum[] arrayOfDatum = getOraclePlsqlIndexTable(paramInt);
/*      */     
/* 4270 */     if (paramClass == null || !paramClass.isPrimitive()) {
/* 4271 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 4273 */     String str = paramClass.getName();
/*      */     
/* 4275 */     if (str.equals("byte")) {
/*      */       
/* 4277 */       byte[] arrayOfByte = new byte[arrayOfDatum.length];
/* 4278 */       for (byte b = 0; b < arrayOfDatum.length; b++)
/* 4279 */         arrayOfByte[b] = (arrayOfDatum[b] != null) ? arrayOfDatum[b].byteValue() : 0; 
/* 4280 */       return arrayOfByte;
/*      */     } 
/* 4282 */     if (str.equals("char")) {
/*      */       
/* 4284 */       char[] arrayOfChar = new char[arrayOfDatum.length];
/* 4285 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4286 */         arrayOfChar[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? (char)arrayOfDatum[b].intValue() : Character.MIN_VALUE;
/*      */       }
/* 4288 */       return arrayOfChar;
/*      */     } 
/* 4290 */     if (str.equals("double")) {
/*      */       
/* 4292 */       double[] arrayOfDouble = new double[arrayOfDatum.length];
/* 4293 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4294 */         arrayOfDouble[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? arrayOfDatum[b].doubleValue() : 0.0D;
/*      */       }
/* 4296 */       return arrayOfDouble;
/*      */     } 
/* 4298 */     if (str.equals("float")) {
/*      */       
/* 4300 */       float[] arrayOfFloat = new float[arrayOfDatum.length];
/* 4301 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4302 */         arrayOfFloat[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? arrayOfDatum[b].floatValue() : 0.0F;
/*      */       }
/* 4304 */       return arrayOfFloat;
/*      */     } 
/* 4306 */     if (str.equals("int")) {
/*      */       
/* 4308 */       int[] arrayOfInt = new int[arrayOfDatum.length];
/* 4309 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4310 */         arrayOfInt[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? arrayOfDatum[b].intValue() : 0;
/*      */       }
/* 4312 */       return arrayOfInt;
/*      */     } 
/* 4314 */     if (str.equals("long")) {
/*      */       
/* 4316 */       long[] arrayOfLong = new long[arrayOfDatum.length];
/* 4317 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4318 */         arrayOfLong[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? arrayOfDatum[b].longValue() : 0L;
/*      */       }
/* 4320 */       return arrayOfLong;
/*      */     } 
/* 4322 */     if (str.equals("short")) {
/*      */       
/* 4324 */       short[] arrayOfShort = new short[arrayOfDatum.length];
/* 4325 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4326 */         arrayOfShort[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? (short)arrayOfDatum[b].intValue() : 0;
/*      */       }
/* 4328 */       return arrayOfShort;
/*      */     } 
/* 4330 */     if (str.equals("boolean")) {
/*      */       
/* 4332 */       boolean[] arrayOfBoolean = new boolean[arrayOfDatum.length];
/* 4333 */       for (byte b = 0; b < arrayOfDatum.length; b++) {
/* 4334 */         arrayOfBoolean[b] = (arrayOfDatum[b] != null && arrayOfDatum[b].getLength() != 0L) ? arrayOfDatum[b].booleanValue() : false;
/*      */       }
/* 4336 */       return arrayOfBoolean;
/*      */     } 
/*      */     
/* 4339 */     DatabaseError.throwSqlException(23);
/*      */     
/* 4341 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Datum[] getOraclePlsqlIndexTable(int paramInt) throws SQLException {
/* 4359 */     if (this.closed) {
/* 4360 */       DatabaseError.throwSqlException(9);
/*      */     }
/* 4362 */     if (this.atLeastOneNamedParameter)
/*      */     {
/* 4364 */       DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */     }
/*      */ 
/*      */     
/* 4368 */     Accessor accessor = null;
/* 4369 */     if (paramInt <= 0 || paramInt > this.numberOfBindPositions || (accessor = this.outBindAccessors[paramInt - 1]) == null)
/*      */     {
/*      */       
/* 4372 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 4374 */     this.lastIndex = paramInt;
/*      */     
/* 4376 */     if (this.streamList != null) {
/* 4377 */       closeUsedStreams(paramInt);
/*      */     }
/*      */     
/* 4380 */     return accessor.getOraclePlsqlIndexTable(this.currentRank);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean execute() throws SQLException {
/* 4392 */     synchronized (this.connection) {
/* 4393 */       synchronized (this) {
/* 4394 */         ensureOpen();
/* 4395 */         if (this.atLeastOneNamedParameter && this.atLeastOneOrdinalParameter) {
/* 4396 */           DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */         }
/* 4398 */         if (this.sqlObject.setNamedParameters(this.parameterCount, this.namedParameters))
/* 4399 */           this.needToParse = true; 
/* 4400 */         return super.execute();
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int executeUpdate() throws SQLException {
/* 4414 */     synchronized (this.connection) {
/* 4415 */       synchronized (this) {
/* 4416 */         ensureOpen();
/* 4417 */         if (this.atLeastOneNamedParameter && this.atLeastOneOrdinalParameter) {
/* 4418 */           DatabaseError.throwSqlException(90, "Ordinal binding and Named binding cannot be combined!");
/*      */         }
/* 4420 */         if (this.sqlObject.setNamedParameters(this.parameterCount, this.namedParameters))
/* 4421 */           this.needToParse = true; 
/* 4422 */         return super.executeUpdate();
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void releaseBuffers() {
/* 4429 */     if (this.outBindAccessors != null) {
/*      */       
/* 4431 */       int i = this.outBindAccessors.length;
/*      */       
/* 4433 */       for (byte b = 0; b < i; b++) {
/*      */         
/* 4435 */         if (this.outBindAccessors[b] != null) {
/*      */           
/* 4437 */           (this.outBindAccessors[b]).rowSpaceByte = null;
/* 4438 */           (this.outBindAccessors[b]).rowSpaceChar = null;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 4443 */     super.releaseBuffers();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void doLocalInitialization() {
/* 4449 */     if (this.outBindAccessors != null) {
/*      */       
/* 4451 */       int i = this.outBindAccessors.length;
/*      */       
/* 4453 */       for (byte b = 0; b < i; b++) {
/*      */         
/* 4455 */         if (this.outBindAccessors[b] != null) {
/*      */           
/* 4457 */           (this.outBindAccessors[b]).rowSpaceByte = this.bindBytes;
/* 4458 */           (this.outBindAccessors[b]).rowSpaceChar = this.bindChars;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setNull(int paramInt1, int paramInt2) throws SQLException {
/* 4471 */     this.atLeastOneOrdinalParameter = true;
/* 4472 */     setNullInternal(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBoolean(int paramInt, boolean paramBoolean) throws SQLException {
/* 4479 */     this.atLeastOneOrdinalParameter = true;
/* 4480 */     setBooleanInternal(paramInt, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setByte(int paramInt, byte paramByte) throws SQLException {
/* 4487 */     this.atLeastOneOrdinalParameter = true;
/* 4488 */     setByteInternal(paramInt, paramByte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setShort(int paramInt, short paramShort) throws SQLException {
/* 4495 */     this.atLeastOneOrdinalParameter = true;
/* 4496 */     setShortInternal(paramInt, paramShort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setInt(int paramInt1, int paramInt2) throws SQLException {
/* 4503 */     this.atLeastOneOrdinalParameter = true;
/* 4504 */     setIntInternal(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setLong(int paramInt, long paramLong) throws SQLException {
/* 4511 */     this.atLeastOneOrdinalParameter = true;
/* 4512 */     setLongInternal(paramInt, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setFloat(int paramInt, float paramFloat) throws SQLException {
/* 4519 */     this.atLeastOneOrdinalParameter = true;
/* 4520 */     setFloatInternal(paramInt, paramFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBinaryFloat(int paramInt, float paramFloat) throws SQLException {
/* 4527 */     this.atLeastOneOrdinalParameter = true;
/* 4528 */     setBinaryFloatInternal(paramInt, paramFloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBinaryFloat(int paramInt, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException {
/* 4535 */     this.atLeastOneOrdinalParameter = true;
/* 4536 */     setBinaryFloatInternal(paramInt, paramBINARY_FLOAT);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBinaryDouble(int paramInt, double paramDouble) throws SQLException {
/* 4543 */     this.atLeastOneOrdinalParameter = true;
/* 4544 */     setBinaryDoubleInternal(paramInt, paramDouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBinaryDouble(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException {
/* 4551 */     this.atLeastOneOrdinalParameter = true;
/* 4552 */     setBinaryDoubleInternal(paramInt, paramBINARY_DOUBLE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDouble(int paramInt, double paramDouble) throws SQLException {
/* 4559 */     this.atLeastOneOrdinalParameter = true;
/* 4560 */     setDoubleInternal(paramInt, paramDouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBigDecimal(int paramInt, BigDecimal paramBigDecimal) throws SQLException {
/* 4567 */     this.atLeastOneOrdinalParameter = true;
/* 4568 */     setBigDecimalInternal(paramInt, paramBigDecimal);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setString(int paramInt, String paramString) throws SQLException {
/* 4575 */     this.atLeastOneOrdinalParameter = true;
/* 4576 */     setStringInternal(paramInt, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setFixedCHAR(int paramInt, String paramString) throws SQLException {
/* 4583 */     this.atLeastOneOrdinalParameter = true;
/* 4584 */     setFixedCHARInternal(paramInt, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setCursor(int paramInt, ResultSet paramResultSet) throws SQLException {
/* 4591 */     this.atLeastOneOrdinalParameter = true;
/* 4592 */     setCursorInternal(paramInt, paramResultSet);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setROWID(int paramInt, ROWID paramROWID) throws SQLException {
/* 4599 */     this.atLeastOneOrdinalParameter = true;
/* 4600 */     setROWIDInternal(paramInt, paramROWID);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setRAW(int paramInt, RAW paramRAW) throws SQLException {
/* 4607 */     this.atLeastOneOrdinalParameter = true;
/* 4608 */     setRAWInternal(paramInt, paramRAW);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setCHAR(int paramInt, CHAR paramCHAR) throws SQLException {
/* 4615 */     this.atLeastOneOrdinalParameter = true;
/* 4616 */     setCHARInternal(paramInt, paramCHAR);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDATE(int paramInt, DATE paramDATE) throws SQLException {
/* 4623 */     this.atLeastOneOrdinalParameter = true;
/* 4624 */     setDATEInternal(paramInt, paramDATE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setNUMBER(int paramInt, NUMBER paramNUMBER) throws SQLException {
/* 4631 */     this.atLeastOneOrdinalParameter = true;
/* 4632 */     setNUMBERInternal(paramInt, paramNUMBER);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBLOB(int paramInt, BLOB paramBLOB) throws SQLException {
/* 4639 */     this.atLeastOneOrdinalParameter = true;
/* 4640 */     setBLOBInternal(paramInt, paramBLOB);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBlob(int paramInt, Blob paramBlob) throws SQLException {
/* 4647 */     this.atLeastOneOrdinalParameter = true;
/* 4648 */     setBlobInternal(paramInt, paramBlob);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setCLOB(int paramInt, CLOB paramCLOB) throws SQLException {
/* 4655 */     this.atLeastOneOrdinalParameter = true;
/* 4656 */     setCLOBInternal(paramInt, paramCLOB);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setClob(int paramInt, Clob paramClob) throws SQLException {
/* 4663 */     this.atLeastOneOrdinalParameter = true;
/* 4664 */     setClobInternal(paramInt, paramClob);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBFILE(int paramInt, BFILE paramBFILE) throws SQLException {
/* 4671 */     this.atLeastOneOrdinalParameter = true;
/* 4672 */     setBFILEInternal(paramInt, paramBFILE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBfile(int paramInt, BFILE paramBFILE) throws SQLException {
/* 4679 */     this.atLeastOneOrdinalParameter = true;
/* 4680 */     setBfileInternal(paramInt, paramBFILE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBytes(int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 4687 */     this.atLeastOneOrdinalParameter = true;
/* 4688 */     setBytesInternal(paramInt, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setInternalBytes(int paramInt1, byte[] paramArrayOfbyte, int paramInt2) throws SQLException {
/* 4695 */     this.atLeastOneOrdinalParameter = true;
/* 4696 */     setInternalBytesInternal(paramInt1, paramArrayOfbyte, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDate(int paramInt, Date paramDate) throws SQLException {
/* 4703 */     this.atLeastOneOrdinalParameter = true;
/* 4704 */     setDateInternal(paramInt, paramDate);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTime(int paramInt, Time paramTime) throws SQLException {
/* 4711 */     this.atLeastOneOrdinalParameter = true;
/* 4712 */     setTimeInternal(paramInt, paramTime);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp) throws SQLException {
/* 4719 */     this.atLeastOneOrdinalParameter = true;
/* 4720 */     setTimestampInternal(paramInt, paramTimestamp);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException {
/* 4727 */     this.atLeastOneOrdinalParameter = true;
/* 4728 */     setINTERVALYMInternal(paramInt, paramINTERVALYM);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException {
/* 4735 */     this.atLeastOneOrdinalParameter = true;
/* 4736 */     setINTERVALDSInternal(paramInt, paramINTERVALDS);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException {
/* 4743 */     this.atLeastOneOrdinalParameter = true;
/* 4744 */     setTIMESTAMPInternal(paramInt, paramTIMESTAMP);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException {
/* 4751 */     this.atLeastOneOrdinalParameter = true;
/* 4752 */     setTIMESTAMPTZInternal(paramInt, paramTIMESTAMPTZ);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException {
/* 4759 */     this.atLeastOneOrdinalParameter = true;
/* 4760 */     setTIMESTAMPLTZInternal(paramInt, paramTIMESTAMPLTZ);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException {
/* 4767 */     this.atLeastOneOrdinalParameter = true;
/* 4768 */     setAsciiStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException {
/* 4775 */     this.atLeastOneOrdinalParameter = true;
/* 4776 */     setBinaryStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setUnicodeStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException {
/* 4783 */     this.atLeastOneOrdinalParameter = true;
/* 4784 */     setUnicodeStreamInternal(paramInt1, paramInputStream, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setCharacterStream(int paramInt1, Reader paramReader, int paramInt2) throws SQLException {
/* 4791 */     this.atLeastOneOrdinalParameter = true;
/* 4792 */     setCharacterStreamInternal(paramInt1, paramReader, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setDate(int paramInt, Date paramDate, Calendar paramCalendar) throws SQLException {
/* 4799 */     this.atLeastOneOrdinalParameter = true;
/* 4800 */     setDateInternal(paramInt, paramDate, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTime(int paramInt, Time paramTime, Calendar paramCalendar) throws SQLException {
/* 4807 */     this.atLeastOneOrdinalParameter = true;
/* 4808 */     setTimeInternal(paramInt, paramTime, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar) throws SQLException {
/* 4815 */     this.atLeastOneOrdinalParameter = true;
/* 4816 */     setTimestampInternal(paramInt, paramTimestamp, paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setURL(int paramInt, URL paramURL) throws SQLException {
/* 4823 */     this.atLeastOneOrdinalParameter = true;
/* 4824 */     setURLInternal(paramInt, paramURL);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setNull(int paramInt1, int paramInt2, String paramString) throws SQLException {
/* 4832 */     this.atLeastOneOrdinalParameter = true;
/* 4833 */     setNullInternal(paramInt1, paramInt2, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setArray(int paramInt, Array paramArray) throws SQLException {
/* 4840 */     this.atLeastOneOrdinalParameter = true;
/* 4841 */     setArrayInternal(paramInt, paramArray);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setARRAY(int paramInt, ARRAY paramARRAY) throws SQLException {
/* 4848 */     this.atLeastOneOrdinalParameter = true;
/* 4849 */     setARRAYInternal(paramInt, paramARRAY);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setOPAQUE(int paramInt, OPAQUE paramOPAQUE) throws SQLException {
/* 4856 */     this.atLeastOneOrdinalParameter = true;
/* 4857 */     setOPAQUEInternal(paramInt, paramOPAQUE);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setStructDescriptor(int paramInt, StructDescriptor paramStructDescriptor) throws SQLException {
/* 4864 */     this.atLeastOneOrdinalParameter = true;
/* 4865 */     setStructDescriptorInternal(paramInt, paramStructDescriptor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSTRUCT(int paramInt, STRUCT paramSTRUCT) throws SQLException {
/* 4872 */     this.atLeastOneOrdinalParameter = true;
/* 4873 */     setSTRUCTInternal(paramInt, paramSTRUCT);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCustomDatum(int paramInt, CustomDatum paramCustomDatum) throws SQLException {
/* 4880 */     this.atLeastOneOrdinalParameter = true;
/* 4881 */     setCustomDatumInternal(paramInt, paramCustomDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setORAData(int paramInt, ORAData paramORAData) throws SQLException {
/* 4888 */     this.atLeastOneOrdinalParameter = true;
/* 4889 */     setORADataInternal(paramInt, paramORAData);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(int paramInt1, Object paramObject, int paramInt2, int paramInt3) throws SQLException {
/* 4896 */     this.atLeastOneOrdinalParameter = true;
/* 4897 */     setObjectInternal(paramInt1, paramObject, paramInt2, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(int paramInt1, Object paramObject, int paramInt2) throws SQLException {
/* 4904 */     this.atLeastOneOrdinalParameter = true;
/* 4905 */     setObjectInternal(paramInt1, paramObject, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRefType(int paramInt, REF paramREF) throws SQLException {
/* 4912 */     this.atLeastOneOrdinalParameter = true;
/* 4913 */     setRefTypeInternal(paramInt, paramREF);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRef(int paramInt, Ref paramRef) throws SQLException {
/* 4920 */     this.atLeastOneOrdinalParameter = true;
/* 4921 */     setRefInternal(paramInt, paramRef);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setREF(int paramInt, REF paramREF) throws SQLException {
/* 4928 */     this.atLeastOneOrdinalParameter = true;
/* 4929 */     setREFInternal(paramInt, paramREF);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObject(int paramInt, Object paramObject) throws SQLException {
/* 4936 */     this.atLeastOneOrdinalParameter = true;
/* 4937 */     setObjectInternal(paramInt, paramObject);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setOracleObject(int paramInt, Datum paramDatum) throws SQLException {
/* 4944 */     this.atLeastOneOrdinalParameter = true;
/* 4945 */     setOracleObjectInternal(paramInt, paramDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void setPlsqlIndexTable(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5) throws SQLException {
/* 4957 */     this.atLeastOneOrdinalParameter = true;
/* 4958 */     setPlsqlIndexTableInternal(paramInt1, paramObject, paramInt2, paramInt3, paramInt4, paramInt5);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int addNamedPara(String paramString) throws SQLException {
/* 4972 */     String str = paramString.toUpperCase().intern();
/*      */     
/* 4974 */     for (byte b = 0; b < this.parameterCount; b++) {
/*      */       
/* 4976 */       if (str == this.namedParameters[b]) {
/* 4977 */         return b + 1;
/*      */       }
/*      */     } 
/* 4980 */     if (this.parameterCount >= this.namedParameters.length) {
/*      */       
/* 4982 */       String[] arrayOfString = new String[this.namedParameters.length * 2];
/* 4983 */       System.arraycopy(this.namedParameters, 0, arrayOfString, 0, this.namedParameters.length);
/* 4984 */       this.namedParameters = arrayOfString;
/*      */     } 
/*      */     
/* 4987 */     this.namedParameters[this.parameterCount++] = str;
/*      */     
/* 4989 */     this.atLeastOneNamedParameter = true;
/* 4990 */     return this.parameterCount;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 4995 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:36_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */