/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleConversionInputStream
/*     */   extends OracleBufferedStream
/*     */ {
/*     */   static final int CHUNK_SIZE = 4096;
/*     */   DBConversion converter;
/*     */   int conversion;
/*     */   InputStream istream;
/*     */   Reader reader;
/*     */   byte[] convbuf;
/*     */   char[] javaChars;
/*     */   int maxSize;
/*     */   int totalSize;
/*     */   int numUnconvertedBytes;
/*     */   boolean endOfStream;
/*     */   private short csform;
/*     */   int[] nbytes;
/*     */   
/*     */   public OracleConversionInputStream(DBConversion paramDBConversion, InputStream paramInputStream, int paramInt) {
/*  52 */     this(paramDBConversion, paramInputStream, paramInt, (short)1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConversionInputStream(DBConversion paramDBConversion, InputStream paramInputStream, int paramInt, short paramShort) {
/*  60 */     super(4096);
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/*  65 */     this.istream = paramInputStream;
/*  66 */     this.conversion = paramInt;
/*  67 */     this.converter = paramDBConversion;
/*  68 */     this.maxSize = 0;
/*  69 */     this.totalSize = 0;
/*  70 */     this.numUnconvertedBytes = 0;
/*  71 */     this.endOfStream = false;
/*  72 */     this.nbytes = new int[1];
/*  73 */     this.csform = paramShort;
/*     */     
/*  75 */     switch (paramInt) {
/*     */ 
/*     */ 
/*     */       
/*     */       case 0:
/*  80 */         this.javaChars = new char[4096];
/*  81 */         this.convbuf = new byte[4096];
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 1:
/*  88 */         this.convbuf = new byte[2048];
/*  89 */         this.javaChars = new char[2048];
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 2:
/*  96 */         this.convbuf = new byte[2048];
/*  97 */         this.javaChars = new char[4096];
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 3:
/* 104 */         this.convbuf = new byte[1024];
/* 105 */         this.javaChars = new char[2048];
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 4:
/* 112 */         i = 4096 / this.converter.getMaxCharbyteSize();
/*     */         
/* 114 */         this.convbuf = new byte[i * 2];
/* 115 */         this.javaChars = new char[i];
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 5:
/* 122 */         if (this.converter.isUcs2CharSet()) {
/*     */           
/* 124 */           this.convbuf = new byte[2048];
/* 125 */           this.javaChars = new char[2048];
/*     */         }
/*     */         else {
/*     */           
/* 129 */           this.convbuf = new byte[4096];
/* 130 */           this.javaChars = new char[4096];
/*     */         } 
/*     */         return;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 7:
/* 138 */         i = 4096 / ((paramShort == 2) ? this.converter.getMaxNCharbyteSize() : this.converter.getMaxCharbyteSize());
/*     */         
/* 140 */         this.javaChars = new char[i];
/*     */         return;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 147 */     this.convbuf = new byte[4096];
/* 148 */     this.javaChars = new char[4096];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConversionInputStream(DBConversion paramDBConversion, InputStream paramInputStream, int paramInt1, int paramInt2) {
/* 161 */     this(paramDBConversion, paramInputStream, paramInt1, (short)1);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 166 */     this.maxSize = paramInt2;
/* 167 */     this.totalSize = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConversionInputStream(DBConversion paramDBConversion, Reader paramReader, int paramInt1, int paramInt2, short paramShort) {
/* 178 */     this(paramDBConversion, (InputStream)null, paramInt1, paramShort);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 183 */     this.reader = paramReader;
/* 184 */     this.maxSize = paramInt2;
/* 185 */     this.totalSize = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFormOfUse(short paramShort) {
/* 197 */     this.csform = paramShort;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean needBytes() throws IOException {
/* 210 */     if (this.closed) {
/* 211 */       return false;
/*     */     }
/*     */ 
/*     */     
/* 215 */     if (this.pos < this.count) {
/* 216 */       return true;
/*     */     }
/* 218 */     if (this.istream != null)
/*     */     {
/* 220 */       return needBytesFromStream();
/*     */     }
/* 222 */     if (this.reader != null)
/*     */     {
/* 224 */       return needBytesFromReader();
/*     */     }
/*     */     
/* 227 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean needBytesFromReader() throws IOException {
/*     */     
/* 238 */     try { int i = 0;
/*     */       
/* 240 */       if (this.maxSize == 0) {
/*     */         
/* 242 */         i = this.javaChars.length;
/*     */       }
/*     */       else {
/*     */         
/* 246 */         i = Math.min(this.maxSize - this.totalSize, this.javaChars.length);
/*     */       } 
/*     */       
/* 249 */       if (i <= 0) {
/*     */         
/* 251 */         this.reader.close();
/* 252 */         close();
/*     */         
/* 254 */         return false;
/*     */       } 
/*     */       
/* 257 */       int j = this.reader.read(this.javaChars, 0, i);
/*     */       
/* 259 */       if (j == -1) {
/*     */         
/* 261 */         this.reader.close();
/* 262 */         close();
/*     */         
/* 264 */         return false;
/*     */       } 
/*     */ 
/*     */       
/* 268 */       this.totalSize += j;
/*     */ 
/*     */ 
/*     */       
/* 272 */       switch (this.conversion)
/*     */       
/*     */       { 
/*     */         
/*     */         case 7:
/* 277 */           if (this.csform == 2) {
/* 278 */             this.count = this.converter.javaCharsToNCHARBytes(this.javaChars, j, this.buf);
/*     */           } else {
/* 280 */             this.count = this.converter.javaCharsToCHARBytes(this.javaChars, j, this.buf);
/*     */           } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 299 */           this.pos = 0;
/*     */ 
/*     */           
/* 302 */           return true; }  System.arraycopy(this.convbuf, 0, this.buf, 0, j); this.count = j; } catch (SQLException sQLException) { DatabaseError.SQLToIOException(sQLException); }  this.pos = 0; return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean needBytesFromStream() throws IOException {
/* 311 */     if (!this.endOfStream) {
/*     */       
/*     */       try { int k;
/*     */         byte b;
/* 315 */         int i = 0;
/*     */         
/* 317 */         if (this.maxSize == 0) {
/*     */           
/* 319 */           i = this.convbuf.length;
/*     */         }
/*     */         else {
/*     */           
/* 323 */           i = Math.min(this.maxSize - this.totalSize, this.convbuf.length);
/*     */         } 
/*     */         
/* 326 */         int j = 0;
/*     */         
/* 328 */         if (i <= 0) {
/*     */ 
/*     */ 
/*     */           
/* 332 */           this.endOfStream = true;
/*     */           
/* 334 */           this.istream.close();
/*     */           
/* 336 */           if (this.numUnconvertedBytes != 0) {
/* 337 */             DatabaseError.throwSqlException(55);
/*     */           
/*     */           }
/*     */         }
/*     */         else {
/*     */           
/* 343 */           j = this.istream.read(this.convbuf, this.numUnconvertedBytes, i - this.numUnconvertedBytes);
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 350 */         if (j == -1) {
/*     */ 
/*     */ 
/*     */           
/* 354 */           this.endOfStream = true;
/*     */           
/* 356 */           this.istream.close();
/*     */           
/* 358 */           if (this.numUnconvertedBytes != 0) {
/* 359 */             DatabaseError.throwSqlException(55);
/*     */           }
/*     */         } else {
/*     */           
/* 363 */           j += this.numUnconvertedBytes;
/* 364 */           this.totalSize += j;
/*     */         } 
/*     */         
/* 367 */         if (j <= 0)
/*     */         {
/* 369 */           return false;
/*     */         }
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 375 */         switch (this.conversion)
/*     */         
/*     */         { 
/*     */ 
/*     */ 
/*     */           
/*     */           case 0:
/* 382 */             this.nbytes[0] = j;
/*     */             
/* 384 */             k = this.converter.CHARBytesToJavaChars(this.convbuf, 0, this.javaChars, 0, this.nbytes, this.javaChars.length);
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 389 */             this.numUnconvertedBytes = this.nbytes[0];
/*     */             
/* 391 */             for (b = 0; b < this.numUnconvertedBytes; b++) {
/* 392 */               this.convbuf[b] = this.convbuf[j - this.numUnconvertedBytes];
/*     */             }
/*     */             
/* 395 */             this.count = DBConversion.javaCharsToAsciiBytes(this.javaChars, k, this.buf);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 488 */             this.pos = 0;
/*     */ 
/*     */             
/* 491 */             return true;case 1: this.nbytes[0] = j; k = this.converter.CHARBytesToJavaChars(this.convbuf, 0, this.javaChars, 0, this.nbytes, this.javaChars.length); this.numUnconvertedBytes = this.nbytes[0]; for (b = 0; b < this.numUnconvertedBytes; b++) this.convbuf[b] = this.convbuf[j - this.numUnconvertedBytes];  this.count = DBConversion.javaCharsToUcs2Bytes(this.javaChars, k, this.buf); this.pos = 0; return true;case 2: k = DBConversion.RAWBytesToHexChars(this.convbuf, j, this.javaChars); this.count = DBConversion.javaCharsToAsciiBytes(this.javaChars, k, this.buf); this.pos = 0; return true;case 3: k = DBConversion.RAWBytesToHexChars(this.convbuf, j, this.javaChars); this.count = DBConversion.javaCharsToUcs2Bytes(this.javaChars, k, this.buf); this.pos = 0; return true;case 4: k = DBConversion.ucs2BytesToJavaChars(this.convbuf, j, this.javaChars); this.count = this.converter.javaCharsToCHARBytes(this.javaChars, k, this.buf); this.pos = 0; return true;case 5: DBConversion.asciiBytesToJavaChars(this.convbuf, j, this.javaChars); this.count = this.converter.javaCharsToCHARBytes(this.javaChars, j, this.buf); this.pos = 0; return true; }  System.arraycopy(this.convbuf, 0, this.buf, 0, j); this.count = j; } catch (SQLException sQLException) { DatabaseError.SQLToIOException(sQLException); }  this.pos = 0; return true;
/*     */     } 
/*     */     
/* 494 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 499 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:36_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleConversionInputStream.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */