/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleInputStream
/*     */   extends OracleBufferedStream
/*     */ {
/*     */   int columnIndex;
/*     */   Accessor accessor;
/*     */   OracleInputStream nextStream;
/*     */   boolean hasBeenOpen = false;
/*     */   
/*     */   protected OracleInputStream(OracleStatement paramOracleStatement, int paramInt, Accessor paramAccessor) {
/*  42 */     super(paramOracleStatement, paramOracleStatement.connection.getDefaultStreamChunkSize());
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  47 */     this.closed = true;
/*  48 */     this.statement = paramOracleStatement;
/*  49 */     this.columnIndex = paramInt;
/*  50 */     this.accessor = paramAccessor;
/*  51 */     this.nextStream = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  61 */     OracleInputStream oracleInputStream = this.statement.streamList;
/*     */     
/*  63 */     if (oracleInputStream == null || this.columnIndex < oracleInputStream.columnIndex) {
/*     */ 
/*     */ 
/*     */       
/*  67 */       this.nextStream = this.statement.streamList;
/*  68 */       this.statement.streamList = this;
/*     */ 
/*     */ 
/*     */     
/*     */     }
/*  73 */     else if (this.columnIndex == oracleInputStream.columnIndex) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  78 */       this.nextStream = oracleInputStream.nextStream;
/*     */ 
/*     */ 
/*     */       
/*  82 */       oracleInputStream.nextStream = null;
/*  83 */       this.statement.streamList = this;
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */ 
/*     */       
/*  91 */       while (oracleInputStream.nextStream != null && this.columnIndex > oracleInputStream.nextStream.columnIndex)
/*     */       {
/*  93 */         oracleInputStream = oracleInputStream.nextStream;
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  99 */       if (oracleInputStream.nextStream != null && this.columnIndex == oracleInputStream.nextStream.columnIndex) {
/*     */ 
/*     */ 
/*     */         
/* 103 */         this.nextStream = oracleInputStream.nextStream.nextStream;
/*     */ 
/*     */ 
/*     */         
/* 107 */         oracleInputStream.nextStream.nextStream = null;
/* 108 */         oracleInputStream.nextStream = this;
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 114 */         this.nextStream = oracleInputStream.nextStream;
/*     */ 
/*     */ 
/*     */         
/* 118 */         oracleInputStream.nextStream = this;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 128 */     return "OIS@" + Integer.toHexString(hashCode()) + "{" + "statement = " + this.statement + ", accessor = " + this.accessor + ", nextStream = " + this.nextStream + ", columnIndex = " + this.columnIndex + ", hasBeenOpen = " + this.hasBeenOpen + "}";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean needBytes() throws IOException {
/* 140 */     if (this.closed) {
/* 141 */       return false;
/*     */     }
/* 143 */     if (this.pos >= this.count) {
/*     */       
/*     */       try {
/*     */         
/* 147 */         int i = getBytes();
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 152 */         this.pos = 0;
/* 153 */         this.count = i;
/*     */         
/* 155 */         if (this.count == -1)
/*     */         {
/*     */ 
/*     */           
/* 159 */           if (this.nextStream == null) {
/* 160 */             this.statement.connection.releaseLine();
/*     */           }
/* 162 */           this.closed = true;
/*     */           
/* 164 */           this.accessor.fetchNextColumns();
/*     */           
/* 166 */           return false;
/*     */         }
/*     */       
/* 169 */       } catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 191 */         DatabaseError.SQLToIOException(sQLException);
/*     */       } 
/*     */     }
/*     */     
/* 195 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isNull() throws IOException {
/* 200 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     try {
/* 204 */       bool = this.accessor.isNull(0);
/*     */     }
/* 206 */     catch (SQLException sQLException) {
/*     */       
/* 208 */       DatabaseError.SQLToIOException(sQLException);
/*     */     } 
/*     */     
/* 211 */     return bool;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isClosed() {
/* 216 */     return this.closed;
/*     */   }
/*     */ 
/*     */   
/*     */   public void close() throws IOException {
/* 221 */     synchronized (this.statement.connection) {
/*     */       
/* 223 */       synchronized (this) {
/*     */         
/* 225 */         if (!this.closed && this.hasBeenOpen) {
/*     */ 
/*     */ 
/*     */           
/* 229 */           while (this.statement.nextStream != this) {
/*     */             
/* 231 */             this.statement.nextStream.close();
/*     */             
/* 233 */             this.statement.nextStream = this.statement.nextStream.nextStream;
/*     */           } 
/*     */           
/* 236 */           if (!isNull())
/*     */           {
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 242 */             while (needBytes())
/*     */             {
/*     */ 
/*     */               
/* 246 */               this.pos = this.count;
/*     */             }
/*     */           }
/*     */           
/* 250 */           this.closed = true;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 264 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:36_PST_2008";
/*     */   
/*     */   public abstract int getBytes() throws IOException;
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleInputStream.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */