/*       */ package oracle.jdbc.driver;
/*       */ 
/*       */ import java.io.ByteArrayInputStream;
/*       */ import java.io.IOException;
/*       */ import java.io.InputStream;
/*       */ import java.io.Reader;
/*       */ import java.io.StringReader;
/*       */ import java.math.BigDecimal;
/*       */ import java.net.URL;
/*       */ import java.sql.Array;
/*       */ import java.sql.Blob;
/*       */ import java.sql.Clob;
/*       */ import java.sql.Connection;
/*       */ import java.sql.Date;
/*       */ import java.sql.ParameterMetaData;
/*       */ import java.sql.Ref;
/*       */ import java.sql.ResultSet;
/*       */ import java.sql.ResultSetMetaData;
/*       */ import java.sql.SQLException;
/*       */ import java.sql.Statement;
/*       */ import java.sql.Time;
/*       */ import java.sql.Timestamp;
/*       */ import java.util.Calendar;
/*       */ import java.util.Properties;
/*       */ import oracle.jdbc.OracleConnection;
/*       */ import oracle.jdbc.OracleParameterMetaData;
/*       */ import oracle.jdbc.internal.OraclePreparedStatement;
/*       */ import oracle.jdbc.oracore.OracleTypeADT;
/*       */ import oracle.jdbc.oracore.OracleTypeCOLLECTION;
/*       */ import oracle.jdbc.oracore.OracleTypeNUMBER;
/*       */ import oracle.sql.ARRAY;
/*       */ import oracle.sql.ArrayDescriptor;
/*       */ import oracle.sql.BFILE;
/*       */ import oracle.sql.BINARY_DOUBLE;
/*       */ import oracle.sql.BINARY_FLOAT;
/*       */ import oracle.sql.BLOB;
/*       */ import oracle.sql.CHAR;
/*       */ import oracle.sql.CLOB;
/*       */ import oracle.sql.CharacterSet;
/*       */ import oracle.sql.CustomDatum;
/*       */ import oracle.sql.DATE;
/*       */ import oracle.sql.Datum;
/*       */ import oracle.sql.INTERVALDS;
/*       */ import oracle.sql.INTERVALYM;
/*       */ import oracle.sql.NUMBER;
/*       */ import oracle.sql.OPAQUE;
/*       */ import oracle.sql.ORAData;
/*       */ import oracle.sql.OpaqueDescriptor;
/*       */ import oracle.sql.RAW;
/*       */ import oracle.sql.REF;
/*       */ import oracle.sql.ROWID;
/*       */ import oracle.sql.STRUCT;
/*       */ import oracle.sql.StructDescriptor;
/*       */ import oracle.sql.TIMESTAMP;
/*       */ import oracle.sql.TIMESTAMPLTZ;
/*       */ import oracle.sql.TIMESTAMPTZ;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ public abstract class OraclePreparedStatement
/*       */   extends OracleStatement
/*       */   implements OraclePreparedStatement, ScrollRsetStatement
/*       */ {
/*       */   int numberOfBindRowsAllocated;
/*    92 */   static Binder theStaticVarnumCopyingBinder = OraclePreparedStatementReadOnly.theStaticVarnumCopyingBinder;
/*       */   
/*    94 */   static Binder theStaticVarnumNullBinder = OraclePreparedStatementReadOnly.theStaticVarnumNullBinder;
/*       */   
/*    96 */   Binder theVarnumNullBinder = theStaticVarnumNullBinder;
/*       */   
/*    98 */   static Binder theStaticBooleanBinder = OraclePreparedStatementReadOnly.theStaticBooleanBinder;
/*       */   
/*   100 */   Binder theBooleanBinder = theStaticBooleanBinder;
/*       */   
/*   102 */   static Binder theStaticByteBinder = OraclePreparedStatementReadOnly.theStaticByteBinder;
/*       */   
/*   104 */   Binder theByteBinder = theStaticByteBinder;
/*       */   
/*   106 */   static Binder theStaticShortBinder = OraclePreparedStatementReadOnly.theStaticShortBinder;
/*       */   
/*   108 */   Binder theShortBinder = theStaticShortBinder;
/*       */   
/*   110 */   static Binder theStaticIntBinder = OraclePreparedStatementReadOnly.theStaticIntBinder;
/*       */   
/*   112 */   Binder theIntBinder = theStaticIntBinder;
/*       */   
/*   114 */   static Binder theStaticLongBinder = OraclePreparedStatementReadOnly.theStaticLongBinder;
/*       */   
/*   116 */   Binder theLongBinder = theStaticLongBinder;
/*       */   
/*   118 */   static Binder theStaticFloatBinder = OraclePreparedStatementReadOnly.theStaticFloatBinder;
/*       */   
/*   120 */   Binder theFloatBinder = null;
/*       */   
/*   122 */   static Binder theStaticDoubleBinder = OraclePreparedStatementReadOnly.theStaticDoubleBinder;
/*       */   
/*   124 */   Binder theDoubleBinder = null;
/*       */   
/*   126 */   static Binder theStaticBigDecimalBinder = OraclePreparedStatementReadOnly.theStaticBigDecimalBinder;
/*       */   
/*   128 */   Binder theBigDecimalBinder = theStaticBigDecimalBinder;
/*       */   
/*   130 */   static Binder theStaticVarcharCopyingBinder = OraclePreparedStatementReadOnly.theStaticVarcharCopyingBinder;
/*       */   
/*   132 */   static Binder theStaticVarcharNullBinder = OraclePreparedStatementReadOnly.theStaticVarcharNullBinder;
/*       */   
/*   134 */   Binder theVarcharNullBinder = theStaticVarcharNullBinder;
/*       */   
/*   136 */   static Binder theStaticStringBinder = OraclePreparedStatementReadOnly.theStaticStringBinder;
/*       */   
/*   138 */   Binder theStringBinder = theStaticStringBinder;
/*       */   
/*   140 */   static Binder theStaticSetCHARCopyingBinder = OraclePreparedStatementReadOnly.theStaticSetCHARCopyingBinder;
/*       */   
/*   142 */   static Binder theStaticSetCHARBinder = OraclePreparedStatementReadOnly.theStaticSetCHARBinder;
/*       */   
/*   144 */   static Binder theStaticLittleEndianSetCHARBinder = OraclePreparedStatementReadOnly.theStaticLittleEndianSetCHARBinder;
/*       */   
/*   146 */   static Binder theStaticSetCHARNullBinder = OraclePreparedStatementReadOnly.theStaticSetCHARNullBinder;
/*       */   
/*       */   Binder theSetCHARBinder;
/*   149 */   Binder theSetCHARNullBinder = theStaticSetCHARNullBinder;
/*       */   
/*   151 */   static Binder theStaticFixedCHARCopyingBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARCopyingBinder;
/*       */   
/*   153 */   static Binder theStaticFixedCHARBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARBinder;
/*       */   
/*   155 */   static Binder theStaticFixedCHARNullBinder = OraclePreparedStatementReadOnly.theStaticFixedCHARNullBinder;
/*       */   
/*   157 */   Binder theFixedCHARBinder = theStaticFixedCHARBinder;
/*   158 */   Binder theFixedCHARNullBinder = theStaticFixedCHARNullBinder;
/*       */   
/*   160 */   static Binder theStaticDateCopyingBinder = OraclePreparedStatementReadOnly.theStaticDateCopyingBinder;
/*       */   
/*   162 */   static Binder theStaticDateBinder = OraclePreparedStatementReadOnly.theStaticDateBinder;
/*       */   
/*   164 */   static Binder theStaticDateNullBinder = OraclePreparedStatementReadOnly.theStaticDateNullBinder;
/*       */   
/*   166 */   Binder theDateBinder = theStaticDateBinder;
/*   167 */   Binder theDateNullBinder = theStaticDateNullBinder;
/*       */   
/*   169 */   static Binder theStaticTimeCopyingBinder = OraclePreparedStatementReadOnly.theStaticTimeCopyingBinder;
/*       */   
/*   171 */   static Binder theStaticTimeBinder = OraclePreparedStatementReadOnly.theStaticTimeBinder;
/*       */   
/*   173 */   Binder theTimeBinder = theStaticTimeBinder;
/*       */   
/*   175 */   static Binder theStaticTimestampCopyingBinder = OraclePreparedStatementReadOnly.theStaticTimestampCopyingBinder;
/*       */   
/*   177 */   static Binder theStaticTimestampBinder = OraclePreparedStatementReadOnly.theStaticTimestampBinder;
/*       */   
/*   179 */   static Binder theStaticTimestampNullBinder = OraclePreparedStatementReadOnly.theStaticTimestampNullBinder;
/*       */   
/*   181 */   Binder theTimestampBinder = theStaticTimestampBinder;
/*   182 */   Binder theTimestampNullBinder = theStaticTimestampNullBinder;
/*       */   
/*   184 */   static Binder theStaticOracleNumberBinder = OraclePreparedStatementReadOnly.theStaticOracleNumberBinder;
/*       */   
/*   186 */   Binder theOracleNumberBinder = theStaticOracleNumberBinder;
/*       */   
/*   188 */   static Binder theStaticOracleDateBinder = OraclePreparedStatementReadOnly.theStaticOracleDateBinder;
/*       */   
/*   190 */   Binder theOracleDateBinder = theStaticOracleDateBinder;
/*       */   
/*   192 */   static Binder theStaticOracleTimestampBinder = OraclePreparedStatementReadOnly.theStaticOracleTimestampBinder;
/*       */   
/*   194 */   Binder theOracleTimestampBinder = theStaticOracleTimestampBinder;
/*       */   
/*   196 */   static Binder theStaticTSTZCopyingBinder = OraclePreparedStatementReadOnly.theStaticTSTZCopyingBinder;
/*       */   
/*   198 */   static Binder theStaticTSTZBinder = OraclePreparedStatementReadOnly.theStaticTSTZBinder;
/*       */   
/*   200 */   static Binder theStaticTSTZNullBinder = OraclePreparedStatementReadOnly.theStaticTSTZNullBinder;
/*       */   
/*   202 */   Binder theTSTZBinder = theStaticTSTZBinder;
/*   203 */   Binder theTSTZNullBinder = theStaticTSTZNullBinder;
/*       */   
/*   205 */   static Binder theStaticTSLTZCopyingBinder = OraclePreparedStatementReadOnly.theStaticTSLTZCopyingBinder;
/*       */   
/*   207 */   static Binder theStaticTSLTZBinder = OraclePreparedStatementReadOnly.theStaticTSLTZBinder;
/*       */   
/*   209 */   static Binder theStaticTSLTZNullBinder = OraclePreparedStatementReadOnly.theStaticTSLTZNullBinder;
/*       */   
/*   211 */   Binder theTSLTZBinder = theStaticTSLTZBinder;
/*   212 */   Binder theTSLTZNullBinder = theStaticTSLTZNullBinder;
/*       */   
/*   214 */   static Binder theStaticRowidCopyingBinder = OraclePreparedStatementReadOnly.theStaticRowidCopyingBinder;
/*       */   
/*   216 */   static Binder theStaticRowidBinder = OraclePreparedStatementReadOnly.theStaticRowidBinder;
/*       */   
/*   218 */   static Binder theStaticLittleEndianRowidBinder = OraclePreparedStatementReadOnly.theStaticLittleEndianRowidBinder;
/*       */   
/*   220 */   static Binder theStaticRowidNullBinder = OraclePreparedStatementReadOnly.theStaticRowidNullBinder;
/*       */   
/*       */   Binder theRowidBinder;
/*   223 */   Binder theRowidNullBinder = theStaticRowidNullBinder;
/*       */   
/*   225 */   static Binder theStaticIntervalDSCopyingBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSCopyingBinder;
/*       */   
/*   227 */   static Binder theStaticIntervalDSBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSBinder;
/*       */   
/*   229 */   static Binder theStaticIntervalDSNullBinder = OraclePreparedStatementReadOnly.theStaticIntervalDSNullBinder;
/*       */   
/*   231 */   Binder theIntervalDSBinder = theStaticIntervalDSBinder;
/*   232 */   Binder theIntervalDSNullBinder = theStaticIntervalDSNullBinder;
/*       */   
/*   234 */   static Binder theStaticIntervalYMCopyingBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMCopyingBinder;
/*       */   
/*   236 */   static Binder theStaticIntervalYMBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMBinder;
/*       */   
/*   238 */   static Binder theStaticIntervalYMNullBinder = OraclePreparedStatementReadOnly.theStaticIntervalYMNullBinder;
/*       */   
/*   240 */   Binder theIntervalYMBinder = theStaticIntervalYMBinder;
/*   241 */   Binder theIntervalYMNullBinder = theStaticIntervalYMNullBinder;
/*       */   
/*   243 */   static Binder theStaticBfileCopyingBinder = OraclePreparedStatementReadOnly.theStaticBfileCopyingBinder;
/*       */   
/*   245 */   static Binder theStaticBfileBinder = OraclePreparedStatementReadOnly.theStaticBfileBinder;
/*       */   
/*   247 */   static Binder theStaticBfileNullBinder = OraclePreparedStatementReadOnly.theStaticBfileNullBinder;
/*       */   
/*   249 */   Binder theBfileBinder = theStaticBfileBinder;
/*   250 */   Binder theBfileNullBinder = theStaticBfileNullBinder;
/*       */   
/*   252 */   static Binder theStaticBlobCopyingBinder = OraclePreparedStatementReadOnly.theStaticBlobCopyingBinder;
/*       */   
/*   254 */   static Binder theStaticBlobBinder = OraclePreparedStatementReadOnly.theStaticBlobBinder;
/*       */   
/*   256 */   static Binder theStaticBlobNullBinder = OraclePreparedStatementReadOnly.theStaticBlobNullBinder;
/*       */   
/*   258 */   Binder theBlobBinder = theStaticBlobBinder;
/*   259 */   Binder theBlobNullBinder = theStaticBlobNullBinder;
/*       */   
/*   261 */   static Binder theStaticClobCopyingBinder = OraclePreparedStatementReadOnly.theStaticClobCopyingBinder;
/*       */   
/*   263 */   static Binder theStaticClobBinder = OraclePreparedStatementReadOnly.theStaticClobBinder;
/*       */   
/*   265 */   static Binder theStaticClobNullBinder = OraclePreparedStatementReadOnly.theStaticClobNullBinder;
/*       */   
/*   267 */   Binder theClobBinder = theStaticClobBinder;
/*   268 */   Binder theClobNullBinder = theStaticClobNullBinder;
/*       */   
/*   270 */   static Binder theStaticRawCopyingBinder = OraclePreparedStatementReadOnly.theStaticRawCopyingBinder;
/*       */   
/*   272 */   static Binder theStaticRawBinder = OraclePreparedStatementReadOnly.theStaticRawBinder;
/*       */   
/*   274 */   static Binder theStaticRawNullBinder = OraclePreparedStatementReadOnly.theStaticRawNullBinder;
/*       */   
/*   276 */   Binder theRawBinder = theStaticRawBinder;
/*   277 */   Binder theRawNullBinder = theStaticRawNullBinder;
/*       */   
/*   279 */   static Binder theStaticPlsqlRawCopyingBinder = OraclePreparedStatementReadOnly.theStaticPlsqlRawCopyingBinder;
/*       */   
/*   281 */   static Binder theStaticPlsqlRawBinder = OraclePreparedStatementReadOnly.theStaticPlsqlRawBinder;
/*       */   
/*   283 */   Binder thePlsqlRawBinder = theStaticPlsqlRawBinder;
/*       */   
/*   285 */   static Binder theStaticBinaryFloatCopyingBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatCopyingBinder;
/*       */   
/*   287 */   static Binder theStaticBinaryFloatBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatBinder;
/*       */   
/*   289 */   static Binder theStaticBinaryFloatNullBinder = OraclePreparedStatementReadOnly.theStaticBinaryFloatNullBinder;
/*       */   
/*   291 */   Binder theBinaryFloatBinder = theStaticBinaryFloatBinder;
/*   292 */   Binder theBinaryFloatNullBinder = theStaticBinaryFloatNullBinder;
/*       */   
/*   294 */   static Binder theStaticBINARY_FLOATCopyingBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATCopyingBinder;
/*       */   
/*   296 */   static Binder theStaticBINARY_FLOATBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATBinder;
/*       */   
/*   298 */   static Binder theStaticBINARY_FLOATNullBinder = OraclePreparedStatementReadOnly.theStaticBINARY_FLOATNullBinder;
/*       */   
/*   300 */   Binder theBINARY_FLOATBinder = theStaticBINARY_FLOATBinder;
/*   301 */   Binder theBINARY_FLOATNullBinder = theStaticBINARY_FLOATNullBinder;
/*       */   
/*   303 */   static Binder theStaticBinaryDoubleCopyingBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleCopyingBinder;
/*       */   
/*   305 */   static Binder theStaticBinaryDoubleBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleBinder;
/*       */   
/*   307 */   static Binder theStaticBinaryDoubleNullBinder = OraclePreparedStatementReadOnly.theStaticBinaryDoubleNullBinder;
/*       */   
/*   309 */   Binder theBinaryDoubleBinder = theStaticBinaryDoubleBinder;
/*   310 */   Binder theBinaryDoubleNullBinder = theStaticBinaryDoubleNullBinder;
/*       */   
/*   312 */   static Binder theStaticBINARY_DOUBLECopyingBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLECopyingBinder;
/*       */   
/*   314 */   static Binder theStaticBINARY_DOUBLEBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLEBinder;
/*       */   
/*   316 */   static Binder theStaticBINARY_DOUBLENullBinder = OraclePreparedStatementReadOnly.theStaticBINARY_DOUBLENullBinder;
/*       */   
/*   318 */   Binder theBINARY_DOUBLEBinder = theStaticBINARY_DOUBLEBinder;
/*   319 */   Binder theBINARY_DOUBLENullBinder = theStaticBINARY_DOUBLENullBinder;
/*       */   
/*   321 */   static Binder theStaticLongStreamBinder = OraclePreparedStatementReadOnly.theStaticLongStreamBinder;
/*       */   
/*   323 */   Binder theLongStreamBinder = theStaticLongStreamBinder;
/*       */   
/*   325 */   static Binder theStaticLongRawStreamBinder = OraclePreparedStatementReadOnly.theStaticLongRawStreamBinder;
/*       */   
/*   327 */   Binder theLongRawStreamBinder = theStaticLongRawStreamBinder;
/*       */   
/*   329 */   static Binder theStaticNamedTypeCopyingBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeCopyingBinder;
/*       */   
/*   331 */   static Binder theStaticNamedTypeBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeBinder;
/*       */   
/*   333 */   static Binder theStaticNamedTypeNullBinder = OraclePreparedStatementReadOnly.theStaticNamedTypeNullBinder;
/*       */   
/*   335 */   Binder theNamedTypeBinder = theStaticNamedTypeBinder;
/*   336 */   Binder theNamedTypeNullBinder = theStaticNamedTypeNullBinder;
/*       */   
/*   338 */   static Binder theStaticRefTypeCopyingBinder = OraclePreparedStatementReadOnly.theStaticRefTypeCopyingBinder;
/*       */   
/*   340 */   static Binder theStaticRefTypeBinder = OraclePreparedStatementReadOnly.theStaticRefTypeBinder;
/*       */   
/*   342 */   static Binder theStaticRefTypeNullBinder = OraclePreparedStatementReadOnly.theStaticRefTypeNullBinder;
/*       */   
/*   344 */   Binder theRefTypeBinder = theStaticRefTypeBinder;
/*   345 */   Binder theRefTypeNullBinder = theStaticRefTypeNullBinder;
/*       */   
/*   347 */   static Binder theStaticPlsqlIbtCopyingBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtCopyingBinder;
/*       */   
/*   349 */   static Binder theStaticPlsqlIbtBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtBinder;
/*       */   
/*   351 */   static Binder theStaticPlsqlIbtNullBinder = OraclePreparedStatementReadOnly.theStaticPlsqlIbtNullBinder;
/*       */   
/*   353 */   Binder thePlsqlIbtBinder = theStaticPlsqlIbtBinder;
/*   354 */   Binder thePlsqlNullBinder = theStaticPlsqlIbtNullBinder;
/*       */   
/*   356 */   static Binder theStaticOutBinder = OraclePreparedStatementReadOnly.theStaticOutBinder;
/*       */   
/*   358 */   Binder theOutBinder = theStaticOutBinder;
/*       */   
/*   360 */   static Binder theStaticReturnParamBinder = OraclePreparedStatementReadOnly.theStaticReturnParamBinder;
/*       */   
/*   362 */   Binder theReturnParamBinder = theStaticReturnParamBinder;
/*       */   
/*   364 */   static Binder theStaticT4CRowidBinder = OraclePreparedStatementReadOnly.theStaticT4CRowidBinder;
/*       */   
/*   366 */   static Binder theStaticT4CRowidNullBinder = OraclePreparedStatementReadOnly.theStaticT4CRowidNullBinder;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public static final int TypeBinder_BYTELEN = 24;
/*       */ 
/*       */ 
/*       */   
/*   375 */   char[] digits = new char[20];
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Binder[][] binders;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int[][] parameterInt;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   long[][] parameterLong;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   float[][] parameterFloat;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   double[][] parameterDouble;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   BigDecimal[][] parameterBigDecimal;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   String[][] parameterString;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Date[][] parameterDate;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Time[][] parameterTime;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Timestamp[][] parameterTimestamp;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   byte[][][] parameterDatum;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   OracleTypeADT[][] parameterOtype;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   PlsqlIbtBindInfo[][] parameterPlsqlIbt;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Binder[] currentRowBinders;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int[] currentRowCharLens;
/*       */ 
/*       */ 
/*       */   
/*       */   Accessor[] currentRowBindAccessors;
/*       */ 
/*       */ 
/*       */   
/*       */   short[] currentRowFormOfUse;
/*       */ 
/*       */ 
/*       */   
/*       */   boolean currentRowNeedToPrepareBinds = true;
/*       */ 
/*       */ 
/*       */   
/*       */   int[] currentBatchCharLens;
/*       */ 
/*       */ 
/*       */   
/*       */   Accessor[] currentBatchBindAccessors;
/*       */ 
/*       */ 
/*       */   
/*       */   short[] currentBatchFormOfUse;
/*       */ 
/*       */ 
/*       */   
/*       */   boolean currentBatchNeedToPrepareBinds;
/*       */ 
/*       */ 
/*       */   
/*       */   PushedBatch pushedBatches;
/*       */ 
/*       */ 
/*       */   
/*       */   PushedBatch pushedBatchesTail;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   class PushedBatch
/*       */   {
/*       */     int[] currentBatchCharLens;
/*       */ 
/*       */ 
/*       */     
/*       */     int[] lastBoundCharLens;
/*       */ 
/*       */ 
/*       */     
/*       */     Accessor[] currentBatchBindAccessors;
/*       */ 
/*       */ 
/*       */     
/*       */     boolean lastBoundNeeded;
/*       */ 
/*       */ 
/*       */     
/*       */     boolean need_to_parse;
/*       */ 
/*       */ 
/*       */     
/*       */     boolean current_batch_need_to_prepare_binds;
/*       */ 
/*       */ 
/*       */     
/*       */     int first_row_in_batch;
/*       */ 
/*       */ 
/*       */     
/*       */     int number_of_rows_to_be_bound;
/*       */ 
/*       */ 
/*       */     
/*       */     PushedBatch next;
/*       */ 
/*       */ 
/*       */     
/*       */     private final OraclePreparedStatement this$0;
/*       */ 
/*       */ 
/*       */ 
/*       */     
/*       */     PushedBatch(OraclePreparedStatement this$0) {
/*   535 */       this.this$0 = this$0;
/*       */     }
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*   816 */   int cachedBindByteSize = 0;
/*   817 */   int cachedBindCharSize = 0;
/*   818 */   int cachedBindIndicatorSize = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int totalBindByteLength;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int totalBindCharLength;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int totalBindIndicatorLength;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_NUMBER_OF_BIND_POSITIONS_OFFSET = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_BIND_BUFFER_CAPACITY_OFFSET_HI = 1;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_BIND_BUFFER_CAPACITY_OFFSET_LO = 2;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_NUMBER_OF_BOUND_ROWS_OFFSET_HI = 3;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_NUMBER_OF_BOUND_ROWS_OFFSET_LO = 4;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_PER_POSITION_DATA_OFFSET = 5;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_TYPE_OFFSET = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_BYTE_PITCH_OFFSET = 1;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_CHAR_PITCH_OFFSET = 2;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_VALUE_DATA_OFFSET_HI = 3;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_VALUE_DATA_OFFSET_LO = 4;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_NULL_INDICATORS_OFFSET_HI = 5;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_NULL_INDICATORS_OFFSET_LO = 6;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_VALUE_LENGTHS_OFFSET_HI = 7;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_VALUE_LENGTHS_OFFSET_LO = 8;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_FORM_OF_USE_OFFSET = 9;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static final int BIND_METADATA_PER_POSITION_SIZE = 10;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int bindBufferCapacity;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int numberOfBoundRows;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int indicatorsOffset;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int valueLengthsOffset;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   boolean preparedAllBinds;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   boolean preparedCharBinds;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   Binder[] lastBinders;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   byte[] lastBoundBytes;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int lastBoundByteOffset;
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   char[] lastBoundChars;
/*       */ 
/*       */ 
/*       */   
/*       */   int lastBoundCharOffset;
/*       */ 
/*       */ 
/*       */   
/*       */   int[] lastBoundByteOffsets;
/*       */ 
/*       */ 
/*       */   
/*       */   int[] lastBoundCharOffsets;
/*       */ 
/*       */ 
/*       */   
/*       */   int[] lastBoundByteLens;
/*       */ 
/*       */ 
/*       */   
/*       */   int[] lastBoundCharLens;
/*       */ 
/*       */ 
/*       */   
/*       */   short[] lastBoundInds;
/*       */ 
/*       */ 
/*       */   
/*       */   short[] lastBoundLens;
/*       */ 
/*       */ 
/*       */   
/*       */   boolean lastBoundNeeded = false;
/*       */ 
/*       */ 
/*       */   
/*       */   byte[][] lastBoundTypeBytes;
/*       */ 
/*       */ 
/*       */   
/*       */   OracleTypeADT[] lastBoundTypeOtypes;
/*       */ 
/*       */ 
/*       */   
/*       */   private static final int STREAM_MAX_BYTES_SQL = 2147483647;
/*       */ 
/*       */ 
/*       */   
/*       */   int maxRawBytesSql;
/*       */ 
/*       */ 
/*       */   
/*       */   int maxRawBytesPlsql;
/*       */ 
/*       */ 
/*       */   
/*       */   int maxVcsCharsSql;
/*       */ 
/*       */ 
/*       */   
/*       */   int maxVcsNCharsSql;
/*       */ 
/*       */ 
/*       */   
/*       */   int maxVcsBytesPlsql;
/*       */ 
/*       */ 
/*       */   
/*  1036 */   private int maxCharSize = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1042 */   private int maxNCharSize = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1050 */   private int charMaxCharsSql = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1058 */   private int charMaxNCharsSql = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1065 */   private int maxVcsCharsPlsql = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1072 */   private int maxVcsNCharsPlsql = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*  1080 */   private int maxStreamCharsSql = 0; private boolean isServerCharSetFixedWidth = false; private boolean isServerNCharSetFixedWidth = false; int minVcsBindSize; int prematureBatchCount; boolean checkBindTypes = true; boolean scrollRsetTypeSolved; int SetBigStringTryClob; static final int BSTYLE_UNKNOWN = 0; static final int BSTYLE_ORACLE = 1; static final int BSTYLE_JDBC = 2; int m_batchStyle; void allocBinds(int paramInt) throws SQLException { boolean bool = (paramInt > this.numberOfBindRowsAllocated) ? true : false; initializeIndicatorSubRange(); int i = this.bindIndicatorSubRange + 5 + this.numberOfBindPositions * 10; int j = paramInt * this.numberOfBindPositions; int k = i + 2 * j; if (k > this.totalBindIndicatorLength) { short[] arrayOfShort = this.bindIndicators; int i2 = this.bindIndicatorOffset; this.bindIndicatorOffset = 0; this.bindIndicators = new short[k]; this.totalBindIndicatorLength = k; if (arrayOfShort != null && bool) System.arraycopy(arrayOfShort, i2, this.bindIndicators, this.bindIndicatorOffset, i);  }  this.bindIndicatorSubRange += this.bindIndicatorOffset; this.bindIndicators[this.bindIndicatorSubRange + 0] = (short)this.numberOfBindPositions; this.indicatorsOffset = this.bindIndicatorOffset + i; this.valueLengthsOffset = this.indicatorsOffset + j; int m = this.indicatorsOffset; int n = this.valueLengthsOffset; int i1 = this.bindIndicatorSubRange + 5; for (byte b = 0; b < this.numberOfBindPositions; b++) { this.bindIndicators[i1 + 5] = (short)(m >> 16); this.bindIndicators[i1 + 6] = (short)(m & 0xFFFF); this.bindIndicators[i1 + 7] = (short)(n >> 16); this.bindIndicators[i1 + 8] = (short)(n & 0xFFFF); m += paramInt; n += paramInt; i1 += 10; }  } void initializeBinds() throws SQLException { this.numberOfBindPositions = this.sqlObject.getParameterCount(); if (this.numberOfBindPositions == 0) { this.currentRowNeedToPrepareBinds = false; return; }  this.numberOfBindRowsAllocated = this.batch; this.binders = new Binder[this.numberOfBindRowsAllocated][this.numberOfBindPositions]; this.currentRowBinders = this.binders[0]; this.currentRowCharLens = new int[this.numberOfBindPositions]; this.currentBatchCharLens = new int[this.numberOfBindPositions]; this.currentRowFormOfUse = new short[this.numberOfBindPositions]; this.currentBatchFormOfUse = new short[this.numberOfBindPositions]; byte b1 = 1; if (this.connection.defaultNChar) b1 = 2;  for (byte b2 = 0; b2 < this.numberOfBindPositions; b2++) { this.currentRowFormOfUse[b2] = b1; this.currentBatchFormOfUse[b2] = b1; }  this.lastBinders = new Binder[this.numberOfBindPositions]; this.lastBoundCharLens = new int[this.numberOfBindPositions]; this.lastBoundByteOffsets = new int[this.numberOfBindPositions]; this.lastBoundCharOffsets = new int[this.numberOfBindPositions]; this.lastBoundByteLens = new int[this.numberOfBindPositions]; this.lastBoundInds = new short[this.numberOfBindPositions]; this.lastBoundLens = new short[this.numberOfBindPositions]; this.lastBoundTypeBytes = new byte[this.numberOfBindPositions][]; this.lastBoundTypeOtypes = new OracleTypeADT[this.numberOfBindPositions]; allocBinds(this.numberOfBindRowsAllocated); } void growBinds(int paramInt) throws SQLException { Binder[][] arrayOfBinder = this.binders; this.binders = new Binder[paramInt][]; if (arrayOfBinder != null) System.arraycopy(arrayOfBinder, 0, this.binders, 0, this.numberOfBindRowsAllocated);  int i; for (i = this.numberOfBindRowsAllocated; i < paramInt; i++) this.binders[i] = new Binder[this.numberOfBindPositions];  allocBinds(paramInt); if (this.parameterInt != null) { int[][] arrayOfInt = this.parameterInt; this.parameterInt = new int[paramInt][]; System.arraycopy(arrayOfInt, 0, this.parameterInt, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterInt[i] = new int[this.numberOfBindPositions];  }  if (this.parameterLong != null) { long[][] arrayOfLong = this.parameterLong; this.parameterLong = new long[paramInt][]; System.arraycopy(arrayOfLong, 0, this.parameterLong, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterLong[i] = new long[this.numberOfBindPositions];  }  if (this.parameterFloat != null) { float[][] arrayOfFloat = this.parameterFloat; this.parameterFloat = new float[paramInt][]; System.arraycopy(arrayOfFloat, 0, this.parameterFloat, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterFloat[i] = new float[this.numberOfBindPositions];  }  if (this.parameterDouble != null) { double[][] arrayOfDouble = this.parameterDouble; this.parameterDouble = new double[paramInt][]; System.arraycopy(arrayOfDouble, 0, this.parameterDouble, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterDouble[i] = new double[this.numberOfBindPositions];  }  if (this.parameterBigDecimal != null) { BigDecimal[][] arrayOfBigDecimal = this.parameterBigDecimal; this.parameterBigDecimal = new BigDecimal[paramInt][]; System.arraycopy(arrayOfBigDecimal, 0, this.parameterBigDecimal, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterBigDecimal[i] = new BigDecimal[this.numberOfBindPositions];  }  if (this.parameterString != null) { String[][] arrayOfString = this.parameterString; this.parameterString = new String[paramInt][]; System.arraycopy(arrayOfString, 0, this.parameterString, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterString[i] = new String[this.numberOfBindPositions];  }  if (this.parameterDate != null) { Date[][] arrayOfDate = this.parameterDate; this.parameterDate = new Date[paramInt][]; System.arraycopy(arrayOfDate, 0, this.parameterDate, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterDate[i] = new Date[this.numberOfBindPositions];  }  if (this.parameterTime != null) { Time[][] arrayOfTime = this.parameterTime; this.parameterTime = new Time[paramInt][]; System.arraycopy(arrayOfTime, 0, this.parameterTime, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterTime[i] = new Time[this.numberOfBindPositions];  }  if (this.parameterTimestamp != null) { Timestamp[][] arrayOfTimestamp = this.parameterTimestamp; this.parameterTimestamp = new Timestamp[paramInt][]; System.arraycopy(arrayOfTimestamp, 0, this.parameterTimestamp, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterTimestamp[i] = new Timestamp[this.numberOfBindPositions];  }  if (this.parameterDatum != null) { byte[][][] arrayOfByte = this.parameterDatum; this.parameterDatum = new byte[paramInt][][]; System.arraycopy(arrayOfByte, 0, this.parameterDatum, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterDatum[i] = new byte[this.numberOfBindPositions][];  }  if (this.parameterOtype != null) { OracleTypeADT[][] arrayOfOracleTypeADT = this.parameterOtype; this.parameterOtype = new OracleTypeADT[paramInt][]; System.arraycopy(arrayOfOracleTypeADT, 0, this.parameterOtype, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterOtype[i] = new OracleTypeADT[this.numberOfBindPositions];  }  if (this.parameterStream != null) { InputStream[][] arrayOfInputStream = this.parameterStream; this.parameterStream = new InputStream[paramInt][]; System.arraycopy(arrayOfInputStream, 0, this.parameterStream, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterStream[i] = new InputStream[this.numberOfBindPositions];  }  if (this.parameterPlsqlIbt != null) { PlsqlIbtBindInfo[][] arrayOfPlsqlIbtBindInfo = this.parameterPlsqlIbt; this.parameterPlsqlIbt = new PlsqlIbtBindInfo[paramInt][]; System.arraycopy(arrayOfPlsqlIbtBindInfo, 0, this.parameterPlsqlIbt, 0, this.numberOfBindRowsAllocated); i = this.numberOfBindRowsAllocated; for (; i < paramInt; i++) this.parameterPlsqlIbt[i] = new PlsqlIbtBindInfo[this.numberOfBindPositions];  }  this.numberOfBindRowsAllocated = paramInt; this.currentRowNeedToPrepareBinds = true; }
/*       */   void processCompletedBindRow(int paramInt, boolean paramBoolean) throws SQLException { // Byte code:
/*       */     //   0: aload_0
/*       */     //   1: getfield numberOfBindPositions : I
/*       */     //   4: ifne -> 8
/*       */     //   7: return
/*       */     //   8: iconst_0
/*       */     //   9: istore #4
/*       */     //   11: iconst_0
/*       */     //   12: istore #5
/*       */     //   14: aload_0
/*       */     //   15: getfield currentRank : I
/*       */     //   18: aload_0
/*       */     //   19: getfield firstRowInBatch : I
/*       */     //   22: if_icmpne -> 29
/*       */     //   25: iconst_1
/*       */     //   26: goto -> 30
/*       */     //   29: iconst_0
/*       */     //   30: istore #6
/*       */     //   32: aload_0
/*       */     //   33: getfield currentRank : I
/*       */     //   36: ifne -> 59
/*       */     //   39: aload_0
/*       */     //   40: getfield lastBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   43: iconst_0
/*       */     //   44: aaload
/*       */     //   45: ifnonnull -> 52
/*       */     //   48: aconst_null
/*       */     //   49: goto -> 70
/*       */     //   52: aload_0
/*       */     //   53: getfield lastBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   56: goto -> 70
/*       */     //   59: aload_0
/*       */     //   60: getfield binders : [[Loracle/jdbc/driver/Binder;
/*       */     //   63: aload_0
/*       */     //   64: getfield currentRank : I
/*       */     //   67: iconst_1
/*       */     //   68: isub
/*       */     //   69: aaload
/*       */     //   70: astore #7
/*       */     //   72: aload_0
/*       */     //   73: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   76: ifnonnull -> 520
/*       */     //   79: aload_0
/*       */     //   80: getfield isAutoGeneratedKey : Z
/*       */     //   83: ifeq -> 97
/*       */     //   86: aload_0
/*       */     //   87: getfield clearParameters : Z
/*       */     //   90: ifeq -> 97
/*       */     //   93: iconst_1
/*       */     //   94: goto -> 98
/*       */     //   97: iconst_0
/*       */     //   98: istore #8
/*       */     //   100: aload #7
/*       */     //   102: ifnonnull -> 160
/*       */     //   105: iconst_0
/*       */     //   106: istore_3
/*       */     //   107: iload_3
/*       */     //   108: aload_0
/*       */     //   109: getfield numberOfBindPositions : I
/*       */     //   112: if_icmpge -> 1154
/*       */     //   115: aload_0
/*       */     //   116: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   119: iload_3
/*       */     //   120: aaload
/*       */     //   121: ifnonnull -> 154
/*       */     //   124: iload #8
/*       */     //   126: ifeq -> 139
/*       */     //   129: aload_0
/*       */     //   130: invokevirtual registerReturnParamsForAutoKey : ()V
/*       */     //   133: iconst_0
/*       */     //   134: istore #8
/*       */     //   136: goto -> 154
/*       */     //   139: bipush #41
/*       */     //   141: new java/lang/Integer
/*       */     //   144: dup
/*       */     //   145: iload_3
/*       */     //   146: iconst_1
/*       */     //   147: iadd
/*       */     //   148: invokespecial <init> : (I)V
/*       */     //   151: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   154: iinc #3, 1
/*       */     //   157: goto -> 107
/*       */     //   160: aload_0
/*       */     //   161: getfield checkBindTypes : Z
/*       */     //   164: ifeq -> 431
/*       */     //   167: aload_0
/*       */     //   168: getfield currentRank : I
/*       */     //   171: ifne -> 181
/*       */     //   174: aload_0
/*       */     //   175: getfield lastBoundTypeOtypes : [Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   178: goto -> 203
/*       */     //   181: aload_0
/*       */     //   182: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   185: ifnonnull -> 192
/*       */     //   188: aconst_null
/*       */     //   189: goto -> 203
/*       */     //   192: aload_0
/*       */     //   193: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   196: aload_0
/*       */     //   197: getfield currentRank : I
/*       */     //   200: iconst_1
/*       */     //   201: isub
/*       */     //   202: aaload
/*       */     //   203: astore #9
/*       */     //   205: iconst_0
/*       */     //   206: istore_3
/*       */     //   207: iload_3
/*       */     //   208: aload_0
/*       */     //   209: getfield numberOfBindPositions : I
/*       */     //   212: if_icmpge -> 1154
/*       */     //   215: aload_0
/*       */     //   216: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   219: iload_3
/*       */     //   220: aaload
/*       */     //   221: ifnonnull -> 236
/*       */     //   224: iload #8
/*       */     //   226: ifeq -> 236
/*       */     //   229: aload_0
/*       */     //   230: invokevirtual registerReturnParamsForAutoKey : ()V
/*       */     //   233: iconst_0
/*       */     //   234: istore #8
/*       */     //   236: aload_0
/*       */     //   237: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   240: iload_3
/*       */     //   241: aaload
/*       */     //   242: astore #10
/*       */     //   244: aload #10
/*       */     //   246: ifnonnull -> 312
/*       */     //   249: aload_0
/*       */     //   250: getfield clearParameters : Z
/*       */     //   253: ifeq -> 271
/*       */     //   256: bipush #41
/*       */     //   258: new java/lang/Integer
/*       */     //   261: dup
/*       */     //   262: iload_3
/*       */     //   263: iconst_1
/*       */     //   264: iadd
/*       */     //   265: invokespecial <init> : (I)V
/*       */     //   268: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   271: aload_0
/*       */     //   272: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   275: iload_3
/*       */     //   276: aload #7
/*       */     //   278: iload_3
/*       */     //   279: aaload
/*       */     //   280: invokevirtual copyingBinder : ()Loracle/jdbc/driver/Binder;
/*       */     //   283: aastore
/*       */     //   284: aload_0
/*       */     //   285: getfield currentRowCharLens : [I
/*       */     //   288: iload_3
/*       */     //   289: iconst_m1
/*       */     //   290: iastore
/*       */     //   291: iload #6
/*       */     //   293: ifne -> 304
/*       */     //   296: aload_0
/*       */     //   297: getfield m_batchStyle : I
/*       */     //   300: iconst_2
/*       */     //   301: if_icmpne -> 407
/*       */     //   304: aload_0
/*       */     //   305: iconst_1
/*       */     //   306: putfield lastBoundNeeded : Z
/*       */     //   309: goto -> 407
/*       */     //   312: aload #10
/*       */     //   314: getfield type : S
/*       */     //   317: istore #11
/*       */     //   319: iload #11
/*       */     //   321: aload #7
/*       */     //   323: iload_3
/*       */     //   324: aaload
/*       */     //   325: getfield type : S
/*       */     //   328: if_icmpne -> 404
/*       */     //   331: iload #11
/*       */     //   333: bipush #109
/*       */     //   335: if_icmpeq -> 345
/*       */     //   338: iload #11
/*       */     //   340: bipush #111
/*       */     //   342: if_icmpne -> 366
/*       */     //   345: aload_0
/*       */     //   346: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   349: aload_0
/*       */     //   350: getfield currentRank : I
/*       */     //   353: aaload
/*       */     //   354: iload_3
/*       */     //   355: aaload
/*       */     //   356: aload #9
/*       */     //   358: iload_3
/*       */     //   359: aaload
/*       */     //   360: invokevirtual isInHierarchyOf : (Loracle/jdbc/oracore/OracleType;)Z
/*       */     //   363: ifeq -> 404
/*       */     //   366: iload #11
/*       */     //   368: bipush #9
/*       */     //   370: if_icmpne -> 407
/*       */     //   373: aload #10
/*       */     //   375: getfield bytelen : I
/*       */     //   378: ifne -> 385
/*       */     //   381: iconst_1
/*       */     //   382: goto -> 386
/*       */     //   385: iconst_0
/*       */     //   386: aload #7
/*       */     //   388: iload_3
/*       */     //   389: aaload
/*       */     //   390: getfield bytelen : I
/*       */     //   393: ifne -> 400
/*       */     //   396: iconst_1
/*       */     //   397: goto -> 401
/*       */     //   400: iconst_0
/*       */     //   401: if_icmpeq -> 407
/*       */     //   404: iconst_1
/*       */     //   405: istore #4
/*       */     //   407: aload_0
/*       */     //   408: getfield currentBatchFormOfUse : [S
/*       */     //   411: iload_3
/*       */     //   412: saload
/*       */     //   413: aload_0
/*       */     //   414: getfield currentRowFormOfUse : [S
/*       */     //   417: iload_3
/*       */     //   418: saload
/*       */     //   419: if_icmpeq -> 425
/*       */     //   422: iconst_1
/*       */     //   423: istore #4
/*       */     //   425: iinc #3, 1
/*       */     //   428: goto -> 207
/*       */     //   431: iconst_0
/*       */     //   432: istore_3
/*       */     //   433: iload_3
/*       */     //   434: aload_0
/*       */     //   435: getfield numberOfBindPositions : I
/*       */     //   438: if_icmpge -> 1154
/*       */     //   441: aload_0
/*       */     //   442: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   445: iload_3
/*       */     //   446: aaload
/*       */     //   447: astore #9
/*       */     //   449: aload #9
/*       */     //   451: ifnonnull -> 514
/*       */     //   454: aload_0
/*       */     //   455: getfield clearParameters : Z
/*       */     //   458: ifeq -> 476
/*       */     //   461: bipush #41
/*       */     //   463: new java/lang/Integer
/*       */     //   466: dup
/*       */     //   467: iload_3
/*       */     //   468: iconst_1
/*       */     //   469: iadd
/*       */     //   470: invokespecial <init> : (I)V
/*       */     //   473: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   476: aload_0
/*       */     //   477: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   480: iload_3
/*       */     //   481: aload #7
/*       */     //   483: iload_3
/*       */     //   484: aaload
/*       */     //   485: invokevirtual copyingBinder : ()Loracle/jdbc/driver/Binder;
/*       */     //   488: aastore
/*       */     //   489: aload_0
/*       */     //   490: getfield currentRowCharLens : [I
/*       */     //   493: iload_3
/*       */     //   494: iconst_m1
/*       */     //   495: iastore
/*       */     //   496: iload #6
/*       */     //   498: ifne -> 509
/*       */     //   501: aload_0
/*       */     //   502: getfield m_batchStyle : I
/*       */     //   505: iconst_2
/*       */     //   506: if_icmpne -> 514
/*       */     //   509: aload_0
/*       */     //   510: iconst_1
/*       */     //   511: putfield lastBoundNeeded : Z
/*       */     //   514: iinc #3, 1
/*       */     //   517: goto -> 433
/*       */     //   520: aload #7
/*       */     //   522: ifnonnull -> 650
/*       */     //   525: iconst_0
/*       */     //   526: istore_3
/*       */     //   527: iload_3
/*       */     //   528: aload_0
/*       */     //   529: getfield numberOfBindPositions : I
/*       */     //   532: if_icmpge -> 1154
/*       */     //   535: aload_0
/*       */     //   536: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   539: iload_3
/*       */     //   540: aaload
/*       */     //   541: astore #8
/*       */     //   543: aload_0
/*       */     //   544: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   547: iload_3
/*       */     //   548: aaload
/*       */     //   549: astore #9
/*       */     //   551: aload #8
/*       */     //   553: ifnonnull -> 592
/*       */     //   556: aload #9
/*       */     //   558: ifnonnull -> 579
/*       */     //   561: bipush #41
/*       */     //   563: new java/lang/Integer
/*       */     //   566: dup
/*       */     //   567: iload_3
/*       */     //   568: iconst_1
/*       */     //   569: iadd
/*       */     //   570: invokespecial <init> : (I)V
/*       */     //   573: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   576: goto -> 644
/*       */     //   579: aload_0
/*       */     //   580: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   583: iload_3
/*       */     //   584: aload_0
/*       */     //   585: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   588: aastore
/*       */     //   589: goto -> 644
/*       */     //   592: aload #9
/*       */     //   594: ifnull -> 644
/*       */     //   597: aload #9
/*       */     //   599: getfield defineType : I
/*       */     //   602: aload #8
/*       */     //   604: getfield type : S
/*       */     //   607: if_icmpeq -> 644
/*       */     //   610: aload_0
/*       */     //   611: getfield connection : Loracle/jdbc/driver/PhysicalConnection;
/*       */     //   614: getfield looseTimestampDateCheck : Z
/*       */     //   617: ifeq -> 641
/*       */     //   620: aload #8
/*       */     //   622: getfield type : S
/*       */     //   625: sipush #180
/*       */     //   628: if_icmpne -> 641
/*       */     //   631: aload #9
/*       */     //   633: getfield defineType : I
/*       */     //   636: bipush #12
/*       */     //   638: if_icmpeq -> 644
/*       */     //   641: iconst_1
/*       */     //   642: istore #5
/*       */     //   644: iinc #3, 1
/*       */     //   647: goto -> 527
/*       */     //   650: aload_0
/*       */     //   651: getfield checkBindTypes : Z
/*       */     //   654: ifeq -> 1031
/*       */     //   657: aload_0
/*       */     //   658: getfield currentRank : I
/*       */     //   661: ifne -> 671
/*       */     //   664: aload_0
/*       */     //   665: getfield lastBoundTypeOtypes : [Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   668: goto -> 693
/*       */     //   671: aload_0
/*       */     //   672: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   675: ifnonnull -> 682
/*       */     //   678: aconst_null
/*       */     //   679: goto -> 693
/*       */     //   682: aload_0
/*       */     //   683: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   686: aload_0
/*       */     //   687: getfield currentRank : I
/*       */     //   690: iconst_1
/*       */     //   691: isub
/*       */     //   692: aaload
/*       */     //   693: astore #8
/*       */     //   695: iconst_0
/*       */     //   696: istore_3
/*       */     //   697: iload_3
/*       */     //   698: aload_0
/*       */     //   699: getfield numberOfBindPositions : I
/*       */     //   702: if_icmpge -> 1154
/*       */     //   705: aload_0
/*       */     //   706: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   709: iload_3
/*       */     //   710: aaload
/*       */     //   711: astore #9
/*       */     //   713: aload_0
/*       */     //   714: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   717: iload_3
/*       */     //   718: aaload
/*       */     //   719: astore #10
/*       */     //   721: aload #9
/*       */     //   723: ifnonnull -> 802
/*       */     //   726: aload_0
/*       */     //   727: getfield clearParameters : Z
/*       */     //   730: ifeq -> 759
/*       */     //   733: aload #7
/*       */     //   735: iload_3
/*       */     //   736: aaload
/*       */     //   737: aload_0
/*       */     //   738: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   741: if_acmpeq -> 759
/*       */     //   744: bipush #41
/*       */     //   746: new java/lang/Integer
/*       */     //   749: dup
/*       */     //   750: iload_3
/*       */     //   751: iconst_1
/*       */     //   752: iadd
/*       */     //   753: invokespecial <init> : (I)V
/*       */     //   756: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   759: aload #7
/*       */     //   761: iload_3
/*       */     //   762: aaload
/*       */     //   763: astore #9
/*       */     //   765: aload_0
/*       */     //   766: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   769: iload_3
/*       */     //   770: aload #9
/*       */     //   772: aastore
/*       */     //   773: aload_0
/*       */     //   774: getfield currentRowCharLens : [I
/*       */     //   777: iload_3
/*       */     //   778: iconst_m1
/*       */     //   779: iastore
/*       */     //   780: iload #6
/*       */     //   782: ifeq -> 897
/*       */     //   785: aload #9
/*       */     //   787: aload_0
/*       */     //   788: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   791: if_acmpeq -> 897
/*       */     //   794: aload_0
/*       */     //   795: iconst_1
/*       */     //   796: putfield lastBoundNeeded : Z
/*       */     //   799: goto -> 897
/*       */     //   802: aload #9
/*       */     //   804: getfield type : S
/*       */     //   807: istore #11
/*       */     //   809: iload #11
/*       */     //   811: aload #7
/*       */     //   813: iload_3
/*       */     //   814: aaload
/*       */     //   815: getfield type : S
/*       */     //   818: if_icmpne -> 894
/*       */     //   821: iload #11
/*       */     //   823: bipush #109
/*       */     //   825: if_icmpeq -> 835
/*       */     //   828: iload #11
/*       */     //   830: bipush #111
/*       */     //   832: if_icmpne -> 856
/*       */     //   835: aload_0
/*       */     //   836: getfield parameterOtype : [[Loracle/jdbc/oracore/OracleTypeADT;
/*       */     //   839: aload_0
/*       */     //   840: getfield currentRank : I
/*       */     //   843: aaload
/*       */     //   844: iload_3
/*       */     //   845: aaload
/*       */     //   846: aload #8
/*       */     //   848: iload_3
/*       */     //   849: aaload
/*       */     //   850: invokevirtual isInHierarchyOf : (Loracle/jdbc/oracore/OracleType;)Z
/*       */     //   853: ifeq -> 894
/*       */     //   856: iload #11
/*       */     //   858: bipush #9
/*       */     //   860: if_icmpne -> 897
/*       */     //   863: aload #9
/*       */     //   865: getfield bytelen : I
/*       */     //   868: ifne -> 875
/*       */     //   871: iconst_1
/*       */     //   872: goto -> 876
/*       */     //   875: iconst_0
/*       */     //   876: aload #7
/*       */     //   878: iload_3
/*       */     //   879: aaload
/*       */     //   880: getfield bytelen : I
/*       */     //   883: ifne -> 890
/*       */     //   886: iconst_1
/*       */     //   887: goto -> 891
/*       */     //   890: iconst_0
/*       */     //   891: if_icmpeq -> 897
/*       */     //   894: iconst_1
/*       */     //   895: istore #4
/*       */     //   897: aload_0
/*       */     //   898: getfield currentBatchFormOfUse : [S
/*       */     //   901: iload_3
/*       */     //   902: saload
/*       */     //   903: aload_0
/*       */     //   904: getfield currentRowFormOfUse : [S
/*       */     //   907: iload_3
/*       */     //   908: saload
/*       */     //   909: if_icmpeq -> 915
/*       */     //   912: iconst_1
/*       */     //   913: istore #4
/*       */     //   915: aload_0
/*       */     //   916: getfield currentBatchBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   919: iload_3
/*       */     //   920: aaload
/*       */     //   921: astore #11
/*       */     //   923: aload #10
/*       */     //   925: ifnonnull -> 943
/*       */     //   928: aload #11
/*       */     //   930: astore #10
/*       */     //   932: aload_0
/*       */     //   933: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   936: iload_3
/*       */     //   937: aload #10
/*       */     //   939: aastore
/*       */     //   940: goto -> 964
/*       */     //   943: aload #11
/*       */     //   945: ifnull -> 964
/*       */     //   948: aload #10
/*       */     //   950: getfield defineType : I
/*       */     //   953: aload #11
/*       */     //   955: getfield defineType : I
/*       */     //   958: if_icmpeq -> 964
/*       */     //   961: iconst_1
/*       */     //   962: istore #4
/*       */     //   964: aload #10
/*       */     //   966: ifnull -> 1025
/*       */     //   969: aload #9
/*       */     //   971: aload_0
/*       */     //   972: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   975: if_acmpeq -> 1025
/*       */     //   978: aload #10
/*       */     //   980: getfield defineType : I
/*       */     //   983: aload #9
/*       */     //   985: getfield type : S
/*       */     //   988: if_icmpeq -> 1025
/*       */     //   991: aload_0
/*       */     //   992: getfield connection : Loracle/jdbc/driver/PhysicalConnection;
/*       */     //   995: getfield looseTimestampDateCheck : Z
/*       */     //   998: ifeq -> 1022
/*       */     //   1001: aload #9
/*       */     //   1003: getfield type : S
/*       */     //   1006: sipush #180
/*       */     //   1009: if_icmpne -> 1022
/*       */     //   1012: aload #10
/*       */     //   1014: getfield defineType : I
/*       */     //   1017: bipush #12
/*       */     //   1019: if_icmpeq -> 1025
/*       */     //   1022: iconst_1
/*       */     //   1023: istore #5
/*       */     //   1025: iinc #3, 1
/*       */     //   1028: goto -> 697
/*       */     //   1031: iconst_0
/*       */     //   1032: istore_3
/*       */     //   1033: iload_3
/*       */     //   1034: aload_0
/*       */     //   1035: getfield numberOfBindPositions : I
/*       */     //   1038: if_icmpge -> 1154
/*       */     //   1041: aload_0
/*       */     //   1042: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   1045: iload_3
/*       */     //   1046: aaload
/*       */     //   1047: astore #8
/*       */     //   1049: aload #8
/*       */     //   1051: ifnonnull -> 1127
/*       */     //   1054: aload_0
/*       */     //   1055: getfield clearParameters : Z
/*       */     //   1058: ifeq -> 1087
/*       */     //   1061: aload #7
/*       */     //   1063: iload_3
/*       */     //   1064: aaload
/*       */     //   1065: aload_0
/*       */     //   1066: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   1069: if_acmpeq -> 1087
/*       */     //   1072: bipush #41
/*       */     //   1074: new java/lang/Integer
/*       */     //   1077: dup
/*       */     //   1078: iload_3
/*       */     //   1079: iconst_1
/*       */     //   1080: iadd
/*       */     //   1081: invokespecial <init> : (I)V
/*       */     //   1084: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*       */     //   1087: aload #7
/*       */     //   1089: iload_3
/*       */     //   1090: aaload
/*       */     //   1091: astore #8
/*       */     //   1093: aload_0
/*       */     //   1094: getfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   1097: iload_3
/*       */     //   1098: aload #8
/*       */     //   1100: aastore
/*       */     //   1101: aload_0
/*       */     //   1102: getfield currentRowCharLens : [I
/*       */     //   1105: iload_3
/*       */     //   1106: iconst_m1
/*       */     //   1107: iastore
/*       */     //   1108: iload #6
/*       */     //   1110: ifeq -> 1127
/*       */     //   1113: aload #8
/*       */     //   1115: aload_0
/*       */     //   1116: getfield theOutBinder : Loracle/jdbc/driver/Binder;
/*       */     //   1119: if_acmpeq -> 1127
/*       */     //   1122: aload_0
/*       */     //   1123: iconst_1
/*       */     //   1124: putfield lastBoundNeeded : Z
/*       */     //   1127: aload_0
/*       */     //   1128: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1131: iload_3
/*       */     //   1132: aaload
/*       */     //   1133: ifnonnull -> 1148
/*       */     //   1136: aload_0
/*       */     //   1137: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1140: iload_3
/*       */     //   1141: aload_0
/*       */     //   1142: getfield currentBatchBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1145: iload_3
/*       */     //   1146: aaload
/*       */     //   1147: aastore
/*       */     //   1148: iinc #3, 1
/*       */     //   1151: goto -> 1033
/*       */     //   1154: iload #4
/*       */     //   1156: ifeq -> 1213
/*       */     //   1159: iload #6
/*       */     //   1161: ifne -> 1200
/*       */     //   1164: aload_0
/*       */     //   1165: getfield m_batchStyle : I
/*       */     //   1168: iconst_2
/*       */     //   1169: if_icmpne -> 1180
/*       */     //   1172: aload_0
/*       */     //   1173: iconst_0
/*       */     //   1174: invokevirtual pushBatch : (Z)V
/*       */     //   1177: goto -> 1200
/*       */     //   1180: aload_0
/*       */     //   1181: getfield validRows : I
/*       */     //   1184: istore #8
/*       */     //   1186: aload_0
/*       */     //   1187: aload_0
/*       */     //   1188: invokevirtual sendBatch : ()I
/*       */     //   1191: putfield prematureBatchCount : I
/*       */     //   1194: aload_0
/*       */     //   1195: iload #8
/*       */     //   1197: putfield validRows : I
/*       */     //   1200: aload_0
/*       */     //   1201: iconst_1
/*       */     //   1202: putfield needToParse : Z
/*       */     //   1205: aload_0
/*       */     //   1206: iconst_1
/*       */     //   1207: putfield currentRowNeedToPrepareBinds : Z
/*       */     //   1210: goto -> 1232
/*       */     //   1213: iload_2
/*       */     //   1214: ifeq -> 1232
/*       */     //   1217: aload_0
/*       */     //   1218: iconst_0
/*       */     //   1219: invokevirtual pushBatch : (Z)V
/*       */     //   1222: aload_0
/*       */     //   1223: iconst_0
/*       */     //   1224: putfield needToParse : Z
/*       */     //   1227: aload_0
/*       */     //   1228: iconst_0
/*       */     //   1229: putfield currentBatchNeedToPrepareBinds : Z
/*       */     //   1232: iload #5
/*       */     //   1234: ifeq -> 1242
/*       */     //   1237: bipush #12
/*       */     //   1239: invokestatic throwSqlException : (I)V
/*       */     //   1242: iconst_0
/*       */     //   1243: istore_3
/*       */     //   1244: iload_3
/*       */     //   1245: aload_0
/*       */     //   1246: getfield numberOfBindPositions : I
/*       */     //   1249: if_icmpge -> 1318
/*       */     //   1252: aload_0
/*       */     //   1253: getfield currentRowCharLens : [I
/*       */     //   1256: iload_3
/*       */     //   1257: iaload
/*       */     //   1258: istore #8
/*       */     //   1260: iload #8
/*       */     //   1262: iconst_m1
/*       */     //   1263: if_icmpne -> 1274
/*       */     //   1266: aload_0
/*       */     //   1267: getfield lastBoundCharLens : [I
/*       */     //   1270: iload_3
/*       */     //   1271: iaload
/*       */     //   1272: istore #8
/*       */     //   1274: aload_0
/*       */     //   1275: getfield currentBatchCharLens : [I
/*       */     //   1278: iload_3
/*       */     //   1279: iaload
/*       */     //   1280: iload #8
/*       */     //   1282: if_icmpge -> 1293
/*       */     //   1285: aload_0
/*       */     //   1286: getfield currentBatchCharLens : [I
/*       */     //   1289: iload_3
/*       */     //   1290: iload #8
/*       */     //   1292: iastore
/*       */     //   1293: aload_0
/*       */     //   1294: getfield currentRowCharLens : [I
/*       */     //   1297: iload_3
/*       */     //   1298: iconst_0
/*       */     //   1299: iastore
/*       */     //   1300: aload_0
/*       */     //   1301: getfield currentBatchFormOfUse : [S
/*       */     //   1304: iload_3
/*       */     //   1305: aload_0
/*       */     //   1306: getfield currentRowFormOfUse : [S
/*       */     //   1309: iload_3
/*       */     //   1310: saload
/*       */     //   1311: sastore
/*       */     //   1312: iinc #3, 1
/*       */     //   1315: goto -> 1244
/*       */     //   1318: aload_0
/*       */     //   1319: getfield currentRowNeedToPrepareBinds : Z
/*       */     //   1322: ifeq -> 1330
/*       */     //   1325: aload_0
/*       */     //   1326: iconst_1
/*       */     //   1327: putfield currentBatchNeedToPrepareBinds : Z
/*       */     //   1330: aload_0
/*       */     //   1331: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1334: ifnull -> 1395
/*       */     //   1337: aload_0
/*       */     //   1338: getfield currentBatchBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1341: astore #8
/*       */     //   1343: aload_0
/*       */     //   1344: aload_0
/*       */     //   1345: getfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1348: putfield currentBatchBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1351: aload #8
/*       */     //   1353: ifnonnull -> 1368
/*       */     //   1356: aload_0
/*       */     //   1357: getfield numberOfBindPositions : I
/*       */     //   1360: anewarray oracle/jdbc/driver/Accessor
/*       */     //   1363: astore #8
/*       */     //   1365: goto -> 1389
/*       */     //   1368: iconst_0
/*       */     //   1369: istore_3
/*       */     //   1370: iload_3
/*       */     //   1371: aload_0
/*       */     //   1372: getfield numberOfBindPositions : I
/*       */     //   1375: if_icmpge -> 1389
/*       */     //   1378: aload #8
/*       */     //   1380: iload_3
/*       */     //   1381: aconst_null
/*       */     //   1382: aastore
/*       */     //   1383: iinc #3, 1
/*       */     //   1386: goto -> 1370
/*       */     //   1389: aload_0
/*       */     //   1390: aload #8
/*       */     //   1392: putfield currentRowBindAccessors : [Loracle/jdbc/driver/Accessor;
/*       */     //   1395: aload_0
/*       */     //   1396: getfield currentRank : I
/*       */     //   1399: iconst_1
/*       */     //   1400: iadd
/*       */     //   1401: istore #8
/*       */     //   1403: iload #8
/*       */     //   1405: iload_1
/*       */     //   1406: if_icmpge -> 1464
/*       */     //   1409: iload #8
/*       */     //   1411: aload_0
/*       */     //   1412: getfield numberOfBindRowsAllocated : I
/*       */     //   1415: if_icmplt -> 1450
/*       */     //   1418: aload_0
/*       */     //   1419: getfield numberOfBindRowsAllocated : I
/*       */     //   1422: iconst_1
/*       */     //   1423: ishl
/*       */     //   1424: istore #9
/*       */     //   1426: iload #9
/*       */     //   1428: iload #8
/*       */     //   1430: if_icmpgt -> 1439
/*       */     //   1433: iload #8
/*       */     //   1435: iconst_1
/*       */     //   1436: iadd
/*       */     //   1437: istore #9
/*       */     //   1439: aload_0
/*       */     //   1440: iload #9
/*       */     //   1442: invokevirtual growBinds : (I)V
/*       */     //   1445: aload_0
/*       */     //   1446: iconst_1
/*       */     //   1447: putfield currentBatchNeedToPrepareBinds : Z
/*       */     //   1450: aload_0
/*       */     //   1451: aload_0
/*       */     //   1452: getfield binders : [[Loracle/jdbc/driver/Binder;
/*       */     //   1455: iload #8
/*       */     //   1457: aaload
/*       */     //   1458: putfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   1461: goto -> 1480
/*       */     //   1464: aload_0
/*       */     //   1465: iconst_0
/*       */     //   1466: iload_1
/*       */     //   1467: invokevirtual setupBindBuffers : (II)V
/*       */     //   1470: aload_0
/*       */     //   1471: aload_0
/*       */     //   1472: getfield binders : [[Loracle/jdbc/driver/Binder;
/*       */     //   1475: iconst_0
/*       */     //   1476: aaload
/*       */     //   1477: putfield currentRowBinders : [Loracle/jdbc/driver/Binder;
/*       */     //   1480: aload_0
/*       */     //   1481: iconst_0
/*       */     //   1482: putfield currentRowNeedToPrepareBinds : Z
/*       */     //   1485: aload_0
/*       */     //   1486: iconst_0
/*       */     //   1487: putfield clearParameters : Z
/*       */     //   1490: return
/*       */     // Line number table:
/*       */     //   Java source line number -> byte code offset
/*       */     //   #1690	-> 0
/*       */     //   #1693	-> 7
/*       */     //   #1699	-> 8
/*       */     //   #1700	-> 11
/*       */     //   #1701	-> 14
/*       */     //   #1708	-> 32
/*       */     //   #1712	-> 72
/*       */     //   #1714	-> 79
/*       */     //   #1717	-> 100
/*       */     //   #1721	-> 105
/*       */     //   #1722	-> 115
/*       */     //   #1724	-> 124
/*       */     //   #1726	-> 129
/*       */     //   #1727	-> 133
/*       */     //   #1729	-> 139
/*       */     //   #1721	-> 154
/*       */     //   #1734	-> 160
/*       */     //   #1739	-> 167
/*       */     //   #1743	-> 205
/*       */     //   #1745	-> 215
/*       */     //   #1747	-> 229
/*       */     //   #1748	-> 233
/*       */     //   #1751	-> 236
/*       */     //   #1753	-> 244
/*       */     //   #1758	-> 249
/*       */     //   #1759	-> 256
/*       */     //   #1769	-> 271
/*       */     //   #1771	-> 284
/*       */     //   #1773	-> 291
/*       */     //   #1778	-> 304
/*       */     //   #1782	-> 312
/*       */     //   #1784	-> 319
/*       */     //   #1793	-> 404
/*       */     //   #1796	-> 407
/*       */     //   #1800	-> 422
/*       */     //   #1743	-> 425
/*       */     //   #1809	-> 431
/*       */     //   #1811	-> 441
/*       */     //   #1813	-> 449
/*       */     //   #1818	-> 454
/*       */     //   #1819	-> 461
/*       */     //   #1829	-> 476
/*       */     //   #1831	-> 489
/*       */     //   #1833	-> 496
/*       */     //   #1839	-> 509
/*       */     //   #1809	-> 514
/*       */     //   #1848	-> 520
/*       */     //   #1854	-> 525
/*       */     //   #1856	-> 535
/*       */     //   #1857	-> 543
/*       */     //   #1859	-> 551
/*       */     //   #1864	-> 556
/*       */     //   #1868	-> 561
/*       */     //   #1875	-> 579
/*       */     //   #1877	-> 592
/*       */     //   #1885	-> 610
/*       */     //   #1889	-> 641
/*       */     //   #1854	-> 644
/*       */     //   #1894	-> 650
/*       */     //   #1901	-> 657
/*       */     //   #1905	-> 695
/*       */     //   #1907	-> 705
/*       */     //   #1908	-> 713
/*       */     //   #1910	-> 721
/*       */     //   #1916	-> 726
/*       */     //   #1918	-> 744
/*       */     //   #1930	-> 759
/*       */     //   #1931	-> 765
/*       */     //   #1932	-> 773
/*       */     //   #1934	-> 780
/*       */     //   #1940	-> 794
/*       */     //   #1944	-> 802
/*       */     //   #1946	-> 809
/*       */     //   #1955	-> 894
/*       */     //   #1958	-> 897
/*       */     //   #1962	-> 912
/*       */     //   #1964	-> 915
/*       */     //   #1966	-> 923
/*       */     //   #1972	-> 928
/*       */     //   #1973	-> 932
/*       */     //   #1975	-> 943
/*       */     //   #1980	-> 961
/*       */     //   #1982	-> 964
/*       */     //   #1991	-> 991
/*       */     //   #1995	-> 1022
/*       */     //   #1905	-> 1025
/*       */     //   #2006	-> 1031
/*       */     //   #2008	-> 1041
/*       */     //   #2010	-> 1049
/*       */     //   #2016	-> 1054
/*       */     //   #2017	-> 1072
/*       */     //   #2028	-> 1087
/*       */     //   #2029	-> 1093
/*       */     //   #2030	-> 1101
/*       */     //   #2032	-> 1108
/*       */     //   #2038	-> 1122
/*       */     //   #2041	-> 1127
/*       */     //   #2046	-> 1136
/*       */     //   #2006	-> 1148
/*       */     //   #2052	-> 1154
/*       */     //   #2056	-> 1159
/*       */     //   #2062	-> 1164
/*       */     //   #2069	-> 1172
/*       */     //   #2078	-> 1180
/*       */     //   #2080	-> 1186
/*       */     //   #2081	-> 1194
/*       */     //   #2087	-> 1200
/*       */     //   #2091	-> 1205
/*       */     //   #2094	-> 1213
/*       */     //   #2100	-> 1217
/*       */     //   #2104	-> 1222
/*       */     //   #2112	-> 1227
/*       */     //   #2115	-> 1232
/*       */     //   #2121	-> 1237
/*       */     //   #2132	-> 1242
/*       */     //   #2134	-> 1252
/*       */     //   #2136	-> 1260
/*       */     //   #2137	-> 1266
/*       */     //   #2139	-> 1274
/*       */     //   #2140	-> 1285
/*       */     //   #2142	-> 1293
/*       */     //   #2143	-> 1300
/*       */     //   #2132	-> 1312
/*       */     //   #2148	-> 1318
/*       */     //   #2149	-> 1325
/*       */     //   #2158	-> 1330
/*       */     //   #2160	-> 1337
/*       */     //   #2162	-> 1343
/*       */     //   #2164	-> 1351
/*       */     //   #2165	-> 1356
/*       */     //   #2167	-> 1368
/*       */     //   #2168	-> 1378
/*       */     //   #2167	-> 1383
/*       */     //   #2170	-> 1389
/*       */     //   #2173	-> 1395
/*       */     //   #2175	-> 1403
/*       */     //   #2180	-> 1409
/*       */     //   #2186	-> 1418
/*       */     //   #2188	-> 1426
/*       */     //   #2189	-> 1433
/*       */     //   #2191	-> 1439
/*       */     //   #2193	-> 1445
/*       */     //   #2197	-> 1450
/*       */     //   #2206	-> 1464
/*       */     //   #2213	-> 1470
/*       */     //   #2218	-> 1480
/*       */     //   #2220	-> 1485
/*       */     //   #2221	-> 1490 }
/*       */   void processPlsqlIndexTabBinds(int paramInt) throws SQLException { byte b1 = 0; int i = 0; int j = 0; int k = 0; Binder[] arrayOfBinder = this.binders[paramInt]; PlsqlIbtBindInfo[] arrayOfPlsqlIbtBindInfo = (this.parameterPlsqlIbt == null) ? null : this.parameterPlsqlIbt[paramInt]; int m; for (m = 0; m < this.numberOfBindPositions; m++) { Binder binder = arrayOfBinder[m]; Accessor accessor = (this.currentBatchBindAccessors == null) ? null : this.currentBatchBindAccessors[m]; PlsqlIndexTableAccessor plsqlIndexTableAccessor = (accessor == null || accessor.defineType != 998) ? null : (PlsqlIndexTableAccessor)accessor; if (binder.type == 998) { PlsqlIbtBindInfo plsqlIbtBindInfo = arrayOfPlsqlIbtBindInfo[m]; if (plsqlIndexTableAccessor != null) { if (plsqlIbtBindInfo.element_internal_type != plsqlIndexTableAccessor.elementInternalType) DatabaseError.throwSqlException(12);  if (plsqlIbtBindInfo.maxLen < plsqlIndexTableAccessor.maxNumberOfElements) plsqlIbtBindInfo.maxLen = plsqlIndexTableAccessor.maxNumberOfElements;  if (plsqlIbtBindInfo.elemMaxLen < plsqlIndexTableAccessor.elementMaxLen) plsqlIbtBindInfo.elemMaxLen = plsqlIndexTableAccessor.elementMaxLen;  if (plsqlIbtBindInfo.ibtByteLength > 0) { plsqlIbtBindInfo.ibtByteLength = plsqlIbtBindInfo.elemMaxLen * plsqlIbtBindInfo.maxLen; } else { plsqlIbtBindInfo.ibtCharLength = plsqlIbtBindInfo.elemMaxLen * plsqlIbtBindInfo.maxLen; }  }  b1++; j += plsqlIbtBindInfo.ibtByteLength; k += plsqlIbtBindInfo.ibtCharLength; i += plsqlIbtBindInfo.maxLen; } else if (plsqlIndexTableAccessor != null) { b1++; j += plsqlIndexTableAccessor.ibtByteLength; k += plsqlIndexTableAccessor.ibtCharLength; i += plsqlIndexTableAccessor.maxNumberOfElements; }  }  if (b1 == 0) return;  this.ibtBindIndicatorSize = 6 + b1 * 8 + i * 2; this.ibtBindIndicators = new short[this.ibtBindIndicatorSize]; this.ibtBindIndicatorOffset = 0; if (j > 0) this.ibtBindBytes = new byte[j];  this.ibtBindByteOffset = 0; if (k > 0) this.ibtBindChars = new char[k];  this.ibtBindCharOffset = 0; m = this.ibtBindByteOffset; int n = this.ibtBindCharOffset; int i1 = this.ibtBindIndicatorOffset; int i2 = i1 + 6 + b1 * 8; this.ibtBindIndicators[i1++] = (short)(b1 >> 16); this.ibtBindIndicators[i1++] = (short)(b1 & 0xFFFF); this.ibtBindIndicators[i1++] = (short)(j >> 16); this.ibtBindIndicators[i1++] = (short)(j & 0xFFFF); this.ibtBindIndicators[i1++] = (short)(k >> 16); this.ibtBindIndicators[i1++] = (short)(k & 0xFFFF); for (byte b2 = 0; b2 < this.numberOfBindPositions; b2++) { Binder binder = arrayOfBinder[b2]; Accessor accessor = (this.currentBatchBindAccessors == null) ? null : this.currentBatchBindAccessors[b2]; PlsqlIndexTableAccessor plsqlIndexTableAccessor = (accessor == null || accessor.defineType != 998) ? null : (PlsqlIndexTableAccessor)accessor; if (binder.type == 998) { int i3; PlsqlIbtBindInfo plsqlIbtBindInfo = arrayOfPlsqlIbtBindInfo[b2]; int i4 = plsqlIbtBindInfo.maxLen; this.ibtBindIndicators[i1++] = (short)plsqlIbtBindInfo.element_internal_type; this.ibtBindIndicators[i1++] = (short)plsqlIbtBindInfo.elemMaxLen; this.ibtBindIndicators[i1++] = (short)(i4 >> 16); this.ibtBindIndicators[i1++] = (short)(i4 & 0xFFFF); this.ibtBindIndicators[i1++] = (short)(plsqlIbtBindInfo.curLen >> 16); this.ibtBindIndicators[i1++] = (short)(plsqlIbtBindInfo.curLen & 0xFFFF); if (plsqlIbtBindInfo.ibtByteLength > 0) { i3 = m; m += plsqlIbtBindInfo.ibtByteLength; } else { i3 = n; n += plsqlIbtBindInfo.ibtCharLength; }  this.ibtBindIndicators[i1++] = (short)(i3 >> 16); this.ibtBindIndicators[i1++] = (short)(i3 & 0xFFFF); plsqlIbtBindInfo.ibtValueIndex = i3; plsqlIbtBindInfo.ibtIndicatorIndex = i2; plsqlIbtBindInfo.ibtLengthIndex = i2 + i4; if (plsqlIndexTableAccessor != null) { plsqlIndexTableAccessor.ibtIndicatorIndex = plsqlIbtBindInfo.ibtIndicatorIndex; plsqlIndexTableAccessor.ibtLengthIndex = plsqlIbtBindInfo.ibtLengthIndex; plsqlIndexTableAccessor.ibtMetaIndex = i1 - 8; plsqlIndexTableAccessor.ibtValueIndex = i3; }  i2 += 2 * i4; } else if (plsqlIndexTableAccessor != null) { int i3, i4 = plsqlIndexTableAccessor.maxNumberOfElements; this.ibtBindIndicators[i1++] = (short)plsqlIndexTableAccessor.elementInternalType; this.ibtBindIndicators[i1++] = (short)plsqlIndexTableAccessor.elementMaxLen; this.ibtBindIndicators[i1++] = (short)(i4 >> 16); this.ibtBindIndicators[i1++] = (short)(i4 & 0xFFFF); this.ibtBindIndicators[i1++] = 0; this.ibtBindIndicators[i1++] = 0; if (plsqlIndexTableAccessor.ibtByteLength > 0) { i3 = m; m += plsqlIndexTableAccessor.ibtByteLength; } else { i3 = n; n += plsqlIndexTableAccessor.ibtCharLength; }  this.ibtBindIndicators[i1++] = (short)(i3 >> 16); this.ibtBindIndicators[i1++] = (short)(i3 & 0xFFFF); plsqlIndexTableAccessor.ibtValueIndex = i3; plsqlIndexTableAccessor.ibtIndicatorIndex = i2; plsqlIndexTableAccessor.ibtLengthIndex = i2 + i4; plsqlIndexTableAccessor.ibtMetaIndex = i1 - 8; i2 += 2 * i4; }  }  }
/*       */   void initializeBindSubRanges(int paramInt1, int paramInt2) { this.bindByteSubRange = 0; this.bindCharSubRange = 0; }
/*       */   void initializeIndicatorSubRange() { this.bindIndicatorSubRange = 0; }
/*       */   void prepareBindPreambles(int paramInt1, int paramInt2) {}
/*       */   void setupBindBuffers(int paramInt1, int paramInt2) throws SQLException { try { if (this.numberOfBindPositions == 0) return;  this.preparedAllBinds = this.currentBatchNeedToPrepareBinds; this.preparedCharBinds = false; this.currentBatchNeedToPrepareBinds = false; this.numberOfBoundRows = paramInt2; this.bindIndicators[this.bindIndicatorSubRange + 3] = (short)((this.numberOfBoundRows & 0xFFFF0000) >> 16); this.bindIndicators[this.bindIndicatorSubRange + 4] = (short)(this.numberOfBoundRows & 0xFFFF); int i = this.bindBufferCapacity; if (this.numberOfBoundRows > this.bindBufferCapacity) { i = this.numberOfBoundRows; this.preparedAllBinds = true; }  if (this.currentBatchBindAccessors != null) { if (this.outBindAccessors == null) this.outBindAccessors = new Accessor[this.numberOfBindPositions];  for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { Accessor accessor = this.currentBatchBindAccessors[b1]; this.outBindAccessors[b1] = accessor; if (accessor != null) { int i8 = accessor.charLength; if (this.currentBatchCharLens[b1] < i8) this.currentBatchCharLens[b1] = i8;  }  }  }  int j = 0; int k = 0; int m = this.bindIndicatorSubRange + 5; int n = m; if (this.preparedAllBinds) { this.preparedCharBinds = true; Binder[] arrayOfBinder1 = this.binders[paramInt1]; for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { short s; int i8; Binder binder = arrayOfBinder1[b1]; int i9 = this.currentBatchCharLens[b1]; if (binder == this.theOutBinder) { Accessor accessor = this.currentBatchBindAccessors[b1]; i8 = accessor.byteLength; s = (short)accessor.defineType; } else { i8 = binder.bytelen; s = binder.type; }  k += i8; j += i9; this.bindIndicators[n + 0] = s; this.bindIndicators[n + 1] = (short)i8; this.bindIndicators[n + 2] = (short)i9; this.bindIndicators[n + 9] = this.currentBatchFormOfUse[b1]; n += 10; }  } else if (this.preparedCharBinds) { for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { int i8 = this.currentBatchCharLens[b1]; j += i8; this.bindIndicators[n + 2] = (short)i8; n += 10; }  } else { for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { int i8 = n + 2; int i9 = this.currentBatchCharLens[b1]; short s = this.bindIndicators[i8]; int i10 = (this.bindIndicators[n + 5] << 16) + this.bindIndicators[n + 6]; boolean bool1 = (this.bindIndicators[i10] == -1) ? true : false; if (bool1 && i9 > 1) this.preparedCharBinds = true;  if (s >= i9 && !this.preparedCharBinds) { this.currentBatchCharLens[b1] = s; j += s; } else { this.bindIndicators[i8] = (short)i9; j += i9; this.preparedCharBinds = true; }  n += 10; }  }  if (this.preparedCharBinds) initializeBindSubRanges(this.numberOfBoundRows, i);  if (this.preparedAllBinds) { int i8 = this.bindByteSubRange + k * i; if (this.lastBoundNeeded || i8 > this.totalBindByteLength) { this.bindByteOffset = 0; this.bindBytes = new byte[i8]; this.totalBindByteLength = i8; }  this.bindBufferCapacity = i; this.bindIndicators[this.bindIndicatorSubRange + 1] = (short)((this.bindBufferCapacity & 0xFFFF0000) >> 16); this.bindIndicators[this.bindIndicatorSubRange + 2] = (short)(this.bindBufferCapacity & 0xFFFF); }  if (this.preparedCharBinds) { int i8 = this.bindCharSubRange + j * this.bindBufferCapacity; if (this.lastBoundNeeded || i8 > this.totalBindCharLength) { this.bindCharOffset = 0; this.bindChars = new char[i8]; this.totalBindCharLength = i8; }  this.bindByteSubRange += this.bindByteOffset; this.bindCharSubRange += this.bindCharOffset; }  int i1 = this.bindByteSubRange; int i2 = this.bindCharSubRange; int i3 = this.indicatorsOffset; int i4 = this.valueLengthsOffset; n = m; if (this.preparedCharBinds) { if (this.currentBatchBindAccessors == null) { for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { short s = this.bindIndicators[n + 1]; int i8 = this.currentBatchCharLens[b1]; int i9 = (i8 == 0) ? i1 : i2; this.bindIndicators[n + 3] = (short)(i9 >> 16); this.bindIndicators[n + 4] = (short)(i9 & 0xFFFF); i1 += s * this.bindBufferCapacity; i2 += i8 * this.bindBufferCapacity; n += 10; }  } else { for (byte b1 = 0; b1 < this.numberOfBindPositions; b1++) { short s = this.bindIndicators[n + 1]; int i8 = this.currentBatchCharLens[b1]; int i9 = (i8 == 0) ? i1 : i2; this.bindIndicators[n + 3] = (short)(i9 >> 16); this.bindIndicators[n + 4] = (short)(i9 & 0xFFFF); Accessor accessor = this.currentBatchBindAccessors[b1]; if (accessor != null) { if (i8 > 0) { accessor.columnIndex = i2; accessor.charLength = i8; } else { accessor.columnIndex = i1; accessor.byteLength = s; }  accessor.lengthIndex = i4; accessor.indicatorIndex = i3; accessor.rowSpaceByte = this.bindBytes; accessor.rowSpaceChar = this.bindChars; accessor.rowSpaceIndicator = this.bindIndicators; if (accessor.defineType == 109 || accessor.defineType == 111) accessor.setOffsets(this.bindBufferCapacity);  }  i1 += s * this.bindBufferCapacity; i2 += i8 * this.bindBufferCapacity; i3 += this.numberOfBindRowsAllocated; i4 += this.numberOfBindRowsAllocated; n += 10; }  }  i1 = this.bindByteSubRange; i2 = this.bindCharSubRange; i3 = this.indicatorsOffset; i4 = this.valueLengthsOffset; n = m; }  int i5 = this.bindBufferCapacity - this.numberOfBoundRows; int i6 = this.numberOfBoundRows - 1; int i7 = i6 + paramInt1; Binder[] arrayOfBinder = this.binders[i7]; if (this.parameterOtype != null) { System.arraycopy(this.parameterDatum[i7], 0, this.lastBoundTypeBytes, 0, this.numberOfBindPositions); System.arraycopy(this.parameterOtype[i7], 0, this.lastBoundTypeOtypes, 0, this.numberOfBindPositions); }  if (this.hasIbtBind) processPlsqlIndexTabBinds(paramInt1);  if (this.returnParamAccessors != null) processDmlReturningBind();  boolean bool = ((this.sqlKind != 1 && this.sqlKind != 4) || this.currentRowBindAccessors == null) ? true : false; for (byte b = 0; b < this.numberOfBindPositions; b++) { short s = this.bindIndicators[n + 1]; int i8 = this.currentBatchCharLens[b]; this.lastBinders[b] = arrayOfBinder[b]; this.lastBoundByteLens[b] = s; for (byte b1 = 0; b1 < this.numberOfBoundRows; b1++) { int i9 = paramInt1 + b1; this.binders[i9][b].bind(this, b, b1, i9, this.bindBytes, this.bindChars, this.bindIndicators, s, i8, i1, i2, i4 + b1, i3 + b1, bool); this.binders[i9][b] = null; i1 += s; i2 += i8; }  this.lastBoundByteOffsets[b] = i1 - s; this.lastBoundCharOffsets[b] = i2 - i8; this.lastBoundInds[b] = this.bindIndicators[i3 + i6]; this.lastBoundLens[b] = this.bindIndicators[i4 + i6]; this.lastBoundCharLens[b] = 0; i1 += i5 * s; i2 += i5 * i8; i3 += this.numberOfBindRowsAllocated; i4 += this.numberOfBindRowsAllocated; n += 10; }  this.lastBoundBytes = this.bindBytes; this.lastBoundByteOffset = this.bindByteOffset; this.lastBoundChars = this.bindChars; this.lastBoundCharOffset = this.bindCharOffset; int[] arrayOfInt = this.currentBatchCharLens; this.currentBatchCharLens = this.lastBoundCharLens; this.lastBoundCharLens = arrayOfInt; this.lastBoundNeeded = false; prepareBindPreambles(this.numberOfBoundRows, this.bindBufferCapacity); } catch (NullPointerException nullPointerException) { DatabaseError.throwSqlException(89); }  }
/*       */   public void enterImplicitCache() throws SQLException { alwaysOnClose(); if (!this.connection.isClosed()) cleanAllTempLobs();  if (this.connection.clearStatementMetaData) { this.lastBoundBytes = null; this.lastBoundChars = null; }  clearParameters(); this.cacheState = 2; this.creationState = 1; this.currentResultSet = null; this.lastIndex = 0; this.queryTimeout = 0; this.autoRollback = 2; this.rowPrefetchChanged = false; this.currentRank = 0; this.currentRow = -1; this.validRows = 0; this.maxRows = 0; this.totalRowsVisited = 0; this.maxFieldSize = 0; this.gotLastBatch = false; this.clearParameters = true; this.scrollRset = null; this.needToAddIdentifier = false; this.defaultFetchDirection = 1000; this.defaultTZ = null; this.defaultCalendar = null; if (this.sqlKind == 3) { this.needToParse = true; this.needToPrepareDefineBuffer = true; this.columnsDefinedByUser = false; }  if (this.connection.isMemoryFreedOnEnteringCache && this.defineIndicators != null) releaseBuffers();  if (this.accessors != null) { int i = this.accessors.length; for (byte b = 0; b < i; b++) { if (this.accessors[b] != null) { if (this.connection.isMemoryFreedOnEnteringCache) { (this.accessors[b]).rowSpaceByte = null; (this.accessors[b]).rowSpaceChar = null; (this.accessors[b]).rowSpaceIndicator = null; }  if (this.columnsDefinedByUser) (this.accessors[b]).externalType = 0;  }  }  }  this.fixedString = this.connection.getDefaultFixedString(); this.defaultRowPrefetch = this.rowPrefetch; this.rowPrefetchInLastFetch = -1; if (this.connection.clearStatementMetaData) { this.sqlStringChanged = true; this.needToParse = true; this.needToPrepareDefineBuffer = true; this.columnsDefinedByUser = false; if (this.userRsetType == 0) { this.userRsetType = 1; this.realRsetType = 1; }  this.currentRowNeedToPrepareBinds = true; }  }
/*  1088 */   private int maxStreamNCharsSql = 0; public void enterExplicitCache() throws SQLException { this.cacheState = 2; this.creationState = 2; this.defaultTZ = null; alwaysOnClose(); } public void exitImplicitCacheToActive() throws SQLException { this.cacheState = 1; this.closed = false; if (this.rowPrefetch != this.connection.getDefaultRowPrefetch())
/*       */       if (this.streamList == null) { this.rowPrefetch = this.connection.getDefaultRowPrefetch(); this.defaultRowPrefetch = this.rowPrefetch; this.rowPrefetchChanged = true; }   if (this.batch != this.connection.getDefaultExecuteBatch())
/*       */       resetBatch();  if (this.autoRefetch != this.connection.getDefaultAutoRefetch())
/*       */       this.autoRefetch = this.connection.getDefaultAutoRefetch();  this.processEscapes = this.connection.processEscapes; if (this.connection.isMemoryFreedOnEnteringCache && this.cachedDefineIndicatorSize != 0) { this.defineBytes = new byte[this.cachedDefineByteSize]; this.defineChars = new char[this.cachedDefineCharSize]; this.defineIndicators = new short[this.cachedDefineIndicatorSize]; if (this.accessors != null) { int i = this.accessors.length; for (byte b = 0; b < i; b++) { if (this.accessors[b] != null)
/*       */             if (this.connection.isMemoryFreedOnEnteringCache) { (this.accessors[b]).rowSpaceByte = this.defineBytes; (this.accessors[b]).rowSpaceChar = this.defineChars; (this.accessors[b]).rowSpaceIndicator = this.defineIndicators; }   }  doInitializationAfterDefineBufferRestore(); }  }  if (this.cachedBindCharSize != 0 || this.cachedBindByteSize != 0) { if (this.cachedBindByteSize > 0)
/*       */         this.bindBytes = new byte[this.cachedBindByteSize];  if (this.cachedBindCharSize > 0)
/*       */         this.bindChars = new char[this.cachedBindCharSize];  doLocalInitialization(); }  } void doLocalInitialization() {}
/*       */   void doInitializationAfterDefineBufferRestore() {}
/*       */   public void exitExplicitCacheToActive() throws SQLException { this.cacheState = 1; this.closed = false; }
/*       */   public void exitImplicitCacheToClose() throws SQLException { this.cacheState = 0; this.closed = false; synchronized (this) { hardClose(); }  }
/*       */   public void exitExplicitCacheToClose() throws SQLException { this.cacheState = 0; this.closed = false; synchronized (this) { hardClose(); }  }
/*       */   public void closeWithKey(String paramString) throws SQLException { synchronized (this.connection) { synchronized (this) { closeOrCache(paramString); }  }  }
/*       */   int executeInternal() throws SQLException { this.noMoreUpdateCounts = false; ensureOpen(); if (this.currentRank > 0 && this.m_batchStyle == 2)
/*       */       DatabaseError.throwSqlException(81, "batch must be either executed or cleared");  boolean bool1 = (this.userRsetType == 1) ? true : false; prepareForNewResults(true, false); processCompletedBindRow((this.sqlKind == 0) ? 1 : this.batch, false); if (!bool1 && !this.scrollRsetTypeSolved)
/*       */       return doScrollPstmtExecuteUpdate() + this.prematureBatchCount;  doExecuteWithTimeout(); boolean bool2 = (this.prematureBatchCount != 0 && this.validRows > 0) ? true : false; if (!bool1) { this.currentResultSet = new OracleResultSetImpl(this.connection, this); this.scrollRset = ResultSetUtil.createScrollResultSet(this, this.currentResultSet, this.realRsetType); if (!this.connection.accumulateBatchResult)
/*       */         bool2 = false;  }  if (bool2) { this.validRows += this.prematureBatchCount; this.prematureBatchCount = 0; }  return this.validRows; }
/*       */   public ResultSet executeQuery() throws SQLException { synchronized (this.connection) { synchronized (this) { this.executionType = 1; executeInternal(); if (this.userRsetType == 1) { this.currentResultSet = new OracleResultSetImpl(this.connection, this); return (ResultSet)this.currentResultSet; }  if (this.scrollRset == null) { this.currentResultSet = new OracleResultSetImpl(this.connection, this); this.scrollRset = this.currentResultSet; }  return (ResultSet)this.scrollRset; }  }  }
/*       */   public int executeUpdate() throws SQLException { synchronized (this.connection) { synchronized (this) { this.executionType = 2; return executeInternal(); }  }  }
/*       */   public boolean execute() throws SQLException { synchronized (this.connection) { synchronized (this) { this.executionType = 3; executeInternal(); return (this.sqlKind == 0); }  }  }
/*       */   void slideDownCurrentRow(int paramInt) { if (this.binders != null) { this.binders[paramInt] = this.binders[0]; this.binders[0] = this.currentRowBinders; }  if (this.parameterInt != null) { int[] arrayOfInt = this.parameterInt[0]; this.parameterInt[0] = this.parameterInt[paramInt]; this.parameterInt[paramInt] = arrayOfInt; }  if (this.parameterLong != null) { long[] arrayOfLong = this.parameterLong[0]; this.parameterLong[0] = this.parameterLong[paramInt]; this.parameterLong[paramInt] = arrayOfLong; }  if (this.parameterFloat != null) { float[] arrayOfFloat = this.parameterFloat[0]; this.parameterFloat[0] = this.parameterFloat[paramInt]; this.parameterFloat[paramInt] = arrayOfFloat; }  if (this.parameterDouble != null) { double[] arrayOfDouble = this.parameterDouble[0]; this.parameterDouble[0] = this.parameterDouble[paramInt]; this.parameterDouble[paramInt] = arrayOfDouble; }  if (this.parameterBigDecimal != null) { BigDecimal[] arrayOfBigDecimal = this.parameterBigDecimal[0]; this.parameterBigDecimal[0] = this.parameterBigDecimal[paramInt]; this.parameterBigDecimal[paramInt] = arrayOfBigDecimal; }  if (this.parameterString != null) { String[] arrayOfString = this.parameterString[0]; this.parameterString[0] = this.parameterString[paramInt]; this.parameterString[paramInt] = arrayOfString; }  if (this.parameterDate != null) { Date[] arrayOfDate = this.parameterDate[0]; this.parameterDate[0] = this.parameterDate[paramInt]; this.parameterDate[paramInt] = arrayOfDate; }  if (this.parameterTime != null) { Time[] arrayOfTime = this.parameterTime[0]; this.parameterTime[0] = this.parameterTime[paramInt]; this.parameterTime[paramInt] = arrayOfTime; }  if (this.parameterTimestamp != null) { Timestamp[] arrayOfTimestamp = this.parameterTimestamp[0]; this.parameterTimestamp[0] = this.parameterTimestamp[paramInt]; this.parameterTimestamp[paramInt] = arrayOfTimestamp; }  if (this.parameterDatum != null) { byte[][] arrayOfByte = this.parameterDatum[0]; this.parameterDatum[0] = this.parameterDatum[paramInt]; this.parameterDatum[paramInt] = arrayOfByte; }  if (this.parameterOtype != null) { OracleTypeADT[] arrayOfOracleTypeADT = this.parameterOtype[0]; this.parameterOtype[0] = this.parameterOtype[paramInt]; this.parameterOtype[paramInt] = arrayOfOracleTypeADT; }  if (this.parameterStream != null) { InputStream[] arrayOfInputStream = this.parameterStream[0]; this.parameterStream[0] = this.parameterStream[paramInt]; this.parameterStream[paramInt] = arrayOfInputStream; }  }
/*       */   void resetBatch() { this.batch = this.connection.getDefaultExecuteBatch(); }
/*       */   public int sendBatch() throws SQLException { if (isJdbcBatchStyle())
/*       */       return 0;  synchronized (this.connection) { synchronized (this) { try { ensureOpen(); if (this.currentRank <= 0)
/*       */             return this.connection.accumulateBatchResult ? 0 : this.validRows;  int i = this.batch; try { int j = this.currentRank; if (this.batch != this.currentRank)
/*       */               this.batch = this.currentRank;  setupBindBuffers(0, this.currentRank); this.currentRank--; doExecuteWithTimeout(); slideDownCurrentRow(j); } finally { if (this.batch != i)
/*       */               this.batch = i;  }  if (this.connection.accumulateBatchResult) { this.validRows += this.prematureBatchCount; this.prematureBatchCount = 0; }  return this.validRows; } finally { this.currentRank = 0; }  }  }  }
/*       */   public synchronized void setExecuteBatch(int paramInt) throws SQLException { setOracleBatchStyle(); set_execute_batch(paramInt); }
/*       */   synchronized void set_execute_batch(int paramInt) throws SQLException { if (paramInt <= 0)
/*       */       DatabaseError.throwSqlException(42);  if (paramInt == this.batch)
/*       */       return;  if (this.currentRank > 0) { int j = this.validRows; this.prematureBatchCount = sendBatch(); this.validRows = j; }  int i = this.batch; this.batch = paramInt; if (this.numberOfBindRowsAllocated < this.batch)
/*       */       growBinds(this.batch);  }
/*       */   public final int getExecuteBatch() { return this.batch; }
/*       */   public synchronized void defineParameterTypeBytes(int paramInt1, int paramInt2, int paramInt3) throws SQLException { if (paramInt3 < 0)
/*       */       DatabaseError.throwSqlException(53);  if (paramInt1 < 1)
/*       */       DatabaseError.throwSqlException(3);  switch (paramInt2) { case -7:
/*       */       case -6:
/*       */       case -5:
/*       */       case 2:
/*       */       case 3:
/*       */       case 4:
/*       */       case 5:
/*       */       case 6:
/*       */       case 7:
/*       */       case 8:
/*       */         paramInt2 = 6; return;
/*       */       case 1:
/*       */         paramInt2 = 96; return;
/*       */       case 12:
/*       */         paramInt2 = 1; return;
/*       */       case 91:
/*       */       case 92:
/*       */         paramInt2 = 12; return;
/*       */       case -103:
/*       */         paramInt2 = 182; return;
/*       */       case -104:
/*       */         paramInt2 = 183; return;
/*       */       case -100:
/*       */       case 93:
/*       */         paramInt2 = 180; return;
/*       */       case -101:
/*       */         paramInt2 = 181; return;
/*       */       case -102:
/*       */         paramInt2 = 231; return;
/*       */       case -3:
/*       */       case -2:
/*       */         paramInt2 = 23; return;
/*       */       case 100:
/*       */         paramInt2 = 100; return;
/*       */       case 101:
/*       */         paramInt2 = 101; return;
/*       */       case -8:
/*       */         paramInt2 = 104; return;
/*       */       case 2004:
/*       */         paramInt2 = 113; return;
/*       */       case 2005:
/*       */         paramInt2 = 112; return;
/*       */       case -13:
/*       */         paramInt2 = 114; return;
/*       */       case -10:
/*       */         paramInt2 = 102; return;
/*       */       case 0:
/*       */         DatabaseError.throwSqlException(4); break; }  DatabaseError.throwSqlException(23); }
/*       */   public synchronized void defineParameterTypeChars(int paramInt1, int paramInt2, int paramInt3) throws SQLException { int i = this.connection.getNlsRatio(); if (paramInt2 == 1 || paramInt2 == 12) { defineParameterTypeBytes(paramInt1, paramInt2, paramInt3 * i); } else { defineParameterTypeBytes(paramInt1, paramInt2, paramInt3); }  }
/*  1171 */   OraclePreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException { this(paramPhysicalConnection, paramString, paramInt1, paramInt2, 1003, 1007); }
/*       */   public synchronized void defineParameterType(int paramInt1, int paramInt2, int paramInt3) throws SQLException { defineParameterTypeBytes(paramInt1, paramInt2, paramInt3); }
/*       */   public ResultSetMetaData getMetaData() throws SQLException { ResultSet resultSet = getResultSet(); if (resultSet != null) return resultSet.getMetaData();  return null; }
/*       */   public void setNull(int paramInt1, int paramInt2, String paramString) throws SQLException { setNullInternal(paramInt1, paramInt2, paramString); }
/*       */   void setNullInternal(int paramInt1, int paramInt2, String paramString) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramInt2 == 2002 || paramInt2 == 2008 || paramInt2 == 2003 || paramInt2 == 2007 || paramInt2 == 2006) { synchronized (this.connection) { synchronized (this) { setNullCritial(i, paramInt2, paramString); this.currentRowCharLens[i] = 0; }  }  } else { setNullInternal(paramInt1, paramInt2); return; }  }
/*       */   synchronized void setNullInternal(int paramInt1, int paramInt2) throws SQLException { setNullCritical(paramInt1, paramInt2); }
/*       */   void setNullCritial(int paramInt1, int paramInt2, String paramString) throws SQLException { OracleTypeCOLLECTION oracleTypeCOLLECTION; OracleTypeADT oracleTypeADT1; StructDescriptor structDescriptor; ArrayDescriptor arrayDescriptor; OpaqueDescriptor opaqueDescriptor; OracleTypeADT oracleTypeADT2 = null; Binder binder = this.theNamedTypeNullBinder; switch (paramInt2) { case 2006: binder = this.theRefTypeNullBinder;case 2002: case 2008: structDescriptor = StructDescriptor.createDescriptor(paramString, (Connection)this.connection); oracleTypeADT2 = structDescriptor.getOracleTypeADT(); break;case 2003: arrayDescriptor = ArrayDescriptor.createDescriptor(paramString, (Connection)this.connection); oracleTypeCOLLECTION = arrayDescriptor.getOracleTypeCOLLECTION(); break;case 2007: opaqueDescriptor = OpaqueDescriptor.createDescriptor(paramString, (Connection)this.connection); oracleTypeADT1 = (OracleTypeADT)opaqueDescriptor.getPickler(); break; }  this.currentRowBinders[paramInt1] = binder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][paramInt1] = null; oracleTypeADT1.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt1] = oracleTypeADT1; }
/*       */   public void setNullAtName(String paramString1, int paramInt, String paramString2) throws SQLException { String str = paramString1.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setNullInternal(b + 1, paramInt, paramString2); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString1);  }
/*       */   public synchronized void setNull(int paramInt1, int paramInt2) throws SQLException { setNullCritical(paramInt1, paramInt2); }
/*       */   void setNullCritical(int paramInt1, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  Binder binder = null; int j = getInternalType(paramInt2); switch (j) { case 6: binder = this.theVarnumNullBinder; break;case 1: case 8: case 96: case 995: binder = this.theVarcharNullBinder; this.currentRowCharLens[i] = 1; break;case 999: binder = this.theFixedCHARNullBinder; break;case 12: binder = this.theDateNullBinder; break;case 180: binder = this.connection.v8Compatible ? this.theDateNullBinder : this.theTimestampNullBinder; break;case 181: binder = this.theTSTZNullBinder; break;case 231: binder = this.theTSLTZNullBinder; break;case 104: binder = this.theRowidNullBinder; break;case 183: binder = this.theIntervalDSNullBinder; break;case 182: binder = this.theIntervalYMNullBinder; break;case 23: case 24: binder = this.theRawNullBinder; break;case 100: binder = this.theBinaryFloatNullBinder; break;case 101: binder = this.theBinaryDoubleNullBinder; break;case 113: binder = this.theBlobNullBinder; break;case 112: binder = this.theClobNullBinder; break;case 114: binder = this.theBfileNullBinder; break;case 109: case 111: DatabaseError.throwSqlException(4, "sqlType=" + paramInt2);default: DatabaseError.throwSqlException(23, "sqlType=" + paramInt2); break; }  this.currentRowBinders[i] = binder; }
/*       */   public void setNullAtName(String paramString, int paramInt) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setNull(b + 1, paramInt); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public synchronized void setBoolean(int paramInt, boolean paramBoolean) throws SQLException { setBooleanInternal(paramInt, paramBoolean); }
/*       */   void setBooleanInternal(int paramInt, boolean paramBoolean) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theBooleanBinder; if (this.parameterInt == null) this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterInt[this.currentRank][i] = paramBoolean ? 1 : 0; }
/*       */   public void setBooleanAtName(String paramString, boolean paramBoolean) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBoolean(b + 1, paramBoolean); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public synchronized void setByte(int paramInt, byte paramByte) throws SQLException { setByteInternal(paramInt, paramByte); }
/*  1186 */   void setByteInternal(int paramInt, byte paramByte) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theByteBinder; if (this.parameterInt == null) this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterInt[this.currentRank][i] = paramByte; } public void setByteAtName(String paramString, byte paramByte) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setByte(b + 1, paramByte); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setShort(int paramInt, short paramShort) throws SQLException { setShortInternal(paramInt, paramShort); } void setShortInternal(int paramInt, short paramShort) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theShortBinder; if (this.parameterInt == null) this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterInt[this.currentRank][i] = paramShort; } public void setShortAtName(String paramString, short paramShort) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setShort(b + 1, paramShort); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setInt(int paramInt1, int paramInt2) throws SQLException { setIntInternal(paramInt1, paramInt2); } void setIntInternal(int paramInt1, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theIntBinder; if (this.parameterInt == null) this.parameterInt = new int[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterInt[this.currentRank][i] = paramInt2; } public void setIntAtName(String paramString, int paramInt) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setInt(b + 1, paramInt); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setLong(int paramInt, long paramLong) throws SQLException { setLongInternal(paramInt, paramLong); } void setLongInternal(int paramInt, long paramLong) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theLongBinder; if (this.parameterLong == null) this.parameterLong = new long[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterLong[this.currentRank][i] = paramLong; } public void setLongAtName(String paramString, long paramLong) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setLong(b + 1, paramLong); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setFloat(int paramInt, float paramFloat) throws SQLException { setFloatInternal(paramInt, paramFloat); } void setFloatInternal(int paramInt, float paramFloat) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (this.theFloatBinder == null) { this.theFloatBinder = theStaticFloatBinder; Properties properties = this.connection.connectionProperties; if (properties != null) { String str = properties.getProperty("SetFloatAndDoubleUseBinary"); if (str != null && str.equalsIgnoreCase("true")) this.theFloatBinder = theStaticBinaryFloatBinder;  }  }  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theFloatBinder; if (this.theFloatBinder == theStaticFloatBinder) { if (this.parameterDouble == null) this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterDouble[this.currentRank][i] = paramFloat; } else { if (this.parameterFloat == null) this.parameterFloat = new float[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterFloat[this.currentRank][i] = paramFloat; }  } public synchronized void setBinaryFloat(int paramInt, float paramFloat) throws SQLException { setBinaryFloatInternal(paramInt, paramFloat); } void setBinaryFloatInternal(int paramInt, float paramFloat) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theBinaryFloatBinder; if (this.parameterFloat == null) this.parameterFloat = new float[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterFloat[this.currentRank][i] = paramFloat; } public void setBinaryFloatAtName(String paramString, float paramFloat) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBinaryFloat(b + 1, paramFloat); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBinaryFloat(int paramInt, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException { setBinaryFloatInternal(paramInt, paramBINARY_FLOAT); } void setBinaryFloatInternal(int paramInt, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramBINARY_FLOAT == null) { this.currentRowBinders[i] = this.theBINARY_FLOATNullBinder; } else { this.currentRowBinders[i] = this.theBINARY_FLOATBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramBINARY_FLOAT.getBytes(); }  this.currentRowCharLens[i] = 0; } public void setBinaryFloatAtName(String paramString, BINARY_FLOAT paramBINARY_FLOAT) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBinaryFloat(b + 1, paramBINARY_FLOAT); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBinaryDouble(int paramInt, double paramDouble) throws SQLException { setBinaryDoubleInternal(paramInt, paramDouble); } void setBinaryDoubleInternal(int paramInt, double paramDouble) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowBinders[i] = this.theBinaryDoubleBinder; if (this.parameterDouble == null) this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.currentRowCharLens[i] = 0; this.parameterDouble[this.currentRank][i] = paramDouble; } public synchronized void setBinaryDouble(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException { setBinaryDoubleInternal(paramInt, paramBINARY_DOUBLE); } void setBinaryDoubleInternal(int paramInt, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramBINARY_DOUBLE == null) { this.currentRowBinders[i] = this.theBINARY_DOUBLENullBinder; } else { this.currentRowBinders[i] = this.theBINARY_DOUBLEBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramBINARY_DOUBLE.getBytes(); }  this.currentRowCharLens[i] = 0; } public void setBinaryDoubleAtName(String paramString, double paramDouble) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBinaryDouble(b + 1, paramDouble); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setFloatAtName(String paramString, float paramFloat) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setFloat(b + 1, paramFloat); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setBinaryDoubleAtName(String paramString, BINARY_DOUBLE paramBINARY_DOUBLE) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBinaryDouble(b + 1, paramBINARY_DOUBLE); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setDouble(int paramInt, double paramDouble) throws SQLException { setDoubleInternal(paramInt, paramDouble); } void setDoubleInternal(int paramInt, double paramDouble) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (this.theDoubleBinder == null) { this.theDoubleBinder = theStaticDoubleBinder; Properties properties = this.connection.connectionProperties; if (properties != null) { String str = properties.getProperty("SetFloatAndDoubleUseBinary"); if (str != null && str.equalsIgnoreCase("true")) this.theDoubleBinder = theStaticBinaryDoubleBinder;  }  }  this.currentRowCharLens[i] = 0; this.currentRowBinders[i] = this.theDoubleBinder; if (this.parameterDouble == null) this.parameterDouble = new double[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterDouble[this.currentRank][i] = paramDouble; } public void setDoubleAtName(String paramString, double paramDouble) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setDouble(b + 1, paramDouble); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBigDecimal(int paramInt, BigDecimal paramBigDecimal) throws SQLException { setBigDecimalInternal(paramInt, paramBigDecimal); } void setBigDecimalInternal(int paramInt, BigDecimal paramBigDecimal) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramBigDecimal == null) { this.currentRowBinders[i] = this.theVarnumNullBinder; } else { this.currentRowBinders[i] = this.theBigDecimalBinder; if (this.parameterBigDecimal == null) this.parameterBigDecimal = new BigDecimal[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterBigDecimal[this.currentRank][i] = paramBigDecimal; }  this.currentRowCharLens[i] = 0; } public void setBigDecimalAtName(String paramString, BigDecimal paramBigDecimal) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBigDecimal(b + 1, paramBigDecimal); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setString(int paramInt, String paramString) throws SQLException { setStringInternal(paramInt, paramString); } void setStringInternal(int paramInt, String paramString) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  byte b = (paramString != null) ? paramString.length() : 0; if (!b) { basicBindNullString(paramInt); } else if (this.currentRowFormOfUse[paramInt - 1] == 1) { if (this.sqlKind == 1 || this.sqlKind == 4) { if (b > this.maxVcsBytesPlsql || (b > this.maxVcsCharsPlsql && this.isServerCharSetFixedWidth)) { setStringForClobCritical(paramInt, paramString); } else if (b > this.maxVcsCharsPlsql) { int j = this.connection.conversion.encodedByteLength(paramString, false); if (j > this.maxVcsBytesPlsql) { setStringForClobCritical(paramInt, paramString); } else { basicBindString(paramInt, paramString); }  } else { basicBindString(paramInt, paramString); }  } else if (b <= this.maxVcsCharsSql) { basicBindString(paramInt, paramString); } else if (b <= this.maxStreamCharsSql) { basicBindCharacterStream(paramInt, new StringReader(paramString), b); } else { setStringForClobCritical(paramInt, paramString); }  } else if (this.sqlKind == 1 || this.sqlKind == 4) { if (b > this.maxVcsBytesPlsql || (b > this.maxVcsNCharsPlsql && this.isServerNCharSetFixedWidth)) { setStringForClobCritical(paramInt, paramString); } else if (b > this.maxVcsNCharsPlsql) { int j = this.connection.conversion.encodedByteLength(paramString, true); if (j > this.maxVcsBytesPlsql) { setStringForClobCritical(paramInt, paramString); } else { basicBindString(paramInt, paramString); }  } else { basicBindString(paramInt, paramString); }  } else if (b <= this.maxVcsCharsSql) { basicBindString(paramInt, paramString); } else if (b <= this.maxStreamNCharsSql) { setStringForClobCritical(paramInt, paramString); } else { setStringForClobCritical(paramInt, paramString); }  } void basicBindNullString(int paramInt) throws SQLException { int i = paramInt - 1; this.currentRowBinders[i] = this.theVarcharNullBinder; if (this.sqlKind == 1 || this.sqlKind == 4) { this.currentRowCharLens[i] = this.minVcsBindSize; } else { this.currentRowCharLens[i] = 1; }  } void basicBindString(int paramInt, String paramString) throws SQLException { int i = paramInt - 1; this.currentRowBinders[i] = this.theStringBinder; int j = paramString.length(); if (this.sqlKind == 1 || this.sqlKind == 4) { int k = this.connection.minVcsBindSize; int m = j + 1; this.currentRowCharLens[i] = (m < k) ? k : m; } else { this.currentRowCharLens[i] = j + 1; }  if (this.parameterString == null) this.parameterString = new String[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterString[this.currentRank][i] = paramString; } public void setStringAtName(String paramString1, String paramString2) throws SQLException { String str = paramString1.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setString(b + 1, paramString2); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString1);  } public void setStringForClob(int paramInt, String paramString) throws SQLException { if (paramString == null) { setNull(paramInt, 1); return; }  int i = paramString.length(); if (i == 0) { setNull(paramInt, 1); return; }  if (this.sqlKind == 1 || this.sqlKind == 4) { if (i <= this.maxVcsCharsPlsql) { setStringInternal(paramInt, paramString); } else { setStringForClobCritical(paramInt, paramString); }  } else if (i <= this.maxVcsCharsSql) { setStringInternal(paramInt, paramString); } else { setStringForClobCritical(paramInt, paramString); }  } void setStringForClobCritical(int paramInt, String paramString) throws SQLException { synchronized (this.connection) { synchronized (this) { CLOB cLOB = CLOB.createTemporary((Connection)this.connection, true, 10, this.currentRowFormOfUse[paramInt - 1]); cLOB.setString(1L, paramString); addToTempLobsToFree(cLOB); setCLOBInternal(paramInt, cLOB); }  }  } void setReaderContentsForClobCritical(int paramInt1, Reader paramReader, int paramInt2) throws SQLException { synchronized (this.connection) { synchronized (this) { CLOB cLOB = CLOB.createTemporary((Connection)this.connection, true, 10, this.currentRowFormOfUse[paramInt1 - 1]); OracleClobWriter oracleClobWriter = (OracleClobWriter)cLOB.setCharacterStream(1L); int i = cLOB.getBufferSize(); char[] arrayOfChar = new char[i]; int j = paramInt2; try { while (j >= i) { paramReader.read(arrayOfChar); oracleClobWriter.write(arrayOfChar); j -= i; }  if (j > 0) { paramReader.read(arrayOfChar, 0, j); oracleClobWriter.write(arrayOfChar, 0, j); }  oracleClobWriter.flush(); } catch (IOException iOException) {} addToTempLobsToFree(cLOB); setCLOBInternal(paramInt1, cLOB); }  }  } void setAsciiStreamContentsForClobCritical(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { synchronized (this.connection) { synchronized (this) { CLOB cLOB = CLOB.createTemporary((Connection)this.connection, true, 10, this.currentRowFormOfUse[paramInt1 - 1]); OracleClobWriter oracleClobWriter = (OracleClobWriter)cLOB.setCharacterStream(1L); int i = cLOB.getBufferSize(); byte[] arrayOfByte = new byte[i]; char[] arrayOfChar = new char[i]; int j = paramInt2; try { while (j >= i) { paramInputStream.read(arrayOfByte); DBConversion.asciiBytesToJavaChars(arrayOfByte, i, arrayOfChar); oracleClobWriter.write(arrayOfChar); j -= i; }  if (j > 0) { paramInputStream.read(arrayOfByte, 0, j); DBConversion.asciiBytesToJavaChars(arrayOfByte, j, arrayOfChar); oracleClobWriter.write(arrayOfChar, 0, j); }  oracleClobWriter.flush(); } catch (IOException iOException) {} addToTempLobsToFree(cLOB); setCLOBInternal(paramInt1, cLOB); }  }  } public void setStringForClobAtName(String paramString1, String paramString2) throws SQLException { String str = paramString1.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setStringForClob(b + 1, paramString2); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString1);  } public synchronized void setFixedCHAR(int paramInt, String paramString) throws SQLException { setFixedCHARInternal(paramInt, paramString); } void setFixedCHARInternal(int paramInt, String paramString) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  int j = 0; if (paramString != null) j = paramString.length();  if (j > 32766) DatabaseError.throwSqlException(157);  if (paramString == null) { this.currentRowBinders[i] = this.theFixedCHARNullBinder; this.currentRowCharLens[i] = 1; } else { this.currentRowBinders[i] = this.theFixedCHARBinder; this.currentRowCharLens[i] = j + 1; if (this.parameterString == null) this.parameterString = new String[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterString[this.currentRank][i] = paramString; }  } public void setFixedCHARAtName(String paramString1, String paramString2) throws SQLException { String str = paramString1.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setFixedCHAR(b + 1, paramString2); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString1);  } public synchronized void setCursor(int paramInt, ResultSet paramResultSet) throws SQLException { setCursorInternal(paramInt, paramResultSet); } OraclePreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException { super(paramPhysicalConnection, paramInt1, paramInt2, paramInt3, paramInt4);
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     
/*  5335 */     this.SetBigStringTryClob = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     
/* 10424 */     this.m_batchStyle = 0; if (paramInt1 > 1) setOracleBatchStyle();  this.theSetCHARBinder = paramPhysicalConnection.useLittleEndianSetCHARBinder() ? theStaticLittleEndianSetCHARBinder : theStaticSetCHARBinder; this.theRowidBinder = paramPhysicalConnection.useLittleEndianSetCHARBinder() ? theStaticLittleEndianRowidBinder : theStaticRowidBinder; this.statementType = 1; this.currentRow = -1; this.needToParse = true; this.processEscapes = paramPhysicalConnection.processEscapes; this.sqlObject.initialize(paramString); this.sqlKind = this.sqlObject.getSqlKind(); this.clearParameters = true; this.scrollRsetTypeSolved = false; this.prematureBatchCount = 0; initializeBinds(); this.minVcsBindSize = paramPhysicalConnection.minVcsBindSize; this.maxRawBytesSql = paramPhysicalConnection.maxRawBytesSql; this.maxRawBytesPlsql = paramPhysicalConnection.maxRawBytesPlsql; this.maxVcsCharsSql = paramPhysicalConnection.maxVcsCharsSql; this.maxVcsNCharsSql = paramPhysicalConnection.maxVcsNCharsSql; this.maxVcsBytesPlsql = paramPhysicalConnection.maxVcsBytesPlsql; this.maxCharSize = this.connection.conversion.sMaxCharSize; this.maxNCharSize = this.connection.conversion.maxNCharSize; this.maxVcsCharsPlsql = this.maxVcsBytesPlsql / this.maxCharSize; this.maxVcsNCharsPlsql = this.maxVcsBytesPlsql / this.maxNCharSize; this.maxStreamCharsSql = Integer.MAX_VALUE / this.maxCharSize; this.maxStreamNCharsSql = this.maxRawBytesSql / this.maxNCharSize; this.isServerCharSetFixedWidth = this.connection.conversion.isServerCharSetFixedWidth; this.isServerNCharSetFixedWidth = this.connection.conversion.isServerNCharSetFixedWidth; }
/*       */   void setCursorInternal(int paramInt, ResultSet paramResultSet) throws SQLException { throw DatabaseError.newSqlException(23); }
/*       */   public void setCursorAtName(String paramString, ResultSet paramResultSet) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setCursor(b + 1, paramResultSet); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public synchronized void setROWID(int paramInt, ROWID paramROWID) throws SQLException { setROWIDInternal(paramInt, paramROWID); }
/*       */   void setROWIDInternal(int paramInt, ROWID paramROWID) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramROWID == null) { this.currentRowBinders[i] = this.theRowidNullBinder; } else { this.currentRowBinders[i] = this.theRowidBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramROWID.getBytes(); }  this.currentRowCharLens[i] = 0; }
/*       */   public void setROWIDAtName(String paramString, ROWID paramROWID) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setROWID(b + 1, paramROWID); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public void setArray(int paramInt, Array paramArray) throws SQLException { setARRAYInternal(paramInt, (ARRAY)paramArray); }
/*       */   void setArrayInternal(int paramInt, Array paramArray) throws SQLException { setARRAYInternal(paramInt, (ARRAY)paramArray); }
/*       */   public void setArrayAtName(String paramString, Array paramArray) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setArrayInternal(b + 1, paramArray); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public void setARRAY(int paramInt, ARRAY paramARRAY) throws SQLException { setARRAYInternal(paramInt, paramARRAY); }
/* 10434 */   void setARRAYInternal(int paramInt, ARRAY paramARRAY) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramARRAY == null) { DatabaseError.throwSqlException(68); } else { synchronized (this.connection) { synchronized (this) { setArrayCritical(i, paramARRAY); this.currentRowCharLens[i] = 0; }  }  }  } void setArrayCritical(int paramInt, ARRAY paramARRAY) throws SQLException { ArrayDescriptor arrayDescriptor = paramARRAY.getDescriptor(); if (arrayDescriptor == null) DatabaseError.throwSqlException(61);  this.currentRowBinders[paramInt] = this.theNamedTypeBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][paramInt] = paramARRAY.toBytes(); OracleTypeCOLLECTION oracleTypeCOLLECTION = arrayDescriptor.getOracleTypeCOLLECTION(); oracleTypeCOLLECTION.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt] = (OracleTypeADT)oracleTypeCOLLECTION; } public void setARRAYAtName(String paramString, ARRAY paramARRAY) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setARRAYInternal(b + 1, paramARRAY); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setOPAQUE(int paramInt, OPAQUE paramOPAQUE) throws SQLException { setOPAQUEInternal(paramInt, paramOPAQUE); } void setOPAQUEInternal(int paramInt, OPAQUE paramOPAQUE) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramOPAQUE == null) { DatabaseError.throwSqlException(68); } else { synchronized (this.connection) { synchronized (this) { setOPAQUECritical(i, paramOPAQUE); this.currentRowCharLens[i] = 0; }  }  }  } void setOPAQUECritical(int paramInt, OPAQUE paramOPAQUE) throws SQLException { OpaqueDescriptor opaqueDescriptor = paramOPAQUE.getDescriptor(); if (opaqueDescriptor == null) DatabaseError.throwSqlException(61);  this.currentRowBinders[paramInt] = this.theNamedTypeBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][paramInt] = paramOPAQUE.toBytes(); OracleTypeADT oracleTypeADT = (OracleTypeADT)opaqueDescriptor.getPickler(); oracleTypeADT.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt] = oracleTypeADT; } public void setOPAQUEAtName(String paramString, OPAQUE paramOPAQUE) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setOPAQUEInternal(b + 1, paramOPAQUE); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setStructDescriptor(int paramInt, StructDescriptor paramStructDescriptor) throws SQLException { setStructDescriptorInternal(paramInt, paramStructDescriptor); } void setStructDescriptorInternal(int paramInt, StructDescriptor paramStructDescriptor) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramStructDescriptor == null) DatabaseError.throwSqlException(68);  synchronized (this.connection) { synchronized (this) { setStructDescriptorCritical(i, paramStructDescriptor); this.currentRowCharLens[i] = 0; }  }  } void setStructDescriptorCritical(int paramInt, StructDescriptor paramStructDescriptor) throws SQLException { this.currentRowBinders[paramInt] = this.theNamedTypeBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  OracleTypeADT oracleTypeADT = paramStructDescriptor.getOracleTypeADT(); oracleTypeADT.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt] = oracleTypeADT; } public void setStructDescriptorAtName(String paramString, StructDescriptor paramStructDescriptor) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setStructDescriptorInternal(b + 1, paramStructDescriptor); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } synchronized void setPreBindsCompelete() throws SQLException {} public void setSTRUCT(int paramInt, STRUCT paramSTRUCT) throws SQLException { setSTRUCTInternal(paramInt, paramSTRUCT); } void setSTRUCTInternal(int paramInt, STRUCT paramSTRUCT) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramSTRUCT == null) { DatabaseError.throwSqlException(68); } else { synchronized (this.connection) { synchronized (this) { setSTRUCTCritical(i, paramSTRUCT); this.currentRowCharLens[i] = 0; }  }  }  } void setSTRUCTCritical(int paramInt, STRUCT paramSTRUCT) throws SQLException { StructDescriptor structDescriptor = paramSTRUCT.getDescriptor(); if (structDescriptor == null) DatabaseError.throwSqlException(61);  this.currentRowBinders[paramInt] = this.theNamedTypeBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][paramInt] = paramSTRUCT.toBytes(); OracleTypeADT oracleTypeADT = structDescriptor.getOracleTypeADT(); oracleTypeADT.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt] = oracleTypeADT; } public void setSTRUCTAtName(String paramString, STRUCT paramSTRUCT) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setSTRUCTInternal(b + 1, paramSTRUCT); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setRAW(int paramInt, RAW paramRAW) throws SQLException { setRAWInternal(paramInt, paramRAW); } void setRAWInternal(int paramInt, RAW paramRAW) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramRAW == null) { this.currentRowBinders[i] = this.theRawNullBinder; } else { setBytesInternal(paramInt, paramRAW.getBytes()); }  } public void setRAWAtName(String paramString, RAW paramRAW) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setRAW(b + 1, paramRAW); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setCHAR(int paramInt, CHAR paramCHAR) throws SQLException { setCHARInternal(paramInt, paramCHAR); } void setCHARInternal(int paramInt, CHAR paramCHAR) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramCHAR == null || (paramCHAR.shareBytes()).length == 0) { this.currentRowBinders[i] = this.theSetCHARNullBinder; this.currentRowCharLens[i] = 1; } else { byte[] arrayOfByte; short s = (short)paramCHAR.oracleId(); this.currentRowBinders[i] = this.theSetCHARBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  CharacterSet characterSet = (this.currentRowFormOfUse[i] == 2) ? this.connection.setCHARNCharSetObj : this.connection.setCHARCharSetObj; if (characterSet != null && characterSet.getOracleId() != s) { byte[] arrayOfByte1 = paramCHAR.shareBytes(); arrayOfByte = characterSet.convert(paramCHAR.getCharacterSet(), arrayOfByte1, 0, arrayOfByte1.length); } else { arrayOfByte = paramCHAR.getBytes(); }  this.parameterDatum[this.currentRank][i] = arrayOfByte; this.currentRowCharLens[i] = (arrayOfByte.length + 1 >> 1) + 1; }  if (this.sqlKind == 1 || this.sqlKind == 4) if (this.currentRowCharLens[i] < this.minVcsBindSize) this.currentRowCharLens[i] = this.minVcsBindSize;   } final void setOracleBatchStyle() throws SQLException { if (this.m_batchStyle == 2) {
/*       */       
/* 10436 */       DatabaseError.throwSqlException(90, "operation cannot be mixed with JDBC-2.0-style batching");
/*       */     
/*       */     }
/* 10439 */     else if (this.m_batchStyle == 0) {
/*       */     
/*       */     } 
/*       */ 
/*       */ 
/*       */ 
/*       */     
/* 10446 */     this.m_batchStyle = 1; } public void setCHARAtName(String paramString, CHAR paramCHAR) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setCHAR(b + 1, paramCHAR); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setDATE(int paramInt, DATE paramDATE) throws SQLException { setDATEInternal(paramInt, paramDATE); } void setDATEInternal(int paramInt, DATE paramDATE) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramDATE == null) { this.currentRowBinders[i] = this.theDateNullBinder; } else { this.currentRowBinders[i] = this.theOracleDateBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramDATE.getBytes(); }  } public void setDATEAtName(String paramString, DATE paramDATE) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setDATE(b + 1, paramDATE); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setNUMBER(int paramInt, NUMBER paramNUMBER) throws SQLException { setNUMBERInternal(paramInt, paramNUMBER); } void setNUMBERInternal(int paramInt, NUMBER paramNUMBER) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramNUMBER == null) { this.currentRowBinders[i] = this.theVarnumNullBinder; } else { this.currentRowBinders[i] = this.theOracleNumberBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramNUMBER.getBytes(); }  } public void setNUMBERAtName(String paramString, NUMBER paramNUMBER) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setNUMBER(b + 1, paramNUMBER); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBLOB(int paramInt, BLOB paramBLOB) throws SQLException { setBLOBInternal(paramInt, paramBLOB); } void setBLOBInternal(int paramInt, BLOB paramBLOB) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramBLOB == null) { this.currentRowBinders[i] = this.theBlobNullBinder; } else { this.currentRowBinders[i] = this.theBlobBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramBLOB.getBytes(); }  } public void setBLOBAtName(String paramString, BLOB paramBLOB) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBLOB(b + 1, paramBLOB); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBlob(int paramInt, Blob paramBlob) throws SQLException { setBLOBInternal(paramInt, (BLOB)paramBlob); } void setBlobInternal(int paramInt, Blob paramBlob) throws SQLException { setBLOBInternal(paramInt, (BLOB)paramBlob); } public void setBlobAtName(String paramString, Blob paramBlob) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBlob(b + 1, paramBlob); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setCLOB(int paramInt, CLOB paramCLOB) throws SQLException { setCLOBInternal(paramInt, paramCLOB); } void setCLOBInternal(int paramInt, CLOB paramCLOB) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramCLOB == null) { this.currentRowBinders[i] = this.theClobNullBinder; } else { this.currentRowBinders[i] = this.theClobBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramCLOB.getBytes(); }  } public void setCLOBAtName(String paramString, CLOB paramCLOB) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setCLOB(b + 1, paramCLOB); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setClob(int paramInt, Clob paramClob) throws SQLException { setCLOBInternal(paramInt, (CLOB)paramClob); } void setClobInternal(int paramInt, Clob paramClob) throws SQLException { setCLOBInternal(paramInt, (CLOB)paramClob); } public void setClobAtName(String paramString, Clob paramClob) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setClob(b + 1, paramClob); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBFILE(int paramInt, BFILE paramBFILE) throws SQLException { setBFILEInternal(paramInt, paramBFILE); } void setBFILEInternal(int paramInt, BFILE paramBFILE) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  this.currentRowCharLens[i] = 0; if (paramBFILE == null) { this.currentRowBinders[i] = this.theBfileNullBinder; } else { this.currentRowBinders[i] = this.theBfileBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramBFILE.getBytes(); }  } public void setBFILEAtName(String paramString, BFILE paramBFILE) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBFILE(b + 1, paramBFILE); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setBfile(int paramInt, BFILE paramBFILE) throws SQLException { setBFILEInternal(paramInt, paramBFILE); } void setBfileInternal(int paramInt, BFILE paramBFILE) throws SQLException { setBFILEInternal(paramInt, paramBFILE); } public void setBfileAtName(String paramString, BFILE paramBFILE) throws SQLException { setBFILEAtName(paramString, paramBFILE); } public synchronized void setBytes(int paramInt, byte[] paramArrayOfbyte) throws SQLException { setBytesInternal(paramInt, paramArrayOfbyte); } void setBytesInternal(int paramInt, byte[] paramArrayOfbyte) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  byte b = (paramArrayOfbyte != null) ? paramArrayOfbyte.length : 0; if (!b) { setNullInternal(paramInt, -2); } else if (this.sqlKind == 1) { if (b > this.maxRawBytesPlsql) { setBytesForBlobCritical(paramInt, paramArrayOfbyte); } else { basicBindBytes(paramInt, paramArrayOfbyte); }  } else if (this.sqlKind == 4) { if (b > this.maxRawBytesPlsql) { setBytesForBlobCritical(paramInt, paramArrayOfbyte); } else { basicBindBytes(paramInt, paramArrayOfbyte); }  } else if (b > this.maxRawBytesSql) { bindBytesAsStream(paramInt, paramArrayOfbyte); } else { basicBindBytes(paramInt, paramArrayOfbyte); }  } void bindBytesAsStream(int paramInt, byte[] paramArrayOfbyte) throws SQLException { int i = paramArrayOfbyte.length; byte[] arrayOfByte = new byte[i]; System.arraycopy(paramArrayOfbyte, 0, arrayOfByte, 0, i); basicBindBinaryStream(paramInt, new ByteArrayInputStream(arrayOfByte), i); } void basicBindBytes(int paramInt, byte[] paramArrayOfbyte) throws SQLException { int i = paramInt - 1; Binder binder = (this.sqlKind == 1 || this.sqlKind == 4) ? this.thePlsqlRawBinder : this.theRawBinder; this.currentRowBinders[i] = binder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramArrayOfbyte; this.currentRowCharLens[i] = 0; } void basicBindBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { int i = paramInt1 - 1; this.currentRowBinders[i] = this.theLongRawStreamBinder; if (this.parameterStream == null) this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 6, paramInt2); this.currentRowCharLens[i] = 0; } public void setBytesAtName(String paramString, byte[] paramArrayOfbyte) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBytes(b + 1, paramArrayOfbyte); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setBytesForBlob(int paramInt, byte[] paramArrayOfbyte) throws SQLException { if (paramArrayOfbyte == null) { setNull(paramInt, -2); return; }  int i = paramArrayOfbyte.length; if (i == 0) { setNull(paramInt, -2); return; }  if (this.sqlKind == 1 || this.sqlKind == 4) { if (i <= this.maxRawBytesPlsql) { setBytes(paramInt, paramArrayOfbyte); } else { setBytesForBlobCritical(paramInt, paramArrayOfbyte); }  } else if (i <= this.maxRawBytesSql) { setBytes(paramInt, paramArrayOfbyte); } else { setBytesForBlobCritical(paramInt, paramArrayOfbyte); }  } void setBytesForBlobCritical(int paramInt, byte[] paramArrayOfbyte) throws SQLException { synchronized (this.connection) { synchronized (this) { BLOB bLOB = BLOB.createTemporary((Connection)this.connection, true, 10); bLOB.putBytes(1L, paramArrayOfbyte); addToTempLobsToFree(bLOB); setBLOBInternal(paramInt, bLOB); }  }  } void setBinaryStreamContentsForBlobCritical(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { synchronized (this.connection) { synchronized (this) { BLOB bLOB = BLOB.createTemporary((Connection)this.connection, true, 10); OracleBlobOutputStream oracleBlobOutputStream = (OracleBlobOutputStream)bLOB.setBinaryStream(1L); int i = bLOB.getBufferSize(); byte[] arrayOfByte = new byte[i]; int j = paramInt2; try { while (j >= i) { paramInputStream.read(arrayOfByte); oracleBlobOutputStream.write(arrayOfByte); j -= i; }  if (j > 0) { paramInputStream.read(arrayOfByte, 0, j); oracleBlobOutputStream.write(arrayOfByte, 0, j); }  oracleBlobOutputStream.flush(); } catch (IOException iOException) {} addToTempLobsToFree(bLOB); setBLOBInternal(paramInt1, bLOB); }  }  } public void setBytesForBlobAtName(String paramString, byte[] paramArrayOfbyte) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setBytesForBlob(b + 1, paramArrayOfbyte); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setInternalBytes(int paramInt1, byte[] paramArrayOfbyte, int paramInt2) throws SQLException { setInternalBytesInternal(paramInt1, paramArrayOfbyte, paramInt2); } void setInternalBytesInternal(int paramInt1, byte[] paramArrayOfbyte, int paramInt2) throws SQLException { DatabaseError.throwSqlException(23); } public synchronized void setDate(int paramInt, Date paramDate) throws SQLException { setDateInternal(paramInt, paramDate); } void setDateInternal(int paramInt, Date paramDate) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramDate == null) { this.currentRowBinders[i] = this.theDateNullBinder; } else { this.currentRowBinders[i] = this.theDateBinder; if (this.parameterDate == null) this.parameterDate = new Date[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterDate[this.currentRank][i] = paramDate; }  this.currentRowCharLens[i] = 0; } public void setDateAtName(String paramString, Date paramDate) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setDate(b + 1, paramDate); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setTime(int paramInt, Time paramTime) throws SQLException { setTimeInternal(paramInt, paramTime); } void setTimeInternal(int paramInt, Time paramTime) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramTime == null) { this.currentRowBinders[i] = this.theDateNullBinder; } else { this.currentRowBinders[i] = this.theTimeBinder; if (this.parameterTime == null) this.parameterTime = new Time[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterTime[this.currentRank][i] = paramTime; }  this.currentRowCharLens[i] = 0; } public void setTimeAtName(String paramString, Time paramTime) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setTime(b + 1, paramTime); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setTimestamp(int paramInt, Timestamp paramTimestamp) throws SQLException { setTimestampInternal(paramInt, paramTimestamp); } void setTimestampInternal(int paramInt, Timestamp paramTimestamp) throws SQLException { if (this.connection.v8Compatible) { if (paramTimestamp == null) { setDATEInternal(paramInt, (DATE)null); } else { DATE dATE = new DATE(paramTimestamp); setDATEInternal(paramInt, dATE); }  } else { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramTimestamp == null) { this.currentRowBinders[i] = this.theTimestampNullBinder; } else { this.currentRowBinders[i] = this.theTimestampBinder; if (this.parameterTimestamp == null) this.parameterTimestamp = new Timestamp[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterTimestamp[this.currentRank][i] = paramTimestamp; }  this.currentRowCharLens[i] = 0; }  } public void setTimestampAtName(String paramString, Timestamp paramTimestamp) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setTimestamp(b + 1, paramTimestamp); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setINTERVALYM(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException { setINTERVALYMInternal(paramInt, paramINTERVALYM); } void setINTERVALYMInternal(int paramInt, INTERVALYM paramINTERVALYM) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramINTERVALYM == null) { this.currentRowBinders[i] = this.theIntervalYMNullBinder; } else { this.currentRowBinders[i] = this.theIntervalYMBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramINTERVALYM.getBytes(); }  this.currentRowCharLens[i] = 0; } public void setINTERVALYMAtName(String paramString, INTERVALYM paramINTERVALYM) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setINTERVALYM(b + 1, paramINTERVALYM); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setINTERVALDS(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException { setINTERVALDSInternal(paramInt, paramINTERVALDS); } void setINTERVALDSInternal(int paramInt, INTERVALDS paramINTERVALDS) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramINTERVALDS == null) { this.currentRowBinders[i] = this.theIntervalDSNullBinder; } else { this.currentRowBinders[i] = this.theIntervalDSBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramINTERVALDS.getBytes(); }  this.currentRowCharLens[i] = 0; } public void setINTERVALDSAtName(String paramString, INTERVALDS paramINTERVALDS) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setINTERVALDS(b + 1, paramINTERVALDS); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setTIMESTAMP(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException { setTIMESTAMPInternal(paramInt, paramTIMESTAMP); } void setTIMESTAMPInternal(int paramInt, TIMESTAMP paramTIMESTAMP) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramTIMESTAMP == null) { this.currentRowBinders[i] = this.theTimestampNullBinder; } else { this.currentRowBinders[i] = this.theOracleTimestampBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramTIMESTAMP.getBytes(); }  this.currentRowCharLens[i] = 0; } public void setTIMESTAMPAtName(String paramString, TIMESTAMP paramTIMESTAMP) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setTIMESTAMP(b + 1, paramTIMESTAMP); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setTIMESTAMPTZ(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException { setTIMESTAMPTZInternal(paramInt, paramTIMESTAMPTZ); }
/*       */   void setTIMESTAMPTZInternal(int paramInt, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramTIMESTAMPTZ == null) { this.currentRowBinders[i] = this.theTSTZNullBinder; } else { this.currentRowBinders[i] = this.theTSTZBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramTIMESTAMPTZ.getBytes(); }  this.currentRowCharLens[i] = 0; }
/*       */   public void setTIMESTAMPTZAtName(String paramString, TIMESTAMPTZ paramTIMESTAMPTZ) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setTIMESTAMPTZ(b + 1, paramTIMESTAMPTZ); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public synchronized void setTIMESTAMPLTZ(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException { setTIMESTAMPLTZInternal(paramInt, paramTIMESTAMPLTZ); }
/*       */   void setTIMESTAMPLTZInternal(int paramInt, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException { if (this.connection.getSessionTimeZone() == null) DatabaseError.throwSqlException(105);  int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramTIMESTAMPLTZ == null) { this.currentRowBinders[i] = this.theTSLTZNullBinder; } else { this.currentRowBinders[i] = this.theTSLTZBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][i] = paramTIMESTAMPLTZ.getBytes(); }  this.currentRowCharLens[i] = 0; }
/* 10451 */   boolean isOracleBatchStyle() { return (this.m_batchStyle == 1); } public void setTIMESTAMPLTZAtName(String paramString, TIMESTAMPLTZ paramTIMESTAMPLTZ) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setTIMESTAMPLTZ(b + 1, paramTIMESTAMPLTZ); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public synchronized void setAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { setAsciiStreamInternal(paramInt1, paramInputStream, paramInt2); } void setAsciiStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  set_execute_batch(1); if (paramInputStream == null) { basicBindNullString(paramInt1); } else if (this.userRsetType != 1 && paramInt2 > this.maxVcsCharsSql) { DatabaseError.throwSqlException(169); } else if (this.currentRowFormOfUse[i] == 1) { if (this.sqlKind == 1 || this.sqlKind == 4) { if (paramInt2 <= this.maxVcsCharsPlsql) { setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2); } else { setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2); }  } else if (paramInt2 <= this.maxVcsCharsSql) { setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2); } else { basicBindAsciiStream(paramInt1, paramInputStream, paramInt2); }  } else if (this.sqlKind == 1 || this.sqlKind == 4) { if (paramInt2 <= this.maxVcsNCharsPlsql) { setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2); } else { setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2); }  } else if (paramInt2 <= this.maxVcsNCharsSql) { setAsciiStreamContentsForStringInternal(paramInt1, paramInputStream, paramInt2); } else { setAsciiStreamContentsForClobCritical(paramInt1, paramInputStream, paramInt2); }  } void basicBindAsciiStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { if (this.userRsetType != 1) DatabaseError.throwSqlException(169);  int i = paramInt1 - 1; this.currentRowBinders[i] = this.theLongStreamBinder; if (this.parameterStream == null) this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 5, paramInt2); this.currentRowCharLens[i] = 0; } void setAsciiStreamContentsForStringInternal(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { byte[] arrayOfByte = new byte[paramInt2]; int i = 0; try { i = paramInputStream.read(arrayOfByte, 0, paramInt2); if (i == -1) i = 0;  } catch (IOException iOException) { DatabaseError.throwSqlException(iOException); }  if (i == 0) basicBindNullString(paramInt1);  char[] arrayOfChar = new char[paramInt2]; DBConversion.asciiBytesToJavaChars(arrayOfByte, i, arrayOfChar); basicBindString(paramInt1, new String(arrayOfChar)); } public void setAsciiStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); boolean bool = true; for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) if (bool) { setAsciiStream(b + 1, paramInputStream, paramInt); bool = false; } else { DatabaseError.throwSqlException(135); }   }  } public synchronized void setBinaryStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { setBinaryStreamInternal(paramInt1, paramInputStream, paramInt2); } void setBinaryStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  set_execute_batch(1); if (paramInputStream == null) { setRAWInternal(paramInt1, (RAW)null); } else if (this.userRsetType != 1 && paramInt2 > this.maxRawBytesSql) { DatabaseError.throwSqlException(169); } else if (this.sqlKind == 1 || this.sqlKind == 4) { if (paramInt2 > this.maxRawBytesPlsql) { setBinaryStreamContentsForBlobCritical(paramInt1, paramInputStream, paramInt2); } else { setBinaryStreamContentsForByteArrayInternal(paramInt1, paramInputStream, paramInt2); }  } else if (paramInt2 > this.maxRawBytesSql) { basicBindBinaryStream(paramInt1, paramInputStream, paramInt2); } else { setBinaryStreamContentsForByteArrayInternal(paramInt1, paramInputStream, paramInt2); }  } void setBinaryStreamContentsForByteArrayInternal(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { byte[] arrayOfByte = new byte[paramInt2]; int i = 0; try { i = paramInputStream.read(arrayOfByte, 0, paramInt2); if (i == -1) i = 0;  } catch (IOException iOException) { DatabaseError.throwSqlException(iOException); }  if (i != paramInt2) { byte[] arrayOfByte1 = new byte[i]; System.arraycopy(arrayOfByte, 0, arrayOfByte1, 0, i); arrayOfByte = arrayOfByte1; }  setBytesInternal(paramInt1, arrayOfByte); } public void setBinaryStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); boolean bool = true; for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) if (bool) { setBinaryStream(b + 1, paramInputStream, paramInt); bool = false; } else { DatabaseError.throwSqlException(135); }   }  } public synchronized void setUnicodeStream(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { setUnicodeStreamInternal(paramInt1, paramInputStream, paramInt2); } void setUnicodeStreamInternal(int paramInt1, InputStream paramInputStream, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  set_execute_batch(1); if (paramInputStream == null) { setStringInternal(paramInt1, (String)null); } else if (this.userRsetType != 1 && paramInt2 > this.maxVcsCharsSql) { DatabaseError.throwSqlException(169); } else if (this.sqlKind == 1 || this.sqlKind == 4 || paramInt2 <= this.maxVcsCharsSql) { byte[] arrayOfByte = new byte[paramInt2]; int j = 0; try { j = paramInputStream.read(arrayOfByte, 0, paramInt2); if (j == -1) j = 0;  } catch (IOException iOException) { DatabaseError.throwSqlException(iOException); }  char[] arrayOfChar = new char[j >> 1]; DBConversion.ucs2BytesToJavaChars(arrayOfByte, j, arrayOfChar); setStringInternal(paramInt1, new String(arrayOfChar)); } else { this.currentRowBinders[i] = this.theLongStreamBinder; if (this.parameterStream == null) this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramInputStream, 4, paramInt2); this.currentRowCharLens[i] = 0; }  } public void setUnicodeStreamAtName(String paramString, InputStream paramInputStream, int paramInt) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); boolean bool = true; for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) if (bool) { setUnicodeStream(b + 1, paramInputStream, paramInt); bool = false; } else { DatabaseError.throwSqlException(135); }   }  } public void setCustomDatum(int paramInt, CustomDatum paramCustomDatum) throws SQLException { synchronized (this.connection) { synchronized (this) { setObjectInternal(paramInt, this.connection.toDatum(paramCustomDatum)); }  }  } void setCustomDatumInternal(int paramInt, CustomDatum paramCustomDatum) throws SQLException { synchronized (this.connection) { synchronized (this) { Datum datum = this.connection.toDatum(paramCustomDatum); int i = sqlTypeForObject(datum); setObjectCritical(paramInt, datum, i, 0); }  }  } public void setCustomDatumAtName(String paramString, CustomDatum paramCustomDatum) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setCustomDatumInternal(b + 1, paramCustomDatum); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setORAData(int paramInt, ORAData paramORAData) throws SQLException { setORADataInternal(paramInt, paramORAData); } void setORADataInternal(int paramInt, ORAData paramORAData) throws SQLException { synchronized (this.connection) { synchronized (this) { Datum datum = paramORAData.toDatum((Connection)this.connection); int i = sqlTypeForObject(datum); setObjectCritical(paramInt, datum, i, 0); this.currentRowCharLens[paramInt - 1] = 0; }  }  } public void setORADataAtName(String paramString, ORAData paramORAData) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setORADataInternal(b + 1, paramORAData); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setObject(int paramInt1, Object paramObject, int paramInt2, int paramInt3) throws SQLException { setObjectInternal(paramInt1, paramObject, paramInt2, paramInt3); }
/*       */   void setObjectInternal(int paramInt1, Object paramObject, int paramInt2, int paramInt3) throws SQLException { if (paramObject == null && paramInt2 != 2002 && paramInt2 != 2008 && paramInt2 != 2003 && paramInt2 != 2007 && paramInt2 != 2006) { setNullInternal(paramInt1, paramInt2); } else if (paramInt2 == 2002 || paramInt2 == 2008 || paramInt2 == 2003) { synchronized (this.connection) { synchronized (this) { setObjectCritical(paramInt1, paramObject, paramInt2, paramInt3); this.currentRowCharLens[paramInt1 - 1] = 0; }  }  } else { synchronized (this) { setObjectCritical(paramInt1, paramObject, paramInt2, paramInt3); }  }  }
/*       */   void setObjectCritical(int paramInt1, Object paramObject, int paramInt2, int paramInt3) throws SQLException { switch (paramInt2) { case 1: if (paramObject instanceof CHAR) { setCHARInternal(paramInt1, (CHAR)paramObject); } else if (paramObject instanceof String) { setStringInternal(paramInt1, (String)paramObject); } else if (paramObject instanceof Boolean) { setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0)); } else if (paramObject instanceof Integer) { setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue()); } else if (paramObject instanceof Long) { setStringInternal(paramInt1, "" + ((Long)paramObject).longValue()); } else if (paramObject instanceof Float) { setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue()); } else if (paramObject instanceof Double) { setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue()); } else if (paramObject instanceof BigDecimal) { setStringInternal(paramInt1, ((BigDecimal)paramObject).toString()); } else if (paramObject instanceof Date) { setStringInternal(paramInt1, "" + ((Date)paramObject).toString()); } else if (paramObject instanceof Time) { setStringInternal(paramInt1, "" + ((Time)paramObject).toString()); } else if (paramObject instanceof Timestamp) { setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString()); } else { DatabaseError.throwSqlException(132); }  return;case 12: if (paramObject instanceof String) { setStringInternal(paramInt1, (String)paramObject); } else if (paramObject instanceof Boolean) { setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0)); } else if (paramObject instanceof Integer) { setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue()); } else if (paramObject instanceof Long) { setStringInternal(paramInt1, "" + ((Long)paramObject).longValue()); } else if (paramObject instanceof Float) { setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue()); } else if (paramObject instanceof Double) { setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue()); } else if (paramObject instanceof BigDecimal) { setStringInternal(paramInt1, ((BigDecimal)paramObject).toString()); } else if (paramObject instanceof Date) { setStringInternal(paramInt1, "" + ((Date)paramObject).toString()); } else if (paramObject instanceof Time) { setStringInternal(paramInt1, "" + ((Time)paramObject).toString()); } else if (paramObject instanceof Timestamp) { setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString()); } else { DatabaseError.throwSqlException(132); }  return;case 999: setFixedCHARInternal(paramInt1, (String)paramObject); return;case -1: if (paramObject instanceof String) { setStringInternal(paramInt1, (String)paramObject); } else if (paramObject instanceof Boolean) { setStringInternal(paramInt1, "" + (((Boolean)paramObject).booleanValue() ? 1 : 0)); } else if (paramObject instanceof Integer) { setStringInternal(paramInt1, "" + ((Integer)paramObject).intValue()); } else if (paramObject instanceof Long) { setStringInternal(paramInt1, "" + ((Long)paramObject).longValue()); } else if (paramObject instanceof Float) { setStringInternal(paramInt1, "" + ((Float)paramObject).floatValue()); } else if (paramObject instanceof Double) { setStringInternal(paramInt1, "" + ((Double)paramObject).doubleValue()); } else if (paramObject instanceof BigDecimal) { setStringInternal(paramInt1, ((BigDecimal)paramObject).toString()); } else if (paramObject instanceof Date) { setStringInternal(paramInt1, "" + ((Date)paramObject).toString()); } else if (paramObject instanceof Time) { setStringInternal(paramInt1, "" + ((Time)paramObject).toString()); } else if (paramObject instanceof Timestamp) { setStringInternal(paramInt1, "" + ((Timestamp)paramObject).toString()); } else { DatabaseError.throwSqlException(132); }  return;case 2: if (paramObject instanceof NUMBER) { setNUMBERInternal(paramInt1, (NUMBER)paramObject); } else if (paramObject instanceof Integer) { setIntInternal(paramInt1, ((Integer)paramObject).intValue()); } else if (paramObject instanceof Long) { setLongInternal(paramInt1, ((Long)paramObject).longValue()); } else if (paramObject instanceof Float) { setFloatInternal(paramInt1, ((Float)paramObject).floatValue()); } else if (paramObject instanceof Double) { setDoubleInternal(paramInt1, ((Double)paramObject).doubleValue()); } else if (paramObject instanceof BigDecimal) { setBigDecimalInternal(paramInt1, (BigDecimal)paramObject); } else if (paramObject instanceof String) { setNUMBERInternal(paramInt1, new NUMBER((String)paramObject, 0)); } else if (paramObject instanceof Boolean) { setIntInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1 : 0); } else { DatabaseError.throwSqlException(132); }  return;case 3: if (paramObject instanceof BigDecimal) { setBigDecimalInternal(paramInt1, (BigDecimal)paramObject); } else if (paramObject instanceof Number) { setBigDecimalInternal(paramInt1, new BigDecimal(((Number)paramObject).doubleValue())); } else if (paramObject instanceof NUMBER) { setBigDecimalInternal(paramInt1, ((NUMBER)paramObject).bigDecimalValue()); } else if (paramObject instanceof String) { setBigDecimalInternal(paramInt1, new BigDecimal((String)paramObject)); } else if (paramObject instanceof Boolean) { setBigDecimalInternal(paramInt1, new BigDecimal(((Boolean)paramObject).booleanValue() ? 1.0D : 0.0D)); } else { DatabaseError.throwSqlException(132); }  return;case -7: if (paramObject instanceof Boolean) { setByteInternal(paramInt1, (byte)(((Boolean)paramObject).booleanValue() ? 1 : 0)); } else if (paramObject instanceof String) { setByteInternal(paramInt1, (byte)(("true".equalsIgnoreCase((String)paramObject) || "1".equals(paramObject)) ? 1 : 0)); } else if (paramObject instanceof Number) { setIntInternal(paramInt1, (((Number)paramObject).byteValue() != 0) ? 1 : 0); } else { DatabaseError.throwSqlException(132); }  return;case -6: if (paramObject instanceof Number) { setByteInternal(paramInt1, ((Number)paramObject).byteValue()); } else if (paramObject instanceof String) { setByteInternal(paramInt1, Byte.parseByte((String)paramObject)); } else if (paramObject instanceof Boolean) { setByteInternal(paramInt1, (byte)(((Boolean)paramObject).booleanValue() ? 1 : 0)); } else { DatabaseError.throwSqlException(132); }  return;case 5: if (paramObject instanceof Number) { setShortInternal(paramInt1, ((Number)paramObject).shortValue()); } else if (paramObject instanceof String) { setShortInternal(paramInt1, Short.parseShort((String)paramObject)); } else if (paramObject instanceof Boolean) { setShortInternal(paramInt1, (short)(((Boolean)paramObject).booleanValue() ? 1 : 0)); } else { DatabaseError.throwSqlException(132); }  return;case 4: if (paramObject instanceof Number) { setIntInternal(paramInt1, ((Number)paramObject).intValue()); } else if (paramObject instanceof String) { setIntInternal(paramInt1, Integer.parseInt((String)paramObject)); } else if (paramObject instanceof Boolean) { setIntInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1 : 0); } else { DatabaseError.throwSqlException(132); }  return;case -5: if (paramObject instanceof Number) { setLongInternal(paramInt1, ((Number)paramObject).longValue()); } else if (paramObject instanceof String) { setLongInternal(paramInt1, Long.parseLong((String)paramObject)); } else if (paramObject instanceof Boolean) { setLongInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1L : 0L); } else { DatabaseError.throwSqlException(132); }  return;case 7: if (paramObject instanceof Number) { setFloatInternal(paramInt1, ((Number)paramObject).floatValue()); } else if (paramObject instanceof String) { setFloatInternal(paramInt1, Float.valueOf((String)paramObject).floatValue()); } else if (paramObject instanceof Boolean) { setFloatInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1.0F : 0.0F); } else { DatabaseError.throwSqlException(132); }  return;case 6: case 8: if (paramObject instanceof Number) { setDoubleInternal(paramInt1, ((Number)paramObject).doubleValue()); } else if (paramObject instanceof String) { setDoubleInternal(paramInt1, Double.valueOf((String)paramObject).doubleValue()); } else if (paramObject instanceof Boolean) { setDoubleInternal(paramInt1, ((Boolean)paramObject).booleanValue() ? 1.0D : 0.0D); } else { DatabaseError.throwSqlException(132); }  return;case -2: if (paramObject instanceof RAW) { setRAWInternal(paramInt1, (RAW)paramObject); } else { setBytesInternal(paramInt1, (byte[])paramObject); }  return;case -3: setBytesInternal(paramInt1, (byte[])paramObject); return;case -4: setBytesInternal(paramInt1, (byte[])paramObject); return;case 91: if (paramObject instanceof DATE) { setDATEInternal(paramInt1, (DATE)paramObject); } else if (paramObject instanceof Date) { setDateInternal(paramInt1, (Date)paramObject); } else if (paramObject instanceof Timestamp) { setTimestampInternal(paramInt1, (Timestamp)paramObject); } else if (paramObject instanceof String) { setDateInternal(paramInt1, Date.valueOf((String)paramObject)); } else { DatabaseError.throwSqlException(132); }  return;case 92: if (paramObject instanceof Time) { setTimeInternal(paramInt1, (Time)paramObject); } else if (paramObject instanceof Timestamp) { setTimeInternal(paramInt1, new Time(((Timestamp)paramObject).getTime())); } else if (paramObject instanceof Date) { setTimeInternal(paramInt1, new Time(((Date)paramObject).getTime())); } else if (paramObject instanceof String) { setTimeInternal(paramInt1, Time.valueOf((String)paramObject)); } else { DatabaseError.throwSqlException(132); }  return;case 93: if (paramObject instanceof TIMESTAMP) { setTIMESTAMPInternal(paramInt1, (TIMESTAMP)paramObject); } else if (paramObject instanceof Timestamp) { setTimestampInternal(paramInt1, (Timestamp)paramObject); } else if (paramObject instanceof Date) { setDateInternal(paramInt1, (Date)paramObject); } else if (paramObject instanceof DATE) { setDATEInternal(paramInt1, (DATE)paramObject); } else if (paramObject instanceof String) { setTimestampInternal(paramInt1, Timestamp.valueOf((String)paramObject)); } else { DatabaseError.throwSqlException(132); }  return;case -100: setTIMESTAMPInternal(paramInt1, (TIMESTAMP)paramObject); return;case -101: setTIMESTAMPTZInternal(paramInt1, (TIMESTAMPTZ)paramObject); return;case -102: setTIMESTAMPLTZInternal(paramInt1, (TIMESTAMPLTZ)paramObject); return;case -103: setINTERVALYMInternal(paramInt1, (INTERVALYM)paramObject); return;case -104: setINTERVALDSInternal(paramInt1, (INTERVALDS)paramObject); return;case -8: setROWIDInternal(paramInt1, (ROWID)paramObject); return;case 100: setBinaryFloatInternal(paramInt1, (BINARY_FLOAT)paramObject); return;case 101: setBinaryDoubleInternal(paramInt1, (BINARY_DOUBLE)paramObject); return;case 2004: setBLOBInternal(paramInt1, (BLOB)paramObject); return;case 2005: setCLOBInternal(paramInt1, (CLOB)paramObject); return;case -13: setBFILEInternal(paramInt1, (BFILE)paramObject); return;case 2002: case 2008: setSTRUCTInternal(paramInt1, STRUCT.toSTRUCT(paramObject, (OracleConnection)this.connection)); return;case 2003: setARRAYInternal(paramInt1, ARRAY.toARRAY(paramObject, (OracleConnection)this.connection)); return;case 2007: setOPAQUEInternal(paramInt1, (OPAQUE)paramObject); return;case 2006: setREFInternal(paramInt1, (REF)paramObject); return; }  DatabaseError.throwSqlException(4); }
/*       */   public void setObjectAtName(String paramString, Object paramObject, int paramInt1, int paramInt2) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setObjectInternal(b + 1, paramObject); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  }
/*       */   public void setObject(int paramInt1, Object paramObject, int paramInt2) throws SQLException { setObjectInternal(paramInt1, paramObject, paramInt2, 0); }
/*       */   void setObjectInternal(int paramInt1, Object paramObject, int paramInt2) throws SQLException { setObjectInternal(paramInt1, paramObject, paramInt2, 0); }
/*       */   public void setObjectAtName(String paramString, Object paramObject, int paramInt) throws SQLException { setObjectAtName(paramString, paramObject, paramInt, 0); }
/*       */   public void setRefType(int paramInt, REF paramREF) throws SQLException { setREFInternal(paramInt, paramREF); }
/*       */   void setRefTypeInternal(int paramInt, REF paramREF) throws SQLException { setREFInternal(paramInt, paramREF); }
/*       */   public void setRefTypeAtName(String paramString, REF paramREF) throws SQLException { setREFAtName(paramString, paramREF); }
/*       */   public void setRef(int paramInt, Ref paramRef) throws SQLException { setREFInternal(paramInt, (REF)paramRef); }
/* 10462 */   final void setJdbcBatchStyle() throws SQLException { if (this.m_batchStyle == 1)
/*       */     {
/* 10464 */       DatabaseError.throwSqlException(90, "operation cannot be mixed with Oracle-style batching");
/*       */     }
/*       */ 
/*       */     
/* 10468 */     this.m_batchStyle = 2; } void setRefInternal(int paramInt, Ref paramRef) throws SQLException { setREFInternal(paramInt, (REF)paramRef); } public void setRefAtName(String paramString, Ref paramRef) throws SQLException { setREFAtName(paramString, (REF)paramRef); } public void setREF(int paramInt, REF paramREF) throws SQLException { setREFInternal(paramInt, paramREF); } void setREFInternal(int paramInt, REF paramREF) throws SQLException { int i = paramInt - 1; if (i < 0 || paramInt > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  if (paramREF == null) { DatabaseError.throwSqlException(68); } else { synchronized (this.connection) { synchronized (this) { setREFCritical(i, paramREF); this.currentRowCharLens[i] = 0; }  }  }  } void setREFCritical(int paramInt, REF paramREF) throws SQLException { StructDescriptor structDescriptor = paramREF.getDescriptor(); if (structDescriptor == null) DatabaseError.throwSqlException(52);  this.currentRowBinders[paramInt] = this.theRefTypeBinder; if (this.parameterDatum == null) this.parameterDatum = new byte[this.numberOfBindRowsAllocated][this.numberOfBindPositions][];  this.parameterDatum[this.currentRank][paramInt] = paramREF.getBytes(); OracleTypeADT oracleTypeADT = structDescriptor.getOracleTypeADT(); oracleTypeADT.getTOID(); if (this.parameterOtype == null) this.parameterOtype = new OracleTypeADT[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterOtype[this.currentRank][paramInt] = oracleTypeADT; } public void setREFAtName(String paramString, REF paramREF) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setREFInternal(b + 1, paramREF); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setObject(int paramInt, Object paramObject) throws SQLException { setObjectInternal(paramInt, paramObject); } void setObjectInternal(int paramInt, Object paramObject) throws SQLException { if (paramObject instanceof ORAData) { setORADataInternal(paramInt, (ORAData)paramObject); } else if (paramObject instanceof CustomDatum) { setCustomDatumInternal(paramInt, (CustomDatum)paramObject); } else { int i = sqlTypeForObject(paramObject); setObjectInternal(paramInt, paramObject, i, 0); }  } public void setObjectAtName(String paramString, Object paramObject) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setObjectInternal(b + 1, paramObject); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } public void setOracleObject(int paramInt, Datum paramDatum) throws SQLException { setObjectInternal(paramInt, paramDatum); } void setOracleObjectInternal(int paramInt, Datum paramDatum) throws SQLException { setObjectInternal(paramInt, paramDatum); } public void setOracleObjectAtName(String paramString, Datum paramDatum) throws SQLException { setObjectAtName(paramString, paramDatum); } public synchronized void setPlsqlIndexTable(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5) throws SQLException { setPlsqlIndexTableInternal(paramInt1, paramObject, paramInt2, paramInt3, paramInt4, paramInt5); } void setPlsqlIndexTableInternal(int paramInt1, Object paramObject, int paramInt2, int paramInt3, int paramInt4, int paramInt5) throws SQLException { Datum[] arrayOfDatum; String[] arrayOfString2; int k, i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  int j = getInternalType(paramInt4); String[] arrayOfString1 = null; switch (j) { case 1: case 96: arrayOfString2 = null; k = 0; if (paramObject instanceof CHAR[]) { CHAR[] arrayOfCHAR = (CHAR[])paramObject; k = arrayOfCHAR.length; arrayOfString2 = new String[k]; for (byte b = 0; b < k; b++) { CHAR cHAR = arrayOfCHAR[b]; if (cHAR != null) arrayOfString2[b] = cHAR.getString();  }  } else if (paramObject instanceof String[]) { arrayOfString2 = (String[])paramObject; k = arrayOfString2.length; }  if (paramInt5 == 0 && arrayOfString2 != null) for (byte b = 0; b < k; b++) { String str = arrayOfString2[b]; if (str != null && paramInt5 < str.length()) paramInt5 = str.length();  }   arrayOfString1 = arrayOfString2; break;case 2: case 6: arrayOfDatum = OracleTypeNUMBER.toNUMBERArray(paramObject, this.connection, 1L, paramInt3); if (paramInt5 == 0 && arrayOfDatum != null) paramInt5 = 22;  this.currentRowCharLens[i] = 0; break;default: DatabaseError.throwSqlException(97); return; }  this.currentRowBinders[i] = this.thePlsqlIbtBinder; if (this.parameterPlsqlIbt == null) this.parameterPlsqlIbt = new PlsqlIbtBindInfo[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterPlsqlIbt[this.currentRank][i] = new PlsqlIbtBindInfo((Object[])arrayOfDatum, paramInt2, paramInt3, j, paramInt5); this.hasIbtBind = true; } public synchronized void setPlsqlIndexTableAtName(String paramString, Object paramObject, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException { String str = paramString.intern(); String[] arrayOfString = this.sqlObject.getParameterList(); boolean bool = false; int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length); for (byte b = 0; b < i; b++) { if (arrayOfString[b] == str) { setPlsqlIndexTableInternal(b + 1, paramObject, paramInt1, paramInt2, paramInt3, paramInt4); bool = true; }  }  if (!bool) DatabaseError.throwSqlException(147, paramString);  } void endOfResultSet(boolean paramBoolean) throws SQLException { if (!paramBoolean) prepareForNewResults(false, false);  this.rowPrefetchInLastFetch = -1; } int sqlTypeForObject(Object paramObject) { if (paramObject == null) return 0;  if (!(paramObject instanceof Datum)) { if (paramObject instanceof String) return this.fixedString ? 999 : 12;  if (paramObject instanceof BigDecimal) return 2;  if (paramObject instanceof Boolean) return -7;  if (paramObject instanceof Integer) return 4;  if (paramObject instanceof Long) return -5;  if (paramObject instanceof Float) return 6;  if (paramObject instanceof Double) return 8;  if (paramObject instanceof byte[]) return -3;  if (paramObject instanceof Short) return 5;  if (paramObject instanceof Byte) return -6;  if (paramObject instanceof Date) return 91;  if (paramObject instanceof Time) return 92;  if (paramObject instanceof Timestamp) return 93;  if (paramObject instanceof java.sql.SQLData) return 2002;  if (paramObject instanceof oracle.jdbc.internal.ObjectData) return 2002;  } else { if (paramObject instanceof BINARY_FLOAT) return 100;  if (paramObject instanceof BINARY_DOUBLE) return 101;  if (paramObject instanceof BLOB) return 2004;  if (paramObject instanceof CLOB) return 2005;  if (paramObject instanceof BFILE) return -13;  if (paramObject instanceof ROWID) return -8;  if (paramObject instanceof NUMBER) return 2;  if (paramObject instanceof DATE) return 91;  if (paramObject instanceof TIMESTAMP) return 93;  if (paramObject instanceof TIMESTAMPTZ) return -101;  if (paramObject instanceof TIMESTAMPLTZ) return -102;  if (paramObject instanceof REF) return 2006;  if (paramObject instanceof CHAR) return 1;  if (paramObject instanceof RAW) return -2;  if (paramObject instanceof ARRAY) return 2003;  if (paramObject instanceof STRUCT) return 2002;  if (paramObject instanceof OPAQUE) return 2007;  if (paramObject instanceof INTERVALYM) return -103;  if (paramObject instanceof INTERVALDS) return -104;  }  return 1111; } public synchronized void clearParameters() throws SQLException { this.clearParameters = true; for (byte b = 0; b < this.numberOfBindPositions; b++) this.currentRowBinders[b] = null;  }
/*       */   void printByteArray(byte[] paramArrayOfbyte) { if (paramArrayOfbyte != null) { int i = paramArrayOfbyte.length; for (byte b = 0; b < i; b++) { int j = paramArrayOfbyte[b] & 0xFF; if (j < 16); }  }  }
/*       */   public void setCharacterStream(int paramInt1, Reader paramReader, int paramInt2) throws SQLException { setCharacterStreamInternal(paramInt1, paramReader, paramInt2); }
/*       */   void setCharacterStreamInternal(int paramInt1, Reader paramReader, int paramInt2) throws SQLException { int i = paramInt1 - 1; if (i < 0 || paramInt1 > this.numberOfBindPositions) DatabaseError.throwSqlException(3);  set_execute_batch(1); if (paramReader == null) { basicBindNullString(paramInt1); } else if (this.userRsetType != 1 && paramInt2 > this.maxVcsCharsSql) { DatabaseError.throwSqlException(169); } else if (this.currentRowFormOfUse[i] == 1) { if (this.sqlKind == 1 || this.sqlKind == 4) { if (paramInt2 > this.maxVcsBytesPlsql || (((paramInt2 > this.maxVcsCharsPlsql) ? 1 : 0) & this.isServerCharSetFixedWidth) != 0) { setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2); } else if (paramInt2 <= this.maxVcsCharsPlsql) { setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2); } else { setReaderContentsForStringOrClobInVariableWidthCase(paramInt1, paramReader, paramInt2, false); }  } else if (paramInt2 <= this.maxVcsCharsSql) { setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2); } else { basicBindCharacterStream(paramInt1, paramReader, paramInt2); }  } else if (this.sqlKind == 1 || this.sqlKind == 4) { if (paramInt2 > this.maxVcsBytesPlsql || (((paramInt2 > this.maxVcsNCharsPlsql) ? 1 : 0) & this.isServerCharSetFixedWidth) != 0) { setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2); } else if (paramInt2 <= this.maxVcsNCharsPlsql) { setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2); } else { setReaderContentsForStringOrClobInVariableWidthCase(paramInt1, paramReader, paramInt2, true); }  } else if (paramInt2 <= this.maxVcsCharsSql) { setReaderContentsForStringInternal(paramInt1, paramReader, paramInt2); } else { setReaderContentsForClobCritical(paramInt1, paramReader, paramInt2); }  }
/*       */   void basicBindCharacterStream(int paramInt1, Reader paramReader, int paramInt2) throws SQLException { int i = paramInt1 - 1; this.currentRowBinders[i] = this.theLongStreamBinder; if (this.parameterStream == null) this.parameterStream = new InputStream[this.numberOfBindRowsAllocated][this.numberOfBindPositions];  this.parameterStream[this.currentRank][i] = this.connection.conversion.ConvertStream(paramReader, 7, paramInt2, this.currentRowFormOfUse[i]); this.currentRowCharLens[i] = 0; }
/*       */   void setReaderContentsForStringOrClobInVariableWidthCase(int paramInt1, Reader paramReader, int paramInt2, boolean paramBoolean) throws SQLException { char[] arrayOfChar = new char[paramInt2]; int i = 0; try { i = paramReader.read(arrayOfChar, 0, paramInt2); if (i == -1) i = 0;  } catch (IOException iOException) { DatabaseError.throwSqlException(iOException); }  if (i != paramInt2) { char[] arrayOfChar1 = new char[i]; System.arraycopy(arrayOfChar, 0, arrayOfChar1, 0, i); arrayOfChar = arrayOfChar1; }  int j = this.connection.conversion.encodedByteLength(arrayOfChar, paramBoolean); if (j < this.maxVcsBytesPlsql) { setStringInternal(paramInt1, new String(arrayOfChar)); } else { setStringForClobCritical(paramInt1, new String(arrayOfChar)); }  }
/*       */   void setReaderContentsForStringInternal(int paramInt1, Reader paramReader, int paramInt2) throws SQLException { char[] arrayOfChar = new char[paramInt2]; int i = 0; try { i = paramReader.read(arrayOfChar, 0, paramInt2); if (i == -1) i = 0;  } catch (IOException iOException) { DatabaseError.throwSqlException(iOException); }  if (i != paramInt2) { char[] arrayOfChar1 = new char[i]; System.arraycopy(arrayOfChar, 0, arrayOfChar1, 0, i); arrayOfChar = arrayOfChar1; }  setStringInternal(paramInt1, new String(arrayOfChar)); }
/*       */   public void setDate(int paramInt, Date paramDate, Calendar paramCalendar) throws SQLException { setDATEInternal(paramInt, (paramDate == null) ? null : new DATE(paramDate, paramCalendar)); }
/*       */   void setDateInternal(int paramInt, Date paramDate, Calendar paramCalendar) throws SQLException { setDATEInternal(paramInt, (paramDate == null) ? null : new DATE(paramDate, paramCalendar)); }
/*       */   public void setTime(int paramInt, Time paramTime, Calendar paramCalendar) throws SQLException { setDATEInternal(paramInt, (paramTime == null) ? null : new DATE(paramTime, paramCalendar)); }
/*       */   void setTimeInternal(int paramInt, Time paramTime, Calendar paramCalendar) throws SQLException { setDATEInternal(paramInt, (paramTime == null) ? null : new DATE(paramTime, paramCalendar)); }
/*       */   public void setTimestamp(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar) throws SQLException { setTimestampInternal(paramInt, paramTimestamp, paramCalendar); }
/*       */   void setTimestampInternal(int paramInt, Timestamp paramTimestamp, Calendar paramCalendar) throws SQLException { if (this.connection.v8Compatible) { if (paramTimestamp == null) { setDATEInternal(paramInt, (DATE)null); } else { DATE dATE = new DATE(paramTimestamp, paramCalendar); setDATEInternal(paramInt, dATE); }  return; }  if (paramTimestamp == null) { setTIMESTAMPInternal(paramInt, (TIMESTAMP)null); } else { byte[] arrayOfByte; int i = paramTimestamp.getNanos(); if (i == 0) { arrayOfByte = new byte[7]; } else { arrayOfByte = new byte[11]; }  if (paramCalendar == null) paramCalendar = Calendar.getInstance();  paramCalendar.clear(); paramCalendar.setTime(paramTimestamp); int j = paramCalendar.get(1); if (paramCalendar.get(0) == 0) j = -(j - 1);  arrayOfByte[0] = (byte)(j / 100 + 100); arrayOfByte[1] = (byte)(j % 100 + 100); arrayOfByte[2] = (byte)(paramCalendar.get(2) + 1); arrayOfByte[3] = (byte)paramCalendar.get(5); arrayOfByte[4] = (byte)(paramCalendar.get(11) + 1); arrayOfByte[5] = (byte)(paramCalendar.get(12) + 1); arrayOfByte[6] = (byte)(paramCalendar.get(13) + 1); if (i != 0) { arrayOfByte[7] = (byte)(i >> 24); arrayOfByte[8] = (byte)(i >> 16 & 0xFF); arrayOfByte[9] = (byte)(i >> 8 & 0xFF); arrayOfByte[10] = (byte)(i & 0xFF); }  setTIMESTAMPInternal(paramInt, new TIMESTAMP(arrayOfByte)); }  }
/*       */   public void setCheckBindTypes(boolean paramBoolean) { this.checkBindTypes = paramBoolean; }
/* 10482 */   final void checkIfJdbcBatchExists() throws SQLException { if (doesJdbcBatchExist())
/*       */     {
/* 10484 */       DatabaseError.throwSqlException(81, "batch must be either executed or cleared");
/*       */     } }
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   boolean doesJdbcBatchExist() {
/* 10491 */     if (this.currentRank > 0 && this.m_batchStyle == 2) {
/* 10492 */       return true;
/*       */     }
/* 10494 */     return false;
/*       */   }
/*       */ 
/*       */   
/*       */   boolean isJdbcBatchStyle() {
/* 10499 */     return (this.m_batchStyle == 2);
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void addBatch() throws SQLException {
/* 10537 */     setJdbcBatchStyle();
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */     
/* 10547 */     processCompletedBindRow(this.currentRank + 2, (this.currentRank > 0 && (this.sqlKind == 1 || this.sqlKind == 4)));
/*       */ 
/*       */ 
/*       */ 
/*       */     
/* 10552 */     this.currentRank++;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void addBatch(String paramString) throws SQLException {
/* 10560 */     DatabaseError.throwSqlException(23);
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void clearBatch() throws SQLException {
/* 10580 */     for (int i = this.currentRank; i >= 0; i--) {
/* 10581 */       for (byte b = 0; b < this.numberOfBindPositions; b++)
/* 10582 */         this.binders[i][b] = null; 
/*       */     } 
/* 10584 */     this.currentRank = 0;
/*       */     
/* 10586 */     if (this.binders != null) {
/* 10587 */       this.currentRowBinders = this.binders[0];
/*       */     }
/* 10589 */     this.pushedBatches = null;
/* 10590 */     this.pushedBatchesTail = null;
/* 10591 */     this.firstRowInBatch = 0;
/*       */     
/* 10593 */     this.clearParameters = true;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public int[] executeBatch() throws SQLException {
/* 10621 */     synchronized (this.connection) {
/*       */       
/* 10623 */       synchronized (this) {
/*       */         
/* 10625 */         byte b = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */         
/* 10630 */         cleanOldTempLobs();
/* 10631 */         setJdbcBatchStyle();
/*       */         
/* 10633 */         int[] arrayOfInt = new int[this.currentRank];
/*       */         
/* 10635 */         if (this.currentRank > 0) {
/*       */ 
/*       */ 
/*       */           
/* 10639 */           ensureOpen();
/*       */ 
/*       */           
/* 10642 */           prepareForNewResults(true, true);
/*       */           
/* 10644 */           if (this.sqlKind == 0)
/*       */           {
/* 10646 */             DatabaseError.throwBatchUpdateException(80, 0, (int[])null);
/*       */           }
/*       */ 
/*       */ 
/*       */ 
/*       */           
/* 10652 */           this.noMoreUpdateCounts = false;
/*       */           
/* 10654 */           int i = 0;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */           
/*       */           try {
/* 10666 */             this.connection.registerHeartbeat();
/* 10667 */             this.connection.needLine();
/*       */ 
/*       */ 
/*       */ 
/*       */             
/* 10672 */             if (!this.isOpen) {
/*       */               
/* 10674 */               this.connection.open(this);
/*       */               
/* 10676 */               this.isOpen = true;
/*       */             } 
/*       */ 
/*       */ 
/*       */ 
/*       */             
/* 10682 */             int j = this.currentRank;
/*       */             
/* 10684 */             if (this.pushedBatches == null) {
/*       */ 
/*       */ 
/*       */ 
/*       */               
/* 10689 */               setupBindBuffers(0, this.currentRank);
/* 10690 */               executeForRows(false);
/*       */ 
/*       */             
/*       */             }
/*       */             else {
/*       */ 
/*       */ 
/*       */               
/* 10698 */               if (this.currentRank > this.firstRowInBatch)
/*       */               {
/*       */ 
/*       */                 
/* 10702 */                 pushBatch(true);
/*       */               }
/* 10704 */               boolean bool = this.needToParse;
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */               
/*       */               do {
/* 10712 */                 PushedBatch pushedBatch = this.pushedBatches;
/*       */                 
/* 10714 */                 this.currentBatchCharLens = pushedBatch.currentBatchCharLens;
/* 10715 */                 this.lastBoundCharLens = pushedBatch.lastBoundCharLens;
/* 10716 */                 this.lastBoundNeeded = pushedBatch.lastBoundNeeded;
/* 10717 */                 this.currentBatchBindAccessors = pushedBatch.currentBatchBindAccessors;
/* 10718 */                 this.needToParse = pushedBatch.need_to_parse;
/* 10719 */                 this.currentBatchNeedToPrepareBinds = pushedBatch.current_batch_need_to_prepare_binds;
/*       */                 
/* 10721 */                 this.firstRowInBatch = pushedBatch.first_row_in_batch;
/*       */                 
/* 10723 */                 setupBindBuffers(pushedBatch.first_row_in_batch, pushedBatch.number_of_rows_to_be_bound);
/*       */ 
/*       */ 
/*       */ 
/*       */                 
/* 10728 */                 this.currentRank = pushedBatch.number_of_rows_to_be_bound;
/*       */                 
/* 10730 */                 executeForRows(false);
/*       */                 
/* 10732 */                 if (this.sqlKind == 1 || this.sqlKind == 4) {
/*       */                   
/* 10734 */                   i += this.validRows;
/* 10735 */                   arrayOfInt[b++] = this.validRows;
/*       */                 } 
/*       */                 
/* 10738 */                 this.pushedBatches = pushedBatch.next;
/*       */               
/*       */               }
/* 10741 */               while (this.pushedBatches != null);
/*       */ 
/*       */               
/* 10744 */               this.pushedBatchesTail = null;
/* 10745 */               this.firstRowInBatch = 0;
/*       */               
/* 10747 */               this.needToParse = bool;
/*       */             } 
/*       */ 
/*       */ 
/*       */             
/* 10752 */             slideDownCurrentRow(j);
/*       */ 
/*       */           
/*       */           }
/* 10756 */           catch (SQLException sQLException) {
/*       */ 
/*       */             
/* 10759 */             clearBatch();
/* 10760 */             this.needToParse = true;
/*       */             
/* 10762 */             if (this.sqlKind != 1 && this.sqlKind != 4)
/* 10763 */               for (b = 0; b < arrayOfInt.length; b++) {
/* 10764 */                 arrayOfInt[b] = -3;
/*       */               } 
/* 10766 */             resetCurrentRowBinders();
/*       */             
/* 10768 */             DatabaseError.throwBatchUpdateException(sQLException, (this.sqlKind == 1 || this.sqlKind == 4) ? b : arrayOfInt.length, arrayOfInt);
/*       */ 
/*       */ 
/*       */           
/*       */           }
/*       */           finally {
/*       */ 
/*       */ 
/*       */             
/* 10777 */             if (this.sqlKind == 1 || this.sqlKind == 4) {
/* 10778 */               this.validRows = i;
/*       */             }
/* 10780 */             checkValidRowsStatus();
/*       */             
/* 10782 */             this.currentRank = 0;
/*       */           } 
/*       */           
/* 10785 */           if (this.validRows < 0) {
/*       */             
/* 10787 */             for (b = 0; b < arrayOfInt.length; b++) {
/* 10788 */               arrayOfInt[b] = -3;
/*       */             }
/* 10790 */             DatabaseError.throwBatchUpdateException(81, 0, arrayOfInt);
/*       */ 
/*       */           
/*       */           }
/* 10794 */           else if (this.sqlKind != 1 && this.sqlKind != 4) {
/*       */             
/* 10796 */             for (b = 0; b < arrayOfInt.length; b++) {
/* 10797 */               arrayOfInt[b] = -2;
/*       */             }
/*       */           } 
/*       */         } 
/*       */ 
/*       */ 
/*       */ 
/*       */         
/* 10805 */         this.connection.registerHeartbeat();
/*       */         
/* 10807 */         return arrayOfInt;
/*       */       } 
/*       */     } 
/*       */   }
/*       */ 
/*       */   
/*       */   void pushBatch(boolean paramBoolean) {
/* 10814 */     PushedBatch pushedBatch = new PushedBatch(this);
/*       */     
/* 10816 */     pushedBatch.currentBatchCharLens = new int[this.numberOfBindPositions];
/*       */     
/* 10818 */     System.arraycopy(this.currentBatchCharLens, 0, pushedBatch.currentBatchCharLens, 0, this.numberOfBindPositions);
/*       */ 
/*       */     
/* 10821 */     pushedBatch.lastBoundCharLens = new int[this.numberOfBindPositions];
/*       */     
/* 10823 */     System.arraycopy(this.lastBoundCharLens, 0, pushedBatch.lastBoundCharLens, 0, this.numberOfBindPositions);
/*       */ 
/*       */     
/* 10826 */     if (this.currentBatchBindAccessors != null) {
/*       */       
/* 10828 */       pushedBatch.currentBatchBindAccessors = new Accessor[this.numberOfBindPositions];
/*       */       
/* 10830 */       System.arraycopy(this.currentBatchBindAccessors, 0, pushedBatch.currentBatchBindAccessors, 0, this.numberOfBindPositions);
/*       */     } 
/*       */ 
/*       */     
/* 10834 */     pushedBatch.lastBoundNeeded = this.lastBoundNeeded;
/* 10835 */     pushedBatch.need_to_parse = this.needToParse;
/* 10836 */     pushedBatch.current_batch_need_to_prepare_binds = this.currentBatchNeedToPrepareBinds;
/* 10837 */     pushedBatch.first_row_in_batch = this.firstRowInBatch;
/* 10838 */     pushedBatch.number_of_rows_to_be_bound = this.currentRank - this.firstRowInBatch;
/*       */     
/* 10840 */     if (this.pushedBatches == null) {
/* 10841 */       this.pushedBatches = pushedBatch;
/*       */     } else {
/* 10843 */       this.pushedBatchesTail.next = pushedBatch;
/*       */     } 
/* 10845 */     this.pushedBatchesTail = pushedBatch;
/*       */     
/* 10847 */     if (!paramBoolean) {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */       
/* 10853 */       int[] arrayOfInt = this.currentBatchCharLens;
/*       */       
/* 10855 */       this.currentBatchCharLens = this.lastBoundCharLens;
/* 10856 */       this.lastBoundCharLens = arrayOfInt;
/*       */       
/* 10858 */       this.lastBoundNeeded = false;
/*       */       
/* 10860 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/* 10861 */         this.currentBatchCharLens[b] = 0;
/*       */       }
/* 10863 */       this.firstRowInBatch = this.currentRank;
/*       */     } 
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int doScrollPstmtExecuteUpdate() throws SQLException {
/* 10879 */     doScrollExecuteCommon();
/*       */     
/* 10881 */     if (this.sqlKind == 0) {
/* 10882 */       this.scrollRsetTypeSolved = true;
/*       */     }
/*       */ 
/*       */ 
/*       */     
/* 10887 */     return this.validRows;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public int copyBinds(Statement paramStatement, int paramInt) throws SQLException {
/* 10900 */     if (this.numberOfBindPositions > 0) {
/*       */       
/* 10902 */       OraclePreparedStatement oraclePreparedStatement = (OraclePreparedStatement)paramStatement;
/*       */       
/* 10904 */       Binder[] arrayOfBinder = this.binders[0];
/* 10905 */       int i = this.bindIndicatorSubRange + 5;
/*       */       
/* 10907 */       int j = this.bindByteSubRange;
/* 10908 */       int k = this.bindCharSubRange;
/* 10909 */       int m = this.indicatorsOffset;
/* 10910 */       int n = this.valueLengthsOffset;
/*       */       
/* 10912 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*       */         
/* 10914 */         short s1 = this.bindIndicators[i + 0];
/*       */         
/* 10916 */         short s2 = this.bindIndicators[i + 1];
/*       */         
/* 10918 */         short s3 = this.bindIndicators[i + 2];
/*       */ 
/*       */         
/* 10921 */         int i1 = b + paramInt;
/*       */         
/* 10923 */         if (this.bindIndicators[m] == -1) {
/*       */           
/* 10925 */           oraclePreparedStatement.currentRowBinders[i1] = copiedNullBinder(s1, s2);
/*       */           
/* 10927 */           if (s3 > 0) {
/* 10928 */             oraclePreparedStatement.currentRowCharLens[i1] = 1;
/*       */           }
/* 10930 */         } else if (s1 == 109 || s1 == 111) {
/*       */           
/* 10932 */           oraclePreparedStatement.currentRowBinders[i1] = (s1 == 109) ? this.theNamedTypeBinder : this.theRefTypeBinder;
/*       */ 
/*       */ 
/*       */ 
/*       */           
/* 10937 */           byte[] arrayOfByte1 = this.parameterDatum[0][b];
/* 10938 */           int i2 = arrayOfByte1.length;
/* 10939 */           byte[] arrayOfByte2 = new byte[i2];
/*       */           
/* 10941 */           oraclePreparedStatement.parameterDatum[0][i1] = arrayOfByte2;
/*       */           
/* 10943 */           System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, i2);
/*       */           
/* 10945 */           oraclePreparedStatement.parameterOtype[0][i1] = this.parameterOtype[0][b];
/*       */         }
/* 10947 */         else if (s2 > 0) {
/*       */           
/* 10949 */           oraclePreparedStatement.currentRowBinders[i1] = copiedByteBinder(s1, this.bindBytes, j, s2, this.bindIndicators[n]);
/*       */         
/*       */         }
/* 10952 */         else if (s3 > 0) {
/*       */           
/* 10954 */           oraclePreparedStatement.currentRowBinders[i1] = copiedCharBinder(s1, this.bindChars, k, s3, this.bindIndicators[n]);
/*       */           
/* 10956 */           oraclePreparedStatement.currentRowCharLens[i1] = s3;
/*       */         } else {
/*       */           
/* 10959 */           throw new Error("copyBinds doesn't understand type " + s1);
/*       */         } 
/* 10961 */         j += this.bindBufferCapacity * s2;
/* 10962 */         k += this.bindBufferCapacity * s3;
/* 10963 */         m += this.numberOfBindRowsAllocated;
/* 10964 */         n += this.numberOfBindRowsAllocated;
/* 10965 */         i += 10;
/*       */       } 
/*       */     } 
/*       */     
/* 10969 */     return this.numberOfBindPositions;
/*       */   }
/*       */ 
/*       */   
/*       */   Binder copiedNullBinder(short paramShort, int paramInt) throws SQLException {
/* 10974 */     return new CopiedNullBinder(paramShort, paramInt);
/*       */   }
/*       */ 
/*       */ 
/*       */   
/*       */   Binder copiedByteBinder(short paramShort1, byte[] paramArrayOfbyte, int paramInt1, int paramInt2, short paramShort2) throws SQLException {
/* 10980 */     byte[] arrayOfByte = new byte[paramInt2];
/*       */     
/* 10982 */     System.arraycopy(paramArrayOfbyte, paramInt1, arrayOfByte, 0, paramInt2);
/*       */     
/* 10984 */     return new CopiedByteBinder(paramShort1, paramInt2, arrayOfByte, paramShort2);
/*       */   }
/*       */ 
/*       */ 
/*       */   
/*       */   Binder copiedCharBinder(short paramShort1, char[] paramArrayOfchar, int paramInt1, int paramInt2, short paramShort2) throws SQLException {
/* 10990 */     char[] arrayOfChar = new char[paramInt2];
/*       */     
/* 10992 */     System.arraycopy(paramArrayOfchar, paramInt1, arrayOfChar, 0, paramInt2);
/*       */     
/* 10994 */     return new CopiedCharBinder(paramShort1, arrayOfChar, paramShort2);
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   protected void hardClose() throws SQLException {
/* 11004 */     super.hardClose();
/*       */     
/* 11006 */     this.bindBytes = null;
/* 11007 */     this.bindChars = null;
/* 11008 */     this.bindIndicators = null;
/*       */ 
/*       */ 
/*       */ 
/*       */     
/* 11013 */     if (!this.connection.isClosed())
/*       */     {
/* 11015 */       cleanAllTempLobs();
/*       */     }
/*       */     
/* 11018 */     this.lastBoundBytes = null;
/* 11019 */     this.lastBoundChars = null;
/*       */     
/* 11021 */     clearParameters();
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   protected void alwaysOnClose() throws SQLException {
/* 11037 */     if (this.currentRank > 0)
/*       */     {
/* 11039 */       if (this.m_batchStyle == 2) {
/* 11040 */         clearBatch();
/*       */       
/*       */       }
/*       */       else {
/*       */ 
/*       */         
/* 11046 */         int i = this.validRows;
/*       */         
/* 11048 */         this.prematureBatchCount = sendBatch();
/* 11049 */         this.validRows = i;
/*       */       } 
/*       */     }
/*       */     
/* 11053 */     super.alwaysOnClose();
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void setDisableStmtCaching(boolean paramBoolean) {
/* 11068 */     if (paramBoolean == true) {
/* 11069 */       this.cacheState = 3;
/*       */     }
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void setFormOfUse(int paramInt, short paramShort) {
/* 11081 */     int i = paramInt - 1;
/*       */     
/* 11083 */     if (this.currentRowFormOfUse[i] != paramShort) {
/*       */       
/* 11085 */       this.currentRowFormOfUse[i] = paramShort;
/*       */ 
/*       */ 
/*       */       
/* 11089 */       if (this.currentRowBindAccessors != null) {
/*       */         
/* 11091 */         Accessor accessor = this.currentRowBindAccessors[i];
/*       */         
/* 11093 */         if (accessor != null) {
/* 11094 */           accessor.setFormOfUse(paramShort);
/*       */         }
/*       */       } 
/*       */       
/* 11098 */       if (this.returnParamAccessors != null) {
/*       */         
/* 11100 */         Accessor accessor = this.returnParamAccessors[i];
/*       */         
/* 11102 */         if (accessor != null) {
/* 11103 */           accessor.setFormOfUse(paramShort);
/*       */         }
/*       */       } 
/*       */     } 
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public synchronized void setURL(int paramInt, URL paramURL) throws SQLException {
/* 11130 */     setURLInternal(paramInt, paramURL);
/*       */   }
/*       */ 
/*       */   
/*       */   void setURLInternal(int paramInt, URL paramURL) throws SQLException {
/* 11135 */     setStringInternal(paramInt, paramURL.toString());
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public void setURLAtName(String paramString, URL paramURL) throws SQLException {
/* 11155 */     String str = paramString.intern();
/* 11156 */     String[] arrayOfString = this.sqlObject.getParameterList();
/* 11157 */     boolean bool = false;
/* 11158 */     int i = Math.min(this.sqlObject.getParameterCount(), arrayOfString.length);
/*       */     
/* 11160 */     for (byte b = 0; b < i; b++) {
/* 11161 */       if (arrayOfString[b] == str) {
/*       */         
/* 11163 */         setURL(b + 1, paramURL);
/*       */         
/* 11165 */         bool = true;
/*       */       } 
/*       */     } 
/* 11168 */     if (!bool) {
/* 11169 */       DatabaseError.throwSqlException(147, paramString);
/*       */     }
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public ParameterMetaData getParameterMetaData() throws SQLException {
/* 11179 */     return (ParameterMetaData)new OracleParameterMetaData(this.sqlObject.getParameterCount());
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public OracleParameterMetaData OracleGetParameterMetaData() throws SQLException {
/* 11202 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*       */ 
/*       */ 
/*       */     
/* 11206 */     return null;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2) throws SQLException {
/* 11218 */     if (this.numberOfBindPositions <= 0) {
/* 11219 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11221 */     if (this.numReturnParams <= 0) {
/*       */       
/* 11223 */       this.numReturnParams = getReturnParameterCount(this.sqlObject.getOriginalSql());
/* 11224 */       if (this.numReturnParams <= 0) {
/* 11225 */         DatabaseError.throwSqlException(90);
/*       */       }
/*       */     } 
/* 11228 */     int i = paramInt1 - 1;
/* 11229 */     if (i < this.numberOfBindPositions - this.numReturnParams || paramInt1 > this.numberOfBindPositions)
/*       */     {
/* 11231 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11233 */     int j = getInternalTypeForDmlReturning(paramInt2);
/*       */     
/* 11235 */     short s = 0;
/* 11236 */     if (this.currentRowFormOfUse != null && this.currentRowFormOfUse[i] != 0) {
/* 11237 */       s = this.currentRowFormOfUse[i];
/*       */     }
/* 11239 */     registerReturnParameterInternal(i, j, paramInt2, -1, s, null);
/*       */ 
/*       */     
/* 11242 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/* 11253 */     if (this.numberOfBindPositions <= 0) {
/* 11254 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11256 */     int i = paramInt1 - 1;
/* 11257 */     if (i < 0 || paramInt1 > this.numberOfBindPositions) {
/* 11258 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11260 */     if (paramInt2 != 1 && paramInt2 != 12 && paramInt2 != -1 && paramInt2 != -2 && paramInt2 != -3 && paramInt2 != -4 && paramInt2 != 12)
/*       */     {
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */       
/* 11268 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11271 */     if (paramInt3 <= 0)
/*       */     {
/* 11273 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11276 */     int j = getInternalTypeForDmlReturning(paramInt2);
/*       */     
/* 11278 */     short s = 0;
/* 11279 */     if (this.currentRowFormOfUse != null && this.currentRowFormOfUse[i] != 0) {
/* 11280 */       s = this.currentRowFormOfUse[i];
/*       */     }
/* 11282 */     registerReturnParameterInternal(i, j, paramInt2, paramInt3, s, null);
/*       */ 
/*       */     
/* 11285 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public void registerReturnParameter(int paramInt1, int paramInt2, String paramString) throws SQLException {
/* 11296 */     if (this.numberOfBindPositions <= 0) {
/* 11297 */       DatabaseError.throwSqlException(90);
/*       */     }
/* 11299 */     int i = paramInt1 - 1;
/* 11300 */     if (i < 0 || paramInt1 > this.numberOfBindPositions) {
/* 11301 */       DatabaseError.throwSqlException(3);
/*       */     }
/* 11303 */     int j = getInternalTypeForDmlReturning(paramInt2);
/* 11304 */     if (j != 111 && j != 109)
/*       */     {
/*       */       
/* 11307 */       DatabaseError.throwSqlException(68);
/*       */     }
/*       */     
/* 11310 */     registerReturnParameterInternal(i, j, paramInt2, -1, (short)0, paramString);
/*       */ 
/*       */     
/* 11313 */     this.currentRowBinders[i] = this.theReturnParamBinder;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   public ResultSet getReturnResultSet() throws SQLException {
/* 11322 */     if (this.closed) {
/* 11323 */       DatabaseError.throwSqlException(9);
/*       */     }
/* 11325 */     if (this.returnParamAccessors == null || this.numReturnParams == 0) {
/* 11326 */       DatabaseError.throwSqlException(144);
/*       */     }
/* 11328 */     if (this.returnResultSet == null)
/*       */     {
/* 11330 */       this.returnResultSet = new OracleReturnResultSet(this);
/*       */     }
/*       */     
/* 11333 */     return (ResultSet)this.returnResultSet;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   int getInternalTypeForDmlReturning(int paramInt) throws SQLException {
/* 11345 */     char c = Character.MIN_VALUE;
/*       */     
/* 11347 */     switch (paramInt)
/*       */     
/*       */     { case -7:
/*       */       case -6:
/*       */       case -5:
/*       */       case 2:
/*       */       case 3:
/*       */       case 4:
/*       */       case 5:
/*       */       case 6:
/*       */       case 7:
/*       */       case 8:
/* 11359 */         c = '\006';
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */         
/* 11456 */         return c;case 100: c = 'd'; return c;case 101: c = 'e'; return c;case 1: c = '`'; return c;case 12: c = '\001'; return c;case -1: c = '\b'; return c;case 91: case 92: c = '\f'; return c;case 93: c = '´'; return c;case -101: c = 'µ'; return c;case -102: c = 'ç'; return c;case -103: c = '¶'; return c;case -104: c = '·'; return c;case -3: case -2: c = '\027'; return c;case -4: c = '\030'; return c;case -8: c = 'h'; return c;case 2004: c = 'q'; return c;case 2005: c = 'p'; return c;case -13: c = 'r'; return c;case 2002: case 2003: case 2007: case 2008: c = 'm'; return c;case 2006: c = 'o'; return c;case 70: c = '\001'; return c; }  DatabaseError.throwSqlException(4); return c;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   static int getReturnParameterCount(String paramString) {
/* 11466 */     byte b = -1;
/* 11467 */     String str = paramString.toUpperCase();
/* 11468 */     int i = str.indexOf("RETURNING");
/* 11469 */     if (i >= 0) {
/*       */       
/* 11471 */       char[] arrayOfChar = new char[str.length() - i];
/* 11472 */       str.getChars(i, str.length(), arrayOfChar, 0);
/*       */       
/* 11474 */       b = 0;
/* 11475 */       for (byte b1 = 0; b1 < arrayOfChar.length; b1++) {
/*       */         
/* 11477 */         if (arrayOfChar[b1] == '?') b++;
/*       */       
/*       */       } 
/*       */     } 
/* 11481 */     return b;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   void registerReturnParamsForAutoKey() throws SQLException {
/* 11488 */     int[] arrayOfInt1 = this.autoKeyInfo.returnTypes;
/* 11489 */     short[] arrayOfShort = this.autoKeyInfo.tableFormOfUses;
/* 11490 */     int[] arrayOfInt2 = this.autoKeyInfo.columnIndexes;
/*       */     
/* 11492 */     int i = arrayOfInt1.length;
/*       */ 
/*       */     
/* 11495 */     int j = this.numberOfBindPositions - i;
/*       */ 
/*       */     
/* 11498 */     for (byte b = 0; b < i; b++) {
/*       */       
/* 11500 */       int k = j + b;
/* 11501 */       this.currentRowBinders[k] = this.theReturnParamBinder;
/*       */       
/* 11503 */       byte b1 = 0;
/*       */       
/* 11505 */       if (arrayOfShort != null && arrayOfInt2 != null)
/*       */       {
/* 11507 */         if (arrayOfShort[arrayOfInt2[b] - 1] == 2) {
/*       */ 
/*       */           
/* 11510 */           b1 = 2;
/* 11511 */           setFormOfUse(k + 1, b1);
/*       */         } 
/*       */       }
/*       */       
/* 11515 */       checkTypeForAutoKey(arrayOfInt1[b]);
/*       */       
/* 11517 */       String str = null;
/* 11518 */       if (arrayOfInt1[b] == 111) {
/* 11519 */         str = this.autoKeyInfo.tableTypeNames[arrayOfInt2[b] - 1];
/*       */       }
/* 11521 */       registerReturnParameterInternal(k, arrayOfInt1[b], arrayOfInt1[b], -1, b1, str);
/*       */     } 
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   void cleanOldTempLobs() {
/* 11532 */     if (this.m_batchStyle != 1 || this.currentRank == this.batch - 1)
/*       */     {
/*       */ 
/*       */       
/* 11536 */       super.cleanOldTempLobs();
/*       */     }
/*       */   }
/*       */ 
/*       */   
/*       */   void resetOnExceptionDuringExecute() {
/* 11542 */     super.resetOnExceptionDuringExecute();
/* 11543 */     this.currentRank = 0;
/* 11544 */     this.currentBatchNeedToPrepareBinds = true;
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */ 
/*       */   
/*       */   void resetCurrentRowBinders() {
/* 11554 */     Binder[] arrayOfBinder = this.currentRowBinders;
/* 11555 */     if (this.binders != null && this.currentRowBinders != null && arrayOfBinder != this.binders[0]) {
/*       */ 
/*       */ 
/*       */       
/* 11559 */       this.currentRowBinders = this.binders[0];
/* 11560 */       this.binders[this.numberOfBoundRows] = arrayOfBinder;
/*       */     } 
/*       */   }
/*       */ 
/*       */ 
/*       */ 
/*       */   
/* 11567 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*       */   public static final boolean TRACE = false;
/*       */   public static final boolean PRIVATE_TRACE = false;
/*       */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:36_PST_2008";
/*       */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OraclePreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */