/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.sql.SQLException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleSql
/*      */ {
/*      */   static final int UNINITIALIZED = -1;
/*   39 */   static final String[] EMPTY_LIST = new String[0];
/*      */   
/*      */   DBConversion conversion;
/*      */   
/*      */   String originalSql;
/*      */   
/*      */   String parameterSql;
/*      */   
/*      */   String utickSql;
/*      */   String processedSql;
/*      */   String rowidSql;
/*      */   String actualSql;
/*      */   byte[] sqlBytes;
/*   52 */   byte sqlKind = -1;
/*   53 */   int parameterCount = -1;
/*      */   boolean currentConvertNcharLiterals = true;
/*      */   boolean currentProcessEscapes = true;
/*      */   boolean includeRowid = false;
/*   57 */   String[] parameterList = EMPTY_LIST;
/*   58 */   char[] currentParameter = null;
/*      */   
/*      */   boolean isV8Compatible = false;
/*   61 */   int bindParameterCount = -1;
/*   62 */   String[] bindParameterList = null;
/*   63 */   int cachedBindParameterCount = -1;
/*   64 */   String[] cachedBindParameterList = null;
/*      */   String cachedParameterSql;
/*      */   String cachedUtickSql;
/*      */   String cachedProcessedSql;
/*      */   String cachedRowidSql;
/*      */   String cachedActualSql;
/*      */   byte[] cachedSqlBytes;
/*   71 */   int selectEndIndex = -1;
/*   72 */   int orderByStartIndex = -1;
/*   73 */   int orderByEndIndex = -1;
/*   74 */   int whereStartIndex = -1;
/*   75 */   int whereEndIndex = -1;
/*   76 */   int forUpdateStartIndex = -1;
/*   77 */   int forUpdateEndIndex = -1;
/*      */   
/*   79 */   int[] ncharLiteralLocation = new int[513];
/*   80 */   int lastNcharLiteralLocation = -1;
/*      */   
/*      */   static final String paramPrefix = "rowid";
/*   83 */   int paramSuffix = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   StringBuffer stringBufferForScrollableStatement;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static final int cMax = 127;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initialize(String paramString) throws SQLException {
/*  111 */     if (paramString == null || paramString == "") {
/*  112 */       DatabaseError.throwSqlException(104);
/*      */     }
/*  114 */     this.originalSql = paramString;
/*  115 */     this.utickSql = null;
/*  116 */     this.processedSql = null;
/*  117 */     this.rowidSql = null;
/*  118 */     this.actualSql = null;
/*  119 */     this.sqlBytes = null;
/*  120 */     this.sqlKind = -1;
/*  121 */     this.parameterCount = -1;
/*  122 */     this.includeRowid = false;
/*      */     
/*  124 */     this.parameterSql = this.originalSql;
/*  125 */     this.bindParameterCount = -1;
/*  126 */     this.bindParameterList = null;
/*  127 */     this.cachedBindParameterCount = -1;
/*  128 */     this.cachedBindParameterList = null;
/*  129 */     this.cachedParameterSql = null;
/*  130 */     this.cachedActualSql = null;
/*  131 */     this.cachedProcessedSql = null;
/*  132 */     this.cachedRowidSql = null;
/*  133 */     this.cachedSqlBytes = null;
/*  134 */     this.selectEndIndex = -1;
/*  135 */     this.orderByStartIndex = -1;
/*  136 */     this.orderByEndIndex = -1;
/*  137 */     this.whereStartIndex = -1;
/*  138 */     this.whereEndIndex = -1;
/*  139 */     this.forUpdateStartIndex = -1;
/*  140 */     this.forUpdateEndIndex = -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String getOriginalSql() {
/*  155 */     return this.originalSql;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean setNamedParameters(int paramInt, String[] paramArrayOfString) throws SQLException {
/*  165 */     boolean bool = false;
/*      */     
/*  167 */     if (paramInt == 0) {
/*      */       
/*  169 */       this.bindParameterCount = -1;
/*  170 */       bool = (this.bindParameterCount != this.cachedBindParameterCount) ? true : false;
/*      */     }
/*      */     else {
/*      */       
/*  174 */       this.bindParameterCount = paramInt;
/*  175 */       this.bindParameterList = paramArrayOfString;
/*  176 */       bool = (this.bindParameterCount != this.cachedBindParameterCount) ? true : false;
/*      */       
/*  178 */       if (!bool) {
/*  179 */         for (byte b = 0; b < paramInt; b++) {
/*  180 */           if (this.bindParameterList[b] != this.cachedBindParameterList[b]) {
/*      */             
/*  182 */             bool = true;
/*      */             break;
/*      */           } 
/*      */         } 
/*      */       }
/*  187 */       if (bool) {
/*      */         
/*  189 */         if (this.bindParameterCount != getParameterCount()) {
/*  190 */           throw new SQLException("Incorrectly set or registered parameters.");
/*      */         }
/*  192 */         char[] arrayOfChar = this.originalSql.toCharArray();
/*  193 */         StringBuffer stringBuffer = new StringBuffer();
/*      */         
/*  195 */         byte b1 = 0;
/*      */         
/*  197 */         for (byte b2 = 0; b2 < arrayOfChar.length; b2++) {
/*      */           
/*  199 */           if (arrayOfChar[b2] != '?') {
/*      */             
/*  201 */             stringBuffer.append(arrayOfChar[b2]);
/*      */           }
/*      */           else {
/*      */             
/*  205 */             stringBuffer.append(this.bindParameterList[b1++]);
/*  206 */             stringBuffer.append("=>?");
/*      */           } 
/*      */         } 
/*      */         
/*  210 */         if (b1 != this.bindParameterCount) {
/*  211 */           throw new SQLException("Incorrectly set or registered parameters.");
/*      */         }
/*  213 */         this.parameterSql = new String(stringBuffer);
/*  214 */         this.actualSql = null;
/*  215 */         this.utickSql = null;
/*  216 */         this.processedSql = null;
/*  217 */         this.rowidSql = null;
/*  218 */         this.sqlBytes = null;
/*      */       }
/*      */       else {
/*      */         
/*  222 */         this.parameterSql = this.cachedParameterSql;
/*  223 */         this.actualSql = this.cachedActualSql;
/*  224 */         this.utickSql = this.cachedUtickSql;
/*  225 */         this.processedSql = this.cachedProcessedSql;
/*  226 */         this.rowidSql = this.cachedRowidSql;
/*  227 */         this.sqlBytes = this.cachedSqlBytes;
/*      */       } 
/*      */     } 
/*      */     
/*  231 */     this.cachedBindParameterList = null;
/*  232 */     this.cachedParameterSql = null;
/*  233 */     this.cachedActualSql = null;
/*  234 */     this.cachedUtickSql = null;
/*  235 */     this.cachedProcessedSql = null;
/*  236 */     this.cachedRowidSql = null;
/*  237 */     this.cachedSqlBytes = null;
/*      */     
/*  239 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void resetNamedParameters() {
/*  247 */     this.cachedBindParameterCount = this.bindParameterCount;
/*      */     
/*  249 */     if (this.bindParameterCount != -1) {
/*      */       
/*  251 */       if (this.cachedBindParameterList == null || this.cachedBindParameterList == this.bindParameterList || this.cachedBindParameterList.length < this.bindParameterCount)
/*      */       {
/*      */         
/*  254 */         this.cachedBindParameterList = new String[this.bindParameterCount];
/*      */       }
/*  256 */       System.arraycopy(this.bindParameterList, 0, this.cachedBindParameterList, 0, this.bindParameterCount);
/*      */ 
/*      */       
/*  259 */       this.cachedParameterSql = this.parameterSql;
/*  260 */       this.cachedActualSql = this.actualSql;
/*  261 */       this.cachedUtickSql = this.utickSql;
/*  262 */       this.cachedProcessedSql = this.processedSql;
/*  263 */       this.cachedRowidSql = this.rowidSql;
/*  264 */       this.cachedSqlBytes = this.sqlBytes;
/*      */       
/*  266 */       this.bindParameterCount = -1;
/*  267 */       this.bindParameterList = null;
/*  268 */       this.parameterSql = this.originalSql;
/*  269 */       this.actualSql = null;
/*  270 */       this.utickSql = null;
/*  271 */       this.processedSql = null;
/*  272 */       this.rowidSql = null;
/*  273 */       this.sqlBytes = null;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String getSql(boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/*  290 */     if (this.sqlKind == -1) computeBasicInfo(this.parameterSql); 
/*  291 */     if (paramBoolean1 != this.currentProcessEscapes || paramBoolean2 != this.currentConvertNcharLiterals) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  297 */       if (paramBoolean2 != this.currentConvertNcharLiterals) this.utickSql = null; 
/*  298 */       this.processedSql = null;
/*  299 */       this.rowidSql = null;
/*  300 */       this.actualSql = null;
/*  301 */       this.sqlBytes = null;
/*      */     } 
/*      */     
/*  304 */     this.currentConvertNcharLiterals = paramBoolean2;
/*  305 */     this.currentProcessEscapes = paramBoolean1;
/*      */     
/*  307 */     if (this.actualSql == null) {
/*      */       
/*  309 */       if (this.utickSql == null)
/*  310 */         this.utickSql = this.currentConvertNcharLiterals ? convertNcharLiterals(this.parameterSql) : this.parameterSql; 
/*  311 */       if (this.processedSql == null)
/*  312 */         this.processedSql = this.currentProcessEscapes ? parse(this.utickSql) : this.utickSql; 
/*  313 */       if (this.rowidSql == null)
/*  314 */         this.rowidSql = this.includeRowid ? addRowid(this.processedSql) : this.processedSql; 
/*  315 */       this.actualSql = this.rowidSql;
/*      */     } 
/*      */ 
/*      */     
/*  319 */     return this.actualSql;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String getRevisedSql() throws SQLException {
/*  326 */     String str = null;
/*      */     
/*  328 */     if (this.sqlKind == -1) computeBasicInfo(this.parameterSql);
/*      */     
/*  330 */     str = removeForUpdate(this.parameterSql);
/*      */     
/*  332 */     return addRowid(str);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String removeForUpdate(String paramString) throws SQLException {
/*  345 */     if (this.orderByStartIndex != -1 && (this.forUpdateStartIndex == -1 || this.forUpdateStartIndex > this.orderByStartIndex)) {
/*      */ 
/*      */ 
/*      */       
/*  349 */       paramString = paramString.substring(0, this.orderByStartIndex);
/*      */     }
/*  351 */     else if (this.forUpdateStartIndex != -1) {
/*      */       
/*  353 */       paramString = paramString.substring(0, this.forUpdateStartIndex);
/*      */     } 
/*      */     
/*  356 */     return paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void appendForUpdate(StringBuffer paramStringBuffer) throws SQLException {
/*  372 */     if (this.orderByStartIndex != -1 && (this.forUpdateStartIndex == -1 || this.forUpdateStartIndex > this.orderByStartIndex)) {
/*      */ 
/*      */ 
/*      */       
/*  376 */       paramStringBuffer.append(this.originalSql.substring(this.orderByStartIndex));
/*      */     }
/*  378 */     else if (this.forUpdateStartIndex != -1) {
/*      */       
/*  380 */       paramStringBuffer.append(this.originalSql.substring(this.forUpdateStartIndex));
/*      */     } 
/*      */   }
/*      */   
/*  384 */   OracleSql(DBConversion paramDBConversion) { this.stringBufferForScrollableStatement = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1003 */     this.isLocate = false; this.conversion = paramDBConversion; }
/*      */   String getInsertSqlForUpdatableResultSet(UpdatableResultSet paramUpdatableResultSet) throws SQLException { String str = getOriginalSql(); boolean bool = generatedSqlNeedEscapeProcessing(); if (this.stringBufferForScrollableStatement == null) { this.stringBufferForScrollableStatement = new StringBuffer(str.length() + 100); } else { this.stringBufferForScrollableStatement.delete(0, this.stringBufferForScrollableStatement.length()); }  this.stringBufferForScrollableStatement.append("insert into ("); this.stringBufferForScrollableStatement.append(removeForUpdate(str)); this.stringBufferForScrollableStatement.append(") values ( "); byte b = 1; for (; b < paramUpdatableResultSet.getColumnCount(); b++) { if (b != 1) this.stringBufferForScrollableStatement.append(", ");  if (bool) { this.stringBufferForScrollableStatement.append("?"); } else { this.stringBufferForScrollableStatement.append(":" + generateParameterName()); }  }  this.stringBufferForScrollableStatement.append(")"); return this.stringBufferForScrollableStatement.substring(0, this.stringBufferForScrollableStatement.length()); }
/*      */   String getRefetchSqlForScrollableResultSet(ScrollableResultSet paramScrollableResultSet, int paramInt) throws SQLException { String str = getRevisedSql(); boolean bool = generatedSqlNeedEscapeProcessing(); if (this.stringBufferForScrollableStatement == null) { this.stringBufferForScrollableStatement = new StringBuffer(str.length() + 100); } else { this.stringBufferForScrollableStatement.delete(0, this.stringBufferForScrollableStatement.length()); }  this.stringBufferForScrollableStatement.append(str); if (this.whereStartIndex == -1) { this.stringBufferForScrollableStatement.append(bool ? " WHERE ( ROWID = ?" : (" WHERE ( ROWID = :" + generateParameterName())); } else { this.stringBufferForScrollableStatement.append(bool ? " AND ( ROWID = ?" : (" AND ( ROWID = :" + generateParameterName())); }  for (byte b = 0; b < paramInt - 1; b++) { if (bool) { this.stringBufferForScrollableStatement.append(" OR ROWID = ?"); } else { this.stringBufferForScrollableStatement.append(" OR ROWID = :" + generateParameterName()); }  }  this.stringBufferForScrollableStatement.append(" ) "); appendForUpdate(this.stringBufferForScrollableStatement); return this.stringBufferForScrollableStatement.substring(0, this.stringBufferForScrollableStatement.length()); }
/*      */   String getUpdateSqlForUpdatableResultSet(UpdatableResultSet paramUpdatableResultSet, int paramInt, Object[] paramArrayOfObject, int[] paramArrayOfint) throws SQLException { String str = getRevisedSql(); boolean bool = generatedSqlNeedEscapeProcessing(); if (this.stringBufferForScrollableStatement == null) { this.stringBufferForScrollableStatement = new StringBuffer(str.length() + 100); } else { this.stringBufferForScrollableStatement.delete(0, this.stringBufferForScrollableStatement.length()); }  this.stringBufferForScrollableStatement.append("update ("); this.stringBufferForScrollableStatement.append(str); this.stringBufferForScrollableStatement.append(") set "); if (paramArrayOfObject != null) for (byte b = 0; b < paramInt; b++) { if (b > 0) this.stringBufferForScrollableStatement.append(", ");  this.stringBufferForScrollableStatement.append(paramUpdatableResultSet.getInternalMetadata().getColumnName(paramArrayOfint[b] + 1)); if (bool) { this.stringBufferForScrollableStatement.append(" = ?"); } else { this.stringBufferForScrollableStatement.append(" = :" + generateParameterName()); }  }   this.stringBufferForScrollableStatement.append(" WHERE "); if (bool) { this.stringBufferForScrollableStatement.append(" ROWID = ?"); } else { this.stringBufferForScrollableStatement.append(" ROWID = :" + generateParameterName()); }  return this.stringBufferForScrollableStatement.substring(0, this.stringBufferForScrollableStatement.length()); }
/*      */   String getDeleteSqlForUpdatableResultSet(UpdatableResultSet paramUpdatableResultSet) throws SQLException { String str = getRevisedSql(); boolean bool = generatedSqlNeedEscapeProcessing(); if (this.stringBufferForScrollableStatement == null) { this.stringBufferForScrollableStatement = new StringBuffer(str.length() + 100); } else { this.stringBufferForScrollableStatement.delete(0, this.stringBufferForScrollableStatement.length()); }  this.stringBufferForScrollableStatement.append("delete from ("); this.stringBufferForScrollableStatement.append(str); this.stringBufferForScrollableStatement.append(") where "); if (bool) { this.stringBufferForScrollableStatement.append(" ROWID = ?"); } else { this.stringBufferForScrollableStatement.append(" ROWID = :" + generateParameterName()); }  return this.stringBufferForScrollableStatement.substring(0, this.stringBufferForScrollableStatement.length()); }
/*      */   final boolean generatedSqlNeedEscapeProcessing() { return (this.parameterCount > 0 && this.parameterList == EMPTY_LIST); }
/*      */   byte[] getSqlBytes(boolean paramBoolean1, boolean paramBoolean2) throws SQLException { if (this.sqlBytes == null || paramBoolean1 != this.currentProcessEscapes) this.sqlBytes = this.conversion.StringToCharBytes(getSql(paramBoolean1, paramBoolean2));  return this.sqlBytes; }
/*      */   byte getSqlKind() throws SQLException { if (this.sqlKind == -1) computeBasicInfo(this.parameterSql);  return this.sqlKind; }
/*      */   int getParameterCount() throws SQLException { if (this.parameterCount == -1) computeBasicInfo(this.parameterSql);  return this.parameterCount; }
/* 1012 */   String[] getParameterList() throws SQLException { if (this.parameterCount == -1) computeBasicInfo(this.parameterSql);  return this.parameterList; } void setIncludeRowid(boolean paramBoolean) { if (paramBoolean != this.includeRowid) { this.includeRowid = paramBoolean; this.rowidSql = null; this.actualSql = null; this.sqlBytes = null; }  } public String toString() { return (this.parameterSql == null) ? "null" : this.parameterSql; } private String hexUnicode(int paramInt) throws SQLException { String str = Integer.toHexString(paramInt); switch (str.length()) { case 0: return "\\0000";case 1: return "\\000" + str;case 2: return "\\00" + str;case 3: return "\\0" + str;case 4: return "\\" + str; }  DatabaseError.throwSqlException(89, "Unexpected case in OracleSql.hexUnicode: " + paramInt); return "never happen"; } String convertNcharLiterals(String paramString) throws SQLException { if (this.lastNcharLiteralLocation <= 2) return paramString;  String str = ""; byte b = 0; while (true) { int i = this.ncharLiteralLocation[b++]; int j = this.ncharLiteralLocation[b++]; str = str + paramString.substring(i, j); if (b >= this.lastNcharLiteralLocation) break;  i = this.ncharLiteralLocation[b]; str = str + "u'"; for (int k = j + 2; k < i; k++) { char c = paramString.charAt(k); if (c == '\\') { str = str + "\\\\"; } else if (c < '') { str = str + c; } else { str = str + hexUnicode(c); }  }  }  return str; } private static final int[][] TRANSITION = OracleSqlReadOnly.TRANSITION; private static final int[][] ACTION = OracleSqlReadOnly.ACTION; private static final int NO_ACTION = 0; private static final int DML_ACTION = 1; private static final int PLSQL_ACTION = 2; private static final int CALL_ACTION = 3; private static final int SELECT_ACTION = 4; private static final int ORDER_ACTION = 7; private static final int ORDER_BY_ACTION = 8; String parse(String paramString) throws SQLException { this.current_argument = 1;
/* 1013 */     this.i = 0;
/* 1014 */     this.first = true;
/* 1015 */     this.in_string = false;
/* 1016 */     this.odbc_sql = paramString;
/* 1017 */     this.length = this.odbc_sql.length();
/*      */     
/* 1019 */     if (this.oracle_sql == null) {
/*      */       
/* 1021 */       this.oracle_sql = new StringBuffer(this.length);
/* 1022 */       this.token_buffer = new StringBuffer(32);
/*      */     }
/*      */     else {
/*      */       
/* 1026 */       this.oracle_sql.ensureCapacity(this.length);
/*      */     } 
/*      */     
/* 1029 */     this.oracle_sql.delete(0, this.oracle_sql.length());
/* 1030 */     skipSpace();
/* 1031 */     handleODBC();
/*      */     
/* 1033 */     if (this.i < this.length) {
/*      */       
/* 1035 */       Integer integer = new Integer(this.i);
/*      */       
/* 1037 */       DatabaseError.throwSqlException(33, integer);
/*      */     } 
/*      */     
/* 1040 */     return this.oracle_sql.substring(0, this.oracle_sql.length()); }
/*      */   private static final int WHERE_ACTION = 6;
/*      */   private static final int FOR_ACTION = 9;
/*      */   private static final int FOR_UPDATE_ACTION = 10; private static final int OTHER_ACTION = 5; private static final int QUESTION_ACTION = 11; private static final int PARAMETER_ACTION = 12; private static final int END_PARAMETER_ACTION = 13; private static final int START_NCHAR_LITERAL_ACTION = 14; private static final int END_NCHAR_LITERAL_ACTION = 15; int current_argument; int i; int length; char c; boolean first; boolean in_string; String odbc_sql; StringBuffer oracle_sql; StringBuffer token_buffer; boolean isLocate; void computeBasicInfo(String paramString) throws SQLException { this.parameterCount = 0; this.lastNcharLiteralLocation = 0; this.ncharLiteralLocation[this.lastNcharLiteralLocation++] = 0; byte b1 = 0; int i = 0; int j = paramString.length(); int k = -1; int m = -1; int n = j + 1; for (byte b2 = 0; b2 < n; b2++) { byte b3 = (b2 < j) ? paramString.charAt(b2) : 32; byte b4 = b3; if (b3 > 127) if (Character.isLetterOrDigit(b3)) { b4 = 88; } else { b4 = 32; }   switch (ACTION[i][b4]) { case 1: this.sqlKind = 2; break;case 2: this.sqlKind = 1; break;case 3: this.sqlKind = 4; break;case 4: this.sqlKind = 0; this.selectEndIndex = b2; break;case 5: this.sqlKind = 3; break;case 6: this.whereStartIndex = b2 - 5; this.whereEndIndex = b2; break;case 7: k = b2 - 5; break;case 8: this.orderByStartIndex = k; this.orderByEndIndex = b2; break;case 9: m = b2 - 3; break;case 10: this.forUpdateStartIndex = m; this.forUpdateEndIndex = b2; break;case 11: this.parameterCount++; break;case 12: if (this.currentParameter == null) this.currentParameter = new char[32];  if (b1 >= this.currentParameter.length) DatabaseError.throwSqlException(134, new String(this.currentParameter));  this.currentParameter[b1++] = b3; break;case 13: if (b1 > 0) { if (this.parameterList == EMPTY_LIST) { this.parameterList = new String[8]; } else if (this.parameterList.length <= this.parameterCount) { String[] arrayOfString = new String[this.parameterList.length * 4]; System.arraycopy(this.parameterList, 0, arrayOfString, 0, this.parameterList.length); this.parameterList = arrayOfString; }  this.parameterList[this.parameterCount] = (new String(this.currentParameter, 0, b1)).intern(); b1 = 0; this.parameterCount++; }  break;case 14: this.ncharLiteralLocation[this.lastNcharLiteralLocation++] = b2 - 1; if (this.lastNcharLiteralLocation >= this.ncharLiteralLocation.length) growNcharLiteralLocation(this.ncharLiteralLocation.length << 2);  break;case 15: this.ncharLiteralLocation[this.lastNcharLiteralLocation++] = b2; if (this.lastNcharLiteralLocation >= this.ncharLiteralLocation.length) growNcharLiteralLocation(this.ncharLiteralLocation.length << 2);  break; }  i = TRANSITION[i][b4]; }  if (this.lastNcharLiteralLocation + 2 >= this.ncharLiteralLocation.length)
/*      */       growNcharLiteralLocation(this.lastNcharLiteralLocation + 2);  this.ncharLiteralLocation[this.lastNcharLiteralLocation++] = j; this.ncharLiteralLocation[this.lastNcharLiteralLocation] = j; } void growNcharLiteralLocation(int paramInt) { int[] arrayOfInt = new int[paramInt]; System.arraycopy(this.ncharLiteralLocation, 0, arrayOfInt, 0, this.ncharLiteralLocation.length); this.ncharLiteralLocation = null; this.ncharLiteralLocation = arrayOfInt; } private String addRowid(String paramString) throws SQLException { if (this.selectEndIndex == -1)
/* 1045 */       DatabaseError.throwSqlException(88);  return "select rowid," + paramString.substring(this.selectEndIndex); } void handleODBC() throws SQLException { StringBuffer stringBuffer1 = null;
/* 1046 */     StringBuffer stringBuffer2 = null;
/* 1047 */     boolean bool = false;
/*      */     
/* 1049 */     while (this.i < this.length) {
/*      */       
/* 1051 */       this.c = this.odbc_sql.charAt(this.i);
/*      */       
/* 1053 */       if (this.in_string) {
/*      */         
/* 1055 */         this.oracle_sql.append(this.c);
/*      */         
/* 1057 */         if (this.c == '\'') {
/* 1058 */           this.in_string = false;
/*      */         }
/* 1060 */         this.i++;
/*      */         continue;
/*      */       } 
/* 1063 */       switch (this.c) {
/*      */ 
/*      */         
/*      */         case '\'':
/* 1067 */           if (this.isLocate) {
/*      */             
/* 1069 */             if (stringBuffer1 == null) {
/*      */               
/* 1071 */               stringBuffer1 = new StringBuffer();
/* 1072 */               stringBuffer2 = new StringBuffer();
/*      */             } 
/*      */             
/* 1075 */             if (!bool) {
/* 1076 */               stringBuffer1.append(this.c);
/*      */             } else {
/* 1078 */               stringBuffer2.append(this.c);
/*      */             } 
/* 1080 */             this.i++;
/*      */             
/*      */             continue;
/*      */           } 
/*      */           
/* 1085 */           this.oracle_sql.append(this.c);
/*      */           
/* 1087 */           this.in_string = true;
/* 1088 */           this.i++;
/* 1089 */           this.first = false;
/*      */           continue;
/*      */ 
/*      */         
/*      */         case '{':
/* 1094 */           this.token_buffer.delete(0, this.token_buffer.length());
/*      */           
/* 1096 */           this.i++;
/*      */           
/* 1098 */           skipSpace();
/*      */ 
/*      */ 
/*      */           
/* 1102 */           while (this.i < this.length && (Character.isJavaLetterOrDigit(this.c = this.odbc_sql.charAt(this.i)) || this.c == '?')) {
/*      */ 
/*      */             
/* 1105 */             this.token_buffer.append(this.c);
/*      */             
/* 1107 */             this.i++;
/*      */           } 
/*      */ 
/*      */           
/* 1111 */           handleToken(this.token_buffer.substring(0, this.token_buffer.length()));
/*      */           
/* 1113 */           this.c = this.odbc_sql.charAt(this.i);
/*      */           
/* 1115 */           if (this.c != '}') {
/*      */             
/* 1117 */             String str = new String(this.i + ": Expecting \"}\" got \"" + this.c + "\"");
/*      */             
/* 1119 */             DatabaseError.throwSqlException(33, str);
/*      */           } 
/*      */ 
/*      */           
/* 1123 */           this.i++;
/*      */           continue;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case '}':
/*      */           return;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1137 */       if (this.c != ' ' && this.c != '(' && this.isLocate) {
/*      */         
/* 1139 */         if (this.c == ')') {
/*      */           
/* 1141 */           if (stringBuffer2.substring(0, stringBuffer2.length()).trim().equals("?")) {
/* 1142 */             this.oracle_sql.append(nextArgument());
/*      */           } else {
/* 1144 */             this.oracle_sql.append(stringBuffer2);
/*      */           } 
/* 1146 */           this.oracle_sql.append(", ");
/*      */           
/* 1148 */           if (stringBuffer1.substring(0, stringBuffer1.length()).trim().equals("?")) {
/* 1149 */             this.oracle_sql.append(nextArgument());
/*      */           } else {
/* 1151 */             this.oracle_sql.append(stringBuffer1);
/*      */           } 
/* 1153 */           appendChar(this.oracle_sql, this.c);
/*      */           
/* 1155 */           this.isLocate = false;
/*      */         } 
/*      */         
/* 1158 */         if (stringBuffer1 == null) {
/*      */           
/* 1160 */           stringBuffer1 = new StringBuffer();
/* 1161 */           stringBuffer2 = new StringBuffer();
/*      */         } 
/*      */         
/* 1164 */         if (this.c == ',') {
/*      */           
/* 1166 */           bool = true;
/* 1167 */           this.i++;
/* 1168 */           this.first = false;
/*      */           
/*      */           continue;
/*      */         } 
/*      */         
/* 1173 */         if (!bool) {
/* 1174 */           stringBuffer1.append(this.c);
/*      */         } else {
/* 1176 */           stringBuffer2.append(this.c);
/*      */         }
/*      */       
/*      */       } else {
/*      */         
/* 1181 */         appendChar(this.oracle_sql, this.c);
/*      */       } 
/*      */       
/* 1184 */       this.i++;
/* 1185 */       this.first = false;
/*      */     }  }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void handleToken(String paramString) throws SQLException {
/* 1192 */     if (paramString.equalsIgnoreCase("?")) {
/* 1193 */       handleFunction();
/* 1194 */     } else if (paramString.equalsIgnoreCase("call")) {
/* 1195 */       handleCall();
/* 1196 */     } else if (paramString.equalsIgnoreCase("ts")) {
/* 1197 */       handleTimestamp();
/* 1198 */     } else if (paramString.equalsIgnoreCase("t")) {
/* 1199 */       handleTime();
/* 1200 */     } else if (paramString.equalsIgnoreCase("d")) {
/* 1201 */       handleDate();
/* 1202 */     } else if (paramString.equalsIgnoreCase("escape")) {
/* 1203 */       handleEscape();
/* 1204 */     } else if (paramString.equalsIgnoreCase("fn")) {
/* 1205 */       handleScalarFunction();
/* 1206 */     } else if (paramString.equalsIgnoreCase("oj")) {
/* 1207 */       handleOuterJoin();
/*      */     } else {
/*      */       
/* 1210 */       String str = new String(this.i + ": " + paramString);
/*      */       
/* 1212 */       DatabaseError.throwSqlException(34, str);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void handleFunction() throws SQLException {
/* 1220 */     boolean bool = this.first;
/*      */     
/* 1222 */     if (bool) {
/* 1223 */       this.oracle_sql.append("BEGIN ");
/*      */     }
/* 1225 */     appendChar(this.oracle_sql, '?');
/* 1226 */     skipSpace();
/*      */     
/* 1228 */     if (this.c != '=') {
/*      */       
/* 1230 */       String str = new String(this.i + ". Expecting \"=\" got \"" + this.c + "\"");
/*      */       
/* 1232 */       DatabaseError.throwSqlException(33, str);
/*      */     } 
/*      */     
/* 1235 */     this.i++;
/*      */     
/* 1237 */     skipSpace();
/*      */     
/* 1239 */     if (!this.odbc_sql.startsWith("call", this.i)) {
/*      */       
/* 1241 */       String str = new String(this.i + ". Expecting \"call\"");
/*      */       
/* 1243 */       DatabaseError.throwSqlException(33, str);
/*      */     } 
/*      */     
/* 1246 */     this.i += 4;
/*      */     
/* 1248 */     this.oracle_sql.append(" := ");
/* 1249 */     skipSpace();
/* 1250 */     handleODBC();
/*      */     
/* 1252 */     if (bool) {
/* 1253 */       this.oracle_sql.append("; END;");
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void handleCall() throws SQLException {
/* 1259 */     boolean bool = this.first;
/*      */     
/* 1261 */     if (bool) {
/* 1262 */       this.oracle_sql.append("BEGIN ");
/*      */     }
/* 1264 */     skipSpace();
/* 1265 */     handleODBC();
/* 1266 */     skipSpace();
/*      */     
/* 1268 */     if (bool) {
/* 1269 */       this.oracle_sql.append("; END;");
/*      */     }
/*      */   }
/*      */   
/*      */   void handleTimestamp() throws SQLException {
/* 1274 */     if (this.isV8Compatible) {
/*      */       
/* 1276 */       this.oracle_sql.append("TO_DATE (");
/* 1277 */       skipSpace();
/*      */       
/* 1279 */       boolean bool = false;
/*      */       
/* 1281 */       while (this.i < this.length && (this.c = this.odbc_sql.charAt(this.i)) != '}') {
/*      */         
/* 1283 */         if (!bool)
/*      */         {
/* 1285 */           if (this.c == '.') {
/* 1286 */             bool = true;
/*      */           } else {
/* 1288 */             this.oracle_sql.append(this.c);
/*      */           } 
/*      */         }
/* 1291 */         this.i++;
/*      */       } 
/*      */       
/* 1294 */       if (bool) {
/* 1295 */         this.oracle_sql.append('\'');
/*      */       }
/* 1297 */       this.oracle_sql.append(", 'YYYY-MM-DD HH24:MI:SS')");
/*      */     }
/*      */     else {
/*      */       
/* 1301 */       this.oracle_sql.append("TO_TIMESTAMP (");
/* 1302 */       skipSpace();
/* 1303 */       handleODBC();
/* 1304 */       this.oracle_sql.append(", 'YYYY-MM-DD HH24:MI:SS.FF')");
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void handleTime() throws SQLException {
/* 1310 */     this.oracle_sql.append("TO_DATE (");
/* 1311 */     skipSpace();
/* 1312 */     handleODBC();
/* 1313 */     this.oracle_sql.append(", 'HH24:MI:SS')");
/*      */   }
/*      */ 
/*      */   
/*      */   void handleDate() throws SQLException {
/* 1318 */     this.oracle_sql.append("TO_DATE (");
/* 1319 */     skipSpace();
/* 1320 */     handleODBC();
/* 1321 */     this.oracle_sql.append(", 'YYYY-MM-DD')");
/*      */   }
/*      */ 
/*      */   
/*      */   void handleEscape() throws SQLException {
/* 1326 */     this.oracle_sql.append("ESCAPE ");
/* 1327 */     skipSpace();
/* 1328 */     handleODBC();
/*      */   }
/*      */ 
/*      */   
/*      */   void handleScalarFunction() throws SQLException {
/* 1333 */     this.token_buffer.delete(0, this.token_buffer.length());
/*      */     
/* 1335 */     this.i++;
/*      */     
/* 1337 */     skipSpace();
/*      */ 
/*      */ 
/*      */     
/* 1341 */     while (this.i < this.length && (Character.isJavaLetterOrDigit(this.c = this.odbc_sql.charAt(this.i)) || this.c == '?')) {
/*      */ 
/*      */       
/* 1344 */       this.token_buffer.append(this.c);
/*      */       
/* 1346 */       this.i++;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1352 */     String str = this.token_buffer.substring(0, this.token_buffer.length()).toUpperCase().intern();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1361 */     if (str == "ABS") {
/* 1362 */       usingFunctionName(str);
/* 1363 */     } else if (str == "ACOS") {
/* 1364 */       usingFunctionName(str);
/* 1365 */     } else if (str == "ASIN") {
/* 1366 */       usingFunctionName(str);
/* 1367 */     } else if (str == "ATAN") {
/* 1368 */       usingFunctionName(str);
/* 1369 */     } else if (str == "ATAN2") {
/* 1370 */       usingFunctionName(str);
/* 1371 */     } else if (str == "CEILING") {
/* 1372 */       usingFunctionName("CEIL");
/* 1373 */     } else if (str == "COS") {
/* 1374 */       usingFunctionName(str);
/* 1375 */     } else if (str == "COT") {
/* 1376 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1378 */     else if (str == "DEGREES") {
/* 1379 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1381 */     else if (str == "EXP") {
/* 1382 */       usingFunctionName(str);
/* 1383 */     } else if (str == "FLOOR") {
/* 1384 */       usingFunctionName(str);
/* 1385 */     } else if (str == "LOG") {
/* 1386 */       usingFunctionName("LN");
/* 1387 */     } else if (str == "LOG10") {
/* 1388 */       replacingFunctionPrefix("LOG ( 10, ");
/* 1389 */     } else if (str == "MOD") {
/* 1390 */       usingFunctionName(str);
/* 1391 */     } else if (str == "PI") {
/* 1392 */       replacingFunctionPrefix("( 3.141592653589793238462643383279502884197169399375 ");
/* 1393 */     } else if (str == "POWER") {
/* 1394 */       usingFunctionName(str);
/* 1395 */     } else if (str == "RADIANS") {
/* 1396 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1398 */     else if (str == "RAND") {
/* 1399 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1401 */     else if (str == "ROUND") {
/* 1402 */       usingFunctionName(str);
/* 1403 */     } else if (str == "SIGN") {
/* 1404 */       usingFunctionName(str);
/* 1405 */     } else if (str == "SIN") {
/* 1406 */       usingFunctionName(str);
/* 1407 */     } else if (str == "SQRT") {
/* 1408 */       usingFunctionName(str);
/* 1409 */     } else if (str == "TAN") {
/* 1410 */       usingFunctionName(str);
/* 1411 */     } else if (str == "TRUNCATE") {
/* 1412 */       usingFunctionName("TRUNC");
/*      */     
/*      */     }
/* 1415 */     else if (str == "ASCII") {
/* 1416 */       usingFunctionName(str);
/* 1417 */     } else if (str == "CHAR") {
/* 1418 */       usingFunctionName("CHR");
/* 1419 */     } else if (str == "CONCAT") {
/* 1420 */       usingFunctionName(str);
/* 1421 */     } else if (str == "DIFFERENCE") {
/* 1422 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1424 */     else if (str == "INSERT") {
/* 1425 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1427 */     else if (str == "LCASE") {
/* 1428 */       usingFunctionName("LOWER");
/* 1429 */     } else if (str == "LEFT") {
/* 1430 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1432 */     else if (str == "LENGTH") {
/* 1433 */       usingFunctionName(str);
/* 1434 */     } else if (str == "LOCATE") {
/*      */       
/* 1436 */       this.isLocate = true;
/*      */       
/* 1438 */       usingFunctionName("INSTR");
/*      */     }
/* 1440 */     else if (str == "LTRIM") {
/* 1441 */       usingFunctionName(str);
/* 1442 */     } else if (str == "REPEAT") {
/* 1443 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1445 */     else if (str == "REPLACE") {
/* 1446 */       usingFunctionName(str);
/* 1447 */     } else if (str == "RIGHT") {
/* 1448 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1450 */     else if (str == "RTRIM") {
/* 1451 */       usingFunctionName(str);
/* 1452 */     } else if (str == "SOUNDEX") {
/* 1453 */       usingFunctionName(str);
/* 1454 */     } else if (str == "SPACE") {
/* 1455 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1457 */     else if (str == "SUBSTRING") {
/* 1458 */       usingFunctionName("SUBSTR");
/* 1459 */     } else if (str == "UCASE") {
/* 1460 */       usingFunctionName("UPPER");
/*      */     
/*      */     }
/* 1463 */     else if (str == "CURDATE") {
/* 1464 */       replacingFunctionPrefix("(CURRENT_DATE");
/* 1465 */     } else if (str == "CURTIME") {
/* 1466 */       replacingFunctionPrefix("(CURRENT_TIMESTAMP");
/* 1467 */     } else if (str == "DAYNAME") {
/* 1468 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1470 */     else if (str == "DAYOFMONTH") {
/* 1471 */       replacingFunctionPrefix("EXTRACT ( DAY FROM ");
/* 1472 */     } else if (str == "DAYOFWEEK") {
/* 1473 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1475 */     else if (str == "DAYOFYEAR") {
/* 1476 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1478 */     else if (str == "HOUR") {
/* 1479 */       replacingFunctionPrefix("EXTRACT ( HOUR FROM ");
/* 1480 */     } else if (str == "MINUTE") {
/* 1481 */       replacingFunctionPrefix("EXTRACT ( MINUTE FROM ");
/* 1482 */     } else if (str == "MONTH") {
/* 1483 */       replacingFunctionPrefix("EXTRACT ( MONTH FROM ");
/* 1484 */     } else if (str == "MONTHNAME") {
/* 1485 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1487 */     else if (str == "NOW") {
/* 1488 */       replacingFunctionPrefix("(CURRENT_TIMESTAMP");
/* 1489 */     } else if (str == "QUARTER") {
/* 1490 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1492 */     else if (str == "SECOND") {
/* 1493 */       replacingFunctionPrefix("EXTRACT ( SECOND FROM ");
/* 1494 */     } else if (str == "TIMESTAMPADD") {
/* 1495 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1497 */     else if (str == "TIMESTAMPDIFF") {
/* 1498 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1500 */     else if (str == "WEEK") {
/* 1501 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1503 */     else if (str == "YEAR") {
/* 1504 */       replacingFunctionPrefix("EXTRACT ( YEAR FROM ");
/*      */     
/*      */     }
/* 1507 */     else if (str == "DATABASE") {
/* 1508 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1510 */     else if (str == "IFNULL") {
/* 1511 */       DatabaseError.throwSqlException(34, str);
/*      */     }
/* 1513 */     else if (str == "USER") {
/* 1514 */       replacingFunctionPrefix("(USER");
/*      */     
/*      */     }
/* 1517 */     else if (str == "CONVERT") {
/* 1518 */       DatabaseError.throwSqlException(34, str);
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1523 */       DatabaseError.throwSqlException(34, str);
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void usingFunctionName(String paramString) throws SQLException {
/* 1529 */     this.oracle_sql.append(paramString);
/* 1530 */     skipSpace();
/* 1531 */     handleODBC();
/*      */   }
/*      */ 
/*      */   
/*      */   void replacingFunctionPrefix(String paramString) throws SQLException {
/* 1536 */     skipSpace();
/*      */ 
/*      */     
/* 1539 */     if (this.i < this.length && (this.c = this.odbc_sql.charAt(this.i)) == '(') {
/* 1540 */       this.i++;
/*      */     } else {
/* 1542 */       DatabaseError.throwSqlException(33);
/*      */     } 
/* 1544 */     this.oracle_sql.append(paramString);
/* 1545 */     skipSpace();
/* 1546 */     handleODBC();
/*      */   }
/*      */ 
/*      */   
/*      */   void handleOuterJoin() throws SQLException {
/* 1551 */     this.oracle_sql.append(" ( ");
/* 1552 */     skipSpace();
/* 1553 */     handleODBC();
/* 1554 */     this.oracle_sql.append(" ) ");
/*      */   }
/*      */ 
/*      */   
/*      */   String nextArgument() {
/* 1559 */     String str = ":" + this.current_argument;
/*      */     
/* 1561 */     this.current_argument++;
/*      */     
/* 1563 */     return str;
/*      */   }
/*      */ 
/*      */   
/*      */   void appendChar(StringBuffer paramStringBuffer, char paramChar) {
/* 1568 */     if (paramChar == '?') {
/* 1569 */       paramStringBuffer.append(nextArgument());
/*      */     } else {
/* 1571 */       paramStringBuffer.append(paramChar);
/*      */     } 
/*      */   }
/*      */   
/*      */   void skipSpace() {
/* 1576 */     while (this.i < this.length && (this.c = this.odbc_sql.charAt(this.i)) == ' ') {
/* 1577 */       this.i++;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String generateParameterName() {
/*      */     String str;
/* 1587 */     if (this.parameterCount == 0 || this.parameterList == null)
/*      */     {
/* 1589 */       return "rowid" + this.paramSuffix++;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     label13: while (true) {
/* 1595 */       str = "rowid" + this.paramSuffix++;
/* 1596 */       for (byte b = 0; b < this.parameterList.length; b++)
/*      */       
/* 1598 */       { if (str.equals(this.parameterList[b]))
/*      */           continue label13;  }  break;
/* 1600 */     }  return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static boolean isValidPlsqlWarning(String paramString) throws SQLException {
/* 1622 */     return paramString.matches("('\\s*([a-zA-Z0-9:,\\(\\)\\s])*')\\s*(,\\s*'([a-zA-Z0-9:,\\(\\)\\s])*')*");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isValidObjectName(String paramString) throws SQLException {
/* 1643 */     return paramString.matches("([a-zA-Z]{1}\\w*(\\$|\\#)*\\w*)|(\".*)");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void main(String[] paramArrayOfString) {
/* 1654 */     String[] arrayOfString = { "IS_UNINITIALIZED", "IS_SELECT", "IS_PLSQL_BLOCK", "IS_DML", "IS_OTHER", "IS_CALL_BLOCK" };
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1659 */       OracleSql oracleSql = new OracleSql(null);
/*      */       
/* 1661 */       boolean bool1 = paramArrayOfString[0].equals("true");
/* 1662 */       boolean bool2 = paramArrayOfString[1].equals("true");
/*      */       
/* 1664 */       oracleSql.initialize(paramArrayOfString[2]);
/* 1665 */       String str = oracleSql.getSql(bool1, bool2);
/*      */       
/* 1667 */       System.out.println(arrayOfString[oracleSql.sqlKind + 1] + ", " + oracleSql.parameterCount);
/*      */       
/* 1669 */       String[] arrayOfString1 = oracleSql.getParameterList();
/*      */       
/* 1671 */       if (arrayOfString1 == EMPTY_LIST) {
/* 1672 */         System.out.println("parameterList is empty");
/*      */       } else {
/* 1674 */         for (byte b = 0; b < arrayOfString1.length; b++)
/* 1675 */           System.out.println("parameterList[" + b + "] = " + arrayOfString1[b]); 
/*      */       } 
/* 1677 */       if (oracleSql.lastNcharLiteralLocation == 2) { System.out.println("No NCHAR literals"); }
/*      */       else
/*      */       
/* 1680 */       { System.out.println("NCHAR Literals");
/* 1681 */         for (byte b = 1; b < oracleSql.lastNcharLiteralLocation - 1;)
/* 1682 */           System.out.println(str.substring(oracleSql.ncharLiteralLocation[b++], oracleSql.ncharLiteralLocation[b++]));  }
/*      */       
/* 1684 */       System.out.println("Keywords");
/* 1685 */       if (oracleSql.selectEndIndex == -1) { System.out.println("no select"); }
/* 1686 */       else { System.out.println("'" + str.substring(oracleSql.selectEndIndex - 6, oracleSql.selectEndIndex) + "'"); }
/* 1687 */        if (oracleSql.orderByStartIndex == -1) { System.out.println("no order by"); }
/* 1688 */       else { System.out.println("'" + str.substring(oracleSql.orderByStartIndex, oracleSql.orderByEndIndex) + "'"); }
/* 1689 */        if (oracleSql.whereStartIndex == -1) { System.out.println("no where"); }
/* 1690 */       else { System.out.println("'" + str.substring(oracleSql.whereStartIndex, oracleSql.whereEndIndex) + "'"); }
/* 1691 */        if (oracleSql.forUpdateStartIndex == -1) { System.out.println("no for update"); }
/* 1692 */       else { System.out.println("'" + str.substring(oracleSql.forUpdateStartIndex, oracleSql.forUpdateEndIndex) + "'"); }
/*      */       
/* 1694 */       System.out.println("\"" + str + "\"");
/* 1695 */       System.out.println("\"" + oracleSql.getRevisedSql() + "\"");
/*      */     }
/* 1697 */     catch (Exception exception) {
/*      */       
/* 1699 */       exception.printStackTrace(System.out);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1709 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\OracleSql.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */