/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.math.BigDecimal;
/*     */ import java.sql.SQLException;
/*     */ import oracle.sql.CHAR;
/*     */ import oracle.sql.CharacterSet;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.NUMBER;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class PlsqlIndexTableAccessor
/*     */   extends Accessor
/*     */ {
/*     */   int elementInternalType;
/*     */   int maxNumberOfElements;
/*     */   int elementMaxLen;
/*     */   int ibtValueIndex;
/*     */   int ibtIndicatorIndex;
/*     */   int ibtLengthIndex;
/*     */   int ibtMetaIndex;
/*     */   int ibtByteLength;
/*     */   int ibtCharLength;
/*     */   
/*     */   PlsqlIndexTableAccessor(OracleStatement paramOracleStatement, int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, boolean paramBoolean) throws SQLException {
/*  43 */     init(paramOracleStatement, 998, 998, paramShort, paramBoolean);
/*     */     
/*  45 */     this.elementInternalType = paramInt2;
/*  46 */     this.maxNumberOfElements = paramInt4;
/*  47 */     this.elementMaxLen = paramInt3;
/*     */     
/*  49 */     initForDataAccess(paramInt1, paramInt3, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  55 */     if (paramInt1 != 0) {
/*  56 */       this.externalType = paramInt1;
/*     */     }
/*  58 */     switch (this.elementInternalType) {
/*     */ 
/*     */ 
/*     */       
/*     */       case 1:
/*     */       case 96:
/*  64 */         this.internalTypeMaxLength = 2000;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  69 */         this.elementMaxLen = ((paramInt2 == 0) ? this.internalTypeMaxLength : paramInt2) + 1;
/*  70 */         this.ibtCharLength = this.elementMaxLen * this.maxNumberOfElements;
/*  71 */         this.elementInternalType = 9;
/*     */         return;
/*     */ 
/*     */       
/*     */       case 6:
/*  76 */         this.internalTypeMaxLength = 21;
/*  77 */         this.elementMaxLen = this.internalTypeMaxLength + 1;
/*  78 */         this.ibtByteLength = this.elementMaxLen * this.maxNumberOfElements;
/*     */         return;
/*     */     } 
/*     */ 
/*     */     
/*  83 */     DatabaseError.throwSqlException(97);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object[] getPlsqlIndexTable(int paramInt) throws SQLException {
/*     */     BigDecimal[] arrayOfBigDecimal;
/*     */     char[] arrayOfChar;
/*     */     byte b1;
/*     */     byte[] arrayOfByte;
/*     */     byte b2;
/*  98 */     String[] arrayOfString = null;
/*  99 */     short[] arrayOfShort = this.statement.ibtBindIndicators;
/* 100 */     int i = (arrayOfShort[this.ibtMetaIndex + 4] >> 16) + (arrayOfShort[this.ibtMetaIndex + 5] & 0xFFFF);
/*     */ 
/*     */     
/* 103 */     int j = this.ibtValueIndex;
/*     */ 
/*     */     
/* 106 */     switch (this.elementInternalType)
/*     */     
/*     */     { 
/*     */       case 9:
/* 110 */         arrayOfString = new String[i];
/* 111 */         arrayOfChar = this.statement.ibtBindChars;
/*     */         
/* 113 */         for (b1 = 0; b1 < i; b1++) {
/*     */           
/* 115 */           if (arrayOfShort[this.ibtIndicatorIndex + b1] == -1) {
/*     */             
/* 117 */             arrayOfString[b1] = null;
/*     */           }
/*     */           else {
/*     */             
/* 121 */             arrayOfString[b1] = new String(arrayOfChar, j + 1, arrayOfChar[j] >> 1);
/*     */           } 
/*     */ 
/*     */ 
/*     */           
/* 126 */           j += this.elementMaxLen;
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 160 */         return (Object[])arrayOfString;case 6: arrayOfBigDecimal = new BigDecimal[i]; arrayOfByte = this.statement.ibtBindBytes; for (b2 = 0; b2 < i; b2++) { if (arrayOfShort[this.ibtIndicatorIndex + b2] == -1) { arrayOfBigDecimal[b2] = null; } else { byte b = arrayOfByte[j]; byte[] arrayOfByte1 = new byte[b]; System.arraycopy(arrayOfByte, j + 1, arrayOfByte1, 0, b); arrayOfBigDecimal[b2] = NUMBER.toBigDecimal(arrayOfByte1); }  j += this.elementMaxLen; }  return (Object[])arrayOfBigDecimal; }  DatabaseError.throwSqlException(97); return (Object[])arrayOfBigDecimal;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum[] getOraclePlsqlIndexTable(int paramInt) throws SQLException {
/*     */     NUMBER[] arrayOfNUMBER;
/*     */     CharacterSet characterSet;
/*     */     char[] arrayOfChar;
/*     */     byte b1;
/*     */     byte[] arrayOfByte;
/*     */     byte b2;
/* 174 */     CHAR[] arrayOfCHAR = null;
/* 175 */     short[] arrayOfShort = this.statement.ibtBindIndicators;
/* 176 */     int i = (arrayOfShort[this.ibtMetaIndex + 4] >> 16) + (arrayOfShort[this.ibtMetaIndex + 5] & 0xFFFF);
/*     */ 
/*     */     
/* 179 */     int j = this.ibtValueIndex;
/*     */ 
/*     */     
/* 182 */     switch (this.elementInternalType)
/*     */     
/*     */     { 
/*     */       case 9:
/* 186 */         arrayOfCHAR = new CHAR[i];
/*     */         
/* 188 */         characterSet = CharacterSet.make(2000);
/* 189 */         arrayOfChar = this.statement.ibtBindChars;
/*     */         
/* 191 */         for (b1 = 0; b1 < i; b1++) {
/*     */           
/* 193 */           if (arrayOfShort[this.ibtIndicatorIndex + b1] == -1) {
/*     */             
/* 195 */             arrayOfCHAR[b1] = null;
/*     */           }
/*     */           else {
/*     */             
/* 199 */             char c = arrayOfChar[j];
/* 200 */             byte[] arrayOfByte1 = new byte[c];
/*     */             
/* 202 */             DBConversion.javaCharsToUcs2Bytes(arrayOfChar, j + 1, arrayOfByte1, 0, c >> 1);
/*     */ 
/*     */             
/* 205 */             arrayOfCHAR[b1] = new CHAR(arrayOfByte1, characterSet);
/*     */           } 
/*     */           
/* 208 */           j += this.elementMaxLen;
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 242 */         return (Datum[])arrayOfCHAR;case 6: arrayOfNUMBER = new NUMBER[i]; arrayOfByte = this.statement.ibtBindBytes; for (b2 = 0; b2 < i; b2++) { if (arrayOfShort[this.ibtIndicatorIndex + b2] == -1) { arrayOfNUMBER[b2] = null; } else { byte b = arrayOfByte[j]; byte[] arrayOfByte1 = new byte[b]; System.arraycopy(arrayOfByte, j + 1, arrayOfByte1, 0, b); arrayOfNUMBER[b2] = new NUMBER(arrayOfByte1); }  j += this.elementMaxLen; }  return (Datum[])arrayOfNUMBER; }  DatabaseError.throwSqlException(97); return (Datum[])arrayOfNUMBER;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\PlsqlIndexTableAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */