/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.sql.Connection;
/*      */ import java.sql.Date;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Hashtable;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.oracore.OracleNamedType;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.jdbc.oracore.OracleTypeCOLLECTION;
/*      */ import oracle.jdbc.oracore.OracleTypeOPAQUE;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BINARY_DOUBLE;
/*      */ import oracle.sql.BINARY_FLOAT;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CHAR;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CharacterSet;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.CustomDatumFactory;
/*      */ import oracle.sql.DATE;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.INTERVALDS;
/*      */ import oracle.sql.INTERVALYM;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.OPAQUE;
/*      */ import oracle.sql.ORAData;
/*      */ import oracle.sql.ORADataFactory;
/*      */ import oracle.sql.OpaqueDescriptor;
/*      */ import oracle.sql.RAW;
/*      */ import oracle.sql.REF;
/*      */ import oracle.sql.ROWID;
/*      */ import oracle.sql.SQLName;
/*      */ import oracle.sql.STRUCT;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TIMESTAMP;
/*      */ import oracle.sql.TIMESTAMPLTZ;
/*      */ import oracle.sql.TIMESTAMPTZ;
/*      */ import oracle.sql.TypeDescriptor;
/*      */ import oracle.sql.converter.CharacterSetMetaData;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class SQLUtil
/*      */ {
/*      */   public static Object SQLToJava(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, int paramInt, String paramString, Class paramClass, Map paramMap) throws SQLException {
/*   89 */     Datum datum = makeDatum(paramOracleConnection, paramArrayOfbyte, paramInt, paramString, 0);
/*   90 */     return SQLToJava(paramOracleConnection, datum, paramClass, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static CustomDatum SQLToJava(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, int paramInt, String paramString, CustomDatumFactory paramCustomDatumFactory) throws SQLException {
/*  132 */     Datum datum = makeDatum(paramOracleConnection, paramArrayOfbyte, paramInt, paramString, 0);
/*  133 */     return paramCustomDatumFactory.create(datum, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static ORAData SQLToJava(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, int paramInt, String paramString, ORADataFactory paramORADataFactory) throws SQLException {
/*  175 */     Datum datum = makeDatum(paramOracleConnection, paramArrayOfbyte, paramInt, paramString, 0);
/*  176 */     return paramORADataFactory.create(datum, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Object SQLToJava(OracleConnection paramOracleConnection, Datum paramDatum, Class paramClass, Map paramMap) throws SQLException {
/*  220 */     Object object = null;
/*      */     
/*  222 */     if (paramDatum instanceof STRUCT)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */       
/*  228 */       if (paramClass == null)
/*      */       {
/*  230 */         object = (paramMap != null) ? ((STRUCT)paramDatum).toJdbc(paramMap) : paramDatum.toJdbc();
/*      */       }
/*      */       else
/*      */       {
/*  234 */         object = (paramMap != null) ? ((STRUCT)paramDatum).toClass(paramClass, paramMap) : ((STRUCT)paramDatum).toClass(paramClass);
/*      */       }
/*      */        }
/*      */     
/*  238 */     else if (paramClass == null)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */       
/*  244 */       object = paramDatum.toJdbc();
/*      */       
/*      */        }
/*      */     
/*      */     else
/*      */     
/*      */     { 
/*      */       
/*  252 */       int i = classNumber(paramClass);
/*      */       
/*  254 */       switch (i)
/*      */       
/*      */       { 
/*      */         case 0:
/*  258 */           object = paramDatum.stringValue();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  328 */           return object;case 1: object = new Boolean((paramDatum.longValue() != 0L)); return object;case 2: object = new Integer((int)paramDatum.longValue()); return object;case 3: object = new Long(paramDatum.longValue()); return object;case 4: object = new Float(paramDatum.bigDecimalValue().floatValue()); return object;case 5: object = new Double(paramDatum.bigDecimalValue().doubleValue()); return object;case 6: object = paramDatum.bigDecimalValue(); return object;case 7: object = paramDatum.dateValue(); return object;case 8: object = paramDatum.timeValue(); return object;case 9: object = paramDatum.timestampValue(); return object; }  object = paramDatum.toJdbc(); if (!paramClass.isInstance(object)) DatabaseError.throwSqlException(59, "invalid data conversion");  }  return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] JavaToSQL(OracleConnection paramOracleConnection, Object paramObject, int paramInt, String paramString) throws SQLException {
/*      */     STRUCT sTRUCT;
/*      */     Datum datum1;
/*  367 */     if (paramObject == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  372 */       return null;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  380 */     Datum datum2 = null;
/*      */     
/*  382 */     if (paramObject instanceof Datum) {
/*      */       
/*  384 */       datum2 = (Datum)paramObject;
/*      */     }
/*  386 */     else if (paramObject instanceof ORAData) {
/*      */       
/*  388 */       datum2 = ((ORAData)paramObject).toDatum((Connection)paramOracleConnection);
/*      */     }
/*  390 */     else if (paramObject instanceof CustomDatum) {
/*      */       
/*  392 */       datum2 = paramOracleConnection.toDatum((CustomDatum)paramObject);
/*      */     }
/*  394 */     else if (paramObject instanceof java.sql.SQLData) {
/*      */       
/*  396 */       sTRUCT = STRUCT.toSTRUCT(paramObject, (OracleConnection)paramOracleConnection);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  403 */     if (sTRUCT != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  413 */       if (!checkDatumType((Datum)sTRUCT, paramInt, paramString))
/*      */       {
/*  415 */         sTRUCT = null;
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/*  428 */       datum1 = makeDatum(paramOracleConnection, paramObject, paramInt, paramString);
/*      */     } 
/*      */     
/*  431 */     byte[] arrayOfByte = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  436 */     if (datum1 != null) {
/*      */       
/*  438 */       if (datum1 instanceof STRUCT) {
/*  439 */         arrayOfByte = ((STRUCT)datum1).toBytes();
/*  440 */       } else if (datum1 instanceof ARRAY) {
/*  441 */         arrayOfByte = ((ARRAY)datum1).toBytes();
/*  442 */       } else if (datum1 instanceof OPAQUE) {
/*  443 */         arrayOfByte = ((OPAQUE)datum1).toBytes();
/*      */       } else {
/*  445 */         arrayOfByte = datum1.shareBytes();
/*      */       
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  452 */       DatabaseError.throwSqlException(1, "attempt to convert a Datum to incompatible SQL type");
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  458 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeDatum(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, int paramInt1, String paramString, int paramInt2) throws SQLException {
/*      */     NUMBER nUMBER;
/*      */     BINARY_FLOAT bINARY_FLOAT;
/*      */     BINARY_DOUBLE bINARY_DOUBLE;
/*      */     RAW rAW;
/*      */     ROWID rOWID;
/*      */     DATE dATE;
/*      */     INTERVALYM iNTERVALYM;
/*      */     INTERVALDS iNTERVALDS;
/*      */     TIMESTAMP tIMESTAMP;
/*      */     TIMESTAMPTZ tIMESTAMPTZ;
/*      */     TIMESTAMPLTZ tIMESTAMPLTZ;
/*      */     BLOB bLOB;
/*      */     CLOB cLOB;
/*      */     BFILE bFILE;
/*      */     OPAQUE oPAQUE;
/*      */     REF rEF;
/*      */     TypeDescriptor typeDescriptor;
/*      */     Object object;
/*  500 */     CHAR cHAR = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  509 */     short s = paramOracleConnection.getDbCsId();
/*  510 */     int i = CharacterSetMetaData.getRatio(s, 1);
/*      */     
/*  512 */     switch (paramInt1)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 96:
/*  521 */         if (paramInt2 != 0 && paramInt2 < paramArrayOfbyte.length && i == 1) {
/*  522 */           cHAR = new CHAR(paramArrayOfbyte, 0, paramInt2, CharacterSet.make(paramOracleConnection.getJdbcCsId()));
/*      */         } else {
/*      */           
/*  525 */           cHAR = new CHAR(paramArrayOfbyte, CharacterSet.make(paramOracleConnection.getJdbcCsId()));
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  679 */         return (Datum)cHAR;case 1: case 8: cHAR = new CHAR(paramArrayOfbyte, CharacterSet.make(paramOracleConnection.getJdbcCsId())); return (Datum)cHAR;case 2: case 6: return (Datum)new NUMBER(paramArrayOfbyte);case 100: return (Datum)new BINARY_FLOAT(paramArrayOfbyte);case 101: return (Datum)new BINARY_DOUBLE(paramArrayOfbyte);case 23: case 24: return (Datum)new RAW(paramArrayOfbyte);case 104: rOWID = new ROWID(paramArrayOfbyte); return (Datum)rOWID;case 102: DatabaseError.throwSqlException(1, "need resolution: do we want to handle ResultSet?"); return (Datum)rOWID;case 12: return (Datum)new DATE(paramArrayOfbyte);case 182: return (Datum)new INTERVALYM(paramArrayOfbyte);case 183: return (Datum)new INTERVALDS(paramArrayOfbyte);case 180: return (Datum)new TIMESTAMP(paramArrayOfbyte);case 181: return (Datum)new TIMESTAMPTZ(paramArrayOfbyte);case 231: return (Datum)new TIMESTAMPLTZ(paramArrayOfbyte);case 113: return (Datum)paramOracleConnection.createBlob(paramArrayOfbyte);case 112: return (Datum)paramOracleConnection.createClob(paramArrayOfbyte);case 114: return (Datum)paramOracleConnection.createBfile(paramArrayOfbyte);case 109: typeDescriptor = TypeDescriptor.getTypeDescriptor(paramString, (OracleConnection)paramOracleConnection, paramArrayOfbyte, 0L); if (typeDescriptor instanceof StructDescriptor) { STRUCT sTRUCT = new STRUCT((StructDescriptor)typeDescriptor, paramArrayOfbyte, (Connection)paramOracleConnection); } else if (typeDescriptor instanceof ArrayDescriptor) { ARRAY aRRAY = new ARRAY((ArrayDescriptor)typeDescriptor, paramArrayOfbyte, (Connection)paramOracleConnection); } else if (typeDescriptor instanceof OpaqueDescriptor) { oPAQUE = new OPAQUE((OpaqueDescriptor)typeDescriptor, paramArrayOfbyte, (Connection)paramOracleConnection); }  return (Datum)oPAQUE;case 111: object = getTypeDescriptor(paramString, paramOracleConnection); if (object instanceof StructDescriptor) { rEF = new REF((StructDescriptor)object, (Connection)paramOracleConnection, paramArrayOfbyte); } else { DatabaseError.throwSqlException(1, "program error: REF points to a non-STRUCT"); }  return (Datum)rEF; }  DatabaseError.throwSqlException(1, "program error: invalid SQL type code"); return (Datum)rEF;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeNDatum(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, int paramInt1, String paramString, short paramShort, int paramInt2) throws SQLException {
/*      */     CLOB cLOB;
/*      */     int i;
/*  695 */     CHAR cHAR = null;
/*      */     
/*  697 */     switch (paramInt1)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 96:
/*  705 */         i = paramInt2 * CharacterSetMetaData.getRatio(paramOracleConnection.getNCharSet(), 1);
/*      */ 
/*      */ 
/*      */         
/*  709 */         if (paramInt2 != 0 && i < paramArrayOfbyte.length) {
/*  710 */           cHAR = new CHAR(paramArrayOfbyte, 0, paramInt2, CharacterSet.make(paramOracleConnection.getNCharSet()));
/*      */         } else {
/*      */           
/*  713 */           cHAR = new CHAR(paramArrayOfbyte, CharacterSet.make(paramOracleConnection.getNCharSet()));
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  745 */         return (Datum)cHAR;case 1: case 8: cHAR = new CHAR(paramArrayOfbyte, CharacterSet.make(paramOracleConnection.getNCharSet())); return (Datum)cHAR;case 112: cLOB = paramOracleConnection.createClob(paramArrayOfbyte, paramShort); return (Datum)cLOB; }  DatabaseError.throwSqlException(1, "program error: invalid SQL type code"); return (Datum)cLOB;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeDatum(OracleConnection paramOracleConnection, Object paramObject, int paramInt, String paramString) throws SQLException {
/*  777 */     return makeDatum(paramOracleConnection, paramObject, paramInt, paramString, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeDatum(OracleConnection paramOracleConnection, Object paramObject, int paramInt, String paramString, boolean paramBoolean) throws SQLException {
/*      */     NUMBER nUMBER;
/*      */     BINARY_FLOAT bINARY_FLOAT;
/*      */     BINARY_DOUBLE bINARY_DOUBLE;
/*      */     RAW rAW;
/*      */     ROWID rOWID;
/*      */     DATE dATE;
/*      */     Datum datum;
/*  791 */     CHAR cHAR = null;
/*      */     
/*  793 */     switch (paramInt) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 8:
/*      */       case 96:
/*  803 */         cHAR = new CHAR(paramObject, CharacterSet.make(paramBoolean ? paramOracleConnection.getNCharSet() : paramOracleConnection.getJdbcCsId()));
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/*      */       case 6:
/*  811 */         nUMBER = new NUMBER(paramObject);
/*      */         break;
/*      */ 
/*      */       
/*      */       case 100:
/*  816 */         bINARY_FLOAT = new BINARY_FLOAT((Float)paramObject);
/*      */         break;
/*      */ 
/*      */       
/*      */       case 101:
/*  821 */         bINARY_DOUBLE = new BINARY_DOUBLE((Double)paramObject);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 23:
/*      */       case 24:
/*  828 */         rAW = new RAW(paramObject);
/*      */         break;
/*      */ 
/*      */       
/*      */       case 104:
/*  833 */         rOWID = new ROWID((byte[])paramObject);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 102:
/*  844 */         DatabaseError.throwSqlException(1, "need resolution: do we want to handle ResultSet");
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 12:
/*  850 */         dATE = new DATE(paramObject);
/*      */         break;
/*      */ 
/*      */       
/*      */       case 180:
/*  855 */         if (paramObject instanceof TIMESTAMP) {
/*      */           
/*  857 */           datum = (Datum)paramObject; break;
/*      */         } 
/*  859 */         if (paramObject instanceof Timestamp) {
/*  860 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((Timestamp)paramObject); break;
/*  861 */         }  if (paramObject instanceof Date) {
/*  862 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((Date)paramObject); break;
/*  863 */         }  if (paramObject instanceof Time) {
/*  864 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((Time)paramObject); break;
/*  865 */         }  if (paramObject instanceof DATE) {
/*  866 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((DATE)paramObject); break;
/*  867 */         }  if (paramObject instanceof String) {
/*  868 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((String)paramObject); break;
/*  869 */         }  if (paramObject instanceof byte[]) {
/*  870 */           TIMESTAMP tIMESTAMP = new TIMESTAMP((byte[])paramObject);
/*      */         }
/*      */         break;
/*      */       
/*      */       case 181:
/*  875 */         if (paramObject instanceof TIMESTAMPTZ) {
/*      */           
/*  877 */           datum = (Datum)paramObject; break;
/*      */         } 
/*  879 */         if (paramObject instanceof Timestamp) {
/*  880 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((Connection)paramOracleConnection, (Timestamp)paramObject); break;
/*  881 */         }  if (paramObject instanceof Date) {
/*  882 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((Connection)paramOracleConnection, (Date)paramObject); break;
/*  883 */         }  if (paramObject instanceof Time) {
/*  884 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((Connection)paramOracleConnection, (Time)paramObject); break;
/*  885 */         }  if (paramObject instanceof DATE) {
/*  886 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((Connection)paramOracleConnection, (DATE)paramObject); break;
/*  887 */         }  if (paramObject instanceof String) {
/*  888 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((Connection)paramOracleConnection, (String)paramObject); break;
/*  889 */         }  if (paramObject instanceof byte[]) {
/*  890 */           TIMESTAMPTZ tIMESTAMPTZ = new TIMESTAMPTZ((byte[])paramObject);
/*      */         }
/*      */         break;
/*      */       
/*      */       case 231:
/*  895 */         if (paramObject instanceof TIMESTAMPLTZ) {
/*      */           
/*  897 */           datum = (Datum)paramObject; break;
/*      */         } 
/*  899 */         if (paramObject instanceof Timestamp) {
/*  900 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((Connection)paramOracleConnection, (Timestamp)paramObject); break;
/*  901 */         }  if (paramObject instanceof Date) {
/*  902 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((Connection)paramOracleConnection, (Date)paramObject); break;
/*  903 */         }  if (paramObject instanceof Time) {
/*  904 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((Connection)paramOracleConnection, (Time)paramObject); break;
/*  905 */         }  if (paramObject instanceof DATE) {
/*  906 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((Connection)paramOracleConnection, (DATE)paramObject); break;
/*  907 */         }  if (paramObject instanceof String) {
/*  908 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((Connection)paramOracleConnection, (String)paramObject); break;
/*  909 */         }  if (paramObject instanceof byte[]) {
/*  910 */           TIMESTAMPLTZ tIMESTAMPLTZ = new TIMESTAMPLTZ((byte[])paramObject);
/*      */         }
/*      */         break;
/*      */       
/*      */       case 113:
/*  915 */         if (paramObject instanceof BLOB)
/*      */         {
/*  917 */           datum = (Datum)paramObject;
/*      */         }
/*      */         break;
/*      */ 
/*      */       
/*      */       case 112:
/*  923 */         if (paramObject instanceof CLOB)
/*      */         {
/*  925 */           datum = (Datum)paramObject;
/*      */         }
/*      */         break;
/*      */ 
/*      */       
/*      */       case 114:
/*  931 */         if (paramObject instanceof BFILE)
/*      */         {
/*  933 */           datum = (Datum)paramObject;
/*      */         }
/*      */         break;
/*      */ 
/*      */       
/*      */       case 109:
/*  939 */         if (paramObject instanceof STRUCT || paramObject instanceof ARRAY || paramObject instanceof OPAQUE)
/*      */         {
/*      */           
/*  942 */           datum = (Datum)paramObject;
/*      */         }
/*      */         break;
/*      */ 
/*      */       
/*      */       case 111:
/*  948 */         if (paramObject instanceof REF)
/*      */         {
/*  950 */           datum = (Datum)paramObject;
/*      */         }
/*      */         break;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  959 */     if (datum == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  964 */       DatabaseError.throwSqlException(1, "Unable to construct a Datum from the specified input");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  970 */     return datum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int classNumber(Class paramClass) {
/*  987 */     int i = -1;
/*  988 */     Integer integer = (Integer)classTable.get(paramClass);
/*      */     
/*  990 */     if (integer != null)
/*      */     {
/*  992 */       i = integer.intValue();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  997 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Object getTypeDescriptor(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/* 1033 */     Object object = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1038 */     SQLName sQLName = new SQLName(paramString, (OracleConnection)paramOracleConnection);
/* 1039 */     String str = sQLName.getName();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1044 */     object = paramOracleConnection.getDescriptor(str);
/*      */     
/* 1046 */     if (object != null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 1051 */       return object;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1057 */     OracleTypeADT oracleTypeADT = new OracleTypeADT(str, (Connection)paramOracleConnection);
/* 1058 */     oracleTypeADT.init(paramOracleConnection);
/*      */     
/* 1060 */     OracleNamedType oracleNamedType = oracleTypeADT.cleanup();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1065 */     switch (oracleNamedType.getTypeCode())
/*      */     
/*      */     { 
/*      */       
/*      */       case 2003:
/* 1070 */         object = new ArrayDescriptor(sQLName, (OracleTypeCOLLECTION)oracleNamedType, (Connection)paramOracleConnection);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1105 */         paramOracleConnection.putDescriptor(str, object);
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1110 */         return object;case 2002: case 2008: object = new StructDescriptor(sQLName, (OracleTypeADT)oracleNamedType, (Connection)paramOracleConnection); paramOracleConnection.putDescriptor(str, object); return object;case 2007: object = new OpaqueDescriptor(sQLName, (OracleTypeOPAQUE)oracleNamedType, (Connection)paramOracleConnection); paramOracleConnection.putDescriptor(str, object); return object; }  DatabaseError.throwSqlException(1, "Unrecognized type code"); paramOracleConnection.putDescriptor(str, object); return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean checkDatumType(Datum paramDatum, int paramInt, String paramString) throws SQLException {
/* 1140 */     boolean bool = false;
/*      */     
/* 1142 */     switch (paramInt)
/*      */     
/*      */     { 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 8:
/*      */       case 96:
/* 1150 */         bool = paramDatum instanceof CHAR;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1248 */         return bool;case 2: case 6: bool = paramDatum instanceof NUMBER; return bool;case 100: bool = paramDatum instanceof BINARY_FLOAT; return bool;case 101: bool = paramDatum instanceof BINARY_DOUBLE; return bool;case 23: case 24: bool = paramDatum instanceof RAW; return bool;case 104: bool = paramDatum instanceof ROWID; return bool;case 12: bool = paramDatum instanceof DATE; return bool;case 180: bool = paramDatum instanceof TIMESTAMP; return bool;case 181: bool = paramDatum instanceof TIMESTAMPTZ; return bool;case 231: bool = paramDatum instanceof TIMESTAMPLTZ; return bool;case 113: bool = paramDatum instanceof BLOB; return bool;case 112: bool = paramDatum instanceof CLOB; return bool;case 114: bool = paramDatum instanceof BFILE; return bool;case 111: bool = (paramDatum instanceof REF && ((REF)paramDatum).getBaseTypeName().equals(paramString)); return bool;case 109: if (paramDatum instanceof STRUCT) { bool = ((STRUCT)paramDatum).isInHierarchyOf(paramString); } else if (paramDatum instanceof ARRAY) { bool = ((ARRAY)paramDatum).getSQLTypeName().equals(paramString); } else if (paramDatum instanceof OPAQUE) { bool = ((OPAQUE)paramDatum).getSQLTypeName().equals(paramString); }  return bool; }  bool = false; return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean implementsInterface(Class paramClass1, Class paramClass2) {
/* 1268 */     if (paramClass1 == null)
/*      */     {
/* 1270 */       return false;
/*      */     }
/*      */     
/* 1273 */     if (paramClass1 == paramClass2)
/*      */     {
/* 1275 */       return true;
/*      */     }
/*      */     
/* 1278 */     Class[] arrayOfClass = paramClass1.getInterfaces();
/*      */     
/* 1280 */     for (byte b = 0; b < arrayOfClass.length; b++) {
/*      */       
/* 1282 */       if (implementsInterface(arrayOfClass[b], paramClass2))
/*      */       {
/* 1284 */         return true;
/*      */       }
/*      */     } 
/*      */     
/* 1288 */     return implementsInterface(paramClass1.getSuperclass(), paramClass2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeOracleDatum(OracleConnection paramOracleConnection, Object paramObject, int paramInt, String paramString) throws SQLException {
/* 1317 */     return makeOracleDatum(paramOracleConnection, paramObject, paramInt, paramString, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum makeOracleDatum(OracleConnection paramOracleConnection, Object paramObject, int paramInt, String paramString, boolean paramBoolean) throws SQLException {
/* 1332 */     return makeDatum(paramOracleConnection, paramObject, getInternalType(paramInt), paramString, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getInternalType(int paramInt) throws SQLException {
/* 1346 */     char c = Character.MIN_VALUE;
/*      */     
/* 1348 */     switch (paramInt)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case -7:
/*      */       case -6:
/*      */       case -5:
/*      */       case 2:
/*      */       case 3:
/*      */       case 4:
/*      */       case 5:
/*      */       case 6:
/*      */       case 7:
/*      */       case 8:
/* 1370 */         c = '\006';
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1501 */         return c;case 100: c = 'd'; return c;case 101: c = 'e'; return c;case 999: c = 'ϧ'; return c;case 1: c = '`'; return c;case 12: c = '\001'; return c;case -1: c = '\b'; return c;case 91: case 92: c = '\f'; return c;case -100: case 93: c = '´'; return c;case -101: c = 'µ'; return c;case -102: c = 'ç'; return c;case -104: c = '·'; return c;case -103: c = '¶'; return c;case -3: case -2: c = '\027'; return c;case -4: c = '\030'; return c;case -8: c = 'h'; return c;case 2004: c = 'q'; return c;case 2005: c = 'p'; return c;case -13: c = 'r'; return c;case -10: c = 'f'; return c;case 2002: case 2003: case 2007: case 2008: c = 'm'; return c;case 2006: c = 'o'; return c; }  DatabaseError.throwSqlException(4, "get_internal_type"); return c;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1681 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   
/*      */   public static final boolean TRACE = false;
/*      */   
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*      */   
/*      */   private static final int CLASS_NOT_FOUND = -1;
/*      */   
/*      */   private static final int CLASS_STRING = 0;
/*      */   
/*      */   private static final int CLASS_BOOLEAN = 1;
/*      */   
/*      */   private static final int CLASS_INTEGER = 2;
/*      */   
/*      */   private static final int CLASS_LONG = 3;
/*      */   
/*      */   private static final int CLASS_FLOAT = 4;
/*      */   
/*      */   private static final int CLASS_DOUBLE = 5;
/*      */   
/*      */   private static final int CLASS_BIGDECIMAL = 6;
/*      */   
/*      */   private static final int CLASS_DATE = 7;
/*      */   
/*      */   private static final int CLASS_TIME = 8;
/*      */   private static final int CLASS_TIMESTAMP = 9;
/*      */   private static final int TOTAL_CLASSES = 10;
/* 1710 */   private static Hashtable classTable = new Hashtable(10);
/*      */   
/*      */   static {
/*      */     try {
/* 1714 */       classTable.put(Class.forName("java.lang.String"), new Integer(0));
/*      */       
/* 1716 */       classTable.put(Class.forName("java.lang.Boolean"), new Integer(1));
/*      */       
/* 1718 */       classTable.put(Class.forName("java.lang.Integer"), new Integer(2));
/*      */       
/* 1720 */       classTable.put(Class.forName("java.lang.Long"), new Integer(3));
/* 1721 */       classTable.put(Class.forName("java.lang.Float"), new Integer(4));
/*      */       
/* 1723 */       classTable.put(Class.forName("java.lang.Double"), new Integer(5));
/*      */       
/* 1725 */       classTable.put(Class.forName("java.math.BigDecimal"), new Integer(6));
/*      */       
/* 1727 */       classTable.put(Class.forName("java.sql.Date"), new Integer(7));
/* 1728 */       classTable.put(Class.forName("java.sql.Time"), new Integer(8));
/* 1729 */       classTable.put(Class.forName("java.sql.Timestamp"), new Integer(9));
/*      */     
/*      */     }
/* 1732 */     catch (ClassNotFoundException classNotFoundException) {}
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\SQLUtil.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */