/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.oracore.OracleType;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T2CCallableStatement
/*      */   extends OracleCallableStatement
/*      */ {
/*   40 */   T2CConnection connection = null;
/*   41 */   int userResultSetType = -1;
/*   42 */   int userResultSetConcur = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   48 */   static int T2C_EXTEND_BUFFER = -3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   61 */   long[] t2cOutput = new long[10];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   T2CCallableStatement(T2CConnection paramT2CConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*   70 */     super(paramT2CConnection, paramString, paramInt1, paramInt2, paramInt3, paramInt4);
/*      */ 
/*      */     
/*   73 */     this.userResultSetType = paramInt3;
/*   74 */     this.userResultSetConcur = paramInt4;
/*      */ 
/*      */     
/*   77 */     this.connection = paramT2CConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String bytes2String(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*   93 */     byte[] arrayOfByte = new byte[paramInt2];
/*      */     
/*   95 */     System.arraycopy(paramArrayOfbyte, paramInt1, arrayOfByte, 0, paramInt2);
/*      */     
/*   97 */     return this.connection.conversion.CharBytesToString(arrayOfByte, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void processDescribeData() throws SQLException {
/*  113 */     this.described = true;
/*  114 */     this.describedWithNames = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  125 */     if (this.accessors == null || this.numberOfDefinePositions > this.accessors.length) {
/*  126 */       this.accessors = new Accessor[this.numberOfDefinePositions];
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  142 */     int i = this.connection.queryMetaData1Offset;
/*  143 */     int j = this.connection.queryMetaData2Offset;
/*  144 */     short[] arrayOfShort = this.connection.queryMetaData1;
/*  145 */     byte[] arrayOfByte = this.connection.queryMetaData2;
/*      */     
/*  147 */     for (byte b = 0; b < this.numberOfDefinePositions; 
/*  148 */       b++, i += 13) {
/*      */       
/*  150 */       short s1 = arrayOfShort[i + 0];
/*  151 */       short s2 = arrayOfShort[i + 1];
/*  152 */       short s3 = arrayOfShort[i + 11];
/*  153 */       boolean bool1 = (arrayOfShort[i + 2] != 0) ? true : false;
/*  154 */       short s4 = arrayOfShort[i + 3];
/*  155 */       short s5 = arrayOfShort[i + 4];
/*  156 */       boolean bool2 = false;
/*  157 */       boolean bool3 = false;
/*  158 */       boolean bool4 = false;
/*  159 */       short s6 = arrayOfShort[i + 5];
/*  160 */       short s7 = arrayOfShort[i + 6];
/*  161 */       String str1 = bytes2String(arrayOfByte, j, s7);
/*  162 */       short s8 = arrayOfShort[i + 12];
/*  163 */       String str2 = null;
/*  164 */       OracleTypeADT oracleTypeADT = null;
/*      */       
/*  166 */       j += s7;
/*      */       
/*  168 */       if (s8 > 0) {
/*      */         
/*  170 */         str2 = bytes2String(arrayOfByte, j, s8);
/*  171 */         j += s8;
/*  172 */         oracleTypeADT = new OracleTypeADT(str2, (Connection)this.connection);
/*  173 */         oracleTypeADT.tdoCState = (arrayOfShort[i + 7] & 0xFFFFL) << 48L | (arrayOfShort[i + 8] & 0xFFFFL) << 32L | (arrayOfShort[i + 9] & 0xFFFFL) << 16L | arrayOfShort[i + 10] & 0xFFFFL;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  181 */       Accessor accessor = this.accessors[b];
/*      */       
/*  183 */       if (accessor != null && !accessor.useForDescribeIfPossible(s1, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2))
/*      */       {
/*      */ 
/*      */         
/*  187 */         accessor = null;
/*      */       }
/*  189 */       if (accessor == null) {
/*      */         
/*  191 */         switch (s1) {
/*      */ 
/*      */           
/*      */           case 1:
/*  195 */             accessor = new VarcharAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */             
/*  199 */             if (s3 > 0) {
/*  200 */               accessor.setDisplaySize(s3);
/*      */             }
/*      */             break;
/*      */           
/*      */           case 96:
/*  205 */             accessor = new CharAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */             
/*  209 */             if (s3 > 0) {
/*  210 */               accessor.setDisplaySize(s3);
/*      */             }
/*      */             break;
/*      */           
/*      */           case 2:
/*  215 */             accessor = new NumberAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 23:
/*  222 */             accessor = new RawAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 100:
/*  229 */             accessor = new BinaryFloatAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 101:
/*  236 */             accessor = new BinaryDoubleAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 8:
/*  243 */             accessor = new LongAccessor(this, b + 1, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  250 */             this.rowPrefetch = 1;
/*      */             break;
/*      */ 
/*      */           
/*      */           case 24:
/*  255 */             accessor = new LongRawAccessor(this, b + 1, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  262 */             this.rowPrefetch = 1;
/*      */             break;
/*      */ 
/*      */           
/*      */           case 104:
/*  267 */             accessor = new RowidAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 102:
/*      */           case 116:
/*  276 */             accessor = new T2CResultSetAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 12:
/*  283 */             accessor = new DateAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 180:
/*  290 */             accessor = new TimestampAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 181:
/*  297 */             accessor = new TimestamptzAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 231:
/*  304 */             accessor = new TimestampltzAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 182:
/*  311 */             accessor = new IntervalymAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 183:
/*  318 */             accessor = new IntervaldsAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 112:
/*  325 */             accessor = new ClobAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 113:
/*  332 */             accessor = new BlobAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 114:
/*  339 */             accessor = new BfileAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 109:
/*  346 */             accessor = new NamedTypeAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2, (OracleType)oracleTypeADT);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 111:
/*  354 */             accessor = new RefTypeAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2, (OracleType)oracleTypeADT);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           default:
/*  365 */             throw new SQLException("Unknown or unimplemented accessor type: " + s1);
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  373 */         this.accessors[b] = accessor;
/*      */       }
/*  375 */       else if (oracleTypeADT != null) {
/*      */         
/*  377 */         accessor.initMetadata();
/*      */       } 
/*      */       
/*  380 */       accessor.columnName = str1;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDescribe(boolean paramBoolean) throws SQLException {
/*      */     boolean bool;
/*  403 */     if (this.closed) {
/*  404 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  406 */     if (this.described == true) {
/*      */       return;
/*      */     }
/*      */ 
/*      */     
/*  411 */     if (!this.isOpen)
/*      */     {
/*  413 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     do {
/*  420 */       bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  425 */       this.numberOfDefinePositions = T2CStatement.t2cDescribe(this.c_state, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.connection.queryMetaData1Size, this.connection.queryMetaData2Size);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  438 */       if (this.numberOfDefinePositions == -1)
/*      */       {
/*  440 */         this.connection.checkError(this.numberOfDefinePositions);
/*      */       }
/*      */ 
/*      */       
/*  444 */       if (this.numberOfDefinePositions != T2C_EXTEND_BUFFER)
/*      */         continue; 
/*  446 */       bool = true;
/*      */ 
/*      */ 
/*      */       
/*  450 */       this.connection.reallocateQueryMetaData(this.connection.queryMetaData1Size * 2, this.connection.queryMetaData2Size * 2);
/*      */ 
/*      */     
/*      */     }
/*  454 */     while (bool);
/*      */     
/*  456 */     processDescribeData();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForDescribe() throws SQLException {
/*      */     boolean bool3;
/*  498 */     this.t2cOutput[0] = 0L;
/*  499 */     this.t2cOutput[2] = 0L;
/*      */     
/*  501 */     boolean bool1 = !this.described ? true : false;
/*  502 */     boolean bool2 = false;
/*      */ 
/*      */ 
/*      */     
/*      */     do {
/*  507 */       bool3 = false;
/*      */ 
/*      */       
/*  510 */       if (this.connection.endToEndAnyChanged) {
/*      */         
/*  512 */         pushEndToEndValues();
/*      */         
/*  514 */         this.connection.endToEndAnyChanged = false;
/*      */       } 
/*      */ 
/*      */       
/*  518 */       byte[] arrayOfByte = this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals);
/*  519 */       int i = T2CStatement.t2cParseExecuteDescribe(this, this.c_state, this.numberOfBindPositions, this.numberOfBindRowsAllocated, this.firstRowInBatch, (this.currentRowBindAccessors != null), this.needToParse, bool1, bool2, arrayOfByte, arrayOfByte.length, this.sqlKind, this.rowPrefetch, this.batch, this.bindIndicators, this.bindIndicatorOffset, this.bindBytes, this.bindChars, this.bindByteOffset, this.bindCharOffset, this.ibtBindIndicators, this.ibtBindIndicatorOffset, this.ibtBindIndicatorSize, this.ibtBindBytes, this.ibtBindChars, this.ibtBindByteOffset, this.ibtBindCharOffset, this.returnParamMeta, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.connection.queryMetaData1Size, this.connection.queryMetaData2Size, this.preparedAllBinds, this.preparedCharBinds, this.outBindAccessors, this.parameterDatum, this.t2cOutput, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.connection.plsqlCompilerWarnings);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  568 */       this.validRows = (int)this.t2cOutput[1];
/*      */       
/*  570 */       if (i == -1) {
/*      */         
/*  572 */         this.connection.checkError(i);
/*      */       }
/*  574 */       else if (i == T2C_EXTEND_BUFFER) {
/*      */         
/*  576 */         i = this.connection.queryMetaData1Size * 2;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  581 */       if (this.t2cOutput[3] != 0L) {
/*      */         
/*  583 */         foundPlsqlCompilerWarning();
/*      */       }
/*  585 */       else if (this.t2cOutput[2] != 0L) {
/*      */         
/*  587 */         this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  592 */       this.connection.endToEndECIDSequenceNumber = (short)(int)this.t2cOutput[4];
/*      */ 
/*      */       
/*  595 */       this.needToParse = false;
/*  596 */       bool2 = true;
/*      */       
/*  598 */       if (this.sqlKind == 0)
/*      */       {
/*  600 */         this.numberOfDefinePositions = i;
/*      */         
/*  602 */         if (this.numberOfDefinePositions > this.connection.queryMetaData1Size)
/*      */         {
/*  604 */           bool3 = true;
/*  605 */           bool2 = true;
/*      */ 
/*      */           
/*  608 */           this.connection.reallocateQueryMetaData(this.numberOfDefinePositions, this.numberOfDefinePositions * 8);
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*  615 */         this.numberOfDefinePositions = 0;
/*  616 */         this.validRows = i;
/*      */       }
/*      */     
/*  619 */     } while (bool3);
/*      */     
/*  621 */     processDescribeData();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void pushEndToEndValues() throws SQLException {
/*  633 */     T2CConnection t2CConnection = this.connection;
/*  634 */     byte[] arrayOfByte1 = new byte[0];
/*  635 */     byte[] arrayOfByte2 = new byte[0];
/*  636 */     byte[] arrayOfByte3 = new byte[0];
/*  637 */     byte[] arrayOfByte4 = new byte[0];
/*      */     
/*  639 */     if (t2CConnection.endToEndValues != null) {
/*      */       
/*  641 */       if (t2CConnection.endToEndHasChanged[0]) {
/*      */         
/*  643 */         String str = t2CConnection.endToEndValues[0];
/*      */         
/*  645 */         if (str != null) {
/*  646 */           arrayOfByte1 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  649 */         t2CConnection.endToEndHasChanged[0] = false;
/*      */       } 
/*      */       
/*  652 */       if (t2CConnection.endToEndHasChanged[1]) {
/*      */         
/*  654 */         String str = t2CConnection.endToEndValues[1];
/*      */         
/*  656 */         if (str != null) {
/*  657 */           arrayOfByte2 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  660 */         t2CConnection.endToEndHasChanged[1] = false;
/*      */       } 
/*      */       
/*  663 */       if (t2CConnection.endToEndHasChanged[2]) {
/*      */         
/*  665 */         String str = t2CConnection.endToEndValues[2];
/*      */         
/*  667 */         if (str != null) {
/*  668 */           arrayOfByte3 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  671 */         t2CConnection.endToEndHasChanged[2] = false;
/*      */       } 
/*      */       
/*  674 */       if (t2CConnection.endToEndHasChanged[3]) {
/*      */         
/*  676 */         String str = t2CConnection.endToEndValues[3];
/*      */         
/*  678 */         if (str != null) {
/*  679 */           arrayOfByte4 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  682 */         t2CConnection.endToEndHasChanged[3] = false;
/*      */       } 
/*      */       
/*  685 */       T2CStatement.t2cEndToEndUpdate(this.c_state, arrayOfByte1, arrayOfByte1.length, arrayOfByte2, arrayOfByte2.length, arrayOfByte3, arrayOfByte3.length, arrayOfByte4, arrayOfByte4.length, t2CConnection.endToEndECIDSequenceNumber);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForRows(boolean paramBoolean) throws SQLException {
/*  743 */     if (this.connection.endToEndAnyChanged) {
/*      */       
/*  745 */       pushEndToEndValues();
/*      */       
/*  747 */       this.connection.endToEndAnyChanged = false;
/*      */     } 
/*      */ 
/*      */     
/*  751 */     if (!paramBoolean) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  759 */       if (this.numberOfDefinePositions > 0)
/*      */       {
/*  761 */         doDefineExecuteFetch();
/*      */       }
/*      */       else
/*      */       {
/*  765 */         executeForDescribe();
/*      */       }
/*      */     
/*  768 */     } else if (this.numberOfDefinePositions > 0) {
/*  769 */       doDefineFetch();
/*      */     } 
/*      */ 
/*      */     
/*  773 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setupForDefine() throws SQLException {
/*  784 */     if (this.numberOfDefinePositions > this.connection.queryMetaData1Size) {
/*      */       
/*  786 */       int j = this.numberOfDefinePositions / 100 + 1;
/*      */       
/*  788 */       this.connection.reallocateQueryMetaData(this.connection.queryMetaData1Size * j, this.connection.queryMetaData2Size * j * 8);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  793 */     short[] arrayOfShort = this.connection.queryMetaData1;
/*  794 */     int i = this.connection.queryMetaData1Offset;
/*      */ 
/*      */     
/*  797 */     for (byte b = 0; b < this.numberOfDefinePositions; 
/*  798 */       b++, i += 13) {
/*      */       
/*  800 */       Accessor accessor = this.accessors[b];
/*      */       
/*  802 */       if (accessor == null) {
/*  803 */         DatabaseError.throwSqlException(21);
/*      */       }
/*  805 */       arrayOfShort[i + 0] = (short)accessor.defineType;
/*      */       
/*  807 */       arrayOfShort[i + 11] = (short)accessor.charLength;
/*      */       
/*  809 */       arrayOfShort[i + 1] = (short)accessor.byteLength;
/*      */       
/*  811 */       arrayOfShort[i + 5] = accessor.formOfUse;
/*      */ 
/*      */       
/*  814 */       if (accessor.internalOtype != null) {
/*      */         
/*  816 */         long l = ((OracleTypeADT)accessor.internalOtype).getTdoCState();
/*      */ 
/*      */         
/*  819 */         arrayOfShort[i + 7] = (short)(int)((l & 0xFFFF000000000000L) >> 48L);
/*      */         
/*  821 */         arrayOfShort[i + 8] = (short)(int)((l & 0xFFFF00000000L) >> 32L);
/*      */         
/*  823 */         arrayOfShort[i + 9] = (short)(int)((l & 0xFFFF0000L) >> 16L);
/*      */         
/*  825 */         arrayOfShort[i + 10] = (short)(int)(l & 0xFFFFL);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void doDefineFetch() throws SQLException {
/*  833 */     if (!this.needToPrepareDefineBuffer) {
/*  834 */       throw new Error("doDefineFetch called when needToPrepareDefineBuffer=false " + this.sqlObject.getSql(this.processEscapes, this.convertNcharLiterals));
/*      */     }
/*      */     
/*  837 */     setupForDefine();
/*      */     
/*  839 */     this.t2cOutput[2] = 0L;
/*  840 */     this.validRows = T2CStatement.t2cDefineFetch(this.c_state, this.rowPrefetch, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.accessors, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.t2cOutput);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  849 */     if (this.validRows == -1) {
/*  850 */       this.connection.checkError(this.validRows);
/*      */     }
/*      */     
/*  853 */     if (this.t2cOutput[2] != 0L)
/*      */     {
/*  855 */       this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDefineExecuteFetch() throws SQLException {
/*  866 */     short[] arrayOfShort = null;
/*      */     
/*  868 */     if (this.needToPrepareDefineBuffer || this.needToParse) {
/*      */       
/*  870 */       setupForDefine();
/*      */       
/*  872 */       arrayOfShort = this.connection.queryMetaData1;
/*      */     } 
/*      */     
/*  875 */     this.t2cOutput[0] = 0L;
/*  876 */     this.t2cOutput[2] = 0L;
/*      */     
/*  878 */     byte[] arrayOfByte = this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals);
/*      */     
/*  880 */     this.validRows = T2CStatement.t2cDefineExecuteFetch(this, this.c_state, this.numberOfDefinePositions, this.numberOfBindPositions, this.numberOfBindRowsAllocated, this.firstRowInBatch, (this.currentRowBindAccessors != null), this.needToParse, arrayOfByte, arrayOfByte.length, this.sqlKind, this.rowPrefetch, this.batch, this.bindIndicators, this.bindIndicatorOffset, this.bindBytes, this.bindChars, this.bindByteOffset, this.bindCharOffset, arrayOfShort, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.preparedAllBinds, this.preparedCharBinds, this.outBindAccessors, this.parameterDatum, this.t2cOutput, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  916 */     if (this.validRows == -1) {
/*  917 */       this.connection.checkError(this.validRows);
/*      */     }
/*  919 */     if (this.t2cOutput[2] != 0L) {
/*  920 */       this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  925 */     this.connection.endToEndECIDSequenceNumber = (short)(int)this.t2cOutput[4];
/*      */     
/*  927 */     this.needToParse = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fetch() throws SQLException {
/*  972 */     if (this.numberOfDefinePositions > 0)
/*      */     {
/*  974 */       if (this.needToPrepareDefineBuffer) {
/*  975 */         doDefineFetch();
/*      */       } else {
/*      */         
/*  978 */         this.t2cOutput[2] = 0L;
/*  979 */         this.validRows = T2CStatement.t2cFetch(this.c_state, this.needToPrepareDefineBuffer, this.rowPrefetch, this.accessors, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.t2cOutput);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  985 */         if (this.validRows == -1) {
/*  986 */           this.connection.checkError(this.validRows);
/*      */         }
/*  988 */         if (this.t2cOutput[2] != 0L)
/*      */         {
/*  990 */           this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */         }
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClose() throws SQLException {
/* 1028 */     if (this.defineBytes != null) {
/*      */       
/* 1030 */       this.defineBytes = null;
/* 1031 */       this.accessorByteOffset = 0;
/*      */     } 
/*      */     
/* 1034 */     if (this.defineChars != null) {
/*      */       
/* 1036 */       this.defineChars = null;
/* 1037 */       this.accessorCharOffset = 0;
/*      */     } 
/*      */     
/* 1040 */     if (this.defineIndicators != null) {
/*      */       
/* 1042 */       this.defineIndicators = null;
/* 1043 */       this.accessorShortOffset = 0;
/*      */     } 
/*      */ 
/*      */     
/* 1047 */     int i = T2CStatement.t2cCloseStatement(this.c_state);
/*      */     
/* 1049 */     if (i != 0) {
/* 1050 */       this.connection.checkError(i);
/*      */     }
/* 1052 */     this.t2cOutput = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeQuery() throws SQLException {
/* 1074 */     if (this.streamList != null)
/*      */     {
/* 1076 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1080 */           this.nextStream.close();
/*      */         }
/* 1082 */         catch (IOException iOException) {
/*      */           
/* 1084 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1087 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean) throws SQLException {
/* 1109 */     if (paramInt1 == 109) {
/*      */       
/* 1111 */       if (paramString == null) {
/* 1112 */         if (paramBoolean) {
/* 1113 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         } else {
/*      */           
/* 1116 */           DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */         } 
/*      */       }
/* 1119 */       T2CNamedTypeAccessor t2CNamedTypeAccessor = new T2CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, paramInt3 - 1);
/*      */ 
/*      */       
/* 1122 */       t2CNamedTypeAccessor.initMetadata();
/*      */       
/* 1124 */       return t2CNamedTypeAccessor;
/*      */     } 
/* 1126 */     if (paramInt1 == 116 || paramInt1 == 102) {
/*      */ 
/*      */       
/* 1129 */       if (paramBoolean && paramString != null) {
/* 1130 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 1133 */       return new T2CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1139 */     return super.allocateAccessor(paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramString, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void closeUsedStreams(int paramInt) throws SQLException {
/* 1145 */     while (this.nextStream != null && this.nextStream.columnIndex < paramInt) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/* 1152 */         this.nextStream.close();
/*      */       }
/* 1154 */       catch (IOException iOException) {
/*      */         
/* 1156 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */       
/* 1159 */       this.nextStream = this.nextStream.nextStream;
/*      */     } 
/*      */     
/* 1162 */     if (this.nextStream != null) {
/*      */       
/*      */       try {
/* 1165 */         this.nextStream.needBytes();
/*      */       }
/* 1167 */       catch (IOException iOException) {
/*      */         
/* 1169 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void fetchDmlReturnParams() throws SQLException {
/* 1176 */     this.rowsDmlReturned = T2CStatement.t2cGetRowsDmlReturned(this.c_state);
/*      */     
/* 1178 */     if (this.rowsDmlReturned != 0) {
/*      */       
/* 1180 */       allocateDmlReturnStorage();
/*      */       
/* 1182 */       int i = T2CStatement.t2cFetchDmlReturnParams(this.c_state, this.returnParamAccessors, this.returnParamBytes, this.returnParamChars, this.returnParamIndicators);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1191 */     this.returnParamsFetched = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initializeIndicatorSubRange() {
/* 1203 */     this.bindIndicatorSubRange = this.numberOfBindPositions * 5;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void prepareBindPreambles(int paramInt1, int paramInt2) {
/* 1214 */     int i = this.bindIndicatorSubRange;
/*      */     
/* 1216 */     initializeIndicatorSubRange();
/*      */     
/* 1218 */     int j = this.bindIndicatorSubRange;
/*      */     
/* 1220 */     this.bindIndicatorSubRange = i;
/*      */     
/* 1222 */     int k = this.bindIndicatorSubRange - j;
/* 1223 */     OracleTypeADT[] arrayOfOracleTypeADT = (this.parameterOtype == null) ? null : this.parameterOtype[this.firstRowInBatch];
/*      */ 
/*      */ 
/*      */     
/* 1227 */     for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */       short s;
/*      */       OracleTypeADT oracleTypeADT;
/* 1230 */       Binder binder = this.lastBinders[b];
/*      */ 
/*      */       
/* 1233 */       if (binder == this.theReturnParamBinder) {
/*      */         
/* 1235 */         oracleTypeADT = (OracleTypeADT)(this.returnParamAccessors[b]).internalOtype;
/* 1236 */         s = 0;
/*      */       }
/*      */       else {
/*      */         
/* 1240 */         oracleTypeADT = (arrayOfOracleTypeADT == null) ? null : arrayOfOracleTypeADT[b];
/*      */         
/* 1242 */         if (this.outBindAccessors == null) {
/* 1243 */           s = 0;
/*      */         } else {
/*      */           
/* 1246 */           Accessor accessor = this.outBindAccessors[b];
/*      */           
/* 1248 */           if (accessor == null) {
/* 1249 */             s = 0;
/* 1250 */           } else if (binder == this.theOutBinder) {
/*      */             
/* 1252 */             s = 1;
/*      */             
/* 1254 */             if (oracleTypeADT == null) {
/* 1255 */               oracleTypeADT = (OracleTypeADT)accessor.internalOtype;
/*      */             }
/*      */           } else {
/* 1258 */             s = 2;
/*      */           } 
/*      */         } 
/* 1261 */         if (binder == this.theSetCHARBinder) {
/* 1262 */           s = (short)(s | 0x4);
/*      */         }
/*      */       } 
/* 1265 */       this.bindIndicators[k++] = s;
/*      */       
/* 1267 */       if (oracleTypeADT != null) {
/*      */         
/* 1269 */         long l = oracleTypeADT.getTdoCState();
/*      */         
/* 1271 */         this.bindIndicators[k + 0] = (short)(int)(l >> 48L & 0xFFFFL);
/*      */         
/* 1273 */         this.bindIndicators[k + 1] = (short)(int)(l >> 32L & 0xFFFFL);
/*      */         
/* 1275 */         this.bindIndicators[k + 2] = (short)(int)(l >> 16L & 0xFFFFL);
/*      */         
/* 1277 */         this.bindIndicators[k + 3] = (short)(int)(l & 0xFFFFL);
/*      */       } 
/*      */       
/* 1280 */       k += 4;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1288 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final boolean TRACE = false;
/*      */ 
/*      */ 
/*      */   
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */ 
/*      */   
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:37_PST_2008";
/*      */ 
/*      */ 
/*      */   
/*      */   void registerOutParameterInternal(int paramInt1, int paramInt2, int paramInt3, int paramInt4, String paramString) throws SQLException {
/* 1304 */     int i = paramInt1 - 1;
/*      */     
/* 1306 */     if (i < 0 || paramInt1 > this.numberOfBindPositions) {
/* 1307 */       DatabaseError.throwSqlException(3);
/*      */     }
/* 1309 */     int j = getInternalType(paramInt2);
/*      */     
/* 1311 */     if (j == 995) {
/* 1312 */       DatabaseError.throwSqlException(4);
/*      */     }
/* 1314 */     resetBatch();
/*      */     
/* 1316 */     this.currentRowNeedToPrepareBinds = true;
/*      */     
/* 1318 */     if (this.currentRowBindAccessors == null) {
/* 1319 */       this.currentRowBindAccessors = new Accessor[this.numberOfBindPositions];
/*      */     }
/*      */     
/* 1322 */     switch (paramInt2) {
/*      */       case -4:
/*      */       case -3:
/*      */       case -1:
/*      */       case 1:
/*      */       case 12:
/*      */         break;
/*      */ 
/*      */       
/*      */       default:
/* 1332 */         paramInt4 = 0;
/*      */         break;
/*      */     } 
/*      */     
/* 1336 */     this.currentRowBindAccessors[i] = allocateAccessor(j, paramInt2, paramInt1, paramInt4, this.currentRowFormOfUse[i], paramString, true);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T2CCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */