/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Properties;
/*     */ import oracle.jdbc.oci.OracleOCIConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T2CDriverExtension
/*     */   extends OracleDriverExtension
/*     */ {
/*     */   static final int T2C_DEFAULT_BATCHSIZE = 1;
/*     */   
/*     */   Connection getConnection(String paramString1, String paramString2, String paramString3, String paramString4, Properties paramProperties) throws SQLException {
/*     */     T2CConnection t2CConnection;
/*  59 */     OracleOCIConnection oracleOCIConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  65 */     if (paramProperties.getProperty("is_connection_pooling") == "true") {
/*     */ 
/*     */       
/*  68 */       paramProperties.put("database", (paramString4 == null) ? "" : paramString4);
/*     */ 
/*     */       
/*  71 */       oracleOCIConnection = new OracleOCIConnection(paramString1, paramString2, paramString3, paramString4, paramProperties, this);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/*  78 */       t2CConnection = new T2CConnection(paramString1, paramString2, paramString3, paramString4, paramProperties, this);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  84 */     return (Connection)t2CConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleStatement allocateStatement(PhysicalConnection paramPhysicalConnection, int paramInt1, int paramInt2) throws SQLException {
/* 100 */     T2CStatement t2CStatement = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 107 */     t2CStatement = new T2CStatement((T2CConnection)paramPhysicalConnection, 1, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 114 */     return t2CStatement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OraclePreparedStatement allocatePreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException {
/* 130 */     T2CPreparedStatement t2CPreparedStatement = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 136 */     t2CPreparedStatement = new T2CPreparedStatement((T2CConnection)paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 144 */     return t2CPreparedStatement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleCallableStatement allocateCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException {
/* 160 */     T2CCallableStatement t2CCallableStatement = null;
/*     */     
/* 162 */     Object object = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 168 */     t2CCallableStatement = new T2CCallableStatement((T2CConnection)paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 176 */     return t2CCallableStatement;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleInputStream createInputStream(OracleStatement paramOracleStatement, int paramInt, Accessor paramAccessor) throws SQLException {
/* 192 */     T2CInputStream t2CInputStream = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 199 */     t2CInputStream = new T2CInputStream(paramOracleStatement, paramInt, paramAccessor);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 204 */     return t2CInputStream;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 209 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T2CDriverExtension.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */