/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.oracore.OracleType;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T2CPreparedStatement
/*      */   extends OraclePreparedStatement
/*      */ {
/*   39 */   T2CConnection connection = null;
/*   40 */   int userResultSetType = -1;
/*   41 */   int userResultSetConcur = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   47 */   static int T2C_EXTEND_BUFFER = -3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   60 */   long[] t2cOutput = new long[10];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   T2CPreparedStatement(T2CConnection paramT2CConnection, String paramString, int paramInt1, int paramInt2, int paramInt3, int paramInt4) throws SQLException {
/*   69 */     super(paramT2CConnection, paramString, paramInt1, paramInt2, paramInt3, paramInt4);
/*      */ 
/*      */     
/*   72 */     this.userResultSetType = paramInt3;
/*   73 */     this.userResultSetConcur = paramInt4;
/*      */ 
/*      */     
/*   76 */     this.connection = paramT2CConnection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String bytes2String(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*   92 */     byte[] arrayOfByte = new byte[paramInt2];
/*      */     
/*   94 */     System.arraycopy(paramArrayOfbyte, paramInt1, arrayOfByte, 0, paramInt2);
/*      */     
/*   96 */     return this.connection.conversion.CharBytesToString(arrayOfByte, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void processDescribeData() throws SQLException {
/*  112 */     this.described = true;
/*  113 */     this.describedWithNames = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  124 */     if (this.accessors == null || this.numberOfDefinePositions > this.accessors.length) {
/*  125 */       this.accessors = new Accessor[this.numberOfDefinePositions];
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  141 */     int i = this.connection.queryMetaData1Offset;
/*  142 */     int j = this.connection.queryMetaData2Offset;
/*  143 */     short[] arrayOfShort = this.connection.queryMetaData1;
/*  144 */     byte[] arrayOfByte = this.connection.queryMetaData2;
/*      */     
/*  146 */     for (byte b = 0; b < this.numberOfDefinePositions; 
/*  147 */       b++, i += 13) {
/*      */       
/*  149 */       short s1 = arrayOfShort[i + 0];
/*  150 */       short s2 = arrayOfShort[i + 1];
/*  151 */       short s3 = arrayOfShort[i + 11];
/*  152 */       boolean bool1 = (arrayOfShort[i + 2] != 0) ? true : false;
/*  153 */       short s4 = arrayOfShort[i + 3];
/*  154 */       short s5 = arrayOfShort[i + 4];
/*  155 */       boolean bool2 = false;
/*  156 */       boolean bool3 = false;
/*  157 */       boolean bool4 = false;
/*  158 */       short s6 = arrayOfShort[i + 5];
/*  159 */       short s7 = arrayOfShort[i + 6];
/*  160 */       String str1 = bytes2String(arrayOfByte, j, s7);
/*  161 */       short s8 = arrayOfShort[i + 12];
/*  162 */       String str2 = null;
/*  163 */       OracleTypeADT oracleTypeADT = null;
/*      */       
/*  165 */       j += s7;
/*      */       
/*  167 */       if (s8 > 0) {
/*      */         
/*  169 */         str2 = bytes2String(arrayOfByte, j, s8);
/*  170 */         j += s8;
/*  171 */         oracleTypeADT = new OracleTypeADT(str2, (Connection)this.connection);
/*  172 */         oracleTypeADT.tdoCState = (arrayOfShort[i + 7] & 0xFFFFL) << 48L | (arrayOfShort[i + 8] & 0xFFFFL) << 32L | (arrayOfShort[i + 9] & 0xFFFFL) << 16L | arrayOfShort[i + 10] & 0xFFFFL;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  180 */       Accessor accessor = this.accessors[b];
/*      */       
/*  182 */       if (accessor != null && !accessor.useForDescribeIfPossible(s1, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2))
/*      */       {
/*      */ 
/*      */         
/*  186 */         accessor = null;
/*      */       }
/*  188 */       if (accessor == null) {
/*      */         
/*  190 */         switch (s1) {
/*      */ 
/*      */           
/*      */           case 1:
/*  194 */             accessor = new VarcharAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */             
/*  198 */             if (s3 > 0) {
/*  199 */               accessor.setDisplaySize(s3);
/*      */             }
/*      */             break;
/*      */           
/*      */           case 96:
/*  204 */             accessor = new CharAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */             
/*  208 */             if (s3 > 0) {
/*  209 */               accessor.setDisplaySize(s3);
/*      */             }
/*      */             break;
/*      */           
/*      */           case 2:
/*  214 */             accessor = new NumberAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 23:
/*  221 */             accessor = new RawAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 100:
/*  228 */             accessor = new BinaryFloatAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 101:
/*  235 */             accessor = new BinaryDoubleAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 8:
/*  242 */             accessor = new LongAccessor(this, b + 1, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  249 */             this.rowPrefetch = 1;
/*      */             break;
/*      */ 
/*      */           
/*      */           case 24:
/*  254 */             accessor = new LongRawAccessor(this, b + 1, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  261 */             this.rowPrefetch = 1;
/*      */             break;
/*      */ 
/*      */           
/*      */           case 104:
/*  266 */             accessor = new RowidAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 102:
/*      */           case 116:
/*  275 */             accessor = new T2CResultSetAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 12:
/*  282 */             accessor = new DateAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 180:
/*  289 */             accessor = new TimestampAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 181:
/*  296 */             accessor = new TimestamptzAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 231:
/*  303 */             accessor = new TimestampltzAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 182:
/*  310 */             accessor = new IntervalymAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 183:
/*  317 */             accessor = new IntervaldsAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 112:
/*  324 */             accessor = new ClobAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 113:
/*  331 */             accessor = new BlobAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 114:
/*  338 */             accessor = new BfileAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 109:
/*  345 */             accessor = new NamedTypeAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2, (OracleType)oracleTypeADT);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 111:
/*  353 */             accessor = new RefTypeAccessor(this, s2, bool1, bool2, s4, s5, bool3, bool4, s6, str2, (OracleType)oracleTypeADT);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           default:
/*  364 */             throw new SQLException("Unknown or unimplemented accessor type: " + s1);
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  372 */         this.accessors[b] = accessor;
/*      */       }
/*  374 */       else if (oracleTypeADT != null) {
/*      */         
/*  376 */         accessor.initMetadata();
/*      */       } 
/*      */       
/*  379 */       accessor.columnName = str1;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDescribe(boolean paramBoolean) throws SQLException {
/*      */     boolean bool;
/*  402 */     if (this.closed) {
/*  403 */       DatabaseError.throwSqlException(9);
/*      */     }
/*  405 */     if (this.described == true) {
/*      */       return;
/*      */     }
/*      */ 
/*      */     
/*  410 */     if (!this.isOpen)
/*      */     {
/*  412 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     do {
/*  419 */       bool = false;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  424 */       this.numberOfDefinePositions = T2CStatement.t2cDescribe(this.c_state, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.connection.queryMetaData1Size, this.connection.queryMetaData2Size);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  437 */       if (this.numberOfDefinePositions == -1)
/*      */       {
/*  439 */         this.connection.checkError(this.numberOfDefinePositions);
/*      */       }
/*      */ 
/*      */       
/*  443 */       if (this.numberOfDefinePositions != T2C_EXTEND_BUFFER)
/*      */         continue; 
/*  445 */       bool = true;
/*      */ 
/*      */ 
/*      */       
/*  449 */       this.connection.reallocateQueryMetaData(this.connection.queryMetaData1Size * 2, this.connection.queryMetaData2Size * 2);
/*      */ 
/*      */     
/*      */     }
/*  453 */     while (bool);
/*      */     
/*  455 */     processDescribeData();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForDescribe() throws SQLException {
/*      */     boolean bool3;
/*  497 */     this.t2cOutput[0] = 0L;
/*  498 */     this.t2cOutput[2] = 0L;
/*      */     
/*  500 */     boolean bool1 = !this.described ? true : false;
/*  501 */     boolean bool2 = false;
/*      */ 
/*      */ 
/*      */     
/*      */     do {
/*  506 */       bool3 = false;
/*      */ 
/*      */       
/*  509 */       if (this.connection.endToEndAnyChanged) {
/*      */         
/*  511 */         pushEndToEndValues();
/*      */         
/*  513 */         this.connection.endToEndAnyChanged = false;
/*      */       } 
/*      */ 
/*      */       
/*  517 */       byte[] arrayOfByte = this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals);
/*  518 */       int i = T2CStatement.t2cParseExecuteDescribe(this, this.c_state, this.numberOfBindPositions, this.numberOfBindRowsAllocated, this.firstRowInBatch, false, this.needToParse, bool1, bool2, arrayOfByte, arrayOfByte.length, this.sqlKind, this.rowPrefetch, this.batch, this.bindIndicators, this.bindIndicatorOffset, this.bindBytes, this.bindChars, this.bindByteOffset, this.bindCharOffset, this.ibtBindIndicators, this.ibtBindIndicatorOffset, this.ibtBindIndicatorSize, this.ibtBindBytes, this.ibtBindChars, this.ibtBindByteOffset, this.ibtBindCharOffset, this.returnParamMeta, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.connection.queryMetaData1Size, this.connection.queryMetaData2Size, this.preparedAllBinds, this.preparedCharBinds, this.accessors, this.parameterDatum, this.t2cOutput, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.connection.plsqlCompilerWarnings);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  567 */       this.validRows = (int)this.t2cOutput[1];
/*      */       
/*  569 */       if (i == -1) {
/*      */         
/*  571 */         this.connection.checkError(i);
/*      */       }
/*  573 */       else if (i == T2C_EXTEND_BUFFER) {
/*      */         
/*  575 */         i = this.connection.queryMetaData1Size * 2;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  580 */       if (this.t2cOutput[3] != 0L) {
/*      */         
/*  582 */         foundPlsqlCompilerWarning();
/*      */       }
/*  584 */       else if (this.t2cOutput[2] != 0L) {
/*      */         
/*  586 */         this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  591 */       this.connection.endToEndECIDSequenceNumber = (short)(int)this.t2cOutput[4];
/*      */ 
/*      */       
/*  594 */       this.needToParse = false;
/*  595 */       bool2 = true;
/*      */       
/*  597 */       if (this.sqlKind == 0)
/*      */       {
/*  599 */         this.numberOfDefinePositions = i;
/*      */         
/*  601 */         if (this.numberOfDefinePositions > this.connection.queryMetaData1Size)
/*      */         {
/*  603 */           bool3 = true;
/*  604 */           bool2 = true;
/*      */ 
/*      */           
/*  607 */           this.connection.reallocateQueryMetaData(this.numberOfDefinePositions, this.numberOfDefinePositions * 8);
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*  614 */         this.numberOfDefinePositions = 0;
/*  615 */         this.validRows = i;
/*      */       }
/*      */     
/*  618 */     } while (bool3);
/*      */     
/*  620 */     processDescribeData();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void pushEndToEndValues() throws SQLException {
/*  632 */     T2CConnection t2CConnection = this.connection;
/*  633 */     byte[] arrayOfByte1 = new byte[0];
/*  634 */     byte[] arrayOfByte2 = new byte[0];
/*  635 */     byte[] arrayOfByte3 = new byte[0];
/*  636 */     byte[] arrayOfByte4 = new byte[0];
/*      */     
/*  638 */     if (t2CConnection.endToEndValues != null) {
/*      */       
/*  640 */       if (t2CConnection.endToEndHasChanged[0]) {
/*      */         
/*  642 */         String str = t2CConnection.endToEndValues[0];
/*      */         
/*  644 */         if (str != null) {
/*  645 */           arrayOfByte1 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  648 */         t2CConnection.endToEndHasChanged[0] = false;
/*      */       } 
/*      */       
/*  651 */       if (t2CConnection.endToEndHasChanged[1]) {
/*      */         
/*  653 */         String str = t2CConnection.endToEndValues[1];
/*      */         
/*  655 */         if (str != null) {
/*  656 */           arrayOfByte2 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  659 */         t2CConnection.endToEndHasChanged[1] = false;
/*      */       } 
/*      */       
/*  662 */       if (t2CConnection.endToEndHasChanged[2]) {
/*      */         
/*  664 */         String str = t2CConnection.endToEndValues[2];
/*      */         
/*  666 */         if (str != null) {
/*  667 */           arrayOfByte3 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  670 */         t2CConnection.endToEndHasChanged[2] = false;
/*      */       } 
/*      */       
/*  673 */       if (t2CConnection.endToEndHasChanged[3]) {
/*      */         
/*  675 */         String str = t2CConnection.endToEndValues[3];
/*      */         
/*  677 */         if (str != null) {
/*  678 */           arrayOfByte4 = DBConversion.stringToDriverCharBytes(str, t2CConnection.m_clientCharacterSet);
/*      */         }
/*      */         
/*  681 */         t2CConnection.endToEndHasChanged[3] = false;
/*      */       } 
/*      */       
/*  684 */       T2CStatement.t2cEndToEndUpdate(this.c_state, arrayOfByte1, arrayOfByte1.length, arrayOfByte2, arrayOfByte2.length, arrayOfByte3, arrayOfByte3.length, arrayOfByte4, arrayOfByte4.length, t2CConnection.endToEndECIDSequenceNumber);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForRows(boolean paramBoolean) throws SQLException {
/*  742 */     if (this.connection.endToEndAnyChanged) {
/*      */       
/*  744 */       pushEndToEndValues();
/*      */       
/*  746 */       this.connection.endToEndAnyChanged = false;
/*      */     } 
/*      */ 
/*      */     
/*  750 */     if (!paramBoolean) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  758 */       if (this.numberOfDefinePositions > 0)
/*      */       {
/*  760 */         doDefineExecuteFetch();
/*      */       }
/*      */       else
/*      */       {
/*  764 */         executeForDescribe();
/*      */       }
/*      */     
/*  767 */     } else if (this.numberOfDefinePositions > 0) {
/*  768 */       doDefineFetch();
/*      */     } 
/*      */ 
/*      */     
/*  772 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setupForDefine() throws SQLException {
/*  783 */     if (this.numberOfDefinePositions > this.connection.queryMetaData1Size) {
/*      */       
/*  785 */       int j = this.numberOfDefinePositions / 100 + 1;
/*      */       
/*  787 */       this.connection.reallocateQueryMetaData(this.connection.queryMetaData1Size * j, this.connection.queryMetaData2Size * j * 8);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  792 */     short[] arrayOfShort = this.connection.queryMetaData1;
/*  793 */     int i = this.connection.queryMetaData1Offset;
/*      */ 
/*      */     
/*  796 */     for (byte b = 0; b < this.numberOfDefinePositions; 
/*  797 */       b++, i += 13) {
/*      */       
/*  799 */       Accessor accessor = this.accessors[b];
/*      */       
/*  801 */       if (accessor == null) {
/*  802 */         DatabaseError.throwSqlException(21);
/*      */       }
/*  804 */       arrayOfShort[i + 0] = (short)accessor.defineType;
/*      */       
/*  806 */       arrayOfShort[i + 11] = (short)accessor.charLength;
/*      */       
/*  808 */       arrayOfShort[i + 1] = (short)accessor.byteLength;
/*      */       
/*  810 */       arrayOfShort[i + 5] = accessor.formOfUse;
/*      */ 
/*      */       
/*  813 */       if (accessor.internalOtype != null) {
/*      */         
/*  815 */         long l = ((OracleTypeADT)accessor.internalOtype).getTdoCState();
/*      */ 
/*      */         
/*  818 */         arrayOfShort[i + 7] = (short)(int)((l & 0xFFFF000000000000L) >> 48L);
/*      */         
/*  820 */         arrayOfShort[i + 8] = (short)(int)((l & 0xFFFF00000000L) >> 32L);
/*      */         
/*  822 */         arrayOfShort[i + 9] = (short)(int)((l & 0xFFFF0000L) >> 16L);
/*      */         
/*  824 */         arrayOfShort[i + 10] = (short)(int)(l & 0xFFFFL);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void doDefineFetch() throws SQLException {
/*  832 */     if (!this.needToPrepareDefineBuffer) {
/*  833 */       throw new Error("doDefineFetch called when needToPrepareDefineBuffer=false " + this.sqlObject.getSql(this.processEscapes, this.convertNcharLiterals));
/*      */     }
/*      */     
/*  836 */     setupForDefine();
/*      */     
/*  838 */     this.t2cOutput[2] = 0L;
/*  839 */     this.validRows = T2CStatement.t2cDefineFetch(this.c_state, this.rowPrefetch, this.connection.queryMetaData1, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.accessors, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.t2cOutput);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  848 */     if (this.validRows == -1) {
/*  849 */       this.connection.checkError(this.validRows);
/*      */     }
/*      */     
/*  852 */     if (this.t2cOutput[2] != 0L)
/*      */     {
/*  854 */       this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDefineExecuteFetch() throws SQLException {
/*  865 */     short[] arrayOfShort = null;
/*      */     
/*  867 */     if (this.needToPrepareDefineBuffer || this.needToParse) {
/*      */       
/*  869 */       setupForDefine();
/*      */       
/*  871 */       arrayOfShort = this.connection.queryMetaData1;
/*      */     } 
/*      */     
/*  874 */     this.t2cOutput[0] = 0L;
/*  875 */     this.t2cOutput[2] = 0L;
/*      */     
/*  877 */     byte[] arrayOfByte = this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals);
/*      */     
/*  879 */     this.validRows = T2CStatement.t2cDefineExecuteFetch(this, this.c_state, this.numberOfDefinePositions, this.numberOfBindPositions, this.numberOfBindRowsAllocated, this.firstRowInBatch, false, this.needToParse, arrayOfByte, arrayOfByte.length, this.sqlKind, this.rowPrefetch, this.batch, this.bindIndicators, this.bindIndicatorOffset, this.bindBytes, this.bindChars, this.bindByteOffset, this.bindCharOffset, arrayOfShort, this.connection.queryMetaData2, this.connection.queryMetaData1Offset, this.connection.queryMetaData2Offset, this.preparedAllBinds, this.preparedCharBinds, this.accessors, this.parameterDatum, this.t2cOutput, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  915 */     if (this.validRows == -1) {
/*  916 */       this.connection.checkError(this.validRows);
/*      */     }
/*  918 */     if (this.t2cOutput[2] != 0L) {
/*  919 */       this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  924 */     this.connection.endToEndECIDSequenceNumber = (short)(int)this.t2cOutput[4];
/*      */     
/*  926 */     this.needToParse = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fetch() throws SQLException {
/*  971 */     if (this.numberOfDefinePositions > 0)
/*      */     {
/*  973 */       if (this.needToPrepareDefineBuffer) {
/*  974 */         doDefineFetch();
/*      */       } else {
/*      */         
/*  977 */         this.t2cOutput[2] = 0L;
/*  978 */         this.validRows = T2CStatement.t2cFetch(this.c_state, this.needToPrepareDefineBuffer, this.rowPrefetch, this.accessors, this.defineBytes, this.accessorByteOffset, this.defineChars, this.accessorCharOffset, this.defineIndicators, this.accessorShortOffset, this.t2cOutput);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  984 */         if (this.validRows == -1) {
/*  985 */           this.connection.checkError(this.validRows);
/*      */         }
/*  987 */         if (this.t2cOutput[2] != 0L)
/*      */         {
/*  989 */           this.sqlWarning = this.connection.checkError(1, this.sqlWarning);
/*      */         }
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClose() throws SQLException {
/* 1027 */     if (this.defineBytes != null) {
/*      */       
/* 1029 */       this.defineBytes = null;
/* 1030 */       this.accessorByteOffset = 0;
/*      */     } 
/*      */     
/* 1033 */     if (this.defineChars != null) {
/*      */       
/* 1035 */       this.defineChars = null;
/* 1036 */       this.accessorCharOffset = 0;
/*      */     } 
/*      */     
/* 1039 */     if (this.defineIndicators != null) {
/*      */       
/* 1041 */       this.defineIndicators = null;
/* 1042 */       this.accessorShortOffset = 0;
/*      */     } 
/*      */ 
/*      */     
/* 1046 */     int i = T2CStatement.t2cCloseStatement(this.c_state);
/*      */     
/* 1048 */     if (i != 0) {
/* 1049 */       this.connection.checkError(i);
/*      */     }
/* 1051 */     this.t2cOutput = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeQuery() throws SQLException {
/* 1073 */     if (this.streamList != null)
/*      */     {
/* 1075 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1079 */           this.nextStream.close();
/*      */         }
/* 1081 */         catch (IOException iOException) {
/*      */           
/* 1083 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1086 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean) throws SQLException {
/* 1108 */     if (paramInt1 == 109) {
/*      */       
/* 1110 */       if (paramString == null) {
/* 1111 */         if (paramBoolean) {
/* 1112 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         } else {
/*      */           
/* 1115 */           DatabaseError.throwSqlException(60, "Unable to resolve type \"null\"");
/*      */         } 
/*      */       }
/* 1118 */       T2CNamedTypeAccessor t2CNamedTypeAccessor = new T2CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, paramInt3 - 1);
/*      */ 
/*      */       
/* 1121 */       t2CNamedTypeAccessor.initMetadata();
/*      */       
/* 1123 */       return t2CNamedTypeAccessor;
/*      */     } 
/* 1125 */     if (paramInt1 == 116 || paramInt1 == 102) {
/*      */ 
/*      */       
/* 1128 */       if (paramBoolean && paramString != null) {
/* 1129 */         DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */       }
/*      */       
/* 1132 */       return new T2CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1138 */     return super.allocateAccessor(paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramString, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void closeUsedStreams(int paramInt) throws SQLException {
/* 1144 */     while (this.nextStream != null && this.nextStream.columnIndex < paramInt) {
/*      */ 
/*      */       
/*      */       try {
/*      */ 
/*      */ 
/*      */         
/* 1151 */         this.nextStream.close();
/*      */       }
/* 1153 */       catch (IOException iOException) {
/*      */         
/* 1155 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */       
/* 1158 */       this.nextStream = this.nextStream.nextStream;
/*      */     } 
/*      */     
/* 1161 */     if (this.nextStream != null) {
/*      */       
/*      */       try {
/* 1164 */         this.nextStream.needBytes();
/*      */       }
/* 1166 */       catch (IOException iOException) {
/*      */         
/* 1168 */         DatabaseError.throwSqlException(iOException);
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void fetchDmlReturnParams() throws SQLException {
/* 1175 */     this.rowsDmlReturned = T2CStatement.t2cGetRowsDmlReturned(this.c_state);
/*      */     
/* 1177 */     if (this.rowsDmlReturned != 0) {
/*      */       
/* 1179 */       allocateDmlReturnStorage();
/*      */       
/* 1181 */       int i = T2CStatement.t2cFetchDmlReturnParams(this.c_state, this.returnParamAccessors, this.returnParamBytes, this.returnParamChars, this.returnParamIndicators);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1190 */     this.returnParamsFetched = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initializeIndicatorSubRange() {
/* 1202 */     this.bindIndicatorSubRange = this.numberOfBindPositions * 5;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void prepareBindPreambles(int paramInt1, int paramInt2) {
/* 1213 */     int i = this.bindIndicatorSubRange;
/*      */     
/* 1215 */     initializeIndicatorSubRange();
/*      */     
/* 1217 */     int j = this.bindIndicatorSubRange;
/*      */     
/* 1219 */     this.bindIndicatorSubRange = i;
/*      */     
/* 1221 */     int k = this.bindIndicatorSubRange - j;
/* 1222 */     OracleTypeADT[] arrayOfOracleTypeADT = (this.parameterOtype == null) ? null : this.parameterOtype[this.firstRowInBatch];
/*      */ 
/*      */ 
/*      */     
/* 1226 */     for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */       short s;
/*      */       OracleTypeADT oracleTypeADT;
/* 1229 */       Binder binder = this.lastBinders[b];
/*      */ 
/*      */       
/* 1232 */       if (binder == this.theReturnParamBinder) {
/*      */         
/* 1234 */         oracleTypeADT = (OracleTypeADT)(this.returnParamAccessors[b]).internalOtype;
/* 1235 */         s = 0;
/*      */       }
/*      */       else {
/*      */         
/* 1239 */         oracleTypeADT = (arrayOfOracleTypeADT == null) ? null : arrayOfOracleTypeADT[b];
/*      */         
/* 1241 */         if (this.outBindAccessors == null) {
/* 1242 */           s = 0;
/*      */         } else {
/*      */           
/* 1245 */           Accessor accessor = this.outBindAccessors[b];
/*      */           
/* 1247 */           if (accessor == null) {
/* 1248 */             s = 0;
/* 1249 */           } else if (binder == this.theOutBinder) {
/*      */             
/* 1251 */             s = 1;
/*      */             
/* 1253 */             if (oracleTypeADT == null) {
/* 1254 */               oracleTypeADT = (OracleTypeADT)accessor.internalOtype;
/*      */             }
/*      */           } else {
/* 1257 */             s = 2;
/*      */           } 
/*      */         } 
/* 1260 */         if (binder == this.theSetCHARBinder) {
/* 1261 */           s = (short)(s | 0x4);
/*      */         }
/*      */       } 
/* 1264 */       this.bindIndicators[k++] = s;
/*      */       
/* 1266 */       if (oracleTypeADT != null) {
/*      */         
/* 1268 */         long l = oracleTypeADT.getTdoCState();
/*      */         
/* 1270 */         this.bindIndicators[k + 0] = (short)(int)(l >> 48L & 0xFFFFL);
/*      */         
/* 1272 */         this.bindIndicators[k + 1] = (short)(int)(l >> 32L & 0xFFFFL);
/*      */         
/* 1274 */         this.bindIndicators[k + 2] = (short)(int)(l >> 16L & 0xFFFFL);
/*      */         
/* 1276 */         this.bindIndicators[k + 3] = (short)(int)(l & 0xFFFFL);
/*      */       } 
/*      */       
/* 1279 */       k += 4;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1287 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T2CPreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */