/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4CBfileAccessor
/*     */   extends BfileAccessor
/*     */ {
/*     */   static final int maxLength = 530;
/*     */   T4CMAREngine mare;
/*     */   final int[] meta;
/*     */   
/*     */   T4CBfileAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean, T4CMAREngine paramT4CMAREngine) throws SQLException {
/*  43 */     super(paramOracleStatement, 530, paramShort, paramInt2, paramBoolean);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 120 */     this.meta = new int[1]; this.mare = paramT4CMAREngine; } T4CBfileAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort, int paramInt7, int paramInt8, T4CMAREngine paramT4CMAREngine) throws SQLException { super(paramOracleStatement, 530, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort); this.meta = new int[1];
/*     */     this.mare = paramT4CMAREngine;
/*     */     this.definedColumnType = paramInt7;
/*     */     this.definedColumnSize = paramInt8; }
/*     */ 
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/*     */     String str = super.getString(paramInt);
/*     */     if (str != null && this.definedColumnSize > 0 && str.length() > this.definedColumnSize) {
/*     */       str = str.substring(0, this.definedColumnSize);
/*     */     }
/*     */     return str;
/*     */   }
/*     */ 
/*     */   
/*     */   boolean unmarshalOneRow() throws SQLException, IOException {
/* 137 */     if (this.isUseLess) {
/*     */       
/* 139 */       this.lastRowProcessed++;
/*     */       
/* 141 */       return false;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 146 */     if (this.rowSpaceIndicator == null) {
/*     */       
/* 148 */       int n = (int)this.mare.unmarshalUB4();
/*     */       
/* 150 */       if (n == 0) {
/*     */         
/* 152 */         this.meta[0] = -1;
/*     */         
/* 154 */         processIndicator(0);
/*     */         
/* 156 */         this.lastRowProcessed++;
/*     */         
/* 158 */         return false;
/*     */       } 
/*     */ 
/*     */       
/* 162 */       byte[] arrayOfByte = new byte[16000];
/*     */       
/* 164 */       this.mare.unmarshalCLR(arrayOfByte, 0, this.meta);
/* 165 */       processIndicator(this.meta[0]);
/*     */       
/* 167 */       this.lastRowProcessed++;
/*     */       
/* 169 */       return false;
/*     */     } 
/*     */     
/* 172 */     int i = this.columnIndex + this.lastRowProcessed * this.byteLength;
/* 173 */     int j = this.indicatorIndex + this.lastRowProcessed;
/* 174 */     int k = this.lengthIndex + this.lastRowProcessed;
/*     */ 
/*     */ 
/*     */     
/* 178 */     if (this.isNullByDescribe) {
/*     */       
/* 180 */       this.rowSpaceIndicator[j] = -1;
/* 181 */       this.rowSpaceIndicator[k] = 0;
/* 182 */       this.lastRowProcessed++;
/*     */       
/* 184 */       if (this.mare.versionNumber < 9200) {
/* 185 */         processIndicator(0);
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 190 */       return false;
/*     */     } 
/*     */     
/* 193 */     int m = (int)this.mare.unmarshalUB4();
/*     */     
/* 195 */     if (m == 0) {
/*     */       
/* 197 */       this.meta[0] = -1;
/*     */       
/* 199 */       processIndicator(0);
/*     */ 
/*     */       
/* 202 */       this.rowSpaceIndicator[j] = -1;
/* 203 */       this.rowSpaceIndicator[k] = 0;
/*     */ 
/*     */ 
/*     */       
/* 207 */       this.lastRowProcessed++;
/*     */       
/* 209 */       return false;
/*     */     } 
/*     */     
/* 212 */     this.mare.unmarshalCLR(this.rowSpaceByte, i, this.meta, this.byteLength);
/*     */ 
/*     */     
/* 215 */     processIndicator(this.meta[0]);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 220 */     if (this.meta[0] == 0) {
/*     */ 
/*     */ 
/*     */       
/* 224 */       this.rowSpaceIndicator[j] = -1;
/* 225 */       this.rowSpaceIndicator[k] = 0;
/*     */     }
/*     */     else {
/*     */       
/* 229 */       this.rowSpaceIndicator[k] = (short)this.meta[0];
/* 230 */       this.rowSpaceIndicator[j] = 0;
/*     */     } 
/*     */     
/* 233 */     this.lastRowProcessed++;
/*     */ 
/*     */ 
/*     */     
/* 237 */     return false;
/*     */   } void processIndicator(int paramInt) throws IOException, SQLException { if ((this.internalType == 1 && this.describeType == 112) || (this.internalType == 23 && this.describeType == 113)) { this.mare.unmarshalUB2(); this.mare.unmarshalUB2(); }
/*     */     else if (this.mare.versionNumber < 9200)
/*     */     { this.mare.unmarshalSB2(); if (this.statement.sqlKind != 1 && this.statement.sqlKind != 4)
/*     */         this.mare.unmarshalSB2();  }
/*     */     else if (this.statement.sqlKind == 1 || this.statement.sqlKind == 4 || this.isDMLReturnedParam)
/*     */     { this.mare.processIndicator((paramInt <= 0), paramInt); }
/* 244 */      } void copyRow() throws SQLException, IOException { int i; if (this.lastRowProcessed == 0) {
/* 245 */       i = this.statement.rowPrefetchInLastFetch;
/*     */     } else {
/* 247 */       i = this.lastRowProcessed;
/*     */     } 
/* 249 */     int j = this.columnIndex + this.lastRowProcessed * this.byteLength;
/* 250 */     int k = this.columnIndex + (i - 1) * this.byteLength;
/*     */     
/* 252 */     int m = this.indicatorIndex + this.lastRowProcessed;
/* 253 */     int n = this.indicatorIndex + i - 1;
/* 254 */     int i1 = this.lengthIndex + this.lastRowProcessed;
/* 255 */     int i2 = this.lengthIndex + i - 1;
/* 256 */     short s = this.rowSpaceIndicator[i2];
/*     */     
/* 258 */     this.rowSpaceIndicator[i1] = (short)s;
/* 259 */     this.rowSpaceIndicator[m] = this.rowSpaceIndicator[n];
/*     */ 
/*     */     
/* 262 */     System.arraycopy(this.rowSpaceByte, k, this.rowSpaceByte, j, s);
/*     */ 
/*     */     
/* 265 */     this.lastRowProcessed++; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void saveDataFromOldDefineBuffers(byte[] paramArrayOfbyte, char[] paramArrayOfchar, short[] paramArrayOfshort, int paramInt1, int paramInt2) throws SQLException {
/* 275 */     int i = this.columnIndex + (paramInt2 - 1) * this.byteLength;
/*     */     
/* 277 */     int j = this.columnIndexLastRow + (paramInt1 - 1) * this.byteLength;
/*     */     
/* 279 */     int k = this.indicatorIndex + paramInt2 - 1;
/* 280 */     int m = this.indicatorIndexLastRow + paramInt1 - 1;
/* 281 */     int n = this.lengthIndex + paramInt2 - 1;
/* 282 */     int i1 = this.lengthIndexLastRow + paramInt1 - 1;
/* 283 */     short s = paramArrayOfshort[i1];
/*     */     
/* 285 */     this.rowSpaceIndicator[n] = (short)s;
/* 286 */     this.rowSpaceIndicator[k] = paramArrayOfshort[m];
/*     */ 
/*     */     
/* 289 */     if (s != 0)
/*     */     {
/* 291 */       System.arraycopy(paramArrayOfbyte, j, this.rowSpaceByte, i, s);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/* 305 */     if (this.definedColumnType == 0) {
/* 306 */       return super.getObject(paramInt);
/*     */     }
/*     */     
/* 309 */     Object object = null;
/*     */     
/* 311 */     if (this.rowSpaceIndicator == null) {
/* 312 */       DatabaseError.throwSqlException(21);
/*     */     }
/* 314 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 316 */       switch (this.definedColumnType) {
/*     */ 
/*     */         
/*     */         case -13:
/* 320 */           return getBFILE(paramInt);
/*     */       } 
/*     */       
/* 323 */       DatabaseError.throwSqlException(4);
/*     */       
/* 325 */       return null;
/*     */     } 
/*     */ 
/*     */     
/* 329 */     return object;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 335 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CBfileAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */