/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CCallableStatement
/*      */   extends OracleCallableStatement
/*      */ {
/*      */   T4CCallableStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException {
/*   28 */     super(paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*      */     
/*   30 */     this.t4Connection = (T4CConnection)paramPhysicalConnection;
/*   31 */     this.nbPostPonedColumns = new int[1];
/*   32 */     this.nbPostPonedColumns[0] = 0;
/*   33 */     this.indexOfPostPonedColumn = new int[1][3];
/*      */     
/*   35 */     this.theRowidBinder = theStaticT4CRowidBinder;
/*   36 */     this.theRowidNullBinder = theStaticT4CRowidNullBinder;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   42 */   static final byte[] EMPTY_BYTE = new byte[0];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   T4CConnection t4Connection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doOall8(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) throws SQLException, IOException {
/*   64 */     if (paramBoolean1 || paramBoolean4 || !paramBoolean2 || (this.sqlKind != 2 && this.sqlKind != 1 && this.sqlKind != 4)) {
/*   65 */       this.oacdefSent = null;
/*      */     }
/*   67 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.doOall8");
/*      */     
/*   69 */     if (this.sqlKind != 1 && this.sqlKind != 4 && this.sqlKind != 3 && this.sqlKind != 0 && this.sqlKind != 2)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*   75 */       DatabaseError.throwSqlException(439);
/*      */     }
/*      */     
/*   78 */     if (paramBoolean3) {
/*   79 */       this.rowPrefetchInLastFetch = this.rowPrefetch;
/*      */     }
/*   81 */     int i = this.numberOfDefinePositions;
/*      */     
/*   83 */     if (this.sqlKind == 2) {
/*   84 */       i = 0;
/*      */     }
/*      */ 
/*      */     
/*   88 */     if (paramBoolean3) {
/*      */       
/*   90 */       if (this.accessors != null)
/*      */       {
/*   92 */         for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*      */           
/*   94 */           if (this.accessors[b] != null)
/*      */           {
/*   96 */             (this.accessors[b]).lastRowProcessed = 0;
/*      */           }
/*      */         } 
/*      */       }
/*      */       
/*  101 */       if (this.outBindAccessors != null)
/*      */       {
/*  103 */         for (byte b = 0; b < this.outBindAccessors.length; b++) {
/*      */           
/*  105 */           if (this.outBindAccessors[b] != null)
/*      */           {
/*  107 */             (this.outBindAccessors[b]).lastRowProcessed = 0;
/*      */           }
/*      */         } 
/*      */       }
/*      */     } 
/*      */     
/*  113 */     if (this.returnParamAccessors != null)
/*      */     {
/*  115 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */         
/*  117 */         if (this.returnParamAccessors[b] != null)
/*      */         {
/*  119 */           (this.returnParamAccessors[b]).lastRowProcessed = 0;
/*      */         }
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  129 */     if (this.bindIndicators != null) {
/*      */       
/*  131 */       int j = ((this.bindIndicators[this.bindIndicatorSubRange + 3] & 0xFFFF) << 16) + (this.bindIndicators[this.bindIndicatorSubRange + 4] & 0xFFFF);
/*      */ 
/*      */       
/*  134 */       int k = 0;
/*      */       
/*  136 */       if (this.ibtBindChars != null) {
/*  137 */         k = this.ibtBindChars.length * this.connection.conversion.cMaxCharSize;
/*      */       }
/*  139 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */         
/*  141 */         int m = this.bindIndicatorSubRange + 5 + 10 * b;
/*      */ 
/*      */ 
/*      */         
/*  145 */         int n = this.bindIndicators[m + 2] & 0xFFFF;
/*      */ 
/*      */ 
/*      */         
/*  149 */         if (n != 0) {
/*      */ 
/*      */           
/*  152 */           int i1 = this.bindIndicators[m + 9] & 0xFFFF;
/*      */ 
/*      */ 
/*      */           
/*  156 */           if (i1 == 2) {
/*      */             
/*  158 */             k = Math.max(n * this.connection.conversion.maxNCharSize, k);
/*      */           
/*      */           }
/*      */           else {
/*      */             
/*  163 */             k = Math.max(n * this.connection.conversion.cMaxCharSize, k);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */ 
/*      */       
/*  169 */       if (this.tmpBindsByteArray == null)
/*      */       {
/*  171 */         this.tmpBindsByteArray = new byte[k];
/*      */       }
/*  173 */       else if (this.tmpBindsByteArray.length < k)
/*      */       {
/*  175 */         this.tmpBindsByteArray = null;
/*  176 */         this.tmpBindsByteArray = new byte[k];
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/*  188 */       this.tmpBindsByteArray = null;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  197 */     allocateTmpByteArray();
/*      */     
/*  199 */     T4C8Oall t4C8Oall = this.t4Connection.all8;
/*      */     
/*  201 */     this.t4Connection.sendPiggyBackedMessages();
/*      */ 
/*      */     
/*  204 */     this.oacdefSent = t4C8Oall.marshal(paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4, this.sqlKind, this.cursorId, this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals), this.rowPrefetch, this.outBindAccessors, this.numberOfBindPositions, this.accessors, i, this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.connection.conversion, this.tmpBindsByteArray, this.parameterStream, this.parameterDatum, this.parameterOtype, this, this.ibtBindBytes, this.ibtBindChars, this.ibtBindIndicators, this.oacdefSent, this.definedColumnType, this.definedColumnSize, this.definedColumnFormOfUse);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  218 */       t4C8Oall.receive();
/*      */       
/*  220 */       this.cursorId = t4C8Oall.getCursorId();
/*      */     }
/*  222 */     catch (SQLException sQLException) {
/*      */       
/*  224 */       this.cursorId = t4C8Oall.getCursorId();
/*      */       
/*  226 */       if (sQLException.getErrorCode() == DatabaseError.getVendorCode(110)) {
/*      */ 
/*      */         
/*  229 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  234 */         throw sQLException;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void releaseBuffers() {
/*  244 */     super.releaseBuffers();
/*  245 */     this.tmpByteArray = null;
/*  246 */     this.tmpBindsByteArray = null;
/*      */     
/*  248 */     this.t4Connection.all8.bindChars = null;
/*  249 */     this.t4Connection.all8.bindBytes = null;
/*  250 */     this.t4Connection.all8.tmpBindsByteArray = null;
/*      */   }
/*      */ 
/*      */   
/*      */   void allocateTmpByteArray() {
/*  255 */     if (this.tmpByteArray == null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  260 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*  262 */     else if (this.sizeTmpByteArray > this.tmpByteArray.length) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  267 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void allocateRowidAccessor() throws SQLException {
/*  280 */     this.accessors[0] = new T4CRowidAccessor(this, 128, (short)1, -8, false, this.t4Connection.mare);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void reparseOnRedefineIfNeeded() throws SQLException {
/*  295 */     this.needToParse = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString) throws SQLException {
/*  304 */     if (this.connection.disableDefineColumnType) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  315 */     if (paramInt1 < 1) {
/*  316 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  318 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */       
/*  322 */       if (paramInt2 == 1 || paramInt2 == 12) {
/*  323 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */ 
/*      */       
/*      */       }
/*      */     
/*      */     }
/*  329 */     else if (paramInt3 < 0) {
/*  330 */       DatabaseError.throwSqlException(53);
/*      */     } 
/*      */     
/*  333 */     if (this.currentResultSet != null && !this.currentResultSet.closed) {
/*  334 */       DatabaseError.throwSqlException(28);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  341 */     int i = paramInt1 - 1;
/*      */     
/*  343 */     if (this.definedColumnType == null || this.definedColumnType.length <= i)
/*      */     {
/*  345 */       if (this.definedColumnType == null) {
/*  346 */         this.definedColumnType = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  349 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  351 */         System.arraycopy(this.definedColumnType, 0, arrayOfInt, 0, this.definedColumnType.length);
/*      */ 
/*      */         
/*  354 */         this.definedColumnType = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  358 */     this.definedColumnType[i] = paramInt2;
/*      */     
/*  360 */     if (this.definedColumnSize == null || this.definedColumnSize.length <= i)
/*      */     {
/*  362 */       if (this.definedColumnSize == null) {
/*  363 */         this.definedColumnSize = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  366 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  368 */         System.arraycopy(this.definedColumnSize, 0, arrayOfInt, 0, this.definedColumnSize.length);
/*      */ 
/*      */         
/*  371 */         this.definedColumnSize = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  375 */     this.definedColumnSize[i] = paramInt3;
/*      */     
/*  377 */     if (this.definedColumnFormOfUse == null || this.definedColumnFormOfUse.length <= i)
/*      */     {
/*  379 */       if (this.definedColumnFormOfUse == null) {
/*  380 */         this.definedColumnFormOfUse = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  383 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  385 */         System.arraycopy(this.definedColumnFormOfUse, 0, arrayOfInt, 0, this.definedColumnFormOfUse.length);
/*      */ 
/*      */         
/*  388 */         this.definedColumnFormOfUse = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  392 */     this.definedColumnFormOfUse[i] = paramShort;
/*      */     
/*  394 */     if (this.accessors != null && i < this.accessors.length && this.accessors[i] != null) {
/*      */       
/*  396 */       (this.accessors[i]).definedColumnSize = paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  401 */       if (((this.accessors[i]).internalType == 96 || (this.accessors[i]).internalType == 1) && (paramInt2 == 1 || paramInt2 == 12))
/*      */       {
/*      */ 
/*      */         
/*  405 */         if (paramInt3 <= (this.accessors[i]).oacmxl) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  411 */           this.needToPrepareDefineBuffer = true;
/*  412 */           this.columnsDefinedByUser = true;
/*      */           
/*  414 */           this.accessors[i].initForDataAccess(paramInt2, paramInt3, null);
/*  415 */           this.accessors[i].calculateSizeTmpByteArray();
/*      */         } 
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized void clearDefines() throws SQLException {
/*  423 */     super.clearDefines();
/*      */     
/*  425 */     this.definedColumnType = null;
/*  426 */     this.definedColumnSize = null;
/*  427 */     this.definedColumnFormOfUse = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfchar, byte[] paramArrayOfbyte, short[] paramArrayOfshort, boolean paramBoolean) throws SQLException {
/*  468 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  477 */       paramArrayOfshort = new short[this.defineIndicators.length];
/*  478 */       int i = (this.accessors[0]).lengthIndexLastRow;
/*  479 */       int j = (this.accessors[0]).indicatorIndexLastRow;
/*      */       
/*  481 */       for (byte b1 = 1; b1 <= this.accessors.length; b1++) {
/*      */         
/*  483 */         int k = i + this.rowPrefetchInLastFetch * b1 - 1;
/*  484 */         int m = j + this.rowPrefetchInLastFetch * b1 - 1;
/*  485 */         paramArrayOfshort[m] = this.defineIndicators[m];
/*  486 */         paramArrayOfshort[k] = this.defineIndicators[k];
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  493 */     for (byte b = 0; b < this.accessors.length; b++)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  500 */       this.accessors[b].saveDataFromOldDefineBuffers(paramArrayOfbyte, paramArrayOfchar, paramArrayOfshort, (this.rowPrefetchInLastFetch != -1) ? this.rowPrefetchInLastFetch : this.rowPrefetch, this.rowPrefetch);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean) throws SQLException {
/*      */     T4CVarcharAccessor t4CVarcharAccessor;
/*      */     T4CNumberAccessor t4CNumberAccessor;
/*      */     T4CVarnumAccessor t4CVarnumAccessor;
/*      */     T4CRawAccessor t4CRawAccessor;
/*      */     T4CBinaryFloatAccessor t4CBinaryFloatAccessor;
/*      */     T4CBinaryDoubleAccessor t4CBinaryDoubleAccessor;
/*      */     T4CRowidAccessor t4CRowidAccessor;
/*      */     T4CResultSetAccessor t4CResultSetAccessor;
/*      */     T4CDateAccessor t4CDateAccessor;
/*      */     T4CBlobAccessor t4CBlobAccessor;
/*      */     T4CClobAccessor t4CClobAccessor;
/*      */     T4CBfileAccessor t4CBfileAccessor;
/*      */     T4CNamedTypeAccessor t4CNamedTypeAccessor;
/*      */     T4CRefTypeAccessor t4CRefTypeAccessor;
/*      */     T4CTimestampAccessor t4CTimestampAccessor;
/*      */     T4CTimestamptzAccessor t4CTimestamptzAccessor;
/*      */     T4CTimestampltzAccessor t4CTimestampltzAccessor;
/*      */     T4CIntervalymAccessor t4CIntervalymAccessor;
/*      */     T4CIntervaldsAccessor t4CIntervaldsAccessor;
/*  528 */     T4CCharAccessor t4CCharAccessor = null;
/*      */     
/*  530 */     switch (paramInt1) {
/*      */ 
/*      */       
/*      */       case 96:
/*  534 */         t4CCharAccessor = new T4CCharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 8:
/*  540 */         if (!paramBoolean) {
/*      */           
/*  542 */           T4CLongAccessor t4CLongAccessor = new T4CLongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*  550 */         t4CVarcharAccessor = new T4CVarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/*  556 */         t4CNumberAccessor = new T4CNumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 6:
/*  562 */         t4CVarnumAccessor = new T4CVarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 24:
/*  568 */         if (!paramBoolean) {
/*      */           
/*  570 */           T4CLongRawAccessor t4CLongRawAccessor = new T4CLongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 23:
/*  578 */         if (paramBoolean && paramString != null) {
/*  579 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/*  582 */         if (paramBoolean) {
/*  583 */           T4COutRawAccessor t4COutRawAccessor = new T4COutRawAccessor(this, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*  586 */         t4CRawAccessor = new T4CRawAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 100:
/*  592 */         t4CBinaryFloatAccessor = new T4CBinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 101:
/*  598 */         t4CBinaryDoubleAccessor = new T4CBinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 104:
/*  604 */         t4CRowidAccessor = new T4CRowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 102:
/*  610 */         t4CResultSetAccessor = new T4CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 12:
/*  616 */         t4CDateAccessor = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 113:
/*  622 */         t4CBlobAccessor = new T4CBlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 112:
/*  628 */         t4CClobAccessor = new T4CClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 114:
/*  634 */         t4CBfileAccessor = new T4CBfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 109:
/*  640 */         t4CNamedTypeAccessor = new T4CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */ 
/*      */         
/*  643 */         t4CNamedTypeAccessor.initMetadata();
/*      */         break;
/*      */ 
/*      */       
/*      */       case 111:
/*  648 */         t4CRefTypeAccessor = new T4CRefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */ 
/*      */         
/*  651 */         t4CRefTypeAccessor.initMetadata();
/*      */         break;
/*      */ 
/*      */       
/*      */       case 180:
/*  656 */         if (this.connection.v8Compatible) {
/*  657 */           T4CDateAccessor t4CDateAccessor1 = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*  660 */         t4CTimestampAccessor = new T4CTimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 181:
/*  666 */         t4CTimestamptzAccessor = new T4CTimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 231:
/*  672 */         t4CTimestampltzAccessor = new T4CTimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 182:
/*  678 */         t4CIntervalymAccessor = new T4CIntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 183:
/*  684 */         t4CIntervaldsAccessor = new T4CIntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 995:
/*  699 */         DatabaseError.throwSqlException(89);
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/*  704 */     return t4CIntervaldsAccessor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDescribe(boolean paramBoolean) throws SQLException {
/*  733 */     if (!this.isOpen)
/*      */     {
/*  735 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */ 
/*      */     
/*      */     try {
/*  740 */       this.t4Connection.needLine();
/*  741 */       this.t4Connection.sendPiggyBackedMessages();
/*  742 */       this.t4Connection.describe.init(this, 0);
/*  743 */       this.t4Connection.describe.marshal();
/*      */       
/*  745 */       this.accessors = this.t4Connection.describe.receive(this.accessors);
/*  746 */       this.numberOfDefinePositions = this.t4Connection.describe.numuds;
/*      */       
/*  748 */       for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*  749 */         this.accessors[b].initMetadata();
/*      */       }
/*  751 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  756 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  757 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/*  760 */     this.describedWithNames = true;
/*  761 */     this.described = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForDescribe() throws SQLException {
/*  798 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.execute_for_describe");
/*  799 */     cleanOldTempLobs();
/*      */     
/*      */     try {
/*  802 */       if (this.t4Connection.useFetchSizeWithLongColumn)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  808 */         doOall8(true, true, true, true);
/*      */       }
/*      */       else
/*      */       {
/*  812 */         doOall8(true, true, false, true);
/*      */       }
/*      */     
/*  815 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  820 */       throw sQLException;
/*      */     }
/*  822 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  827 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  828 */       DatabaseError.throwSqlException(iOException);
/*      */     }
/*      */     finally {
/*      */       
/*  832 */       this.rowsProcessed = this.t4Connection.all8.rowsProcessed;
/*  833 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     } 
/*      */     
/*  836 */     this.needToParse = false;
/*      */ 
/*      */ 
/*      */     
/*  840 */     for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*  841 */       this.accessors[b].initMetadata();
/*      */     }
/*  843 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeMaybeDescribe() throws SQLException {
/*  851 */     if (!this.t4Connection.useFetchSizeWithLongColumn) {
/*      */       
/*  853 */       super.executeMaybeDescribe();
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/*  861 */       if (this.rowPrefetchChanged) {
/*      */         
/*  863 */         if (this.streamList == null && this.rowPrefetch != this.definesBatchSize) {
/*  864 */           this.needToPrepareDefineBuffer = true;
/*      */         }
/*  866 */         this.rowPrefetchChanged = false;
/*      */       } 
/*      */       
/*  869 */       if (!this.needToPrepareDefineBuffer)
/*      */       {
/*      */ 
/*      */         
/*  873 */         if (this.accessors == null) {
/*      */ 
/*      */ 
/*      */           
/*  877 */           this.needToPrepareDefineBuffer = true;
/*  878 */         } else if (this.columnsDefinedByUser) {
/*  879 */           this.needToPrepareDefineBuffer = !checkAccessorsUsable();
/*      */         } 
/*      */       }
/*  882 */       boolean bool = false;
/*      */ 
/*      */ 
/*      */       
/*      */       try {
/*  887 */         this.isExecuting = true;
/*      */         
/*  889 */         if (this.needToPrepareDefineBuffer)
/*      */         {
/*  891 */           executeForDescribe();
/*      */           
/*  893 */           bool = true;
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */           
/*  900 */           int i = this.accessors.length;
/*      */           
/*  902 */           for (int j = this.numberOfDefinePositions; j < i; j++) {
/*      */             
/*  904 */             Accessor accessor = this.accessors[j];
/*      */             
/*  906 */             if (accessor != null) {
/*  907 */               accessor.rowSpaceIndicator = null;
/*      */             }
/*      */           } 
/*  910 */           executeForRows(bool);
/*      */         }
/*      */       
/*      */       }
/*  914 */       catch (SQLException sQLException) {
/*      */         
/*  916 */         this.needToParse = true;
/*  917 */         throw sQLException;
/*      */       }
/*      */       finally {
/*      */         
/*  921 */         this.isExecuting = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForRows(boolean paramBoolean) throws SQLException {
/*      */     try {
/*      */       try {
/*  969 */         doOall8(this.needToParse, !paramBoolean, true, false);
/*      */         
/*  971 */         this.needToParse = false;
/*      */       }
/*      */       finally {
/*      */         
/*  975 */         this.validRows = this.t4Connection.all8.getNumRows();
/*      */       }
/*      */     
/*  978 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  983 */       throw sQLException;
/*      */     }
/*  985 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  990 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  991 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fetch() throws SQLException {
/* 1019 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */       
/* 1023 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1027 */           this.nextStream.close();
/*      */         }
/* 1029 */         catch (IOException iOException) {
/*      */           
/* 1031 */           ((T4CConnection)this.connection).handleIOException(iOException);
/* 1032 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1035 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*      */     try {
/* 1041 */       doOall8(false, false, true, false);
/*      */       
/* 1043 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     }
/* 1045 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1050 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1051 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void continueReadRow(int paramInt) throws SQLException {
/*      */     try {
/* 1072 */       if (!this.connection.useFetchSizeWithLongColumn)
/*      */       {
/* 1074 */         T4C8Oall t4C8Oall = this.t4Connection.all8;
/*      */         
/* 1076 */         t4C8Oall.continueReadRow(paramInt);
/*      */       }
/*      */     
/* 1079 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1084 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1085 */       DatabaseError.throwSqlException(iOException);
/*      */     }
/* 1087 */     catch (SQLException sQLException) {
/*      */       
/* 1089 */       if (sQLException.getErrorCode() == DatabaseError.getVendorCode(110)) {
/*      */ 
/*      */         
/* 1092 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */       
/*      */       }
/*      */       else {
/*      */         
/* 1097 */         throw sQLException;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClose() throws SQLException {
/* 1124 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.do_close");
/*      */ 
/*      */     
/*      */     try {
/* 1128 */       if (this.cursorId != 0)
/*      */       {
/* 1130 */         this.t4Connection.cursorToClose[this.t4Connection.cursorToCloseOffset++] = this.cursorId;
/*      */ 
/*      */         
/* 1133 */         if (this.t4Connection.cursorToCloseOffset >= this.t4Connection.cursorToClose.length)
/*      */         {
/*      */           
/* 1136 */           this.t4Connection.sendPiggyBackedMessages();
/*      */         }
/*      */       }
/*      */     
/* 1140 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1145 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1146 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/* 1149 */     this.tmpByteArray = null;
/* 1150 */     this.tmpBindsByteArray = null;
/* 1151 */     this.definedColumnType = null;
/* 1152 */     this.definedColumnSize = null;
/* 1153 */     this.definedColumnFormOfUse = null;
/* 1154 */     this.oacdefSent = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeQuery() throws SQLException {
/* 1176 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CCallableStatement.closeQuery");
/*      */ 
/*      */     
/* 1179 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */       
/* 1183 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1187 */           this.nextStream.close();
/*      */         }
/* 1189 */         catch (IOException iOException) {
/*      */           
/* 1191 */           ((T4CConnection)this.connection).handleIOException(iOException);
/* 1192 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1195 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   PlsqlIndexTableAccessor allocateIndexTableAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, boolean paramBoolean) throws SQLException {
/* 1245 */     return new T4CPlsqlIndexTableAccessor(this, paramInt1, paramInt2, paramInt3, paramInt4, paramShort, paramBoolean, this.t4Connection.mare);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1256 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CCallableStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */