/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CPreparedStatement
/*      */   extends OraclePreparedStatement
/*      */ {
/*      */   T4CPreparedStatement(PhysicalConnection paramPhysicalConnection, String paramString, int paramInt1, int paramInt2) throws SQLException {
/*   29 */     super(paramPhysicalConnection, paramString, paramPhysicalConnection.defaultBatch, paramPhysicalConnection.defaultRowPrefetch, paramInt1, paramInt2);
/*      */     
/*   31 */     this.nbPostPonedColumns = new int[1];
/*   32 */     this.nbPostPonedColumns[0] = 0;
/*   33 */     this.indexOfPostPonedColumn = new int[1][3];
/*   34 */     this.t4Connection = (T4CConnection)paramPhysicalConnection;
/*      */     
/*   36 */     this.theRowidBinder = theStaticT4CRowidBinder;
/*   37 */     this.theRowidNullBinder = theStaticT4CRowidNullBinder;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   43 */   static final byte[] EMPTY_BYTE = new byte[0];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   T4CConnection t4Connection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doOall8(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4) throws SQLException, IOException {
/*   65 */     if (paramBoolean1 || paramBoolean4 || !paramBoolean2 || (this.sqlKind != 2 && this.sqlKind != 1 && this.sqlKind != 4)) {
/*   66 */       this.oacdefSent = null;
/*      */     }
/*   68 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.doOall8");
/*      */     
/*   70 */     if (this.sqlKind != 1 && this.sqlKind != 4 && this.sqlKind != 3 && this.sqlKind != 0 && this.sqlKind != 2)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*   76 */       DatabaseError.throwSqlException(439);
/*      */     }
/*      */     
/*   79 */     if (paramBoolean3) {
/*   80 */       this.rowPrefetchInLastFetch = this.rowPrefetch;
/*      */     }
/*   82 */     int i = this.numberOfDefinePositions;
/*      */     
/*   84 */     if (this.sqlKind == 2) {
/*   85 */       i = 0;
/*      */     }
/*      */ 
/*      */     
/*   89 */     if (paramBoolean3) {
/*      */       
/*   91 */       if (this.accessors != null)
/*      */       {
/*   93 */         for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*      */           
/*   95 */           if (this.accessors[b] != null)
/*      */           {
/*   97 */             (this.accessors[b]).lastRowProcessed = 0;
/*      */           }
/*      */         } 
/*      */       }
/*      */       
/*  102 */       if (this.outBindAccessors != null)
/*      */       {
/*  104 */         for (byte b = 0; b < this.outBindAccessors.length; b++) {
/*      */           
/*  106 */           if (this.outBindAccessors[b] != null)
/*      */           {
/*  108 */             (this.outBindAccessors[b]).lastRowProcessed = 0;
/*      */           }
/*      */         } 
/*      */       }
/*      */     } 
/*      */     
/*  114 */     if (this.returnParamAccessors != null)
/*      */     {
/*  116 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */         
/*  118 */         if (this.returnParamAccessors[b] != null)
/*      */         {
/*  120 */           (this.returnParamAccessors[b]).lastRowProcessed = 0;
/*      */         }
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  130 */     if (this.bindIndicators != null) {
/*      */       
/*  132 */       int j = ((this.bindIndicators[this.bindIndicatorSubRange + 3] & 0xFFFF) << 16) + (this.bindIndicators[this.bindIndicatorSubRange + 4] & 0xFFFF);
/*      */ 
/*      */       
/*  135 */       int k = 0;
/*      */       
/*  137 */       if (this.ibtBindChars != null) {
/*  138 */         k = this.ibtBindChars.length * this.connection.conversion.cMaxCharSize;
/*      */       }
/*  140 */       for (byte b = 0; b < this.numberOfBindPositions; b++) {
/*      */         
/*  142 */         int m = this.bindIndicatorSubRange + 5 + 10 * b;
/*      */ 
/*      */ 
/*      */         
/*  146 */         int n = this.bindIndicators[m + 2] & 0xFFFF;
/*      */ 
/*      */ 
/*      */         
/*  150 */         if (n != 0) {
/*      */ 
/*      */           
/*  153 */           int i1 = this.bindIndicators[m + 9] & 0xFFFF;
/*      */ 
/*      */ 
/*      */           
/*  157 */           if (i1 == 2) {
/*      */             
/*  159 */             k = Math.max(n * this.connection.conversion.maxNCharSize, k);
/*      */           
/*      */           }
/*      */           else {
/*      */             
/*  164 */             k = Math.max(n * this.connection.conversion.cMaxCharSize, k);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */ 
/*      */       
/*  170 */       if (this.tmpBindsByteArray == null)
/*      */       {
/*  172 */         this.tmpBindsByteArray = new byte[k];
/*      */       }
/*  174 */       else if (this.tmpBindsByteArray.length < k)
/*      */       {
/*  176 */         this.tmpBindsByteArray = null;
/*  177 */         this.tmpBindsByteArray = new byte[k];
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/*  189 */       this.tmpBindsByteArray = null;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  198 */     allocateTmpByteArray();
/*      */     
/*  200 */     T4C8Oall t4C8Oall = this.t4Connection.all8;
/*      */     
/*  202 */     this.t4Connection.sendPiggyBackedMessages();
/*      */ 
/*      */     
/*  205 */     this.oacdefSent = t4C8Oall.marshal(paramBoolean1, paramBoolean2, paramBoolean3, paramBoolean4, this.sqlKind, this.cursorId, this.sqlObject.getSqlBytes(this.processEscapes, this.convertNcharLiterals), this.rowPrefetch, this.outBindAccessors, this.numberOfBindPositions, this.accessors, i, this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.connection.conversion, this.tmpBindsByteArray, this.parameterStream, this.parameterDatum, this.parameterOtype, this, this.ibtBindBytes, this.ibtBindChars, this.ibtBindIndicators, this.oacdefSent, this.definedColumnType, this.definedColumnSize, this.definedColumnFormOfUse);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  219 */       t4C8Oall.receive();
/*      */       
/*  221 */       this.cursorId = t4C8Oall.getCursorId();
/*      */     }
/*  223 */     catch (SQLException sQLException) {
/*      */       
/*  225 */       this.cursorId = t4C8Oall.getCursorId();
/*      */       
/*  227 */       if (sQLException.getErrorCode() == DatabaseError.getVendorCode(110)) {
/*      */ 
/*      */         
/*  230 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  235 */         throw sQLException;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void releaseBuffers() {
/*  245 */     super.releaseBuffers();
/*  246 */     this.tmpByteArray = null;
/*  247 */     this.tmpBindsByteArray = null;
/*      */     
/*  249 */     this.t4Connection.all8.bindChars = null;
/*  250 */     this.t4Connection.all8.bindBytes = null;
/*  251 */     this.t4Connection.all8.tmpBindsByteArray = null;
/*      */   }
/*      */ 
/*      */   
/*      */   void allocateTmpByteArray() {
/*  256 */     if (this.tmpByteArray == null) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  261 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     }
/*  263 */     else if (this.sizeTmpByteArray > this.tmpByteArray.length) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  268 */       this.tmpByteArray = new byte[this.sizeTmpByteArray];
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void allocateRowidAccessor() throws SQLException {
/*  281 */     this.accessors[0] = new T4CRowidAccessor(this, 128, (short)1, -8, false, this.t4Connection.mare);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void reparseOnRedefineIfNeeded() throws SQLException {
/*  296 */     this.needToParse = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void defineColumnTypeInternal(int paramInt1, int paramInt2, int paramInt3, short paramShort, boolean paramBoolean, String paramString) throws SQLException {
/*  305 */     if (this.connection.disableDefineColumnType) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  316 */     if (paramInt1 < 1) {
/*  317 */       DatabaseError.throwSqlException(3);
/*      */     }
/*  319 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */       
/*  323 */       if (paramInt2 == 1 || paramInt2 == 12) {
/*  324 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 108);
/*      */ 
/*      */       
/*      */       }
/*      */     
/*      */     }
/*  330 */     else if (paramInt3 < 0) {
/*  331 */       DatabaseError.throwSqlException(53);
/*      */     } 
/*      */     
/*  334 */     if (this.currentResultSet != null && !this.currentResultSet.closed) {
/*  335 */       DatabaseError.throwSqlException(28);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  342 */     int i = paramInt1 - 1;
/*      */     
/*  344 */     if (this.definedColumnType == null || this.definedColumnType.length <= i)
/*      */     {
/*  346 */       if (this.definedColumnType == null) {
/*  347 */         this.definedColumnType = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  350 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  352 */         System.arraycopy(this.definedColumnType, 0, arrayOfInt, 0, this.definedColumnType.length);
/*      */ 
/*      */         
/*  355 */         this.definedColumnType = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  359 */     this.definedColumnType[i] = paramInt2;
/*      */     
/*  361 */     if (this.definedColumnSize == null || this.definedColumnSize.length <= i)
/*      */     {
/*  363 */       if (this.definedColumnSize == null) {
/*  364 */         this.definedColumnSize = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  367 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  369 */         System.arraycopy(this.definedColumnSize, 0, arrayOfInt, 0, this.definedColumnSize.length);
/*      */ 
/*      */         
/*  372 */         this.definedColumnSize = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  376 */     this.definedColumnSize[i] = paramInt3;
/*      */     
/*  378 */     if (this.definedColumnFormOfUse == null || this.definedColumnFormOfUse.length <= i)
/*      */     {
/*  380 */       if (this.definedColumnFormOfUse == null) {
/*  381 */         this.definedColumnFormOfUse = new int[(i + 1) * 4];
/*      */       } else {
/*      */         
/*  384 */         int[] arrayOfInt = new int[(i + 1) * 4];
/*      */         
/*  386 */         System.arraycopy(this.definedColumnFormOfUse, 0, arrayOfInt, 0, this.definedColumnFormOfUse.length);
/*      */ 
/*      */         
/*  389 */         this.definedColumnFormOfUse = arrayOfInt;
/*      */       } 
/*      */     }
/*      */     
/*  393 */     this.definedColumnFormOfUse[i] = paramShort;
/*      */     
/*  395 */     if (this.accessors != null && i < this.accessors.length && this.accessors[i] != null) {
/*      */       
/*  397 */       (this.accessors[i]).definedColumnSize = paramInt3;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  402 */       if (((this.accessors[i]).internalType == 96 || (this.accessors[i]).internalType == 1) && (paramInt2 == 1 || paramInt2 == 12))
/*      */       {
/*      */ 
/*      */         
/*  406 */         if (paramInt3 <= (this.accessors[i]).oacmxl) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  412 */           this.needToPrepareDefineBuffer = true;
/*  413 */           this.columnsDefinedByUser = true;
/*      */           
/*  415 */           this.accessors[i].initForDataAccess(paramInt2, paramInt3, null);
/*  416 */           this.accessors[i].calculateSizeTmpByteArray();
/*      */         } 
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized void clearDefines() throws SQLException {
/*  424 */     super.clearDefines();
/*      */     
/*  426 */     this.definedColumnType = null;
/*  427 */     this.definedColumnSize = null;
/*  428 */     this.definedColumnFormOfUse = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void saveDefineBuffersIfRequired(char[] paramArrayOfchar, byte[] paramArrayOfbyte, short[] paramArrayOfshort, boolean paramBoolean) throws SQLException {
/*  469 */     if (paramBoolean) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  478 */       paramArrayOfshort = new short[this.defineIndicators.length];
/*  479 */       int i = (this.accessors[0]).lengthIndexLastRow;
/*  480 */       int j = (this.accessors[0]).indicatorIndexLastRow;
/*      */       
/*  482 */       for (byte b1 = 1; b1 <= this.accessors.length; b1++) {
/*      */         
/*  484 */         int k = i + this.rowPrefetchInLastFetch * b1 - 1;
/*  485 */         int m = j + this.rowPrefetchInLastFetch * b1 - 1;
/*  486 */         paramArrayOfshort[m] = this.defineIndicators[m];
/*  487 */         paramArrayOfshort[k] = this.defineIndicators[k];
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  494 */     for (byte b = 0; b < this.accessors.length; b++)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  501 */       this.accessors[b].saveDataFromOldDefineBuffers(paramArrayOfbyte, paramArrayOfchar, paramArrayOfshort, (this.rowPrefetchInLastFetch != -1) ? this.rowPrefetchInLastFetch : this.rowPrefetch, this.rowPrefetch);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Accessor allocateAccessor(int paramInt1, int paramInt2, int paramInt3, int paramInt4, short paramShort, String paramString, boolean paramBoolean) throws SQLException {
/*      */     T4CVarcharAccessor t4CVarcharAccessor;
/*      */     T4CNumberAccessor t4CNumberAccessor;
/*      */     T4CVarnumAccessor t4CVarnumAccessor;
/*      */     T4CRawAccessor t4CRawAccessor;
/*      */     T4CBinaryFloatAccessor t4CBinaryFloatAccessor;
/*      */     T4CBinaryDoubleAccessor t4CBinaryDoubleAccessor;
/*      */     T4CRowidAccessor t4CRowidAccessor;
/*      */     T4CResultSetAccessor t4CResultSetAccessor;
/*      */     T4CDateAccessor t4CDateAccessor;
/*      */     T4CBlobAccessor t4CBlobAccessor;
/*      */     T4CClobAccessor t4CClobAccessor;
/*      */     T4CBfileAccessor t4CBfileAccessor;
/*      */     T4CNamedTypeAccessor t4CNamedTypeAccessor;
/*      */     T4CRefTypeAccessor t4CRefTypeAccessor;
/*      */     T4CTimestampAccessor t4CTimestampAccessor;
/*      */     T4CTimestamptzAccessor t4CTimestamptzAccessor;
/*      */     T4CTimestampltzAccessor t4CTimestampltzAccessor;
/*      */     T4CIntervalymAccessor t4CIntervalymAccessor;
/*      */     T4CIntervaldsAccessor t4CIntervaldsAccessor;
/*  529 */     T4CCharAccessor t4CCharAccessor = null;
/*      */     
/*  531 */     switch (paramInt1) {
/*      */ 
/*      */       
/*      */       case 96:
/*  535 */         t4CCharAccessor = new T4CCharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 8:
/*  541 */         if (!paramBoolean) {
/*      */           
/*  543 */           T4CLongAccessor t4CLongAccessor = new T4CLongAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*  551 */         t4CVarcharAccessor = new T4CVarcharAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/*  557 */         t4CNumberAccessor = new T4CNumberAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 6:
/*  563 */         t4CVarnumAccessor = new T4CVarnumAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 24:
/*  569 */         if (!paramBoolean) {
/*      */           
/*  571 */           T4CLongRawAccessor t4CLongRawAccessor = new T4CLongRawAccessor(this, paramInt3, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 23:
/*  579 */         if (paramBoolean && paramString != null) {
/*  580 */           DatabaseError.throwSqlException(12, "sqlType=" + paramInt2);
/*      */         }
/*      */         
/*  583 */         if (paramBoolean) {
/*  584 */           T4COutRawAccessor t4COutRawAccessor = new T4COutRawAccessor(this, paramInt4, paramShort, paramInt2, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*  587 */         t4CRawAccessor = new T4CRawAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 100:
/*  593 */         t4CBinaryFloatAccessor = new T4CBinaryFloatAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 101:
/*  599 */         t4CBinaryDoubleAccessor = new T4CBinaryDoubleAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 104:
/*  605 */         t4CRowidAccessor = new T4CRowidAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 102:
/*  611 */         t4CResultSetAccessor = new T4CResultSetAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 12:
/*  617 */         t4CDateAccessor = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 113:
/*  623 */         t4CBlobAccessor = new T4CBlobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 112:
/*  629 */         t4CClobAccessor = new T4CClobAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 114:
/*  635 */         t4CBfileAccessor = new T4CBfileAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 109:
/*  641 */         t4CNamedTypeAccessor = new T4CNamedTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */ 
/*      */         
/*  644 */         t4CNamedTypeAccessor.initMetadata();
/*      */         break;
/*      */ 
/*      */       
/*      */       case 111:
/*  649 */         t4CRefTypeAccessor = new T4CRefTypeAccessor(this, paramString, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */ 
/*      */         
/*  652 */         t4CRefTypeAccessor.initMetadata();
/*      */         break;
/*      */ 
/*      */       
/*      */       case 180:
/*  657 */         if (this.connection.v8Compatible) {
/*  658 */           T4CDateAccessor t4CDateAccessor1 = new T4CDateAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */           break;
/*      */         } 
/*  661 */         t4CTimestampAccessor = new T4CTimestampAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 181:
/*  667 */         t4CTimestamptzAccessor = new T4CTimestamptzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 231:
/*  673 */         t4CTimestampltzAccessor = new T4CTimestampltzAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 182:
/*  679 */         t4CIntervalymAccessor = new T4CIntervalymAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 183:
/*  685 */         t4CIntervaldsAccessor = new T4CIntervaldsAccessor(this, paramInt4, paramShort, paramInt2, paramBoolean, this.t4Connection.mare);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 995:
/*  700 */         DatabaseError.throwSqlException(89);
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/*  705 */     return t4CIntervaldsAccessor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doDescribe(boolean paramBoolean) throws SQLException {
/*  734 */     if (!this.isOpen)
/*      */     {
/*  736 */       DatabaseError.throwSqlException(144);
/*      */     }
/*      */ 
/*      */     
/*      */     try {
/*  741 */       this.t4Connection.needLine();
/*  742 */       this.t4Connection.sendPiggyBackedMessages();
/*  743 */       this.t4Connection.describe.init(this, 0);
/*  744 */       this.t4Connection.describe.marshal();
/*      */       
/*  746 */       this.accessors = this.t4Connection.describe.receive(this.accessors);
/*  747 */       this.numberOfDefinePositions = this.t4Connection.describe.numuds;
/*      */       
/*  749 */       for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*  750 */         this.accessors[b].initMetadata();
/*      */       }
/*  752 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  757 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  758 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/*  761 */     this.describedWithNames = true;
/*  762 */     this.described = true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForDescribe() throws SQLException {
/*  799 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.execute_for_describe");
/*  800 */     cleanOldTempLobs();
/*      */     
/*      */     try {
/*  803 */       if (this.t4Connection.useFetchSizeWithLongColumn)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  809 */         doOall8(true, true, true, true);
/*      */       }
/*      */       else
/*      */       {
/*  813 */         doOall8(true, true, false, true);
/*      */       }
/*      */     
/*  816 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  821 */       throw sQLException;
/*      */     }
/*  823 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  828 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  829 */       DatabaseError.throwSqlException(iOException);
/*      */     }
/*      */     finally {
/*      */       
/*  833 */       this.rowsProcessed = this.t4Connection.all8.rowsProcessed;
/*  834 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     } 
/*      */     
/*  837 */     this.needToParse = false;
/*      */ 
/*      */ 
/*      */     
/*  841 */     for (byte b = 0; b < this.numberOfDefinePositions; b++) {
/*  842 */       this.accessors[b].initMetadata();
/*      */     }
/*  844 */     this.needToPrepareDefineBuffer = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeMaybeDescribe() throws SQLException {
/*  852 */     if (!this.t4Connection.useFetchSizeWithLongColumn) {
/*      */       
/*  854 */       super.executeMaybeDescribe();
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/*  862 */       if (this.rowPrefetchChanged) {
/*      */         
/*  864 */         if (this.streamList == null && this.rowPrefetch != this.definesBatchSize) {
/*  865 */           this.needToPrepareDefineBuffer = true;
/*      */         }
/*  867 */         this.rowPrefetchChanged = false;
/*      */       } 
/*      */       
/*  870 */       if (!this.needToPrepareDefineBuffer)
/*      */       {
/*      */ 
/*      */         
/*  874 */         if (this.accessors == null) {
/*      */ 
/*      */ 
/*      */           
/*  878 */           this.needToPrepareDefineBuffer = true;
/*  879 */         } else if (this.columnsDefinedByUser) {
/*  880 */           this.needToPrepareDefineBuffer = !checkAccessorsUsable();
/*      */         } 
/*      */       }
/*  883 */       boolean bool = false;
/*      */ 
/*      */ 
/*      */       
/*      */       try {
/*  888 */         this.isExecuting = true;
/*      */         
/*  890 */         if (this.needToPrepareDefineBuffer)
/*      */         {
/*  892 */           executeForDescribe();
/*      */           
/*  894 */           bool = true;
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */           
/*  901 */           int i = this.accessors.length;
/*      */           
/*  903 */           for (int j = this.numberOfDefinePositions; j < i; j++) {
/*      */             
/*  905 */             Accessor accessor = this.accessors[j];
/*      */             
/*  907 */             if (accessor != null) {
/*  908 */               accessor.rowSpaceIndicator = null;
/*      */             }
/*      */           } 
/*  911 */           executeForRows(bool);
/*      */         }
/*      */       
/*      */       }
/*  915 */       catch (SQLException sQLException) {
/*      */         
/*  917 */         this.needToParse = true;
/*  918 */         throw sQLException;
/*      */       }
/*      */       finally {
/*      */         
/*  922 */         this.isExecuting = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void executeForRows(boolean paramBoolean) throws SQLException {
/*      */     try {
/*      */       try {
/*  970 */         doOall8(this.needToParse, !paramBoolean, true, false);
/*      */         
/*  972 */         this.needToParse = false;
/*      */       }
/*      */       finally {
/*      */         
/*  976 */         this.validRows = this.t4Connection.all8.getNumRows();
/*      */       }
/*      */     
/*  979 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  984 */       throw sQLException;
/*      */     }
/*  986 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  991 */       ((T4CConnection)this.connection).handleIOException(iOException);
/*  992 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fetch() throws SQLException {
/* 1020 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */       
/* 1024 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1028 */           this.nextStream.close();
/*      */         }
/* 1030 */         catch (IOException iOException) {
/*      */           
/* 1032 */           ((T4CConnection)this.connection).handleIOException(iOException);
/* 1033 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1036 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*      */     try {
/* 1042 */       doOall8(false, false, true, false);
/*      */       
/* 1044 */       this.validRows = this.t4Connection.all8.getNumRows();
/*      */     }
/* 1046 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1051 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1052 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void continueReadRow(int paramInt) throws SQLException {
/*      */     try {
/* 1073 */       if (!this.connection.useFetchSizeWithLongColumn)
/*      */       {
/* 1075 */         T4C8Oall t4C8Oall = this.t4Connection.all8;
/*      */         
/* 1077 */         t4C8Oall.continueReadRow(paramInt);
/*      */       }
/*      */     
/* 1080 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1085 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1086 */       DatabaseError.throwSqlException(iOException);
/*      */     }
/* 1088 */     catch (SQLException sQLException) {
/*      */       
/* 1090 */       if (sQLException.getErrorCode() == DatabaseError.getVendorCode(110)) {
/*      */ 
/*      */         
/* 1093 */         this.sqlWarning = DatabaseError.addSqlWarning(this.sqlWarning, 110);
/*      */       
/*      */       }
/*      */       else {
/*      */         
/* 1098 */         throw sQLException;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doClose() throws SQLException {
/* 1125 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.do_close");
/*      */ 
/*      */     
/*      */     try {
/* 1129 */       if (this.cursorId != 0)
/*      */       {
/* 1131 */         this.t4Connection.cursorToClose[this.t4Connection.cursorToCloseOffset++] = this.cursorId;
/*      */ 
/*      */         
/* 1134 */         if (this.t4Connection.cursorToCloseOffset >= this.t4Connection.cursorToClose.length)
/*      */         {
/*      */           
/* 1137 */           this.t4Connection.sendPiggyBackedMessages();
/*      */         }
/*      */       }
/*      */     
/* 1141 */     } catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1146 */       ((T4CConnection)this.connection).handleIOException(iOException);
/* 1147 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/* 1150 */     this.tmpByteArray = null;
/* 1151 */     this.tmpBindsByteArray = null;
/* 1152 */     this.definedColumnType = null;
/* 1153 */     this.definedColumnSize = null;
/* 1154 */     this.definedColumnFormOfUse = null;
/* 1155 */     this.oacdefSent = null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void closeQuery() throws SQLException {
/* 1177 */     this.t4Connection.assertLoggedOn("oracle.jdbc.driver.T4CPreparedStatement.closeQuery");
/*      */ 
/*      */     
/* 1180 */     if (this.streamList != null)
/*      */     {
/*      */ 
/*      */       
/* 1184 */       while (this.nextStream != null) {
/*      */ 
/*      */         
/*      */         try {
/* 1188 */           this.nextStream.close();
/*      */         }
/* 1190 */         catch (IOException iOException) {
/*      */           
/* 1192 */           ((T4CConnection)this.connection).handleIOException(iOException);
/* 1193 */           DatabaseError.throwSqlException(iOException);
/*      */         } 
/*      */         
/* 1196 */         this.nextStream = this.nextStream.nextStream;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void doLocalInitialization() {
/* 1240 */     super.doLocalInitialization();
/*      */     
/* 1242 */     this.t4Connection.all8.bindChars = this.bindChars;
/* 1243 */     this.t4Connection.all8.bindBytes = this.bindBytes;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 1248 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:39_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CPreparedStatement.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */