/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.sql.SQLException;
/*     */ import java.util.BitSet;
/*     */ import oracle.jdbc.oracore.OracleTypeADT;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4CTTIrxd
/*     */   extends T4CTTIMsg
/*     */ {
/*  47 */   static final byte[] NO_BYTES = new byte[0];
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] buffer;
/*     */ 
/*     */   
/*     */   byte[] bufferCHAR;
/*     */ 
/*     */   
/*  57 */   BitSet bvcColSent = null;
/*  58 */   int nbOfColumns = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean bvcFound = false;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean isFirstCol;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   T4CTTIrxd(T4CMAREngine paramT4CMAREngine) {
/*  74 */     super((byte)7);
/*     */     
/*  76 */     setMarshalingEngine(paramT4CMAREngine);
/*     */     
/*  78 */     this.isFirstCol = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void init() {
/*  86 */     this.isFirstCol = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setNumberOfColumns(int paramInt) {
/*  94 */     this.nbOfColumns = paramInt;
/*  95 */     this.bvcFound = false;
/*     */ 
/*     */ 
/*     */     
/*  99 */     this.bvcColSent = new BitSet(this.nbOfColumns);
/*     */   }
/*     */ 
/*     */   
/*     */   void unmarshalBVC(int paramInt) throws SQLException, IOException {
/* 104 */     byte b1 = 0;
/*     */     
/*     */     int i;
/* 107 */     for (i = 0; i < this.bvcColSent.length(); i++) {
/* 108 */       this.bvcColSent.clear(i);
/*     */     }
/*     */ 
/*     */     
/* 112 */     i = this.nbOfColumns / 8 + ((this.nbOfColumns % 8 != 0) ? 1 : 0);
/*     */ 
/*     */     
/* 115 */     for (byte b2 = 0; b2 < i; b2++) {
/*     */       
/* 117 */       byte b = (byte)(this.meg.unmarshalUB1() & 0xFF);
/*     */       
/* 119 */       for (byte b3 = 0; b3 < 8; b3++) {
/*     */         
/* 121 */         if ((b & 1 << b3) != 0) {
/*     */           
/* 123 */           this.bvcColSent.set(b2 * 8 + b3);
/*     */           
/* 125 */           b1++;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 130 */     if (b1 != paramInt)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 136 */       DatabaseError.throwSqlException(-1, "INTERNAL ERROR: oracle.jdbc.driver.T4CTTIrxd.unmarshalBVC: bits missing in vector");
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 141 */     this.bvcFound = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void readBitVector(byte[] paramArrayOfbyte) throws SQLException, IOException {
/*     */     byte b;
/* 153 */     for (b = 0; b < this.bvcColSent.length(); b++) {
/* 154 */       this.bvcColSent.clear(b);
/*     */     }
/* 156 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0) {
/* 157 */       this.bvcFound = false;
/*     */     } else {
/*     */       
/* 160 */       for (b = 0; b < paramArrayOfbyte.length; b++) {
/* 161 */         byte b1 = paramArrayOfbyte[b];
/* 162 */         for (byte b2 = 0; b2 < 8; b2++) {
/* 163 */           if ((b1 & 1 << b2) != 0)
/* 164 */             this.bvcColSent.set(b * 8 + b2); 
/*     */         } 
/*     */       } 
/* 167 */       this.bvcFound = true;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void marshal(byte[] paramArrayOfbyte1, char[] paramArrayOfchar1, short[] paramArrayOfshort1, int paramInt1, byte[] paramArrayOfbyte2, DBConversion paramDBConversion, InputStream[] paramArrayOfInputStream, byte[][] paramArrayOfbyte, OracleTypeADT[] paramArrayOfOracleTypeADT, byte[] paramArrayOfbyte3, char[] paramArrayOfchar2, short[] paramArrayOfshort2, byte[] paramArrayOfbyte4, int paramInt2, int[] paramArrayOfint1, boolean paramBoolean, int[] paramArrayOfint2, int[] paramArrayOfint3, int[][] paramArrayOfint) throws IOException, SQLException {
/* 197 */     marshalTTCcode();
/*     */ 
/*     */     
/* 200 */     int i = paramArrayOfshort1[paramInt1 + 0] & 0xFFFF;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 222 */     byte b1 = 0;
/* 223 */     int j = paramArrayOfint3[0];
/* 224 */     int[] arrayOfInt = paramArrayOfint[0];
/*     */     
/* 226 */     byte b2 = 0;
/*     */     byte b3;
/* 228 */     for (b3 = 0; b3 < i; b3++) {
/*     */       
/* 230 */       if (b1 < j && arrayOfInt[b1] == b3) {
/*     */ 
/*     */         
/* 233 */         b1++;
/*     */         
/*     */         continue;
/*     */       } 
/* 237 */       boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 244 */       int k = paramInt1 + 5 + 10 * b3;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 249 */       int i1 = paramArrayOfshort1[k + 0] & 0xFFFF;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 254 */       if (paramArrayOfbyte4 != null && (paramArrayOfbyte4[b3] & 0x20) == 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 259 */         if (i1 == 998) {
/* 260 */           b2++;
/*     */         }
/*     */         
/*     */         continue;
/*     */       } 
/* 265 */       int m = ((paramArrayOfshort1[k + 7] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 8] & 0xFFFF) + paramInt2;
/*     */ 
/*     */ 
/*     */       
/* 269 */       int i2 = ((paramArrayOfshort1[k + 5] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 6] & 0xFFFF) + paramInt2;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 274 */       int n = paramArrayOfshort1[m] & 0xFFFF;
/*     */       
/* 276 */       short s = paramArrayOfshort1[i2];
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 281 */       if (i1 == 116) {
/*     */         
/* 283 */         this.meg.marshalUB1((short)1);
/* 284 */         this.meg.marshalUB1((short)0);
/*     */         
/*     */         continue;
/*     */       } 
/* 288 */       if (i1 == 994) {
/*     */         
/* 290 */         s = -1;
/* 291 */         int i3 = paramArrayOfint2[3 + b3 * 3 + 0];
/*     */ 
/*     */ 
/*     */         
/* 295 */         if (i3 == 109) {
/* 296 */           bool = true;
/*     */         }
/* 298 */       } else if (i1 == 8 || i1 == 24 || (!paramBoolean && paramArrayOfint1 != null && paramArrayOfint1.length > b3 && paramArrayOfint1[b3] > 4000)) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 315 */         if (j >= arrayOfInt.length) {
/*     */           
/* 317 */           int[] arrayOfInt1 = new int[arrayOfInt.length << 1];
/*     */ 
/*     */           
/* 320 */           System.arraycopy(arrayOfInt, 0, arrayOfInt1, 0, arrayOfInt.length);
/*     */ 
/*     */ 
/*     */           
/* 324 */           arrayOfInt = arrayOfInt1;
/*     */         } 
/*     */         
/* 327 */         arrayOfInt[j++] = b3;
/*     */ 
/*     */ 
/*     */         
/*     */         continue;
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 336 */       if (s == -1) {
/*     */         
/* 338 */         if (i1 == 109 || bool) {
/*     */ 
/*     */ 
/*     */           
/* 342 */           this.meg.marshalDALC(NO_BYTES);
/* 343 */           this.meg.marshalDALC(NO_BYTES);
/* 344 */           this.meg.marshalDALC(NO_BYTES);
/* 345 */           this.meg.marshalUB2(0);
/* 346 */           this.meg.marshalUB4(0L);
/* 347 */           this.meg.marshalUB2(1);
/*     */           
/*     */           continue;
/*     */         } 
/* 351 */         if (i1 == 998) {
/*     */           
/* 353 */           b2++;
/* 354 */           this.meg.marshalUB4(0L);
/*     */           continue;
/*     */         } 
/* 357 */         if (i1 == 112 || i1 == 113 || i1 == 114) {
/*     */           
/* 359 */           this.meg.marshalUB4(0L);
/*     */           continue;
/*     */         } 
/* 362 */         if (i1 != 8 && i1 != 24) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 372 */           this.meg.marshalUB1((short)0);
/*     */           
/*     */           continue;
/*     */         } 
/*     */       } 
/*     */       
/* 378 */       if (i1 == 998) {
/*     */ 
/*     */         
/* 381 */         int i3 = (paramArrayOfshort2[6 + b2 * 8 + 4] & 0xFFFF) << 16 & 0xFFFF000 | paramArrayOfshort2[6 + b2 * 8 + 5] & 0xFFFF;
/*     */ 
/*     */         
/* 384 */         int i4 = (paramArrayOfshort2[6 + b2 * 8 + 6] & 0xFFFF) << 16 & 0xFFFF000 | paramArrayOfshort2[6 + b2 * 8 + 7] & 0xFFFF;
/*     */ 
/*     */         
/* 387 */         int i5 = paramArrayOfshort2[6 + b2 * 8] & 0xFFFF;
/* 388 */         int i6 = paramArrayOfshort2[6 + b2 * 8 + 1] & 0xFFFF;
/*     */         
/* 390 */         this.meg.marshalUB4(i3);
/*     */         
/* 392 */         for (byte b = 0; b < i3; b++) {
/*     */           
/* 394 */           int i7 = i4 + b * i6;
/*     */           
/* 396 */           if (i5 == 9) {
/*     */             
/* 398 */             int i8 = paramArrayOfchar2[i7] / 2;
/* 399 */             int i9 = 0;
/* 400 */             i9 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfchar2, i7 + 1, paramArrayOfbyte2, 0, i8);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 406 */             this.meg.marshalCLR(paramArrayOfbyte2, i9);
/*     */           }
/*     */           else {
/*     */             
/* 410 */             n = paramArrayOfbyte3[i7];
/*     */             
/* 412 */             if (n < 1) {
/* 413 */               this.meg.marshalUB1((short)0);
/*     */             } else {
/* 415 */               this.meg.marshalCLR(paramArrayOfbyte3, i7 + 1, n);
/*     */             } 
/*     */           } 
/*     */         } 
/* 419 */         b2++;
/*     */ 
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */ 
/*     */         
/* 428 */         int i3 = paramArrayOfshort1[k + 1] & 0xFFFF;
/*     */ 
/*     */ 
/*     */         
/* 432 */         if (i3 != 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 439 */           int i4 = ((paramArrayOfshort1[k + 3] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 4] & 0xFFFF) + i3 * paramInt2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 446 */           if (i1 == 6) {
/*     */             
/* 448 */             i4++;
/* 449 */             n--;
/*     */           }
/* 451 */           else if (i1 == 9) {
/*     */             
/* 453 */             i4 += 2;
/*     */             
/* 455 */             n -= 2;
/*     */           }
/* 457 */           else if (i1 == 114 || i1 == 113 || i1 == 112) {
/*     */ 
/*     */             
/* 460 */             this.meg.marshalUB4(n);
/*     */           } 
/*     */ 
/*     */           
/* 464 */           if (i1 == 109 || i1 == 111) {
/*     */             
/* 466 */             if (paramArrayOfbyte == null)
/*     */             {
/*     */ 
/*     */ 
/*     */               
/* 471 */               DatabaseError.throwSqlException(-1, "INTERNAL ERROR: oracle.jdbc.driver.T4CTTIrxd.marshal: parameterDatum is null");
/*     */             }
/*     */ 
/*     */ 
/*     */             
/* 476 */             byte[] arrayOfByte = paramArrayOfbyte[b3];
/*     */             
/* 478 */             n = (arrayOfByte == null) ? 0 : arrayOfByte.length;
/*     */             
/* 480 */             if (i1 == 109) {
/*     */               
/* 482 */               this.meg.marshalDALC(NO_BYTES);
/* 483 */               this.meg.marshalDALC(NO_BYTES);
/* 484 */               this.meg.marshalDALC(NO_BYTES);
/* 485 */               this.meg.marshalUB2(0);
/*     */               
/* 487 */               this.meg.marshalUB4(n);
/* 488 */               this.meg.marshalUB2(1);
/*     */             } 
/*     */             
/* 491 */             if (n > 0) {
/* 492 */               this.meg.marshalCLR(arrayOfByte, 0, n);
/*     */             }
/* 494 */           } else if (i1 == 104) {
/*     */ 
/*     */ 
/*     */             
/* 498 */             i4 += 2;
/*     */             
/* 500 */             long[] arrayOfLong = T4CRowidAccessor.stringToRowid(paramArrayOfbyte1, i4, 18);
/*     */             
/* 502 */             byte b = 14;
/* 503 */             long l1 = arrayOfLong[0];
/* 504 */             int i5 = (int)arrayOfLong[1];
/* 505 */             boolean bool1 = false;
/* 506 */             long l2 = arrayOfLong[2];
/* 507 */             int i6 = (int)arrayOfLong[3];
/*     */ 
/*     */ 
/*     */             
/* 511 */             if (l1 == 0L && i5 == 0 && l2 == 0L && i6 == 0)
/*     */             {
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 517 */               this.meg.marshalUB1((short)0);
/*     */             }
/*     */             else
/*     */             {
/* 521 */               this.meg.marshalUB1(b);
/* 522 */               this.meg.marshalUB4(l1);
/* 523 */               this.meg.marshalUB2(i5);
/* 524 */               this.meg.marshalUB1(bool1);
/* 525 */               this.meg.marshalUB4(l2);
/* 526 */               this.meg.marshalUB2(i6);
/*     */             
/*     */             }
/*     */           
/*     */           }
/* 531 */           else if (n < 1) {
/* 532 */             this.meg.marshalUB1((short)0);
/*     */           } else {
/* 534 */             this.meg.marshalCLR(paramArrayOfbyte1, i4, n);
/*     */ 
/*     */           
/*     */           }
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 544 */           int i6 = paramArrayOfshort1[k + 9] & 0xFFFF;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 552 */           int i4 = paramArrayOfshort1[k + 2] & 0xFFFF;
/*     */ 
/*     */           
/* 555 */           int i5 = ((paramArrayOfshort1[k + 3] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 4] & 0xFFFF) + i4 * paramInt2 + 1;
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 560 */           if (i1 == 996) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 569 */             char c = paramArrayOfchar1[i5 - 1];
/*     */             
/* 571 */             if (this.bufferCHAR == null || this.bufferCHAR.length < c) {
/* 572 */               this.bufferCHAR = new byte[c];
/*     */             }
/* 574 */             for (byte b = 0; b < c; b++) {
/*     */               
/* 576 */               this.bufferCHAR[b] = (byte)((paramArrayOfchar1[i5 + b / 2] & 0xFF00) >> 8 & 0xFF);
/*     */ 
/*     */ 
/*     */               
/* 580 */               if (b < c - 1) {
/*     */                 
/* 582 */                 this.bufferCHAR[b + 1] = (byte)(paramArrayOfchar1[i5 + b / 2] & 0xFF & 0xFF);
/*     */ 
/*     */                 
/* 585 */                 b++;
/*     */               } 
/*     */             } 
/*     */             
/* 589 */             this.meg.marshalCLR(this.bufferCHAR, c);
/*     */             
/* 591 */             if (this.bufferCHAR.length > 4000) {
/* 592 */               this.bufferCHAR = null;
/*     */             }
/*     */           } else {
/*     */             int i7;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 603 */             if (i1 == 96) {
/*     */ 
/*     */ 
/*     */               
/* 607 */               i7 = n / 2;
/* 608 */               i5--;
/*     */             }
/*     */             else {
/*     */               
/* 612 */               i7 = (n - 2) / 2;
/*     */             } 
/*     */ 
/*     */             
/* 616 */             int i8 = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 621 */             if (i6 == 2) {
/*     */               
/* 623 */               i8 = paramDBConversion.javaCharsToNCHARBytes(paramArrayOfchar1, i5, paramArrayOfbyte2, 0, i7);
/*     */             
/*     */             }
/*     */             else {
/*     */               
/* 628 */               i8 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfchar1, i5, paramArrayOfbyte2, 0, i7);
/*     */             } 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 634 */             this.meg.marshalCLR(paramArrayOfbyte2, i8);
/*     */           } 
/*     */         } 
/*     */       } 
/*     */ 
/*     */       
/*     */       continue;
/*     */     } 
/*     */ 
/*     */     
/* 644 */     if (j > 0)
/*     */     {
/* 646 */       for (b3 = 0; b3 < j; b3++) {
/*     */         
/* 648 */         int i5 = arrayOfInt[b3];
/*     */         
/* 650 */         int k = paramInt1 + 5 + 10 * i5;
/*     */ 
/*     */ 
/*     */         
/* 654 */         int i3 = paramArrayOfshort1[k + 0] & 0xFFFF;
/*     */ 
/*     */ 
/*     */         
/* 658 */         int m = ((paramArrayOfshort1[k + 7] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 8] & 0xFFFF) + paramInt2;
/*     */ 
/*     */ 
/*     */         
/* 662 */         int i4 = ((paramArrayOfshort1[k + 5] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 6] & 0xFFFF) + paramInt2;
/*     */ 
/*     */ 
/*     */         
/* 666 */         short s = paramArrayOfshort1[i4];
/* 667 */         int n = paramArrayOfshort1[m] & 0xFFFF;
/*     */         
/* 669 */         int i1 = paramArrayOfshort1[k + 2] & 0xFFFF;
/*     */ 
/*     */         
/* 672 */         int i2 = ((paramArrayOfshort1[k + 3] & 0xFFFF) << 16) + (paramArrayOfshort1[k + 4] & 0xFFFF) + i1 * paramInt2 + 1;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 677 */         if (s == -1) {
/*     */           
/* 679 */           this.meg.marshalUB1((short)0);
/*     */ 
/*     */         
/*     */         }
/* 683 */         else if (i3 == 996) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 692 */           char c = paramArrayOfchar1[i2 - 1];
/*     */           
/* 694 */           if (this.bufferCHAR == null || this.bufferCHAR.length < c) {
/* 695 */             this.bufferCHAR = new byte[c];
/*     */           }
/* 697 */           for (byte b = 0; b < c; b++) {
/*     */             
/* 699 */             this.bufferCHAR[b] = (byte)((paramArrayOfchar1[i2 + b / 2] & 0xFF00) >> 8 & 0xFF);
/*     */ 
/*     */ 
/*     */             
/* 703 */             if (b < c - 1) {
/*     */               
/* 705 */               this.bufferCHAR[b + 1] = (byte)(paramArrayOfchar1[i2 + b / 2] & 0xFF & 0xFF);
/*     */               
/* 707 */               b++;
/*     */             } 
/*     */           } 
/*     */           
/* 711 */           this.meg.marshalCLR(this.bufferCHAR, c);
/*     */           
/* 713 */           if (this.bufferCHAR.length > 4000) {
/* 714 */             this.bufferCHAR = null;
/*     */           }
/* 716 */         } else if (i3 != 8 && i3 != 24) {
/*     */           int i6;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 723 */           if (i3 == 96) {
/*     */ 
/*     */ 
/*     */             
/* 727 */             i6 = n / 2;
/* 728 */             i2--;
/*     */           }
/*     */           else {
/*     */             
/* 732 */             i6 = (n - 2) / 2;
/*     */           } 
/*     */           
/* 735 */           int i7 = paramArrayOfshort1[k + 9] & 0xFFFF;
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 740 */           int i8 = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 745 */           if (i7 == 2) {
/*     */             
/* 747 */             i8 = paramDBConversion.javaCharsToNCHARBytes(paramArrayOfchar1, i2, paramArrayOfbyte2, 0, i6);
/*     */           
/*     */           }
/*     */           else {
/*     */             
/* 752 */             i8 = paramDBConversion.javaCharsToCHARBytes(paramArrayOfchar1, i2, paramArrayOfbyte2, 0, i6);
/*     */           } 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 758 */           this.meg.marshalCLR(paramArrayOfbyte2, i8);
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 763 */           int i6 = i5;
/*     */ 
/*     */ 
/*     */           
/* 767 */           if (paramArrayOfInputStream != null) {
/*     */             
/* 769 */             InputStream inputStream = paramArrayOfInputStream[i6];
/*     */             
/* 771 */             if (inputStream != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 776 */               byte b = 64;
/*     */               
/* 778 */               if (this.buffer == null) {
/* 779 */                 this.buffer = new byte[b];
/*     */               }
/* 781 */               int i7 = 0;
/*     */ 
/*     */               
/* 784 */               this.meg.marshalUB1((short)254);
/*     */               
/* 786 */               boolean bool = false;
/*     */               
/* 788 */               while (!bool && !this.meg.sentCancel) {
/*     */                 
/* 790 */                 i7 = inputStream.read(this.buffer, 0, b);
/*     */                 
/* 792 */                 if (i7 < b) {
/* 793 */                   bool = true;
/*     */                 }
/* 795 */                 if (i7 > 0) {
/*     */ 
/*     */ 
/*     */                   
/* 799 */                   this.meg.marshalUB1((short)(i7 & 0xFF));
/*     */ 
/*     */                   
/* 802 */                   this.meg.marshalB1Array(this.buffer, 0, i7);
/*     */                 } 
/*     */               } 
/*     */ 
/*     */               
/* 807 */               this.meg.marshalSB1((byte)0);
/*     */             } 
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 826 */     paramArrayOfint3[0] = j;
/* 827 */     paramArrayOfint[0] = arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt) throws SQLException, IOException {
/* 843 */     return unmarshal(paramArrayOfAccessor, 0, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt1, int paramInt2) throws SQLException, IOException {
/* 861 */     if (paramInt1 == 0) {
/* 862 */       this.isFirstCol = true;
/*     */     }
/* 864 */     for (int i = paramInt1; i < paramInt2 && i < paramArrayOfAccessor.length; i++) {
/*     */       
/* 866 */       if (paramArrayOfAccessor[i] != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 883 */         if ((paramArrayOfAccessor[i]).physicalColumnIndex < 0) {
/*     */ 
/*     */ 
/*     */           
/* 887 */           byte b1 = 0;
/*     */           
/* 889 */           for (byte b2 = 0; b2 < paramInt2 && b2 < paramArrayOfAccessor.length; b2++) {
/*     */             
/* 891 */             if (paramArrayOfAccessor[b2] != null) {
/*     */               
/* 893 */               (paramArrayOfAccessor[b2]).physicalColumnIndex = b1;
/*     */               
/* 895 */               if (!(paramArrayOfAccessor[b2]).isUseLess) {
/* 896 */                 b1++;
/*     */               }
/*     */             } 
/*     */           } 
/*     */         } 
/* 901 */         if (this.bvcFound && !(paramArrayOfAccessor[i]).isUseLess) {
/*     */           
/* 903 */           if (this.bvcColSent.get((paramArrayOfAccessor[i]).physicalColumnIndex))
/*     */           {
/* 905 */             if (paramArrayOfAccessor[i].unmarshalOneRow()) {
/* 906 */               return true;
/*     */             }
/* 908 */             this.isFirstCol = false;
/*     */           
/*     */           }
/*     */           else
/*     */           {
/*     */             
/* 914 */             paramArrayOfAccessor[i].copyRow();
/*     */           }
/*     */         
/*     */         } else {
/*     */           
/* 919 */           if (paramArrayOfAccessor[i].unmarshalOneRow()) {
/* 920 */             return true;
/*     */           }
/* 922 */           this.isFirstCol = false;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 927 */     this.bvcFound = false;
/*     */ 
/*     */ 
/*     */     
/* 931 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean unmarshal(Accessor[] paramArrayOfAccessor, int paramInt1, int paramInt2, int paramInt3) throws SQLException, IOException {
/* 946 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 951 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:40_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CTTIrxd.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */