/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4CVarcharAccessor
/*     */   extends VarcharAccessor
/*     */ {
/*     */   T4CMAREngine mare;
/*     */   static final int t4MaxLength = 4000;
/*     */   static final int t4CallMaxLength = 4001;
/*     */   static final int t4PlsqlMaxLength = 32512;
/*     */   static final int t4SqlMinLength = 32;
/*     */   boolean underlyingLong = false;
/*     */   final int[] meta;
/*     */   final int[] tmp;
/*     */   final int[] escapeSequenceArr;
/*     */   final boolean[] readHeaderArr;
/*     */   final boolean[] readAsNonStreamArr;
/*     */   
/*     */   T4CVarcharAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean, T4CMAREngine paramT4CMAREngine) throws SQLException {
/*  47 */     super(paramOracleStatement, paramInt1, paramShort, paramInt2, paramBoolean);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 120 */     this.meta = new int[1];
/* 121 */     this.tmp = new int[1];
/* 122 */     this.escapeSequenceArr = new int[1];
/* 123 */     this.readHeaderArr = new boolean[1];
/* 124 */     this.readAsNonStreamArr = new boolean[1]; this.mare = paramT4CMAREngine; calculateSizeTmpByteArray(); } T4CVarcharAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort, int paramInt7, int paramInt8, int paramInt9, T4CMAREngine paramT4CMAREngine) throws SQLException { super(paramOracleStatement, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort); this.meta = new int[1]; this.tmp = new int[1]; this.escapeSequenceArr = new int[1]; this.readHeaderArr = new boolean[1]; this.readAsNonStreamArr = new boolean[1];
/*     */     this.mare = paramT4CMAREngine;
/*     */     this.definedColumnType = paramInt8;
/*     */     this.definedColumnSize = paramInt9;
/*     */     calculateSizeTmpByteArray();
/*     */     this.oacmxl = paramInt7;
/*     */     if (this.oacmxl == -1) {
/*     */       this.underlyingLong = true;
/*     */       this.oacmxl = 4000;
/*     */     }  }
/*     */ 
/*     */   
/*     */   boolean unmarshalOneRow() throws SQLException, IOException {
/* 137 */     if (this.isUseLess) {
/*     */       
/* 139 */       this.lastRowProcessed++;
/*     */       
/* 141 */       return false;
/*     */     } 
/*     */ 
/*     */     
/* 145 */     int i = this.indicatorIndex + this.lastRowProcessed;
/* 146 */     int j = this.lengthIndex + this.lastRowProcessed;
/*     */ 
/*     */ 
/*     */     
/* 150 */     byte[] arrayOfByte = this.statement.tmpByteArray;
/* 151 */     int k = this.columnIndex + this.lastRowProcessed * this.charLength;
/*     */     
/* 153 */     if (!this.underlyingLong) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 158 */       if (this.rowSpaceIndicator == null) {
/*     */ 
/*     */ 
/*     */         
/* 162 */         byte[] arrayOfByte1 = new byte[16000];
/*     */         
/* 164 */         this.mare.unmarshalCLR(arrayOfByte1, 0, this.meta);
/* 165 */         processIndicator(this.meta[0]);
/*     */         
/* 167 */         this.lastRowProcessed++;
/*     */         
/* 169 */         return false;
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 174 */       if (this.isNullByDescribe) {
/*     */         
/* 176 */         this.rowSpaceIndicator[i] = -1;
/* 177 */         this.rowSpaceIndicator[j] = 0;
/* 178 */         this.lastRowProcessed++;
/*     */         
/* 180 */         if (this.mare.versionNumber < 9200) {
/* 181 */           processIndicator(0);
/*     */         }
/*     */ 
/*     */ 
/*     */         
/* 186 */         return false;
/*     */       } 
/*     */       
/* 189 */       if (this.statement.maxFieldSize > 0) {
/* 190 */         this.mare.unmarshalCLR(arrayOfByte, 0, this.meta, this.statement.maxFieldSize);
/*     */       } else {
/* 192 */         this.mare.unmarshalCLR(arrayOfByte, 0, this.meta);
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 198 */       this.escapeSequenceArr[0] = this.mare.unmarshalUB1();
/*     */ 
/*     */       
/* 201 */       if (this.mare.escapeSequenceNull(this.escapeSequenceArr[0])) {
/*     */ 
/*     */ 
/*     */         
/* 205 */         this.meta[0] = 0;
/*     */         
/* 207 */         this.mare.processIndicator(false, 0);
/*     */         
/* 209 */         int n = this.mare.unmarshalUB2();
/*     */       }
/*     */       else {
/*     */         
/* 213 */         int n = 0;
/* 214 */         int i1 = 0;
/* 215 */         byte[] arrayOfByte1 = arrayOfByte;
/* 216 */         int i2 = 0;
/*     */         
/* 218 */         this.readHeaderArr[0] = true;
/* 219 */         this.readAsNonStreamArr[0] = false;
/*     */         
/* 221 */         while (n != -1) {
/*     */           
/* 223 */           if (arrayOfByte1 == arrayOfByte && i1 + 255 > arrayOfByte.length)
/*     */           {
/*     */ 
/*     */             
/* 227 */             arrayOfByte1 = new byte[255];
/*     */           }
/* 229 */           if (arrayOfByte1 == arrayOfByte) {
/* 230 */             i2 = i1;
/*     */           } else {
/* 232 */             i2 = 0;
/*     */           } 
/* 234 */           n = T4CLongAccessor.readStreamFromWire(arrayOfByte1, i2, 255, this.escapeSequenceArr, this.readHeaderArr, this.readAsNonStreamArr, this.mare, ((T4CConnection)this.statement.connection).oer);
/*     */ 
/*     */ 
/*     */           
/* 238 */           if (n != -1) {
/*     */             
/* 240 */             if (arrayOfByte1 == arrayOfByte) {
/* 241 */               i1 += n; continue;
/* 242 */             }  if (arrayOfByte.length - i1 > 0) {
/*     */ 
/*     */ 
/*     */               
/* 246 */               int i3 = arrayOfByte.length - i1;
/*     */               
/* 248 */               System.arraycopy(arrayOfByte1, 0, arrayOfByte, i1, i3);
/*     */ 
/*     */               
/* 251 */               i1 += i3;
/*     */             } 
/*     */           } 
/*     */         } 
/*     */         
/* 256 */         if (arrayOfByte1 != arrayOfByte) {
/* 257 */           arrayOfByte1 = null;
/*     */         }
/* 259 */         this.meta[0] = i1;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 264 */     this.tmp[0] = this.meta[0];
/*     */     
/* 266 */     int m = 0;
/*     */     
/* 268 */     if (this.formOfUse == 2) {
/* 269 */       m = this.statement.connection.conversion.NCHARBytesToJavaChars(arrayOfByte, 0, this.rowSpaceChar, k + 1, this.tmp, this.charLength - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 282 */       m = this.statement.connection.conversion.CHARBytesToJavaChars(arrayOfByte, 0, this.rowSpaceChar, k + 1, this.tmp, this.charLength - 1);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 289 */     this.rowSpaceChar[k] = (char)(m * 2);
/*     */ 
/*     */ 
/*     */     
/* 293 */     if (!this.underlyingLong) {
/* 294 */       processIndicator(this.meta[0]);
/*     */     }
/* 296 */     if (this.meta[0] == 0) {
/*     */ 
/*     */ 
/*     */       
/* 300 */       this.rowSpaceIndicator[i] = -1;
/* 301 */       this.rowSpaceIndicator[j] = 0;
/*     */     }
/*     */     else {
/*     */       
/* 305 */       this.rowSpaceIndicator[j] = (short)(this.meta[0] * 2);
/*     */ 
/*     */ 
/*     */       
/* 309 */       this.rowSpaceIndicator[i] = 0;
/*     */     } 
/*     */     
/* 312 */     this.lastRowProcessed++;
/*     */ 
/*     */ 
/*     */     
/* 316 */     return false;
/*     */   } void processIndicator(int paramInt) throws IOException, SQLException { if ((this.internalType == 1 && this.describeType == 112) || (this.internalType == 23 && this.describeType == 113)) { this.mare.unmarshalUB2(); this.mare.unmarshalUB2(); }
/*     */     else if (this.mare.versionNumber < 9200)
/*     */     { this.mare.unmarshalSB2(); if (this.statement.sqlKind != 1 && this.statement.sqlKind != 4)
/*     */         this.mare.unmarshalSB2();  }
/*     */     else if (this.statement.sqlKind == 1 || this.statement.sqlKind == 4 || this.isDMLReturnedParam)
/*     */     { this.mare.processIndicator((paramInt <= 0), paramInt); }
/* 323 */      } void copyRow() throws SQLException, IOException { int i; if (this.lastRowProcessed == 0) {
/* 324 */       i = this.statement.rowPrefetchInLastFetch;
/*     */     } else {
/* 326 */       i = this.lastRowProcessed;
/*     */     } 
/* 328 */     int j = this.columnIndex + this.lastRowProcessed * this.charLength;
/* 329 */     int k = this.columnIndex + (i - 1) * this.charLength;
/*     */     
/* 331 */     int m = this.indicatorIndex + this.lastRowProcessed;
/* 332 */     int n = this.indicatorIndex + i - 1;
/* 333 */     int i1 = this.lengthIndex + this.lastRowProcessed;
/* 334 */     int i2 = this.lengthIndex + i - 1;
/* 335 */     short s = this.rowSpaceIndicator[i2];
/*     */     
/* 337 */     this.rowSpaceIndicator[i1] = (short)s;
/* 338 */     this.rowSpaceIndicator[m] = this.rowSpaceIndicator[n];
/*     */ 
/*     */     
/* 341 */     System.arraycopy(this.rowSpaceChar, k, this.rowSpaceChar, j, this.rowSpaceChar[k] / 2 + 1);
/*     */ 
/*     */ 
/*     */     
/* 345 */     this.lastRowProcessed++; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void saveDataFromOldDefineBuffers(byte[] paramArrayOfbyte, char[] paramArrayOfchar, short[] paramArrayOfshort, int paramInt1, int paramInt2) throws SQLException {
/* 355 */     int i = this.columnIndex + (paramInt2 - 1) * this.charLength;
/*     */     
/* 357 */     int j = this.columnIndexLastRow + (paramInt1 - 1) * this.charLength;
/*     */     
/* 359 */     int k = this.indicatorIndex + paramInt2 - 1;
/* 360 */     int m = this.indicatorIndexLastRow + paramInt1 - 1;
/* 361 */     int n = this.lengthIndex + paramInt2 - 1;
/* 362 */     int i1 = this.lengthIndexLastRow + paramInt1 - 1;
/* 363 */     short s = paramArrayOfshort[i1];
/*     */     
/* 365 */     this.rowSpaceIndicator[n] = (short)s;
/* 366 */     this.rowSpaceIndicator[k] = paramArrayOfshort[m];
/*     */ 
/*     */     
/* 369 */     if (s != 0)
/*     */     {
/* 371 */       System.arraycopy(paramArrayOfchar, j, this.rowSpaceChar, i, paramArrayOfchar[j] / 2 + 1);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void calculateSizeTmpByteArray() {
/*     */     int i;
/* 394 */     if (this.formOfUse == 2) {
/*     */ 
/*     */ 
/*     */       
/* 398 */       i = (this.charLength - 1) * this.statement.connection.conversion.maxNCharSize;
/*     */     }
/*     */     else {
/*     */       
/* 402 */       i = (this.charLength - 1) * this.statement.connection.conversion.cMaxCharSize;
/*     */     } 
/*     */     
/* 405 */     if (this.statement.sizeTmpByteArray < i) {
/* 406 */       this.statement.sizeTmpByteArray = i;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/* 416 */     String str = super.getString(paramInt);
/*     */     
/* 418 */     if (str != null && this.definedColumnSize > 0 && str.length() > this.definedColumnSize)
/*     */     {
/* 420 */       str = str.substring(0, this.definedColumnSize);
/*     */     }
/* 422 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/* 429 */     if (this.definedColumnType == 0) {
/* 430 */       return super.getObject(paramInt);
/*     */     }
/*     */     
/* 433 */     Object object = null;
/*     */     
/* 435 */     if (this.rowSpaceIndicator == null) {
/* 436 */       DatabaseError.throwSqlException(21);
/*     */     }
/* 438 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 440 */       switch (this.definedColumnType) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case -1:
/*     */         case 1:
/*     */         case 12:
/* 448 */           return getString(paramInt);
/*     */ 
/*     */         
/*     */         case 2:
/*     */         case 3:
/* 453 */           return getBigDecimal(paramInt);
/*     */         
/*     */         case 4:
/* 456 */           return new Integer(getInt(paramInt));
/*     */         
/*     */         case -6:
/* 459 */           return new Byte(getByte(paramInt));
/*     */         
/*     */         case 5:
/* 462 */           return new Short(getShort(paramInt));
/*     */ 
/*     */         
/*     */         case -7:
/*     */         case 16:
/* 467 */           return new Boolean(getBoolean(paramInt));
/*     */         
/*     */         case -5:
/* 470 */           return new Long(getLong(paramInt));
/*     */         
/*     */         case 7:
/* 473 */           return new Float(getFloat(paramInt));
/*     */ 
/*     */         
/*     */         case 6:
/*     */         case 8:
/* 478 */           return new Double(getDouble(paramInt));
/*     */         
/*     */         case 91:
/* 481 */           return getDate(paramInt);
/*     */         
/*     */         case 92:
/* 484 */           return getTime(paramInt);
/*     */         
/*     */         case 93:
/* 487 */           return getTimestamp(paramInt);
/*     */ 
/*     */ 
/*     */         
/*     */         case -4:
/*     */         case -3:
/*     */         case -2:
/* 494 */           return getBytes(paramInt);
/*     */       } 
/*     */       
/* 497 */       DatabaseError.throwSqlException(4);
/*     */       
/* 499 */       return null;
/*     */     } 
/*     */ 
/*     */     
/* 503 */     return object;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 509 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:40_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CVarcharAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */