/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import javax.sql.XAConnection;
/*      */ import javax.transaction.xa.XAException;
/*      */ import javax.transaction.xa.XAResource;
/*      */ import javax.transaction.xa.Xid;
/*      */ import oracle.jdbc.xa.OracleXAConnection;
/*      */ import oracle.jdbc.xa.OracleXid;
/*      */ import oracle.jdbc.xa.client.OracleXADataSource;
/*      */ import oracle.jdbc.xa.client.OracleXAResource;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4CXAResource
/*      */   extends OracleXAResource
/*      */ {
/*      */   T4CConnection physicalConn;
/*   36 */   int[] applicationValueArr = new int[1];
/*      */   
/*      */   boolean isTransLoose = false;
/*      */   
/*      */   byte[] context;
/*      */   
/*      */   int[] errorNumber;
/*      */   
/*      */   private String password;
/*      */   
/*      */   T4CXAResource(T4CConnection paramT4CConnection, OracleXAConnection paramOracleXAConnection, boolean paramBoolean) throws XAException {
/*   47 */     super((Connection)paramT4CConnection, paramOracleXAConnection);
/*      */ 
/*      */ 
/*      */     
/*   51 */     this.physicalConn = paramT4CConnection;
/*   52 */     this.isTransLoose = paramBoolean;
/*   53 */     this.errorNumber = new int[1];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doStart(Xid paramXid, int paramInt) throws XAException {
/*   63 */     int i = -1;
/*      */     
/*   65 */     synchronized (this.physicalConn) {
/*      */       
/*   67 */       synchronized (this) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*   91 */         if (this.isTransLoose) {
/*   92 */           paramInt |= 0x10000;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*   99 */         int j = paramInt & 0x8200000;
/*      */ 
/*      */         
/*  102 */         if (j == 134217728 && OracleXid.isLocalTransaction(paramXid)) {
/*  103 */           return 0;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  142 */         this.applicationValueArr[0] = 0;
/*      */ 
/*      */ 
/*      */         
/*      */         try {
/*      */           try {
/*  148 */             T4CTTIOtxse t4CTTIOtxse = this.physicalConn.otxse;
/*  149 */             byte[] arrayOfByte1 = null;
/*  150 */             byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  151 */             byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */             
/*  153 */             int k = 0;
/*  154 */             int m = 0;
/*      */             
/*  156 */             if (arrayOfByte2 != null && arrayOfByte3 != null) {
/*      */               
/*  158 */               k = Math.min(arrayOfByte2.length, 64);
/*  159 */               m = Math.min(arrayOfByte3.length, 64);
/*  160 */               arrayOfByte1 = new byte[128];
/*      */               
/*  162 */               System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, k);
/*  163 */               System.arraycopy(arrayOfByte3, 0, arrayOfByte1, k, m);
/*      */             } 
/*      */             
/*  166 */             int n = 0;
/*      */ 
/*      */             
/*  169 */             if ((paramInt & 0x200000) != 0 || (paramInt & 0x8000000) != 0) {
/*  170 */               n |= 0x4;
/*      */             } else {
/*  172 */               n |= 0x1;
/*      */             } 
/*  174 */             if ((paramInt & 0x100) != 0) {
/*  175 */               n |= 0x100;
/*      */             }
/*  177 */             if ((paramInt & 0x200) != 0) {
/*  178 */               n |= 0x200;
/*      */             }
/*  180 */             if ((paramInt & 0x400) != 0) {
/*  181 */               n |= 0x400;
/*      */             }
/*  183 */             if ((paramInt & 0x10000) != 0) {
/*  184 */               n |= 0x10000;
/*      */             }
/*  186 */             this.physicalConn.needLine();
/*  187 */             this.physicalConn.sendPiggyBackedMessages();
/*  188 */             t4CTTIOtxse.marshal(1, null, arrayOfByte1, paramXid.getFormatId(), k, m, this.timeout, n, this.applicationValueArr);
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  193 */             this.applicationValueArr[0] = 0;
/*  194 */             byte[] arrayOfByte4 = t4CTTIOtxse.receive(this.applicationValueArr);
/*      */             
/*  196 */             if (arrayOfByte4 != null) {
/*  197 */               this.context = arrayOfByte4;
/*      */             }
/*  199 */             i = 0;
/*      */           }
/*  201 */           catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  208 */             DatabaseError.throwSqlException(iOException);
/*      */           }
/*      */         
/*  211 */         } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  216 */           i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */           
/*  220 */           if (i == 0) {
/*  221 */             throw new XAException(-6);
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  265 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doEnd(Xid paramXid, int paramInt, boolean paramBoolean) throws XAException {
/*  275 */     int i = -1;
/*      */     
/*  277 */     synchronized (this.physicalConn) {
/*      */       
/*  279 */       synchronized (this) {
/*      */ 
/*      */         
/*      */         try {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  303 */           T4CTTIOtxse t4CTTIOtxse = this.physicalConn.otxse;
/*  304 */           byte[] arrayOfByte1 = null;
/*  305 */           byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  306 */           byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */           
/*  308 */           int j = 0;
/*  309 */           int k = 0;
/*      */           
/*  311 */           if (arrayOfByte2 != null && arrayOfByte3 != null) {
/*      */             
/*  313 */             j = Math.min(arrayOfByte2.length, 64);
/*  314 */             k = Math.min(arrayOfByte3.length, 64);
/*  315 */             arrayOfByte1 = new byte[128];
/*      */             
/*  317 */             System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, j);
/*  318 */             System.arraycopy(arrayOfByte3, 0, arrayOfByte1, j, k);
/*      */           } 
/*      */ 
/*      */ 
/*      */           
/*  323 */           if (this.context == null) {
/*      */             
/*  325 */             i = doStart(paramXid, 134217728);
/*      */             
/*  327 */             if (i != 0) {
/*  328 */               return i;
/*      */             }
/*      */           } 
/*  331 */           byte[] arrayOfByte4 = this.context;
/*  332 */           int m = 0;
/*  333 */           if ((paramInt & 0x2) == 2) {
/*      */             
/*  335 */             m = 1048576;
/*  336 */           } else if ((paramInt & 0x2000000) == 33554432 && (paramInt & 0x100000) != 1048576) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  349 */             m = 1048576;
/*  350 */             if (!paramBoolean) {
/*  351 */               this.applicationValueArr[0] = 65536;
/*      */             }
/*      */           } 
/*      */ 
/*      */           
/*  356 */           this.physicalConn.needLine();
/*  357 */           this.physicalConn.sendPiggyBackedMessages();
/*  358 */           t4CTTIOtxse.marshal(2, arrayOfByte4, arrayOfByte1, paramXid.getFormatId(), j, k, this.timeout, m, this.applicationValueArr);
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  363 */           this.applicationValueArr[0] = 0;
/*  364 */           byte[] arrayOfByte5 = t4CTTIOtxse.receive(this.applicationValueArr);
/*      */           
/*  366 */           if (arrayOfByte5 != null) {
/*  367 */             this.context = arrayOfByte5;
/*      */           }
/*  369 */           i = 0;
/*      */         }
/*  371 */         catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  378 */           DatabaseError.throwSqlException(iOException);
/*      */         
/*      */         }
/*  381 */         catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  386 */           i = sQLException.getErrorCode();
/*      */ 
/*      */ 
/*      */           
/*  390 */           if (i == 0) {
/*  391 */             throw new XAException(-6);
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/*  396 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doCommit(Xid paramXid, int paramInt) throws XAException {
/*  407 */     int i = -1;
/*      */     
/*  409 */     synchronized (this.physicalConn) {
/*      */       
/*  411 */       synchronized (this) {
/*      */ 
/*      */         
/*  414 */         byte b = (paramInt == 1) ? 4 : 2;
/*      */ 
/*      */         
/*  417 */         i = doTransaction(paramXid, 1, b);
/*      */ 
/*      */         
/*  420 */         if (paramInt == 1 && (i == 2 || i == 4)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  427 */           i = 0;
/*      */         }
/*  429 */         else if (paramInt != 1 && i == 5) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  434 */           i = 0;
/*      */         }
/*  436 */         else if (i == 8) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  441 */           throw new XAException(106);
/*      */         } 
/*      */ 
/*      */         
/*  445 */         if (i == 24756) {
/*      */ 
/*      */ 
/*      */           
/*  449 */           i = kputxrec(paramXid, 1, this.timeout + 120);
/*      */         }
/*  451 */         else if (i == 24780) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  458 */           OracleXADataSource oracleXADataSource = null;
/*  459 */           XAConnection xAConnection = null;
/*      */ 
/*      */           
/*      */           try {
/*  463 */             oracleXADataSource = new OracleXADataSource();
/*      */             
/*  465 */             oracleXADataSource.setURL(this.physicalConn.url);
/*  466 */             oracleXADataSource.setUser(this.physicalConn.user);
/*  467 */             this.physicalConn.getPasswordInternal(this);
/*  468 */             oracleXADataSource.setPassword(this.password);
/*      */             
/*  470 */             xAConnection = oracleXADataSource.getXAConnection();
/*      */             
/*  472 */             XAResource xAResource = xAConnection.getXAResource();
/*      */             
/*  474 */             xAResource.commit(paramXid, (paramInt == 1));
/*      */             
/*  476 */             i = 0;
/*      */           }
/*  478 */           catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  483 */             throw new XAException(-6);
/*      */           } finally {
/*      */ 
/*      */             
/*      */             try {
/*      */               
/*  489 */               if (xAConnection != null) {
/*  490 */                 xAConnection.close();
/*      */               }
/*  492 */               if (oracleXADataSource != null) {
/*  493 */                 oracleXADataSource.close();
/*      */               }
/*  495 */             } catch (Exception exception) {}
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  504 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doPrepare(Xid paramXid) throws XAException {
/*  514 */     int i = -1;
/*      */     
/*  516 */     synchronized (this.physicalConn) {
/*      */       
/*  518 */       synchronized (this) {
/*      */         
/*  520 */         i = doTransaction(paramXid, 3, 0);
/*      */ 
/*      */         
/*  523 */         if (i == 8)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  528 */           throw new XAException(106);
/*      */         }
/*  530 */         if (i == 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  536 */           i = 24767;
/*      */ 
/*      */         
/*      */         }
/*  540 */         else if (i == 1) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  545 */           i = 0;
/*      */         }
/*  547 */         else if (i == 3) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  552 */           i = 24761;
/*      */         }
/*      */         else {
/*      */           
/*  556 */           switch (i) {
/*      */             case 2054:
/*      */             case 2056:
/*      */             case 2091:
/*      */             case 2092:
/*      */             case 24756:
/*      */             case 24761:
/*      */             case 24767:
/*      */             case 24775:
/*      */               break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*      */             case 25351:
/*  580 */               i = 17448;
/*      */               break;
/*      */             
/*      */             default:
/*  584 */               i = 24768;
/*      */               break;
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         } 
/*      */       } 
/*      */     } 
/*  594 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doForget(Xid paramXid) throws XAException {
/*  604 */     int i = -1;
/*      */     
/*  606 */     synchronized (this.physicalConn) {
/*      */       
/*  608 */       synchronized (this) {
/*      */ 
/*      */         
/*      */         try {
/*      */           
/*  613 */           if (OracleXid.isLocalTransaction(paramXid)) {
/*  614 */             return 24771;
/*      */           }
/*      */ 
/*      */           
/*  618 */           int j = doStart(paramXid, 134217728);
/*      */           
/*  620 */           if (j != 24756) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  626 */             if (j == 0) {
/*      */               
/*      */               try {
/*      */ 
/*      */ 
/*      */                 
/*  632 */                 doEnd(paramXid, 0, false);
/*      */               }
/*  634 */               catch (Exception exception) {}
/*      */             }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  642 */             if (j == 0 || j == 2079 || j == 24754 || j == 24761 || j == 24774 || j == 24776 || j == 25351)
/*      */             {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  649 */               return 24769; } 
/*  650 */             if (j == 24752) {
/*  651 */               return 24771;
/*      */             }
/*  653 */             return j;
/*      */           } 
/*      */           
/*  656 */           i = kputxrec(paramXid, 4, 1);
/*      */         } finally {}
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  664 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int doRollback(Xid paramXid) throws XAException {
/*  674 */     int i = -1;
/*      */     
/*  676 */     synchronized (this.physicalConn) {
/*      */       
/*  678 */       synchronized (this) {
/*      */ 
/*      */         
/*  681 */         i = doTransaction(paramXid, 2, 3);
/*      */ 
/*      */         
/*  684 */         if (i == 8)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  689 */           throw new XAException(106);
/*      */         }
/*  691 */         if (i == 3 || i == 25402)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  698 */           i = 0;
/*      */         }
/*      */         
/*  701 */         if (i == 24756) {
/*      */ 
/*      */ 
/*      */           
/*  705 */           i = kputxrec(paramXid, 2, this.timeout + 120);
/*      */         }
/*  707 */         else if (i == 24780) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  713 */           OracleXADataSource oracleXADataSource = null;
/*  714 */           XAConnection xAConnection = null;
/*      */ 
/*      */           
/*      */           try {
/*  718 */             oracleXADataSource = new OracleXADataSource();
/*      */             
/*  720 */             oracleXADataSource.setURL(this.physicalConn.url);
/*  721 */             oracleXADataSource.setUser(this.physicalConn.user);
/*  722 */             this.physicalConn.getPasswordInternal(this);
/*  723 */             oracleXADataSource.setPassword(this.password);
/*      */             
/*  725 */             xAConnection = oracleXADataSource.getXAConnection();
/*      */             
/*  727 */             XAResource xAResource = xAConnection.getXAResource();
/*      */             
/*  729 */             xAResource.rollback(paramXid);
/*      */             
/*  731 */             i = 0;
/*      */           }
/*  733 */           catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  738 */             throw new XAException(-6);
/*      */           } finally {
/*      */ 
/*      */             
/*      */             try {
/*      */               
/*  744 */               if (xAConnection != null) {
/*  745 */                 xAConnection.close();
/*      */               }
/*  747 */               if (oracleXADataSource != null) {
/*  748 */                 oracleXADataSource.close();
/*      */               }
/*  750 */             } catch (Exception exception) {}
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  758 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int doTransaction(Xid paramXid, int paramInt1, int paramInt2) throws XAException {
/*  766 */     int i = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*      */       try {
/*  774 */         T4CTTIOtxen t4CTTIOtxen = this.physicalConn.otxen;
/*  775 */         byte[] arrayOfByte1 = null;
/*  776 */         byte[] arrayOfByte2 = paramXid.getGlobalTransactionId();
/*  777 */         byte[] arrayOfByte3 = paramXid.getBranchQualifier();
/*      */         
/*  779 */         int j = 0;
/*  780 */         int k = 0;
/*      */         
/*  782 */         if (arrayOfByte2 != null && arrayOfByte3 != null) {
/*      */           
/*  784 */           j = Math.min(arrayOfByte2.length, 64);
/*  785 */           k = Math.min(arrayOfByte3.length, 64);
/*  786 */           arrayOfByte1 = new byte[128];
/*      */           
/*  788 */           System.arraycopy(arrayOfByte2, 0, arrayOfByte1, 0, j);
/*  789 */           System.arraycopy(arrayOfByte3, 0, arrayOfByte1, j, k);
/*      */         } 
/*      */         
/*  792 */         byte[] arrayOfByte4 = this.context;
/*      */         
/*  794 */         this.physicalConn.needLine();
/*  795 */         this.physicalConn.sendPiggyBackedMessages();
/*  796 */         t4CTTIOtxen.marshal(paramInt1, arrayOfByte4, arrayOfByte1, paramXid.getFormatId(), j, k, this.timeout, paramInt2);
/*      */ 
/*      */         
/*  799 */         i = t4CTTIOtxen.receive(this.errorNumber);
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  804 */       catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  811 */         DatabaseError.throwSqlException(iOException);
/*      */       }
/*      */     
/*  814 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  819 */       this.errorNumber[0] = sQLException.getErrorCode();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  824 */     if (this.errorNumber[0] == 0) {
/*  825 */       throw new XAException(-6);
/*      */     }
/*  827 */     if (i == -1)
/*      */     {
/*      */       
/*  830 */       i = this.errorNumber[0];
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  835 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int kputxrec(Xid paramXid, int paramInt1, int paramInt2) throws XAException {
/*      */     byte b1, b2;
/*  848 */     int arrayOfInt[], i = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  854 */     switch (paramInt1) {
/*      */ 
/*      */       
/*      */       case 1:
/*  858 */         b1 = 3;
/*      */         break;
/*      */ 
/*      */       
/*      */       case 4:
/*  863 */         b1 = 2;
/*      */         break;
/*      */ 
/*      */       
/*      */       default:
/*  868 */         b1 = 0;
/*      */         break;
/*      */     } 
/*  871 */     int j = 0;
/*      */     
/*  873 */     while (paramInt2-- > 0) {
/*      */       
/*  875 */       j = doTransaction(paramXid, 5, b1);
/*      */       
/*  877 */       if (j == 7) {
/*      */         
/*      */         try {
/*      */           
/*  881 */           Thread.sleep(1000L);
/*      */         }
/*  883 */         catch (Exception exception) {}
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  891 */     if (j == 7)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  898 */       return 24763;
/*      */     }
/*  900 */     if (j == 24756) {
/*  901 */       return 24756;
/*      */     }
/*      */ 
/*      */     
/*  905 */     switch (j) {
/*      */ 
/*      */       
/*      */       case 3:
/*  909 */         if (paramInt1 == 1) {
/*  910 */           byte b = 7;
/*      */           
/*      */           break;
/*      */         } 
/*      */         
/*  915 */         b2 = 8;
/*  916 */         i = -24762;
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 0:
/*  922 */         if (paramInt1 == 4) {
/*      */           
/*  924 */           b2 = 8;
/*  925 */           i = 24762;
/*      */           
/*      */           break;
/*      */         } 
/*  929 */         b2 = 7;
/*  930 */         i = (paramInt1 == 1) ? 24756 : 0;
/*      */         break;
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/*  936 */         if (paramInt1 == 4) {
/*      */           
/*  938 */           b2 = 8;
/*      */           
/*  940 */           i = 24770;
/*      */           break;
/*      */         } 
/*      */ 
/*      */       
/*      */       default:
/*  946 */         arrayOfInt = new int[1];
/*      */         
/*  948 */         i = kpuho2oc(j, arrayOfInt);
/*      */         
/*  950 */         if (paramInt1 == 4 && arrayOfInt[0] == 1) {
/*      */           
/*  952 */           b2 = 7;
/*  953 */           i = 0;
/*      */           break;
/*      */         } 
/*  956 */         b2 = 8;
/*      */         break;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  963 */     T4CTTIk2rpc t4CTTIk2rpc = this.physicalConn.k2rpc;
/*      */ 
/*      */     
/*      */     try {
/*  967 */       t4CTTIk2rpc.marshal(3, b2);
/*  968 */       t4CTTIk2rpc.receive();
/*      */     }
/*  970 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  975 */       throw new XAException(-7);
/*      */     }
/*  977 */     catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  982 */       throw new XAException(-6);
/*      */     } 
/*      */     
/*  985 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   int kpuho2oc(int paramInt, int[] paramArrayOfint) {
/*  991 */     char c = Character.MIN_VALUE;
/*      */     
/*  993 */     switch (paramInt)
/*      */     
/*      */     { 
/*      */       case 5:
/*  997 */         paramArrayOfint[0] = 1;
/*  998 */         c = '悼';
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1034 */         return c;case 4: paramArrayOfint[0] = 1; c = '悽'; return c;case 6: paramArrayOfint[0] = 1; c = '悾'; return c; }  c = '悺'; return c;
/*      */   }
/*      */ 
/*      */   
/*      */   final void setPasswordInternal(String paramString) {
/* 1039 */     this.password = paramString;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1116 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:40_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4CXAResource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */