/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Map;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.TIMESTAMP;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class TimestampAccessor
/*     */   extends DateTimeCommonAccessor
/*     */ {
/*     */   TimestampAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean) throws SQLException {
/*  27 */     init(paramOracleStatement, 180, 180, paramShort, paramBoolean);
/*  28 */     initForDataAccess(paramInt2, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   TimestampAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort) throws SQLException {
/*  35 */     init(paramOracleStatement, 180, 180, paramShort, false);
/*  36 */     initForDescribe(180, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, null);
/*     */     
/*  38 */     initForDataAccess(0, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  44 */     if (paramInt1 != 0) {
/*  45 */       this.externalType = paramInt1;
/*     */     }
/*  47 */     this.internalTypeMaxLength = 11;
/*     */     
/*  49 */     if (paramInt2 > 0 && paramInt2 < this.internalTypeMaxLength) {
/*  50 */       this.internalTypeMaxLength = paramInt2;
/*     */     }
/*  52 */     this.byteLength = this.internalTypeMaxLength;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/*  58 */     String str = null;
/*     */     
/*  60 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/*  65 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  72 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/*  74 */       short s = this.rowSpaceIndicator[this.lengthIndex + paramInt];
/*  75 */       int i = this.columnIndex + this.byteLength * paramInt;
/*  76 */       int j = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */       
/*  79 */       int k = 0;
/*     */       
/*  81 */       if (s == 11)
/*     */       {
/*  83 */         k = oracleNanos(i);
/*     */       }
/*     */       
/*  86 */       str = j + "-" + this.rowSpaceByte[2 + i] + "-" + this.rowSpaceByte[3 + i] + "." + (this.rowSpaceByte[4 + i] - 1) + "." + (this.rowSpaceByte[5 + i] - 1) + ". " + (this.rowSpaceByte[6 + i] - 1) + ". " + k;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  97 */     return str;
/*     */   }
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/*     */     TIMESTAMP tIMESTAMP;
/* 103 */     Timestamp timestamp = null;
/*     */     
/* 105 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 110 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 116 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1)
/*     */     {
/* 118 */       if (this.externalType == 0) {
/*     */         
/* 120 */         if (this.statement.connection.j2ee13Compliant)
/*     */         {
/*     */           
/* 123 */           timestamp = getTimestamp(paramInt);
/*     */         }
/*     */         else
/*     */         {
/* 127 */           tIMESTAMP = getTIMESTAMP(paramInt);
/*     */         }
/*     */       
/*     */       } else {
/*     */         
/* 132 */         switch (this.externalType) {
/*     */           
/*     */           case 93:
/* 135 */             return getTimestamp(paramInt);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/* 140 */         DatabaseError.throwSqlException(4);
/*     */         
/* 142 */         return null;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 150 */     return tIMESTAMP;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/* 156 */     return (Datum)getTIMESTAMP(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/* 162 */     return getObject(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   TIMESTAMP getTIMESTAMP(int paramInt) throws SQLException {
/* 168 */     TIMESTAMP tIMESTAMP = null;
/*     */     
/* 170 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 175 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 182 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 184 */       short s = this.rowSpaceIndicator[this.lengthIndex + paramInt];
/* 185 */       int i = this.columnIndex + this.byteLength * paramInt;
/* 186 */       byte[] arrayOfByte = new byte[s];
/* 187 */       System.arraycopy(this.rowSpaceByte, i, arrayOfByte, 0, s);
/* 188 */       tIMESTAMP = new TIMESTAMP(arrayOfByte);
/*     */     } 
/*     */     
/* 191 */     return tIMESTAMP;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\TimestampAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */