/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Time;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Calendar;
/*     */ import java.util.Date;
/*     */ import java.util.Map;
/*     */ import java.util.TimeZone;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.TIMESTAMPTZ;
/*     */ import oracle.sql.TIMEZONETAB;
/*     */ import oracle.sql.ZONEIDMAP;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class TimestamptzAccessor
/*     */   extends DateTimeCommonAccessor
/*     */ {
/*     */   static final int maxLength = 13;
/*     */   
/*     */   TimestamptzAccessor(OracleStatement paramOracleStatement, int paramInt1, short paramShort, int paramInt2, boolean paramBoolean) throws SQLException {
/*  34 */     init(paramOracleStatement, 181, 181, paramShort, paramBoolean);
/*  35 */     initForDataAccess(paramInt2, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   TimestamptzAccessor(OracleStatement paramOracleStatement, int paramInt1, boolean paramBoolean, int paramInt2, int paramInt3, int paramInt4, int paramInt5, int paramInt6, short paramShort) throws SQLException {
/*  42 */     init(paramOracleStatement, 181, 181, paramShort, false);
/*  43 */     initForDescribe(181, paramInt1, paramBoolean, paramInt2, paramInt3, paramInt4, paramInt5, paramInt6, paramShort, null);
/*     */     
/*  45 */     initForDataAccess(0, paramInt1, (String)null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   void initForDataAccess(int paramInt1, int paramInt2, String paramString) throws SQLException {
/*  51 */     if (paramInt1 != 0) {
/*  52 */       this.externalType = paramInt1;
/*     */     }
/*  54 */     this.internalTypeMaxLength = 13;
/*     */     
/*  56 */     if (paramInt2 > 0 && paramInt2 < this.internalTypeMaxLength) {
/*  57 */       this.internalTypeMaxLength = paramInt2;
/*     */     }
/*  59 */     this.byteLength = this.internalTypeMaxLength;
/*     */   }
/*     */ 
/*     */   
/*     */   String getString(int paramInt) throws SQLException {
/*     */     String str;
/*  65 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/*  70 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  77 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] == -1) {
/*  78 */       return null;
/*     */     }
/*  80 */     int i = this.columnIndex + this.byteLength * paramInt;
/*     */ 
/*     */     
/*  83 */     int j = 0;
/*     */     
/*  85 */     if ((oracleTZ1(i) & REGIONIDBIT) != 0) {
/*     */       
/*  87 */       j = getHighOrderbits(oracleTZ1(i));
/*  88 */       j += getLowOrderbits(oracleTZ2(i));
/*     */ 
/*     */       
/*  91 */       if (TIMEZONETAB.checkID(j)) {
/*  92 */         TIMEZONETAB.updateTable((Connection)this.statement.connection, j);
/*     */       }
/*  94 */       str = new String(ZONEIDMAP.getRegion(j));
/*     */     }
/*     */     else {
/*     */       
/*  98 */       int i5 = oracleTZ1(i) - OFFSET_HOUR;
/*  99 */       int i6 = oracleTZ2(i) - OFFSET_MINUTE;
/*     */       
/* 101 */       str = new String(i5 + ":" + i6);
/*     */     } 
/*     */     
/* 104 */     TimeZone timeZone = TimeZone.getTimeZone(str);
/* 105 */     Calendar calendar = Calendar.getInstance(timeZone);
/*     */     
/* 107 */     int k = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */     
/* 110 */     calendar.set(1, k);
/* 111 */     calendar.set(2, oracleMonth(i));
/* 112 */     calendar.set(5, oracleDay(i));
/* 113 */     calendar.set(11, oracleHour(i));
/* 114 */     calendar.set(12, oracleMin(i));
/* 115 */     calendar.set(13, oracleSec(i));
/* 116 */     calendar.set(14, 0);
/*     */     
/* 118 */     if ((oracleTZ1(i) & REGIONIDBIT) != 0) {
/*     */       
/* 120 */       int i5 = TIMEZONETAB.getOffset(calendar, j);
/*     */       
/* 122 */       boolean bool1 = timeZone.inDaylightTime(calendar.getTime());
/* 123 */       boolean bool2 = timeZone.inDaylightTime(new Date(calendar.getTimeInMillis() + i5));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 136 */       if (!bool1 && bool2) {
/*     */         
/* 138 */         calendar.add(14, -1 * timeZone.getDSTSavings());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 152 */       else if (bool1 && !bool2) {
/*     */         
/* 154 */         calendar.add(14, timeZone.getDSTSavings());
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 164 */       calendar.add(14, i5);
/*     */     }
/*     */     else {
/*     */       
/* 168 */       calendar.add(10, oracleTZ1(i) - OFFSET_HOUR);
/* 169 */       calendar.add(12, oracleTZ2(i) - OFFSET_MINUTE);
/*     */     } 
/*     */ 
/*     */     
/* 173 */     k = calendar.get(1);
/*     */     
/* 175 */     int m = calendar.get(2) + 1;
/* 176 */     int n = calendar.get(5);
/* 177 */     int i1 = calendar.get(11);
/* 178 */     int i2 = calendar.get(12);
/* 179 */     int i3 = calendar.get(13);
/* 180 */     int i4 = oracleNanos(i);
/*     */     
/* 182 */     return k + "-" + m + "-" + n + " " + i1 + "." + i2 + "." + i3 + "." + i4 + " " + str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Date getDate(int paramInt) throws SQLException {
/* 189 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 194 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 201 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] == -1) {
/* 202 */       return null;
/*     */     }
/* 204 */     int i = this.columnIndex + this.byteLength * paramInt;
/*     */     
/* 206 */     TimeZone timeZone = this.statement.getDefaultTimeZone();
/* 207 */     Calendar calendar = Calendar.getInstance(timeZone);
/*     */     
/* 209 */     int j = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */     
/* 212 */     calendar.set(1, j);
/* 213 */     calendar.set(2, oracleMonth(i));
/* 214 */     calendar.set(5, oracleDay(i));
/* 215 */     calendar.set(11, oracleHour(i));
/* 216 */     calendar.set(12, oracleMin(i));
/* 217 */     calendar.set(13, oracleSec(i));
/* 218 */     calendar.set(14, 0);
/*     */     
/* 220 */     if ((oracleTZ1(i) & REGIONIDBIT) != 0) {
/*     */ 
/*     */ 
/*     */       
/* 224 */       int k = getHighOrderbits(oracleTZ1(i));
/* 225 */       k += getLowOrderbits(oracleTZ2(i));
/*     */ 
/*     */       
/* 228 */       if (TIMEZONETAB.checkID(k)) {
/* 229 */         TIMEZONETAB.updateTable((Connection)this.statement.connection, k);
/*     */       }
/* 231 */       int m = TIMEZONETAB.getOffset(calendar, k);
/*     */       
/* 233 */       boolean bool1 = timeZone.inDaylightTime(calendar.getTime());
/* 234 */       boolean bool2 = timeZone.inDaylightTime(new Date(calendar.getTimeInMillis() + m));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 246 */       if (!bool1 && bool2) {
/*     */         
/* 248 */         calendar.add(14, -1 * timeZone.getDSTSavings());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 262 */       else if (bool1 && !bool2) {
/*     */         
/* 264 */         calendar.add(14, timeZone.getDSTSavings());
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 275 */       calendar.add(10, m / 3600000);
/* 276 */       calendar.add(12, m % 3600000 / 60000);
/*     */     }
/*     */     else {
/*     */       
/* 280 */       calendar.add(10, oracleTZ1(i) - OFFSET_HOUR);
/* 281 */       calendar.add(12, oracleTZ2(i) - OFFSET_MINUTE);
/*     */     } 
/*     */ 
/*     */     
/* 285 */     long l = calendar.getTime().getTime();
/*     */ 
/*     */     
/* 288 */     return new Date(l);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Time getTime(int paramInt) throws SQLException {
/* 294 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 299 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 306 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] == -1) {
/* 307 */       return null;
/*     */     }
/* 309 */     int i = this.columnIndex + this.byteLength * paramInt;
/*     */     
/* 311 */     TimeZone timeZone = this.statement.getDefaultTimeZone();
/* 312 */     Calendar calendar = Calendar.getInstance(timeZone);
/*     */     
/* 314 */     int j = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */     
/* 317 */     calendar.set(1, j);
/* 318 */     calendar.set(2, oracleMonth(i));
/* 319 */     calendar.set(5, oracleDay(i));
/* 320 */     calendar.set(11, oracleHour(i));
/* 321 */     calendar.set(12, oracleMin(i));
/* 322 */     calendar.set(13, oracleSec(i));
/* 323 */     calendar.set(14, 0);
/*     */     
/* 325 */     if ((oracleTZ1(i) & REGIONIDBIT) != 0) {
/*     */ 
/*     */ 
/*     */       
/* 329 */       int k = getHighOrderbits(oracleTZ1(i));
/* 330 */       k += getLowOrderbits(oracleTZ2(i));
/*     */ 
/*     */       
/* 333 */       if (TIMEZONETAB.checkID(k)) {
/* 334 */         TIMEZONETAB.updateTable((Connection)this.statement.connection, k);
/*     */       }
/* 336 */       int m = TIMEZONETAB.getOffset(calendar, k);
/*     */       
/* 338 */       boolean bool1 = timeZone.inDaylightTime(calendar.getTime());
/* 339 */       boolean bool2 = timeZone.inDaylightTime(new Date(calendar.getTimeInMillis() + m));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 351 */       if (!bool1 && bool2) {
/*     */         
/* 353 */         calendar.add(14, -1 * timeZone.getDSTSavings());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 367 */       else if (bool1 && !bool2) {
/*     */         
/* 369 */         calendar.add(14, timeZone.getDSTSavings());
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 380 */       calendar.add(10, m / 3600000);
/* 381 */       calendar.add(12, m % 3600000 / 60000);
/*     */     }
/*     */     else {
/*     */       
/* 385 */       calendar.add(10, oracleTZ1(i) - OFFSET_HOUR);
/* 386 */       calendar.add(12, oracleTZ2(i) - OFFSET_MINUTE);
/*     */     } 
/*     */ 
/*     */     
/* 390 */     long l = calendar.getTime().getTime();
/*     */ 
/*     */     
/* 393 */     return new Time(l);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Timestamp getTimestamp(int paramInt) throws SQLException {
/* 399 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 404 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 411 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] == -1) {
/* 412 */       return null;
/*     */     }
/* 414 */     int i = this.columnIndex + this.byteLength * paramInt;
/*     */     
/* 416 */     TimeZone timeZone = this.statement.getDefaultTimeZone();
/* 417 */     Calendar calendar = Calendar.getInstance(timeZone);
/*     */     
/* 419 */     int j = ((this.rowSpaceByte[0 + i] & 0xFF) - 100) * 100 + (this.rowSpaceByte[1 + i] & 0xFF) - 100;
/*     */ 
/*     */     
/* 422 */     calendar.set(1, j);
/* 423 */     calendar.set(2, oracleMonth(i));
/* 424 */     calendar.set(5, oracleDay(i));
/* 425 */     calendar.set(11, oracleHour(i));
/* 426 */     calendar.set(12, oracleMin(i));
/* 427 */     calendar.set(13, oracleSec(i));
/* 428 */     calendar.set(14, 0);
/*     */     
/* 430 */     if ((oracleTZ1(i) & REGIONIDBIT) != 0) {
/*     */ 
/*     */ 
/*     */       
/* 434 */       int m = getHighOrderbits(oracleTZ1(i));
/* 435 */       m += getLowOrderbits(oracleTZ2(i));
/*     */ 
/*     */       
/* 438 */       if (TIMEZONETAB.checkID(m)) {
/* 439 */         TIMEZONETAB.updateTable((Connection)this.statement.connection, m);
/*     */       }
/* 441 */       int n = TIMEZONETAB.getOffset(calendar, m);
/*     */       
/* 443 */       boolean bool1 = timeZone.inDaylightTime(calendar.getTime());
/* 444 */       boolean bool2 = timeZone.inDaylightTime(new Date(calendar.getTimeInMillis() + n));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 456 */       if (!bool1 && bool2) {
/*     */         
/* 458 */         calendar.add(14, -1 * timeZone.getDSTSavings());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 472 */       else if (bool1 && !bool2) {
/*     */         
/* 474 */         calendar.add(14, timeZone.getDSTSavings());
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 484 */       calendar.add(10, n / 3600000);
/* 485 */       calendar.add(12, n % 3600000 / 60000);
/*     */     }
/*     */     else {
/*     */       
/* 489 */       calendar.add(10, oracleTZ1(i) - OFFSET_HOUR);
/* 490 */       calendar.add(12, oracleTZ2(i) - OFFSET_MINUTE);
/*     */     } 
/*     */ 
/*     */     
/* 494 */     long l = calendar.getTime().getTime();
/*     */ 
/*     */     
/* 497 */     Timestamp timestamp = new Timestamp(l);
/*     */ 
/*     */     
/* 500 */     int k = oracleNanos(i);
/*     */ 
/*     */     
/* 503 */     timestamp.setNanos(k);
/*     */     
/* 505 */     return timestamp;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt) throws SQLException {
/* 511 */     return getTIMESTAMPTZ(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getOracleObject(int paramInt) throws SQLException {
/* 517 */     return (Datum)getTIMESTAMPTZ(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   Object getObject(int paramInt, Map paramMap) throws SQLException {
/* 523 */     return getTIMESTAMPTZ(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   TIMESTAMPTZ getTIMESTAMPTZ(int paramInt) throws SQLException {
/* 529 */     TIMESTAMPTZ tIMESTAMPTZ = null;
/*     */     
/* 531 */     if (this.rowSpaceIndicator == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 536 */       DatabaseError.throwSqlException(21);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 543 */     if (this.rowSpaceIndicator[this.indicatorIndex + paramInt] != -1) {
/*     */       
/* 545 */       int i = this.columnIndex + this.byteLength * paramInt;
/* 546 */       byte[] arrayOfByte = new byte[13];
/*     */       
/* 548 */       System.arraycopy(this.rowSpaceByte, i, arrayOfByte, 0, 13);
/*     */       
/* 550 */       tIMESTAMPTZ = new TIMESTAMPTZ(arrayOfByte);
/*     */     } 
/*     */     
/* 553 */     return tIMESTAMPTZ;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 560 */   static int OFFSET_HOUR = 20;
/* 561 */   static int OFFSET_MINUTE = 60;
/*     */ 
/*     */   
/* 564 */   static byte REGIONIDBIT = Byte.MIN_VALUE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int setHighOrderbits(int paramInt) {
/* 573 */     return (paramInt & 0x1FC0) >> 6;
/*     */   }
/*     */ 
/*     */   
/*     */   static int setLowOrderbits(int paramInt) {
/* 578 */     return (paramInt & 0x3F) << 2;
/*     */   }
/*     */ 
/*     */   
/*     */   static int getHighOrderbits(int paramInt) {
/* 583 */     return (paramInt & 0x7F) << 6;
/*     */   }
/*     */ 
/*     */   
/*     */   static int getLowOrderbits(int paramInt) {
/* 588 */     return (paramInt & 0xFC) >> 2;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\TimestamptzAccessor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */