/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.PrintWriter;
/*     */ import java.io.Serializable;
/*     */ import java.sql.PreparedStatement;
/*     */ import java.sql.ResultSet;
/*     */ import java.sql.SQLException;
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.SQLName;
/*     */ import oracle.sql.TypeDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleNamedType
/*     */   extends OracleType
/*     */   implements Serializable
/*     */ {
/*     */   transient OracleConnection connection;
/*  36 */   SQLName sqlName = null;
/*  37 */   transient OracleTypeADT parent = null;
/*     */   transient int idx;
/*  39 */   transient TypeDescriptor descriptor = null;
/*     */ 
/*     */ 
/*     */   
/*     */   protected OracleNamedType() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleNamedType(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/*  48 */     setConnectionInternal(paramOracleConnection);
/*  49 */     this.sqlName = new SQLName(paramString, (OracleConnection)paramOracleConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected OracleNamedType(OracleTypeADT paramOracleTypeADT, int paramInt, OracleConnection paramOracleConnection) {
/*  58 */     setConnectionInternal(paramOracleConnection);
/*  59 */     this.parent = paramOracleTypeADT;
/*  60 */     this.idx = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFullName() throws SQLException {
/*  68 */     return getFullName(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFullName(boolean paramBoolean) throws SQLException {
/*  76 */     String str = null;
/*     */     
/*  78 */     if ((paramBoolean | ((this.sqlName == null) ? 1 : 0)) != 0)
/*     */     {
/*     */       
/*  81 */       if (this.parent != null && (str = this.parent.getAttributeType(this.idx)) != null) {
/*     */ 
/*     */ 
/*     */         
/*  85 */         this.sqlName = new SQLName(str, (OracleConnection)this.connection);
/*     */       } else {
/*     */         
/*  88 */         DatabaseError.throwSqlException(1, "Unable to resolve name");
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*  93 */     return this.sqlName.getName();
/*     */   }
/*     */ 
/*     */   
/*     */   public String getSchemaName() throws SQLException {
/*  98 */     if (this.sqlName == null) getFullName();
/*     */ 
/*     */     
/* 101 */     return this.sqlName.getSchema();
/*     */   }
/*     */ 
/*     */   
/*     */   public String getSimpleName() throws SQLException {
/* 106 */     if (this.sqlName == null) getFullName();
/*     */ 
/*     */     
/* 109 */     return this.sqlName.getSimpleName();
/*     */   }
/*     */   public boolean hasName() throws SQLException {
/* 112 */     return (this.sqlName != null);
/*     */   } public OracleTypeADT getParent() throws SQLException {
/* 114 */     return this.parent;
/*     */   }
/*     */   
/*     */   public void setParent(OracleTypeADT paramOracleTypeADT) throws SQLException {
/* 118 */     this.parent = paramOracleTypeADT;
/*     */   }
/*     */   public int getOrder() throws SQLException {
/* 121 */     return this.idx;
/*     */   } public void setOrder(int paramInt) throws SQLException {
/* 123 */     this.idx = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnection getConnection() throws SQLException {
/* 134 */     return this.connection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 147 */     setConnectionInternal(paramOracleConnection);
/*     */   }
/*     */ 
/*     */   
/*     */   public void setConnectionInternal(OracleConnection paramOracleConnection) {
/* 152 */     this.connection = paramOracleConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum unlinearize(byte[] paramArrayOfbyte, long paramLong, Datum paramDatum, int paramInt, Map paramMap) throws SQLException {
/* 168 */     DatabaseError.throwSqlException(23);
/*     */     
/* 170 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum unlinearize(byte[] paramArrayOfbyte, long paramLong1, Datum paramDatum, long paramLong2, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/* 186 */     DatabaseError.throwSqlException(23);
/*     */     
/* 188 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] linearize(Datum paramDatum) throws SQLException {
/* 197 */     DatabaseError.throwSqlException(23);
/*     */     
/* 199 */     return null;
/*     */   }
/*     */ 
/*     */   
/*     */   public TypeDescriptor getDescriptor() throws SQLException {
/* 204 */     return this.descriptor;
/*     */   }
/*     */ 
/*     */   
/*     */   public void setDescriptor(TypeDescriptor paramTypeDescriptor) throws SQLException {
/* 209 */     this.descriptor = paramTypeDescriptor;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getTypeVersion() {
/* 214 */     return 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/*     */     try {
/* 229 */       paramObjectOutputStream.writeUTF(getFullName());
/*     */     }
/* 231 */     catch (SQLException sQLException) {
/*     */       
/* 233 */       DatabaseError.SQLToIOException(sQLException);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 243 */     String str = paramObjectInputStream.readUTF(); 
/* 244 */     try { this.sqlName = new SQLName(str, null); } catch (SQLException sQLException) {}
/* 245 */     this.parent = null;
/* 246 */     this.idx = -1;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void fixupConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 252 */     if (this.connection == null) setConnection(paramOracleConnection);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void printXML(PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/* 262 */     for (byte b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 263 */      paramPrintWriter.println("<OracleNamedType/>");
/*     */   }
/*     */ 
/*     */   
/*     */   public void initNamesRecursively() throws SQLException {
/* 268 */     Map map = createTypesTreeMap();
/* 269 */     if (map.size() > 0) {
/* 270 */       initChildNamesRecursively(map);
/*     */     }
/*     */   }
/*     */   
/*     */   public void setNames(String paramString1, String paramString2) throws SQLException {
/* 275 */     this.sqlName = new SQLName(paramString1, paramString2, (OracleConnection)this.connection);
/*     */   }
/*     */ 
/*     */   
/*     */   public void setSqlName(SQLName paramSQLName) {
/* 280 */     this.sqlName = paramSQLName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Map createTypesTreeMap() throws SQLException {
/* 292 */     Map map = null;
/* 293 */     String str = this.connection.getDefaultSchemaNameForNamedTypes();
/* 294 */     if (this.sqlName.getSchema().equals(str)) {
/* 295 */       map = getNodeMapFromUserTypes();
/*     */     }
/* 297 */     if (map == null)
/* 298 */       map = getNodeMapFromAllTypes(); 
/* 299 */     return map;
/*     */   }
/*     */   
/* 302 */   static String getUserTypeTreeSql = "/*+ RULE */select level depth, parent_type, child_type, ATTR_NO, child_type_owner from  (select TYPE_NAME parent_type, ELEM_TYPE_NAME child_type, 0 ATTR_NO,       ELEM_TYPE_OWNER child_type_owner     from USER_COLL_TYPES  union   select TYPE_NAME parent_type, ATTR_TYPE_NAME child_type, ATTR_NO,       ATTR_TYPE_OWNER child_type_owner     from USER_TYPE_ATTRS  ) start with parent_type  = ?  connect by prior  child_type = parent_type";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Map getNodeMapFromUserTypes() throws SQLException {
/* 323 */     HashMap hashMap = new HashMap();
/* 324 */     PreparedStatement preparedStatement = null;
/* 325 */     ResultSet resultSet = null;
/*     */ 
/*     */     
/* 328 */     try { preparedStatement = this.connection.prepareStatement(getUserTypeTreeSql);
/* 329 */       preparedStatement.setString(1, this.sqlName.getSimpleName());
/* 330 */       resultSet = preparedStatement.executeQuery();
/*     */       
/* 332 */       while (resultSet.next()) {
/*     */         
/* 334 */         int i = resultSet.getInt(1);
/* 335 */         String str1 = resultSet.getString(2);
/* 336 */         String str2 = resultSet.getString(3);
/* 337 */         int j = resultSet.getInt(4);
/* 338 */         String str3 = resultSet.getString(5);
/* 339 */         if (str3 != null && !str3.equals(this.sqlName.getSchema()))
/* 340 */           throw new NodeMapException(); 
/* 341 */         if (str1.length() > 0) {
/*     */           
/* 343 */           SQLName sQLName = new SQLName(this.sqlName.getSchema(), str1, (OracleConnection)this.connection);
/* 344 */           TypeTreeElement typeTreeElement = null;
/* 345 */           if (hashMap.containsKey(sQLName)) {
/* 346 */             typeTreeElement = (TypeTreeElement)hashMap.get(sQLName);
/*     */           } else {
/*     */             
/* 349 */             typeTreeElement = new TypeTreeElement(this.sqlName.getSchema(), str1);
/* 350 */             hashMap.put(sQLName, typeTreeElement);
/*     */           } 
/* 352 */           typeTreeElement.putChild(this.sqlName.getSchema(), str2, j);
/*     */         } 
/*     */       }  }
/*     */     catch (NodeMapException nodeMapException)
/* 356 */     { hashMap = null; nodeMapException.printStackTrace(System.err); }
/* 357 */     finally { if (resultSet != null) resultSet.close();  if (preparedStatement != null) preparedStatement.close();  }
/* 358 */      return hashMap;
/*     */   }
/*     */ 
/*     */   
/* 362 */   static String getAllTypeTreeSql = "/*+ RULE */select parent_type, parent_type_owner, child_type, ATTR_NO, child_type_owner from ( select TYPE_NAME parent_type,  OWNER parent_type_owner,     ELEM_TYPE_NAME child_type, 0 ATTR_NO,     ELEM_TYPE_OWNER child_type_owner   from ALL_COLL_TYPES union   select TYPE_NAME parent_type, OWNER parent_type_owner,     ATTR_TYPE_NAME child_type, ATTR_NO,     ATTR_TYPE_OWNER child_type_owner   from ALL_TYPE_ATTRS ) start with parent_type  = ?  and parent_type_owner = ? connect by prior child_type = parent_type   and ( child_type_owner = parent_type_owner or child_type_owner is null )";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Map getNodeMapFromAllTypes() throws SQLException {
/* 382 */     HashMap hashMap = new HashMap();
/* 383 */     PreparedStatement preparedStatement = null;
/* 384 */     ResultSet resultSet = null;
/*     */     
/*     */     try {
/* 387 */       preparedStatement = this.connection.prepareStatement(getAllTypeTreeSql);
/* 388 */       preparedStatement.setString(1, this.sqlName.getSimpleName());
/* 389 */       preparedStatement.setString(2, this.sqlName.getSchema());
/* 390 */       resultSet = preparedStatement.executeQuery();
/*     */       
/* 392 */       while (resultSet.next()) {
/*     */         
/* 394 */         String str1 = resultSet.getString(1);
/* 395 */         String str2 = resultSet.getString(2);
/* 396 */         String str3 = resultSet.getString(3);
/* 397 */         int i = resultSet.getInt(4);
/* 398 */         String str4 = resultSet.getString(5);
/* 399 */         if (str4 == null) str4 = "SYS"; 
/* 400 */         if (str1.length() > 0) {
/*     */           
/* 402 */           SQLName sQLName = new SQLName(str2, str1, (OracleConnection)this.connection);
/* 403 */           TypeTreeElement typeTreeElement = null;
/* 404 */           if (hashMap.containsKey(sQLName)) {
/* 405 */             typeTreeElement = (TypeTreeElement)hashMap.get(sQLName);
/*     */           } else {
/*     */             
/* 408 */             typeTreeElement = new TypeTreeElement(str2, str1);
/* 409 */             hashMap.put(sQLName, typeTreeElement);
/*     */           } 
/* 411 */           typeTreeElement.putChild(str4, str3, i);
/*     */         } 
/*     */       } 
/*     */     } finally {
/* 415 */       if (resultSet != null) resultSet.close();  if (preparedStatement != null) preparedStatement.close(); 
/* 416 */     }  return hashMap;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 455 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleNamedType.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */