/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.PrintStream;
/*     */ import java.io.PrintWriter;
/*     */ import java.io.Serializable;
/*     */ import java.io.StringWriter;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.StructDescriptor;
/*     */ import oracle.sql.TypeDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleType
/*     */   implements Serializable
/*     */ {
/*     */   static final long serialVersionUID = -4124152314660261528L;
/*     */   public static final int STYLE_ARRAY_LENGTH = 0;
/*     */   public static final int STYLE_DATUM = 1;
/*     */   public static final int STYLE_JAVA = 2;
/*     */   public static final int STYLE_RAWBYTE = 3;
/*     */   public static final int STYLE_INT = 4;
/*     */   public static final int STYLE_DOUBLE = 5;
/*     */   public static final int STYLE_FLOAT = 6;
/*     */   public static final int STYLE_LONG = 7;
/*     */   public static final int STYLE_SHORT = 8;
/*     */   public static final int STYLE_SKIP = 9;
/*     */   static final int FORMAT_ADT_ATTR = 1;
/*     */   static final int FORMAT_COLL_ELEM = 2;
/*     */   static final int FORMAT_COLL_ELEM_NO_INDICATOR = 3;
/*     */   int nullOffset;
/*     */   int ldsOffset;
/*     */   int sizeForLds;
/*     */   int alignForLds;
/*     */   int typeCode;
/*     */   int dbTypeCode;
/*     */   boolean metaDataInitialized = false;
/*     */   static final int KOPMAP_FLOAT = 2;
/*     */   static final int KOPMAP_SB4 = 4;
/*     */   static final int KOPMAP_PTR = 5;
/*     */   static final int KOPMAP_ORLD = 11;
/*     */   static final int KOPMAP_ORLN = 12;
/*     */   
/*     */   public OracleType() {
/*  67 */     this.nullOffset = 0;
/*  68 */     this.ldsOffset = 0;
/*  69 */     this.sizeForLds = 0;
/*     */   }
/*     */ 
/*     */   
/*     */   public OracleType(int paramInt) {
/*  74 */     this();
/*     */ 
/*     */ 
/*     */     
/*  78 */     this.typeCode = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isInHierarchyOf(OracleType paramOracleType) throws SQLException {
/*  89 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isInHierarchyOf(StructDescriptor paramStructDescriptor) throws SQLException {
/*  98 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isObjectType() {
/* 106 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TypeDescriptor getTypeDescriptor() {
/* 114 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum[] toDatumArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/* 139 */     Datum[] arrayOfDatum = null;
/*     */     
/* 141 */     if (paramObject != null)
/*     */     {
/* 143 */       if (paramObject instanceof Object[]) {
/*     */         
/* 145 */         Object[] arrayOfObject = (Object[])paramObject;
/*     */         
/* 147 */         int i = (int)((paramInt == -1) ? arrayOfObject.length : Math.min(arrayOfObject.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 150 */         arrayOfDatum = new Datum[i];
/*     */         
/* 152 */         for (byte b = 0; b < i; b++) {
/* 153 */           arrayOfDatum[b] = toDatum(arrayOfObject[(int)paramLong + b - 1], paramOracleConnection);
/*     */         }
/*     */       } else {
/* 156 */         DatabaseError.throwSqlException(59, paramObject);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 162 */     return arrayOfDatum;
/*     */   }
/*     */ 
/*     */   
/*     */   public void setTypeCode(int paramInt) {
/* 167 */     this.typeCode = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTypeCode() throws SQLException {
/* 173 */     return this.typeCode;
/*     */   }
/*     */ 
/*     */   
/*     */   public void setDBTypeCode(int paramInt) {
/* 178 */     this.dbTypeCode = paramInt;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getDBTypeCode() throws SQLException {
/* 183 */     return this.dbTypeCode;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void parseTDSrec(TDSReader paramTDSReader) throws SQLException {
/* 207 */     this.nullOffset = paramTDSReader.nullOffset;
/* 208 */     this.ldsOffset = paramTDSReader.ldsOffset;
/*     */     
/* 210 */     paramTDSReader.nullOffset++;
/* 211 */     paramTDSReader.ldsOffset++;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSizeLDS(byte[] paramArrayOfbyte) {
/* 225 */     if (this.sizeForLds == 0) {
/*     */       
/* 227 */       this.sizeForLds = Util.fdoGetSize(paramArrayOfbyte, 5);
/* 228 */       this.alignForLds = Util.fdoGetAlign(paramArrayOfbyte, 5);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 233 */     return this.sizeForLds;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAlignLDS(byte[] paramArrayOfbyte) {
/* 247 */     if (this.sizeForLds == 0) {
/*     */       
/* 249 */       this.sizeForLds = Util.fdoGetSize(paramArrayOfbyte, 5);
/* 250 */       this.alignForLds = Util.fdoGetAlign(paramArrayOfbyte, 5);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 255 */     return this.alignForLds;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object unpickle81rec(PickleContext paramPickleContext, int paramInt, Map paramMap) throws SQLException {
/* 292 */     if (paramInt == 9) {
/*     */       
/* 294 */       paramPickleContext.skipDataValue();
/*     */       
/* 296 */       return null;
/*     */     } 
/*     */ 
/*     */     
/* 300 */     byte[] arrayOfByte = paramPickleContext.readDataValue();
/*     */     
/* 302 */     return toObject(arrayOfByte, paramInt, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object unpickle81rec(PickleContext paramPickleContext, byte paramByte, int paramInt, Map paramMap) throws SQLException {
/* 312 */     if (paramInt == 9) {
/*     */       
/* 314 */       paramPickleContext.skipDataValue();
/*     */       
/* 316 */       return null;
/*     */     } 
/*     */ 
/*     */     
/* 320 */     byte[] arrayOfByte = paramPickleContext.readDataValue(paramByte);
/*     */     
/* 322 */     return toObject(arrayOfByte, paramInt, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Datum unpickle81datumAsNull(PickleContext paramPickleContext, byte paramByte1, byte paramByte2) throws SQLException {
/* 329 */     DatabaseError.throwSqlException(1);
/* 330 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object toObject(byte[] paramArrayOfbyte, int paramInt, Map paramMap) throws SQLException {
/* 340 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int pickle81(PickleContext paramPickleContext, Datum paramDatum) throws SQLException {
/* 357 */     int i = paramPickleContext.writeLength((int)paramDatum.getLength());
/*     */     
/* 359 */     i += paramPickleContext.writeData(paramDatum.shareBytes());
/*     */ 
/*     */ 
/*     */     
/* 363 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void writeSerializedFields(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 371 */     paramObjectOutputStream.writeInt(this.nullOffset);
/* 372 */     paramObjectOutputStream.writeInt(this.ldsOffset);
/* 373 */     paramObjectOutputStream.writeInt(this.sizeForLds);
/* 374 */     paramObjectOutputStream.writeInt(this.alignForLds);
/* 375 */     paramObjectOutputStream.writeInt(this.typeCode);
/* 376 */     paramObjectOutputStream.writeInt(this.dbTypeCode);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void readSerializedFields(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 385 */     this.nullOffset = paramObjectInputStream.readInt();
/* 386 */     this.ldsOffset = paramObjectInputStream.readInt();
/* 387 */     this.sizeForLds = paramObjectInputStream.readInt();
/* 388 */     this.alignForLds = paramObjectInputStream.readInt();
/* 389 */     this.typeCode = paramObjectInputStream.readInt();
/* 390 */     this.dbTypeCode = paramObjectInputStream.readInt();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 403 */     paramObjectOutputStream.writeInt(this.nullOffset);
/* 404 */     paramObjectOutputStream.writeInt(this.ldsOffset);
/* 405 */     paramObjectOutputStream.writeInt(this.sizeForLds);
/* 406 */     paramObjectOutputStream.writeInt(this.alignForLds);
/* 407 */     paramObjectOutputStream.writeInt(this.typeCode);
/* 408 */     paramObjectOutputStream.writeInt(this.dbTypeCode);
/* 409 */     paramObjectOutputStream.writeBoolean(this.metaDataInitialized);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 419 */     this.nullOffset = paramObjectInputStream.readInt();
/* 420 */     this.ldsOffset = paramObjectInputStream.readInt();
/* 421 */     this.sizeForLds = paramObjectInputStream.readInt();
/* 422 */     this.alignForLds = paramObjectInputStream.readInt();
/* 423 */     this.typeCode = paramObjectInputStream.readInt();
/* 424 */     this.dbTypeCode = paramObjectInputStream.readInt();
/* 425 */     this.metaDataInitialized = paramObjectInputStream.readBoolean();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setConnection(OracleConnection paramOracleConnection) throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isNCHAR() throws SQLException {
/* 440 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPrecision() throws SQLException {
/* 456 */     return 0;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getScale() throws SQLException {
/* 461 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initMetadataRecursively() throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initNamesRecursively() throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initChildNamesRecursively(Map paramMap) throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void cacheDescriptor() throws SQLException {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNames(String paramString1, String paramString2) throws SQLException {}
/*     */ 
/*     */ 
/*     */   
/*     */   public String toXMLString() throws SQLException {
/* 492 */     StringWriter stringWriter = new StringWriter();
/* 493 */     PrintWriter printWriter = new PrintWriter(stringWriter);
/* 494 */     printXMLHeader(printWriter);
/* 495 */     printXML(printWriter, 0);
/* 496 */     return stringWriter.getBuffer().substring(0);
/*     */   }
/*     */ 
/*     */   
/*     */   public void printXML(PrintStream paramPrintStream) throws SQLException {
/* 501 */     PrintWriter printWriter = new PrintWriter(paramPrintStream, true);
/* 502 */     printXMLHeader(printWriter);
/* 503 */     printXML(printWriter, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   void printXMLHeader(PrintWriter paramPrintWriter) throws SQLException {
/* 508 */     paramPrintWriter.println("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>");
/*     */   }
/*     */ 
/*     */   
/*     */   public void printXML(PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/* 513 */     for (byte b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 514 */      paramPrintWriter.println("<OracleType typecode=\"" + this.typeCode + "\"" + " hashCode=\"" + hashCode() + "\" " + " ldsOffset=\"" + this.ldsOffset + "\"" + " sizeForLds=\"" + this.sizeForLds + "\"" + " alignForLds=\"" + this.alignForLds + "\"" + " />");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 525 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleType.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */