/*      */ package oracle.jdbc.oracore;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.InputStream;
/*      */ import java.io.ObjectInputStream;
/*      */ import java.io.ObjectOutputStream;
/*      */ import java.io.PrintWriter;
/*      */ import java.io.Serializable;
/*      */ import java.io.StringWriter;
/*      */ import java.sql.Blob;
/*      */ import java.sql.CallableStatement;
/*      */ import java.sql.Connection;
/*      */ import java.sql.PreparedStatement;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.util.Map;
/*      */ import java.util.Vector;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.internal.OracleCallableStatement;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.JAVA_STRUCT;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.SQLName;
/*      */ import oracle.sql.STRUCT;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TypeDescriptor;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleTypeADT
/*      */   extends OracleNamedType
/*      */   implements Serializable
/*      */ {
/*      */   static final long serialVersionUID = 3031304012507165702L;
/*      */   static final int S_TOP = 1;
/*      */   static final int S_EMBEDDED = 2;
/*      */   static final int S_UPT_ADT = 4;
/*      */   static final int S_JAVA_OBJECT = 16;
/*      */   static final int S_FINAL_TYPE = 32;
/*      */   static final int S_SUB_TYPE = 64;
/*      */   static final int S_ATTR_TDS = 128;
/*      */   static final int S_HAS_METADATA = 256;
/*      */   static final int S_TDS_PARSED = 512;
/*   61 */   private int statusBits = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   68 */   int tdsVersion = -9999;
/*      */   
/*      */   static final int KOPT_V80 = 1;
/*      */   
/*      */   static final int KOPT_V81 = 2;
/*      */   
/*      */   static final int KOPT_VNFT = 3;
/*      */   
/*      */   static final int KOPT_VERSION = 3;
/*      */   
/*      */   boolean endOfAdt = false;
/*      */   
/*   80 */   int typeVersion = 1;
/*      */ 
/*      */ 
/*      */   
/*   84 */   byte[] lds = null;
/*   85 */   long[] ldsOffsetArray = null;
/*   86 */   long fixedDataSize = -1L;
/*   87 */   int alignmentRequirement = -1;
/*      */ 
/*      */   
/*   90 */   OracleType[] attrTypes = null;
/*      */   
/*      */   String[] attrNames;
/*      */   String[] attrTypeNames;
/*   94 */   public long tdoCState = 0L;
/*      */   
/*   96 */   byte[] toid = null;
/*      */   
/*      */   byte[] fdo;
/*      */   
/*      */   int charSetId;
/*      */   
/*      */   int charSetForm;
/*      */   
/*      */   boolean bigEndian;
/*      */   
/*      */   int flattenedAttrNum;
/*      */   transient int opcode;
/*  108 */   transient int idx = 1;
/*      */   
/*      */   static final int CURRENT_USER_OBJECT = 0;
/*      */   
/*      */   static final int CURRENT_USER_SYNONYM = 1;
/*      */   
/*      */   static final int CURRENT_USER_PUBLIC_SYNONYM = 2;
/*      */   
/*      */   static final int OTHER_USER_OBJECT = 3;
/*      */   
/*      */   static final int OTHER_USER_SYNONYM = 4;
/*      */   
/*      */   static final int PUBLIC_SYNONYM = 5;
/*      */   
/*      */   static final int BREAK = 6;
/*      */ 
/*      */   
/*      */   protected OracleTypeADT() {}
/*      */   
/*      */   public OracleTypeADT(byte[] paramArrayOfbyte, int paramInt1, int paramInt2, short paramShort, String paramString) throws SQLException {
/*  128 */     this(paramString, (Connection)null);
/*      */ 
/*      */     
/*  131 */     this.toid = paramArrayOfbyte;
/*  132 */     this.typeVersion = paramInt1;
/*  133 */     this.charSetId = paramInt2;
/*  134 */     this.charSetForm = paramShort;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeADT(String paramString, Connection paramConnection) throws SQLException {
/*  142 */     super(paramString, (OracleConnection)paramConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeADT(String paramString, Connection paramConnection, byte[] paramArrayOfbyte) throws SQLException {
/*  154 */     this(paramString, paramConnection);
/*      */ 
/*      */ 
/*      */     
/*  158 */     this.fdo = paramArrayOfbyte;
/*      */     
/*  160 */     initEndianess(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeADT(OracleTypeADT paramOracleTypeADT, int paramInt, Connection paramConnection) throws SQLException {
/*  169 */     super(paramOracleTypeADT, paramInt, (OracleConnection)paramConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeADT(OracleTypeADT paramOracleTypeADT, int paramInt, Connection paramConnection, byte[] paramArrayOfbyte) throws SQLException {
/*  181 */     this(paramOracleTypeADT, paramInt, paramConnection);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  186 */     this.fdo = paramArrayOfbyte;
/*      */     
/*  188 */     initEndianess(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeADT(SQLName paramSQLName, byte[] paramArrayOfbyte1, int paramInt, byte[] paramArrayOfbyte2, byte[] paramArrayOfbyte3, OracleConnection paramOracleConnection, byte[] paramArrayOfbyte4) throws SQLException {
/*  199 */     this.fdo = paramArrayOfbyte4;
/*  200 */     init(paramArrayOfbyte2, paramOracleConnection);
/*  201 */     this.toid = paramArrayOfbyte1;
/*  202 */     this.typeVersion = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/*  218 */     if (paramObject != null) {
/*      */       
/*  220 */       if (paramObject instanceof STRUCT)
/*      */       {
/*  222 */         return (Datum)paramObject;
/*      */       }
/*  224 */       if (paramObject instanceof java.sql.SQLData || paramObject instanceof oracle.jdbc.internal.ObjectData)
/*      */       {
/*      */         
/*  227 */         return (Datum)STRUCT.toSTRUCT(paramObject, (OracleConnection)paramOracleConnection);
/*      */       }
/*  229 */       if (paramObject instanceof Object[]) {
/*      */         
/*  231 */         StructDescriptor structDescriptor = createStructDescriptor();
/*  232 */         return (Datum)createObjSTRUCT(structDescriptor, (Object[])paramObject);
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  239 */       DatabaseError.throwSqlException(59, paramObject);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  245 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum[] toDatumArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/*  260 */     Datum[] arrayOfDatum = null;
/*      */     
/*  262 */     if (paramObject != null)
/*      */     {
/*  264 */       if (paramObject instanceof Object[]) {
/*      */         
/*  266 */         Object[] arrayOfObject = (Object[])paramObject;
/*      */         
/*  268 */         int i = (int)((paramInt == -1) ? arrayOfObject.length : Math.min(arrayOfObject.length - paramLong + 1L, paramInt));
/*      */ 
/*      */         
/*  271 */         arrayOfDatum = new Datum[i];
/*      */         
/*  273 */         for (byte b = 0; b < i; b++) {
/*  274 */           arrayOfDatum[b] = toDatum(arrayOfObject[(int)paramLong + b - 1], paramOracleConnection);
/*      */         }
/*      */       } else {
/*  277 */         DatabaseError.throwSqlException(59, paramObject);
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  283 */     return arrayOfDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTypeCode() throws SQLException {
/*  291 */     if ((getStatus() & 0x10) != 0) {
/*  292 */       return 2008;
/*      */     }
/*  294 */     return 2002;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleType[] getAttrTypes() throws SQLException {
/*  299 */     if (this.attrTypes == null) {
/*  300 */       init(this.connection);
/*      */     }
/*  302 */     return this.attrTypes;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInHierarchyOf(OracleType paramOracleType) throws SQLException {
/*  314 */     if (paramOracleType == null) {
/*  315 */       return false;
/*      */     }
/*  317 */     if (!paramOracleType.isObjectType()) {
/*  318 */       return false;
/*      */     }
/*  320 */     StructDescriptor structDescriptor = (StructDescriptor)paramOracleType.getTypeDescriptor();
/*      */ 
/*      */     
/*  323 */     return this.descriptor.isInHierarchyOf(structDescriptor.getName());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInHierarchyOf(StructDescriptor paramStructDescriptor) throws SQLException {
/*  332 */     if (paramStructDescriptor == null) {
/*  333 */       return false;
/*      */     }
/*  335 */     return this.descriptor.isInHierarchyOf(paramStructDescriptor.getName());
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isObjectType() {
/*  340 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   public TypeDescriptor getTypeDescriptor() {
/*  345 */     return this.descriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void init(OracleConnection paramOracleConnection) throws SQLException {
/*  362 */     byte[] arrayOfByte = initMetadata(paramOracleConnection);
/*  363 */     init(arrayOfByte, paramOracleConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized void init(byte[] paramArrayOfbyte, OracleConnection paramOracleConnection) throws SQLException {
/*  377 */     this.statusBits = 1;
/*  378 */     this.connection = paramOracleConnection;
/*      */     
/*  380 */     if (paramArrayOfbyte != null) parseTDS(paramArrayOfbyte, 0L); 
/*  381 */     this.bigEndian = this.connection.getBigEndian();
/*  382 */     setStatusBits(256);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] initMetadata(OracleConnection paramOracleConnection) throws SQLException {
/*  396 */     byte[] arrayOfByte = null;
/*  397 */     if ((this.statusBits & 0x100) != 0) return null;
/*      */ 
/*      */     
/*  400 */     if (this.sqlName == null) getFullName();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  406 */     synchronized (paramOracleConnection) {
/*      */       
/*  408 */       synchronized (this) {
/*      */         
/*  410 */         if ((this.statusBits & 0x100) == 0) {
/*      */           
/*  412 */           CallableStatement callableStatement = null;
/*      */           
/*      */           try {
/*  415 */             if (this.tdoCState == 0L) this.tdoCState = this.connection.getTdoCState(this.sqlName.getSchema(), this.sqlName.getSimpleName());
/*      */ 
/*      */ 
/*      */             
/*  419 */             String str = null;
/*  420 */             boolean bool1 = ((this.fdo = this.connection.getFDO(false)) == null) ? true : false;
/*      */             
/*  422 */             if (!bool1) {
/*      */               
/*  424 */               str = "begin :1 := dbms_pickler.get_type_shape(:2,:3,:4,:5,:6,:7); end;";
/*      */             
/*      */             }
/*      */             else {
/*      */               
/*  429 */               str = "begin :1 := dbms_pickler.get_type_shape(:2,:3,:4,:5,:6,:7);       :8 := dbms_pickler.get_format(:9); end;";
/*      */             } 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  435 */             boolean bool2 = false;
/*  436 */             callableStatement = this.connection.prepareCall(str);
/*      */             
/*  438 */             callableStatement.registerOutParameter(1, 2);
/*  439 */             callableStatement.registerOutParameter(4, -4);
/*  440 */             callableStatement.registerOutParameter(5, 4);
/*  441 */             callableStatement.registerOutParameter(6, -4);
/*  442 */             callableStatement.registerOutParameter(7, -4);
/*  443 */             if (bool1) {
/*      */               
/*  445 */               callableStatement.registerOutParameter(8, 2);
/*  446 */               callableStatement.registerOutParameter(9, -4);
/*      */             } 
/*  448 */             callableStatement.setString(2, this.sqlName.getSchema());
/*  449 */             callableStatement.setString(3, this.sqlName.getSimpleName());
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  454 */             callableStatement.execute();
/*      */ 
/*      */             
/*  457 */             int i = callableStatement.getInt(1);
/*  458 */             if (i != 0) {
/*      */ 
/*      */ 
/*      */               
/*  462 */               if (i != 24331) {
/*  463 */                 DatabaseError.throwSqlException(74, this.sqlName.toString());
/*      */               }
/*      */               
/*  466 */               if (i == 24331) {
/*      */                 
/*  468 */                 bool2 = true;
/*  469 */                 callableStatement.registerOutParameter(6, 2004);
/*      */ 
/*      */ 
/*      */                 
/*  473 */                 callableStatement.execute();
/*      */ 
/*      */                 
/*  476 */                 i = callableStatement.getInt(1);
/*  477 */                 if (i != 0)
/*      */                 {
/*      */ 
/*      */                   
/*  481 */                   DatabaseError.throwSqlException(74, this.sqlName.toString());
/*      */                 }
/*      */               } 
/*      */             } 
/*      */ 
/*      */             
/*  487 */             if (bool1)
/*      */             {
/*  489 */               if (callableStatement.getInt(8) != 0) {
/*  490 */                 DatabaseError.throwSqlException(1, "dbms_pickler.get_format()");
/*      */               }
/*      */             }
/*      */ 
/*      */             
/*  495 */             this.toid = callableStatement.getBytes(4);
/*  496 */             this.typeVersion = NUMBER.toInt(callableStatement.getBytes(5));
/*  497 */             if (!bool2) {
/*      */               
/*  499 */               arrayOfByte = callableStatement.getBytes(6);
/*      */             } else {
/*      */ 
/*      */               
/*      */               try {
/*      */ 
/*      */                 
/*  506 */                 Blob blob = ((OracleCallableStatement)callableStatement).getBlob(6);
/*  507 */                 InputStream inputStream = blob.getBinaryStream();
/*  508 */                 arrayOfByte = new byte[(int)blob.length()];
/*  509 */                 inputStream.read(arrayOfByte);
/*  510 */                 inputStream.close();
/*  511 */                 ((BLOB)blob).freeTemporary();
/*  512 */               } catch (IOException iOException) {
/*      */                 
/*  514 */                 DatabaseError.throwSqlException(iOException);
/*      */               } 
/*      */             } 
/*  517 */             this.metaDataInitialized = true;
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  522 */             if (bool1) {
/*      */               
/*  524 */               this.fdo = callableStatement.getBytes(9);
/*  525 */               this.connection.setFDO(this.fdo);
/*      */             } 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  531 */             this.flattenedAttrNum = Util.getUnsignedByte(arrayOfByte[8]) * 256 + Util.getUnsignedByte(arrayOfByte[9]);
/*      */             
/*  533 */             callableStatement.getBytes(7);
/*      */ 
/*      */ 
/*      */           
/*      */           }
/*      */           finally {
/*      */ 
/*      */ 
/*      */             
/*  542 */             if (callableStatement != null) callableStatement.close(); 
/*      */           } 
/*      */         } 
/*  545 */         setStatusBits(256);
/*      */       } 
/*      */     } 
/*  548 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initEndianess(byte[] paramArrayOfbyte) {
/*  554 */     int[] arrayOfInt = Util.toJavaUnsignedBytes(paramArrayOfbyte);
/*  555 */     int i = arrayOfInt[6 + arrayOfInt[5] + arrayOfInt[6] + 5];
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  560 */     int j = (byte)(i & 0x10);
/*      */     
/*  562 */     if (j < 0) {
/*  563 */       j = j + 256;
/*      */     }
/*  565 */     this.bigEndian = (j > 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void parseLDS(InputStream paramInputStream) throws SQLException {
/*  573 */     long l = Util.readLong(paramInputStream);
/*      */     
/*  575 */     this.fixedDataSize = Util.readLong(paramInputStream);
/*  576 */     this.ldsOffsetArray = new long[this.flattenedAttrNum];
/*      */     
/*  578 */     for (byte b = 0; b < this.flattenedAttrNum; b++)
/*      */     {
/*  580 */       this.ldsOffsetArray[b] = Util.readLong(paramInputStream);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void generateLDS() throws SQLException {
/*  599 */     Vector vector = generateLDSrec();
/*      */     
/*  601 */     this.ldsOffsetArray = new long[vector.size()];
/*      */     
/*  603 */     for (byte b = 0; b < vector.size(); b++) {
/*      */       
/*  605 */       Integer integer = vector.elementAt(b);
/*      */       
/*  607 */       this.ldsOffsetArray[b] = integer.longValue();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Vector generateLDSrec() throws SQLException {
/*  625 */     int i = 0;
/*  626 */     int j = 0;
/*      */     
/*  628 */     Vector vector = new Vector();
/*  629 */     int k = getNumAttrs();
/*      */     
/*  631 */     for (byte b = 0; b < k; b++) {
/*      */       int m, n;
/*      */ 
/*      */       
/*  635 */       Vector vector1 = null;
/*  636 */       OracleType oracleType = getAttrTypeAt(b);
/*      */       
/*  638 */       if (oracleType instanceof OracleTypeADT && !(oracleType instanceof OracleTypeCOLLECTION) && !(oracleType instanceof OracleTypeUPT)) {
/*      */ 
/*      */ 
/*      */         
/*  642 */         vector1 = ((OracleTypeADT)oracleType).generateLDSrec();
/*  643 */         n = ((OracleTypeADT)oracleType).getAlignmentReq();
/*  644 */         m = (int)((OracleTypeADT)oracleType).getFixedDataSize();
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/*  650 */         m = oracleType.getSizeLDS(this.fdo);
/*  651 */         n = oracleType.getAlignLDS(this.fdo);
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  660 */       if ((i & n) > 0) {
/*  661 */         i = Util.ldsRound(i, n);
/*      */       }
/*  663 */       if (oracleType instanceof OracleTypeADT && !(oracleType instanceof OracleTypeCOLLECTION) && !(oracleType instanceof OracleTypeUPT)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  670 */         for (byte b1 = 0; b1 < vector1.size(); b1++) {
/*      */           
/*  672 */           Integer integer1 = vector1.elementAt(b1);
/*  673 */           Integer integer2 = new Integer(integer1.intValue() + i);
/*      */           
/*  675 */           vector.addElement(integer2);
/*      */         } 
/*      */       } else {
/*      */         
/*  679 */         vector.addElement(new Integer(i));
/*      */       } 
/*  681 */       i += m;
/*      */ 
/*      */       
/*  684 */       if (n > j) {
/*  685 */         j = n;
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  690 */     if ((i & j) > 0) {
/*  691 */       i = Util.ldsRound(i, j);
/*      */     }
/*  693 */     this.alignmentRequirement = j;
/*  694 */     this.fixedDataSize = i;
/*      */     
/*  696 */     return vector;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   TDSReader parseTDS(byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/*  706 */     if (this.attrTypes != null) {
/*  707 */       return null;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  712 */     TDSReader tDSReader = new TDSReader(paramArrayOfbyte, paramLong);
/*      */ 
/*      */     
/*  715 */     long l1 = tDSReader.readLong() + tDSReader.offset();
/*      */ 
/*      */ 
/*      */     
/*  719 */     tDSReader.checkNextByte((byte)38);
/*      */ 
/*      */     
/*  722 */     this.tdsVersion = tDSReader.readByte();
/*      */ 
/*      */     
/*  725 */     tDSReader.skipBytes(2);
/*      */ 
/*      */     
/*  728 */     this.flattenedAttrNum = tDSReader.readShort();
/*      */ 
/*      */     
/*  731 */     if ((tDSReader.readByte() & 0xFF) == 255) {
/*  732 */       setStatusBits(128);
/*      */     }
/*      */ 
/*      */     
/*  736 */     long l2 = tDSReader.offset();
/*      */ 
/*      */     
/*  739 */     tDSReader.checkNextByte((byte)41);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  744 */     if (tDSReader.readShort() != 0) {
/*  745 */       DatabaseError.throwSqlException(47, "parseTDS");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  750 */     long l3 = tDSReader.readLong();
/*      */ 
/*      */     
/*  753 */     parseTDSrec(tDSReader);
/*      */ 
/*      */     
/*  756 */     if (this.tdsVersion >= 3) {
/*      */ 
/*      */ 
/*      */       
/*  760 */       tDSReader.skip_to(l2 + l3 + 2L);
/*      */ 
/*      */       
/*  763 */       tDSReader.skipBytes(2 * this.flattenedAttrNum);
/*      */ 
/*      */       
/*  766 */       byte b = tDSReader.readByte();
/*      */ 
/*      */       
/*  769 */       if (tDSReader.isJavaObject(this.tdsVersion, b)) {
/*  770 */         setStatusBits(16);
/*      */       }
/*      */ 
/*      */       
/*  774 */       if (tDSReader.isFinalType(this.tdsVersion, b)) {
/*  775 */         setStatusBits(32);
/*      */       }
/*      */ 
/*      */       
/*  779 */       if (tDSReader.readByte() != 1) {
/*  780 */         setStatusBits(64);
/*      */       }
/*      */     } else {
/*      */       
/*  784 */       setStatusBits(32);
/*      */     } 
/*      */     
/*  787 */     tDSReader.skip_to(l1);
/*  788 */     return tDSReader;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void parseTDSrec(TDSReader paramTDSReader) throws SQLException {
/*  797 */     Vector vector = new Vector(5);
/*  798 */     OracleType oracleType = null;
/*      */     
/*  800 */     this.nullOffset = paramTDSReader.nullOffset;
/*  801 */     this.ldsOffset = paramTDSReader.ldsOffset;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  807 */     paramTDSReader.nullOffset++;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  817 */     this.idx = 1;
/*      */     
/*  819 */     while ((oracleType = getNextTypeObject(paramTDSReader)) != null)
/*      */     {
/*  821 */       vector.addElement(oracleType);
/*      */     }
/*      */ 
/*      */     
/*  825 */     if (this.opcode == 42) {
/*      */       
/*  827 */       this.endOfAdt = true;
/*      */       
/*  829 */       applyTDSpatches(paramTDSReader);
/*      */     } 
/*      */     
/*  832 */     this.attrTypes = new OracleType[vector.size()];
/*      */     
/*  834 */     vector.copyInto((Object[])this.attrTypes);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void applyTDSpatches(TDSReader paramTDSReader) throws SQLException {
/*  846 */     TDSPatch tDSPatch = paramTDSReader.getNextPatch();
/*      */     
/*  848 */     while (tDSPatch != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  854 */       paramTDSReader.moveToPatchPos(tDSPatch);
/*      */       
/*  856 */       int i = tDSPatch.getType();
/*      */       
/*  858 */       if (i == 0) {
/*      */         OracleNamedType oracleNamedType;
/*      */         
/*      */         OracleTypeADT oracleTypeADT;
/*      */         TDSReader tDSReader;
/*  863 */         paramTDSReader.readByte();
/*      */         
/*  865 */         byte b = tDSPatch.getUptTypeCode();
/*      */         
/*  867 */         switch (b) {
/*      */ 
/*      */ 
/*      */           
/*      */           case -6:
/*  872 */             paramTDSReader.readLong();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case -5:
/*  879 */             oracleNamedType = tDSPatch.getOwner();
/*  880 */             oracleTypeADT = null;
/*      */             
/*  882 */             if (oracleNamedType.hasName()) {
/*      */               
/*  884 */               oracleTypeADT = new OracleTypeADT(oracleNamedType.getFullName(), (Connection)this.connection, this.fdo);
/*      */             
/*      */             }
/*      */             else {
/*      */               
/*  889 */               oracleTypeADT = new OracleTypeADT(oracleNamedType.getParent(), oracleNamedType.getOrder(), (Connection)this.connection, this.fdo);
/*      */             } 
/*      */ 
/*      */             
/*  893 */             oracleTypeADT.setUptADT();
/*  894 */             tDSReader = oracleTypeADT.parseTDS(paramTDSReader.tds(), paramTDSReader.absoluteOffset());
/*      */             
/*  896 */             paramTDSReader.skipBytes((int)tDSReader.offset());
/*  897 */             tDSPatch.apply(oracleTypeADT.cleanup());
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 58:
/*  904 */             oracleNamedType = tDSPatch.getOwner();
/*  905 */             oracleTypeADT = null;
/*      */             
/*  907 */             if (oracleNamedType.hasName()) {
/*      */               
/*  909 */               oracleTypeADT = new OracleTypeOPAQUE(oracleNamedType.getFullName(), this.connection);
/*      */             }
/*      */             else {
/*      */               
/*  913 */               oracleTypeADT = new OracleTypeOPAQUE(oracleNamedType.getParent(), oracleNamedType.getOrder(), this.connection);
/*      */             } 
/*      */ 
/*      */             
/*  917 */             oracleTypeADT.parseTDSrec(paramTDSReader);
/*  918 */             tDSPatch.apply(oracleTypeADT);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           default:
/*  927 */             DatabaseError.throwSqlException(1);
/*      */             break;
/*      */         } 
/*      */ 
/*      */ 
/*      */       
/*  933 */       } else if (i == 1) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  938 */         OracleType oracleType = getNextTypeObject(paramTDSReader);
/*      */ 
/*      */ 
/*      */         
/*  942 */         tDSPatch.apply(oracleType, this.opcode);
/*      */       } else {
/*      */         
/*  945 */         DatabaseError.throwSqlException(47, "parseTDS");
/*      */       } 
/*      */       
/*  948 */       tDSPatch = paramTDSReader.getNextPatch();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized OracleNamedType cleanup() {
/*  961 */     if (this.attrTypes.length == 1 && this.attrTypes[0] instanceof OracleTypeCOLLECTION) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  966 */       OracleTypeCOLLECTION oracleTypeCOLLECTION = (OracleTypeCOLLECTION)this.attrTypes[0];
/*      */       
/*  968 */       oracleTypeCOLLECTION.copy_properties(this);
/*      */       
/*  970 */       return oracleTypeCOLLECTION;
/*      */     } 
/*  972 */     if (this.attrTypes.length == 1 && (this.statusBits & 0x80) != 0 && this.attrTypes[0] instanceof OracleTypeUPT && ((OracleTypeUPT)this.attrTypes[0]).realType instanceof OracleTypeOPAQUE) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  977 */       OracleTypeOPAQUE oracleTypeOPAQUE = (OracleTypeOPAQUE)((OracleTypeUPT)this.attrTypes[0]).realType;
/*      */ 
/*      */       
/*  980 */       oracleTypeOPAQUE.copy_properties(this);
/*      */       
/*  982 */       return oracleTypeOPAQUE;
/*      */     } 
/*      */     
/*  985 */     return this;
/*      */   }
/*      */ 
/*      */   
/*      */   void copy_properties(OracleTypeADT paramOracleTypeADT) {
/*  990 */     this.sqlName = paramOracleTypeADT.sqlName;
/*  991 */     this.parent = paramOracleTypeADT.parent;
/*  992 */     this.idx = paramOracleTypeADT.idx;
/*  993 */     this.connection = paramOracleTypeADT.connection;
/*  994 */     this.lds = paramOracleTypeADT.lds;
/*  995 */     this.toid = paramOracleTypeADT.toid;
/*  996 */     this.fdo = paramOracleTypeADT.fdo;
/*  997 */     this.tdsVersion = paramOracleTypeADT.tdsVersion;
/*  998 */     this.typeVersion = paramOracleTypeADT.typeVersion;
/*  999 */     this.tdoCState = paramOracleTypeADT.tdoCState;
/* 1000 */     this.nullOffset = paramOracleTypeADT.nullOffset;
/* 1001 */     this.bigEndian = paramOracleTypeADT.bigEndian;
/* 1002 */     this.endOfAdt = paramOracleTypeADT.endOfAdt; } OracleType getNextTypeObject(TDSReader paramTDSReader) throws SQLException { OracleTypeDATE oracleTypeDATE; OracleTypeCHAR oracleTypeCHAR; OracleTypeADT oracleTypeADT; OracleTypeNUMBER oracleTypeNUMBER;
/*      */     OracleTypeFLOAT oracleTypeFLOAT;
/*      */     OracleTypeBINARY_FLOAT oracleTypeBINARY_FLOAT;
/*      */     OracleTypeBINARY_DOUBLE oracleTypeBINARY_DOUBLE;
/*      */     OracleTypeSINT32 oracleTypeSINT32;
/*      */     OracleTypeREF oracleTypeREF;
/*      */     OracleTypeBFILE oracleTypeBFILE;
/*      */     OracleTypeRAW oracleTypeRAW;
/*      */     OracleTypeCLOB oracleTypeCLOB;
/*      */     OracleTypeBLOB oracleTypeBLOB;
/*      */     OracleTypeTIMESTAMP oracleTypeTIMESTAMP;
/*      */     OracleTypeTIMESTAMPTZ oracleTypeTIMESTAMPTZ;
/*      */     OracleTypeTIMESTAMPLTZ oracleTypeTIMESTAMPLTZ;
/*      */     OracleTypeINTERVAL oracleTypeINTERVAL;
/*      */     OracleTypeCOLLECTION oracleTypeCOLLECTION;
/*      */     while (true) {
/* 1018 */       this.opcode = paramTDSReader.readByte();
/*      */       
/* 1020 */       if (this.opcode == 43) {
/*      */         continue;
/*      */       }
/*      */ 
/*      */ 
/*      */       
/* 1026 */       if (this.opcode == 44) {
/*      */ 
/*      */ 
/*      */         
/* 1030 */         byte b = paramTDSReader.readByte();
/*      */         
/* 1032 */         if (paramTDSReader.isJavaObject(3, b)) {
/* 1033 */           setStatusBits(16);
/*      */         }
/*      */ 
/*      */ 
/*      */         
/*      */         continue;
/*      */       } 
/*      */ 
/*      */       
/*      */       break;
/*      */     } 
/*      */ 
/*      */     
/* 1046 */     switch (this.opcode) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 40:
/*      */       case 42:
/* 1053 */         return null;
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/* 1058 */         oracleTypeDATE = new OracleTypeDATE();
/*      */         
/* 1060 */         oracleTypeDATE.parseTDSrec(paramTDSReader);
/*      */         
/* 1062 */         this.idx++;
/*      */         
/* 1064 */         return oracleTypeDATE;
/*      */ 
/*      */ 
/*      */       
/*      */       case 7:
/* 1069 */         oracleTypeCHAR = new OracleTypeCHAR(this.connection, 12);
/*      */ 
/*      */         
/* 1072 */         oracleTypeCHAR.parseTDSrec(paramTDSReader);
/*      */         
/* 1074 */         this.idx++;
/*      */         
/* 1076 */         return oracleTypeCHAR;
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/* 1081 */         oracleTypeCHAR = new OracleTypeCHAR(this.connection, 1);
/*      */         
/* 1083 */         oracleTypeCHAR.parseTDSrec(paramTDSReader);
/*      */         
/* 1085 */         this.idx++;
/*      */         
/* 1087 */         return oracleTypeCHAR;
/*      */ 
/*      */ 
/*      */       
/*      */       case 39:
/* 1092 */         oracleTypeADT = new OracleTypeADT(this, this.idx, (Connection)this.connection, this.fdo);
/*      */         
/* 1094 */         oracleTypeADT.setEmbeddedADT();
/* 1095 */         oracleTypeADT.parseTDSrec(paramTDSReader);
/*      */         
/* 1097 */         this.idx++;
/*      */         
/* 1099 */         return oracleTypeADT;
/*      */ 
/*      */ 
/*      */       
/*      */       case 6:
/* 1104 */         oracleTypeNUMBER = new OracleTypeNUMBER(2);
/*      */         
/* 1106 */         oracleTypeNUMBER.parseTDSrec(paramTDSReader);
/*      */         
/* 1108 */         this.idx++;
/*      */         
/* 1110 */         return oracleTypeNUMBER;
/*      */ 
/*      */ 
/*      */       
/*      */       case 3:
/* 1115 */         oracleTypeNUMBER = new OracleTypeNUMBER(3);
/*      */         
/* 1117 */         oracleTypeNUMBER.parseTDSrec(paramTDSReader);
/*      */         
/* 1119 */         this.idx++;
/*      */         
/* 1121 */         return oracleTypeNUMBER;
/*      */ 
/*      */ 
/*      */       
/*      */       case 4:
/* 1126 */         oracleTypeNUMBER = new OracleTypeNUMBER(8);
/*      */         
/* 1128 */         oracleTypeNUMBER.parseTDSrec(paramTDSReader);
/*      */         
/* 1130 */         this.idx++;
/*      */         
/* 1132 */         return oracleTypeNUMBER;
/*      */ 
/*      */ 
/*      */       
/*      */       case 5:
/* 1137 */         oracleTypeFLOAT = new OracleTypeFLOAT();
/*      */         
/* 1139 */         oracleTypeFLOAT.parseTDSrec(paramTDSReader);
/*      */         
/* 1141 */         this.idx++;
/*      */         
/* 1143 */         return oracleTypeFLOAT;
/*      */ 
/*      */ 
/*      */       
/*      */       case 37:
/* 1148 */         oracleTypeBINARY_FLOAT = new OracleTypeBINARY_FLOAT();
/*      */         
/* 1150 */         oracleTypeBINARY_FLOAT.parseTDSrec(paramTDSReader);
/*      */         
/* 1152 */         this.idx++;
/*      */         
/* 1154 */         return oracleTypeBINARY_FLOAT;
/*      */ 
/*      */ 
/*      */       
/*      */       case 45:
/* 1159 */         oracleTypeBINARY_DOUBLE = new OracleTypeBINARY_DOUBLE();
/*      */         
/* 1161 */         oracleTypeBINARY_DOUBLE.parseTDSrec(paramTDSReader);
/*      */         
/* 1163 */         this.idx++;
/*      */         
/* 1165 */         return oracleTypeBINARY_DOUBLE;
/*      */ 
/*      */ 
/*      */       
/*      */       case 8:
/* 1170 */         oracleTypeSINT32 = new OracleTypeSINT32();
/*      */         
/* 1172 */         oracleTypeSINT32.parseTDSrec(paramTDSReader);
/*      */         
/* 1174 */         this.idx++;
/*      */         
/* 1176 */         return oracleTypeSINT32;
/*      */ 
/*      */ 
/*      */       
/*      */       case 9:
/* 1181 */         oracleTypeREF = new OracleTypeREF(this, this.idx, this.connection);
/*      */         
/* 1183 */         oracleTypeREF.parseTDSrec(paramTDSReader);
/*      */         
/* 1185 */         this.idx++;
/*      */         
/* 1187 */         return oracleTypeREF;
/*      */ 
/*      */ 
/*      */       
/*      */       case 31:
/* 1192 */         oracleTypeBFILE = new OracleTypeBFILE(this.connection);
/*      */         
/* 1194 */         oracleTypeBFILE.parseTDSrec(paramTDSReader);
/*      */         
/* 1196 */         this.idx++;
/*      */         
/* 1198 */         return oracleTypeBFILE;
/*      */ 
/*      */ 
/*      */       
/*      */       case 19:
/* 1203 */         oracleTypeRAW = new OracleTypeRAW();
/*      */         
/* 1205 */         oracleTypeRAW.parseTDSrec(paramTDSReader);
/*      */         
/* 1207 */         this.idx++;
/*      */         
/* 1209 */         return oracleTypeRAW;
/*      */ 
/*      */ 
/*      */       
/*      */       case 29:
/* 1214 */         oracleTypeCLOB = new OracleTypeCLOB(this.connection);
/*      */         
/* 1216 */         oracleTypeCLOB.parseTDSrec(paramTDSReader);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1231 */         if (this.sqlName != null && !this.endOfAdt) {
/* 1232 */           this.connection.getForm(this, oracleTypeCLOB, this.idx);
/*      */         }
/* 1234 */         this.idx++;
/*      */         
/* 1236 */         return oracleTypeCLOB;
/*      */ 
/*      */ 
/*      */       
/*      */       case 30:
/* 1241 */         oracleTypeBLOB = new OracleTypeBLOB(this.connection);
/*      */         
/* 1243 */         oracleTypeBLOB.parseTDSrec(paramTDSReader);
/*      */         
/* 1245 */         this.idx++;
/*      */         
/* 1247 */         return oracleTypeBLOB;
/*      */ 
/*      */ 
/*      */       
/*      */       case 21:
/* 1252 */         oracleTypeTIMESTAMP = new OracleTypeTIMESTAMP(this.connection);
/*      */         
/* 1254 */         oracleTypeTIMESTAMP.parseTDSrec(paramTDSReader);
/*      */         
/* 1256 */         this.idx++;
/*      */         
/* 1258 */         return oracleTypeTIMESTAMP;
/*      */ 
/*      */ 
/*      */       
/*      */       case 23:
/* 1263 */         oracleTypeTIMESTAMPTZ = new OracleTypeTIMESTAMPTZ(this.connection);
/*      */         
/* 1265 */         oracleTypeTIMESTAMPTZ.parseTDSrec(paramTDSReader);
/*      */         
/* 1267 */         this.idx++;
/*      */         
/* 1269 */         return oracleTypeTIMESTAMPTZ;
/*      */ 
/*      */ 
/*      */       
/*      */       case 33:
/* 1274 */         oracleTypeTIMESTAMPLTZ = new OracleTypeTIMESTAMPLTZ(this.connection);
/*      */         
/* 1276 */         oracleTypeTIMESTAMPLTZ.parseTDSrec(paramTDSReader);
/*      */         
/* 1278 */         this.idx++;
/*      */         
/* 1280 */         return oracleTypeTIMESTAMPLTZ;
/*      */ 
/*      */ 
/*      */       
/*      */       case 24:
/* 1285 */         oracleTypeINTERVAL = new OracleTypeINTERVAL(this.connection);
/*      */         
/* 1287 */         oracleTypeINTERVAL.parseTDSrec(paramTDSReader);
/*      */         
/* 1289 */         this.idx++;
/*      */         
/* 1291 */         return oracleTypeINTERVAL;
/*      */ 
/*      */ 
/*      */       
/*      */       case 28:
/* 1296 */         oracleTypeCOLLECTION = new OracleTypeCOLLECTION(this, this.idx, this.connection);
/*      */ 
/*      */         
/* 1299 */         oracleTypeCOLLECTION.bigEndian = this.bigEndian;
/*      */         
/* 1301 */         oracleTypeCOLLECTION.parseTDSrec(paramTDSReader);
/*      */         
/* 1303 */         this.idx++;
/*      */         
/* 1305 */         return oracleTypeCOLLECTION;
/*      */ 
/*      */ 
/*      */       
/*      */       case 27:
/* 1310 */         oracleTypeUPT = new OracleTypeUPT(this, this.idx, this.connection);
/*      */ 
/*      */         
/* 1313 */         oracleTypeUPT.bigEndian = this.bigEndian;
/*      */         
/* 1315 */         oracleTypeUPT.parseTDSrec(paramTDSReader);
/*      */         
/* 1317 */         this.idx++;
/*      */         
/* 1319 */         return oracleTypeUPT;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1339 */     OracleTypeUPT oracleTypeUPT = null;
/*      */     
/* 1341 */     DatabaseError.throwSqlException(48, "get_next_type: " + this.opcode);
/*      */ 
/*      */     
/* 1344 */     return null; }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized byte[] linearize(Datum paramDatum) throws SQLException {
/* 1365 */     return pickle81(paramDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum unlinearize(byte[] paramArrayOfbyte, long paramLong, Datum paramDatum, int paramInt, Map paramMap) throws SQLException {
/* 1380 */     OracleConnection oracleConnection = getConnection();
/* 1381 */     Datum datum = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1386 */     if (oracleConnection == null) {
/*      */       
/* 1388 */       datum = _unlinearize(paramArrayOfbyte, paramLong, paramDatum, paramInt, paramMap);
/*      */     }
/*      */     else {
/*      */       
/* 1392 */       synchronized (oracleConnection) {
/*      */         
/* 1394 */         datum = _unlinearize(paramArrayOfbyte, paramLong, paramDatum, paramInt, paramMap);
/*      */       } 
/*      */     } 
/*      */     
/* 1398 */     return datum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Datum _unlinearize(byte[] paramArrayOfbyte, long paramLong, Datum paramDatum, int paramInt, Map paramMap) throws SQLException {
/* 1415 */     if (paramArrayOfbyte == null) {
/* 1416 */       return null;
/*      */     }
/* 1418 */     if (PickleContext.is81format(paramArrayOfbyte[0])) {
/*      */ 
/*      */ 
/*      */       
/* 1422 */       PickleContext pickleContext = new PickleContext(paramArrayOfbyte, paramLong);
/*      */       
/* 1424 */       return (Datum)unpickle81(pickleContext, (STRUCT)paramDatum, 1, paramInt, paramMap);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1431 */     UnpickleContext unpickleContext = new UnpickleContext(paramArrayOfbyte, (int)paramLong, null, null, this.bigEndian);
/*      */ 
/*      */     
/* 1434 */     return (Datum)unpickle80(unpickleContext, (STRUCT)paramDatum, 1, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected STRUCT unpickle80(UnpickleContext paramUnpickleContext, STRUCT paramSTRUCT, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/* 1467 */     STRUCT sTRUCT = paramSTRUCT;
/*      */     
/* 1469 */     if (paramInt1 == 3) {
/*      */       
/* 1471 */       if (sTRUCT == null) {
/*      */         
/* 1473 */         StructDescriptor structDescriptor = createStructDescriptor();
/*      */         
/* 1475 */         sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null);
/*      */       } 
/*      */       
/* 1478 */       sTRUCT.setImage(paramUnpickleContext.image(), paramUnpickleContext.absoluteOffset(), 0L);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1488 */     long l1 = paramUnpickleContext.readLong();
/*      */     
/* 1490 */     if (l1 == 0L)
/*      */     {
/* 1492 */       return null;
/*      */     }
/* 1494 */     if (paramInt1 == 9) {
/*      */       
/* 1496 */       paramUnpickleContext.skipBytes((int)l1);
/*      */       
/* 1498 */       return sTRUCT;
/*      */     } 
/* 1500 */     if (paramInt1 == 3) {
/*      */ 
/*      */ 
/*      */       
/* 1504 */       sTRUCT.setImageLength(l1 + 4L);
/* 1505 */       paramUnpickleContext.skipBytes((int)l1);
/*      */       
/* 1507 */       return sTRUCT;
/*      */     } 
/*      */     
/* 1510 */     paramUnpickleContext.skipBytes(1);
/*      */     
/* 1512 */     byte b = paramUnpickleContext.readByte();
/* 1513 */     boolean[] arrayOfBoolean = unpickle_nulls(paramUnpickleContext);
/* 1514 */     long l2 = paramUnpickleContext.readLong();
/* 1515 */     long l3 = paramUnpickleContext.offset() + l2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/* 1524 */       if (!arrayOfBoolean[0])
/*      */       {
/* 1526 */         UnpickleContext unpickleContext = new UnpickleContext(paramUnpickleContext.image(), paramUnpickleContext.absoluteOffset(), arrayOfBoolean, getLdsOffsetArray(), this.bigEndian);
/*      */ 
/*      */ 
/*      */         
/* 1530 */         return unpickle80rec(unpickleContext, sTRUCT, paramInt2, paramMap);
/*      */       }
/*      */     
/*      */     } finally {
/*      */       
/* 1535 */       paramUnpickleContext.skipTo(l3);
/*      */     } 
/*      */     
/* 1538 */     return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/* 1551 */     STRUCT sTRUCT = unpickle80rec(paramUnpickleContext, (STRUCT)null, 1, paramMap);
/*      */     
/* 1553 */     return toObject(sTRUCT, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private STRUCT unpickle80rec(UnpickleContext paramUnpickleContext, STRUCT paramSTRUCT, int paramInt, Map paramMap) throws SQLException {
/*      */     Datum[] arrayOfDatum;
/*      */     Object[] arrayOfObject;
/*      */     byte b;
/* 1566 */     if (paramUnpickleContext.isNull(this.nullOffset)) {
/* 1567 */       return null;
/*      */     }
/* 1569 */     paramUnpickleContext.skipTo(paramUnpickleContext.ldsOffsets[this.ldsOffset]);
/*      */     
/* 1571 */     int i = getNumAttrs();
/* 1572 */     STRUCT sTRUCT = paramSTRUCT;
/*      */     
/* 1574 */     if (sTRUCT == null) {
/*      */       
/* 1576 */       StructDescriptor structDescriptor = createStructDescriptor();
/*      */       
/* 1578 */       sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null);
/*      */     } 
/*      */     
/* 1581 */     switch (paramInt)
/*      */     
/*      */     { 
/*      */       
/*      */       case 1:
/* 1586 */         arrayOfDatum = new Datum[i];
/*      */ 
/*      */         
/* 1589 */         for (b = 0; b < i; b++)
/*      */         {
/*      */ 
/*      */           
/* 1593 */           arrayOfDatum[b] = (Datum)getAttrTypeAt(b).unpickle80rec(paramUnpickleContext, 1, paramInt, paramMap);
/*      */         }
/*      */ 
/*      */         
/* 1597 */         sTRUCT.setDatumArray(arrayOfDatum);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1625 */         return sTRUCT;case 2: arrayOfObject = new Object[i]; for (b = 0; b < i; b++) arrayOfObject[b] = getAttrTypeAt(b).unpickle80rec(paramUnpickleContext, 1, paramInt, paramMap);  sTRUCT.setObjArray(arrayOfObject); return sTRUCT; }  DatabaseError.throwSqlException(1); return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean[] unpickle_nulls(UnpickleContext paramUnpickleContext) throws SQLException {
/* 1633 */     paramUnpickleContext.skipBytes(4);
/*      */     
/* 1635 */     byte[] arrayOfByte = paramUnpickleContext.readLengthBytes();
/*      */ 
/*      */ 
/*      */     
/* 1639 */     boolean[] arrayOfBoolean = new boolean[(arrayOfByte.length - 2) * 4];
/*      */     
/* 1641 */     byte b = 0;
/*      */     
/* 1643 */     for (byte b1 = 0; b1 < arrayOfBoolean.length; b1++) {
/*      */       
/* 1645 */       if (b1 % 4 == 0) {
/* 1646 */         b = arrayOfByte[2 + b1 / 4];
/*      */       }
/* 1648 */       arrayOfBoolean[b1] = ((b & 0x3) != 0);
/* 1649 */       b = (byte)(b >> 2);
/*      */     } 
/*      */     
/* 1652 */     return arrayOfBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected STRUCT unpickle81(PickleContext paramPickleContext, STRUCT paramSTRUCT, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*      */     long l2;
/*      */     Datum[] arrayOfDatum;
/*      */     Object[] arrayOfObject;
/*      */     byte b1;
/* 1675 */     STRUCT sTRUCT = paramSTRUCT;
/* 1676 */     long l1 = paramPickleContext.offset();
/*      */ 
/*      */     
/* 1679 */     byte b = paramPickleContext.readByte();
/*      */     
/* 1681 */     if (!PickleContext.is81format(b)) {
/* 1682 */       DatabaseError.throwSqlException(1, "Image is not in 8.1 format");
/*      */     }
/*      */     
/* 1685 */     if (PickleContext.isCollectionImage_pctx(b)) {
/* 1686 */       DatabaseError.throwSqlException(1, "Image is a collection image, expecting ADT");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1691 */     if (!paramPickleContext.readAndCheckVersion()) {
/* 1692 */       DatabaseError.throwSqlException(1, "Image version is not recognized");
/*      */     }
/*      */     
/* 1695 */     switch (paramInt1)
/*      */     
/*      */     { 
/*      */       
/*      */       case 9:
/* 1700 */         paramPickleContext.skipBytes(paramPickleContext.readLength(true) - 2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1787 */         return sTRUCT;case 3: l2 = paramPickleContext.readLength(); sTRUCT = unpickle81Prefix(paramPickleContext, sTRUCT, b); if (sTRUCT == null) { StructDescriptor structDescriptor = createStructDescriptor(); sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null); }  sTRUCT.setImage(paramPickleContext.image(), l1, 0L); sTRUCT.setImageLength(l2); paramPickleContext.skipTo(l1 + l2); return sTRUCT; }  paramPickleContext.skipLength(); sTRUCT = unpickle81Prefix(paramPickleContext, sTRUCT, b); if (sTRUCT == null) { StructDescriptor structDescriptor = createStructDescriptor(); sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null); }  OracleType[] arrayOfOracleType = sTRUCT.getDescriptor().getOracleTypeADT().getAttrTypes(); switch (paramInt2) { case 1: arrayOfDatum = new Datum[arrayOfOracleType.length]; for (b1 = 0; b1 < arrayOfOracleType.length; b1++) arrayOfDatum[b1] = (Datum)arrayOfOracleType[b1].unpickle81rec(paramPickleContext, paramInt2, paramMap);  sTRUCT.setDatumArray(arrayOfDatum); return sTRUCT;case 2: arrayOfObject = new Object[arrayOfOracleType.length]; for (b1 = 0; b1 < arrayOfOracleType.length; b1++) arrayOfObject[b1] = arrayOfOracleType[b1].unpickle81rec(paramPickleContext, paramInt2, paramMap);  sTRUCT.setObjArray(arrayOfObject); return sTRUCT; }  DatabaseError.throwSqlException(1); return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected STRUCT unpickle81Prefix(PickleContext paramPickleContext, STRUCT paramSTRUCT, byte paramByte) throws SQLException {
/* 1796 */     STRUCT sTRUCT = paramSTRUCT;
/*      */     
/* 1798 */     if (PickleContext.hasPrefix(paramByte)) {
/*      */       
/* 1800 */       long l = (paramPickleContext.readLength() + paramPickleContext.absoluteOffset());
/*      */       
/* 1802 */       byte b1 = paramPickleContext.readByte();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1809 */       byte b2 = (byte)(b1 & 0xC);
/* 1810 */       boolean bool1 = (b2 == 0) ? true : false;
/*      */       
/* 1812 */       boolean bool2 = (b2 == 4) ? true : false;
/*      */       
/* 1814 */       boolean bool3 = (b2 == 8) ? true : false;
/*      */       
/* 1816 */       boolean bool4 = (b2 == 12) ? true : false;
/*      */ 
/*      */       
/* 1819 */       boolean bool5 = ((b1 & 0x10) != 0) ? true : false;
/*      */ 
/*      */       
/* 1822 */       if (bool2) {
/*      */         
/* 1824 */         byte[] arrayOfByte = paramPickleContext.readBytes(16);
/* 1825 */         String str = toid2typename((Connection)this.connection, arrayOfByte);
/*      */         
/* 1827 */         StructDescriptor structDescriptor = (StructDescriptor)TypeDescriptor.getTypeDescriptor(str, (OracleConnection)this.connection);
/*      */ 
/*      */ 
/*      */         
/* 1831 */         if (sTRUCT == null) {
/* 1832 */           sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null);
/*      */         } else {
/* 1834 */           sTRUCT.setDescriptor(structDescriptor);
/*      */         } 
/*      */       } 
/* 1837 */       if (bool5)
/*      */       {
/* 1839 */         paramPickleContext.readLength();
/*      */       }
/*      */       
/* 1842 */       if ((bool3 | bool4) != 0) {
/* 1843 */         DatabaseError.throwSqlException(23);
/*      */       }
/* 1845 */       paramPickleContext.skipTo(l);
/*      */     } 
/*      */     
/* 1848 */     return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Object unpickle81rec(PickleContext paramPickleContext, int paramInt, Map paramMap) throws SQLException {
/* 1862 */     byte b = paramPickleContext.readByte();
/* 1863 */     byte b1 = 0;
/*      */     
/* 1865 */     if (PickleContext.isAtomicNull(b))
/* 1866 */       return null; 
/* 1867 */     if (PickleContext.isImmediatelyEmbeddedNull(b)) {
/* 1868 */       b1 = paramPickleContext.readByte();
/*      */     }
/* 1870 */     STRUCT sTRUCT = unpickle81datum(paramPickleContext, b, b1);
/*      */     
/* 1872 */     return toObject(sTRUCT, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Object unpickle81rec(PickleContext paramPickleContext, byte paramByte, int paramInt, Map paramMap) throws SQLException {
/* 1882 */     STRUCT sTRUCT = unpickle81datum(paramPickleContext, paramByte, (byte)0);
/*      */     
/* 1884 */     return toObject(sTRUCT, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private STRUCT unpickle81datum(PickleContext paramPickleContext, byte paramByte1, byte paramByte2) throws SQLException {
/* 1894 */     int i = getNumAttrs();
/*      */ 
/*      */     
/* 1897 */     StructDescriptor structDescriptor = createStructDescriptor();
/* 1898 */     STRUCT sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null);
/* 1899 */     OracleType oracleType = getAttrTypeAt(0);
/* 1900 */     Object object = null;
/*      */ 
/*      */ 
/*      */     
/* 1904 */     if (PickleContext.isImmediatelyEmbeddedNull(paramByte1) && paramByte2 == 1) {
/* 1905 */       object = null;
/* 1906 */     } else if (PickleContext.isImmediatelyEmbeddedNull(paramByte1)) {
/* 1907 */       object = ((OracleTypeADT)oracleType).unpickle81datum(paramPickleContext, paramByte1, (byte)(paramByte2 - 1));
/*      */     }
/* 1909 */     else if (PickleContext.isElementNull(paramByte1)) {
/*      */       
/* 1911 */       if (oracleType.getTypeCode() == 2002 || oracleType.getTypeCode() == 2008) {
/*      */         
/* 1913 */         Datum datum = oracleType.unpickle81datumAsNull(paramPickleContext, paramByte1, paramByte2);
/*      */       } else {
/* 1915 */         object = null;
/*      */       } 
/*      */     } else {
/* 1918 */       object = oracleType.unpickle81rec(paramPickleContext, paramByte1, 1, null);
/*      */     } 
/*      */     
/* 1921 */     Datum[] arrayOfDatum = new Datum[i];
/*      */     
/* 1923 */     arrayOfDatum[0] = (Datum)object;
/*      */     
/* 1925 */     for (byte b = 1; b < i; b++) {
/*      */       
/* 1927 */       oracleType = getAttrTypeAt(b);
/* 1928 */       arrayOfDatum[b] = (Datum)oracleType.unpickle81rec(paramPickleContext, 1, null);
/*      */     } 
/*      */     
/* 1931 */     sTRUCT.setDatumArray(arrayOfDatum);
/*      */     
/* 1933 */     return sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   protected Datum unpickle81datumAsNull(PickleContext paramPickleContext, byte paramByte1, byte paramByte2) throws SQLException {
/* 1939 */     int i = getNumAttrs();
/*      */ 
/*      */     
/* 1942 */     StructDescriptor structDescriptor = createStructDescriptor();
/* 1943 */     STRUCT sTRUCT = createByteSTRUCT(structDescriptor, (byte[])null);
/* 1944 */     Datum[] arrayOfDatum = new Datum[i];
/*      */ 
/*      */     
/* 1947 */     for (byte b = 0; b < i; b++) {
/*      */       
/* 1949 */       OracleType oracleType = getAttrTypeAt(b);
/* 1950 */       if (oracleType.getTypeCode() == 2002 || oracleType.getTypeCode() == 2008) {
/*      */         
/* 1952 */         arrayOfDatum[b] = oracleType.unpickle81datumAsNull(paramPickleContext, paramByte1, paramByte2);
/*      */       } else {
/* 1954 */         arrayOfDatum[b] = (b == 0) ? null : (Datum)oracleType.unpickle81rec(paramPickleContext, 1, null);
/*      */       } 
/* 1956 */     }  sTRUCT.setDatumArray(arrayOfDatum);
/* 1957 */     return (Datum)sTRUCT;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] pickle81(Datum paramDatum) throws SQLException {
/* 1976 */     PickleContext pickleContext = new PickleContext();
/*      */     
/* 1978 */     pickleContext.initStream();
/* 1979 */     pickle81(pickleContext, paramDatum);
/*      */     
/* 1981 */     byte[] arrayOfByte = pickleContext.stream2Bytes();
/*      */ 
/*      */     
/* 1984 */     paramDatum.setShareBytes(arrayOfByte);
/*      */     
/* 1986 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int pickle81(PickleContext paramPickleContext, Datum paramDatum) throws SQLException {
/* 1995 */     int i = paramPickleContext.offset() + 2;
/* 1996 */     int j = 0;
/*      */ 
/*      */     
/* 1999 */     j += paramPickleContext.writeImageHeader(shouldHavePrefix());
/*      */     
/* 2001 */     j += pickle81Prefix(paramPickleContext);
/* 2002 */     j += pickle81rec(paramPickleContext, paramDatum, 0);
/*      */     
/* 2004 */     paramPickleContext.patchImageLen(i, j);
/*      */     
/* 2006 */     return j;
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean hasVersion() {
/* 2011 */     return (this.typeVersion > 1);
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean needsToid() {
/* 2016 */     return ((this.statusBits & 0x40) != 0 || (this.statusBits & 0x20) == 0 || hasVersion());
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean shouldHavePrefix() {
/* 2022 */     return (hasVersion() || needsToid());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int pickle81Prefix(PickleContext paramPickleContext) throws SQLException {
/* 2030 */     if (shouldHavePrefix()) {
/*      */       
/* 2032 */       int i = 0;
/* 2033 */       int j = 1;
/* 2034 */       int k = 1;
/*      */       
/* 2036 */       if (needsToid()) {
/*      */         
/* 2038 */         k += (getTOID()).length;
/* 2039 */         j |= 0x4;
/*      */       } 
/*      */       
/* 2042 */       if (hasVersion()) {
/*      */         
/* 2044 */         j |= 0x10;
/*      */         
/* 2046 */         if (this.typeVersion > PickleContext.KOPI20_LN_MAXV) {
/* 2047 */           k += 5;
/*      */         } else {
/* 2049 */           k += 2;
/*      */         } 
/*      */       } 
/* 2052 */       i = paramPickleContext.writeLength(k);
/*      */       
/* 2054 */       i += paramPickleContext.writeData((byte)j);
/*      */       
/* 2056 */       if (needsToid()) {
/* 2057 */         i += paramPickleContext.writeData(this.toid);
/*      */       }
/* 2059 */       if (hasVersion())
/*      */       {
/* 2061 */         if (this.typeVersion > PickleContext.KOPI20_LN_MAXV) {
/* 2062 */           i += paramPickleContext.writeLength(this.typeVersion);
/*      */         } else {
/* 2064 */           i += paramPickleContext.writeSB2(this.typeVersion);
/*      */         } 
/*      */       }
/* 2067 */       return i;
/*      */     } 
/*      */     
/* 2070 */     return 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int pickle81rec(PickleContext paramPickleContext, Datum paramDatum, int paramInt) throws SQLException {
/* 2081 */     int i = 0;
/*      */     
/* 2083 */     if (!this.metaDataInitialized) {
/* 2084 */       copy_properties((OracleTypeADT)((STRUCT)paramDatum).getDescriptor().getPickler());
/*      */     }
/* 2086 */     Datum[] arrayOfDatum = ((STRUCT)paramDatum).getOracleAttributes();
/* 2087 */     int j = arrayOfDatum.length;
/* 2088 */     byte b = 0;
/* 2089 */     OracleType oracleType = getAttrTypeAt(0);
/*      */     
/* 2091 */     if (oracleType instanceof OracleTypeADT && !(oracleType instanceof OracleTypeCOLLECTION) && !(oracleType instanceof OracleTypeUPT)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2099 */       b = 1;
/*      */       
/* 2101 */       if (arrayOfDatum[0] == null) {
/*      */         
/* 2103 */         if (paramInt > 0) {
/* 2104 */           i += paramPickleContext.writeImmediatelyEmbeddedElementNull((byte)paramInt);
/*      */         } else {
/* 2106 */           i += paramPickleContext.writeAtomicNull();
/*      */         } 
/*      */       } else {
/*      */         
/* 2110 */         i += ((OracleTypeADT)oracleType).pickle81rec(paramPickleContext, arrayOfDatum[0], paramInt + 1);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 2115 */     for (; b < j; b++) {
/*      */       
/* 2117 */       oracleType = getAttrTypeAt(b);
/*      */ 
/*      */ 
/*      */       
/* 2121 */       if (arrayOfDatum[b] == null) {
/*      */         
/* 2123 */         if (oracleType instanceof OracleTypeADT && !(oracleType instanceof OracleTypeCOLLECTION) && !(oracleType instanceof OracleTypeUPT))
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 2129 */           i += paramPickleContext.writeAtomicNull();
/*      */         }
/*      */         else
/*      */         {
/* 2133 */           i += paramPickleContext.writeElementNull();
/*      */         
/*      */         }
/*      */       
/*      */       }
/* 2138 */       else if (oracleType instanceof OracleTypeADT && !(oracleType instanceof OracleTypeCOLLECTION) && !(oracleType instanceof OracleTypeUPT)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2144 */         i += ((OracleTypeADT)oracleType).pickle81rec(paramPickleContext, arrayOfDatum[b], 1);
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 2151 */         i += oracleType.pickle81(paramPickleContext, arrayOfDatum[b]);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 2156 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object toObject(STRUCT paramSTRUCT, int paramInt, Map paramMap) throws SQLException {
/* 2166 */     switch (paramInt)
/*      */     
/*      */     { 
/*      */       case 1:
/* 2170 */         return paramSTRUCT;
/*      */       
/*      */       case 2:
/* 2173 */         if (paramSTRUCT != null) {
/* 2174 */           return paramSTRUCT.toJdbc(paramMap);
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 2188 */         return null; }  DatabaseError.throwSqlException(1); return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttributeType(int paramInt) throws SQLException {
/* 2203 */     if (this.sqlName == null) {
/* 2204 */       getFullName();
/*      */     }
/* 2206 */     if (this.attrNames == null) {
/* 2207 */       initADTAttrNames();
/*      */     }
/* 2209 */     if (paramInt < 1 || paramInt > this.attrTypeNames.length) {
/* 2210 */       DatabaseError.throwSqlException(1, "Invalid index");
/*      */     }
/* 2212 */     return this.attrTypeNames[paramInt - 1];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttributeType(int paramInt, boolean paramBoolean) throws SQLException {
/* 2222 */     if (paramBoolean) {
/* 2223 */       return getAttributeType(paramInt);
/*      */     }
/*      */     
/* 2226 */     if (paramInt < 1 || (this.attrTypeNames != null && paramInt > this.attrTypeNames.length)) {
/* 2227 */       DatabaseError.throwSqlException(1, "Invalid index");
/*      */     }
/*      */     
/* 2230 */     if (this.attrTypeNames != null) {
/* 2231 */       return this.attrTypeNames[paramInt - 1];
/*      */     }
/* 2233 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttributeName(int paramInt) throws SQLException {
/* 2245 */     if (this.attrNames == null) {
/* 2246 */       initADTAttrNames();
/*      */     }
/* 2248 */     synchronized (this) {
/*      */       
/* 2250 */       if (paramInt < 1 || paramInt > this.attrNames.length) {
/* 2251 */         DatabaseError.throwSqlException(1, "Invalid index");
/*      */       }
/*      */     } 
/*      */     
/* 2255 */     return this.attrNames[paramInt - 1];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttributeName(int paramInt, boolean paramBoolean) throws SQLException {
/* 2265 */     if (paramBoolean) {
/* 2266 */       return getAttributeName(paramInt);
/*      */     }
/*      */     
/* 2269 */     if (paramInt < 1 || (this.attrNames != null && paramInt > this.attrNames.length)) {
/* 2270 */       DatabaseError.throwSqlException(1, "Invalid index");
/*      */     }
/*      */     
/* 2273 */     if (this.attrNames != null) {
/* 2274 */       return this.attrNames[paramInt - 1];
/*      */     }
/* 2276 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2287 */   static final String[] sqlString = new String[] { "SELECT /*+ RULE */ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME, ATTR_TYPE_OWNER FROM USER_TYPE_ATTRS WHERE TYPE_NAME = :1 ORDER BY ATTR_NO", "SELECT /*+ RULE */ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME, ATTR_TYPE_OWNER FROM USER_TYPE_ATTRS WHERE TYPE_NAME in (SELECT TABLE_NAME FROM USER_SYNONYMS START WITH SYNONYM_NAME = :1 CONNECT BY PRIOR TABLE_NAME = SYNONYM_NAME UNION SELECT :1 FROM DUAL) ORDER BY ATTR_NO", "SELECT /*+RULE*/ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME, ATTR_TYPE_OWNER FROM USER_TYPE_ATTRS WHERE TYPE_NAME IN (SELECT TABLE_NAME FROM ALL_SYNONYMS START WITH SYNONYM_NAME = :1 AND  OWNER = 'PUBLIC' CONNECT BY PRIOR TABLE_NAME = SYNONYM_NAME AND TABLE_OWNER = OWNER UNION SELECT :2  FROM DUAL) ORDER BY ATTR_NO", "SELECT /*+ RULE */ ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME, ATTR_TYPE_OWNER FROM ALL_TYPE_ATTRS WHERE OWNER = :1 AND TYPE_NAME = :2 ORDER BY ATTR_NO", "SELECT /*+ RULE */ ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME, ATTR_TYPE_OWNER FROM ALL_TYPE_ATTRS WHERE OWNER = (SELECT TABLE_OWNER FROM ALL_SYNONYMS WHERE SYNONYM_NAME=:1) AND TYPE_NAME = (SELECT TABLE_NAME FROM ALL_SYNONYMS WHERE SYNONYM_NAME=:2) ORDER BY ATTR_NO", "DECLARE /*+RULE*/  the_owner VARCHAR2(100);   the_type  VARCHAR2(100); begin  SELECT /*+ RULE */TABLE_NAME, TABLE_OWNER INTO THE_TYPE, THE_OWNER  FROM ALL_SYNONYMS  WHERE TABLE_NAME IN (SELECT TYPE_NAME FROM ALL_TYPES)  START WITH SYNONYM_NAME = :1 AND OWNER = 'PUBLIC'  CONNECT BY PRIOR TABLE_NAME = SYNONYM_NAME AND TABLE_OWNER = OWNER; OPEN :2 FOR SELECT ATTR_NO, ATTR_NAME, ATTR_TYPE_NAME,  ATTR_TYPE_OWNER FROM ALL_TYPE_ATTRS  WHERE TYPE_NAME = THE_TYPE and OWNER = THE_OWNER; END;" };
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int TDS_SIZE = 4;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int TDS_NUMBER = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_SQL_CHAR = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_DATE = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_DECIMAL = 3;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_DOUBLE = 4;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_FLOAT = 5;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_NUMBER = 6;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_SQL_VARCHAR2 = 7;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_SINT32 = 8;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_REF = 9;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_VARRAY = 10;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_UINT8 = 11;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_SINT8 = 12;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_UINT16 = 13;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_UINT32 = 14;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_LOB = 15;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_CANONICAL = 17;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_OCTET = 18;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_RAW = 19;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_ROWID = 20;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_STAMP = 21;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_TZSTAMP = 23;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_INTERVAL = 24;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_PTR = 25;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_SINT16 = 26;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_UPT = 27;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_COLLECTION = 28;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_CLOB = 29;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_BLOB = 30;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_BFILE = 31;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_BINARY_INTEGE = 32;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_IMPTZSTAMP = 33;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_BFLOAT = 37;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPM_OTS_BDOUBLE = 45;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOTTCOPQ = 58;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_STARTEMBADT = 39;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_ENDEMBADT = 40;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_STARTADT = 41;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_ENDADT = 42;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_SUBTYPE_MARKER = 43;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_EMBADT_INFO = 44;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OPCODE_START = 38;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int KOPT_OP_VERSION = 38;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int REGULAR_PATCH = 0;
/*      */ 
/*      */ 
/*      */   
/*      */   static final int SIMPLE_PATCH = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initADTAttrNames() throws SQLException {
/*      */     // Byte code:
/*      */     //   0: aconst_null
/*      */     //   1: astore_1
/*      */     //   2: aconst_null
/*      */     //   3: astore_2
/*      */     //   4: aconst_null
/*      */     //   5: astore_3
/*      */     //   6: aload_0
/*      */     //   7: getfield attrTypes : [Loracle/jdbc/oracore/OracleType;
/*      */     //   10: arraylength
/*      */     //   11: anewarray java/lang/String
/*      */     //   14: astore #4
/*      */     //   16: aload_0
/*      */     //   17: getfield attrTypes : [Loracle/jdbc/oracore/OracleType;
/*      */     //   20: arraylength
/*      */     //   21: anewarray java/lang/String
/*      */     //   24: astore #5
/*      */     //   26: iconst_0
/*      */     //   27: istore #6
/*      */     //   29: iconst_0
/*      */     //   30: istore #7
/*      */     //   32: aload_0
/*      */     //   33: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   36: ifnonnull -> 44
/*      */     //   39: aload_0
/*      */     //   40: invokevirtual getFullName : ()Ljava/lang/String;
/*      */     //   43: pop
/*      */     //   44: aload_0
/*      */     //   45: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   48: dup
/*      */     //   49: astore #8
/*      */     //   51: monitorenter
/*      */     //   52: aload_0
/*      */     //   53: dup
/*      */     //   54: astore #9
/*      */     //   56: monitorenter
/*      */     //   57: aload_0
/*      */     //   58: getfield attrNames : [Ljava/lang/String;
/*      */     //   61: ifnonnull -> 699
/*      */     //   64: aload_0
/*      */     //   65: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   68: invokevirtual getSchema : ()Ljava/lang/String;
/*      */     //   71: aload_0
/*      */     //   72: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   75: invokeinterface getDefaultSchemaNameForNamedTypes : ()Ljava/lang/String;
/*      */     //   80: invokevirtual equalsIgnoreCase : (Ljava/lang/String;)Z
/*      */     //   83: ifeq -> 90
/*      */     //   86: iconst_0
/*      */     //   87: goto -> 91
/*      */     //   90: iconst_3
/*      */     //   91: istore #6
/*      */     //   93: iload #6
/*      */     //   95: bipush #6
/*      */     //   97: if_icmpeq -> 699
/*      */     //   100: iload #6
/*      */     //   102: tableswitch default -> 491, 0 -> 140, 1 -> 183, 2 -> 259, 3 -> 316, 4 -> 373, 5 -> 430
/*      */     //   140: aload_0
/*      */     //   141: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   144: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   147: iload #6
/*      */     //   149: aaload
/*      */     //   150: invokeinterface prepareStatement : (Ljava/lang/String;)Ljava/sql/PreparedStatement;
/*      */     //   155: astore_2
/*      */     //   156: aload_2
/*      */     //   157: iconst_1
/*      */     //   158: aload_0
/*      */     //   159: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   162: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   165: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   170: aload_2
/*      */     //   171: invokeinterface executeQuery : ()Ljava/sql/ResultSet;
/*      */     //   176: astore_3
/*      */     //   177: iconst_1
/*      */     //   178: istore #6
/*      */     //   180: goto -> 491
/*      */     //   183: aload_0
/*      */     //   184: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   187: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   190: iload #6
/*      */     //   192: aaload
/*      */     //   193: invokeinterface prepareStatement : (Ljava/lang/String;)Ljava/sql/PreparedStatement;
/*      */     //   198: astore_2
/*      */     //   199: aload_2
/*      */     //   200: iconst_1
/*      */     //   201: aload_0
/*      */     //   202: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   205: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   208: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   213: aload_2
/*      */     //   214: iconst_2
/*      */     //   215: aload_0
/*      */     //   216: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   219: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   222: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   227: iconst_2
/*      */     //   228: istore #6
/*      */     //   230: aload_2
/*      */     //   231: invokeinterface executeQuery : ()Ljava/sql/ResultSet;
/*      */     //   236: astore_3
/*      */     //   237: goto -> 491
/*      */     //   240: astore #10
/*      */     //   242: aload #10
/*      */     //   244: invokevirtual getErrorCode : ()I
/*      */     //   247: sipush #1436
/*      */     //   250: if_icmpne -> 256
/*      */     //   253: goto -> 93
/*      */     //   256: aload #10
/*      */     //   258: athrow
/*      */     //   259: aload_0
/*      */     //   260: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   263: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   266: iload #6
/*      */     //   268: aaload
/*      */     //   269: invokeinterface prepareStatement : (Ljava/lang/String;)Ljava/sql/PreparedStatement;
/*      */     //   274: astore_2
/*      */     //   275: aload_2
/*      */     //   276: iconst_1
/*      */     //   277: aload_0
/*      */     //   278: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   281: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   284: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   289: aload_2
/*      */     //   290: iconst_2
/*      */     //   291: aload_0
/*      */     //   292: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   295: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   298: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   303: aload_2
/*      */     //   304: invokeinterface executeQuery : ()Ljava/sql/ResultSet;
/*      */     //   309: astore_3
/*      */     //   310: iconst_4
/*      */     //   311: istore #6
/*      */     //   313: goto -> 491
/*      */     //   316: aload_0
/*      */     //   317: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   320: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   323: iload #6
/*      */     //   325: aaload
/*      */     //   326: invokeinterface prepareStatement : (Ljava/lang/String;)Ljava/sql/PreparedStatement;
/*      */     //   331: astore_2
/*      */     //   332: aload_2
/*      */     //   333: iconst_1
/*      */     //   334: aload_0
/*      */     //   335: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   338: invokevirtual getSchema : ()Ljava/lang/String;
/*      */     //   341: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   346: aload_2
/*      */     //   347: iconst_2
/*      */     //   348: aload_0
/*      */     //   349: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   352: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   355: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   360: aload_2
/*      */     //   361: invokeinterface executeQuery : ()Ljava/sql/ResultSet;
/*      */     //   366: astore_3
/*      */     //   367: iconst_4
/*      */     //   368: istore #6
/*      */     //   370: goto -> 491
/*      */     //   373: aload_0
/*      */     //   374: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   377: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   380: iload #6
/*      */     //   382: aaload
/*      */     //   383: invokeinterface prepareStatement : (Ljava/lang/String;)Ljava/sql/PreparedStatement;
/*      */     //   388: astore_2
/*      */     //   389: aload_2
/*      */     //   390: iconst_1
/*      */     //   391: aload_0
/*      */     //   392: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   395: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   398: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   403: aload_2
/*      */     //   404: iconst_2
/*      */     //   405: aload_0
/*      */     //   406: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   409: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   412: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   417: aload_2
/*      */     //   418: invokeinterface executeQuery : ()Ljava/sql/ResultSet;
/*      */     //   423: astore_3
/*      */     //   424: iconst_5
/*      */     //   425: istore #6
/*      */     //   427: goto -> 491
/*      */     //   430: aload_0
/*      */     //   431: getfield connection : Loracle/jdbc/internal/OracleConnection;
/*      */     //   434: getstatic oracle/jdbc/oracore/OracleTypeADT.sqlString : [Ljava/lang/String;
/*      */     //   437: iload #6
/*      */     //   439: aaload
/*      */     //   440: invokeinterface prepareCall : (Ljava/lang/String;)Ljava/sql/CallableStatement;
/*      */     //   445: astore_1
/*      */     //   446: aload_1
/*      */     //   447: iconst_1
/*      */     //   448: aload_0
/*      */     //   449: getfield sqlName : Loracle/sql/SQLName;
/*      */     //   452: invokevirtual getSimpleName : ()Ljava/lang/String;
/*      */     //   455: invokeinterface setString : (ILjava/lang/String;)V
/*      */     //   460: aload_1
/*      */     //   461: iconst_2
/*      */     //   462: bipush #-10
/*      */     //   464: invokeinterface registerOutParameter : (II)V
/*      */     //   469: aload_1
/*      */     //   470: invokeinterface execute : ()Z
/*      */     //   475: pop
/*      */     //   476: aload_1
/*      */     //   477: checkcast oracle/jdbc/internal/OracleCallableStatement
/*      */     //   480: iconst_2
/*      */     //   481: invokeinterface getCursor : (I)Ljava/sql/ResultSet;
/*      */     //   486: astore_3
/*      */     //   487: bipush #6
/*      */     //   489: istore #6
/*      */     //   491: aload_2
/*      */     //   492: ifnull -> 505
/*      */     //   495: aload_2
/*      */     //   496: aload_0
/*      */     //   497: getfield idx : I
/*      */     //   500: invokeinterface setFetchSize : (I)V
/*      */     //   505: iconst_0
/*      */     //   506: istore #7
/*      */     //   508: iload #7
/*      */     //   510: aload_0
/*      */     //   511: getfield attrTypes : [Loracle/jdbc/oracore/OracleType;
/*      */     //   514: arraylength
/*      */     //   515: if_icmpge -> 607
/*      */     //   518: aload_3
/*      */     //   519: invokeinterface next : ()Z
/*      */     //   524: ifeq -> 607
/*      */     //   527: aload_3
/*      */     //   528: iconst_1
/*      */     //   529: invokeinterface getInt : (I)I
/*      */     //   534: iload #7
/*      */     //   536: iconst_1
/*      */     //   537: iadd
/*      */     //   538: if_icmpeq -> 548
/*      */     //   541: iconst_1
/*      */     //   542: ldc_w 'inconsistent ADT attribute'
/*      */     //   545: invokestatic throwSqlException : (ILjava/lang/Object;)V
/*      */     //   548: aload #4
/*      */     //   550: iload #7
/*      */     //   552: aload_3
/*      */     //   553: iconst_2
/*      */     //   554: invokeinterface getString : (I)Ljava/lang/String;
/*      */     //   559: aastore
/*      */     //   560: aload #5
/*      */     //   562: iload #7
/*      */     //   564: new java/lang/StringBuffer
/*      */     //   567: dup
/*      */     //   568: invokespecial <init> : ()V
/*      */     //   571: aload_3
/*      */     //   572: iconst_4
/*      */     //   573: invokeinterface getString : (I)Ljava/lang/String;
/*      */     //   578: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuffer;
/*      */     //   581: ldc_w '.'
/*      */     //   584: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuffer;
/*      */     //   587: aload_3
/*      */     //   588: iconst_3
/*      */     //   589: invokeinterface getString : (I)Ljava/lang/String;
/*      */     //   594: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuffer;
/*      */     //   597: invokevirtual toString : ()Ljava/lang/String;
/*      */     //   600: aastore
/*      */     //   601: iinc #7, 1
/*      */     //   604: goto -> 508
/*      */     //   607: iload #7
/*      */     //   609: ifeq -> 631
/*      */     //   612: aload_0
/*      */     //   613: aload #5
/*      */     //   615: putfield attrTypeNames : [Ljava/lang/String;
/*      */     //   618: aload_0
/*      */     //   619: aload #4
/*      */     //   621: putfield attrNames : [Ljava/lang/String;
/*      */     //   624: bipush #6
/*      */     //   626: istore #6
/*      */     //   628: goto -> 651
/*      */     //   631: aload_3
/*      */     //   632: ifnull -> 641
/*      */     //   635: aload_3
/*      */     //   636: invokeinterface close : ()V
/*      */     //   641: aload_2
/*      */     //   642: ifnull -> 651
/*      */     //   645: aload_2
/*      */     //   646: invokeinterface close : ()V
/*      */     //   651: jsr -> 665
/*      */     //   654: goto -> 93
/*      */     //   657: astore #11
/*      */     //   659: jsr -> 665
/*      */     //   662: aload #11
/*      */     //   664: athrow
/*      */     //   665: astore #12
/*      */     //   667: aload_3
/*      */     //   668: ifnull -> 677
/*      */     //   671: aload_3
/*      */     //   672: invokeinterface close : ()V
/*      */     //   677: aload_2
/*      */     //   678: ifnull -> 687
/*      */     //   681: aload_2
/*      */     //   682: invokeinterface close : ()V
/*      */     //   687: aload_1
/*      */     //   688: ifnull -> 697
/*      */     //   691: aload_1
/*      */     //   692: invokeinterface close : ()V
/*      */     //   697: ret #12
/*      */     //   699: aload #9
/*      */     //   701: monitorexit
/*      */     //   702: goto -> 713
/*      */     //   705: astore #13
/*      */     //   707: aload #9
/*      */     //   709: monitorexit
/*      */     //   710: aload #13
/*      */     //   712: athrow
/*      */     //   713: aload #8
/*      */     //   715: monitorexit
/*      */     //   716: goto -> 727
/*      */     //   719: astore #14
/*      */     //   721: aload #8
/*      */     //   723: monitorexit
/*      */     //   724: aload #14
/*      */     //   726: athrow
/*      */     //   727: return
/*      */     // Line number table:
/*      */     //   Java source line number -> byte code offset
/*      */     //   #2348	-> 0
/*      */     //   #2349	-> 2
/*      */     //   #2350	-> 4
/*      */     //   #2351	-> 6
/*      */     //   #2352	-> 16
/*      */     //   #2353	-> 26
/*      */     //   #2354	-> 29
/*      */     //   #2360	-> 32
/*      */     //   #2361	-> 39
/*      */     //   #2363	-> 44
/*      */     //   #2365	-> 52
/*      */     //   #2367	-> 57
/*      */     //   #2369	-> 64
/*      */     //   #2372	-> 93
/*      */     //   #2374	-> 100
/*      */     //   #2377	-> 140
/*      */     //   #2378	-> 156
/*      */     //   #2379	-> 170
/*      */     //   #2380	-> 177
/*      */     //   #2381	-> 180
/*      */     //   #2383	-> 183
/*      */     //   #2384	-> 199
/*      */     //   #2385	-> 213
/*      */     //   #2386	-> 227
/*      */     //   #2387	-> 230
/*      */     //   #2396	-> 237
/*      */     //   #2388	-> 240
/*      */     //   #2392	-> 242
/*      */     //   #2393	-> 253
/*      */     //   #2395	-> 256
/*      */     //   #2399	-> 259
/*      */     //   #2400	-> 275
/*      */     //   #2401	-> 289
/*      */     //   #2402	-> 303
/*      */     //   #2403	-> 310
/*      */     //   #2404	-> 313
/*      */     //   #2406	-> 316
/*      */     //   #2407	-> 332
/*      */     //   #2408	-> 346
/*      */     //   #2409	-> 360
/*      */     //   #2410	-> 367
/*      */     //   #2411	-> 370
/*      */     //   #2413	-> 373
/*      */     //   #2414	-> 389
/*      */     //   #2415	-> 403
/*      */     //   #2416	-> 417
/*      */     //   #2417	-> 424
/*      */     //   #2418	-> 427
/*      */     //   #2420	-> 430
/*      */     //   #2421	-> 446
/*      */     //   #2422	-> 460
/*      */     //   #2423	-> 469
/*      */     //   #2424	-> 476
/*      */     //   #2425	-> 487
/*      */     //   #2431	-> 491
/*      */     //   #2432	-> 495
/*      */     //   #2434	-> 505
/*      */     //   #2435	-> 508
/*      */     //   #2438	-> 527
/*      */     //   #2439	-> 541
/*      */     //   #2443	-> 548
/*      */     //   #2446	-> 560
/*      */     //   #2436	-> 601
/*      */     //   #2449	-> 607
/*      */     //   #2451	-> 612
/*      */     //   #2453	-> 618
/*      */     //   #2454	-> 624
/*      */     //   #2457	-> 631
/*      */     //   #2458	-> 635
/*      */     //   #2459	-> 641
/*      */     //   #2460	-> 645
/*      */     //   #2462	-> 651
/*      */     //   #2469	-> 654
/*      */     //   #2463	-> 657
/*      */     //   #2464	-> 671
/*      */     //   #2465	-> 677
/*      */     //   #2466	-> 681
/*      */     //   #2467	-> 687
/*      */     //   #2468	-> 691
/*      */     //   #2473	-> 699
/*      */     //   #2474	-> 713
/*      */     //   #2475	-> 727
/*      */     // Exception table:
/*      */     //   from	to	target	type
/*      */     //   52	716	719	finally
/*      */     //   57	702	705	finally
/*      */     //   230	237	240	java/sql/SQLException
/*      */     //   491	654	657	finally
/*      */     //   657	662	657	finally
/*      */     //   705	710	705	finally
/*      */     //   719	724	719	finally
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   StructDescriptor createStructDescriptor() throws SQLException {
/* 2489 */     return new StructDescriptor(this, (Connection)this.connection);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   STRUCT createObjSTRUCT(StructDescriptor paramStructDescriptor, Object[] paramArrayOfObject) throws SQLException {
/* 2495 */     if ((this.statusBits & 0x10) != 0) {
/* 2496 */       return (STRUCT)new JAVA_STRUCT(paramStructDescriptor, (Connection)this.connection, paramArrayOfObject);
/*      */     }
/* 2498 */     return new STRUCT(paramStructDescriptor, (Connection)this.connection, paramArrayOfObject);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   STRUCT createByteSTRUCT(StructDescriptor paramStructDescriptor, byte[] paramArrayOfbyte) throws SQLException {
/* 2504 */     if ((this.statusBits & 0x10) != 0) {
/* 2505 */       return (STRUCT)new JAVA_STRUCT(paramStructDescriptor, paramArrayOfbyte, (Connection)this.connection);
/*      */     }
/* 2507 */     return new STRUCT(paramStructDescriptor, paramArrayOfbyte, (Connection)this.connection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getSubtypeName(Connection paramConnection, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 2521 */     PickleContext pickleContext = new PickleContext(paramArrayOfbyte, paramLong);
/* 2522 */     byte b = pickleContext.readByte();
/*      */     
/* 2524 */     if (PickleContext.is81format(b)) if (!PickleContext.isCollectionImage_pctx(b)) if (PickleContext.hasPrefix(b)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 2530 */           if (!pickleContext.readAndCheckVersion()) {
/* 2531 */             DatabaseError.throwSqlException(1, "Image version is not recognized");
/*      */           }
/*      */ 
/*      */ 
/*      */           
/* 2536 */           pickleContext.skipLength();
/*      */ 
/*      */           
/* 2539 */           pickleContext.skipLength();
/*      */           
/* 2541 */           b = pickleContext.readByte();
/*      */ 
/*      */           
/* 2544 */           if ((b & 0x4) != 0) {
/*      */             
/* 2546 */             byte[] arrayOfByte = pickleContext.readBytes(16);
/*      */             
/* 2548 */             return toid2typename(paramConnection, arrayOfByte);
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 2557 */           return null;
/*      */         } 
/*      */     
/*      */     
/*      */     return null;
/*      */   }
/*      */   
/*      */   public static String toid2typename(Connection paramConnection, byte[] paramArrayOfbyte) throws SQLException {
/* 2565 */     String str = (String)((OracleConnection)paramConnection).getDescriptor(paramArrayOfbyte);
/*      */     
/* 2567 */     if (str == null) {
/*      */       
/* 2569 */       PreparedStatement preparedStatement = null;
/* 2570 */       ResultSet resultSet = null;
/*      */ 
/*      */       
/*      */       try {
/* 2574 */         preparedStatement = paramConnection.prepareStatement("select owner, type_name from all_types where type_oid = :1");
/*      */ 
/*      */         
/* 2577 */         preparedStatement.setBytes(1, paramArrayOfbyte);
/*      */         
/* 2579 */         resultSet = preparedStatement.executeQuery();
/*      */         
/* 2581 */         if (resultSet.next()) {
/*      */           
/* 2583 */           str = resultSet.getString(1) + "." + resultSet.getString(2);
/*      */           
/* 2585 */           ((OracleConnection)paramConnection).putDescriptor(paramArrayOfbyte, str);
/*      */         } else {
/*      */           
/* 2588 */           DatabaseError.throwSqlException(1, "Invalid type oid");
/*      */         }
/*      */       
/*      */       } finally {
/*      */         
/* 2593 */         if (resultSet != null) {
/* 2594 */           resultSet.close();
/*      */         }
/* 2596 */         if (preparedStatement != null) {
/* 2597 */           preparedStatement.close();
/*      */         }
/*      */       } 
/*      */     } 
/*      */     
/* 2602 */     return str;
/*      */   }
/*      */   public int getTdsVersion() {
/* 2605 */     return this.tdsVersion;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void printDebug() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String debugText() {
/* 2624 */     StringWriter stringWriter = new StringWriter();
/* 2625 */     PrintWriter printWriter = new PrintWriter(stringWriter);
/*      */     
/* 2627 */     printWriter.println("OracleTypeADT = " + this);
/* 2628 */     printWriter.println("sqlName = " + this.sqlName);
/*      */     
/* 2630 */     printWriter.println("OracleType[] : ");
/*      */     
/* 2632 */     if (this.attrTypes != null) {
/*      */       
/* 2634 */       for (byte b = 0; b < this.attrTypes.length; b++) {
/* 2635 */         printWriter.println("[" + b + "] = " + this.attrTypes[b]);
/*      */       }
/*      */     } else {
/* 2638 */       printWriter.println("null");
/*      */     } 
/* 2640 */     printWriter.println("LDS : ");
/*      */     
/* 2642 */     if (this.lds != null) {
/* 2643 */       printUnsignedByteArray(this.lds, printWriter);
/*      */     } else {
/* 2645 */       printWriter.println("null");
/*      */     } 
/* 2647 */     printWriter.println("toid : ");
/*      */     
/* 2649 */     if (this.toid != null) {
/* 2650 */       printUnsignedByteArray(this.toid, printWriter);
/*      */     } else {
/* 2652 */       printWriter.println("null");
/*      */     } 
/* 2654 */     printWriter.println("fdo : ");
/*      */     
/* 2656 */     if (this.fdo != null) {
/* 2657 */       printUnsignedByteArray(this.fdo, printWriter);
/*      */     } else {
/* 2659 */       printWriter.println("null");
/*      */     } 
/* 2661 */     printWriter.println("tds version : " + this.tdsVersion);
/* 2662 */     printWriter.println("type version : " + this.typeVersion);
/* 2663 */     printWriter.println("type version : " + this.typeVersion);
/* 2664 */     printWriter.println("bigEndian : " + (this.bigEndian ? "true" : "false"));
/* 2665 */     printWriter.println("opcode : " + this.opcode);
/*      */     
/* 2667 */     printWriter.println("tdoCState : " + this.tdoCState);
/*      */     
/* 2669 */     return stringWriter.getBuffer().substring(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] getTOID() {
/*      */     try {
/* 2685 */       if (this.toid == null)
/*      */       {
/*      */         
/* 2688 */         initMetadata(this.connection);
/*      */       }
/*      */     }
/* 2691 */     catch (SQLException sQLException) {}
/*      */     
/* 2693 */     return this.toid;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getImageFormatVersion() {
/* 2698 */     return PickleContext.KOPI20_VERSION;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTypeVersion() {
/*      */     try {
/* 2705 */       if (this.typeVersion == -1)
/*      */       {
/* 2707 */         initMetadata(this.connection);
/*      */       }
/* 2709 */     } catch (SQLException sQLException) {}
/*      */     
/* 2711 */     return this.typeVersion;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getCharSet() {
/* 2716 */     return this.charSetId;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getCharSetForm() {
/* 2721 */     return this.charSetForm;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized long getTdoCState() {
/*      */     try {
/* 2732 */       if (this.tdoCState == 0L)
/*      */       {
/* 2734 */         getFullName();
/* 2735 */         this.tdoCState = this.connection.getTdoCState(this.sqlName.getSchema(), this.sqlName.getSimpleName());
/*      */       }
/*      */     
/*      */     }
/* 2739 */     catch (SQLException sQLException) {}
/* 2740 */     return this.tdoCState;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public long getFIXED_DATA_SIZE() {
/*      */     try {
/* 2747 */       return getFixedDataSize();
/*      */     }
/* 2749 */     catch (SQLException sQLException) {
/*      */       
/* 2751 */       return 0L;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public long[] getLDS_OFFSET_ARRAY() {
/*      */     try {
/* 2758 */       return getLdsOffsetArray();
/*      */     }
/* 2760 */     catch (SQLException sQLException) {
/*      */       
/* 2762 */       return null;
/*      */     } 
/*      */   }
/*      */   
/*      */   synchronized long[] getLdsOffsetArray() throws SQLException {
/* 2767 */     if (this.ldsOffsetArray == null && this.connection != null)
/*      */     {
/* 2769 */       generateLDS();
/*      */     }
/* 2771 */     return this.ldsOffsetArray;
/*      */   }
/*      */ 
/*      */   
/*      */   public long getFixedDataSize() throws SQLException {
/* 2776 */     return this.fixedDataSize;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getAlignmentReq() throws SQLException {
/* 2781 */     return this.alignmentRequirement;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getNumAttrs() throws SQLException {
/* 2786 */     if (this.attrTypes == null && this.connection != null) {
/* 2787 */       init(this.connection);
/*      */     }
/* 2789 */     return this.attrTypes.length;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleType getAttrTypeAt(int paramInt) throws SQLException {
/* 2794 */     if (this.attrTypes == null && this.connection != null) {
/* 2795 */       init(this.connection);
/*      */     }
/* 2797 */     return this.attrTypes[paramInt];
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isEmbeddedADT() throws SQLException {
/* 2802 */     return ((this.statusBits & 0x2) != 0);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isUptADT() throws SQLException {
/* 2807 */     return ((this.statusBits & 0x4) != 0);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isTopADT() throws SQLException {
/* 2812 */     return ((this.statusBits & 0x1) != 0);
/*      */   }
/*      */ 
/*      */   
/*      */   public void setStatus(int paramInt) throws SQLException {
/* 2817 */     this.statusBits = paramInt;
/*      */   }
/*      */ 
/*      */   
/*      */   void setEmbeddedADT() throws SQLException {
/* 2822 */     maskAndSetStatusBits(-16, 2);
/*      */   }
/*      */ 
/*      */   
/*      */   void setUptADT() throws SQLException {
/* 2827 */     maskAndSetStatusBits(-16, 4);
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isSubType() throws SQLException {
/* 2832 */     return ((this.statusBits & 0x40) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isFinalType() throws SQLException {
/* 2839 */     return (((this.statusBits & 0x20) != 0)) | (((this.statusBits & 0x2) != 0));
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isJavaObject() throws SQLException {
/* 2844 */     return ((this.statusBits & 0x10) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getStatus() throws SQLException {
/* 2851 */     if ((this.statusBits & 0x1) != 0 && (this.statusBits & 0x100) == 0)
/* 2852 */       init(this.connection); 
/* 2853 */     return this.statusBits;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public static OracleTypeADT shallowClone(OracleTypeADT paramOracleTypeADT) throws SQLException {
/* 2859 */     OracleTypeADT oracleTypeADT = new OracleTypeADT();
/* 2860 */     shallowCopy(paramOracleTypeADT, oracleTypeADT);
/* 2861 */     return oracleTypeADT;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public static void shallowCopy(OracleTypeADT paramOracleTypeADT1, OracleTypeADT paramOracleTypeADT2) throws SQLException {
/* 2867 */     paramOracleTypeADT2.connection = paramOracleTypeADT1.connection;
/* 2868 */     paramOracleTypeADT2.sqlName = paramOracleTypeADT1.sqlName;
/* 2869 */     paramOracleTypeADT2.parent = paramOracleTypeADT1.parent;
/* 2870 */     paramOracleTypeADT2.idx = paramOracleTypeADT1.idx;
/* 2871 */     paramOracleTypeADT2.descriptor = paramOracleTypeADT1.descriptor;
/* 2872 */     paramOracleTypeADT2.statusBits = paramOracleTypeADT1.statusBits;
/*      */     
/* 2874 */     paramOracleTypeADT2.nullOffset = paramOracleTypeADT1.nullOffset;
/* 2875 */     paramOracleTypeADT2.ldsOffset = paramOracleTypeADT1.ldsOffset;
/* 2876 */     paramOracleTypeADT2.sizeForLds = paramOracleTypeADT1.sizeForLds;
/* 2877 */     paramOracleTypeADT2.alignForLds = paramOracleTypeADT1.alignForLds;
/* 2878 */     paramOracleTypeADT2.typeCode = paramOracleTypeADT1.typeCode;
/* 2879 */     paramOracleTypeADT2.dbTypeCode = paramOracleTypeADT1.dbTypeCode;
/* 2880 */     paramOracleTypeADT2.tdsVersion = paramOracleTypeADT1.tdsVersion;
/* 2881 */     paramOracleTypeADT2.typeVersion = paramOracleTypeADT1.typeVersion;
/* 2882 */     paramOracleTypeADT2.lds = paramOracleTypeADT1.lds;
/* 2883 */     paramOracleTypeADT2.ldsOffsetArray = paramOracleTypeADT1.ldsOffsetArray;
/* 2884 */     paramOracleTypeADT2.fixedDataSize = paramOracleTypeADT1.fixedDataSize;
/* 2885 */     paramOracleTypeADT2.alignmentRequirement = paramOracleTypeADT1.alignmentRequirement;
/* 2886 */     paramOracleTypeADT2.attrTypes = paramOracleTypeADT1.attrTypes;
/* 2887 */     paramOracleTypeADT2.sqlName = paramOracleTypeADT1.sqlName;
/* 2888 */     paramOracleTypeADT2.tdoCState = paramOracleTypeADT1.tdoCState;
/* 2889 */     paramOracleTypeADT2.toid = paramOracleTypeADT1.toid;
/* 2890 */     paramOracleTypeADT2.fdo = paramOracleTypeADT1.fdo;
/* 2891 */     paramOracleTypeADT2.charSetId = paramOracleTypeADT1.charSetId;
/* 2892 */     paramOracleTypeADT2.charSetForm = paramOracleTypeADT1.charSetForm;
/* 2893 */     paramOracleTypeADT2.bigEndian = paramOracleTypeADT1.bigEndian;
/* 2894 */     paramOracleTypeADT2.flattenedAttrNum = paramOracleTypeADT1.flattenedAttrNum;
/* 2895 */     paramOracleTypeADT2.statusBits = paramOracleTypeADT1.statusBits;
/* 2896 */     paramOracleTypeADT2.attrNames = paramOracleTypeADT1.attrNames;
/* 2897 */     paramOracleTypeADT2.attrTypeNames = paramOracleTypeADT1.attrTypeNames;
/* 2898 */     paramOracleTypeADT2.opcode = paramOracleTypeADT1.opcode;
/* 2899 */     paramOracleTypeADT2.idx = paramOracleTypeADT1.idx;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 2912 */     paramObjectOutputStream.writeInt(this.statusBits);
/* 2913 */     paramObjectOutputStream.writeInt(this.tdsVersion);
/* 2914 */     paramObjectOutputStream.writeInt(this.typeVersion);
/* 2915 */     paramObjectOutputStream.writeObject(this.lds);
/* 2916 */     paramObjectOutputStream.writeObject(this.ldsOffsetArray);
/* 2917 */     paramObjectOutputStream.writeLong(this.fixedDataSize);
/* 2918 */     paramObjectOutputStream.writeInt(this.alignmentRequirement);
/* 2919 */     paramObjectOutputStream.writeObject(this.attrTypes);
/* 2920 */     paramObjectOutputStream.writeObject(this.attrNames);
/* 2921 */     paramObjectOutputStream.writeObject(this.attrTypeNames);
/* 2922 */     paramObjectOutputStream.writeLong(this.tdoCState);
/* 2923 */     paramObjectOutputStream.writeObject(this.toid);
/* 2924 */     paramObjectOutputStream.writeObject(this.fdo);
/* 2925 */     paramObjectOutputStream.writeInt(this.charSetId);
/* 2926 */     paramObjectOutputStream.writeInt(this.charSetForm);
/* 2927 */     paramObjectOutputStream.writeBoolean(this.bigEndian);
/* 2928 */     paramObjectOutputStream.writeInt(this.flattenedAttrNum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 2937 */     this.statusBits = paramObjectInputStream.readInt();
/* 2938 */     this.tdsVersion = paramObjectInputStream.readInt();
/* 2939 */     this.typeVersion = paramObjectInputStream.readInt();
/* 2940 */     paramObjectInputStream.readObject();
/* 2941 */     paramObjectInputStream.readObject();
/* 2942 */     paramObjectInputStream.readLong();
/* 2943 */     paramObjectInputStream.readInt();
/* 2944 */     this.attrTypes = (OracleType[])paramObjectInputStream.readObject();
/* 2945 */     this.attrNames = (String[])paramObjectInputStream.readObject();
/* 2946 */     this.attrTypeNames = (String[])paramObjectInputStream.readObject();
/* 2947 */     paramObjectInputStream.readLong();
/* 2948 */     this.toid = (byte[])paramObjectInputStream.readObject();
/* 2949 */     this.fdo = (byte[])paramObjectInputStream.readObject();
/* 2950 */     this.charSetId = paramObjectInputStream.readInt();
/* 2951 */     this.charSetForm = paramObjectInputStream.readInt();
/* 2952 */     this.bigEndian = paramObjectInputStream.readBoolean();
/* 2953 */     this.flattenedAttrNum = paramObjectInputStream.readInt();
/*      */   }
/*      */ 
/*      */   
/*      */   public synchronized void setConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 2958 */     this.connection = paramOracleConnection;
/* 2959 */     for (byte b = 0; b < this.attrTypes.length; b++) {
/* 2960 */       this.attrTypes[b].setConnection(this.connection);
/*      */     }
/*      */   }
/*      */   
/*      */   private synchronized void setStatusBits(int paramInt) {
/* 2965 */     this.statusBits |= paramInt;
/*      */   }
/*      */ 
/*      */   
/*      */   private synchronized void maskAndSetStatusBits(int paramInt1, int paramInt2) {
/* 2970 */     this.statusBits &= paramInt1;
/* 2971 */     this.statusBits |= paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void printUnsignedByteArray(byte[] paramArrayOfbyte, PrintWriter paramPrintWriter) {
/* 2977 */     int i = paramArrayOfbyte.length;
/*      */ 
/*      */     
/* 2980 */     int[] arrayOfInt = Util.toJavaUnsignedBytes(paramArrayOfbyte);
/*      */     byte b;
/* 2982 */     for (b = 0; b < i; b++)
/*      */     {
/* 2984 */       paramPrintWriter.print("0x" + Integer.toHexString(arrayOfInt[b]) + " ");
/*      */     }
/*      */     
/* 2987 */     paramPrintWriter.println();
/*      */     
/* 2989 */     for (b = 0; b < i; b++)
/*      */     {
/* 2991 */       paramPrintWriter.print(arrayOfInt[b] + " ");
/*      */     }
/*      */     
/* 2994 */     paramPrintWriter.println();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void initChildNamesRecursively(Map paramMap) throws SQLException {
/* 3000 */     TypeTreeElement typeTreeElement = (TypeTreeElement)paramMap.get(this.sqlName);
/*      */     
/* 3002 */     if (this.attrTypes != null && this.attrTypes.length > 0)
/*      */     {
/* 3004 */       for (byte b = 0; b < this.attrTypes.length; b++) {
/*      */         
/* 3006 */         OracleType oracleType = this.attrTypes[b];
/* 3007 */         oracleType.setNames(typeTreeElement.getChildSchemaName(b + 1), typeTreeElement.getChildTypeName(b + 1));
/* 3008 */         oracleType.initChildNamesRecursively(paramMap);
/* 3009 */         oracleType.cacheDescriptor();
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public void cacheDescriptor() throws SQLException {
/* 3016 */     this.descriptor = (TypeDescriptor)StructDescriptor.createDescriptor(this);
/*      */   }
/*      */ 
/*      */   
/*      */   public void printXML(PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/*      */     byte b;
/* 3022 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 3023 */      paramPrintWriter.print("<OracleTypeADT sqlName=\"" + this.sqlName + "\" " + " hashCode=\"" + hashCode() + "\" " + " toid=\"");
/*      */ 
/*      */ 
/*      */     
/* 3027 */     if (this.toid != null) {
/* 3028 */       printUnsignedByteArray(this.toid, paramPrintWriter);
/*      */     } else {
/* 3030 */       paramPrintWriter.print("null");
/*      */     } 
/* 3032 */     paramPrintWriter.println(" \"  typecode=\"" + this.typeCode + "\"" + " tds version=\"" + this.tdsVersion + "\"" + " is embedded=\"" + isEmbeddedADT() + "\"" + " is top level=\"" + isTopADT() + "\"" + " is upt=\"" + isUptADT() + "\"" + " finalType=\"" + isFinalType() + "\"" + " subtype=\"" + isSubType() + "\"" + " ldsOffset=\"" + this.ldsOffset + "\"" + " sizeForLds=\"" + this.sizeForLds + "\"" + " alignForLds=\"" + this.alignForLds + "\"" + " ldsOffsetArray size=\"" + ((this.ldsOffsetArray == null) ? "null" : Integer.toString(this.ldsOffsetArray.length)) + "\"" + ">");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3045 */     if (this.attrTypes != null && this.attrTypes.length > 0)
/* 3046 */       for (b = 0; b < this.attrTypes.length; b++)
/* 3047 */         this.attrTypes[b].printXML(paramPrintWriter, paramInt + 1);  
/* 3048 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 3049 */      paramPrintWriter.println("</OracleTypeADT>");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 3108 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleTypeADT.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */