/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.sql.CHAR;
/*     */ import oracle.sql.CharacterSet;
/*     */ import oracle.sql.Datum;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleTypeCHAR
/*     */   extends OracleType
/*     */   implements Serializable
/*     */ {
/*     */   static final long serialVersionUID = -6899444518695804629L;
/*     */   int form;
/*     */   int charset;
/*     */   int length;
/*     */   int characterSemantic;
/*     */   private transient OracleConnection connection;
/*     */   private short pickleCharaterSetId;
/*     */   private transient CharacterSet pickleCharacterSet;
/*     */   private short pickleNcharCharacterSet;
/*     */   static final int SQLCS_IMPLICIT = 1;
/*     */   static final int SQLCS_NCHAR = 2;
/*     */   static final int SQLCS_EXPLICIT = 3;
/*     */   static final int SQLCS_FLEXIBLE = 4;
/*     */   static final int SQLCS_LIT_NULL = 5;
/*     */   
/*     */   protected OracleTypeCHAR() {}
/*     */   
/*     */   public OracleTypeCHAR(OracleConnection paramOracleConnection) {
/*  70 */     this.form = 0;
/*  71 */     this.charset = 0;
/*  72 */     this.length = 0;
/*  73 */     this.connection = paramOracleConnection;
/*  74 */     this.pickleCharaterSetId = 0;
/*  75 */     this.pickleNcharCharacterSet = 0;
/*  76 */     this.pickleCharacterSet = null;
/*     */ 
/*     */     
/*     */     try {
/*  80 */       this.pickleCharaterSetId = this.connection.getStructAttrCsId();
/*     */     }
/*  82 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 102 */       this.pickleCharaterSetId = -1;
/*     */     } 
/*     */     
/* 105 */     this.pickleCharacterSet = CharacterSet.make(this.pickleCharaterSetId);
/*     */   }
/*     */ 
/*     */   
/*     */   protected OracleTypeCHAR(OracleConnection paramOracleConnection, int paramInt) {
/* 110 */     super(paramInt);
/*     */ 
/*     */ 
/*     */     
/* 114 */     this.form = 0;
/* 115 */     this.charset = 0;
/* 116 */     this.length = 0;
/* 117 */     this.connection = paramOracleConnection;
/* 118 */     this.pickleCharaterSetId = 0;
/* 119 */     this.pickleNcharCharacterSet = 0;
/* 120 */     this.pickleCharacterSet = null;
/*     */ 
/*     */     
/*     */     try {
/* 124 */       this.pickleCharaterSetId = this.connection.getStructAttrCsId();
/*     */     }
/* 126 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 146 */       this.pickleCharaterSetId = -1;
/*     */     } 
/*     */     
/* 149 */     this.pickleCharacterSet = CharacterSet.make(this.pickleCharaterSetId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/* 176 */     if (paramObject == null) {
/* 177 */       return null;
/*     */     }
/* 179 */     return (Datum)((paramObject instanceof CHAR) ? (CHAR)paramObject : new CHAR(paramObject, this.pickleCharacterSet));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum[] toDatumArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/* 208 */     Datum[] arrayOfDatum = null;
/*     */     
/* 210 */     if (paramObject != null) {
/*     */       
/* 212 */       if (paramObject instanceof Object[] && !(paramObject instanceof char[][])) {
/* 213 */         return super.toDatumArray(paramObject, paramOracleConnection, paramLong, paramInt);
/*     */       }
/* 215 */       arrayOfDatum = cArrayToDatumArray(paramObject, paramOracleConnection, paramLong, paramInt);
/*     */     } 
/*     */     
/* 218 */     return arrayOfDatum;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void parseTDSrec(TDSReader paramTDSReader) throws SQLException {
/* 235 */     super.parseTDSrec(paramTDSReader);
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 240 */       this.length = paramTDSReader.readShort();
/* 241 */       this.form = paramTDSReader.readByte();
/* 242 */       this.characterSemantic = this.form & 0x80;
/* 243 */       this.form &= 0x7F;
/* 244 */       this.charset = paramTDSReader.readShort();
/*     */     }
/* 246 */     catch (SQLException sQLException) {
/*     */       
/* 248 */       DatabaseError.throwSqlException(47, "parseTDS");
/*     */     } 
/*     */ 
/*     */     
/* 252 */     if (this.form != 2 || this.pickleNcharCharacterSet != 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 261 */       this.pickleNcharCharacterSet = this.connection.getStructAttrNCsId();
/*     */     }
/* 263 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 283 */       this.pickleNcharCharacterSet = 2000;
/*     */     } 
/*     */     
/* 286 */     this.pickleCharaterSetId = this.pickleNcharCharacterSet;
/* 287 */     this.pickleCharacterSet = CharacterSet.make(this.pickleCharaterSetId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*     */     long l;
/*     */     byte[] arrayOfByte;
/* 306 */     switch (paramInt1) {
/*     */ 
/*     */ 
/*     */       
/*     */       case 1:
/* 311 */         if (paramUnpickleContext.isNull(this.nullOffset)) {
/* 312 */           return null;
/*     */         }
/* 314 */         paramUnpickleContext.skipTo(paramUnpickleContext.ldsOffsets[this.ldsOffset]);
/*     */         
/* 316 */         if (paramInt2 == 9) {
/*     */           
/* 318 */           paramUnpickleContext.skipBytes(6);
/*     */           
/* 320 */           return null;
/*     */         } 
/*     */ 
/*     */         
/* 324 */         l = paramUnpickleContext.readLong();
/*     */         
/* 326 */         if (l == 0L) {
/*     */           
/* 328 */           paramUnpickleContext.skipBytes(2);
/* 329 */           paramUnpickleContext.mark();
/*     */         } else {
/*     */           
/* 332 */           paramUnpickleContext.markAndSkip(l);
/*     */         } 
/* 334 */         arrayOfByte = paramUnpickleContext.readLengthBytes();
/*     */         
/* 336 */         paramUnpickleContext.reset();
/*     */         
/* 338 */         return toObject(arrayOfByte, paramInt2, paramMap);
/*     */ 
/*     */       
/*     */       case 2:
/* 342 */         if ((paramUnpickleContext.readByte() & 0x1) == 1) {
/*     */           
/* 344 */           paramUnpickleContext.skipBytes(4);
/*     */           
/* 346 */           return null;
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 3:
/* 353 */         if (paramInt2 == 9) {
/*     */           
/* 355 */           paramUnpickleContext.skipLengthBytes();
/*     */           
/* 357 */           return null;
/*     */         } 
/*     */ 
/*     */         
/* 361 */         return toObject(paramUnpickleContext.readLengthBytes(), paramInt2, paramMap);
/*     */     } 
/*     */ 
/*     */     
/* 365 */     DatabaseError.throwSqlException(1, "format=" + paramInt1);
/*     */ 
/*     */ 
/*     */     
/* 369 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int pickle81(PickleContext paramPickleContext, Datum paramDatum) throws SQLException {
/* 395 */     CHAR cHAR = getDbCHAR(paramDatum);
/*     */     
/* 397 */     if (this.characterSemantic != 0 && this.form != 2) {
/*     */ 
/*     */ 
/*     */       
/* 401 */       if (cHAR.getString().length() > this.length) {
/* 402 */         DatabaseError.throwSqlException(72, "\"" + cHAR.getString() + "\"");
/*     */ 
/*     */       
/*     */       }
/*     */ 
/*     */     
/*     */     }
/* 409 */     else if (cHAR.getLength() > this.length) {
/* 410 */       DatabaseError.throwSqlException(72, "\"" + cHAR.getString() + "\"");
/*     */     } 
/*     */ 
/*     */     
/* 414 */     return super.pickle81(paramPickleContext, (Datum)cHAR);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object toObject(byte[] paramArrayOfbyte, int paramInt, Map paramMap) throws SQLException {
/* 428 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0) {
/* 429 */       return null;
/*     */     }
/*     */ 
/*     */     
/* 433 */     CHAR cHAR = null;
/*     */     
/* 435 */     switch (this.form) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 1:
/*     */       case 2:
/* 443 */         cHAR = new CHAR(paramArrayOfbyte, this.pickleCharacterSet);
/*     */         break;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 3:
/*     */       case 4:
/*     */       case 5:
/* 452 */         cHAR = new CHAR(paramArrayOfbyte, null);
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 457 */     if (paramInt == 1)
/* 458 */       return cHAR; 
/* 459 */     if (paramInt == 2)
/* 460 */       return cHAR.stringValue(); 
/* 461 */     if (paramInt == 3) {
/* 462 */       return paramArrayOfbyte;
/*     */     }
/* 464 */     DatabaseError.throwSqlException(59, paramArrayOfbyte);
/*     */ 
/*     */     
/* 467 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private CHAR getDbCHAR(Datum paramDatum) {
/* 481 */     CHAR cHAR1 = (CHAR)paramDatum;
/* 482 */     CHAR cHAR2 = null;
/*     */     
/* 484 */     if (cHAR1.getCharacterSet().getOracleId() == this.pickleCharaterSetId) {
/*     */       
/* 486 */       cHAR2 = cHAR1;
/*     */     } else {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/* 492 */         cHAR2 = new CHAR(cHAR1.toString(), this.pickleCharacterSet);
/*     */       }
/* 494 */       catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 515 */         cHAR2 = cHAR1;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 521 */     return cHAR2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Datum[] cArrayToDatumArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/* 552 */     Datum[] arrayOfDatum = null;
/*     */     
/* 554 */     if (paramObject != null)
/*     */     {
/* 556 */       if (paramObject instanceof char[][]) {
/*     */         
/* 558 */         char[][] arrayOfChar = (char[][])paramObject;
/* 559 */         int i = (int)((paramInt == -1) ? arrayOfChar.length : Math.min(arrayOfChar.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 562 */         arrayOfDatum = new Datum[i];
/*     */         
/* 564 */         for (byte b = 0; b < i; b++) {
/* 565 */           arrayOfDatum[b] = (Datum)new CHAR(new String(arrayOfChar[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/* 568 */       else if (paramObject instanceof boolean[]) {
/*     */         
/* 570 */         boolean[] arrayOfBoolean = (boolean[])paramObject;
/* 571 */         int i = (int)((paramInt == -1) ? arrayOfBoolean.length : Math.min(arrayOfBoolean.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 574 */         arrayOfDatum = new Datum[i];
/*     */         
/* 576 */         for (byte b = 0; b < i; b++) {
/* 577 */           arrayOfDatum[b] = (Datum)new CHAR(new Boolean(arrayOfBoolean[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/* 580 */       else if (paramObject instanceof short[]) {
/*     */         
/* 582 */         short[] arrayOfShort = (short[])paramObject;
/* 583 */         int i = (int)((paramInt == -1) ? arrayOfShort.length : Math.min(arrayOfShort.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 586 */         arrayOfDatum = new Datum[i];
/*     */ 
/*     */ 
/*     */         
/* 590 */         for (byte b = 0; b < i; b++) {
/* 591 */           arrayOfDatum[b] = (Datum)new CHAR(new Integer(arrayOfShort[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         
/*     */         }
/*     */       }
/* 595 */       else if (paramObject instanceof int[]) {
/*     */         
/* 597 */         int[] arrayOfInt = (int[])paramObject;
/* 598 */         int i = (int)((paramInt == -1) ? arrayOfInt.length : Math.min(arrayOfInt.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 601 */         arrayOfDatum = new Datum[i];
/*     */         
/* 603 */         for (byte b = 0; b < i; b++) {
/* 604 */           arrayOfDatum[b] = (Datum)new CHAR(new Integer(arrayOfInt[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/* 607 */       else if (paramObject instanceof long[]) {
/*     */         
/* 609 */         long[] arrayOfLong = (long[])paramObject;
/* 610 */         int i = (int)((paramInt == -1) ? arrayOfLong.length : Math.min(arrayOfLong.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 613 */         arrayOfDatum = new Datum[i];
/*     */         
/* 615 */         for (byte b = 0; b < i; b++) {
/* 616 */           arrayOfDatum[b] = (Datum)new CHAR(new Long(arrayOfLong[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/* 619 */       else if (paramObject instanceof float[]) {
/*     */         
/* 621 */         float[] arrayOfFloat = (float[])paramObject;
/* 622 */         int i = (int)((paramInt == -1) ? arrayOfFloat.length : Math.min(arrayOfFloat.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 625 */         arrayOfDatum = new Datum[i];
/*     */         
/* 627 */         for (byte b = 0; b < i; b++) {
/* 628 */           arrayOfDatum[b] = (Datum)new CHAR(new Float(arrayOfFloat[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/* 631 */       else if (paramObject instanceof double[]) {
/*     */         
/* 633 */         double[] arrayOfDouble = (double[])paramObject;
/* 634 */         int i = (int)((paramInt == -1) ? arrayOfDouble.length : Math.min(arrayOfDouble.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 637 */         arrayOfDatum = new Datum[i];
/*     */         
/* 639 */         for (byte b = 0; b < i; b++) {
/* 640 */           arrayOfDatum[b] = (Datum)new CHAR(new Double(arrayOfDouble[(int)paramLong + b - 1]), this.pickleCharacterSet);
/*     */         }
/*     */       }
/*     */       else {
/*     */         
/* 645 */         DatabaseError.throwSqlException(59, paramObject);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 650 */     return arrayOfDatum;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getLength() {
/* 655 */     return this.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 668 */     paramObjectOutputStream.writeInt(this.form);
/* 669 */     paramObjectOutputStream.writeInt(this.charset);
/* 670 */     paramObjectOutputStream.writeInt(this.length);
/* 671 */     paramObjectOutputStream.writeInt(this.characterSemantic);
/* 672 */     paramObjectOutputStream.writeShort(this.pickleCharaterSetId);
/* 673 */     paramObjectOutputStream.writeShort(this.pickleNcharCharacterSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 683 */     this.form = paramObjectInputStream.readInt();
/* 684 */     this.charset = paramObjectInputStream.readInt();
/* 685 */     this.length = paramObjectInputStream.readInt();
/* 686 */     this.characterSemantic = paramObjectInputStream.readInt();
/* 687 */     this.pickleCharaterSetId = paramObjectInputStream.readShort();
/* 688 */     this.pickleNcharCharacterSet = paramObjectInputStream.readShort();
/*     */     
/* 690 */     if (this.pickleNcharCharacterSet != 0) {
/* 691 */       this.pickleCharacterSet = CharacterSet.make(this.pickleNcharCharacterSet);
/*     */     } else {
/* 693 */       this.pickleCharacterSet = CharacterSet.make(this.pickleCharaterSetId);
/*     */     } 
/*     */   }
/*     */   
/*     */   public void setConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 698 */     this.connection = paramOracleConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isNCHAR() throws SQLException {
/* 710 */     return (this.form == 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 750 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleTypeCHAR.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */