/*      */ package oracle.jdbc.oracore;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.ObjectInputStream;
/*      */ import java.io.ObjectOutputStream;
/*      */ import java.io.PrintWriter;
/*      */ import java.io.Serializable;
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Statement;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.SQLName;
/*      */ import oracle.sql.StructDescriptor;
/*      */ import oracle.sql.TypeDescriptor;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class OracleTypeCOLLECTION
/*      */   extends OracleTypeADT
/*      */   implements Serializable
/*      */ {
/*      */   static final long serialVersionUID = -7279638692691669378L;
/*      */   public static final int TYPE_PLSQL_INDEX_TABLE = 1;
/*      */   public static final int TYPE_NESTED_TABLE = 2;
/*      */   public static final int TYPE_VARRAY = 3;
/*   57 */   int userCode = 0;
/*   58 */   long maxSize = 0L;
/*   59 */   OracleType elementType = null;
/*      */   
/*      */   static final int TRY_USER_WITH_FULL_NAME = 1;
/*      */   static final int TRY_USER_WITH_TYPE_NAME = 2;
/*      */   static final int TRY_ALL_WITH_FULL_NAME = 3;
/*      */   static final int TRY_ALL_WITH_TYPE_NAME = 4;
/*      */   static final int BREAK_LOOP = 5;
/*      */   
/*      */   public OracleTypeCOLLECTION(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/*   68 */     super(paramString, (Connection)paramOracleConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeCOLLECTION(OracleTypeADT paramOracleTypeADT, int paramInt, OracleConnection paramOracleConnection) throws SQLException {
/*   77 */     super(paramOracleTypeADT, paramInt, (Connection)paramOracleConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeCOLLECTION(SQLName paramSQLName, byte[] paramArrayOfbyte1, int paramInt, byte[] paramArrayOfbyte2, byte[] paramArrayOfbyte3, OracleConnection paramOracleConnection, byte[] paramArrayOfbyte4) throws SQLException {
/*   88 */     super(paramSQLName, paramArrayOfbyte1, paramInt, paramArrayOfbyte2, paramArrayOfbyte3, paramOracleConnection, paramArrayOfbyte4);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/*  105 */     if (paramObject != null) {
/*      */       
/*  107 */       if (paramObject instanceof ARRAY) {
/*  108 */         return (Datum)paramObject;
/*      */       }
/*      */       
/*  111 */       ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */       
/*  113 */       return (Datum)new ARRAY(arrayDescriptor, (Connection)this.connection, paramObject);
/*      */     } 
/*      */ 
/*      */     
/*  117 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTypeCode() {
/*  127 */     return 2003;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInHierarchyOf(OracleType paramOracleType) throws SQLException {
/*  136 */     if (paramOracleType == null) {
/*  137 */       return false;
/*      */     }
/*  139 */     if (paramOracleType == this) {
/*  140 */       return true;
/*      */     }
/*  142 */     if (paramOracleType.getClass() != getClass()) {
/*  143 */       return false;
/*      */     }
/*  145 */     return paramOracleType.getTypeDescriptor().getName().equals(this.descriptor.getName());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isInHierarchyOf(StructDescriptor paramStructDescriptor) throws SQLException {
/*  152 */     return false;
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean isObjectType() {
/*  157 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void parseTDSrec(TDSReader paramTDSReader) throws SQLException {
/*  172 */     long l = paramTDSReader.readLong();
/*      */ 
/*      */ 
/*      */     
/*  176 */     this.maxSize = paramTDSReader.readLong();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  182 */     this.userCode = paramTDSReader.readByte();
/*      */ 
/*      */     
/*  185 */     paramTDSReader.addSimplePatch(l, this);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum unlinearize(byte[] paramArrayOfbyte, long paramLong, Datum paramDatum, int paramInt, Map paramMap) throws SQLException {
/*  195 */     return unlinearize(paramArrayOfbyte, paramLong, paramDatum, 1L, -1, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum unlinearize(byte[] paramArrayOfbyte, long paramLong1, Datum paramDatum, long paramLong2, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  202 */     OracleConnection oracleConnection = getConnection();
/*  203 */     Datum datum = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  208 */     if (oracleConnection == null) {
/*      */       
/*  210 */       datum = unlinearizeInternal(paramArrayOfbyte, paramLong1, paramDatum, paramLong2, paramInt1, paramInt2, paramMap);
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  215 */       synchronized (oracleConnection) {
/*      */         
/*  217 */         datum = unlinearizeInternal(paramArrayOfbyte, paramLong1, paramDatum, paramLong2, paramInt1, paramInt2, paramMap);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  222 */     return datum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized Datum unlinearizeInternal(byte[] paramArrayOfbyte, long paramLong1, Datum paramDatum, long paramLong2, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  236 */     if (paramArrayOfbyte == null) {
/*  237 */       return null;
/*      */     }
/*  239 */     if ((paramArrayOfbyte[0] & 0x80) > 0) {
/*      */       
/*  241 */       PickleContext pickleContext = new PickleContext(paramArrayOfbyte, paramLong1);
/*      */       
/*  243 */       return (Datum)unpickle81(pickleContext, (ARRAY)paramDatum, paramLong2, paramInt1, 1, paramInt2, paramMap);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  251 */     UnpickleContext unpickleContext = new UnpickleContext(paramArrayOfbyte, (int)paramLong1, null, null, this.bigEndian);
/*      */ 
/*      */     
/*  254 */     return (Datum)unpickle80(unpickleContext, (ARRAY)paramDatum, paramLong2, paramInt1, 1, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public synchronized boolean isInlineImage(byte[] paramArrayOfbyte, int paramInt) throws SQLException {
/*  266 */     if (paramArrayOfbyte == null) {
/*  267 */       return false;
/*      */     }
/*  269 */     if ((paramArrayOfbyte[paramInt] & 0x80) > 0) {
/*      */       
/*  271 */       if (PickleContext.isCollectionImage_pctx(paramArrayOfbyte[paramInt]))
/*  272 */         return true; 
/*  273 */       if (PickleContext.isDegenerateImage_pctx(paramArrayOfbyte[paramInt])) {
/*  274 */         return false;
/*      */       }
/*  276 */       DatabaseError.throwSqlException(1, "Image is not a collection image");
/*      */ 
/*      */       
/*  279 */       return false;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  286 */     if (paramArrayOfbyte[paramInt + 0] == 0 && paramArrayOfbyte[paramInt + 1] == 0 && paramArrayOfbyte[paramInt + 2] == 0 && paramArrayOfbyte[paramInt + 3] == 0)
/*      */     {
/*  288 */       return false;
/*      */     }
/*  290 */     return ((paramArrayOfbyte[paramInt + 10] & 0x1) == 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ARRAY unpickle80(UnpickleContext paramUnpickleContext, ARRAY paramARRAY, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  308 */     return unpickle80(paramUnpickleContext, paramARRAY, 1L, -1, paramInt1, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected ARRAY unpickle80(UnpickleContext paramUnpickleContext, ARRAY paramARRAY, long paramLong, int paramInt1, int paramInt2, int paramInt3, Map paramMap) throws SQLException {
/*  320 */     ARRAY aRRAY = paramARRAY;
/*      */     
/*  322 */     if (paramInt2 == 3) {
/*      */       
/*  324 */       if (aRRAY == null) {
/*      */         
/*  326 */         ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */         
/*  328 */         aRRAY = new ARRAY(arrayDescriptor, (byte[])null, (Connection)this.connection);
/*      */       } 
/*      */       
/*  331 */       aRRAY.setImage(paramUnpickleContext.image(), paramUnpickleContext.absoluteOffset(), 0L);
/*      */     } 
/*      */     
/*  334 */     long l1 = paramUnpickleContext.readLong();
/*      */     
/*  336 */     if (l1 == 0L)
/*      */     {
/*  338 */       return null;
/*      */     }
/*  340 */     if (paramInt2 == 9) {
/*      */       
/*  342 */       paramUnpickleContext.skipBytes((int)l1);
/*      */       
/*  344 */       return aRRAY;
/*      */     } 
/*  346 */     if (paramInt2 == 3) {
/*      */ 
/*      */ 
/*      */       
/*  350 */       aRRAY.setImageLength(l1 + 4L);
/*  351 */       paramUnpickleContext.skipBytes((int)l1);
/*      */       
/*  353 */       return aRRAY;
/*      */     } 
/*      */     
/*  356 */     if (aRRAY == null) {
/*      */       
/*  358 */       ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */       
/*  360 */       aRRAY = new ARRAY(arrayDescriptor, (byte[])null, (Connection)this.connection);
/*      */     } 
/*      */     
/*  363 */     paramUnpickleContext.skipBytes(2);
/*      */     
/*  365 */     long l2 = paramUnpickleContext.readLong();
/*  366 */     byte b = paramUnpickleContext.readByte();
/*      */     
/*  368 */     aRRAY.setLocator(paramUnpickleContext.readBytes((int)l2 - 1));
/*      */ 
/*      */     
/*  371 */     boolean bool = ((b & 0x1) == 1) ? true : false;
/*      */     
/*  373 */     if (bool) {
/*      */       
/*  375 */       long l = paramUnpickleContext.readLong() + paramUnpickleContext.offset();
/*      */       
/*  377 */       UnpickleContext unpickleContext = new UnpickleContext(paramUnpickleContext.image(), paramUnpickleContext.absoluteOffset(), null, null, this.bigEndian);
/*      */ 
/*      */       
/*  380 */       if (paramLong == 1L && paramInt1 == -1) {
/*  381 */         aRRAY = (ARRAY)unpickle80rec(unpickleContext, aRRAY, paramInt3, paramMap);
/*      */       } else {
/*      */         
/*  384 */         aRRAY = (ARRAY)unpickle80rec(unpickleContext, aRRAY, paramLong, paramInt1, paramInt3, paramMap);
/*      */       } 
/*      */       
/*  387 */       paramUnpickleContext.skipTo(l);
/*      */     } 
/*      */     
/*  390 */     return aRRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  403 */     return unpickle80rec(paramUnpickleContext, (ARRAY)null, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object unpickle80rec(UnpickleContext paramUnpickleContext, ARRAY paramARRAY, int paramInt, Map paramMap) throws SQLException {
/*  413 */     ARRAY aRRAY = paramARRAY;
/*      */     
/*  415 */     if (aRRAY == null) {
/*      */       
/*  417 */       ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */       
/*  419 */       aRRAY = new ARRAY(arrayDescriptor, (byte[])null, (Connection)this.connection);
/*      */     } 
/*      */ 
/*      */     
/*  423 */     int i = (int)paramUnpickleContext.readLong();
/*      */     
/*  425 */     aRRAY.setLength(i);
/*      */     
/*  427 */     if (paramInt == 0) {
/*  428 */       return aRRAY;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  433 */     byte b = paramUnpickleContext.readByte();
/*      */     
/*  435 */     if (b != 0 && b != 2) {
/*  436 */       DatabaseError.throwSqlException(23, "collection flag = " + b);
/*      */     }
/*      */     
/*  439 */     byte b1 = (b == 0) ? 2 : 3;
/*      */ 
/*      */     
/*  442 */     unpickle80rec_elems(paramUnpickleContext, aRRAY, 1, i, paramInt, paramMap, b1);
/*      */ 
/*      */     
/*  445 */     return aRRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object unpickle80rec(UnpickleContext paramUnpickleContext, ARRAY paramARRAY, long paramLong, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  457 */     ARRAY aRRAY = paramARRAY;
/*      */     
/*  459 */     if (aRRAY == null) {
/*      */       
/*  461 */       ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */       
/*  463 */       aRRAY = new ARRAY(arrayDescriptor, (byte[])null, (Connection)this.connection);
/*      */     } 
/*      */ 
/*      */     
/*  467 */     long l = paramUnpickleContext.readLong();
/*      */     
/*  469 */     aRRAY.setLength((int)l);
/*      */ 
/*      */     
/*  472 */     byte b = paramUnpickleContext.readByte();
/*      */     
/*  474 */     if (b != 0 && b != 2) {
/*  475 */       DatabaseError.throwSqlException(23, "collection flag = " + b);
/*      */     }
/*      */     
/*  478 */     byte b1 = (b == 0) ? 2 : 3;
/*      */ 
/*      */     
/*  481 */     int i = (int)getAccessLength(l, paramLong, paramInt1);
/*  482 */     boolean bool = (ArrayDescriptor.getCacheStyle(aRRAY) == 1) ? true : false;
/*      */ 
/*      */ 
/*      */     
/*  486 */     if (paramLong > 1L && i > 0)
/*      */     {
/*  488 */       if (this.elementType instanceof OracleTypeNUMBER || this.elementType instanceof OracleTypeFLOAT || this.elementType instanceof OracleTypeSINT32)
/*      */       
/*      */       { 
/*      */ 
/*      */ 
/*      */         
/*  494 */         switch (b1)
/*      */         
/*      */         { 
/*      */           case 2:
/*  498 */             paramUnpickleContext.skipBytes(23 * ((int)paramLong - 1));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  571 */             unpickle80rec_elems(paramUnpickleContext, aRRAY, (int)paramLong, i, paramInt2, paramMap, b1);
/*      */ 
/*      */             
/*  574 */             return aRRAY;case 3: paramUnpickleContext.skipBytes(22 * ((int)paramLong - 1)); unpickle80rec_elems(paramUnpickleContext, aRRAY, (int)paramLong, i, paramInt2, paramMap, b1); return aRRAY; }  DatabaseError.throwSqlException(1); } else { long l1 = aRRAY.getLastIndex(); if (l1 < paramLong) { if (l1 > 0L) { paramUnpickleContext.skipTo(aRRAY.getLastOffset()); } else { l1 = 1L; }  if (bool) { long l2; for (l2 = l1; l2 < paramLong; l2++) { aRRAY.setIndexOffset(l2, paramUnpickleContext.offset()); this.elementType.unpickle80rec(paramUnpickleContext, b1, 9, null); }  } else { long l2; for (l2 = l1; l2 < paramLong; l2++) this.elementType.unpickle80rec(paramUnpickleContext, b1, 9, null);  }  } else if (l1 > paramLong) { long l2 = aRRAY.getOffset(paramLong); if (l2 != -1L) { paramUnpickleContext.skipTo(l2); } else if (bool) { long l3; for (l3 = 1L; l3 < paramLong; l3++) { aRRAY.setIndexOffset(l3, paramUnpickleContext.offset()); this.elementType.unpickle80rec(paramUnpickleContext, b1, 9, null); }  } else { for (byte b2 = 1; b2 < paramLong; b2++) this.elementType.unpickle80rec(paramUnpickleContext, b1, 9, null);  }  } else { paramUnpickleContext.skipTo(aRRAY.getLastOffset()); }  aRRAY.setLastIndexOffset(paramLong, paramUnpickleContext.offset()); }  }  unpickle80rec_elems(paramUnpickleContext, aRRAY, (int)paramLong, i, paramInt2, paramMap, b1); return aRRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object unpickle80rec_elems(UnpickleContext paramUnpickleContext, ARRAY paramARRAY, int paramInt1, int paramInt2, int paramInt3, Map paramMap, int paramInt4) throws SQLException {
/*      */     Datum[] arrayOfDatum;
/*      */     Object[] arrayOfObject;
/*  586 */     boolean bool = (ArrayDescriptor.getCacheStyle(paramARRAY) == 1) ? true : false;
/*      */ 
/*      */ 
/*      */     
/*  590 */     switch (paramInt3)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*  597 */         arrayOfDatum = new Datum[paramInt2];
/*      */         
/*  599 */         if (bool) {
/*      */           
/*  601 */           for (byte b = 0; b < paramInt2; b++)
/*      */           {
/*  603 */             paramARRAY.setIndexOffset((paramInt1 + b), paramUnpickleContext.offset());
/*      */             
/*  605 */             arrayOfDatum[b] = (Datum)this.elementType.unpickle80rec(paramUnpickleContext, paramInt4, paramInt3, paramMap);
/*      */           }
/*      */         
/*      */         }
/*      */         else {
/*      */           
/*  611 */           for (byte b = 0; b < paramInt2; b++)
/*      */           {
/*  613 */             arrayOfDatum[b] = (Datum)this.elementType.unpickle80rec(paramUnpickleContext, paramInt4, paramInt3, paramMap);
/*      */           }
/*      */         } 
/*      */ 
/*      */         
/*  618 */         paramARRAY.setDatumArray(arrayOfDatum);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  676 */         paramARRAY.setLastIndexOffset((paramInt1 + paramInt2), paramUnpickleContext.offset());
/*      */         
/*  678 */         return paramARRAY;case 2: arrayOfObject = ArrayDescriptor.makeJavaArray(paramInt2, this.elementType.getTypeCode()); if (bool) { for (byte b = 0; b < paramInt2; b++) { paramARRAY.setIndexOffset((paramInt1 + b), paramUnpickleContext.offset()); arrayOfObject[b] = this.elementType.unpickle80rec(paramUnpickleContext, paramInt4, paramInt3, paramMap); }  } else { for (byte b = 0; b < paramInt2; b++) arrayOfObject[b] = this.elementType.unpickle80rec(paramUnpickleContext, paramInt4, paramInt3, paramMap);  }  paramARRAY.setObjArray(arrayOfObject); paramARRAY.setLastIndexOffset((paramInt1 + paramInt2), paramUnpickleContext.offset()); return paramARRAY;case 4: case 5: case 6: case 7: case 8: if (this.elementType instanceof OracleTypeNUMBER || this.elementType instanceof OracleTypeFLOAT) { paramARRAY.setObjArray(OracleTypeNUMBER.unpickle80NativeArray(paramUnpickleContext, 1L, paramInt2, paramInt3, paramInt4)); } else { DatabaseError.throwSqlException(23); }  paramARRAY.setLastIndexOffset((paramInt1 + paramInt2), paramUnpickleContext.offset()); return paramARRAY; }  DatabaseError.throwSqlException(1); paramARRAY.setLastIndexOffset((paramInt1 + paramInt2), paramUnpickleContext.offset()); return paramARRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int pickle81(PickleContext paramPickleContext, Datum paramDatum) throws SQLException {
/*  693 */     ARRAY aRRAY = (ARRAY)paramDatum;
/*      */     
/*  695 */     boolean bool = aRRAY.hasDataSeg();
/*  696 */     int i = 0;
/*  697 */     int j = paramPickleContext.offset() + 2;
/*      */     
/*  699 */     if (bool) {
/*      */       
/*  701 */       if (!this.metaDataInitialized) {
/*  702 */         copy_properties((OracleTypeCOLLECTION)aRRAY.getDescriptor().getPickler());
/*      */       }
/*  704 */       Datum[] arrayOfDatum = aRRAY.getOracleArray();
/*      */ 
/*      */       
/*  707 */       if (this.userCode == 3)
/*      */       {
/*  709 */         if (arrayOfDatum.length > this.maxSize) {
/*  710 */           DatabaseError.throwSqlException(71, null);
/*      */         }
/*      */       }
/*      */       
/*  714 */       i += paramPickleContext.writeCollImageHeader(arrayOfDatum.length, this.typeVersion);
/*      */       
/*  716 */       for (byte b = 0; b < arrayOfDatum.length; b++)
/*      */       {
/*  718 */         if (arrayOfDatum[b] == null) {
/*  719 */           i += paramPickleContext.writeElementNull();
/*      */         } else {
/*  721 */           i += this.elementType.pickle81(paramPickleContext, arrayOfDatum[b]);
/*      */         }
/*      */       
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  729 */       i += paramPickleContext.writeCollImageHeader(aRRAY.getLocator());
/*      */     } 
/*      */     
/*  732 */     paramPickleContext.patchImageLen(j, i);
/*      */     
/*  734 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   ARRAY unpickle81(PickleContext paramPickleContext, ARRAY paramARRAY, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  743 */     return unpickle81(paramPickleContext, paramARRAY, 1L, -1, paramInt1, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   ARRAY unpickle81(PickleContext paramPickleContext, ARRAY paramARRAY, long paramLong, int paramInt1, int paramInt2, int paramInt3, Map paramMap) throws SQLException {
/*  755 */     ARRAY aRRAY = paramARRAY;
/*      */     
/*  757 */     if (aRRAY == null) {
/*      */       
/*  759 */       ArrayDescriptor arrayDescriptor = createArrayDescriptor();
/*      */       
/*  761 */       aRRAY = new ARRAY(arrayDescriptor, (byte[])null, (Connection)this.connection);
/*      */     } 
/*      */     
/*  764 */     if (unpickle81ImgHeader(paramPickleContext, aRRAY, paramInt2, paramInt3))
/*      */     {
/*  766 */       if (paramLong == 1L && paramInt1 == -1) {
/*  767 */         unpickle81ImgBody(paramPickleContext, aRRAY, paramInt3, paramMap);
/*      */       } else {
/*  769 */         unpickle81ImgBody(paramPickleContext, aRRAY, paramLong, paramInt1, paramInt3, paramMap);
/*      */       } 
/*      */     }
/*      */     
/*  773 */     return aRRAY;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   boolean unpickle81ImgHeader(PickleContext paramPickleContext, ARRAY paramARRAY, int paramInt1, int paramInt2) throws SQLException {
/*  779 */     boolean bool = true;
/*      */     
/*  781 */     if (paramInt1 == 3)
/*      */     {
/*  783 */       paramARRAY.setImage(paramPickleContext.image(), paramPickleContext.absoluteOffset(), 0L);
/*      */     }
/*      */     
/*  786 */     byte b = paramPickleContext.readByte();
/*      */     
/*  788 */     if (!PickleContext.is81format(b)) {
/*  789 */       DatabaseError.throwSqlException(1, "Image is not in 8.1 format");
/*      */     }
/*      */     
/*  792 */     if (!PickleContext.hasPrefix(b)) {
/*  793 */       DatabaseError.throwSqlException(1, "Image has no prefix segment");
/*      */     }
/*      */     
/*  796 */     if (PickleContext.isCollectionImage_pctx(b)) {
/*  797 */       bool = true;
/*  798 */     } else if (PickleContext.isDegenerateImage_pctx(b)) {
/*  799 */       bool = false;
/*      */     } else {
/*  801 */       DatabaseError.throwSqlException(1, "Image is not a collection image");
/*      */     } 
/*      */ 
/*      */     
/*  805 */     paramPickleContext.readByte();
/*      */ 
/*      */     
/*  808 */     if (paramInt1 == 9) {
/*      */       
/*  810 */       paramPickleContext.skipBytes(paramPickleContext.readLength(true) - 2);
/*      */       
/*  812 */       return false;
/*      */     } 
/*  814 */     if (paramInt1 == 3) {
/*      */       
/*  816 */       long l = paramPickleContext.readLength();
/*      */       
/*  818 */       paramARRAY.setImageLength(l);
/*  819 */       paramPickleContext.skipTo(paramARRAY.getImageOffset() + l);
/*      */       
/*  821 */       return false;
/*      */     } 
/*      */     
/*  824 */     paramPickleContext.skipLength();
/*      */ 
/*      */     
/*  827 */     int i = paramPickleContext.readLength();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  832 */     paramARRAY.setPrefixFlag(paramPickleContext.readByte());
/*      */     
/*  834 */     if (paramARRAY.isInline()) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  841 */       paramPickleContext.readDataValue(i - 1);
/*      */     }
/*      */     else {
/*      */       
/*  845 */       paramARRAY.setLocator(paramPickleContext.readDataValue(i - 1));
/*      */     } 
/*      */     
/*  848 */     return paramARRAY.isInline();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void unpickle81ImgBody(PickleContext paramPickleContext, ARRAY paramARRAY, long paramLong, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*  858 */     paramPickleContext.readByte();
/*      */ 
/*      */     
/*  861 */     int i = paramPickleContext.readLength();
/*      */     
/*  863 */     paramARRAY.setLength(i);
/*      */     
/*  865 */     if (paramInt2 == 0) {
/*      */       return;
/*      */     }
/*      */ 
/*      */     
/*  870 */     int j = (int)getAccessLength(i, paramLong, paramInt1);
/*  871 */     boolean bool = (ArrayDescriptor.getCacheStyle(paramARRAY) == 1) ? true : false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  876 */     if (paramLong > 1L && j > 0) {
/*      */       
/*  878 */       long l = paramARRAY.getLastIndex();
/*      */       
/*  880 */       if (l < paramLong) {
/*      */         
/*  882 */         if (l > 0L) {
/*  883 */           paramPickleContext.skipTo(paramARRAY.getLastOffset());
/*      */         } else {
/*  885 */           l = 1L;
/*      */         } 
/*  887 */         if (bool) {
/*      */           long l1;
/*  889 */           for (l1 = l; l1 < paramLong; l1++) {
/*      */             
/*  891 */             paramARRAY.setIndexOffset(l1, paramPickleContext.offset());
/*  892 */             this.elementType.unpickle81rec(paramPickleContext, 9, null);
/*      */           } 
/*      */         } else {
/*      */           long l1;
/*      */           
/*  897 */           for (l1 = l; l1 < paramLong; l1++) {
/*  898 */             this.elementType.unpickle81rec(paramPickleContext, 9, null);
/*      */           }
/*      */         } 
/*  901 */       } else if (l > paramLong) {
/*      */         
/*  903 */         long l1 = paramARRAY.getOffset(paramLong);
/*      */         
/*  905 */         if (l1 != -1L) {
/*      */           
/*  907 */           paramPickleContext.skipTo(l1);
/*      */ 
/*      */         
/*      */         }
/*  911 */         else if (bool) {
/*      */           
/*  913 */           for (byte b = 1; b < paramLong; b++)
/*      */           {
/*  915 */             paramARRAY.setIndexOffset(b, paramPickleContext.offset());
/*  916 */             this.elementType.unpickle81rec(paramPickleContext, 9, null);
/*      */           }
/*      */         
/*      */         } else {
/*      */           
/*  921 */           for (byte b = 1; b < paramLong; b++) {
/*  922 */             this.elementType.unpickle81rec(paramPickleContext, 9, null);
/*      */           }
/*      */         } 
/*      */       } else {
/*      */         
/*  927 */         paramPickleContext.skipTo(paramARRAY.getLastOffset());
/*      */       } 
/*  929 */       paramARRAY.setLastIndexOffset(paramLong, paramPickleContext.offset());
/*      */     } 
/*      */ 
/*      */     
/*  933 */     unpickle81ImgBodyElements(paramPickleContext, paramARRAY, (int)paramLong, j, paramInt2, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void unpickle81ImgBody(PickleContext paramPickleContext, ARRAY paramARRAY, int paramInt, Map paramMap) throws SQLException {
/*  943 */     paramPickleContext.readByte();
/*      */ 
/*      */     
/*  946 */     int i = paramPickleContext.readLength();
/*      */     
/*  948 */     paramARRAY.setLength(i);
/*      */     
/*  950 */     if (paramInt == 0) {
/*      */       return;
/*      */     }
/*      */ 
/*      */     
/*  955 */     unpickle81ImgBodyElements(paramPickleContext, paramARRAY, 1, i, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void unpickle81ImgBodyElements(PickleContext paramPickleContext, ARRAY paramARRAY, int paramInt1, int paramInt2, int paramInt3, Map paramMap) throws SQLException {
/*      */     Datum[] arrayOfDatum;
/*      */     Object[] arrayOfObject;
/*  964 */     boolean bool = (ArrayDescriptor.getCacheStyle(paramARRAY) == 1) ? true : false;
/*      */ 
/*      */ 
/*      */     
/*  968 */     switch (paramInt3) {
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*  973 */         arrayOfDatum = new Datum[paramInt2];
/*      */         
/*  975 */         if (bool) {
/*      */           
/*  977 */           for (byte b = 0; b < paramInt2; b++)
/*      */           {
/*  979 */             paramARRAY.setIndexOffset((paramInt1 + b), paramPickleContext.offset());
/*      */             
/*  981 */             arrayOfDatum[b] = (Datum)this.elementType.unpickle81rec(paramPickleContext, paramInt3, paramMap);
/*      */           }
/*      */         
/*      */         }
/*      */         else {
/*      */           
/*  987 */           for (byte b = 0; b < paramInt2; b++) {
/*  988 */             arrayOfDatum[b] = (Datum)this.elementType.unpickle81rec(paramPickleContext, paramInt3, paramMap);
/*      */           }
/*      */         } 
/*      */         
/*  992 */         paramARRAY.setDatumArray(arrayOfDatum);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 2:
/*  999 */         arrayOfObject = ArrayDescriptor.makeJavaArray(paramInt2, this.elementType.getTypeCode());
/*      */ 
/*      */         
/* 1002 */         if (bool) {
/*      */           
/* 1004 */           for (byte b = 0; b < paramInt2; b++)
/*      */           {
/* 1006 */             paramARRAY.setIndexOffset((paramInt1 + b), paramPickleContext.offset());
/*      */             
/* 1008 */             arrayOfObject[b] = this.elementType.unpickle81rec(paramPickleContext, paramInt3, paramMap);
/*      */           }
/*      */         
/*      */         } else {
/*      */           
/* 1013 */           for (byte b = 0; b < paramInt2; b++) {
/* 1014 */             arrayOfObject[b] = this.elementType.unpickle81rec(paramPickleContext, paramInt3, paramMap);
/*      */           }
/*      */         } 
/* 1017 */         paramARRAY.setObjArray(arrayOfObject);
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 4:
/*      */       case 5:
/*      */       case 6:
/*      */       case 7:
/*      */       case 8:
/* 1032 */         if (this.elementType instanceof OracleTypeNUMBER || this.elementType instanceof OracleTypeFLOAT) {
/*      */ 
/*      */           
/* 1035 */           paramARRAY.setObjArray(OracleTypeNUMBER.unpickle81NativeArray(paramPickleContext, 1L, paramInt2, paramInt3));
/*      */           
/*      */           break;
/*      */         } 
/* 1039 */         DatabaseError.throwSqlException(23, "This feature is limited to numeric collection");
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       default:
/* 1048 */         DatabaseError.throwSqlException(68, "Invalid conversion type " + this.elementType);
/*      */         break;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1055 */     paramARRAY.setLastIndexOffset((paramInt1 + paramInt2), paramPickleContext.offset());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private synchronized void initCollElemTypeName() throws SQLException {
/* 1070 */     Statement statement = null;
/* 1071 */     ResultSet resultSet = null;
/*      */ 
/*      */ 
/*      */     
/* 1075 */     try { statement = this.connection.createStatement();
/*      */       
/* 1077 */       byte b = 2;
/*      */       
/*      */       while (true) {
/* 1080 */         String str = "SELECT ELEM_TYPE_NAME, ELEM_TYPE_OWNER FROM";
/* 1081 */         switch (b) {
/*      */           
/*      */           case 1:
/* 1084 */             str = str + " USER_COLL_TYPES WHERE TYPE_NAME='" + this.sqlName.getSimpleName() + "'  AND OWNER='" + this.sqlName.getSchema() + "'";
/* 1085 */             b = 2;
/*      */             break;
/*      */           
/*      */           case 2:
/* 1089 */             str = str + " USER_COLL_TYPES WHERE TYPE_NAME='" + this.sqlName.getSimpleName() + "'";
/* 1090 */             b = 3;
/*      */             break;
/*      */           
/*      */           case 3:
/* 1094 */             str = str + " ALL_COLL_TYPES WHERE TYPE_NAME='" + this.sqlName.getSimpleName() + "'  AND OWNER='" + this.sqlName.getSchema() + "'";
/* 1095 */             b = 4;
/*      */             break;
/*      */           
/*      */           case 4:
/* 1099 */             str = str + " ALL_COLL_TYPES WHERE TYPE_NAME='" + this.sqlName.getSimpleName() + "'";
/* 1100 */             b = 5;
/*      */             break;
/*      */         } 
/*      */         
/* 1104 */         resultSet = statement.executeQuery(str);
/*      */         
/* 1106 */         if (resultSet.next()) {
/*      */           
/* 1108 */           if (this.attrTypeNames == null) {
/* 1109 */             this.attrTypeNames = new String[1];
/*      */           }
/* 1111 */           this.attrTypeNames[0] = resultSet.getString(2) + "." + resultSet.getString(1);
/* 1112 */           b = 5;
/* 1113 */         } else if (b == 5) {
/* 1114 */           DatabaseError.throwSqlException(1);
/*      */         } 
/* 1116 */         if (b == 5)
/*      */           return; 
/*      */       }  }
/* 1119 */     finally { if (resultSet != null)
/* 1120 */         resultSet.close(); 
/* 1121 */       if (statement != null) {
/* 1122 */         statement.close();
/*      */       } }
/*      */   
/*      */   }
/*      */   
/*      */   public String getAttributeName(int paramInt) throws SQLException {
/* 1128 */     DatabaseError.throwSqlException(1);
/*      */     
/* 1130 */     return null;
/*      */   }
/*      */ 
/*      */   
/*      */   public String getAttributeName(int paramInt, boolean paramBoolean) throws SQLException {
/* 1135 */     return getAttributeName(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttributeType(int paramInt) throws SQLException {
/* 1146 */     if (paramInt != 1) {
/* 1147 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 1149 */     if (this.sqlName == null) {
/* 1150 */       getFullName();
/*      */     }
/* 1152 */     if (this.attrTypeNames == null) {
/* 1153 */       initCollElemTypeName();
/*      */     }
/* 1155 */     return this.attrTypeNames[0];
/*      */   }
/*      */ 
/*      */   
/*      */   public String getAttributeType(int paramInt, boolean paramBoolean) throws SQLException {
/* 1160 */     if (paramBoolean) {
/* 1161 */       return getAttributeType(paramInt);
/*      */     }
/*      */     
/* 1164 */     if (paramInt != 1) {
/* 1165 */       DatabaseError.throwSqlException(68);
/*      */     }
/* 1167 */     if (this.sqlName != null && this.attrTypeNames != null) {
/* 1168 */       return this.attrTypeNames[0];
/*      */     }
/* 1170 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public int getNumAttrs() throws SQLException {
/* 1176 */     return 0;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleType getAttrTypeAt(int paramInt) throws SQLException {
/* 1181 */     return null;
/*      */   }
/*      */ 
/*      */   
/*      */   ArrayDescriptor createArrayDescriptor() throws SQLException {
/* 1186 */     return new ArrayDescriptor(this, (Connection)this.connection);
/*      */   }
/*      */ 
/*      */   
/*      */   ArrayDescriptor createArrayDescriptorWithItsOwnTree() throws SQLException {
/* 1191 */     if (this.descriptor == null)
/*      */     {
/* 1193 */       if (this.sqlName == null && getFullName(false) == null) {
/*      */         
/* 1195 */         this.descriptor = (TypeDescriptor)new ArrayDescriptor(this, (Connection)this.connection);
/*      */       }
/*      */       else {
/*      */         
/* 1199 */         this.descriptor = (TypeDescriptor)ArrayDescriptor.createDescriptor(this.sqlName, (Connection)this.connection);
/*      */       } 
/*      */     }
/*      */     
/* 1203 */     return (ArrayDescriptor)this.descriptor;
/*      */   }
/*      */ 
/*      */   
/*      */   public OracleType getElementType() throws SQLException {
/* 1208 */     return this.elementType;
/*      */   }
/*      */ 
/*      */   
/*      */   public int getUserCode() throws SQLException {
/* 1213 */     return this.userCode;
/*      */   }
/*      */ 
/*      */   
/*      */   public long getMaxLength() throws SQLException {
/* 1218 */     return this.maxSize;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private long getAccessLength(long paramLong1, long paramLong2, int paramInt) throws SQLException {
/* 1224 */     if (paramLong2 > paramLong1) {
/* 1225 */       return 0L;
/*      */     }
/* 1227 */     if (paramInt < 0)
/*      */     {
/* 1229 */       return paramLong1 - paramLong2 + 1L;
/*      */     }
/*      */ 
/*      */     
/* 1233 */     return Math.min(paramLong1 - paramLong2 + 1L, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 1246 */     paramObjectOutputStream.writeInt(this.userCode);
/* 1247 */     paramObjectOutputStream.writeLong(this.maxSize);
/* 1248 */     paramObjectOutputStream.writeObject(this.elementType);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 1257 */     this.userCode = paramObjectInputStream.readInt();
/* 1258 */     this.maxSize = paramObjectInputStream.readLong();
/* 1259 */     this.elementType = (OracleType)paramObjectInputStream.readObject();
/*      */   }
/*      */ 
/*      */   
/*      */   public void setConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 1264 */     this.connection = paramOracleConnection;
/*      */     
/* 1266 */     this.elementType.setConnection(paramOracleConnection);
/*      */   }
/*      */ 
/*      */   
/*      */   public void initMetadataRecursively() throws SQLException {
/* 1271 */     initMetadata(this.connection);
/* 1272 */     if (this.elementType != null) this.elementType.initMetadataRecursively();
/*      */   
/*      */   }
/*      */   
/*      */   public void initChildNamesRecursively(Map paramMap) throws SQLException {
/* 1277 */     TypeTreeElement typeTreeElement = (TypeTreeElement)paramMap.get(this.sqlName);
/*      */     
/* 1279 */     if (this.elementType != null) {
/*      */       
/* 1281 */       this.elementType.setNames(typeTreeElement.getChildSchemaName(0), typeTreeElement.getChildTypeName(0));
/* 1282 */       this.elementType.initChildNamesRecursively(paramMap);
/* 1283 */       this.elementType.cacheDescriptor();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void cacheDescriptor() throws SQLException {
/* 1289 */     this.descriptor = (TypeDescriptor)ArrayDescriptor.createDescriptor(this);
/*      */   }
/*      */ 
/*      */   
/*      */   public void printXML(PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/*      */     byte b;
/* 1295 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 1296 */      paramPrintWriter.println("<OracleTypeCOLLECTION sqlName=\"" + this.sqlName + "\" " + " toid=\"" + this.toid + "\" " + ">");
/*      */ 
/*      */ 
/*      */     
/* 1300 */     if (this.elementType != null)
/* 1301 */       this.elementType.printXML(paramPrintWriter, paramInt + 1); 
/* 1302 */     for (b = 0; b < paramInt; ) { paramPrintWriter.print("  "); b++; }
/* 1303 */      paramPrintWriter.println("</OracleTypeCOLLECTION>");
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 1308 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleTypeCOLLECTION.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */