/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.NUMBER;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleTypeNUMBER
/*     */   extends OracleType
/*     */   implements Serializable
/*     */ {
/*     */   static final long serialVersionUID = -7182242886677299812L;
/*     */   int precision;
/*     */   int scale;
/*     */   
/*     */   protected OracleTypeNUMBER() {}
/*     */   
/*     */   protected OracleTypeNUMBER(int paramInt) {
/*  41 */     super(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/*  54 */     return (Datum)toNUMBER(paramObject, paramOracleConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum[] toDatumArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/*  66 */     return toNUMBERArray(paramObject, paramOracleConnection, paramLong, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void parseTDSrec(TDSReader paramTDSReader) throws SQLException {
/*  78 */     this.nullOffset = paramTDSReader.nullOffset;
/*  79 */     this.ldsOffset = paramTDSReader.ldsOffset;
/*  80 */     paramTDSReader.nullOffset++;
/*  81 */     paramTDSReader.ldsOffset++;
/*     */     
/*  83 */     this.precision = paramTDSReader.readUnsignedByte();
/*     */ 
/*     */     
/*  86 */     this.scale = paramTDSReader.readByte();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSizeLDS(byte[] paramArrayOfbyte) {
/*  95 */     if (this.sizeForLds == 0) {
/*     */       
/*  97 */       this.sizeForLds = Util.fdoGetSize(paramArrayOfbyte, 12);
/*  98 */       this.alignForLds = Util.fdoGetAlign(paramArrayOfbyte, 12);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 103 */     return this.sizeForLds;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAlignLDS(byte[] paramArrayOfbyte) {
/* 112 */     if (this.sizeForLds == 0) {
/*     */       
/* 114 */       this.sizeForLds = Util.fdoGetSize(paramArrayOfbyte, 12);
/* 115 */       this.alignForLds = Util.fdoGetAlign(paramArrayOfbyte, 12);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 120 */     return this.alignForLds;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/* 133 */     return numericUnpickle80rec(this.ldsOffset, this.nullOffset, paramUnpickleContext, paramInt1, paramInt2, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Object numericUnpickle80rec(int paramInt1, int paramInt2, UnpickleContext paramUnpickleContext, int paramInt3, int paramInt4, Map paramMap) throws SQLException {
/* 144 */     switch (paramInt3) {
/*     */ 
/*     */       
/*     */       case 1:
/* 148 */         if (paramUnpickleContext.isNull(paramInt2)) {
/* 149 */           return null;
/*     */         }
/* 151 */         paramUnpickleContext.skipTo(paramUnpickleContext.ldsOffsets[paramInt1]);
/*     */         break;
/*     */ 
/*     */       
/*     */       case 2:
/* 156 */         if ((paramUnpickleContext.readByte() & 0x1) == 1) {
/*     */           
/* 158 */           paramUnpickleContext.skipBytes(22);
/*     */           
/* 160 */           return null;
/*     */         } 
/*     */         break;
/*     */ 
/*     */       
/*     */       case 3:
/*     */         break;
/*     */       
/*     */       default:
/* 169 */         DatabaseError.throwSqlException(1, "format=" + paramInt3);
/*     */         break;
/*     */     } 
/*     */     
/* 173 */     if (paramInt4 == 9) {
/*     */       
/* 175 */       paramUnpickleContext.skipBytes(22);
/*     */       
/* 177 */       return null;
/*     */     } 
/*     */ 
/*     */     
/* 181 */     return toNumericObject(paramUnpickleContext.readVarNumBytes(), paramInt4, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Object unpickle80NativeArray(UnpickleContext paramUnpickleContext, long paramLong, int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/*     */     int[] arrayOfInt;
/*     */     double[] arrayOfDouble;
/*     */     long[] arrayOfLong;
/*     */     float[] arrayOfFloat;
/*     */     short[] arrayOfShort;
/* 201 */     byte b2, b1 = 0;
/*     */     
/* 203 */     switch (paramInt3) {
/*     */ 
/*     */       
/*     */       case 2:
/* 207 */         b1 = 23;
/*     */         break;
/*     */ 
/*     */       
/*     */       case 3:
/* 212 */         b1 = 22;
/*     */         break;
/*     */ 
/*     */       
/*     */       default:
/* 217 */         DatabaseError.throwSqlException(1, "format=" + paramInt3);
/*     */         break;
/*     */     } 
/*     */     
/* 221 */     if (paramInt1 > 0) {
/* 222 */       paramUnpickleContext.skipBytes(b1 * ((int)paramLong - 1));
/*     */     }
/* 224 */     int i = paramUnpickleContext.absoluteOffset();
/* 225 */     byte[] arrayOfByte = paramUnpickleContext.image();
/* 226 */     int j = 0;
/*     */     
/* 228 */     switch (paramInt2) {
/*     */ 
/*     */ 
/*     */       
/*     */       case 4:
/* 233 */         arrayOfInt = new int[paramInt1];
/*     */         
/* 235 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */ 
/*     */ 
/*     */           
/* 239 */           j = i + b2 * b1;
/*     */ 
/*     */           
/* 242 */           if (paramInt3 == 3 || (arrayOfByte[j++] & 0x1) == 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 247 */             byte[] arrayOfByte1 = new byte[arrayOfByte[j++]];
/*     */ 
/*     */             
/* 250 */             System.arraycopy(arrayOfByte, j, arrayOfByte1, 0, arrayOfByte1.length);
/*     */ 
/*     */             
/* 253 */             arrayOfInt[b2] = NUMBER.toInt(arrayOfByte1);
/*     */           } 
/*     */         } 
/*     */ 
/*     */         
/* 258 */         paramUnpickleContext.skipBytes(b1 * paramInt1);
/*     */         
/* 260 */         return arrayOfInt;
/*     */ 
/*     */ 
/*     */       
/*     */       case 5:
/* 265 */         arrayOfDouble = new double[paramInt1];
/*     */         
/* 267 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 269 */           j = i + b2 * b1;
/*     */           
/* 271 */           if (paramInt3 == 3 || (arrayOfByte[j++] & 0x1) == 0) {
/*     */ 
/*     */             
/* 274 */             byte[] arrayOfByte1 = new byte[arrayOfByte[j++]];
/*     */             
/* 276 */             System.arraycopy(arrayOfByte, j, arrayOfByte1, 0, arrayOfByte1.length);
/*     */             
/* 278 */             arrayOfDouble[b2] = NUMBER.toDouble(arrayOfByte1);
/*     */           } 
/*     */         } 
/*     */         
/* 282 */         paramUnpickleContext.skipBytes(b1 * paramInt1);
/*     */         
/* 284 */         return arrayOfDouble;
/*     */ 
/*     */ 
/*     */       
/*     */       case 7:
/* 289 */         arrayOfLong = new long[paramInt1];
/*     */         
/* 291 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 293 */           j = i + b2 * b1;
/*     */           
/* 295 */           if (paramInt3 == 3 || (arrayOfByte[j++] & 0x1) == 0) {
/*     */ 
/*     */             
/* 298 */             byte[] arrayOfByte1 = new byte[arrayOfByte[j++]];
/*     */             
/* 300 */             System.arraycopy(arrayOfByte, j, arrayOfByte1, 0, arrayOfByte1.length);
/*     */             
/* 302 */             arrayOfLong[b2] = NUMBER.toLong(arrayOfByte1);
/*     */           } 
/*     */         } 
/*     */         
/* 306 */         paramUnpickleContext.skipBytes(b1 * paramInt1);
/*     */         
/* 308 */         return arrayOfLong;
/*     */ 
/*     */ 
/*     */       
/*     */       case 6:
/* 313 */         arrayOfFloat = new float[paramInt1];
/*     */         
/* 315 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 317 */           j = i + b2 * b1;
/*     */           
/* 319 */           if (paramInt3 == 3 || (arrayOfByte[j++] & 0x1) == 0) {
/*     */ 
/*     */             
/* 322 */             byte[] arrayOfByte1 = new byte[arrayOfByte[j++]];
/*     */             
/* 324 */             System.arraycopy(arrayOfByte, j, arrayOfByte1, 0, arrayOfByte1.length);
/*     */             
/* 326 */             arrayOfFloat[b2] = NUMBER.toFloat(arrayOfByte1);
/*     */           } 
/*     */         } 
/*     */         
/* 330 */         paramUnpickleContext.skipBytes(b1 * paramInt1);
/*     */         
/* 332 */         return arrayOfFloat;
/*     */ 
/*     */ 
/*     */       
/*     */       case 8:
/* 337 */         arrayOfShort = new short[paramInt1];
/*     */         
/* 339 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 341 */           j = i + b2 * b1;
/*     */           
/* 343 */           if (paramInt3 == 3 || (arrayOfByte[j++] & 0x1) == 0) {
/*     */ 
/*     */             
/* 346 */             byte[] arrayOfByte1 = new byte[arrayOfByte[j++]];
/*     */             
/* 348 */             System.arraycopy(arrayOfByte, j, arrayOfByte1, 0, arrayOfByte1.length);
/*     */             
/* 350 */             arrayOfShort[b2] = NUMBER.toShort(arrayOfByte1);
/*     */           } 
/*     */         } 
/*     */         
/* 354 */         paramUnpickleContext.skipBytes(b1 * paramInt1);
/*     */         
/* 356 */         return arrayOfShort;
/*     */     } 
/*     */ 
/*     */     
/* 360 */     DatabaseError.throwSqlException(23);
/*     */ 
/*     */     
/* 363 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Object unpickle81NativeArray(PickleContext paramPickleContext, long paramLong, int paramInt1, int paramInt2) throws SQLException {
/*     */     int[] arrayOfInt;
/*     */     double[] arrayOfDouble;
/*     */     long[] arrayOfLong;
/*     */     float[] arrayOfFloat;
/*     */     short[] arrayOfShort;
/*     */     byte b2;
/* 379 */     for (byte b1 = 1; b1 < paramLong && paramInt1 > 0; b1++) {
/* 380 */       paramPickleContext.skipDataValue();
/*     */     }
/* 382 */     byte[] arrayOfByte = null;
/*     */     
/* 384 */     switch (paramInt2) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 4:
/* 393 */         arrayOfInt = new int[paramInt1];
/*     */         
/* 395 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 415 */           if ((arrayOfByte = paramPickleContext.readDataValue()) != null) {
/* 416 */             arrayOfInt[b2] = NUMBER.toInt(arrayOfByte);
/*     */           }
/*     */         } 
/*     */ 
/*     */         
/* 421 */         return arrayOfInt;
/*     */ 
/*     */ 
/*     */       
/*     */       case 5:
/* 426 */         arrayOfDouble = new double[paramInt1];
/*     */         
/* 428 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 430 */           if ((arrayOfByte = paramPickleContext.readDataValue()) != null) {
/* 431 */             arrayOfDouble[b2] = NUMBER.toDouble(arrayOfByte);
/*     */           }
/*     */         } 
/* 434 */         return arrayOfDouble;
/*     */ 
/*     */ 
/*     */       
/*     */       case 7:
/* 439 */         arrayOfLong = new long[paramInt1];
/*     */         
/* 441 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 443 */           if ((arrayOfByte = paramPickleContext.readDataValue()) != null) {
/* 444 */             arrayOfLong[b2] = NUMBER.toLong(arrayOfByte);
/*     */           }
/*     */         } 
/* 447 */         return arrayOfLong;
/*     */ 
/*     */ 
/*     */       
/*     */       case 6:
/* 452 */         arrayOfFloat = new float[paramInt1];
/*     */         
/* 454 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 456 */           if ((arrayOfByte = paramPickleContext.readDataValue()) != null) {
/* 457 */             arrayOfFloat[b2] = NUMBER.toFloat(arrayOfByte);
/*     */           }
/*     */         } 
/* 460 */         return arrayOfFloat;
/*     */ 
/*     */ 
/*     */       
/*     */       case 8:
/* 465 */         arrayOfShort = new short[paramInt1];
/*     */         
/* 467 */         for (b2 = 0; b2 < paramInt1; b2++) {
/*     */           
/* 469 */           if ((arrayOfByte = paramPickleContext.readDataValue()) != null) {
/* 470 */             arrayOfShort[b2] = NUMBER.toShort(arrayOfByte);
/*     */           }
/*     */         } 
/* 473 */         return arrayOfShort;
/*     */     } 
/*     */ 
/*     */     
/* 477 */     DatabaseError.throwSqlException(23);
/*     */ 
/*     */     
/* 480 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object toObject(byte[] paramArrayOfbyte, int paramInt, Map paramMap) throws SQLException {
/* 490 */     return toNumericObject(paramArrayOfbyte, paramInt, paramMap);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   static Object toNumericObject(byte[] paramArrayOfbyte, int paramInt, Map paramMap) throws SQLException {
/* 496 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0) {
/* 497 */       return null;
/*     */     }
/* 499 */     switch (paramInt) {
/*     */ 
/*     */       
/*     */       case 1:
/* 503 */         return new NUMBER(paramArrayOfbyte);
/*     */       
/*     */       case 2:
/* 506 */         return NUMBER.toBigDecimal(paramArrayOfbyte);
/*     */       
/*     */       case 3:
/* 509 */         return paramArrayOfbyte;
/*     */     } 
/*     */     
/* 512 */     DatabaseError.throwSqlException(23);
/*     */ 
/*     */     
/* 515 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static NUMBER toNUMBER(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/* 527 */     NUMBER nUMBER = null;
/*     */     
/* 529 */     if (paramObject != null) {
/*     */       
/*     */       try {
/*     */         
/* 533 */         if (paramObject instanceof NUMBER) {
/* 534 */           nUMBER = (NUMBER)paramObject;
/*     */         } else {
/* 536 */           nUMBER = new NUMBER(paramObject);
/*     */         } 
/* 538 */       } catch (SQLException sQLException) {
/*     */         
/* 540 */         DatabaseError.throwSqlException(59, paramObject);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 547 */     return nUMBER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Datum[] toNUMBERArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/* 563 */     Datum[] arrayOfDatum = null;
/*     */     
/* 565 */     if (paramObject != null)
/*     */     {
/* 567 */       if (paramObject instanceof Object[] && !(paramObject instanceof char[][])) {
/*     */         
/* 569 */         Object[] arrayOfObject = (Object[])paramObject;
/*     */         
/* 571 */         int i = (int)((paramInt == -1) ? arrayOfObject.length : Math.min(arrayOfObject.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 574 */         arrayOfDatum = new Datum[i];
/*     */         
/* 576 */         for (byte b = 0; b < i; b++) {
/* 577 */           arrayOfDatum[b] = (Datum)toNUMBER(arrayOfObject[(int)paramLong + b - 1], paramOracleConnection);
/*     */         }
/*     */       } else {
/* 580 */         arrayOfDatum = cArrayToNUMBERArray(paramObject, paramOracleConnection, paramLong, paramInt);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 585 */     return arrayOfDatum;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static Datum[] cArrayToNUMBERArray(Object paramObject, OracleConnection paramOracleConnection, long paramLong, int paramInt) throws SQLException {
/* 602 */     Datum[] arrayOfDatum = null;
/*     */     
/* 604 */     if (paramObject != null)
/*     */     {
/* 606 */       if (paramObject instanceof short[]) {
/*     */         
/* 608 */         short[] arrayOfShort = (short[])paramObject;
/* 609 */         int i = (int)((paramInt == -1) ? arrayOfShort.length : Math.min(arrayOfShort.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 612 */         arrayOfDatum = new Datum[i];
/*     */         
/* 614 */         for (byte b = 0; b < i; b++) {
/* 615 */           arrayOfDatum[b] = (Datum)new NUMBER(arrayOfShort[(int)paramLong + b - 1]);
/*     */         }
/* 617 */       } else if (paramObject instanceof int[]) {
/*     */         
/* 619 */         int[] arrayOfInt = (int[])paramObject;
/* 620 */         int i = (int)((paramInt == -1) ? arrayOfInt.length : Math.min(arrayOfInt.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 623 */         arrayOfDatum = new Datum[i];
/*     */         
/* 625 */         for (byte b = 0; b < i; b++) {
/* 626 */           arrayOfDatum[b] = (Datum)new NUMBER(arrayOfInt[(int)paramLong + b - 1]);
/*     */         }
/* 628 */       } else if (paramObject instanceof long[]) {
/*     */         
/* 630 */         long[] arrayOfLong = (long[])paramObject;
/* 631 */         int i = (int)((paramInt == -1) ? arrayOfLong.length : Math.min(arrayOfLong.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 634 */         arrayOfDatum = new Datum[i];
/*     */         
/* 636 */         for (byte b = 0; b < i; b++) {
/* 637 */           arrayOfDatum[b] = (Datum)new NUMBER(arrayOfLong[(int)paramLong + b - 1]);
/*     */         }
/* 639 */       } else if (paramObject instanceof float[]) {
/*     */         
/* 641 */         float[] arrayOfFloat = (float[])paramObject;
/* 642 */         int i = (int)((paramInt == -1) ? arrayOfFloat.length : Math.min(arrayOfFloat.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 645 */         arrayOfDatum = new Datum[i];
/*     */         
/* 647 */         for (byte b = 0; b < i; b++) {
/* 648 */           arrayOfDatum[b] = (Datum)new NUMBER(arrayOfFloat[(int)paramLong + b - 1]);
/*     */         }
/* 650 */       } else if (paramObject instanceof double[]) {
/*     */         
/* 652 */         double[] arrayOfDouble = (double[])paramObject;
/* 653 */         int i = (int)((paramInt == -1) ? arrayOfDouble.length : Math.min(arrayOfDouble.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 656 */         arrayOfDatum = new Datum[i];
/*     */         
/* 658 */         for (byte b = 0; b < i; b++) {
/* 659 */           arrayOfDatum[b] = (Datum)new NUMBER(arrayOfDouble[(int)paramLong + b - 1]);
/*     */         }
/* 661 */       } else if (paramObject instanceof boolean[]) {
/*     */         
/* 663 */         boolean[] arrayOfBoolean = (boolean[])paramObject;
/* 664 */         int i = (int)((paramInt == -1) ? arrayOfBoolean.length : Math.min(arrayOfBoolean.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 667 */         arrayOfDatum = new Datum[i];
/*     */         
/* 669 */         for (byte b = 0; b < i; b++) {
/* 670 */           arrayOfDatum[b] = (Datum)new NUMBER(new Boolean(arrayOfBoolean[(int)paramLong + b - 1]));
/*     */         }
/*     */       }
/* 673 */       else if (paramObject instanceof char[][]) {
/*     */         
/* 675 */         char[][] arrayOfChar = (char[][])paramObject;
/* 676 */         int i = (int)((paramInt == -1) ? arrayOfChar.length : Math.min(arrayOfChar.length - paramLong + 1L, paramInt));
/*     */ 
/*     */         
/* 679 */         arrayOfDatum = new Datum[i];
/*     */         
/* 681 */         for (byte b = 0; b < i; b++) {
/* 682 */           arrayOfDatum[b] = (Datum)new NUMBER(new String(arrayOfChar[(int)paramLong + b - 1]));
/*     */         }
/*     */       }
/*     */       else {
/*     */         
/* 687 */         DatabaseError.throwSqlException(59, paramObject);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 694 */     return arrayOfDatum;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getPrecision() {
/* 699 */     return this.precision;
/*     */   }
/*     */ 
/*     */   
/*     */   public int getScale() {
/* 704 */     return this.scale;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 717 */     paramObjectOutputStream.writeInt(this.scale);
/* 718 */     paramObjectOutputStream.writeInt(this.precision);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 728 */     this.scale = paramObjectInputStream.readInt();
/* 729 */     this.precision = paramObjectInputStream.readInt();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 766 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleTypeNUMBER.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */