/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.REF;
/*     */ import oracle.sql.StructDescriptor;
/*     */ import oracle.sql.TypeDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleTypeREF
/*     */   extends OracleNamedType
/*     */   implements Serializable
/*     */ {
/*     */   static final long serialVersionUID = 3186448715463064573L;
/*     */   
/*     */   protected OracleTypeREF() {}
/*     */   
/*     */   public OracleTypeREF(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/*  40 */     super(paramString, paramOracleConnection);
/*     */   }
/*     */ 
/*     */   
/*     */   public OracleTypeREF(OracleTypeADT paramOracleTypeADT, int paramInt, OracleConnection paramOracleConnection) {
/*  45 */     super(paramOracleTypeADT, paramInt, paramOracleConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(Object paramObject, OracleConnection paramOracleConnection) throws SQLException {
/*  57 */     REF rEF = null;
/*     */     
/*  59 */     if (paramObject != null)
/*     */     {
/*  61 */       if (paramObject instanceof REF) {
/*  62 */         rEF = (REF)paramObject;
/*     */       } else {
/*  64 */         DatabaseError.throwSqlException(59, paramObject);
/*     */       } 
/*     */     }
/*     */     
/*  68 */     return (Datum)rEF;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTypeCode() {
/*  80 */     return 2006;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object unpickle80rec(UnpickleContext paramUnpickleContext, int paramInt1, int paramInt2, Map paramMap) throws SQLException {
/*     */     byte[] arrayOfByte;
/*  96 */     switch (paramInt1) {
/*     */ 
/*     */ 
/*     */       
/*     */       case 1:
/* 101 */         if (paramUnpickleContext.isNull(this.nullOffset)) {
/* 102 */           return null;
/*     */         }
/* 104 */         paramUnpickleContext.skipTo(paramUnpickleContext.ldsOffsets[this.ldsOffset]);
/*     */         
/* 106 */         if (paramInt2 == 9) {
/*     */           
/* 108 */           paramUnpickleContext.skipBytes(4);
/*     */           
/* 110 */           return null;
/*     */         } 
/*     */         
/* 113 */         paramUnpickleContext.markAndSkip();
/*     */         
/* 115 */         arrayOfByte = paramUnpickleContext.readPtrBytes();
/*     */         
/* 117 */         paramUnpickleContext.reset();
/*     */         
/* 119 */         return toObject(arrayOfByte, paramInt2, (Map)null);
/*     */ 
/*     */       
/*     */       case 2:
/* 123 */         if ((paramUnpickleContext.readByte() & 0x1) == 1) {
/*     */           
/* 125 */           paramUnpickleContext.skipPtrBytes();
/*     */           
/* 127 */           return null;
/*     */         } 
/*     */ 
/*     */ 
/*     */       
/*     */       case 3:
/* 133 */         if (paramInt2 == 9) {
/*     */           
/* 135 */           paramUnpickleContext.skipPtrBytes();
/*     */           
/* 137 */           return null;
/*     */         } 
/*     */         
/* 140 */         return toObject(paramUnpickleContext.readPtrBytes(), paramInt2, (Map)null);
/*     */     } 
/*     */     
/* 143 */     DatabaseError.throwSqlException(1, "format=" + paramInt1);
/*     */ 
/*     */ 
/*     */     
/* 147 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Object toObject(byte[] paramArrayOfbyte, int paramInt, Map paramMap) throws SQLException {
/* 166 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0) {
/* 167 */       return null;
/*     */     }
/* 169 */     if (paramInt == 1 || paramInt == 2) {
/*     */       
/* 171 */       StructDescriptor structDescriptor = createStructDescriptor();
/*     */       
/* 173 */       return new REF(structDescriptor, (Connection)this.connection, paramArrayOfbyte);
/*     */     } 
/* 175 */     if (paramInt == 3)
/*     */     {
/* 177 */       return paramArrayOfbyte;
/*     */     }
/*     */     
/* 180 */     DatabaseError.throwSqlException(59, paramArrayOfbyte);
/*     */     
/* 182 */     return null;
/*     */   }
/*     */ 
/*     */   
/*     */   StructDescriptor createStructDescriptor() throws SQLException {
/* 187 */     if (this.descriptor == null)
/*     */     {
/* 189 */       if (this.sqlName == null && getFullName(false) == null) {
/*     */         
/* 191 */         OracleTypeADT oracleTypeADT = new OracleTypeADT(getParent(), getOrder(), (Connection)this.connection);
/*     */         
/* 193 */         this.descriptor = (TypeDescriptor)new StructDescriptor(oracleTypeADT, (Connection)this.connection);
/*     */       }
/*     */       else {
/*     */         
/* 197 */         this.descriptor = (TypeDescriptor)StructDescriptor.createDescriptor(this.sqlName, (Connection)this.connection);
/*     */       } 
/*     */     }
/* 200 */     return (StructDescriptor)this.descriptor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 253 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\OracleTypeREF.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */