/*      */ package oracle.jdbc.oracore;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public final class PickleContext
/*      */ {
/*      */   private PickleOutputStream outStream;
/*      */   byte[] image;
/*      */   int imageOffset;
/*      */   private byte[] lengthBuffer;
/*   46 */   static short KOPI20_LN_ELNL = 255;
/*   47 */   static short KOPI20_LN_5BLN = 254;
/*   48 */   static short KOPI20_LN_ATMN = 253;
/*   49 */   static short KOPI20_LN_IEMN = 252;
/*   50 */   static short KOPI20_LN_MAXV = 245;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   56 */   static short KOPI20_IF_IS81 = 128;
/*   57 */   static short KOPI20_IF_CMSB = 64;
/*   58 */   static short KOPI20_IF_CLSB = 32;
/*   59 */   static short KOPI20_IF_DEGN = 16;
/*   60 */   static short KOPI20_IF_COLL = 8;
/*   61 */   static short KOPI20_IF_NOPS = 4;
/*   62 */   static short KOPI20_IF_ANY = 2;
/*   63 */   static short KOPI20_IF_NONL = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*   70 */   static short KOPI20_CF_CMSB = 64;
/*   71 */   static short KOPI20_CF_CLSB = 32;
/*   72 */   static short KOPI20_CF_INDX = 16;
/*   73 */   static short KOPI20_CF_NOLN = 8;
/*      */   
/*   75 */   static short KOPI20_VERSION = 1;
/*      */ 
/*      */   
/*      */   static final byte KOPUP_INLINE_COLL = 1;
/*      */ 
/*      */   
/*      */   static final byte KOPUP_TYPEINFO_NONE = 0;
/*      */   
/*      */   static final byte KOPUP_TYPEINFO_TOID = 4;
/*      */   
/*      */   static final byte KOPUP_TYPEINFO_TOBJN = 8;
/*      */   
/*      */   static final byte KOPUP_TYPEINFO_TDS = 12;
/*      */   
/*      */   static final byte KOPUP_VSN_PRESENT = 16;
/*      */ 
/*      */   
/*      */   public PickleContext() {
/*   93 */     this.lengthBuffer = new byte[5];
/*      */   }
/*      */ 
/*      */   
/*      */   public PickleContext(byte[] paramArrayOfbyte) {
/*   98 */     this.lengthBuffer = new byte[5];
/*   99 */     this.image = paramArrayOfbyte;
/*  100 */     this.imageOffset = 0;
/*      */   }
/*      */ 
/*      */   
/*      */   public PickleContext(byte[] paramArrayOfbyte, long paramLong) {
/*  105 */     this.lengthBuffer = new byte[5];
/*  106 */     this.image = paramArrayOfbyte;
/*  107 */     this.imageOffset = (int)paramLong;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void initStream(int paramInt) {
/*  116 */     this.outStream = new PickleOutputStream(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void initStream() {
/*  124 */     this.outStream = new PickleOutputStream();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int lengthInBytes(int paramInt) {
/*  134 */     return (paramInt <= KOPI20_LN_MAXV) ? 1 : 5;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeElementNull() throws SQLException {
/*  143 */     this.outStream.write(KOPI20_LN_ELNL);
/*      */     
/*  145 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeAtomicNull() throws SQLException {
/*  154 */     this.outStream.write(KOPI20_LN_ATMN);
/*      */     
/*  156 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeImmediatelyEmbeddedElementNull(byte paramByte) throws SQLException {
/*  168 */     this.lengthBuffer[0] = (byte)KOPI20_LN_IEMN;
/*  169 */     this.lengthBuffer[1] = paramByte;
/*      */     
/*  171 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  173 */     return 2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeSB2(int paramInt) throws SQLException {
/*  182 */     this.lengthBuffer[0] = (byte)(paramInt >> 8 & 0xFF);
/*  183 */     this.lengthBuffer[1] = (byte)(paramInt & 0xFF);
/*  184 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  186 */     return 2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeLength(int paramInt) throws SQLException {
/*  199 */     if (paramInt <= KOPI20_LN_MAXV) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  204 */       this.outStream.write((byte)paramInt);
/*      */       
/*  206 */       return 1;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  214 */     this.lengthBuffer[0] = (byte)KOPI20_LN_5BLN;
/*  215 */     this.lengthBuffer[1] = (byte)(paramInt >> 24);
/*  216 */     paramInt &= 0xFFFFFF;
/*  217 */     this.lengthBuffer[2] = (byte)(paramInt >> 16);
/*  218 */     paramInt &= 0xFFFF;
/*  219 */     this.lengthBuffer[3] = (byte)(paramInt >> 8);
/*  220 */     paramInt &= 0xFF;
/*  221 */     this.lengthBuffer[4] = (byte)paramInt;
/*      */ 
/*      */     
/*      */     try {
/*  225 */       this.outStream.write(this.lengthBuffer);
/*      */     }
/*  227 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  248 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/*  251 */     return 5;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeLength(int paramInt, boolean paramBoolean) throws SQLException {
/*  261 */     if (!paramBoolean) {
/*  262 */       return writeLength(paramInt);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  267 */     if (paramInt <= KOPI20_LN_MAXV - 1) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  273 */       this.outStream.write((byte)paramInt + 1);
/*      */       
/*  275 */       return 1;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  282 */     paramInt += 5;
/*  283 */     this.lengthBuffer[0] = (byte)KOPI20_LN_5BLN;
/*  284 */     this.lengthBuffer[1] = (byte)(paramInt >> 24);
/*  285 */     paramInt &= 0xFFFFFF;
/*  286 */     this.lengthBuffer[2] = (byte)(paramInt >> 16);
/*  287 */     paramInt &= 0xFFFF;
/*  288 */     this.lengthBuffer[3] = (byte)(paramInt >> 8);
/*  289 */     paramInt &= 0xFF;
/*  290 */     this.lengthBuffer[4] = (byte)paramInt;
/*      */ 
/*      */     
/*      */     try {
/*  294 */       this.outStream.write(this.lengthBuffer);
/*      */     }
/*  296 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  317 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/*  320 */     return 5;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] to5bLengthBytes_pctx(int paramInt) throws SQLException {
/*  334 */     this.lengthBuffer[0] = (byte)KOPI20_LN_5BLN;
/*  335 */     this.lengthBuffer[1] = (byte)(paramInt >> 24);
/*  336 */     paramInt &= 0xFFFFFF;
/*  337 */     this.lengthBuffer[2] = (byte)(paramInt >> 16);
/*  338 */     paramInt &= 0xFFFF;
/*  339 */     this.lengthBuffer[3] = (byte)(paramInt >> 8);
/*  340 */     paramInt &= 0xFF;
/*  341 */     this.lengthBuffer[4] = (byte)paramInt;
/*      */ 
/*      */ 
/*      */     
/*  345 */     return this.lengthBuffer;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeData(byte paramByte) throws SQLException {
/*  354 */     this.outStream.write(paramByte);
/*      */     
/*  356 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeData(byte[] paramArrayOfbyte) throws SQLException {
/*      */     try {
/*  367 */       this.outStream.write(paramArrayOfbyte);
/*      */     }
/*  369 */     catch (IOException iOException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  390 */       DatabaseError.throwSqlException(iOException);
/*      */     } 
/*      */     
/*  393 */     return paramArrayOfbyte.length;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void patchImageLen(int paramInt1, int paramInt2) throws SQLException {
/*  401 */     byte[] arrayOfByte = to5bLengthBytes_pctx(paramInt2);
/*      */     
/*  403 */     this.outStream.overwrite(paramInt1, arrayOfByte, 0, arrayOfByte.length);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeImageHeader(boolean paramBoolean) throws SQLException {
/*  414 */     return writeImageHeader(KOPI20_LN_MAXV + 1, paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeOpaqueImageHeader(int paramInt) throws SQLException {
/*  427 */     int i = 2;
/*      */     
/*  429 */     this.lengthBuffer[0] = (byte)(KOPI20_IF_IS81 | KOPI20_IF_NOPS | KOPI20_IF_NONL);
/*  430 */     this.lengthBuffer[1] = (byte)KOPI20_VERSION;
/*      */     
/*  432 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  434 */     i += writeLength(paramInt + 2, true);
/*      */     
/*  436 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeImageHeader(int paramInt, boolean paramBoolean) throws SQLException {
/*  449 */     int i = 2;
/*      */     
/*  451 */     if (paramBoolean) {
/*  452 */       this.lengthBuffer[0] = (byte)KOPI20_IF_IS81;
/*      */     } else {
/*  454 */       this.lengthBuffer[0] = (byte)(KOPI20_IF_IS81 | KOPI20_IF_NOPS);
/*      */     } 
/*  456 */     this.lengthBuffer[1] = (byte)KOPI20_VERSION;
/*      */     
/*  458 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  460 */     i += writeLength(paramInt);
/*      */     
/*  462 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeCollImageHeader(int paramInt1, int paramInt2) throws SQLException {
/*  473 */     return writeCollImageHeader(KOPI20_LN_MAXV + 1, paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeCollImageHeader(int paramInt1, int paramInt2, int paramInt3) throws SQLException {
/*  490 */     int i = 5;
/*      */     
/*  492 */     this.lengthBuffer[0] = (byte)(KOPI20_IF_IS81 | KOPI20_IF_COLL);
/*  493 */     this.lengthBuffer[1] = (byte)KOPI20_VERSION;
/*      */     
/*  495 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  497 */     i += writeLength(paramInt1);
/*  498 */     this.lengthBuffer[0] = 1;
/*  499 */     this.lengthBuffer[1] = 1;
/*      */     
/*  501 */     this.lengthBuffer[0] = 1;
/*      */     
/*  503 */     this.lengthBuffer[1] = 17;
/*      */     
/*  505 */     if (paramInt3 > KOPI20_LN_MAXV) {
/*      */       
/*  507 */       this.lengthBuffer[0] = (byte)(this.lengthBuffer[0] + 5);
/*  508 */       i += 5;
/*      */ 
/*      */       
/*  511 */       this.outStream.write(this.lengthBuffer, 0, 2);
/*  512 */       writeLength(paramInt3);
/*      */     }
/*      */     else {
/*      */       
/*  516 */       this.lengthBuffer[0] = (byte)(this.lengthBuffer[0] + 2);
/*  517 */       i += 2;
/*      */       
/*  519 */       this.outStream.write(this.lengthBuffer, 0, 2);
/*  520 */       writeSB2(paramInt3);
/*      */     } 
/*      */     
/*  523 */     this.lengthBuffer[0] = 0;
/*      */     
/*  525 */     this.outStream.write(this.lengthBuffer, 0, 1);
/*      */     
/*  527 */     i += writeLength(paramInt2);
/*      */     
/*  529 */     return i;
/*      */   }
/*      */ 
/*      */   
/*      */   public int writeCollImageHeader(byte[] paramArrayOfbyte) throws SQLException {
/*  534 */     return writeCollImageHeader(KOPI20_LN_MAXV + 1, paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int writeCollImageHeader(int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  543 */     int i = paramArrayOfbyte.length;
/*      */ 
/*      */     
/*  546 */     int j = 3 + i;
/*      */     
/*  548 */     this.lengthBuffer[0] = (byte)(KOPI20_IF_IS81 | KOPI20_IF_DEGN);
/*  549 */     this.lengthBuffer[1] = (byte)KOPI20_VERSION;
/*      */     
/*  551 */     this.outStream.write(this.lengthBuffer, 0, 2);
/*      */     
/*  553 */     j += writeLength(paramInt);
/*  554 */     j += writeLength(i + 1);
/*      */     
/*  556 */     this.lengthBuffer[0] = 0;
/*      */     
/*  558 */     this.outStream.write(this.lengthBuffer, 0, 1);
/*  559 */     this.outStream.write(paramArrayOfbyte, 0, i);
/*      */     
/*  561 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] stream2Bytes() throws SQLException {
/*  569 */     return this.outStream.toByteArray();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte readByte() throws SQLException {
/*      */     try {
/*  581 */       return this.image[this.imageOffset];
/*      */     }
/*      */     finally {
/*      */       
/*  585 */       this.imageOffset++;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean readAndCheckVersion() throws SQLException {
/*      */     try {
/*  598 */       return ((this.image[this.imageOffset] & 0xFF) <= KOPI20_VERSION);
/*      */     }
/*      */     finally {
/*      */       
/*  602 */       this.imageOffset++;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int readLength() throws SQLException {
/*  619 */     int i = this.image[this.imageOffset] & 0xFF;
/*      */     
/*  621 */     if (i > KOPI20_LN_MAXV) {
/*      */       
/*  623 */       if (i == KOPI20_LN_ELNL)
/*      */       {
/*  625 */         DatabaseError.throwSqlException(1, "Invalid null flag read");
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  639 */       i = (((this.image[this.imageOffset + 1] & 0xFF) * 256 + (this.image[this.imageOffset + 2] & 0xFF)) * 256 + (this.image[this.imageOffset + 3] & 0xFF)) * 256 + (this.image[this.imageOffset + 4] & 0xFF);
/*      */ 
/*      */ 
/*      */       
/*  643 */       this.imageOffset += 5;
/*      */     }
/*      */     else {
/*      */       
/*  647 */       this.imageOffset++;
/*      */     } 
/*      */ 
/*      */     
/*  651 */     return i;
/*      */   }
/*      */ 
/*      */   
/*      */   public void skipLength() throws SQLException {
/*  656 */     int i = this.image[this.imageOffset] & 0xFF;
/*      */     
/*  658 */     if (i > KOPI20_LN_MAXV) {
/*  659 */       this.imageOffset += 5;
/*      */     } else {
/*  661 */       this.imageOffset++;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int readRestOfLength(byte paramByte) throws SQLException {
/*  674 */     if ((paramByte & 0xFF) != KOPI20_LN_5BLN) {
/*  675 */       return paramByte & 0xFF;
/*      */     }
/*      */     
/*      */     try {
/*  679 */       return (((this.image[this.imageOffset] & 0xFF) * 256 + (this.image[this.imageOffset + 1] & 0xFF)) * 256 + (this.image[this.imageOffset + 2] & 0xFF)) * 256 + (this.image[this.imageOffset + 3] & 0xFF);
/*      */     
/*      */     }
/*      */     finally {
/*      */       
/*  684 */       this.imageOffset += 4;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void skipRestOfLength(byte paramByte) throws SQLException {
/*  693 */     if ((paramByte & 0xFF) > KOPI20_LN_MAXV)
/*      */     {
/*  695 */       if ((paramByte & 0xFF) == KOPI20_LN_5BLN) {
/*  696 */         this.imageOffset += 4;
/*      */       } else {
/*  698 */         DatabaseError.throwSqlException(1, "Invalid first length byte");
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int readLength(boolean paramBoolean) throws SQLException {
/*  710 */     int i = this.image[this.imageOffset] & 0xFF;
/*      */     
/*  712 */     if (i > KOPI20_LN_MAXV) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  729 */       i = (((this.image[this.imageOffset + 1] & 0xFF) * 256 + (this.image[this.imageOffset + 2] & 0xFF)) * 256 + (this.image[this.imageOffset + 3] & 0xFF)) * 256 + (this.image[this.imageOffset + 4] & 0xFF);
/*      */ 
/*      */ 
/*      */       
/*  733 */       if (paramBoolean) {
/*  734 */         i -= 5;
/*      */       }
/*  736 */       this.imageOffset += 5;
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  741 */       if (paramBoolean) {
/*  742 */         i--;
/*      */       }
/*  744 */       this.imageOffset++;
/*      */     } 
/*      */     
/*  747 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readPrefixSegment() throws SQLException {
/*  760 */     byte[] arrayOfByte = new byte[readLength()];
/*      */     
/*  762 */     System.arraycopy(this.image, this.imageOffset, arrayOfByte, 0, arrayOfByte.length);
/*      */     
/*  764 */     this.imageOffset += arrayOfByte.length;
/*      */ 
/*      */ 
/*      */     
/*  768 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readDataValue() throws SQLException {
/*  781 */     int i = this.image[this.imageOffset] & 0xFF;
/*      */ 
/*      */     
/*  784 */     if (i == KOPI20_LN_ELNL) {
/*      */       
/*  786 */       this.imageOffset++;
/*      */       
/*  788 */       return null;
/*      */     } 
/*      */     
/*  791 */     if (i > KOPI20_LN_MAXV) {
/*      */       
/*  793 */       i = (((this.image[this.imageOffset + 1] & 0xFF) * 256 + (this.image[this.imageOffset + 2] & 0xFF)) * 256 + (this.image[this.imageOffset + 3] & 0xFF)) * 256 + (this.image[this.imageOffset + 4] & 0xFF);
/*      */ 
/*      */ 
/*      */       
/*  797 */       this.imageOffset += 5;
/*      */     } else {
/*      */       
/*  800 */       this.imageOffset++;
/*      */     } 
/*      */     
/*  803 */     byte[] arrayOfByte = new byte[i];
/*      */     
/*  805 */     System.arraycopy(this.image, this.imageOffset, arrayOfByte, 0, arrayOfByte.length);
/*      */     
/*  807 */     this.imageOffset += arrayOfByte.length;
/*      */ 
/*      */ 
/*      */     
/*  811 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readBytes(int paramInt) throws SQLException {
/*  819 */     byte[] arrayOfByte = new byte[paramInt];
/*      */     
/*  821 */     System.arraycopy(this.image, this.imageOffset, arrayOfByte, 0, paramInt);
/*      */     
/*  823 */     this.imageOffset += paramInt;
/*      */ 
/*      */ 
/*      */     
/*  827 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] read1ByteDataValue() throws SQLException {
/*  841 */     if ((this.image[this.imageOffset] & 0xFF) == KOPI20_LN_ELNL) {
/*  842 */       return null;
/*      */     }
/*      */ 
/*      */     
/*  846 */     byte[] arrayOfByte = new byte[this.image[this.imageOffset] & 0xFF];
/*      */     
/*  848 */     System.arraycopy(this.image, this.imageOffset + 1, arrayOfByte, 0, arrayOfByte.length);
/*      */     
/*  850 */     this.imageOffset += arrayOfByte.length + 1;
/*      */ 
/*      */ 
/*      */     
/*  854 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readDataValue(byte paramByte) throws SQLException {
/*  867 */     byte[] arrayOfByte = new byte[readRestOfLength(paramByte)];
/*      */     
/*  869 */     System.arraycopy(this.image, this.imageOffset, arrayOfByte, 0, arrayOfByte.length);
/*      */     
/*  871 */     this.imageOffset += arrayOfByte.length;
/*      */ 
/*      */ 
/*      */     
/*  875 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] readDataValue(int paramInt) throws SQLException {
/*  886 */     byte[] arrayOfByte = new byte[paramInt];
/*      */     
/*  888 */     System.arraycopy(this.image, this.imageOffset, arrayOfByte, 0, paramInt);
/*      */     
/*  890 */     this.imageOffset += paramInt;
/*      */ 
/*      */ 
/*      */     
/*  894 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void skipDataValue() throws SQLException {
/*  906 */     if ((this.image[this.imageOffset] & 0xFF) == KOPI20_LN_ELNL) {
/*  907 */       this.imageOffset++;
/*      */     } else {
/*  909 */       skipBytes(readLength());
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void skipDataValue(byte paramByte) throws SQLException {
/*  919 */     skipBytes(readRestOfLength(paramByte));
/*      */   }
/*      */ 
/*      */   
/*      */   public void skipBytes(int paramInt) throws SQLException {
/*  924 */     if (paramInt > 0) {
/*  925 */       this.imageOffset += paramInt;
/*      */     }
/*      */   }
/*      */   
/*      */   public int offset() throws SQLException {
/*  930 */     if (this.outStream != null) {
/*  931 */       return this.outStream.offset();
/*      */     }
/*  933 */     return this.imageOffset;
/*      */   }
/*      */ 
/*      */   
/*      */   public int absoluteOffset() throws SQLException {
/*  938 */     return this.imageOffset;
/*      */   }
/*      */ 
/*      */   
/*      */   public void skipTo(long paramLong) throws SQLException {
/*  943 */     if (paramLong > this.imageOffset) {
/*  944 */       this.imageOffset = (int)paramLong;
/*      */     }
/*      */   }
/*      */   
/*      */   public byte[] image() throws SQLException {
/*  949 */     return this.image;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean is81format(byte paramByte) throws SQLException {
/*  961 */     return ((paramByte & 0xFF & KOPI20_IF_IS81) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isCollectionImage_pctx(byte paramByte) throws SQLException {
/*  970 */     return ((paramByte & 0xFF & KOPI20_IF_COLL) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isDegenerateImage_pctx(byte paramByte) throws SQLException {
/*  979 */     return ((paramByte & 0xFF & KOPI20_IF_DEGN) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean hasPrefix(byte paramByte) throws SQLException {
/*  988 */     return ((paramByte & 0xFF & KOPI20_IF_NOPS) == 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isAtomicNull(byte paramByte) throws SQLException {
/*  996 */     return ((paramByte & 0xFF) == KOPI20_LN_ATMN);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isImmediatelyEmbeddedNull(byte paramByte) throws SQLException {
/* 1004 */     return ((paramByte & 0xFF) == KOPI20_LN_IEMN);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isElementNull(byte paramByte) throws SQLException {
/* 1012 */     return ((paramByte & 0xFF) == KOPI20_LN_ELNL);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1047 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\PickleContext.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */