/*     */ package oracle.jdbc.oracore;
/*     */ 
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.OutputStream;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Util
/*     */ {
/*     */   static void checkNextByte(InputStream paramInputStream, byte paramByte) throws SQLException {
/*     */     try {
/*  39 */       if (paramInputStream.read() != paramByte) {
/*  40 */         DatabaseError.throwSqlException(47, "parseTDS");
/*     */       }
/*     */     }
/*  43 */     catch (IOException iOException) {
/*     */       
/*  45 */       DatabaseError.throwSqlException(iOException);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int[] toJavaUnsignedBytes(byte[] paramArrayOfbyte) {
/*  62 */     int[] arrayOfInt = new int[paramArrayOfbyte.length];
/*     */     
/*  64 */     for (byte b = 0; b < paramArrayOfbyte.length; b++) {
/*  65 */       arrayOfInt[b] = paramArrayOfbyte[b] & 0xFF;
/*     */     }
/*  67 */     return arrayOfInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static byte[] readBytes(InputStream paramInputStream, int paramInt) throws SQLException {
/*  75 */     byte[] arrayOfByte = new byte[paramInt];
/*     */ 
/*     */     
/*     */     try {
/*  79 */       int i = paramInputStream.read(arrayOfByte);
/*     */       
/*  81 */       if (i != paramInt)
/*     */       {
/*  83 */         byte[] arrayOfByte1 = new byte[i];
/*     */         
/*  85 */         System.arraycopy(arrayOfByte, 0, arrayOfByte1, 0, i);
/*     */         
/*  87 */         return arrayOfByte1;
/*     */       }
/*     */     
/*  90 */     } catch (IOException iOException) {
/*     */       
/*  92 */       DatabaseError.throwSqlException(iOException);
/*     */     } 
/*     */     
/*  95 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void writeBytes(OutputStream paramOutputStream, byte[] paramArrayOfbyte) throws SQLException {
/*     */     try {
/* 106 */       paramOutputStream.write(paramArrayOfbyte);
/*     */     }
/* 108 */     catch (IOException iOException) {
/*     */       
/* 110 */       DatabaseError.throwSqlException(iOException);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void skipBytes(InputStream paramInputStream, int paramInt) throws SQLException {
/*     */     try {
/* 121 */       paramInputStream.skip(paramInt);
/*     */     }
/* 123 */     catch (IOException iOException) {
/*     */       
/* 125 */       DatabaseError.throwSqlException(iOException);
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   static long readLong(InputStream paramInputStream) throws SQLException {
/* 131 */     byte[] arrayOfByte = new byte[4];
/*     */ 
/*     */     
/*     */     try {
/* 135 */       paramInputStream.read(arrayOfByte);
/*     */       
/* 137 */       return ((((arrayOfByte[0] & 0xFF) * 256 + (arrayOfByte[1] & 0xFF)) * 256 + (arrayOfByte[2] & 0xFF)) * 256 + (arrayOfByte[3] & 0xFF));
/*     */     
/*     */     }
/* 140 */     catch (IOException iOException) {
/*     */       
/* 142 */       DatabaseError.throwSqlException(iOException);
/*     */ 
/*     */       
/* 145 */       return 0L;
/*     */     } 
/*     */   }
/*     */   
/*     */   static short readShort(InputStream paramInputStream) throws SQLException {
/* 150 */     byte[] arrayOfByte = new byte[2];
/*     */ 
/*     */     
/*     */     try {
/* 154 */       paramInputStream.read(arrayOfByte);
/*     */       
/* 156 */       return (short)((arrayOfByte[0] & 0xFF) * 256 + (arrayOfByte[1] & 0xFF));
/*     */     }
/* 158 */     catch (IOException iOException) {
/*     */       
/* 160 */       DatabaseError.throwSqlException(iOException);
/*     */ 
/*     */       
/* 163 */       return 0;
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   static byte readByte(InputStream paramInputStream) throws SQLException {
/*     */     try {
/* 170 */       return (byte)paramInputStream.read();
/*     */     }
/* 172 */     catch (IOException iOException) {
/*     */       
/* 174 */       DatabaseError.throwSqlException(iOException);
/*     */ 
/*     */       
/* 177 */       return 0;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static byte fdoGetSize(byte[] paramArrayOfbyte, int paramInt) {
/* 185 */     byte b = fdoGetEntry(paramArrayOfbyte, paramInt);
/*     */ 
/*     */     
/* 188 */     return (byte)(b >> 3 & 0x1F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static byte fdoGetAlign(byte[] paramArrayOfbyte, int paramInt) {
/* 196 */     byte b = fdoGetEntry(paramArrayOfbyte, paramInt);
/*     */ 
/*     */     
/* 199 */     return (byte)(b & 0x7);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int ldsRound(int paramInt1, int paramInt2) {
/* 209 */     int i = ldsRoundTable[paramInt2];
/*     */     
/* 211 */     return (paramInt1 >> i) + 1 << i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static byte fdoGetEntry(byte[] paramArrayOfbyte, int paramInt) {
/* 219 */     short s = getUnsignedByte(paramArrayOfbyte[5]);
/* 220 */     return paramArrayOfbyte[6 + s + paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 225 */   private static int[] ldsRoundTable = new int[] { 0, 1, 0, 2, 0, 0, 0, 3, 0 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static short getUnsignedByte(byte paramByte) {
/* 232 */     return (short)(paramByte & 0xFF);
/*     */   }
/*     */ 
/*     */   
/*     */   public static byte[] serializeObject(Object paramObject) throws IOException {
/* 237 */     if (paramObject == null) {
/* 238 */       return null;
/*     */     }
/* 240 */     ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
/* 241 */     ObjectOutputStream objectOutputStream = new ObjectOutputStream(byteArrayOutputStream);
/*     */     
/* 243 */     objectOutputStream.writeObject(paramObject);
/* 244 */     objectOutputStream.flush();
/*     */     
/* 246 */     return byteArrayOutputStream.toByteArray();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public static Object deserializeObject(byte[] paramArrayOfbyte) throws IOException, ClassNotFoundException {
/* 252 */     if (paramArrayOfbyte == null) {
/* 253 */       return null;
/*     */     }
/* 255 */     ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(paramArrayOfbyte);
/*     */     
/* 257 */     return (new ObjectInputStream(byteArrayInputStream)).readObject();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printByteArray(byte[] paramArrayOfbyte) {
/* 264 */     System.out.println("DONT CALL THIS -- oracle.jdbc.oracore.Util.printByteArray");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 287 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:34_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\oracore\Util.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */