/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Enumeration;
/*     */ import java.util.NoSuchElementException;
/*     */ import javax.sql.PooledConnection;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleConnectionCacheTimeOutThread
/*     */   extends Thread
/*     */   implements Serializable
/*     */ {
/*  41 */   private OracleConnectionCacheImpl occi = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleConnectionCacheTimeOutThread(OracleConnectionCacheImpl paramOracleConnectionCacheImpl) throws SQLException {
/*  49 */     this.occi = paramOracleConnectionCacheImpl;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*  58 */     long l1 = 0L;
/*  59 */     long l2 = 0L;
/*  60 */     boolean bool = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/*  72 */       while (bool) {
/*     */ 
/*     */ 
/*     */         
/*  76 */         if ((l1 = this.occi.getCacheTimeToLiveTimeout()) > 0L) {
/*  77 */           runTimeToLiveTimeOut(l1);
/*     */         }
/*     */ 
/*     */         
/*  81 */         if ((l2 = this.occi.getCacheInactivityTimeout()) > 0L) {
/*  82 */           runInactivityTimeOut(l2);
/*     */         }
/*     */ 
/*     */         
/*  86 */         sleep(this.occi.getThreadWakeUpInterval() * 1000L);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  91 */         if (this.occi.cache == null || (l1 <= 0L && l2 <= 0L))
/*     */         {
/*  93 */           bool = false;
/*     */         }
/*     */       } 
/*  96 */     } catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 102 */     catch (InterruptedException interruptedException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void runTimeToLiveTimeOut(long paramLong) throws SQLException {
/* 112 */     long l1 = 0L;
/* 113 */     long l2 = 0L;
/* 114 */     int i = 0;
/* 115 */     PooledConnection pooledConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 121 */     if ((i = this.occi.getActiveSize()) > 0) {
/*     */ 
/*     */ 
/*     */       
/* 125 */       Enumeration enumeration = this.occi.activeCache.keys();
/*     */       
/* 127 */       while (enumeration.hasMoreElements()) {
/*     */         
/* 129 */         pooledConnection = enumeration.nextElement();
/*     */         
/* 131 */         Connection connection = ((OraclePooledConnection)pooledConnection).getLogicalHandle();
/*     */ 
/*     */         
/* 134 */         if (connection != null) {
/* 135 */           l2 = ((OracleConnection)connection).getStartTime();
/*     */         }
/* 137 */         l1 = System.currentTimeMillis();
/*     */ 
/*     */         
/* 140 */         if (l1 - l2 > paramLong * 1000L) {
/*     */ 
/*     */           
/*     */           try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 151 */             ((OracleConnection)connection).cancel();
/*     */           }
/* 153 */           catch (SQLException sQLException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           try {
/* 164 */             if (!connection.getAutoCommit()) {
/* 165 */               ((OracleConnection)connection).rollback();
/*     */             }
/* 167 */           } catch (SQLException sQLException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           try {
/* 178 */             connection.close();
/*     */           }
/* 180 */           catch (SQLException sQLException) {}
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void runInactivityTimeOut(long paramLong) throws SQLException {
/* 197 */     long l1 = 0L;
/* 198 */     long l2 = 0L;
/* 199 */     long l3 = paramLong * 1000L;
/* 200 */     OraclePooledConnection oraclePooledConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 210 */       if (this.occi.cache != null && this.occi.cache.size() > 0 && this.occi.cacheSize > this.occi._MIN_LIMIT)
/*     */       {
/*     */         
/* 213 */         Enumeration enumeration = this.occi.cache.elements();
/*     */ 
/*     */         
/* 216 */         while (this.occi.cacheSize > this.occi._MIN_LIMIT && enumeration.hasMoreElements())
/*     */         {
/* 218 */           oraclePooledConnection = enumeration.nextElement();
/* 219 */           l1 = oraclePooledConnection.getLastAccessedTime();
/* 220 */           l2 = System.currentTimeMillis();
/*     */ 
/*     */ 
/*     */           
/* 224 */           if (l2 - l1 > l3) {
/*     */             
/*     */             try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 234 */               this.occi.closeSingleConnection(oraclePooledConnection, false);
/*     */             }
/* 236 */             catch (SQLException sQLException) {}
/*     */           
/*     */           }
/*     */         
/*     */         }
/*     */ 
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 246 */     catch (NoSuchElementException noSuchElementException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 260 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:40_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleConnectionCacheTimeOutThread.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */