/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Properties;
/*     */ import javax.sql.ConnectionPoolDataSource;
/*     */ import javax.sql.PooledConnection;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleConnectionPoolDataSource
/*     */   extends OracleDataSource
/*     */   implements ConnectionPoolDataSource
/*     */ {
/*     */   public PooledConnection getPooledConnection() throws SQLException {
/*  68 */     String str1 = null;
/*  69 */     String str2 = null;
/*  70 */     synchronized (this) {
/*     */       
/*  72 */       str1 = this.user;
/*  73 */       str2 = this.password;
/*     */     } 
/*  75 */     return getPooledConnection(str1, str2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PooledConnection getPooledConnection(String paramString1, String paramString2) throws SQLException {
/*  94 */     Connection connection = getPhysicalConnection(this.url, paramString1, paramString2);
/*  95 */     OraclePooledConnection oraclePooledConnection = new OraclePooledConnection(connection);
/*     */ 
/*     */     
/*  98 */     if (paramString2 == null)
/*  99 */       paramString2 = this.password; 
/* 100 */     oraclePooledConnection.setUserName(!paramString1.startsWith("\"") ? paramString1.toLowerCase() : paramString1, paramString2.toUpperCase());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 106 */     return oraclePooledConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   PooledConnection getPooledConnection(Properties paramProperties) throws SQLException {
/* 115 */     Connection connection = getPhysicalConnection(paramProperties);
/* 116 */     OraclePooledConnection oraclePooledConnection = new OraclePooledConnection(connection);
/*     */     
/* 118 */     String str1 = paramProperties.getProperty("user");
/* 119 */     if (str1 == null)
/* 120 */       str1 = ((OracleConnection)connection).getUserName(); 
/* 121 */     String str2 = paramProperties.getProperty("password");
/* 122 */     if (str2 == null)
/* 123 */       str2 = this.password; 
/* 124 */     oraclePooledConnection.setUserName(!str1.startsWith("\"") ? str1.toLowerCase() : str1, str2.toUpperCase());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 130 */     return oraclePooledConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Connection getPhysicalConnection() throws SQLException {
/* 142 */     return getConnection(this.user, this.password);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Connection getPhysicalConnection(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 155 */     this.url = paramString1;
/*     */     
/* 157 */     return getConnection(paramString2, paramString3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Connection getPhysicalConnection(String paramString1, String paramString2) throws SQLException {
/* 170 */     return getConnection(paramString1, paramString2);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 175 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleConnectionPoolDataSource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */