/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import java.util.Hashtable;
/*     */ import java.util.Properties;
/*     */ import java.util.StringTokenizer;
/*     */ import javax.naming.Context;
/*     */ import javax.naming.Name;
/*     */ import javax.naming.Reference;
/*     */ import javax.naming.StringRefAddr;
/*     */ import javax.naming.spi.ObjectFactory;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.xa.client.OracleXADataSource;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleDataSourceFactory
/*     */   implements ObjectFactory
/*     */ {
/*     */   public Object getObjectInstance(Object paramObject, Name paramName, Context paramContext, Hashtable paramHashtable) throws Exception {
/*  45 */     Reference reference = (Reference)paramObject;
/*  46 */     OracleDataSource oracleDataSource = null;
/*  47 */     String str = reference.getClassName();
/*  48 */     Properties properties = new Properties();
/*     */     
/*  50 */     if (str.equals("oracle.jdbc.pool.OracleDataSource") || str.equals("oracle.jdbc.xa.client.OracleXADataSource")) {
/*     */       OracleXADataSource oracleXADataSource;
/*     */       
/*  53 */       if (str.equals("oracle.jdbc.pool.OracleDataSource")) {
/*  54 */         oracleDataSource = new OracleDataSource();
/*     */       } else {
/*  56 */         oracleXADataSource = new OracleXADataSource();
/*     */       } 
/*  58 */       StringRefAddr stringRefAddr = null;
/*     */ 
/*     */       
/*  61 */       if ((stringRefAddr = (StringRefAddr)reference.get("connectionCachingEnabled")) != null) {
/*     */         
/*  63 */         String str1 = (String)stringRefAddr.getContent();
/*     */         
/*  65 */         if (str1.equals(String.valueOf("true"))) {
/*  66 */           oracleXADataSource.setConnectionCachingEnabled(true);
/*     */         }
/*     */       } 
/*  69 */       if ((stringRefAddr = (StringRefAddr)reference.get("connectionCacheName")) != null)
/*     */       {
/*  71 */         oracleXADataSource.setConnectionCacheName((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/*  74 */       if ((stringRefAddr = (StringRefAddr)reference.get("connectionCacheProperties")) != null) {
/*     */         
/*  76 */         String str1 = (String)stringRefAddr.getContent();
/*  77 */         Properties properties1 = extractConnectionCacheProperties(str1);
/*     */         
/*  79 */         oracleXADataSource.setConnectionCacheProperties(properties1);
/*     */       } 
/*     */       
/*  82 */       if ((stringRefAddr = (StringRefAddr)reference.get("fastConnectionFailoverEnabled")) != null) {
/*     */ 
/*     */         
/*  85 */         String str1 = (String)stringRefAddr.getContent();
/*     */         
/*  87 */         if (str1.equals(String.valueOf("true"))) {
/*  88 */           oracleXADataSource.setFastConnectionFailoverEnabled(true);
/*     */         }
/*     */       } 
/*  91 */       if ((stringRefAddr = (StringRefAddr)reference.get("onsConfigStr")) != null)
/*     */       {
/*  93 */         oracleXADataSource.setONSConfiguration((String)stringRefAddr.getContent());
/*     */       }
/*     */     }
/*  96 */     else if (str.equals("oracle.jdbc.pool.OracleConnectionPoolDataSource")) {
/*  97 */       oracleDataSource = new OracleConnectionPoolDataSource();
/*  98 */     } else if (str.equals("oracle.jdbc.pool.OracleConnectionCacheImpl")) {
/*     */       
/* 100 */       oracleDataSource = new OracleConnectionCacheImpl();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 107 */     else if (str.equals("oracle.jdbc.pool.OracleOCIConnectionPool")) {
/*     */ 
/*     */       
/* 110 */       oracleDataSource = new OracleOCIConnectionPool();
/*     */       
/* 112 */       String str1 = null;
/* 113 */       String str2 = null;
/* 114 */       String str3 = null;
/* 115 */       String str4 = null;
/* 116 */       String str5 = null;
/* 117 */       String str6 = null;
/* 118 */       String str7 = null;
/* 119 */       StringRefAddr stringRefAddr = null;
/*     */       
/* 121 */       Object object = null;
/* 122 */       String str8 = null;
/*     */ 
/*     */ 
/*     */       
/* 126 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_MIN_LIMIT)) != null)
/*     */       {
/* 128 */         str1 = (String)stringRefAddr.getContent();
/*     */       }
/* 130 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_MAX_LIMIT)) != null)
/*     */       {
/* 132 */         str2 = (String)stringRefAddr.getContent();
/*     */       }
/* 134 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_INCREMENT)) != null)
/*     */       {
/* 136 */         str3 = (String)stringRefAddr.getContent();
/*     */       }
/* 138 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_ACTIVE_SIZE)) != null)
/*     */       {
/* 140 */         str4 = (String)stringRefAddr.getContent();
/*     */       }
/* 142 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_POOL_SIZE)) != null)
/*     */       {
/* 144 */         str5 = (String)stringRefAddr.getContent();
/*     */       }
/* 146 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_TIMEOUT)) != null)
/*     */       {
/* 148 */         str6 = (String)stringRefAddr.getContent();
/*     */       }
/* 150 */       if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_NOWAIT)) != null)
/*     */       {
/* 152 */         str7 = (String)stringRefAddr.getContent();
/*     */       }
/* 154 */       if ((stringRefAddr = (StringRefAddr)reference.get("transactions_distributed")) != null)
/*     */       {
/* 156 */         str8 = (String)stringRefAddr.getContent();
/*     */       }
/*     */ 
/*     */       
/* 160 */       properties.put(OracleOCIConnectionPool.CONNPOOL_MIN_LIMIT, str1);
/* 161 */       properties.put(OracleOCIConnectionPool.CONNPOOL_MAX_LIMIT, str2);
/* 162 */       properties.put(OracleOCIConnectionPool.CONNPOOL_INCREMENT, str3);
/* 163 */       properties.put(OracleOCIConnectionPool.CONNPOOL_ACTIVE_SIZE, str4);
/*     */       
/* 165 */       properties.put(OracleOCIConnectionPool.CONNPOOL_POOL_SIZE, str5);
/* 166 */       properties.put(OracleOCIConnectionPool.CONNPOOL_TIMEOUT, str6);
/*     */       
/* 168 */       if (str7 == "true") {
/* 169 */         properties.put(OracleOCIConnectionPool.CONNPOOL_NOWAIT, str7);
/*     */       }
/* 171 */       if (str8 == "true") {
/* 172 */         properties.put("transactions_distributed", str8);
/*     */       
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 179 */       return null;
/*     */     } 
/* 181 */     if (oracleDataSource != null) {
/*     */ 
/*     */ 
/*     */       
/* 185 */       StringRefAddr stringRefAddr = null;
/*     */       
/* 187 */       if ((stringRefAddr = (StringRefAddr)reference.get("url")) != null)
/*     */       {
/* 189 */         oracleDataSource.setURL((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 192 */       if ((stringRefAddr = (StringRefAddr)reference.get("userName")) != null || (stringRefAddr = (StringRefAddr)reference.get("u")) != null || (stringRefAddr = (StringRefAddr)reference.get("user")) != null)
/*     */       {
/*     */ 
/*     */         
/* 196 */         oracleDataSource.setUser((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 199 */       if ((stringRefAddr = (StringRefAddr)reference.get("passWord")) != null || (stringRefAddr = (StringRefAddr)reference.get("password")) != null)
/*     */       {
/*     */         
/* 202 */         oracleDataSource.setPassword((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 205 */       if ((stringRefAddr = (StringRefAddr)reference.get("description")) != null || (stringRefAddr = (StringRefAddr)reference.get("describe")) != null)
/*     */       {
/* 207 */         oracleDataSource.setDescription((String)stringRefAddr.getContent());
/*     */       }
/* 209 */       if ((stringRefAddr = (StringRefAddr)reference.get("driverType")) != null || (stringRefAddr = (StringRefAddr)reference.get("driver")) != null)
/*     */       {
/*     */         
/* 212 */         oracleDataSource.setDriverType((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 215 */       if ((stringRefAddr = (StringRefAddr)reference.get("serverName")) != null || (stringRefAddr = (StringRefAddr)reference.get("host")) != null)
/*     */       {
/*     */         
/* 218 */         oracleDataSource.setServerName((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 221 */       if ((stringRefAddr = (StringRefAddr)reference.get("databaseName")) != null || (stringRefAddr = (StringRefAddr)reference.get("sid")) != null)
/*     */       {
/*     */         
/* 224 */         oracleDataSource.setDatabaseName((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 227 */       if ((stringRefAddr = (StringRefAddr)reference.get("serviceName")) != null)
/*     */       {
/* 229 */         oracleDataSource.setServiceName((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 232 */       if ((stringRefAddr = (StringRefAddr)reference.get("networkProtocol")) != null || (stringRefAddr = (StringRefAddr)reference.get("protocol")) != null)
/*     */       {
/*     */         
/* 235 */         oracleDataSource.setNetworkProtocol((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 238 */       if ((stringRefAddr = (StringRefAddr)reference.get("portNumber")) != null || (stringRefAddr = (StringRefAddr)reference.get("port")) != null) {
/*     */ 
/*     */         
/* 241 */         String str1 = (String)stringRefAddr.getContent();
/*     */         
/* 243 */         oracleDataSource.setPortNumber(Integer.parseInt(str1));
/*     */       } 
/*     */       
/* 246 */       if ((stringRefAddr = (StringRefAddr)reference.get("tnsentryname")) != null || (stringRefAddr = (StringRefAddr)reference.get("tns")) != null)
/*     */       {
/*     */         
/* 249 */         oracleDataSource.setTNSEntryName((String)stringRefAddr.getContent());
/*     */       }
/*     */       
/* 252 */       if (str.equals("oracle.jdbc.pool.OracleConnectionCacheImpl")) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 257 */         String str1 = null;
/*     */         
/* 259 */         if ((stringRefAddr = (StringRefAddr)reference.get("minLimit")) != null) {
/*     */           
/* 261 */           str1 = (String)stringRefAddr.getContent();
/*     */           
/* 263 */           ((OracleConnectionCacheImpl)oracleDataSource).setMinLimit(Integer.parseInt(str1));
/*     */         } 
/*     */         
/* 266 */         if ((stringRefAddr = (StringRefAddr)reference.get("maxLimit")) != null) {
/*     */           
/* 268 */           str1 = (String)stringRefAddr.getContent();
/*     */           
/* 270 */           ((OracleConnectionCacheImpl)oracleDataSource).setMaxLimit(Integer.parseInt(str1));
/*     */         } 
/*     */         
/* 273 */         if ((stringRefAddr = (StringRefAddr)reference.get("cacheScheme")) != null)
/*     */         {
/* 275 */           str1 = (String)stringRefAddr.getContent();
/*     */           
/* 277 */           ((OracleConnectionCacheImpl)oracleDataSource).setCacheScheme(Integer.parseInt(str1));
/*     */         }
/*     */       
/*     */       }
/* 281 */       else if (str.equals("oracle.jdbc.pool.OracleOCIConnectionPool")) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 298 */         String str1 = null;
/*     */         
/* 300 */         if ((stringRefAddr = (StringRefAddr)reference.get(OracleOCIConnectionPool.CONNPOOL_IS_POOLCREATED)) != null)
/*     */         {
/* 302 */           str1 = (String)stringRefAddr.getContent();
/*     */         }
/* 304 */         if (str1.equals(String.valueOf("true"))) {
/* 305 */           ((OracleOCIConnectionPool)oracleDataSource).setPoolConfig(properties);
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 312 */     return oracleDataSource;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Properties extractConnectionCacheProperties(String paramString) throws SQLException {
/* 330 */     Properties properties = new Properties();
/*     */ 
/*     */     
/* 333 */     paramString = paramString.substring(1, paramString.length() - 1);
/*     */ 
/*     */     
/* 336 */     int i = paramString.indexOf("AttributeWeights", 0);
/*     */     
/* 338 */     if (i >= 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 347 */       if (paramString.charAt(i + 16) != '=' || (i > 0 && paramString.charAt(i - 1) != ' '))
/*     */       {
/*     */         
/* 350 */         DatabaseError.throwSqlException(139);
/*     */       }
/*     */       
/* 353 */       Properties properties1 = new Properties();
/* 354 */       int j = paramString.indexOf("}", i);
/* 355 */       String str1 = paramString.substring(i, j);
/*     */ 
/*     */       
/* 358 */       String str2 = str1.substring(18);
/*     */       
/* 360 */       StringTokenizer stringTokenizer1 = new StringTokenizer(str2, ", ");
/*     */ 
/*     */       
/* 363 */       synchronized (stringTokenizer1) {
/*     */         
/* 365 */         while (stringTokenizer1.hasMoreTokens()) {
/*     */           
/* 367 */           String str3 = stringTokenizer1.nextToken();
/* 368 */           int k = str3.length();
/* 369 */           int m = str3.indexOf("=");
/*     */           
/* 371 */           String str4 = str3.substring(0, m);
/* 372 */           String str5 = str3.substring(m + 1, k);
/*     */           
/* 374 */           properties1.setProperty(str4, str5);
/*     */         } 
/*     */       } 
/*     */       
/* 378 */       properties.put("AttributeWeights", properties1);
/*     */ 
/*     */       
/* 381 */       if (i > 0 && j + 1 == paramString.length()) {
/*     */         
/* 383 */         paramString = paramString.substring(0, i - 2);
/*     */       }
/* 385 */       else if (i > 0 && j + 1 < paramString.length()) {
/*     */         
/* 387 */         String str3 = paramString.substring(0, i - 2);
/* 388 */         String str4 = paramString.substring(j + 1, paramString.length());
/*     */         
/* 390 */         paramString = str3.concat(str4);
/*     */       }
/*     */       else {
/*     */         
/* 394 */         paramString = paramString.substring(j + 2, paramString.length());
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 399 */     StringTokenizer stringTokenizer = new StringTokenizer(paramString, ", ");
/*     */     
/* 401 */     synchronized (stringTokenizer) {
/*     */       
/* 403 */       while (stringTokenizer.hasMoreTokens()) {
/*     */         
/* 405 */         String str1 = stringTokenizer.nextToken();
/* 406 */         int j = str1.length();
/* 407 */         int k = str1.indexOf("=");
/*     */         
/* 409 */         String str2 = str1.substring(0, k);
/* 410 */         String str3 = str1.substring(k + 1, j);
/*     */         
/* 412 */         properties.setProperty(str2, str3);
/*     */       } 
/*     */     } 
/*     */     
/* 416 */     return properties;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 421 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleDataSourceFactory.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */