/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleImplicitConnectionCacheThread
/*     */   extends Thread
/*     */ {
/*  31 */   private OracleImplicitConnectionCache implicitCache = null;
/*     */ 
/*     */   
/*     */   protected boolean timeToLive = true;
/*     */ 
/*     */   
/*     */   protected boolean isSleeping = false;
/*     */ 
/*     */   
/*     */   OracleImplicitConnectionCacheThread(OracleImplicitConnectionCache paramOracleImplicitConnectionCache) throws SQLException {
/*  41 */     this.implicitCache = paramOracleImplicitConnectionCache;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*  50 */     long l1 = 0L;
/*  51 */     long l2 = 0L;
/*  52 */     long l3 = 0L;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  60 */     while (this.timeToLive) {
/*     */ 
/*     */       
/*     */       try {
/*     */ 
/*     */         
/*  66 */         if (this.timeToLive && (l1 = this.implicitCache.getCacheTimeToLiveTimeout()) > 0L)
/*     */         {
/*     */           
/*  69 */           runTimeToLiveTimeout(l1);
/*     */         }
/*     */ 
/*     */         
/*  73 */         if (this.timeToLive && (l2 = this.implicitCache.getCacheInactivityTimeout()) > 0L)
/*     */         {
/*  75 */           runInactivityTimeout();
/*     */         }
/*     */ 
/*     */         
/*  79 */         if (this.timeToLive && (l3 = this.implicitCache.getCacheAbandonedTimeout()) > 0L)
/*     */         {
/*  81 */           runAbandonedTimeout(l3);
/*     */         }
/*     */ 
/*     */         
/*  85 */         if (this.timeToLive) {
/*     */           
/*  87 */           this.isSleeping = true;
/*     */ 
/*     */           
/*     */           try {
/*  91 */             sleep((this.implicitCache.getCachePropertyCheckInterval() * 1000));
/*     */           }
/*  93 */           catch (InterruptedException interruptedException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 100 */           this.isSleeping = false;
/*     */         } 
/*     */ 
/*     */         
/* 104 */         if (this.implicitCache == null || (l1 <= 0L && l2 <= 0L && l3 <= 0L))
/*     */         {
/*     */           
/* 107 */           this.timeToLive = false;
/*     */         }
/* 109 */       } catch (SQLException sQLException) {}
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void runTimeToLiveTimeout(long paramLong) throws SQLException {
/* 123 */     long l1 = 0L;
/* 124 */     long l2 = 0L;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 130 */     if (this.implicitCache.getNumberOfCheckedOutConnections() > 0) {
/*     */       
/* 132 */       OraclePooledConnection oraclePooledConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 137 */       synchronized (this.implicitCache) {
/*     */ 
/*     */ 
/*     */         
/* 141 */         Object[] arrayOfObject = this.implicitCache.checkedOutConnectionList.toArray();
/* 142 */         int i = this.implicitCache.checkedOutConnectionList.size();
/*     */         
/* 144 */         for (byte b = 0; b < i; b++) {
/*     */           
/* 146 */           oraclePooledConnection = (OraclePooledConnection)arrayOfObject[b];
/*     */           
/* 148 */           Connection connection = oraclePooledConnection.getLogicalHandle();
/*     */           
/* 150 */           if (connection != null) {
/*     */             
/* 152 */             l2 = ((OracleConnection)connection).getStartTime();
/*     */             
/* 154 */             l1 = System.currentTimeMillis();
/*     */ 
/*     */             
/* 157 */             if (l1 - l2 > paramLong * 1000L) {
/*     */               
/*     */               try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                 
/* 165 */                 this.implicitCache.closeCheckedOutConnection(oraclePooledConnection, true);
/*     */               }
/* 167 */               catch (SQLException sQLException) {}
/*     */             }
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void runInactivityTimeout() {
/*     */     try {
/* 187 */       this.implicitCache.doForEveryCachedConnection(4);
/*     */     }
/* 189 */     catch (SQLException sQLException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void runAbandonedTimeout(long paramLong) throws SQLException {
/* 206 */     if (this.implicitCache.getNumberOfCheckedOutConnections() > 0) {
/*     */       
/* 208 */       OraclePooledConnection oraclePooledConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 213 */       synchronized (this.implicitCache) {
/*     */         
/* 215 */         Object[] arrayOfObject = this.implicitCache.checkedOutConnectionList.toArray();
/*     */ 
/*     */         
/* 218 */         for (byte b = 0; b < arrayOfObject.length; b++) {
/*     */           
/* 220 */           oraclePooledConnection = (OraclePooledConnection)arrayOfObject[b];
/*     */           
/* 222 */           OracleConnection oracleConnection = (OracleConnection)oraclePooledConnection.getLogicalHandle();
/*     */           
/* 224 */           if (oracleConnection != null) {
/*     */ 
/*     */ 
/*     */             
/* 228 */             OracleConnectionCacheCallback oracleConnectionCacheCallback = oracleConnection.getConnectionCacheCallbackObj();
/*     */ 
/*     */ 
/*     */             
/* 232 */             if ((oracleConnection.getHeartbeatNoChangeCount() * this.implicitCache.getCachePropertyCheckInterval()) > paramLong) {
/*     */               
/*     */               try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                 
/* 241 */                 boolean bool = true;
/* 242 */                 if (oracleConnectionCacheCallback != null && (oracleConnection.getConnectionCacheCallbackFlag() == 4 || oracleConnection.getConnectionCacheCallbackFlag() == 1))
/*     */                 {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                   
/* 253 */                   bool = oracleConnectionCacheCallback.handleAbandonedConnection((OracleConnection)oracleConnection, oracleConnection.getConnectionCacheCallbackPrivObj());
/*     */                 }
/*     */ 
/*     */                 
/* 257 */                 if (bool)
/* 258 */                   this.implicitCache.closeCheckedOutConnection(oraclePooledConnection, true); 
/* 259 */               } catch (SQLException sQLException) {}
/*     */             }
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 278 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleImplicitConnectionCacheThread.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */