/*     */ package oracle.jdbc.pool;
/*     */ 
/*     */ import java.security.AccessController;
/*     */ import java.security.PrivilegedActionException;
/*     */ import java.security.PrivilegedExceptionAction;
/*     */ import java.sql.SQLException;
/*     */ import oracle.ons.Notification;
/*     */ import oracle.ons.ONSException;
/*     */ import oracle.ons.Subscriber;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleRuntimeLoadBalancingEventHandlerThread
/*     */   extends Thread
/*     */ {
/*  37 */   private Notification event = null;
/*  38 */   private OracleConnectionCacheManager cacheManager = null;
/*     */ 
/*     */   
/*     */   String m_service;
/*     */ 
/*     */ 
/*     */   
/*     */   OracleRuntimeLoadBalancingEventHandlerThread(String paramString) throws SQLException {
/*  46 */     this.m_service = paramString;
/*     */     
/*  48 */     this.cacheManager = OracleConnectionCacheManager.getConnectionCacheManagerInstance();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void run() {
/*  55 */     Subscriber subscriber = null;
/*     */ 
/*     */     
/*  58 */     String str = "%\"eventType=database/event/servicemetrics/" + this.m_service + "\"";
/*     */ 
/*     */     
/*  61 */     while (this.cacheManager.failoverEnabledCacheExists()) {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/*  66 */         subscriber = AccessController.<Subscriber>doPrivileged(new PrivilegedExceptionAction(this, str)
/*     */             {
/*     */               private final String val$type;
/*     */               
/*     */               private final OracleRuntimeLoadBalancingEventHandlerThread this$0;
/*     */ 
/*     */               
/*     */               public Object run() throws ONSException {
/*  74 */                 return new Subscriber(this.val$type, "", 30000L);
/*     */               }
/*     */             });
/*     */       }
/*  78 */       catch (PrivilegedActionException privilegedActionException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  84 */       if (subscriber != null) {
/*     */         
/*     */         try {
/*     */           
/*  88 */           while (this.cacheManager.failoverEnabledCacheExists()) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*  94 */             if ((this.event = subscriber.receive(300000L)) != null) {
/*  95 */               handleEvent(this.event);
/*     */             }
/*     */           } 
/*  98 */         } catch (ONSException oNSException) {
/*     */           
/* 100 */           subscriber.close();
/*     */         } 
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 110 */         Thread.currentThread(); Thread.sleep(10000L);
/*     */       }
/* 112 */       catch (InterruptedException interruptedException) {}
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void handleEvent(Notification paramNotification) {
/*     */     try {
/* 129 */       this.cacheManager.parseRuntimeLoadBalancingEvent(this.m_service, (paramNotification == null) ? null : paramNotification.body());
/*     */     }
/* 131 */     catch (SQLException sQLException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 141 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\pool\OracleRuntimeLoadBalancingEventHandlerThread.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */