/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.sql.ResultSetMetaData;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Collection;
/*     */ import java.util.Vector;
/*     */ import javax.sql.RowSet;
/*     */ import javax.sql.RowSetMetaData;
/*     */ import javax.sql.rowset.CachedRowSet;
/*     */ import javax.sql.rowset.JoinRowSet;
/*     */ import javax.sql.rowset.Joinable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleJoinRowSet
/*     */   extends OracleWebRowSet
/*     */   implements JoinRowSet
/*     */ {
/*     */   private static final String MATCH_COLUMN_SUFFIX = "#MATCH_COLUMN";
/*  58 */   private static boolean[] supportedJoins = new boolean[] { false, true, false, false, false };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   private int joinType = 1;
/*  76 */   private Vector addedRowSets = new Vector();
/*  77 */   private Vector addedRowSetNames = new Vector();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Object lockForJoinActions;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addRowSet(Joinable paramJoinable) throws SQLException {
/* 115 */     if (paramJoinable == null) {
/* 116 */       throw new SQLException("Invalid empty RowSet parameter");
/*     */     }
/* 118 */     if (!(paramJoinable instanceof RowSet)) {
/* 119 */       throw new SQLException("The parameter is not a RowSet instance");
/*     */     }
/* 121 */     OracleCachedRowSet oracleCachedRowSet = checkAndWrapRowSet((RowSet)paramJoinable);
/* 122 */     String str = getMatchColumnTableName((RowSet)paramJoinable);
/*     */     
/* 124 */     switch (this.joinType) {
/*     */       
/*     */       case 1:
/* 127 */         doInnerJoin(oracleCachedRowSet);
/*     */         
/* 129 */         this.addedRowSets.add(paramJoinable);
/* 130 */         this.addedRowSetNames.add(str);
/*     */         return;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 138 */     throw new SQLException("Join type is not supported");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addRowSet(RowSet paramRowSet, int paramInt) throws SQLException {
/* 161 */     ((OracleRowSet)paramRowSet).setMatchColumn(paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 166 */     addRowSet((Joinable)paramRowSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addRowSet(RowSet paramRowSet, String paramString) throws SQLException {
/* 190 */     ((OracleRowSet)paramRowSet).setMatchColumn(paramString);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 195 */     addRowSet((Joinable)paramRowSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addRowSet(RowSet[] paramArrayOfRowSet, int[] paramArrayOfint) throws SQLException {
/* 228 */     if (paramArrayOfRowSet.length != paramArrayOfint.length) {
/* 229 */       throw new SQLException("Number of elements in rowsets is not equal to match columns");
/*     */     }
/* 231 */     for (byte b = 0; b < paramArrayOfRowSet.length; b++) {
/*     */       
/* 233 */       ((OracleRowSet)paramArrayOfRowSet[b]).setMatchColumn(paramArrayOfint[b]);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 238 */       addRowSet((Joinable)paramArrayOfRowSet[b]);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void addRowSet(RowSet[] paramArrayOfRowSet, String[] paramArrayOfString) throws SQLException {
/* 273 */     if (paramArrayOfRowSet.length != paramArrayOfString.length) {
/* 274 */       throw new SQLException("Number of elements in rowsets is not equal to match columns");
/*     */     }
/* 276 */     for (byte b = 0; b < paramArrayOfRowSet.length; b++) {
/*     */       
/* 278 */       ((OracleRowSet)paramArrayOfRowSet[b]).setMatchColumn(paramArrayOfString[b]);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 283 */       addRowSet((Joinable)paramArrayOfRowSet[b]);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Collection getRowSets() throws SQLException {
/* 303 */     return this.addedRowSets;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String[] getRowSetNames() throws SQLException {
/* 318 */     Object[] arrayOfObject = this.addedRowSetNames.toArray();
/* 319 */     String[] arrayOfString = new String[arrayOfObject.length];
/* 320 */     for (byte b = 0; b < arrayOfObject.length; b++)
/*     */     {
/* 322 */       arrayOfString[b] = (String)arrayOfObject[b];
/*     */     }
/* 324 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CachedRowSet toCachedRowSet() throws SQLException {
/* 357 */     OracleCachedRowSet oracleCachedRowSet = (OracleCachedRowSet)createCopy();
/*     */ 
/*     */     
/* 360 */     oracleCachedRowSet.setCommand("");
/*     */     
/* 362 */     return oracleCachedRowSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getJoinType() {
/* 377 */     return this.joinType;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supportsCrossJoin() {
/* 387 */     return supportedJoins[0];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supportsInnerJoin() {
/* 397 */     return supportedJoins[1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supportsLeftOuterJoin() {
/* 407 */     return supportedJoins[2];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supportsRightOuterJoin() {
/* 417 */     return supportedJoins[3];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean supportsFullJoin() {
/* 427 */     return supportedJoins[4];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setJoinType(int paramInt) throws SQLException {
/* 442 */     if (paramInt != 1) {
/* 443 */       throw new SQLException("Join type is not supported");
/*     */     }
/* 445 */     this.joinType = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized String getWhereClause() throws SQLException {
/* 460 */     if (this.addedRowSets.size() < 2) {
/* 461 */       return "WHERE";
/*     */     }
/* 463 */     StringBuffer stringBuffer = new StringBuffer();
/* 464 */     stringBuffer.append("WHERE\n");
/*     */     
/* 466 */     OracleRowSet oracleRowSet = this.addedRowSets.get(0);
/* 467 */     int[] arrayOfInt = oracleRowSet.getMatchColumnIndexes();
/* 468 */     ResultSetMetaData resultSetMetaData = oracleRowSet.getMetaData();
/* 469 */     String str = oracleRowSet.getTableName();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 476 */     for (byte b = 1; b < this.addedRowSets.size(); b++) {
/*     */       
/* 478 */       if (b > 1)
/*     */       {
/* 480 */         stringBuffer.append("\nAND\n");
/*     */       }
/*     */       
/* 483 */       OracleRowSet oracleRowSet1 = this.addedRowSets.get(b);
/* 484 */       int[] arrayOfInt1 = oracleRowSet1.getMatchColumnIndexes();
/* 485 */       ResultSetMetaData resultSetMetaData1 = oracleRowSet1.getMetaData();
/* 486 */       String str1 = oracleRowSet1.getTableName();
/*     */       
/* 488 */       for (byte b1 = 0; b1 < arrayOfInt.length; b1++) {
/*     */         
/* 490 */         if (b1 > 0)
/*     */         {
/* 492 */           stringBuffer.append("\nAND\n");
/*     */         }
/*     */         
/* 495 */         stringBuffer.append("(" + str + "." + resultSetMetaData.getColumnName(arrayOfInt[b1]) + " = " + str1 + "." + resultSetMetaData1.getColumnName(arrayOfInt1[b1]) + ")");
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 502 */       oracleRowSet = oracleRowSet1;
/* 503 */       arrayOfInt = arrayOfInt1;
/* 504 */       resultSetMetaData = resultSetMetaData1;
/* 505 */       str = str1;
/*     */     } 
/*     */     
/* 508 */     stringBuffer.append(";");
/*     */     
/* 510 */     return stringBuffer.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void doInnerJoin(OracleCachedRowSet paramOracleCachedRowSet) throws SQLException {
/* 533 */     if (this.addedRowSets.isEmpty()) {
/*     */ 
/*     */       
/* 536 */       setMetaData((RowSetMetaData)paramOracleCachedRowSet.getMetaData());
/* 537 */       populate(paramOracleCachedRowSet);
/*     */       
/* 539 */       setMatchColumn(paramOracleCachedRowSet.getMatchColumnIndexes());
/*     */     }
/*     */     else {
/*     */       
/* 543 */       Vector vector = new Vector(100);
/* 544 */       OracleRowSetMetaData oracleRowSetMetaData = new OracleRowSetMetaData(10);
/*     */       
/* 546 */       int[] arrayOfInt1 = getMatchColumnIndexes();
/* 547 */       int[] arrayOfInt2 = paramOracleCachedRowSet.getMatchColumnIndexes();
/*     */ 
/*     */       
/* 550 */       int i = getMetaData().getColumnCount() + paramOracleCachedRowSet.getMetaData().getColumnCount() - arrayOfInt2.length;
/*     */ 
/*     */       
/* 553 */       oracleRowSetMetaData.setColumnCount(i);
/*     */ 
/*     */       
/* 556 */       String str = getTableName() + "#" + paramOracleCachedRowSet.getTableName();
/*     */ 
/*     */       
/* 559 */       for (byte b1 = 1; b1 <= this.colCount; b1++) {
/*     */         
/* 561 */         boolean bool1 = false;
/* 562 */         for (byte b = 0; b < arrayOfInt1.length; b++) {
/*     */           
/* 564 */           if (b1 == arrayOfInt1[b]) {
/*     */             
/* 566 */             bool1 = true;
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/* 571 */         setNewColumnMetaData(b1, oracleRowSetMetaData, b1, (RowSetMetaData)this.rowsetMetaData, bool1, str);
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 576 */       RowSetMetaData rowSetMetaData = (RowSetMetaData)paramOracleCachedRowSet.getMetaData();
/*     */       
/* 578 */       int j = rowSetMetaData.getColumnCount();
/*     */ 
/*     */       
/* 581 */       int k = this.colCount + 1;
/* 582 */       int[] arrayOfInt3 = new int[j];
/*     */       int m;
/* 584 */       for (m = 1; m <= j; m++) {
/*     */         
/* 586 */         boolean bool1 = false;
/* 587 */         for (byte b = 0; b < arrayOfInt2.length; b++) {
/*     */           
/* 589 */           if (m == arrayOfInt1[b]) {
/*     */             
/* 591 */             bool1 = true;
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/* 596 */         if (!bool1) {
/*     */           
/* 598 */           setNewColumnMetaData(k, oracleRowSetMetaData, m, rowSetMetaData, bool1, str);
/*     */ 
/*     */ 
/*     */           
/* 602 */           arrayOfInt3[m - 1] = k;
/* 603 */           k++;
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 608 */           arrayOfInt3[m - 1] = -1;
/*     */         } 
/*     */       } 
/*     */       
/* 612 */       beforeFirst();
/*     */ 
/*     */       
/* 615 */       m = paramOracleCachedRowSet.size();
/* 616 */       boolean bool = false;
/*     */       
/* 618 */       for (byte b2 = 1; b2 <= this.rowCount; b2++) {
/*     */         
/* 620 */         next();
/* 621 */         paramOracleCachedRowSet.beforeFirst();
/*     */         
/* 623 */         for (byte b = 1; b <= m; b++) {
/*     */           
/* 625 */           paramOracleCachedRowSet.next();
/*     */           
/* 627 */           bool = true;
/* 628 */           for (byte b3 = 0; b3 < arrayOfInt1.length; b3++) {
/*     */             
/* 630 */             Object object1 = getObject(arrayOfInt1[b3]);
/* 631 */             Object object2 = paramOracleCachedRowSet.getObject(arrayOfInt2[b3]);
/* 632 */             if (!object1.equals(object2)) {
/*     */               
/* 634 */               bool = false;
/*     */               
/*     */               break;
/*     */             } 
/*     */           } 
/* 639 */           if (bool) {
/*     */             
/* 641 */             OracleRow oracleRow = new OracleRow(i, true);
/*     */             
/*     */             byte b4;
/* 644 */             for (b4 = 1; b4 <= this.colCount; b4++)
/*     */             {
/* 646 */               oracleRow.updateObject(b4, getObject(b4));
/*     */             }
/*     */             
/* 649 */             for (b4 = 1; b4 <= j; b4++) {
/*     */               
/* 651 */               if (arrayOfInt3[b4 - 1] != -1)
/*     */               {
/* 653 */                 oracleRow.updateObject(arrayOfInt3[b4 - 1], paramOracleCachedRowSet.getObject(b4));
/*     */               }
/*     */             } 
/*     */ 
/*     */             
/* 658 */             vector.add(oracleRow);
/*     */           } 
/*     */         } 
/*     */       } 
/*     */       
/* 663 */       this.rows = vector;
/* 664 */       this.presentRow = 0;
/* 665 */       this.rowCount = this.rows.size();
/* 666 */       setMetaData(oracleRowSetMetaData);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setNewColumnMetaData(int paramInt1, RowSetMetaData paramRowSetMetaData1, int paramInt2, RowSetMetaData paramRowSetMetaData2, boolean paramBoolean, String paramString) throws SQLException {
/* 698 */     paramRowSetMetaData1.setAutoIncrement(paramInt1, paramRowSetMetaData2.isAutoIncrement(paramInt2));
/* 699 */     paramRowSetMetaData1.setCaseSensitive(paramInt1, paramRowSetMetaData2.isCaseSensitive(paramInt2));
/* 700 */     paramRowSetMetaData1.setCatalogName(paramInt1, paramRowSetMetaData2.getCatalogName(paramInt2));
/* 701 */     paramRowSetMetaData1.setColumnDisplaySize(paramInt1, paramRowSetMetaData2.getColumnDisplaySize(paramInt2));
/*     */ 
/*     */     
/* 704 */     if (paramBoolean) {
/*     */       
/* 706 */       paramRowSetMetaData1.setColumnName(paramInt1, paramRowSetMetaData2.getColumnName(paramInt1) + "#MATCH_COLUMN");
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 711 */       paramRowSetMetaData1.setColumnName(paramInt1, paramRowSetMetaData2.getColumnName(paramInt2));
/*     */     } 
/*     */     
/* 714 */     paramRowSetMetaData1.setColumnLabel(paramInt1, paramRowSetMetaData1.getColumnName(paramInt2));
/*     */     
/* 716 */     paramRowSetMetaData1.setColumnType(paramInt1, paramRowSetMetaData2.getColumnType(paramInt2));
/* 717 */     paramRowSetMetaData1.setColumnTypeName(paramInt1, paramRowSetMetaData2.getColumnTypeName(paramInt2));
/* 718 */     paramRowSetMetaData1.setCurrency(paramInt1, paramRowSetMetaData2.isCurrency(paramInt2));
/* 719 */     paramRowSetMetaData1.setNullable(paramInt1, paramRowSetMetaData2.isNullable(paramInt2));
/* 720 */     paramRowSetMetaData1.setPrecision(paramInt1, paramRowSetMetaData2.getPrecision(paramInt2));
/* 721 */     paramRowSetMetaData1.setScale(paramInt1, paramRowSetMetaData2.getScale(paramInt2));
/* 722 */     paramRowSetMetaData1.setSchemaName(paramInt1, paramRowSetMetaData2.getSchemaName(paramInt2));
/* 723 */     paramRowSetMetaData1.setSearchable(paramInt1, paramRowSetMetaData2.isSearchable(paramInt2));
/* 724 */     paramRowSetMetaData1.setSigned(paramInt1, paramRowSetMetaData2.isSigned(paramInt2));
/*     */     
/* 726 */     if (paramBoolean) {
/*     */       
/* 728 */       paramRowSetMetaData1.setTableName(paramInt1, paramString);
/*     */     }
/*     */     else {
/*     */       
/* 732 */       paramRowSetMetaData1.setTableName(paramInt1, paramRowSetMetaData2.getTableName(paramInt2));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private OracleCachedRowSet checkAndWrapRowSet(RowSet paramRowSet) throws SQLException {
/*     */     OracleCachedRowSet oracleCachedRowSet;
/* 755 */     if (paramRowSet instanceof OracleCachedRowSet) {
/*     */       
/* 757 */       oracleCachedRowSet = (OracleCachedRowSet)paramRowSet;
/*     */     }
/* 759 */     else if (paramRowSet instanceof OracleJDBCRowSet) {
/*     */       
/* 761 */       oracleCachedRowSet = new OracleCachedRowSet();
/* 762 */       oracleCachedRowSet.populate(paramRowSet);
/*     */       
/* 764 */       int[] arrayOfInt = ((OracleJDBCRowSet)paramRowSet).getMatchColumnIndexes();
/* 765 */       oracleCachedRowSet.setMatchColumn(arrayOfInt);
/*     */     } else {
/*     */       
/* 768 */       throw new SQLException("Third-party RowSet Join not yet supported");
/*     */     } 
/* 770 */     return oracleCachedRowSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getMatchColumnTableName(RowSet paramRowSet) throws SQLException {
/* 777 */     String str = null;
/* 778 */     if (paramRowSet instanceof OracleRowSet)
/*     */     {
/* 780 */       str = ((OracleRowSet)paramRowSet).getTableName();
/*     */     }
/*     */     
/* 783 */     return str;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleJoinRowSet.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */