/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.io.DataInputStream;
/*     */ import java.io.DataOutputStream;
/*     */ import java.io.InputStream;
/*     */ import java.io.OutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.math.BigDecimal;
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Collection;
/*     */ import java.util.Vector;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleRow
/*     */   implements Serializable, Cloneable
/*     */ {
/*     */   private Object[] column;
/*     */   private Object[] changedColumn;
/*     */   private boolean[] isOriginalNull;
/*     */   private byte[] columnChangeFlag;
/*  75 */   private int noColumn = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int noColumnsInserted;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean rowDeleted = false;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean rowInserted = false;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   private final byte COLUMN_CHANGED = 17;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean rowUpdated = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleRow(int paramInt) {
/* 125 */     this.noColumn = paramInt;
/* 126 */     this.column = new Object[paramInt];
/* 127 */     this.changedColumn = new Object[paramInt];
/* 128 */     this.columnChangeFlag = new byte[paramInt];
/* 129 */     this.isOriginalNull = new boolean[paramInt];
/* 130 */     for (byte b = 0; b < paramInt; b++) {
/* 131 */       this.columnChangeFlag[b] = 0;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleRow(int paramInt, boolean paramBoolean) {
/* 143 */     this(paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 160 */     this.rowInserted = paramBoolean;
/* 161 */     this.noColumnsInserted = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleRow(int paramInt, Object[] paramArrayOfObject) {
/* 173 */     this(paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 196 */     System.arraycopy(paramArrayOfObject, 0, this.column, 0, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnValue(int paramInt, Object paramObject) {
/* 223 */     if (this.rowInserted)
/* 224 */       this.noColumnsInserted++; 
/* 225 */     this.column[paramInt - 1] = paramObject;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void markOriginalNull(int paramInt, boolean paramBoolean) throws SQLException {
/* 246 */     this.isOriginalNull[paramInt - 1] = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean isOriginalNull(int paramInt) throws SQLException {
/* 267 */     return this.isOriginalNull[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateObject(int paramInt, Object paramObject) {
/* 295 */     if (this.rowInserted)
/* 296 */       this.noColumnsInserted++; 
/* 297 */     this.columnChangeFlag[paramInt - 1] = 17;
/* 298 */     this.changedColumn[paramInt - 1] = paramObject;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void cancelRowUpdates() {
/* 320 */     this.noColumnsInserted = 0;
/* 321 */     for (byte b = 0; b < this.noColumn; b++)
/* 322 */       this.columnChangeFlag[b] = 0; 
/* 323 */     this.changedColumn = null;
/* 324 */     this.changedColumn = new Object[this.noColumn];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getColumn(int paramInt) {
/* 350 */     return this.column[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getModifiedColumn(int paramInt) {
/* 377 */     return this.changedColumn[paramInt - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isColumnChanged(int paramInt) {
/* 406 */     return (this.columnChangeFlag[paramInt - 1] == 17);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isRowUpdated() {
/* 437 */     if (this.rowInserted || this.rowDeleted) {
/* 438 */       return false;
/*     */     }
/* 440 */     for (byte b = 0; b < this.noColumn; b++) {
/* 441 */       if (this.columnChangeFlag[b] == 17) {
/* 442 */         return true;
/*     */       }
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 458 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRowUpdated(boolean paramBoolean) {
/* 482 */     this.rowUpdated = paramBoolean;
/* 483 */     if (!paramBoolean) {
/* 484 */       cancelRowUpdates();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isRowInserted() {
/* 509 */     return this.rowInserted;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void cancelRowDeletion() {
/* 531 */     this.rowDeleted = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRowDeleted(boolean paramBoolean) {
/* 555 */     this.rowDeleted = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isRowDeleted() {
/* 577 */     return this.rowDeleted;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object[] getOriginalRow() {
/* 604 */     return this.column;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isRowFullyPopulated() {
/* 628 */     if (!this.rowInserted) {
/* 629 */       return false;
/*     */     }
/* 631 */     return (this.noColumnsInserted == this.noColumn);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setInsertedFlag(boolean paramBoolean) {
/* 656 */     this.rowInserted = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void makeUpdatesOriginal() {
/* 667 */     for (byte b = 0; b < this.noColumn; b++) {
/*     */       
/* 669 */       if (this.columnChangeFlag[b] == 17) {
/*     */ 
/*     */         
/* 672 */         this.column[b] = this.changedColumn[b];
/* 673 */         this.changedColumn[b] = null;
/* 674 */         this.columnChangeFlag[b] = 0;
/*     */       } 
/*     */     } 
/*     */     
/* 678 */     this.rowUpdated = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void insertRow() {
/* 703 */     this.columnChangeFlag = null;
/* 704 */     this.columnChangeFlag = new byte[this.noColumn];
/* 705 */     System.arraycopy(this.changedColumn, 0, this.column, 0, this.noColumn);
/* 706 */     this.changedColumn = null;
/* 707 */     this.changedColumn = new Object[this.noColumn];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Collection toCollection() {
/* 730 */     Vector vector = new Vector(this.noColumn);
/* 731 */     for (byte b = 1; b <= this.noColumn; b++) {
/* 732 */       vector.add(isColumnChanged(b) ? getModifiedColumn(b) : getColumn(b));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 749 */     return vector;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleRow createCopy() throws SQLException {
/* 769 */     OracleRow oracleRow = new OracleRow(this.noColumn);
/* 770 */     for (byte b = 0; b < this.noColumn; b++) {
/*     */       
/* 772 */       oracleRow.column[b] = getCopy(this.column[b]);
/* 773 */       oracleRow.changedColumn[b] = getCopy(this.changedColumn[b]);
/*     */     } 
/*     */     
/* 776 */     System.arraycopy(this.columnChangeFlag, 0, oracleRow.columnChangeFlag, 0, this.noColumn);
/* 777 */     oracleRow.noColumnsInserted = this.noColumnsInserted;
/* 778 */     oracleRow.rowDeleted = this.rowDeleted;
/* 779 */     oracleRow.rowInserted = this.rowInserted;
/* 780 */     oracleRow.rowUpdated = this.rowUpdated;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 796 */     return oracleRow;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getCopy(Object paramObject) throws SQLException {
/*     */     DataOutputStream dataOutputStream;
/* 817 */     String str = null;
/*     */     
/*     */     try {
/* 820 */       if (paramObject == null) {
/* 821 */         return null;
/*     */       }
/* 823 */       if (paramObject instanceof String) {
/* 824 */         str = new String((String)paramObject);
/*     */       }
/* 826 */       else if (paramObject instanceof Number) {
/* 827 */         BigDecimal bigDecimal = new BigDecimal(((Number)paramObject).toString());
/*     */       }
/* 829 */       else if (paramObject instanceof Date) {
/* 830 */         Date date = new Date(((Date)paramObject).getTime());
/*     */       }
/* 832 */       else if (paramObject instanceof Timestamp) {
/* 833 */         Timestamp timestamp = new Timestamp(((Timestamp)paramObject).getTime());
/*     */       
/*     */       }
/* 836 */       else if (paramObject instanceof InputStream) {
/* 837 */         DataInputStream dataInputStream = new DataInputStream((InputStream)paramObject);
/*     */       }
/* 839 */       else if (paramObject instanceof OutputStream) {
/* 840 */         dataOutputStream = new DataOutputStream((OutputStream)paramObject);
/*     */       } else {
/*     */         
/* 843 */         throw new SQLException("Error, could not reproduce the copy of the object, " + paramObject.getClass().getName());
/*     */       }
/*     */     
/* 846 */     } catch (Exception exception) {
/*     */       
/* 848 */       throw new SQLException("Error while creating a copy of the column of type, " + paramObject.getClass().getName() + "\n" + exception.getMessage());
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 867 */     return dataOutputStream;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object clone() throws CloneNotSupportedException {
/*     */     try {
/* 889 */       return createCopy();
/* 890 */     } catch (SQLException sQLException) {
/*     */       
/* 892 */       throw new CloneNotSupportedException("Error while cloning\n" + sQLException.getMessage());
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleRow.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */