/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import java.io.BufferedInputStream;
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.OutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.Blob;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleSerialBlob
/*     */   implements Blob, Serializable, Cloneable
/*     */ {
/*     */   private byte[] buffer;
/*     */   private long length;
/*     */   
/*     */   public OracleSerialBlob(byte[] paramArrayOfbyte) throws SQLException {
/*  39 */     this.length = paramArrayOfbyte.length;
/*  40 */     this.buffer = new byte[(int)this.length];
/*  41 */     for (byte b = 0; b < this.length; b++) {
/*  42 */       this.buffer[b] = paramArrayOfbyte[b];
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleSerialBlob(Blob paramBlob) throws SQLException {
/*  63 */     this.length = paramBlob.length();
/*  64 */     this.buffer = new byte[(int)this.length];
/*  65 */     BufferedInputStream bufferedInputStream = new BufferedInputStream(paramBlob.getBinaryStream());
/*     */ 
/*     */     
/*     */     try {
/*  69 */       int i = 0;
/*  70 */       int j = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       do {
/*  89 */         i = bufferedInputStream.read(this.buffer, j, (int)(this.length - j));
/*     */         
/*  91 */         j += i;
/*  92 */       } while (i > 0);
/*     */     }
/*  94 */     catch (IOException iOException) {
/*     */       
/*  96 */       throw new SQLException("SerialBlob: " + iOException.getMessage());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream getBinaryStream() throws SQLException {
/* 117 */     return new ByteArrayInputStream(this.buffer);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getBytes(long paramLong, int paramInt) throws SQLException {
/* 144 */     if (paramLong < 0L || paramInt > this.length || paramLong + paramInt > this.length) {
/* 145 */       throw new SQLException("Invalid Arguments");
/*     */     }
/*     */     
/* 148 */     byte[] arrayOfByte = new byte[paramInt];
/* 149 */     System.arraycopy(this.buffer, (int)paramLong, arrayOfByte, 0, paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 167 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long length() throws SQLException {
/* 193 */     return this.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long position(byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 221 */     if (paramLong < 0L || paramLong > this.length || paramLong + paramArrayOfbyte.length > this.length)
/* 222 */       throw new SQLException("Invalid Arguments"); 
/* 223 */     int i = (int)(paramLong - 1L);
/* 224 */     boolean bool = false;
/* 225 */     long l = paramArrayOfbyte.length;
/*     */     
/* 227 */     if (paramLong < 0L || paramLong > this.length) {
/* 228 */       return -1L;
/*     */     }
/* 230 */     while (i < this.length) {
/*     */       
/* 232 */       byte b = 0;
/* 233 */       long l1 = (i + 1);
/* 234 */       while (paramArrayOfbyte[b++] == this.buffer[i++]) {
/* 235 */         if (b == l)
/* 236 */           return l1; 
/*     */       } 
/* 238 */     }  return -1L;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long position(Blob paramBlob, long paramLong) throws SQLException {
/* 259 */     return position(paramBlob.getBytes(0L, (int)paramBlob.length()), paramLong);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int setBytes(long paramLong, byte[] paramArrayOfbyte) throws SQLException {
/* 285 */     DatabaseError.throwUnsupportedFeatureSqlException();
/* 286 */     return -1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int setBytes(long paramLong, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 315 */     DatabaseError.throwUnsupportedFeatureSqlException();
/* 316 */     return -1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OutputStream setBinaryStream(long paramLong) throws SQLException {
/* 338 */     DatabaseError.throwUnsupportedFeatureSqlException();
/* 339 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void truncate(long paramLong) throws SQLException {
/* 357 */     DatabaseError.throwUnsupportedFeatureSqlException();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleSerialBlob.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */