/*     */ package oracle.jdbc.xa;
/*     */ 
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.DataInputStream;
/*     */ import java.io.DataOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.util.Vector;
/*     */ import oracle.jdbc.driver.OracleLog;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleMultiPhaseArgs
/*     */ {
/*  31 */   int action = 0;
/*  32 */   int nsites = 0;
/*  33 */   Vector dbLinks = null;
/*  34 */   Vector xids = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleMultiPhaseArgs() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleMultiPhaseArgs(int paramInt1, int paramInt2, Vector paramVector1, Vector paramVector2) {
/*  73 */     if (paramInt2 <= 1) {
/*     */       
/*  75 */       this.action = 0;
/*  76 */       this.nsites = 0;
/*  77 */       this.dbLinks = null;
/*  78 */       this.xids = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/*  97 */     else if (!paramVector1.isEmpty() && !paramVector2.isEmpty() && paramVector2.size() == paramInt2 && paramVector1.size() == 3 * paramInt2) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 118 */       this.action = paramInt1;
/* 119 */       this.nsites = paramInt2;
/* 120 */       this.xids = paramVector1;
/* 121 */       this.dbLinks = paramVector2;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleMultiPhaseArgs(byte[] paramArrayOfbyte) {
/* 161 */     ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(paramArrayOfbyte);
/* 162 */     DataInputStream dataInputStream = new DataInputStream(byteArrayInputStream);
/*     */     
/* 164 */     this.xids = new Vector();
/* 165 */     this.dbLinks = new Vector();
/*     */ 
/*     */     
/*     */     try {
/* 169 */       this.action = dataInputStream.readInt();
/* 170 */       this.nsites = dataInputStream.readInt();
/*     */       
/* 172 */       int i = dataInputStream.readInt();
/* 173 */       int j = dataInputStream.readInt();
/* 174 */       byte[] arrayOfByte = new byte[j];
/* 175 */       int k = dataInputStream.read(arrayOfByte, 0, j);
/*     */       
/* 177 */       for (byte b = 0; b < this.nsites; b++)
/*     */       {
/* 179 */         int m = dataInputStream.readInt();
/* 180 */         byte[] arrayOfByte1 = new byte[m];
/* 181 */         int n = dataInputStream.read(arrayOfByte1, 0, m);
/*     */ 
/*     */         
/* 184 */         this.xids.addElement(new Integer(i));
/* 185 */         this.xids.addElement(arrayOfByte);
/* 186 */         this.xids.addElement(arrayOfByte1);
/*     */         
/* 188 */         String str = dataInputStream.readUTF();
/*     */ 
/*     */         
/* 191 */         this.dbLinks.addElement(str);
/*     */       }
/*     */     
/* 194 */     } catch (IOException iOException) {
/*     */       
/* 196 */       iOException.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] toByteArray() {
/* 235 */     return toByteArrayOS().toByteArray();
/*     */   }
/*     */ 
/*     */   
/*     */   public ByteArrayOutputStream toByteArrayOS() {
/* 240 */     byte[] arrayOfByte = null;
/* 241 */     int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 256 */     ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
/* 257 */     DataOutputStream dataOutputStream = new DataOutputStream(byteArrayOutputStream);
/*     */ 
/*     */     
/*     */     try {
/* 261 */       dataOutputStream.writeInt(this.action);
/* 262 */       dataOutputStream.writeInt(this.nsites);
/*     */       
/* 264 */       for (byte b = 0; b < this.nsites; b++)
/*     */       {
/* 266 */         String str = this.dbLinks.elementAt(b);
/* 267 */         int j = ((Integer)this.xids.elementAt(b * 3)).intValue();
/* 268 */         byte[] arrayOfByte1 = this.xids.elementAt(b * 3 + 1);
/* 269 */         byte[] arrayOfByte2 = this.xids.elementAt(b * 3 + 2);
/*     */         
/* 271 */         if (b == 0) {
/*     */           
/* 273 */           i = j;
/* 274 */           arrayOfByte = arrayOfByte1;
/*     */           
/* 276 */           dataOutputStream.writeInt(j);
/* 277 */           dataOutputStream.writeInt(arrayOfByte1.length);
/* 278 */           dataOutputStream.write(arrayOfByte1, 0, arrayOfByte1.length);
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 289 */         dataOutputStream.writeInt(arrayOfByte2.length);
/* 290 */         dataOutputStream.write(arrayOfByte2, 0, arrayOfByte2.length);
/* 291 */         dataOutputStream.writeUTF(str);
/*     */       }
/*     */     
/* 294 */     } catch (IOException iOException) {
/*     */       
/* 296 */       iOException.printStackTrace();
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 318 */     return byteArrayOutputStream;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAction() {
/* 337 */     return this.action;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getnsite() {
/* 356 */     return this.nsites;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Vector getdbLinks() {
/* 375 */     return this.dbLinks;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Vector getXids() {
/* 394 */     return this.xids;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void printMPArgs() {
/* 402 */     OracleLog.print(this, 256, 16, 64, "-------printMPArgs entry-------");
/*     */ 
/*     */     
/* 405 */     OracleLog.print(this, 256, 16, 64, "  action = " + this.action);
/*     */     
/* 407 */     OracleLog.print(this, 256, 16, 64, "  nsites = " + this.nsites);
/*     */ 
/*     */     
/* 410 */     for (byte b = 0; b < this.nsites; b++) {
/*     */       
/* 412 */       String str = this.dbLinks.elementAt(b);
/* 413 */       int i = ((Integer)this.xids.elementAt(b * 3)).intValue();
/* 414 */       byte[] arrayOfByte1 = this.xids.elementAt(b * 3 + 1);
/* 415 */       byte[] arrayOfByte2 = this.xids.elementAt(b * 3 + 2);
/*     */       
/* 417 */       OracleLog.print(this, 256, 16, 64, "  fmtid  [" + b + "] = " + i);
/*     */       
/* 419 */       OracleLog.print(this, 256, 16, 64, "  gtrid  [" + b + "] = ");
/*     */       
/* 421 */       printByteArray(arrayOfByte1);
/* 422 */       OracleLog.print(this, 256, 16, 64, "  bqual  [" + b + "] = ");
/*     */       
/* 424 */       printByteArray(arrayOfByte2);
/* 425 */       OracleLog.print(this, 256, 16, 64, "  dblink [" + b + "] = " + str);
/*     */     } 
/*     */ 
/*     */     
/* 429 */     OracleLog.print(this, 256, 16, 64, "-------printMPArgs return-------");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void printByteArray(byte[] paramArrayOfbyte) {
/* 435 */     StringBuffer stringBuffer = new StringBuffer();
/*     */     
/* 437 */     for (byte b = 0; b < paramArrayOfbyte.length; b++) {
/* 438 */       stringBuffer.append(paramArrayOfbyte[b] + " ");
/*     */     }
/* 440 */     OracleLog.print(this, 256, 16, 64, "         " + stringBuffer.toString());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleMultiPhaseArgs.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */