/*     */ package oracle.jdbc.xa;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.transaction.xa.XAException;
/*     */ import javax.transaction.xa.XAResource;
/*     */ import oracle.jdbc.pool.OraclePooledConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleXAConnection
/*     */   extends OraclePooledConnection
/*     */   implements XAConnection
/*     */ {
/*  35 */   protected XAResource xaResource = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXAConnection() throws XAException {
/*  44 */     this(null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXAConnection(Connection paramConnection) throws XAException {
/*  61 */     super(paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract XAResource getXAResource();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized Connection getConnection() throws SQLException {
/*  93 */     Connection connection = super.getConnection();
/*     */     
/*  95 */     if (this.xaResource != null) {
/*  96 */       ((OracleXAResource)this.xaResource).setLogicalConnection(connection);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 101 */     return connection;
/*     */   }
/*     */ 
/*     */   
/*     */   boolean getAutoCommit() throws SQLException {
/* 106 */     return this.autoCommit;
/*     */   }
/*     */ 
/*     */   
/*     */   void setAutoCommit(boolean paramBoolean) throws SQLException {
/* 111 */     this.autoCommit = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 116 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleXAConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */