/*     */ package oracle.jdbc.xa;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import java.util.Properties;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.sql.XADataSource;
/*     */ import oracle.jdbc.pool.OracleConnectionPoolDataSource;
/*     */ import oracle.jdbc.pool.OracleDataSource;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class OracleXADataSource
/*     */   extends OracleConnectionPoolDataSource
/*     */   implements XADataSource
/*     */ {
/*     */   protected boolean useNativeXA = false;
/*     */   protected boolean thinUseNativeXA = true;
/*     */   
/*     */   public OracleXADataSource() throws SQLException {
/*  50 */     this.dataSourceName = "OracleXADataSource";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract XAConnection getXAConnection() throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract XAConnection getXAConnection(String paramString1, String paramString2) throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract XAConnection getXAConnection(Properties paramProperties) throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void setNativeXA(boolean paramBoolean) {
/*  93 */     this.useNativeXA = paramBoolean;
/*  94 */     this.thinUseNativeXA = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized boolean getNativeXA() {
/* 109 */     return this.useNativeXA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void copy(OracleDataSource paramOracleDataSource) throws SQLException {
/* 118 */     super.copy(paramOracleDataSource);
/*     */     
/* 120 */     ((OracleXADataSource)paramOracleDataSource).useNativeXA = this.useNativeXA;
/* 121 */     ((OracleXADataSource)paramOracleDataSource).thinUseNativeXA = this.thinUseNativeXA;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 126 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleXADataSource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */