/*     */ package oracle.jdbc.xa;
/*     */ 
/*     */ import javax.transaction.xa.XAException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleXAException
/*     */   extends XAException
/*     */ {
/*  27 */   private int xaError = 0;
/*  28 */   private int primary = 0;
/*  29 */   private int secondary = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXAException() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXAException(int paramInt) {
/*  44 */     super(errorConvert(paramInt));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  49 */     this.xaError = errorConvert(paramInt);
/*  50 */     this.primary = paramInt & 0xFFFF;
/*  51 */     this.secondary = paramInt >> 16;
/*     */   }
/*     */ 
/*     */   
/*     */   public OracleXAException(int paramInt1, int paramInt2) {
/*  56 */     super(paramInt2);
/*     */     
/*  58 */     this.xaError = paramInt2;
/*  59 */     this.primary = paramInt1 & 0xFFFF;
/*  60 */     this.secondary = paramInt1 >> 16;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int errorConvert(int paramInt) {
/*  69 */     return errorConvert(paramInt, -3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int errorConvert(int paramInt1, int paramInt2) {
/*  77 */     switch (paramInt1 & 0xFFFF) {
/*     */ 
/*     */       
/*     */       case 24756:
/*  81 */         return -4;
/*     */       
/*     */       case 25351:
/*  84 */         return 4;
/*     */       
/*     */       case 24764:
/*  87 */         return 7;
/*     */       
/*     */       case 24765:
/*  90 */         return 6;
/*     */       
/*     */       case 24766:
/*  93 */         return 5;
/*     */       
/*     */       case 24767:
/*  96 */         return 3;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 1033:
/*     */       case 1034:
/*     */       case 1041:
/*     */       case 1089:
/*     */       case 1090:
/*     */       case 3113:
/*     */       case 3114:
/*     */       case 12571:
/*     */       case 17002:
/*     */       case 17410:
/*     */       case 24768:
/* 120 */         return -7;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 2056:
/*     */       case 17448:
/*     */       case 24763:
/*     */       case 24769:
/*     */       case 24770:
/*     */       case 24775:
/*     */       case 24776:
/* 136 */         return -6;
/*     */ 
/*     */ 
/*     */       
/*     */       case 2091:
/*     */       case 2092:
/*     */       case 24761:
/* 143 */         return 100;
/*     */     } 
/*     */     
/* 146 */     return paramInt2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getXAError() {
/* 163 */     return this.xaError;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getOracleError() {
/* 179 */     return this.primary;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getOracleSQLError() {
/* 196 */     return this.secondary;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getXAErrorMessage(int paramInt) {
/* 206 */     switch (paramInt) {
/*     */ 
/*     */       
/*     */       case 7:
/* 210 */         return "The transaction branch has been heuristically committed.";
/*     */       
/*     */       case 8:
/* 213 */         return "The transaction branch may have been heuristically completed.";
/*     */       
/*     */       case 5:
/* 216 */         return "The transaction branch has been heuristically committed and rolled back.";
/*     */ 
/*     */       
/*     */       case 6:
/* 220 */         return "The transaction branch has been heuristically rolled back.";
/*     */       
/*     */       case 9:
/* 223 */         return "Resumption must occur where suspension occured.";
/*     */       
/*     */       case 100:
/* 226 */         return "The inclusive lower bound oof the rollback codes.";
/*     */       
/*     */       case 101:
/* 229 */         return "Rollback was caused by communication failure.";
/*     */       
/*     */       case 102:
/* 232 */         return "A deadlock was detected.";
/*     */       
/*     */       case 107:
/* 235 */         return "The inclusive upper bound of the rollback error code.";
/*     */       
/*     */       case 103:
/* 238 */         return "A condition that violates the integrity of the resource was detected.";
/*     */ 
/*     */       
/*     */       case 104:
/* 242 */         return "The resource manager rolled back the transaction branch for a reason not on this list.";
/*     */ 
/*     */       
/*     */       case 105:
/* 246 */         return "A protocol error occured in the resource manager.";
/*     */       
/*     */       case 106:
/* 249 */         return "A transaction branch took too long.";
/*     */       
/*     */       case 3:
/* 252 */         return "The transaction branch has been read-only and has been committed.";
/*     */       
/*     */       case 4:
/* 255 */         return "Routine returned with no effect and may be reissued.";
/*     */       
/*     */       case -2:
/* 258 */         return "Asynchronous operation already outstanding.";
/*     */       
/*     */       case -8:
/* 261 */         return "The XID already exists.";
/*     */       
/*     */       case -5:
/* 264 */         return "Invalid arguments were given.";
/*     */       
/*     */       case -4:
/* 267 */         return "The XID is not valid.";
/*     */       
/*     */       case -9:
/* 270 */         return "The resource manager is doing work outside global transaction.";
/*     */       
/*     */       case -6:
/* 273 */         return "Routine was invoked in an inproper context.";
/*     */       
/*     */       case -3:
/* 276 */         return "A resource manager error has occured in the transaction branch.";
/*     */       
/*     */       case -7:
/* 279 */         return "Resource manager is unavailable.";
/*     */     } 
/*     */     
/* 282 */     return "Internal XA Error";
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 287 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\OracleXAException.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */