/*     */ package oracle.jdbc.xa.client;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Properties;
/*     */ import javax.sql.PooledConnection;
/*     */ import javax.sql.XAConnection;
/*     */ import javax.transaction.xa.XAException;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.driver.T2CConnection;
/*     */ import oracle.jdbc.driver.T4CXAConnection;
/*     */ import oracle.jdbc.xa.OracleXADataSource;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleXADataSource
/*     */   extends OracleXADataSource
/*     */ {
/*     */   private static final boolean DEBUG = false;
/*  46 */   private int rmid = -1;
/*  47 */   private String xaOpenString = null;
/*     */   private static boolean libraryLoaded = false;
/*     */   private static final String dbSuffix = "HeteroXA";
/*     */   private static final String dllName = "heteroxa10";
/*     */   private static final char atSignChar = '@';
/*  52 */   private static int rmidSeed = 0;
/*     */   
/*     */   private static final int MAX_RMID_SEED = 65536;
/*     */   
/*  56 */   private String driverCharSetIdString = null;
/*     */ 
/*     */ 
/*     */   
/*  60 */   private String oldTnsEntry = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXADataSource() throws SQLException {
/*  72 */     this.isOracleDataSource = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XAConnection getXAConnection() throws SQLException {
/*  92 */     Properties properties = new Properties(this.connectionProperties);
/*  93 */     if (this.user == null || this.password == null) {
/*     */ 
/*     */       
/*  96 */       if (this.connectionProperties == null || this.connectionProperties.get("user") == null || this.connectionProperties.get("password") == null)
/*     */       {
/*     */         
/*  99 */         DatabaseError.throwSqlException(68);
/*     */       }
/*     */     } else {
/*     */       
/* 103 */       properties.setProperty("user", this.user);
/* 104 */       properties.setProperty("password", this.password);
/*     */     } 
/*     */     
/* 107 */     return getXAConnection(properties);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XAConnection getXAConnection(String paramString1, String paramString2) throws SQLException {
/* 125 */     Properties properties = new Properties(this.connectionProperties);
/* 126 */     if (paramString1 != null && paramString2 != null) {
/*     */       
/* 128 */       properties.setProperty("user", paramString1);
/* 129 */       properties.setProperty("password", paramString2);
/*     */     } else {
/* 131 */       DatabaseError.throwSqlException(68);
/*     */     } 
/* 133 */     return getXAConnection(properties);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XAConnection getXAConnection(Properties paramProperties) throws SQLException {
/* 148 */     if (this.connCachingEnabled) {
/*     */       
/* 150 */       DatabaseError.throwSqlException(163);
/*     */ 
/*     */ 
/*     */       
/* 154 */       return null;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 159 */     return (XAConnection)getPooledConnection(paramProperties);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PooledConnection getPooledConnection(String paramString1, String paramString2) throws SQLException {
/* 180 */     Properties properties = new Properties();
/* 181 */     properties.setProperty("user", paramString1);
/* 182 */     properties.setProperty("password", paramString2);
/* 183 */     return getPooledConnection(properties);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PooledConnection getPooledConnection(Properties paramProperties) throws SQLException {
/*     */     try {
/* 204 */       String str1 = getURL();
/* 205 */       String str2 = paramProperties.getProperty("user");
/* 206 */       String str3 = paramProperties.getProperty("password");
/* 207 */       String str4 = null;
/* 208 */       String str5 = null;
/* 209 */       String str6 = null;
/* 210 */       int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 216 */       if (this.useNativeXA && (str1.startsWith("jdbc:oracle:oci8") || str1.startsWith("jdbc:oracle:oci"))) {
/*     */ 
/*     */ 
/*     */         
/* 220 */         long[] arrayOfLong = { 0L, 0L };
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 225 */         String str8 = null;
/* 226 */         String str9 = null;
/*     */         
/* 228 */         synchronized (this) {
/*     */ 
/*     */           
/* 231 */           if (this.tnsEntry != null) {
/* 232 */             str8 = this.tnsEntry;
/*     */           } else {
/* 234 */             str8 = getTNSEntryFromUrl(str1);
/*     */           } 
/*     */           
/* 237 */           if ((str8 != null && str8.length() == 0) || str8.startsWith("(DESCRIPTION"))
/*     */           {
/*     */ 
/*     */             
/* 241 */             DatabaseError.throwSqlException(207);
/*     */           }
/*     */ 
/*     */           
/* 245 */           if (!libraryLoaded)
/*     */           {
/* 247 */             synchronized (getClass()) {
/*     */               
/* 249 */               if (!libraryLoaded) {
/*     */                 
/*     */                 try {
/*     */                   
/* 253 */                   System.loadLibrary("heteroxa10");
/*     */                   
/* 255 */                   libraryLoaded = true;
/*     */                 }
/* 257 */                 catch (Error error) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                   
/* 266 */                   libraryLoaded = false;
/*     */                   
/* 268 */                   throw error;
/*     */                 } 
/*     */               }
/*     */             } 
/*     */           }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 279 */           if (this.connectionProperties != null)
/*     */           {
/* 281 */             str9 = this.connectionProperties.getProperty("oracle.jdbc.ociNlsLangBackwardCompatible");
/*     */           }
/*     */         } 
/*     */ 
/*     */         
/* 286 */         if (str9 != null && str9.equalsIgnoreCase("true")) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 293 */           short s = T2CConnection.getDriverCharSetIdFromNLS_LANG(null);
/* 294 */           this.driverCharSetIdString = Integer.toString(s);
/*     */ 
/*     */         
/*     */         }
/* 298 */         else if (!str8.equals(this.oldTnsEntry)) {
/*     */ 
/*     */           
/* 301 */           short s = T2CConnection.getClientCharSetId();
/*     */           
/* 303 */           this.driverCharSetIdString = Integer.toString(s);
/* 304 */           this.oldTnsEntry = str8;
/*     */         } 
/*     */ 
/*     */         
/* 308 */         synchronized (this) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 314 */           str4 = this.databaseName + "HeteroXA" + rmidSeed;
/*     */           
/* 316 */           this.rmid = i = rmidSeed;
/*     */           
/* 318 */           synchronized (getClass()) {
/*     */             
/* 320 */             rmidSeed = (rmidSeed + 1) % 65536;
/*     */           } 
/*     */           
/* 323 */           boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 352 */           String str = (this.connectionProperties != null) ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 357 */           this.xaOpenString = str6 = generateXAOpenString(str4, str8, str2, str3, 60, 2000, true, true, ".", bool, false, (str != null && str.equalsIgnoreCase("true")), this.driverCharSetIdString, this.driverCharSetIdString);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 365 */           str5 = generateXACloseString(str4, false);
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 371 */         int j = doXaOpen(str6, i, 0, 0);
/*     */ 
/*     */         
/* 374 */         if (j != 0)
/*     */         {
/* 376 */           DatabaseError.throwSqlException(-1 * j);
/*     */         }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 386 */         j = convertOciHandles(str4, arrayOfLong);
/*     */         
/* 388 */         if (j != 0)
/*     */         {
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 394 */           DatabaseError.throwSqlException(-1 * j);
/*     */         }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 406 */         paramProperties.put("OCISvcCtxHandle", String.valueOf(arrayOfLong[0]));
/* 407 */         paramProperties.put("OCIEnvHandle", String.valueOf(arrayOfLong[1]));
/* 408 */         paramProperties.put("JDBCDriverCharSetId", this.driverCharSetIdString);
/*     */         
/* 410 */         if (this.loginTimeout != 0) {
/* 411 */           paramProperties.put("oracle.net.CONNECT_TIMEOUT", "" + (this.loginTimeout * 1000));
/*     */         }
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 417 */         Connection connection = this.driver.connect(getURL(), paramProperties);
/*     */ 
/*     */ 
/*     */         
/* 421 */         OracleXAHeteroConnection oracleXAHeteroConnection = new OracleXAHeteroConnection(connection);
/*     */         
/* 423 */         oracleXAHeteroConnection.setUserName(str2, str3.toUpperCase());
/* 424 */         oracleXAHeteroConnection.setRmid(i);
/* 425 */         oracleXAHeteroConnection.setXaCloseString(str5);
/* 426 */         oracleXAHeteroConnection.registerCloseCallback(new OracleXAHeteroCloseCallback(), oracleXAHeteroConnection);
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 431 */         return (PooledConnection)oracleXAHeteroConnection;
/*     */       } 
/* 433 */       if (this.thinUseNativeXA && str1.startsWith("jdbc:oracle:thin")) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 440 */         Properties properties1 = new Properties();
/* 441 */         synchronized (this) {
/*     */           
/* 443 */           synchronized (getClass()) {
/*     */             
/* 445 */             rmidSeed = (rmidSeed + 1) % 65536;
/*     */           } 
/*     */ 
/*     */           
/* 449 */           this.rmid = rmidSeed;
/*     */           
/* 451 */           if (this.connectionProperties == null) {
/* 452 */             this.connectionProperties = new Properties();
/*     */           }
/* 454 */           this.connectionProperties.put("RessourceManagerId", Integer.toString(this.rmid));
/* 455 */           if (str2 != null)
/* 456 */             properties1.setProperty("user", str2); 
/* 457 */           if (str3 != null)
/* 458 */             properties1.setProperty("password", str3); 
/* 459 */           properties1.setProperty("stmt_cache_size", "" + this.maxStatements);
/*     */           
/* 461 */           properties1.setProperty("ImplicitStatementCachingEnabled", "" + this.implicitCachingEnabled);
/*     */ 
/*     */           
/* 464 */           properties1.setProperty("ExplicitStatementCachingEnabled", "" + this.explicitCachingEnabled);
/*     */ 
/*     */           
/* 467 */           properties1.setProperty("LoginTimeout", "" + this.loginTimeout);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/* 472 */         T4CXAConnection t4CXAConnection = new T4CXAConnection(getPhysicalConnection(properties1));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 478 */         t4CXAConnection.setUserName(str2, str3.toUpperCase());
/*     */         
/* 480 */         String str = (this.connectionProperties != null) ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 485 */         ((OracleXAConnection)t4CXAConnection).isXAResourceTransLoose = (str != null && (str.equals("true") || str.equalsIgnoreCase("true")));
/*     */ 
/*     */         
/* 488 */         return (PooledConnection)t4CXAConnection;
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 496 */       Properties properties = new Properties();
/* 497 */       synchronized (this) {
/*     */         
/* 499 */         if (str2 != null)
/* 500 */           properties.setProperty("user", str2); 
/* 501 */         if (str3 != null)
/* 502 */           properties.setProperty("password", str3); 
/* 503 */         properties.setProperty("stmt_cache_size", "" + this.maxStatements);
/*     */         
/* 505 */         properties.setProperty("ImplicitStatementCachingEnabled", "" + this.implicitCachingEnabled);
/*     */ 
/*     */         
/* 508 */         properties.setProperty("ExplicitStatementCachingEnabled", "" + this.explicitCachingEnabled);
/*     */ 
/*     */         
/* 511 */         properties.setProperty("LoginTimeout", "" + this.loginTimeout);
/*     */       } 
/*     */ 
/*     */       
/* 515 */       OracleXAConnection oracleXAConnection = new OracleXAConnection(getPhysicalConnection(properties));
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 520 */       oracleXAConnection.setUserName(str2, str3.toUpperCase());
/*     */       
/* 522 */       String str7 = (this.connectionProperties != null) ? this.connectionProperties.getProperty("oracle.jdbc.XATransLoose") : null;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 527 */       oracleXAConnection.isXAResourceTransLoose = (str7 != null && (str7.equals("true") || str7.equalsIgnoreCase("true")));
/*     */ 
/*     */ 
/*     */       
/* 531 */       return (PooledConnection)oracleXAConnection;
/*     */     
/*     */     }
/* 534 */     catch (XAException xAException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 548 */       return null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaOpen(String paramString, int paramInt1, int paramInt2, int paramInt3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int convertOciHandles(String paramString, long[] paramArrayOflong);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized void setRmid(int paramInt) {
/* 578 */     this.rmid = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized int getRmid() {
/* 593 */     return this.rmid;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized void setXaOpenString(String paramString) {
/* 610 */     this.xaOpenString = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized String getXaOpenString() {
/* 625 */     return this.xaOpenString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String generateXAOpenString(String paramString1, String paramString2, String paramString3, String paramString4, int paramInt1, int paramInt2, boolean paramBoolean1, boolean paramBoolean2, String paramString5, int paramInt3, boolean paramBoolean3, boolean paramBoolean4, String paramString6, String paramString7) {
/* 650 */     return new String("ORACLE_XA+DB=" + paramString1 + "+ACC=P/" + paramString3 + "/" + paramString4 + "+SESTM=" + paramInt2 + "+SESWT=" + paramInt1 + "+LOGDIR=" + paramString5 + "+SQLNET=" + paramString2 + (paramBoolean1 ? "+THREADS=true" : "") + (paramBoolean2 ? "+OBJECTS=true" : "") + "+DBGFL=0x" + paramInt3 + (paramBoolean3 ? "+CONNCACHE=t" : "+CONNCACHE=f") + (paramBoolean4 ? "+Loose_Coupling=t" : "") + "+CharSet=" + paramString6 + "+NCharSet=" + paramString7);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String generateXACloseString(String paramString, boolean paramBoolean) {
/* 667 */     return new String("ORACLE_XA+DB=" + paramString + (paramBoolean ? "+CONNCACHE=t" : "+CONNCACHE=f"));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getTNSEntryFromUrl(String paramString) {
/* 677 */     this; int i = paramString.indexOf('@');
/*     */     
/* 679 */     return paramString.substring(i + 1);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 684 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\client\OracleXADataSource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */