/*     */ package oracle.jdbc.xa.client;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.Connection;
/*     */ import javax.transaction.xa.XAException;
/*     */ import javax.transaction.xa.Xid;
/*     */ import oracle.jdbc.oracore.Util;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OracleXAHeteroResource
/*     */   extends OracleXAResource
/*     */ {
/*  34 */   private int rmid = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleXAHeteroResource(Connection paramConnection, OracleXAConnection paramOracleXAConnection) throws XAException {
/*  46 */     this.connection = paramConnection;
/*  47 */     this.xaconnection = paramOracleXAConnection;
/*     */     
/*  49 */     if (this.connection == null) {
/*  50 */       throw new XAException(-7);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void start(Xid paramXid, int paramInt) throws XAException {
/*  88 */     if (paramXid == null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  94 */       throw new XAException(-5);
/*     */     }
/*     */ 
/*     */     
/*  98 */     int i = paramInt & 0xFF00;
/*     */     
/* 100 */     paramInt &= 0xFFFF00FF;
/*     */ 
/*     */     
/* 103 */     if ((paramInt & 0x8200002) != paramInt)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 109 */       throw new XAException(-5);
/*     */     }
/*     */ 
/*     */     
/* 113 */     if ((i & 0xFF00) != 0 && i != 256 && i != 512 && i != 1024)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 120 */       throw new XAException(-5);
/*     */     }
/*     */ 
/*     */     
/* 124 */     if ((i & 0xFF00) != 0 && (paramInt & 0x8200000) != 0)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 131 */       throw new XAException(-5);
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/* 136 */       saveAndAlterAutoCommitModeForGlobalTransaction();
/*     */ 
/*     */       
/* 139 */       paramInt |= i;
/*     */       
/* 141 */       int j = paramXid.getFormatId();
/* 142 */       byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 143 */       byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/*     */       
/* 145 */       int k = doXaStart(j, arrayOfByte1, arrayOfByte2, this.rmid, paramInt, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 151 */       checkStatus(k);
/* 152 */       enterGlobalTxnMode();
/*     */     
/*     */     }
/* 155 */     catch (XAException xAException) {
/*     */       
/* 157 */       restoreAutoCommitModeForGlobalTransaction();
/* 158 */       throw xAException;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void end(Xid paramXid, int paramInt) throws XAException {
/*     */     try {
/* 196 */       if (paramXid == null)
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 202 */         throw new XAException(-5);
/*     */       }
/*     */ 
/*     */       
/* 206 */       int i = 638582786;
/* 207 */       if ((paramInt & i) != paramInt)
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 213 */         throw new XAException(-5);
/*     */       }
/*     */       
/* 216 */       int j = paramXid.getFormatId();
/* 217 */       byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 218 */       byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/* 219 */       exitGlobalTxnMode();
/*     */ 
/*     */       
/* 222 */       int k = doXaEnd(j, arrayOfByte1, arrayOfByte2, this.rmid, paramInt, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 228 */       checkStatus(k);
/*     */     }
/*     */     finally {
/*     */       
/* 232 */       restoreAutoCommitModeForGlobalTransaction();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void commit(Xid paramXid, boolean paramBoolean) throws XAException {
/* 261 */     if (paramXid == null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 267 */       throw new XAException(-5);
/*     */     }
/*     */     
/* 270 */     boolean bool = paramBoolean ? true : false;
/*     */     
/* 272 */     int i = paramXid.getFormatId();
/* 273 */     byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 274 */     byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/*     */     
/* 276 */     int j = doXaCommit(i, arrayOfByte1, arrayOfByte2, this.rmid, bool, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 282 */     checkStatus(j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int prepare(Xid paramXid) throws XAException {
/* 307 */     if (paramXid == null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 313 */       throw new XAException(-5);
/*     */     }
/*     */     
/* 316 */     int i = paramXid.getFormatId();
/* 317 */     byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 318 */     byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/*     */     
/* 320 */     int j = doXaPrepare(i, arrayOfByte1, arrayOfByte2, this.rmid, 0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 326 */     if (j != 0 && j != 3)
/*     */     {
/* 328 */       checkStatus(j);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 334 */     return j;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void forget(Xid paramXid) throws XAException {
/* 352 */     if (paramXid == null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 358 */       throw new XAException(-5);
/*     */     }
/*     */     
/* 361 */     int i = paramXid.getFormatId();
/* 362 */     byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 363 */     byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/*     */     
/* 365 */     int j = doXaForget(i, arrayOfByte1, arrayOfByte2, this.rmid, 0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 371 */     checkStatus(j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void rollback(Xid paramXid) throws XAException {
/* 390 */     if (paramXid == null)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 396 */       throw new XAException(-5);
/*     */     }
/*     */     
/* 399 */     int i = paramXid.getFormatId();
/* 400 */     byte[] arrayOfByte1 = paramXid.getGlobalTransactionId();
/* 401 */     byte[] arrayOfByte2 = paramXid.getBranchQualifier();
/*     */     
/* 403 */     int j = doXaRollback(i, arrayOfByte1, arrayOfByte2, this.rmid, 0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 409 */     checkStatus(j);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaStart(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaEnd(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaCommit(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaPrepare(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaForget(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private native int doXaRollback(int paramInt1, byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int paramInt2, int paramInt3, int paramInt4);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized void setRmid(int paramInt) {
/* 447 */     this.rmid = paramInt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   synchronized int getRmid() {
/* 462 */     return this.rmid;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static byte[] getSerializedBytes(Xid paramXid) {
/*     */     try {
/* 480 */       return Util.serializeObject(paramXid);
/*     */     }
/* 482 */     catch (IOException iOException) {
/*     */ 
/*     */ 
/*     */       
/* 486 */       iOException.printStackTrace();
/*     */ 
/*     */       
/* 489 */       return null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void checkStatus(int paramInt) throws XAException {
/* 502 */     if (paramInt != 0) {
/* 503 */       throw new XAException(paramInt);
/*     */     }
/*     */   }
/*     */ 
/*     */   
/* 508 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\xa\client\OracleXAHeteroResource.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */