/*      */ package oracle.jpub.runtime;
/*      */ 
/*      */ import java.math.BigDecimal;
/*      */ import java.sql.Connection;
/*      */ import java.sql.Date;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Timestamp;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.driver.OracleConnection;
/*      */ import oracle.jdbc.driver.OracleLog;
/*      */ import oracle.sql.ARRAY;
/*      */ import oracle.sql.ArrayDescriptor;
/*      */ import oracle.sql.BFILE;
/*      */ import oracle.sql.BINARY_DOUBLE;
/*      */ import oracle.sql.BINARY_FLOAT;
/*      */ import oracle.sql.BLOB;
/*      */ import oracle.sql.CHAR;
/*      */ import oracle.sql.CLOB;
/*      */ import oracle.sql.CustomDatum;
/*      */ import oracle.sql.CustomDatumFactory;
/*      */ import oracle.sql.DATE;
/*      */ import oracle.sql.Datum;
/*      */ import oracle.sql.INTERVALDS;
/*      */ import oracle.sql.INTERVALYM;
/*      */ import oracle.sql.NUMBER;
/*      */ import oracle.sql.ORAData;
/*      */ import oracle.sql.ORADataFactory;
/*      */ import oracle.sql.RAW;
/*      */ import oracle.sql.TIMESTAMP;
/*      */ import oracle.sql.TIMESTAMPLTZ;
/*      */ import oracle.sql.TIMESTAMPTZ;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class MutableArray
/*      */ {
/*      */   int length;
/*      */   Object[] elements;
/*      */   Datum[] datums;
/*      */   ARRAY pickled;
/*      */   boolean pickledCorrect;
/*      */   int sqlType;
/*      */   ORADataFactory factory;
/*      */   CustomDatumFactory old_factory;
/*      */   
/*      */   public MutableArray(int paramInt, ARRAY paramARRAY, ORADataFactory paramORADataFactory) {
/*   89 */     this.length = -1;
/*   90 */     this.elements = null;
/*   91 */     this.datums = null;
/*   92 */     this.pickled = paramARRAY;
/*   93 */     this.pickledCorrect = true;
/*   94 */     this.sqlType = paramInt;
/*   95 */     this.factory = paramORADataFactory;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, Datum[] paramArrayOfDatum, ORADataFactory paramORADataFactory) {
/*  115 */     this.sqlType = paramInt;
/*  116 */     this.factory = paramORADataFactory;
/*      */     
/*  118 */     setDatumArray(paramArrayOfDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, Object[] paramArrayOfObject, ORADataFactory paramORADataFactory) {
/*  138 */     this.sqlType = paramInt;
/*  139 */     this.factory = paramORADataFactory;
/*      */     
/*  141 */     setObjectArray(paramArrayOfObject);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, double[] paramArrayOfdouble, ORADataFactory paramORADataFactory) {
/*  161 */     this.sqlType = paramInt;
/*  162 */     this.factory = paramORADataFactory;
/*      */     
/*  164 */     setArray(paramArrayOfdouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, int[] paramArrayOfint, ORADataFactory paramORADataFactory) {
/*  184 */     this.sqlType = paramInt;
/*  185 */     this.factory = paramORADataFactory;
/*      */     
/*  187 */     setArray(paramArrayOfint);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, float[] paramArrayOffloat, ORADataFactory paramORADataFactory) {
/*  207 */     this.sqlType = paramInt;
/*  208 */     this.factory = paramORADataFactory;
/*      */     
/*  210 */     setArray(paramArrayOffloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int paramInt, short[] paramArrayOfshort, ORADataFactory paramORADataFactory) {
/*  230 */     this.sqlType = paramInt;
/*  231 */     this.factory = paramORADataFactory;
/*      */     
/*  233 */     setArray(paramArrayOfshort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(ARRAY paramARRAY, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  253 */     this.length = -1;
/*  254 */     this.elements = null;
/*  255 */     this.datums = null;
/*  256 */     this.pickled = paramARRAY;
/*  257 */     this.pickledCorrect = true;
/*  258 */     this.sqlType = paramInt;
/*  259 */     this.old_factory = paramCustomDatumFactory;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(Datum[] paramArrayOfDatum, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  279 */     this.sqlType = paramInt;
/*  280 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  282 */     setDatumArray(paramArrayOfDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(Object[] paramArrayOfObject, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  302 */     this.sqlType = paramInt;
/*  303 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  305 */     setObjectArray(paramArrayOfObject);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(double[] paramArrayOfdouble, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  325 */     this.sqlType = paramInt;
/*  326 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  328 */     setArray(paramArrayOfdouble);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(int[] paramArrayOfint, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  348 */     this.sqlType = paramInt;
/*  349 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  351 */     setArray(paramArrayOfint);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(float[] paramArrayOffloat, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  371 */     this.sqlType = paramInt;
/*  372 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  374 */     setArray(paramArrayOffloat);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public MutableArray(short[] paramArrayOfshort, int paramInt, CustomDatumFactory paramCustomDatumFactory) {
/*  394 */     this.sqlType = paramInt;
/*  395 */     this.old_factory = paramCustomDatumFactory;
/*      */     
/*  397 */     setArray(paramArrayOfshort);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum toDatum(Connection paramConnection, String paramString) throws SQLException {
/*  418 */     if (!this.pickledCorrect) {
/*      */ 
/*      */ 
/*      */       
/*  422 */       this.pickled = new ARRAY(ArrayDescriptor.createDescriptor(paramString, paramConnection), paramConnection, getDatumArray(paramConnection));
/*      */       
/*  424 */       this.pickledCorrect = true;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  440 */     return (Datum)this.pickled;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum toDatum(OracleConnection paramOracleConnection, String paramString) throws SQLException {
/*  446 */     return toDatum((Connection)paramOracleConnection, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum toDatum(OracleConnection paramOracleConnection, String paramString) throws SQLException {
/*  455 */     return toDatum((Connection)paramOracleConnection, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getOracleArray() throws SQLException {
/*  461 */     return getOracleArray(0L, 2147483647);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getOracleArray(long paramLong, int paramInt) throws SQLException {
/*      */     BFILE[] arrayOfBFILE;
/*      */     BLOB[] arrayOfBLOB;
/*      */     CHAR[] arrayOfCHAR;
/*      */     CLOB[] arrayOfCLOB;
/*      */     DATE[] arrayOfDATE;
/*      */     TIMESTAMP[] arrayOfTIMESTAMP;
/*      */     TIMESTAMPTZ[] arrayOfTIMESTAMPTZ;
/*      */     TIMESTAMPLTZ[] arrayOfTIMESTAMPLTZ;
/*      */     INTERVALDS[] arrayOfINTERVALDS;
/*      */     INTERVALYM[] arrayOfINTERVALYM;
/*      */     NUMBER[] arrayOfNUMBER;
/*      */     RAW[] arrayOfRAW;
/*      */     BINARY_FLOAT[] arrayOfBINARY_FLOAT;
/*      */     BINARY_DOUBLE[] arrayOfBINARY_DOUBLE;
/*      */     CustomDatum[] arrayOfCustomDatum;
/*  485 */     int i = sliceLength(paramLong, paramInt);
/*      */     
/*  487 */     if (i < 0) {
/*  488 */       return null;
/*      */     }
/*      */ 
/*      */     
/*  492 */     switch (this.sqlType) {
/*      */ 
/*      */       
/*      */       case -13:
/*  496 */         arrayOfBFILE = new BFILE[i];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  603 */         return getOracleArray(paramLong, (Object[])arrayOfBFILE);case 2004: arrayOfBLOB = new BLOB[i]; return getOracleArray(paramLong, (Object[])arrayOfBLOB);case 1: case 12: arrayOfCHAR = new CHAR[i]; return getOracleArray(paramLong, (Object[])arrayOfCHAR);case 2005: arrayOfCLOB = new CLOB[i]; return getOracleArray(paramLong, (Object[])arrayOfCLOB);case 91: arrayOfDATE = new DATE[i]; return getOracleArray(paramLong, (Object[])arrayOfDATE);case 93: arrayOfTIMESTAMP = new TIMESTAMP[i]; return getOracleArray(paramLong, (Object[])arrayOfTIMESTAMP);case -101: arrayOfTIMESTAMPTZ = new TIMESTAMPTZ[i]; return getOracleArray(paramLong, (Object[])arrayOfTIMESTAMPTZ);case -102: arrayOfTIMESTAMPLTZ = new TIMESTAMPLTZ[i]; return getOracleArray(paramLong, (Object[])arrayOfTIMESTAMPLTZ);case -104: arrayOfINTERVALDS = new INTERVALDS[i]; return getOracleArray(paramLong, (Object[])arrayOfINTERVALDS);case -103: arrayOfINTERVALYM = new INTERVALYM[i]; return getOracleArray(paramLong, (Object[])arrayOfINTERVALYM);case 2: case 3: case 4: case 5: case 6: case 7: case 8: arrayOfNUMBER = new NUMBER[i]; return getOracleArray(paramLong, (Object[])arrayOfNUMBER);case -2: arrayOfRAW = new RAW[i]; return getOracleArray(paramLong, (Object[])arrayOfRAW);case 100: arrayOfBINARY_FLOAT = new BINARY_FLOAT[i]; return getOracleArray(paramLong, (Object[])arrayOfBINARY_FLOAT);case 101: arrayOfBINARY_DOUBLE = new BINARY_DOUBLE[i]; return getOracleArray(paramLong, (Object[])arrayOfBINARY_DOUBLE);case 0: case 2002: case 2003: case 2006: case 2007: if (this.old_factory == null) { ORAData[] arrayOfORAData = new ORAData[i]; } else { arrayOfCustomDatum = new CustomDatum[i]; }  return getOracleArray(paramLong, (Object[])arrayOfCustomDatum);
/*      */     } 
/*      */     throw new SQLException("Unexpected OracleTypes type code: " + this.sqlType);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getOracleArray(long paramLong, Object[] paramArrayOfObject) throws SQLException {
/*  623 */     if (paramArrayOfObject == null) {
/*  624 */       return null;
/*      */     }
/*  626 */     int i = sliceLength(paramLong, paramArrayOfObject.length);
/*  627 */     int j = (int)paramLong;
/*      */     
/*  629 */     if (i != paramArrayOfObject.length) {
/*  630 */       return null;
/*      */     }
/*  632 */     if (this.sqlType == 2002 || this.sqlType == 2007 || this.sqlType == 2003 || this.sqlType == 2006 || this.sqlType == 0) {
/*      */ 
/*      */ 
/*      */       
/*  636 */       if (this.old_factory == null) {
/*      */         
/*  638 */         for (byte b = 0; b < i; b++) {
/*  639 */           paramArrayOfObject[b] = this.factory.create(getDatumElement(j++, null), this.sqlType);
/*      */         }
/*      */       } else {
/*      */         
/*  643 */         for (byte b = 0; b < i; b++) {
/*  644 */           paramArrayOfObject[b] = this.old_factory.create(getDatumElement(j++, null), this.sqlType);
/*      */         }
/*      */       } 
/*      */     } else {
/*      */       
/*  649 */       for (byte b = 0; b < i; b++) {
/*  650 */         paramArrayOfObject[b] = getDatumElement(j++, null);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  666 */     return paramArrayOfObject;
/*      */   }
/*      */ 
/*      */   
/*      */   public Object[] getOracleArray(Object[] paramArrayOfObject) throws SQLException {
/*  671 */     return getOracleArray(0L, paramArrayOfObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public Object[] getObjectArray() throws SQLException {
/*  676 */     return getObjectArray(0L, 2147483647);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getObjectArray(long paramLong, int paramInt) throws SQLException {
/*      */     String[] arrayOfString;
/*      */     Date[] arrayOfDate;
/*      */     Timestamp[] arrayOfTimestamp;
/*      */     BigDecimal[] arrayOfBigDecimal;
/*      */     Double[] arrayOfDouble;
/*      */     Integer[] arrayOfInteger;
/*      */     Float[] arrayOfFloat;
/*      */     byte[][] arrayOfByte;
/*  696 */     int i = sliceLength(paramLong, paramInt);
/*      */     
/*  698 */     if (i < 0) {
/*  699 */       return null;
/*      */     }
/*      */ 
/*      */     
/*  703 */     switch (this.sqlType) {
/*      */ 
/*      */ 
/*      */       
/*      */       case 1:
/*      */       case 12:
/*  709 */         arrayOfString = new String[i];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  758 */         return getObjectArray(paramLong, (Object[])arrayOfString);case 91: arrayOfDate = new Date[i]; return getObjectArray(paramLong, (Object[])arrayOfDate);case 93: arrayOfTimestamp = new Timestamp[i]; return getObjectArray(paramLong, (Object[])arrayOfTimestamp);case 2: case 3: arrayOfBigDecimal = new BigDecimal[i]; return getObjectArray(paramLong, (Object[])arrayOfBigDecimal);case 6: case 8: arrayOfDouble = new Double[i]; return getObjectArray(paramLong, (Object[])arrayOfDouble);case 4: case 5: arrayOfInteger = new Integer[i]; return getObjectArray(paramLong, (Object[])arrayOfInteger);case 7: arrayOfFloat = new Float[i]; return getObjectArray(paramLong, (Object[])arrayOfFloat);case -2: arrayOfByte = new byte[i][]; return getObjectArray(paramLong, (Object[])arrayOfByte);
/*      */     } 
/*      */     return getOracleArray(paramLong, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getObjectArray(long paramLong, Object[] paramArrayOfObject) throws SQLException {
/*      */     byte b;
/*  778 */     if (paramArrayOfObject == null) {
/*  779 */       return null;
/*      */     }
/*  781 */     int i = sliceLength(paramLong, paramArrayOfObject.length);
/*  782 */     int j = (int)paramLong;
/*      */     
/*  784 */     if (i != paramArrayOfObject.length) {
/*  785 */       return null;
/*      */     }
/*  787 */     switch (this.sqlType) {
/*      */ 
/*      */ 
/*      */       
/*      */       case -2:
/*      */       case 1:
/*      */       case 2:
/*      */       case 3:
/*      */       case 4:
/*      */       case 5:
/*      */       case 6:
/*      */       case 7:
/*      */       case 8:
/*      */       case 12:
/*      */       case 91:
/*      */       case 93:
/*  803 */         for (b = 0; b < i; b++) {
/*  804 */           paramArrayOfObject[b] = getObjectElement(j++);
/*      */         }
/*  806 */         return paramArrayOfObject;
/*      */     } 
/*      */ 
/*      */     
/*  810 */     return getOracleArray(paramLong, paramArrayOfObject);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public Object[] getObjectArray(Object[] paramArrayOfObject) throws SQLException {
/*  816 */     return getObjectArray(0L, paramArrayOfObject);
/*      */   }
/*      */ 
/*      */   
/*      */   public Object getArray() throws SQLException {
/*  821 */     return getArray(0L, 2147483647);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getArray(long paramLong, int paramInt) throws SQLException {
/*      */     double[] arrayOfDouble;
/*      */     float[] arrayOfFloat2;
/*      */     int[] arrayOfInt;
/*      */     short[] arrayOfShort;
/*      */     float[] arrayOfFloat1;
/*      */     byte b;
/*  841 */     int i = sliceLength(paramLong, paramInt);
/*  842 */     int j = (int)paramLong;
/*      */     
/*  844 */     if (i < 0) {
/*  845 */       return null;
/*      */     }
/*  847 */     switch (this.sqlType) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 6:
/*      */       case 8:
/*      */       case 101:
/*  856 */         arrayOfDouble = new double[i];
/*      */         
/*  858 */         for (b = 0; b < i; b++) {
/*  859 */           arrayOfDouble[b] = ((Double)getObjectElement(j++)).doubleValue();
/*      */         }
/*  861 */         return arrayOfDouble;
/*      */ 
/*      */ 
/*      */       
/*      */       case 100:
/*  866 */         arrayOfFloat2 = new float[i];
/*      */         
/*  868 */         for (b = 0; b < i; b++) {
/*  869 */           arrayOfFloat2[b] = ((Float)getObjectElement(j++)).floatValue();
/*      */         }
/*  871 */         return arrayOfFloat2;
/*      */ 
/*      */ 
/*      */       
/*      */       case 4:
/*  876 */         arrayOfInt = new int[i];
/*      */         
/*  878 */         for (b = 0; b < i; b++) {
/*  879 */           arrayOfInt[b] = ((Integer)getObjectElement(j++)).intValue();
/*      */         }
/*  881 */         return arrayOfInt;
/*      */ 
/*      */ 
/*      */       
/*      */       case 5:
/*  886 */         arrayOfShort = new short[i];
/*      */         
/*  888 */         for (b = 0; b < i; b++) {
/*  889 */           arrayOfShort[b] = (short)((Integer)getObjectElement(j++)).intValue();
/*      */         }
/*  891 */         return arrayOfShort;
/*      */ 
/*      */ 
/*      */       
/*      */       case 7:
/*  896 */         arrayOfFloat1 = new float[i];
/*      */         
/*  898 */         for (b = 0; b < i; b++) {
/*  899 */           arrayOfFloat1[b] = ((Float)getObjectElement(j++)).floatValue();
/*      */         }
/*  901 */         return arrayOfFloat1;
/*      */     } 
/*      */ 
/*      */     
/*  905 */     return getObjectArray(paramLong, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void setOracleArray(Object[] paramArrayOfObject) {
/*  911 */     if (this.factory == null && this.old_factory == null) {
/*  912 */       setDatumArray((Datum[])paramArrayOfObject);
/*      */     } else {
/*  914 */       setObjectArray(paramArrayOfObject);
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setOracleArray(Object[] paramArrayOfObject, long paramLong) throws SQLException {
/*  919 */     if (this.factory == null && this.old_factory == null) {
/*  920 */       setDatumArray((Datum[])paramArrayOfObject, paramLong);
/*      */     } else {
/*  922 */       setObjectArray(paramArrayOfObject, paramLong);
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setObjectArray(Object[] paramArrayOfObject) {
/*  927 */     if (paramArrayOfObject == null) {
/*  928 */       setNullArray();
/*      */     } else {
/*      */       
/*  931 */       setArrayGeneric(paramArrayOfObject.length);
/*      */       
/*  933 */       this.elements = new Object[this.length];
/*      */       
/*  935 */       for (byte b = 0; b < this.length; b++) {
/*  936 */         this.elements[b] = paramArrayOfObject[b];
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setObjectArray(Object[] paramArrayOfObject, long paramLong) throws SQLException {
/*  942 */     if (paramArrayOfObject == null) {
/*      */       return;
/*      */     }
/*  945 */     int i = sliceLength(paramLong, paramArrayOfObject.length);
/*  946 */     int j = (int)paramLong;
/*      */     
/*  948 */     for (byte b = 0; b < i; b++)
/*      */     {
/*  950 */       setObjectElement(paramArrayOfObject[b], j++);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public void setArray(double[] paramArrayOfdouble) {
/*  956 */     if (paramArrayOfdouble == null) {
/*  957 */       setNullArray();
/*      */     } else {
/*      */       
/*  960 */       setArrayGeneric(paramArrayOfdouble.length);
/*      */       
/*  962 */       this.elements = new Object[this.length];
/*      */       
/*  964 */       for (byte b = 0; b < this.length; b++) {
/*  965 */         this.elements[b] = new Double(paramArrayOfdouble[b]);
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setArray(double[] paramArrayOfdouble, long paramLong) throws SQLException {
/*  971 */     if (paramArrayOfdouble == null) {
/*      */       return;
/*      */     }
/*  974 */     int i = sliceLength(paramLong, paramArrayOfdouble.length);
/*  975 */     int j = (int)paramLong;
/*      */     
/*  977 */     for (byte b = 0; b < i; b++)
/*      */     {
/*  979 */       setObjectElement(new Double(paramArrayOfdouble[b]), j++);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public void setArray(int[] paramArrayOfint) {
/*  985 */     if (paramArrayOfint == null) {
/*  986 */       setNullArray();
/*      */     } else {
/*      */       
/*  989 */       setArrayGeneric(paramArrayOfint.length);
/*      */       
/*  991 */       this.elements = new Object[this.length];
/*      */       
/*  993 */       for (byte b = 0; b < this.length; b++) {
/*  994 */         this.elements[b] = new Integer(paramArrayOfint[b]);
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setArray(int[] paramArrayOfint, long paramLong) throws SQLException {
/* 1000 */     if (paramArrayOfint == null) {
/*      */       return;
/*      */     }
/* 1003 */     int i = sliceLength(paramLong, paramArrayOfint.length);
/* 1004 */     int j = (int)paramLong;
/*      */     
/* 1006 */     for (byte b = 0; b < i; b++)
/*      */     {
/* 1008 */       setObjectElement(new Integer(paramArrayOfint[b]), j++);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public void setArray(float[] paramArrayOffloat) {
/* 1014 */     if (paramArrayOffloat == null) {
/* 1015 */       setNullArray();
/*      */     } else {
/*      */       
/* 1018 */       setArrayGeneric(paramArrayOffloat.length);
/*      */       
/* 1020 */       this.elements = new Object[this.length];
/*      */       
/* 1022 */       for (byte b = 0; b < this.length; b++) {
/* 1023 */         this.elements[b] = new Float(paramArrayOffloat[b]);
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setArray(float[] paramArrayOffloat, long paramLong) throws SQLException {
/* 1029 */     if (paramArrayOffloat == null) {
/*      */       return;
/*      */     }
/* 1032 */     int i = sliceLength(paramLong, paramArrayOffloat.length);
/* 1033 */     int j = (int)paramLong;
/*      */     
/* 1035 */     for (byte b = 0; b < i; b++)
/*      */     {
/* 1037 */       setObjectElement(new Float(paramArrayOffloat[b]), j++);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   public void setArray(short[] paramArrayOfshort) {
/* 1043 */     if (paramArrayOfshort == null) {
/* 1044 */       setNullArray();
/*      */     } else {
/*      */       
/* 1047 */       setArrayGeneric(paramArrayOfshort.length);
/*      */       
/* 1049 */       this.elements = new Object[this.length];
/*      */       
/* 1051 */       for (byte b = 0; b < this.length; b++) {
/* 1052 */         this.elements[b] = new Integer(paramArrayOfshort[b]);
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setArray(short[] paramArrayOfshort, long paramLong) throws SQLException {
/* 1058 */     if (paramArrayOfshort == null) {
/*      */       return;
/*      */     }
/* 1061 */     int i = sliceLength(paramLong, paramArrayOfshort.length);
/* 1062 */     int j = (int)paramLong;
/*      */     
/* 1064 */     for (byte b = 0; b < i; b++)
/*      */     {
/* 1066 */       setObjectElement(new Integer(paramArrayOfshort[b]), j++);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object getObjectElement(long paramLong) throws SQLException {
/* 1087 */     Object object = getLazyArray()[(int)paramLong];
/*      */     
/* 1089 */     if (object == null)
/*      */     {
/* 1091 */       if (this.old_factory == null) {
/*      */         
/* 1093 */         Datum datum = getLazyOracleArray()[(int)paramLong];
/*      */         
/* 1095 */         object = Util.convertToObject(datum, this.sqlType, this.factory);
/* 1096 */         this.elements[(int)paramLong] = object;
/*      */         
/* 1098 */         if (Util.isMutable(datum, this.factory)) {
/* 1099 */           resetOracleElement(paramLong);
/*      */         }
/*      */       } else {
/*      */         
/* 1103 */         Datum datum = getLazyOracleArray()[(int)paramLong];
/*      */         
/* 1105 */         object = Util.convertToObject(datum, this.sqlType, this.old_factory);
/* 1106 */         this.elements[(int)paramLong] = object;
/*      */         
/* 1108 */         if (Util.isMutable(datum, this.old_factory)) {
/* 1109 */           resetOracleElement(paramLong);
/*      */         }
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1126 */     return object;
/*      */   }
/*      */ 
/*      */   
/*      */   public Object getOracleElement(long paramLong) throws SQLException {
/* 1131 */     if (this.factory == null && this.old_factory == null) {
/*      */       
/* 1133 */       Datum datum = getDatumElement(paramLong, null);
/*      */       
/* 1135 */       if (Util.isMutable(datum, this.factory)) {
/* 1136 */         this.pickledCorrect = false;
/*      */       }
/* 1138 */       return datum;
/*      */     } 
/*      */     
/* 1141 */     return getObjectElement(paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setObjectElement(Object paramObject, long paramLong) throws SQLException {
/* 1160 */     OracleLog.print(this, 2048, 2, 64, "MutableArray.setObjectElement( element = " + paramObject + ",  n = " + paramLong + ")");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1169 */     if (paramObject == null)
/*      */     {
/* 1171 */       getLazyOracleArray();
/*      */     }
/*      */     
/* 1174 */     resetOracleElement(paramLong);
/*      */     
/* 1176 */     getLazyArray()[(int)paramLong] = paramObject;
/*      */   }
/*      */ 
/*      */   
/*      */   public void setOracleElement(Object paramObject, long paramLong) throws SQLException {
/* 1181 */     if (this.factory == null && this.old_factory == null) {
/* 1182 */       setDatumElement((Datum)paramObject, paramLong);
/*      */     } else {
/* 1184 */       setObjectElement(paramObject, paramLong);
/*      */     } 
/*      */   }
/*      */   
/*      */   public String getBaseTypeName() throws SQLException {
/* 1189 */     return this.pickled.getBaseTypeName();
/*      */   }
/*      */ 
/*      */   
/*      */   public int getBaseType() throws SQLException {
/* 1194 */     return this.pickled.getBaseType();
/*      */   }
/*      */ 
/*      */   
/*      */   public ArrayDescriptor getDescriptor() throws SQLException {
/* 1199 */     return this.pickled.getDescriptor();
/*      */   }
/*      */ 
/*      */   
/*      */   Datum[] getDatumArray(Connection paramConnection) throws SQLException {
/* 1204 */     if (this.length < 0) {
/* 1205 */       getLazyOracleArray();
/*      */     }
/* 1207 */     if (this.datums == null) {
/* 1208 */       return null;
/*      */     }
/* 1210 */     Datum[] arrayOfDatum = new Datum[this.length];
/*      */     
/* 1212 */     for (byte b = 0; b < this.length; b++) {
/* 1213 */       arrayOfDatum[b] = getDatumElement(b, paramConnection);
/*      */     }
/* 1215 */     return arrayOfDatum;
/*      */   }
/*      */ 
/*      */   
/*      */   void setDatumArray(Datum[] paramArrayOfDatum) {
/* 1220 */     if (paramArrayOfDatum == null) {
/* 1221 */       setNullArray();
/*      */     } else {
/*      */       
/* 1224 */       this.length = paramArrayOfDatum.length;
/* 1225 */       this.elements = null;
/* 1226 */       this.datums = (Datum[])paramArrayOfDatum.clone();
/* 1227 */       this.pickled = null;
/* 1228 */       this.pickledCorrect = false;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void setDatumArray(Datum[] paramArrayOfDatum, long paramLong) throws SQLException {
/* 1234 */     if (paramArrayOfDatum == null) {
/*      */       return;
/*      */     }
/* 1237 */     int i = sliceLength(paramLong, paramArrayOfDatum.length);
/* 1238 */     int j = (int)paramLong;
/*      */     
/* 1240 */     for (byte b = 0; b < i; b++)
/*      */     {
/* 1242 */       setDatumElement(paramArrayOfDatum[b], j++);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Datum getDatumElement(long paramLong, Connection paramConnection) throws SQLException {
/* 1263 */     Datum datum = getLazyOracleArray()[(int)paramLong];
/*      */     
/* 1265 */     if (datum == null) {
/*      */       
/* 1267 */       Object object = getLazyArray()[(int)paramLong];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1273 */       datum = Util.convertToOracle(object, paramConnection);
/* 1274 */       this.datums[(int)paramLong] = datum;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1290 */     return datum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setDatumElement(Datum paramDatum, long paramLong) throws SQLException {
/* 1310 */     resetElement(paramLong);
/*      */     
/* 1312 */     getLazyOracleArray()[(int)paramLong] = paramDatum;
/* 1313 */     this.pickledCorrect = false;
/*      */   }
/*      */ 
/*      */   
/*      */   void resetElement(long paramLong) throws SQLException {
/* 1318 */     if (this.elements != null)
/*      */     {
/* 1320 */       this.elements[(int)paramLong] = null;
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void setNullArray() {
/* 1326 */     this.length = -1;
/* 1327 */     this.elements = null;
/* 1328 */     this.datums = null;
/* 1329 */     this.pickled = null;
/* 1330 */     this.pickledCorrect = false;
/*      */   }
/*      */ 
/*      */   
/*      */   void setArrayGeneric(int paramInt) {
/* 1335 */     this.length = paramInt;
/* 1336 */     this.datums = new Datum[paramInt];
/* 1337 */     this.pickled = null;
/* 1338 */     this.pickledCorrect = false;
/*      */   }
/*      */ 
/*      */   
/*      */   public int length() throws SQLException {
/* 1343 */     if (this.length < 0) {
/* 1344 */       getLazyOracleArray();
/*      */     }
/* 1346 */     return this.length;
/*      */   }
/*      */ 
/*      */   
/*      */   public int sliceLength(long paramLong, int paramInt) throws SQLException {
/* 1351 */     if (this.length < 0) {
/* 1352 */       getLazyOracleArray();
/*      */     }
/* 1354 */     if (paramLong < 0L) {
/* 1355 */       return (int)paramLong;
/*      */     }
/* 1357 */     return Math.min(this.length - (int)paramLong, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void resetOracleElement(long paramLong) throws SQLException {
/* 1376 */     if (this.datums != null)
/*      */     {
/* 1378 */       this.datums[(int)paramLong] = null;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1386 */     this.pickledCorrect = false;
/*      */   }
/*      */ 
/*      */   
/*      */   Object[] getLazyArray() throws SQLException {
/* 1391 */     if (this.length == -1) {
/* 1392 */       getLazyOracleArray();
/*      */     }
/* 1394 */     if (this.elements == null)
/*      */     {
/* 1396 */       this.elements = new Object[this.length];
/*      */     }
/*      */     
/* 1399 */     return this.elements;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Datum[] getLazyOracleArray() throws SQLException {
/* 1419 */     if (this.datums == null)
/*      */     {
/*      */ 
/*      */       
/* 1423 */       if (this.pickled != null) {
/*      */ 
/*      */ 
/*      */         
/* 1427 */         this.datums = this.pickled.getOracleArray();
/* 1428 */         this.length = this.datums.length;
/* 1429 */         this.pickledCorrect = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1435 */         if (this.elements != null)
/*      */         {
/* 1437 */           for (byte b = 0; b < this.length; b++)
/*      */           {
/* 1439 */             if (this.elements[b] != null)
/*      */             {
/* 1441 */               this.datums[b] = null;
/* 1442 */               this.pickledCorrect = false;
/*      */             }
/*      */           
/*      */           }
/*      */         
/*      */         }
/*      */       }
/* 1449 */       else if (this.length >= 0) {
/* 1450 */         this.datums = new Datum[this.length];
/*      */       } 
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1467 */     return this.datums;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1494 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jpub\runtime\MutableArray.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */