/*     */ package oracle.jpub.runtime;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.OracleConnection;
/*     */ import oracle.sql.CustomDatumFactory;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.ORADataFactory;
/*     */ import oracle.sql.STRUCT;
/*     */ import oracle.sql.StructDescriptor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class MutableStruct
/*     */ {
/*     */   int length;
/*     */   STRUCT pickled;
/*     */   Datum[] datums;
/*     */   Object[] attributes;
/*     */   CustomDatumFactory[] old_factories;
/*     */   ORADataFactory[] factories;
/*     */   int[] sqlTypes;
/*     */   boolean pickledCorrect;
/*     */   
/*     */   public MutableStruct(STRUCT paramSTRUCT, int[] paramArrayOfint, ORADataFactory[] paramArrayOfORADataFactory) {
/*  60 */     this.length = paramArrayOfORADataFactory.length;
/*  61 */     this.pickled = paramSTRUCT;
/*  62 */     this.factories = paramArrayOfORADataFactory;
/*  63 */     this.sqlTypes = paramArrayOfint;
/*  64 */     this.pickledCorrect = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public MutableStruct(Object[] paramArrayOfObject, int[] paramArrayOfint, ORADataFactory[] paramArrayOfORADataFactory) {
/*  74 */     this.length = paramArrayOfORADataFactory.length;
/*  75 */     this.attributes = paramArrayOfObject;
/*  76 */     this.factories = paramArrayOfORADataFactory;
/*  77 */     this.sqlTypes = paramArrayOfint;
/*  78 */     this.pickledCorrect = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public MutableStruct(STRUCT paramSTRUCT, int[] paramArrayOfint, CustomDatumFactory[] paramArrayOfCustomDatumFactory) {
/*  87 */     this.length = paramArrayOfCustomDatumFactory.length;
/*  88 */     this.pickled = paramSTRUCT;
/*  89 */     this.old_factories = paramArrayOfCustomDatumFactory;
/*  90 */     this.sqlTypes = paramArrayOfint;
/*  91 */     this.pickledCorrect = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public MutableStruct(Object[] paramArrayOfObject, int[] paramArrayOfint, CustomDatumFactory[] paramArrayOfCustomDatumFactory) {
/* 100 */     this.length = paramArrayOfCustomDatumFactory.length;
/* 101 */     this.attributes = paramArrayOfObject;
/* 102 */     this.old_factories = paramArrayOfCustomDatumFactory;
/* 103 */     this.sqlTypes = paramArrayOfint;
/* 104 */     this.pickledCorrect = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(Connection paramConnection, String paramString) throws SQLException {
/* 111 */     if (!this.pickledCorrect) {
/*     */ 
/*     */ 
/*     */       
/* 115 */       this.pickled = new STRUCT(StructDescriptor.createDescriptor(paramString, paramConnection), paramConnection, (Object[])getDatumAttributes(paramConnection));
/*     */       
/* 117 */       this.pickledCorrect = true;
/*     */     } 
/*     */     
/* 120 */     return (Datum)this.pickled;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(OracleConnection paramOracleConnection, String paramString) throws SQLException {
/* 126 */     return toDatum((Connection)paramOracleConnection, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Datum toDatum(OracleConnection paramOracleConnection, String paramString) throws SQLException {
/* 135 */     return toDatum((Connection)paramOracleConnection, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getAttribute(int paramInt) throws SQLException {
/* 145 */     Object object = getLazyAttributes()[paramInt];
/*     */     
/* 147 */     if (object == null) {
/*     */       
/* 149 */       Datum datum = getLazyDatums()[paramInt];
/*     */       
/* 151 */       if (this.old_factories == null) {
/*     */         
/* 153 */         object = Util.convertToObject(datum, this.sqlTypes[paramInt], this.factories[paramInt]);
/* 154 */         this.attributes[paramInt] = object;
/*     */         
/* 156 */         if (Util.isMutable(datum, this.factories[paramInt])) {
/* 157 */           resetDatum(paramInt);
/*     */         }
/*     */       } else {
/*     */         
/* 161 */         object = Util.convertToObject(datum, this.sqlTypes[paramInt], this.old_factories[paramInt]);
/* 162 */         this.attributes[paramInt] = object;
/*     */         
/* 164 */         if (Util.isMutable(datum, this.old_factories[paramInt])) {
/* 165 */           resetDatum(paramInt);
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 171 */     return object;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getOracleAttribute(int paramInt) throws SQLException {
/*     */     Object object;
/* 181 */     if (this.old_factories == null) {
/*     */       
/* 183 */       if (this.factories[paramInt] == null) {
/*     */         
/* 185 */         object = getDatumAttribute(paramInt, null);
/*     */         
/* 187 */         Datum datum = getLazyDatums()[paramInt];
/*     */         
/* 189 */         if (Util.isMutable(datum, this.factories[paramInt])) {
/* 190 */           this.pickledCorrect = false;
/*     */         }
/*     */       } else {
/* 193 */         object = getAttribute(paramInt);
/*     */       }
/*     */     
/*     */     }
/* 197 */     else if (this.old_factories[paramInt] == null) {
/*     */       
/* 199 */       object = getDatumAttribute(paramInt, null);
/*     */       
/* 201 */       Datum datum = getLazyDatums()[paramInt];
/*     */       
/* 203 */       if (Util.isMutable(datum, this.old_factories[paramInt])) {
/* 204 */         this.pickledCorrect = false;
/*     */       }
/*     */     } else {
/* 207 */       object = getAttribute(paramInt);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 212 */     return object;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object[] getAttributes() throws SQLException {
/* 221 */     for (byte b = 0; b < this.length; b++)
/*     */     {
/* 223 */       getAttribute(b);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 228 */     return this.attributes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object[] getOracleAttributes() throws SQLException {
/* 236 */     Object[] arrayOfObject = new Object[this.length];
/*     */     
/* 238 */     for (byte b = 0; b < this.length; b++)
/*     */     {
/* 240 */       arrayOfObject[b] = getOracleAttribute(b);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 245 */     return arrayOfObject;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAttribute(int paramInt, Object paramObject) throws SQLException {
/* 263 */     if (paramObject == null)
/*     */     {
/* 265 */       getLazyDatums();
/*     */     }
/*     */     
/* 268 */     resetDatum(paramInt);
/*     */     
/* 270 */     getLazyAttributes()[paramInt] = paramObject;
/*     */   }
/*     */ 
/*     */   
/*     */   public void setDoubleAttribute(int paramInt, double paramDouble) throws SQLException {
/* 275 */     setAttribute(paramInt, new Double(paramDouble));
/*     */   }
/*     */ 
/*     */   
/*     */   public void setFloatAttribute(int paramInt, float paramFloat) throws SQLException {
/* 280 */     setAttribute(paramInt, new Float(paramFloat));
/*     */   }
/*     */ 
/*     */   
/*     */   public void setIntAttribute(int paramInt1, int paramInt2) throws SQLException {
/* 285 */     setAttribute(paramInt1, new Integer(paramInt2));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setOracleAttribute(int paramInt, Object paramObject) throws SQLException {
/* 293 */     if (this.old_factories == null) {
/*     */       
/* 295 */       if (this.factories[paramInt] == null) {
/* 296 */         setDatumAttribute(paramInt, (Datum)paramObject);
/*     */       } else {
/* 298 */         setAttribute(paramInt, paramObject);
/*     */       }
/*     */     
/*     */     }
/* 302 */     else if (this.old_factories[paramInt] == null) {
/* 303 */       setDatumAttribute(paramInt, (Datum)paramObject);
/*     */     } else {
/* 305 */       setAttribute(paramInt, paramObject);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum getDatumAttribute(int paramInt, Connection paramConnection) throws SQLException {
/* 314 */     Datum datum = getLazyDatums()[paramInt];
/*     */     
/* 316 */     if (datum == null) {
/*     */       
/* 318 */       Object object = getLazyAttributes()[paramInt];
/*     */       
/* 320 */       datum = Util.convertToOracle(object, paramConnection);
/* 321 */       this.datums[paramInt] = datum;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 326 */     return datum;
/*     */   }
/*     */ 
/*     */   
/*     */   void setDatumAttribute(int paramInt, Datum paramDatum) throws SQLException {
/* 331 */     resetAttribute(paramInt);
/*     */     
/* 333 */     getLazyDatums()[paramInt] = paramDatum;
/* 334 */     this.pickledCorrect = false;
/*     */   }
/*     */ 
/*     */   
/*     */   Datum[] getDatumAttributes(Connection paramConnection) throws SQLException {
/* 339 */     for (byte b = 0; b < this.length; b++)
/*     */     {
/* 341 */       getDatumAttribute(b, paramConnection);
/*     */     }
/*     */     
/* 344 */     return (Datum[])this.datums.clone();
/*     */   }
/*     */ 
/*     */   
/*     */   void resetAttribute(int paramInt) throws SQLException {
/* 349 */     if (this.attributes != null)
/*     */     {
/* 351 */       this.attributes[paramInt] = null;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void resetDatum(int paramInt) throws SQLException {
/* 360 */     if (this.datums != null)
/*     */     {
/* 362 */       this.datums[paramInt] = null;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 370 */     this.pickledCorrect = false;
/*     */   }
/*     */ 
/*     */   
/*     */   Object[] getLazyAttributes() {
/* 375 */     if (this.attributes == null)
/*     */     {
/* 377 */       this.attributes = new Object[this.length];
/*     */     }
/*     */     
/* 380 */     return this.attributes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Datum[] getLazyDatums() throws SQLException {
/* 389 */     if (this.datums == null)
/*     */     {
/*     */ 
/*     */       
/* 393 */       if (this.pickled != null) {
/*     */ 
/*     */ 
/*     */         
/* 397 */         this.datums = this.pickled.getOracleAttributes();
/* 398 */         this.pickledCorrect = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 404 */         if (this.attributes != null)
/*     */         {
/* 406 */           for (byte b = 0; b < this.length; b++) {
/*     */             
/* 408 */             if (this.attributes[b] != null)
/*     */             {
/* 410 */               this.datums[b] = null;
/* 411 */               this.pickledCorrect = false;
/*     */             }
/*     */           
/*     */           } 
/*     */         }
/*     */       } else {
/*     */         
/* 418 */         this.datums = new Datum[this.length];
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 424 */     return this.datums;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 440 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jpub\runtime\MutableStruct.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */