/*     */ package oracle.jpub.runtime;
/*     */ 
/*     */ import java.math.BigDecimal;
/*     */ import java.math.BigInteger;
/*     */ import java.sql.Connection;
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Date;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.OracleConnection;
/*     */ import oracle.sql.CHAR;
/*     */ import oracle.sql.CharacterSet;
/*     */ import oracle.sql.CustomDatum;
/*     */ import oracle.sql.CustomDatumFactory;
/*     */ import oracle.sql.DATE;
/*     */ import oracle.sql.Datum;
/*     */ import oracle.sql.NUMBER;
/*     */ import oracle.sql.ORAData;
/*     */ import oracle.sql.ORADataFactory;
/*     */ import oracle.sql.RAW;
/*     */ import oracle.sql.TIMESTAMP;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Util
/*     */ {
/*  31 */   static short lastCsId = 870;
/*  32 */   static CharacterSet lastCS = CharacterSet.make(870);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Object convertToObject(Datum paramDatum, int paramInt, Object paramObject) throws SQLException {
/*  42 */     return _convertToObject(paramDatum, paramInt, paramObject);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Object _convertToObject(Datum paramDatum, int paramInt, Object paramObject) throws SQLException {
/*  53 */     if (paramDatum == null) {
/*  54 */       return null;
/*     */     }
/*  56 */     if (paramDatum instanceof oracle.sql.STRUCT) {
/*     */       
/*  58 */       if (paramObject instanceof ORADataFactory)
/*     */       {
/*  60 */         return ((ORADataFactory)paramObject).create(paramDatum, 2002);
/*     */       }
/*     */ 
/*     */       
/*  64 */       return ((CustomDatumFactory)paramObject).create(paramDatum, 2002);
/*     */     } 
/*     */ 
/*     */     
/*  68 */     if (paramDatum instanceof oracle.sql.REF) {
/*     */       
/*  70 */       if (paramObject instanceof ORADataFactory)
/*     */       {
/*  72 */         return ((ORADataFactory)paramObject).create(paramDatum, 2006);
/*     */       }
/*     */ 
/*     */       
/*  76 */       return ((CustomDatumFactory)paramObject).create(paramDatum, 2006);
/*     */     } 
/*     */ 
/*     */     
/*  80 */     if (paramDatum instanceof oracle.sql.ARRAY) {
/*     */       
/*  82 */       if (paramObject instanceof ORADataFactory)
/*     */       {
/*  84 */         return ((ORADataFactory)paramObject).create(paramDatum, 2003);
/*     */       }
/*     */ 
/*     */       
/*  88 */       return ((CustomDatumFactory)paramObject).create(paramDatum, 2003);
/*     */     } 
/*     */ 
/*     */     
/*  92 */     if (paramDatum instanceof oracle.sql.OPAQUE) {
/*     */       
/*  94 */       if (paramObject instanceof ORADataFactory)
/*     */       {
/*  96 */         return ((ORADataFactory)paramObject).create(paramDatum, 2007);
/*     */       }
/*     */ 
/*     */       
/* 100 */       return ((CustomDatumFactory)paramObject).create(paramDatum, 2007);
/*     */     } 
/*     */ 
/*     */     
/* 104 */     if (paramObject != null) {
/*     */       
/* 106 */       if (paramObject instanceof ORADataFactory)
/*     */       {
/* 108 */         return ((ORADataFactory)paramObject).create(paramDatum, paramInt);
/*     */       }
/*     */ 
/*     */       
/* 112 */       return ((CustomDatumFactory)paramObject).create(paramDatum, paramInt);
/*     */     } 
/*     */ 
/*     */     
/* 116 */     if (paramDatum instanceof NUMBER) {
/*     */       
/* 118 */       if (paramInt == 2 || paramInt == 3) {
/* 119 */         return ((NUMBER)paramDatum).bigDecimalValue();
/*     */       }
/* 121 */       if (paramInt == 8 || paramInt == 6) {
/* 122 */         return new Double(((NUMBER)paramDatum).doubleValue());
/*     */       }
/* 124 */       if (paramInt == 4 || paramInt == 5) {
/* 125 */         return new Integer(((NUMBER)paramDatum).intValue());
/*     */       }
/* 127 */       if (paramInt == 7) {
/* 128 */         return new Float(((NUMBER)paramDatum).floatValue());
/*     */       }
/* 130 */       if (paramInt == 16) {
/* 131 */         return new Boolean(((NUMBER)paramDatum).booleanValue());
/*     */       }
/* 133 */       throw new SQLException("Unexpected java.sql.OracleTypes type: " + paramInt);
/*     */     } 
/*     */ 
/*     */     
/* 137 */     return paramDatum.toJdbc();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Datum convertToOracle(Object paramObject, Connection paramConnection) throws SQLException {
/* 146 */     return _convertToOracle(paramObject, paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static Datum _convertToOracle(Object paramObject, Connection paramConnection) throws SQLException {
/* 156 */     if (paramObject == null) {
/* 157 */       return null;
/*     */     }
/* 159 */     if (paramObject instanceof ORAData) {
/* 160 */       return ((ORAData)paramObject).toDatum(paramConnection);
/*     */     }
/* 162 */     if (paramObject instanceof CustomDatum) {
/* 163 */       return ((CustomDatum)paramObject).toDatum((OracleConnection)paramConnection);
/*     */     }
/* 165 */     if (paramObject instanceof String) {
/*     */       
/* 167 */       boolean bool = (paramConnection == null || !(paramConnection instanceof OracleConnection)) ? true : ((OracleConnection)paramConnection).getDbCsId();
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 172 */       if (bool != lastCsId) {
/*     */         
/* 174 */         lastCsId = bool;
/* 175 */         lastCS = CharacterSet.make(lastCsId);
/*     */       } 
/*     */       
/* 178 */       return (Datum)new CHAR((String)paramObject, lastCS);
/*     */     } 
/*     */     
/* 181 */     if (paramObject instanceof Character) {
/*     */       
/* 183 */       boolean bool = (paramConnection == null || !(paramConnection instanceof OracleConnection)) ? true : ((OracleConnection)paramConnection).getDbCsId();
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 188 */       if (bool != lastCsId) {
/*     */         
/* 190 */         lastCsId = bool;
/* 191 */         lastCS = CharacterSet.make(lastCsId);
/*     */       } 
/*     */       
/* 194 */       return (Datum)new CHAR(((Character)paramObject).toString(), lastCS);
/*     */     } 
/*     */ 
/*     */     
/* 198 */     if (paramObject instanceof BigDecimal) {
/* 199 */       return (Datum)new NUMBER((BigDecimal)paramObject);
/*     */     }
/* 201 */     if (paramObject instanceof BigInteger) {
/* 202 */       return (Datum)new NUMBER((BigInteger)paramObject);
/*     */     }
/* 204 */     if (paramObject instanceof Double) {
/* 205 */       return (Datum)new NUMBER(((Double)paramObject).doubleValue());
/*     */     }
/* 207 */     if (paramObject instanceof Float) {
/* 208 */       return (Datum)new NUMBER(((Float)paramObject).floatValue());
/*     */     }
/* 210 */     if (paramObject instanceof Integer) {
/* 211 */       return (Datum)new NUMBER(((Integer)paramObject).intValue());
/*     */     }
/* 213 */     if (paramObject instanceof Boolean) {
/* 214 */       return (Datum)new NUMBER(((Boolean)paramObject).booleanValue());
/*     */     }
/* 216 */     if (paramObject instanceof Short) {
/* 217 */       return (Datum)new NUMBER(((Short)paramObject).shortValue());
/*     */     }
/* 219 */     if (paramObject instanceof Byte) {
/* 220 */       return (Datum)new NUMBER(((Byte)paramObject).byteValue());
/*     */     }
/* 222 */     if (paramObject instanceof Long) {
/* 223 */       return (Datum)new NUMBER(((Long)paramObject).longValue());
/*     */     }
/* 225 */     if (paramObject instanceof Timestamp) {
/*     */       
/* 227 */       if (((OracleConnection)paramConnection).physicalConnectionWithin().isV8Compatible()) {
/* 228 */         return (Datum)new DATE((Timestamp)paramObject);
/*     */       }
/* 230 */       return (Datum)new TIMESTAMP((Timestamp)paramObject);
/*     */     } 
/*     */     
/* 233 */     if (paramObject instanceof Date) {
/* 234 */       return (Datum)new DATE((Date)paramObject);
/*     */     }
/* 236 */     if (paramObject instanceof Date) {
/* 237 */       return (Datum)new DATE(new Date(((Date)paramObject).getTime()));
/*     */     }
/* 239 */     if (paramObject instanceof byte[]) {
/* 240 */       return (Datum)new RAW((byte[])paramObject);
/*     */     }
/* 242 */     if (paramObject instanceof Datum) {
/* 243 */       return (Datum)paramObject;
/*     */     }
/* 245 */     throw new SQLException("Unable to convert object to oracle.sql.Datum: " + paramObject);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean isMutable(Datum paramDatum, ORADataFactory paramORADataFactory) {
/* 251 */     if (paramDatum == null) {
/* 252 */       return false;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 268 */     return (paramDatum instanceof oracle.sql.BFILE || paramDatum instanceof oracle.sql.BLOB || paramDatum instanceof oracle.sql.CLOB || (paramORADataFactory != null && (paramDatum instanceof oracle.sql.STRUCT || paramDatum instanceof oracle.sql.OPAQUE || paramDatum instanceof oracle.sql.ARRAY)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean isMutable(Datum paramDatum, CustomDatumFactory paramCustomDatumFactory) {
/* 279 */     if (paramDatum == null) {
/* 280 */       return false;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 296 */     return (paramDatum instanceof oracle.sql.BFILE || paramDatum instanceof oracle.sql.BLOB || paramDatum instanceof oracle.sql.CLOB || (paramCustomDatumFactory != null && (paramDatum instanceof oracle.sql.STRUCT || paramDatum instanceof oracle.sql.OPAQUE || paramDatum instanceof oracle.sql.ARRAY)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 330 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jpub\runtime\Util.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */