package oracle.net.TNSAddress;

import java.util.Vector;
import oracle.net.nl.NLException;
import oracle.net.nl.NVFactory;
import oracle.net.nl.NVPair;

public class AddressList implements SchemaObject {
  public Vector children = new Vector();
  
  private SchemaObject child;
  
  private NVPair childnv;
  
  public boolean sourceRoute = false;
  
  public boolean loadBalance = false;
  
  public boolean failover = true;
  
  protected SchemaObjectFactoryInterface f = null;
  
  public AddressList(SchemaObjectFactoryInterface paramSchemaObjectFactoryInterface) {
    this.f = paramSchemaObjectFactoryInterface;
  }
  
  public int isA() {
    return 1;
  }
  
  public String isA_String() {
    return "ADDRESS_LIST";
  }
  
  public void initFromString(String paramString) throws NLException, SOException {
    NVPair nVPair = (new NVFactory()).createNVPair(paramString);
    initFromNVPair(nVPair);
  }
  
  public void initFromNVPair(NVPair paramNVPair) throws SOException {
    init();
    int i = paramNVPair.getListSize();
    if (i == 0)
      throw new SOException(); 
    for (byte b = 0; b < i; b++) {
      this.childnv = paramNVPair.getListElement(b);
      if (this.childnv.getName().equalsIgnoreCase("SOURCE_ROUTE")) {
        this.sourceRoute = (this.childnv.getAtom().equalsIgnoreCase("yes") || this.childnv.getAtom().equalsIgnoreCase("on") || this.childnv.getAtom().equalsIgnoreCase("true"));
      } else if (this.childnv.getName().equalsIgnoreCase("LOAD_BALANCE")) {
        this.loadBalance = (this.childnv.getAtom().equalsIgnoreCase("yes") || this.childnv.getAtom().equalsIgnoreCase("on") || this.childnv.getAtom().equalsIgnoreCase("true"));
      } else if (this.childnv.getName().equalsIgnoreCase("FAILOVER")) {
        this.failover = (this.childnv.getAtom().equalsIgnoreCase("yes") || this.childnv.getAtom().equalsIgnoreCase("on") || this.childnv.getAtom().equalsIgnoreCase("true"));
      } else if (this.childnv.getName().equalsIgnoreCase("ADDRESS")) {
        this.child = this.f.create(0);
        this.child.initFromNVPair(this.childnv);
        this.children.addElement(this.child);
      } else if (this.childnv.getName().equalsIgnoreCase("ADDRESS_LIST")) {
        this.child = this.f.create(1);
        this.child.initFromNVPair(this.childnv);
        this.children.addElement(this.child);
      } else {
        throw new SOException();
      } 
    } 
    if (this.children.size() == 0)
      throw new SOException(); 
  }
  
  public String toString() {
    null = new String("");
    if (this.children.size() < 1)
      return null; 
    null = null + "(ADDRESS_LIST=";
    for (byte b = 0; b < this.children.size(); b++)
      null = null + ((SchemaObject)this.children.elementAt(b)).toString(); 
    if (this.sourceRoute)
      null = null + "(SOURCE_ROUTE=yes)"; 
    if (this.loadBalance)
      null = null + "(LOAD_BALANCE=yes)"; 
    if (!this.failover)
      null = null + "(FAILOVER=false)"; 
    return null + ")";
  }
  
  protected void init() {
    this.children.removeAllElements();
    this.child = null;
    this.childnv = null;
    this.sourceRoute = false;
    this.loadBalance = false;
    this.failover = true;
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\TNSAddress\AddressList.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */