package oracle.net.ano;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import oracle.net.ns.NetException;
import oracle.net.ns.SessionAtts;

public class AnoComm implements AnoServices {
  private static final boolean h = false;
  
  private InputStream i;
  
  private OutputStream j;
  
  protected int readUB2() throws NetException, IOException {
    byte[] arrayOfByte = new byte[2];
    int i = (int)g(arrayOfByte);
    return i & 0xFFFF;
  }
  
  public AnoComm(SessionAtts paramSessionAtts) {
    this.j = paramSessionAtts.getOutputStream();
    this.i = paramSessionAtts.getInputStream();
  }
  
  protected void sendUB2(int paramInt) throws IOException {
    sendPktHeader(2, 3);
    writeUB2(paramInt);
  }
  
  protected void sendString(String paramString) throws IOException {
    sendPktHeader(paramString.length(), 0);
    this.j.write(paramString.getBytes());
  }
  
  protected short readUB1() throws NetException, IOException {
    short s = 0;
    try {
      if ((s = (short)this.i.read()) < 0)
        throw new NetException(0); 
    } catch (NetException netException) {
      throw new IOException(netException.getMessage());
    } 
    return s;
  }
  
  protected byte[] receiveRaw() throws NetException, IOException {
    int i = f(1);
    return c(i);
  }
  
  protected long receiveVersion() throws NetException, IOException {
    f(5);
    return readUB4();
  }
  
  protected void sendStatus(int paramInt) throws IOException {
    sendPktHeader(2, 6);
    writeUB2(paramInt);
  }
  
  protected void sendUB4(long paramLong) throws IOException {
    sendPktHeader(4, 4);
    writeUB4(paramLong);
  }
  
  protected void sendPktHeader(int paramInt1, int paramInt2) throws NetException, IOException {
    d(paramInt1, paramInt2);
    writeUB2(paramInt1);
    writeUB2(paramInt2);
  }
  
  protected int receiveUB2() throws NetException, IOException {
    f(3);
    int i = readUB2();
    return i & 0xFFFF;
  }
  
  private void a(int paramInt1, int paramInt2, int paramInt3) throws NetException {
    if (paramInt2 < 0 || paramInt2 > 7)
      throw new NetException(313); 
    if (paramInt2 != paramInt3)
      throw new NetException(314); 
    switch (paramInt3) {
      case 0:
      case 1:
        return;
      case 2:
        if (paramInt1 > 1)
          throw new NetException(312); 
      case 3:
      case 6:
        if (paramInt1 > 2)
          throw new NetException(312); 
      case 4:
      case 5:
        if (paramInt1 > 4)
          throw new NetException(312); 
      case 7:
        if (paramInt1 < 10)
          throw new NetException(312); 
    } 
    throw new NetException(313);
  }
  
  protected void writeVersion() throws IOException {
    writeUB4(getVersion());
  }
  
  protected void sendVersion() throws IOException {
    sendPktHeader(4, 5);
    writeUB4(getVersion());
  }
  
  protected void writeUB1(short paramShort) throws IOException {
    this.j.write(0xFF & paramShort);
  }
  
  protected void flush() throws IOException {
    this.j.flush();
  }
  
  protected short receiveUB1() throws NetException, IOException {
    f(2);
    return readUB1();
  }
  
  protected int[] receiveUB2Array() throws NetException, IOException {
    int i = f(1);
    long l1 = readUB4();
    int j = readUB2();
    long l2 = readUB4();
    int[] arrayOfInt = new int[(int)l2];
    if (l1 != -559038737L || j != 3)
      throw new NetException(310); 
    for (byte b = 0; b < arrayOfInt.length; b++)
      arrayOfInt[b] = readUB2(); 
    return arrayOfInt;
  }
  
  protected void sendUB2Array(int[] paramArrayOfint) throws IOException {
    sendPktHeader(10 + paramArrayOfint.length * 2, 1);
    writeUB4(-559038737L);
    writeUB2(3);
    writeUB4(paramArrayOfint.length);
    for (byte b = 0; b < paramArrayOfint.length; b++)
      writeUB2(paramArrayOfint[b] & 0xFFFF); 
  }
  
  protected void writeUB2(int paramInt) throws IOException {
    byte[] arrayOfByte = new byte[2];
    byte b = b((short)(0xFFFF & paramInt), arrayOfByte);
    this.j.write(arrayOfByte, 0, b);
  }
  
  protected long getVersion() {
    return 135286784L;
  }
  
  private byte b(int paramInt, byte[] paramArrayOfbyte) {
    byte b = 0;
    for (int i = paramArrayOfbyte.length - 1; i >= 0; i--) {
      b = (byte)(b + 1);
      paramArrayOfbyte[b] = (byte)(paramInt >>> 8 * i & 0xFF);
    } 
    return b;
  }
  
  private byte[] c(int paramInt) throws NetException, IOException {
    byte[] arrayOfByte = new byte[paramInt];
    try {
      if (this.i.read(arrayOfByte) < 0)
        throw new NetException(0); 
    } catch (NetException netException) {
      throw new IOException(netException.getMessage());
    } 
    return arrayOfByte;
  }
  
  protected long readUB4() throws NetException, IOException {
    byte[] arrayOfByte = new byte[4];
    return g(arrayOfByte);
  }
  
  protected void writeUB4(long paramLong) throws IOException {
    byte[] arrayOfByte = new byte[4];
    byte b = b((int)(0xFFFFFFFFFFFFFFFFL & paramLong), arrayOfByte);
    this.j.write(arrayOfByte, 0, b);
  }
  
  private void d(int paramInt1, int paramInt2) throws NetException {
    if (paramInt2 < 0 || paramInt2 > 7)
      throw new NetException(313); 
    switch (paramInt2) {
      case 0:
      case 1:
        return;
      case 2:
        if (paramInt1 > 1)
          throw new NetException(312); 
      case 3:
      case 6:
        if (paramInt1 > 2)
          throw new NetException(312); 
      case 4:
      case 5:
        if (paramInt1 > 4)
          throw new NetException(312); 
      case 7:
        if (paramInt1 < 10)
          throw new NetException(312); 
    } 
    throw new NetException(313);
  }
  
  private int e(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws NetException, IOException {
    int i = 0;
    try {
      if ((i = this.i.read(paramArrayOfbyte, paramInt1, paramInt2)) < 0)
        throw new NetException(0); 
    } catch (NetException netException) {
      throw new IOException(netException.getMessage());
    } 
    return i;
  }
  
  protected void sendRaw(byte[] paramArrayOfbyte) throws IOException {
    sendPktHeader(paramArrayOfbyte.length, 1);
    this.j.write(paramArrayOfbyte);
  }
  
  protected long receiveUB4() throws NetException, IOException {
    f(4);
    return readUB4();
  }
  
  protected String receiveString() throws NetException, IOException {
    int i = f(0);
    return new String(c(i));
  }
  
  private int f(int paramInt) throws NetException, IOException {
    int i = readUB2();
    int j = readUB2();
    a(i, j, paramInt);
    return i;
  }
  
  private long g(byte[] paramArrayOfbyte) throws NetException, IOException {
    long l = 0L;
    try {
      if (this.i.read(paramArrayOfbyte) < 0)
        throw new NetException(0); 
    } catch (NetException netException) {
      throw new IOException(netException.getMessage());
    } 
    for (byte b = 0; b < paramArrayOfbyte.length; b++)
      l |= ((paramArrayOfbyte[b] & 0xFF) << 8 * (paramArrayOfbyte.length - 1 - b)); 
    l &= 0xFFFFFFFFFFFFFFFFL;
    return l;
  }
  
  protected int receiveStatus() throws NetException, IOException {
    f(6);
    return readUB2();
  }
  
  protected void sendUB1(short paramShort) throws IOException {
    sendPktHeader(1, 2);
    this.j.write(0xFF & paramShort);
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\ano\AnoComm.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */