package oracle.net.nl;

public class NVFactory {
  public NVPair createNVPair(String paramString) throws InvalidSyntaxException, NLException {
    NVTokens nVTokens = new NVTokens();
    nVTokens.parseTokens(paramString);
    return _readTopLevelNVPair(nVTokens);
  }
  
  private NVPair _readTopLevelNVPair(NVTokens paramNVTokens) throws InvalidSyntaxException, NLException {
    int i = paramNVTokens.getToken();
    paramNVTokens.eatToken();
    if (i != 1) {
      Object[] arrayOfObject = { "(", getContext(paramNVTokens) };
      throw new InvalidSyntaxException("SyntaxError-04602", arrayOfObject);
    } 
    String str = _readNVLiteral(paramNVTokens);
    NVPair nVPair = new NVPair(str);
    if ((i = paramNVTokens.getToken()) == 3)
      while (true) {
        if (i == 8 || i == 3) {
          str = str + paramNVTokens.popLiteral();
          i = paramNVTokens.getToken();
          continue;
        } 
        nVPair.setName(str);
        return _readRightHandSide(nVPair, paramNVTokens);
      }  
    return _readRightHandSide(nVPair, paramNVTokens);
  }
  
  private NVPair _readNVPair(NVTokens paramNVTokens) throws InvalidSyntaxException, NLException {
    int i = paramNVTokens.getToken();
    paramNVTokens.eatToken();
    if (i != 1 && i != 3) {
      Object[] arrayOfObject = { "( or ,", getContext(paramNVTokens) };
      throw new InvalidSyntaxException("SyntaxError-04602", arrayOfObject);
    } 
    String str = _readNVLiteral(paramNVTokens);
    NVPair nVPair = new NVPair(str);
    return _readRightHandSide(nVPair, paramNVTokens);
  }
  
  private NVPair _readRightHandSide(NVPair paramNVPair, NVTokens paramNVTokens) throws InvalidSyntaxException, NLException {
    Object[] arrayOfObject;
    int i;
    switch (i = paramNVTokens.getToken()) {
      case 4:
        paramNVTokens.eatToken();
        i = paramNVTokens.getToken();
        if (i == 8) {
          String str = _readNVLiteral(paramNVTokens);
          paramNVPair.setAtom(str);
          break;
        } 
        _readNVList(paramNVTokens, paramNVPair);
        break;
      case 2:
      case 3:
        paramNVPair.setAtom(paramNVPair.getName());
        break;
      default:
        arrayOfObject = new Object[] { "=", getContext(paramNVTokens) };
        throw new InvalidSyntaxException("SyntaxError-04602", arrayOfObject);
    } 
    i = paramNVTokens.getToken();
    if (i == 2) {
      paramNVTokens.eatToken();
    } else if (i != 3) {
      arrayOfObject = new Object[] { paramNVTokens.getLiteral(), getContext(paramNVTokens) };
      throw new InvalidSyntaxException("UnexpectedChar-04605", arrayOfObject);
    } 
    return paramNVPair;
  }
  
  private String _readNVLiteral(NVTokens paramNVTokens) throws InvalidSyntaxException, NLException {
    int i = paramNVTokens.getToken();
    if (i != 8) {
      Object[] arrayOfObject = { "LITERAL", getContext(paramNVTokens) };
      throw new InvalidSyntaxException("SyntaxError-04602", arrayOfObject);
    } 
    return paramNVTokens.popLiteral();
  }
  
  private void _readNVList(NVTokens paramNVTokens, NVPair paramNVPair) throws InvalidSyntaxException, NLException {
    int i = paramNVTokens.getToken();
    if (i != 1 && i != 3)
      return; 
    NVPair nVPair = _readNVPair(paramNVTokens);
    paramNVPair.addListElement(nVPair);
    if ((i == 3 || nVPair.getName() == nVPair.getAtom()) && paramNVPair.getListType() != NVPair.LIST_COMMASEP)
      paramNVPair.setListType(NVPair.LIST_COMMASEP); 
    _readNVList(paramNVTokens, paramNVPair);
  }
  
  private String getContext(NVTokens paramNVTokens) throws NLException {
    return " " + paramNVTokens.popLiteral() + " " + paramNVTokens.popLiteral() + " " + paramNVTokens.popLiteral();
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\nl\NVFactory.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */