package oracle.net.nl;

import java.util.Vector;

public final class NVTokens {
  public static final int TKN_NONE = 0;
  
  public static final int TKN_LPAREN = 1;
  
  public static final int TKN_RPAREN = 2;
  
  public static final int TKN_COMMA = 3;
  
  public static final int TKN_EQUAL = 4;
  
  public static final int TKN_LITERAL = 8;
  
  public static final int TKN_EOS = 9;
  
  private static final char TKN_LPAREN_VALUE = '(';
  
  private static final char TKN_RPAREN_VALUE = ')';
  
  private static final char TKN_COMMA_VALUE = ',';
  
  private static final char TKN_EQUAL_VALUE = '=';
  
  private static final char TKN_BKSLASH_VALUE = '\\';
  
  private static final char TKN_DQUOTE_VALUE = '"';
  
  private static final char TKN_SQUOTE_VALUE = '\'';
  
  private static final char TKN_EOS_VALUE = '%';
  
  private static final char TKN_SPC_VALUE = ' ';
  
  private static final char TKN_TAB_VALUE = '\t';
  
  private static final char TKN_LF_VALUE = '\n';
  
  private static final char TKN_CR_VALUE = '\r';
  
  private Vector _tkType = null;
  
  private Vector _tkValue = null;
  
  private int _numTokens = 0;
  
  private int _tkPos = 0;
  
  private static boolean _isWhiteSpace(char paramChar) {
    return (paramChar == ' ' || paramChar == '\t' || paramChar == '\n' || paramChar == '\r');
  }
  
  private static String _trimWhiteSpace(String paramString) {
    int i = paramString.length();
    byte b = 0;
    int j = i;
    while (b < i && _isWhiteSpace(paramString.charAt(b)))
      b++; 
    while (b < j && _isWhiteSpace(paramString.charAt(j - 1)))
      j--; 
    return paramString.substring(b, j);
  }
  
  public boolean parseTokens(String paramString) {
    this._numTokens = 0;
    this._tkPos = 0;
    this._tkType = new Vector(25, 25);
    this._tkValue = new Vector(25, 25);
    int i = paramString.length();
    char[] arrayOfChar = paramString.toCharArray();
    byte b = 0;
    while (b < i) {
      while (b < i && _isWhiteSpace(arrayOfChar[b]))
        b++; 
      switch (arrayOfChar[b]) {
        case '(':
          _addToken(1, '(');
          b++;
          continue;
        case '=':
          _addToken(4, '=');
          b++;
          continue;
        case ')':
          _addToken(2, ')');
          b++;
          continue;
        case ',':
          _addToken(3, ',');
          b++;
          continue;
      } 
      byte b1 = b;
      byte b2 = -1;
      boolean bool = false;
      char c = '"';
      if (arrayOfChar[b] == '\'' || arrayOfChar[b] == '"') {
        bool = true;
        c = arrayOfChar[b];
        b++;
      } 
      while (b < i) {
        if (arrayOfChar[b] == '\\') {
          b += 2;
          continue;
        } 
        if (bool) {
          if (arrayOfChar[b] == c) {
            b2 = ++b;
            break;
          } 
        } else if (arrayOfChar[b] == '(' || arrayOfChar[b] == ')' || arrayOfChar[b] == ',' || arrayOfChar[b] == '=') {
          b2 = b;
          break;
        } 
        b++;
      } 
      if (b2 == -1)
        b2 = b; 
      _addToken(8, _trimWhiteSpace(paramString.substring(b1, b2)));
    } 
    _addToken(9, '%');
    return true;
  }
  
  public int getToken() throws NLException {
    if (this._tkType == null)
      throw new UninitializedObjectException("ParseError-04604", ""); 
    if (this._tkPos < this._numTokens)
      return ((Integer)this._tkType.elementAt(this._tkPos)).intValue(); 
    throw new NLException("NoLiterals-04610", "");
  }
  
  public int popToken() throws UninitializedObjectException, NLException {
    int i = 0;
    if (this._tkType == null)
      throw new UninitializedObjectException("ParseError-04604", ""); 
    if (this._tkPos < this._numTokens) {
      i = ((Integer)this._tkType.elementAt(this._tkPos++)).intValue();
    } else {
      throw new NLException("NoLiterals-04610", "");
    } 
    return i;
  }
  
  public String getLiteral() throws NLException {
    String str = null;
    if (this._tkValue == null)
      throw new UninitializedObjectException("ParseError-04604", ""); 
    if (this._tkPos < this._numTokens) {
      str = this._tkValue.elementAt(this._tkPos);
    } else {
      throw new NLException("NoLiterals-04610", "");
    } 
    return str;
  }
  
  public String popLiteral() throws NLException {
    String str = null;
    if (this._tkValue == null)
      throw new UninitializedObjectException("ParseError-04604", ""); 
    if (this._tkPos < this._numTokens) {
      str = this._tkValue.elementAt(this._tkPos++);
    } else {
      throw new NLException("NoLiterals-04610", "");
    } 
    return str;
  }
  
  public void eatToken() {
    if (this._tkPos < this._numTokens)
      this._tkPos++; 
  }
  
  public String toString() {
    if (this._tkType == null)
      return "*NO TOKENS*"; 
    String str = "Tokens";
    for (byte b = 0; b < this._numTokens; b++)
      str = str + " : " + this._tkValue.elementAt(b); 
    return str;
  }
  
  public void println() {
    System.out.println(toString());
  }
  
  private void _addToken(int paramInt, char paramChar) {
    _addToken(paramInt, String.valueOf(paramChar));
  }
  
  private void _addToken(int paramInt, String paramString) {
    this._tkType.addElement(new Integer(paramInt));
    this._tkValue.addElement(paramString);
    this._numTokens++;
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\nl\NVTokens.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */