package oracle.net.ns;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Message11 implements Message {
  private static final boolean DEBUG = false;
  
  private String msg;
  
  private ResourceBundle rBundle;
  
  private static final String messageFile = "oracle.net.mesg.Message";
  
  public String getMessage(int paramInt, String paramString) {
    try {
      this.rBundle = ResourceBundle.getBundle("oracle.net.mesg.Message");
    } catch (Exception exception) {
      return "Message file 'oracle.net.mesg.Message' is missing.";
    } 
    try {
      this.msg = number2string(paramInt, paramString);
    } catch (MissingResourceException missingResourceException) {
      this.msg = "Undefined Error";
    } 
    return this.msg;
  }
  
  private String number2string(int paramInt, String paramString) throws MissingResourceException {
    null = null;
    String str = (paramString == null) ? "" : paramString;
    if (paramInt > 12000) {
      if (paramInt >= 12500 && paramInt <= 12530) {
        null = this.rBundle.getString("LISTENER_REFUSES_CONNECTION") + ":\n" + "ORA-" + paramInt + ", " + this.rBundle.getString(String.valueOf(paramInt)) + "\n" + this.rBundle.getString("CONNECT_DESCRIPTOR_USED") + ":\n" + str;
      } else {
        null = this.rBundle.getString("ORACLE_ERROR") + " ORA-" + paramInt;
      } 
      return null;
    } 
    switch (paramInt) {
      case 0:
        return this.rBundle.getString("GOT_MINUS_ONE") + str;
      case 1:
        return this.rBundle.getString("ASSERTION_FAILED") + str;
      case 20:
        return this.rBundle.getString("NT_CONNECTION_FAILED") + str;
      case 21:
        return this.rBundle.getString("INVALID_NT_ADAPTER") + str;
      case 100:
        return this.rBundle.getString("PROTOCOL_NOT_SPECIFIED") + str;
      case 101:
        return this.rBundle.getString("CSTRING_PARSING") + str;
      case 102:
        return this.rBundle.getString("INVALID_CONNECT_DATA") + str;
      case 103:
        return this.rBundle.getString("HOSTNAME_NOT_SPECIFIED") + str;
      case 104:
        return this.rBundle.getString("PORT_NOT_SPECIFIED") + str;
      case 105:
        return this.rBundle.getString("CONNECT_DATA_MISSING") + str;
      case 106:
        return this.rBundle.getString("SID_INFORMATION_MISSING") + str;
      case 107:
        return this.rBundle.getString("ADDRESS_NOT_DEFINED") + str;
      case 108:
        return this.rBundle.getString("JNDI_THREW_EXCEPTION") + str;
      case 109:
        return this.rBundle.getString("JNDI_NOT_INITIALIZED") + str;
      case 110:
        return this.rBundle.getString("JNDI_CLASSES_NOT_FOUND") + str;
      case 111:
        return this.rBundle.getString("USER_PROPERTIES_NOT_DEFINED") + str;
      case 112:
        return this.rBundle.getString("NAMING_FACTORY_NOT_DEFINED") + str;
      case 113:
        return this.rBundle.getString("NAMING_PROVIDER_NOT_DEFINED") + str;
      case 114:
        return this.rBundle.getString("PROFILE_NAME_NOT_DEFINED") + str;
      case 115:
        return this.rBundle.getString("HOST_PORT_SID_EXPECTED") + str;
      case 116:
        return this.rBundle.getString("PORT_NUMBER_ERROR") + str;
      case 117:
        return this.rBundle.getString("EZ_CONNECT_FORMAT_EXPECTED") + str;
      case 118:
        return this.rBundle.getString("EZ_CONNECT_UNKNOWN_HOST") + str;
      case 121:
        return this.rBundle.getString("INVALID_READ_PATH") + str;
      case 119:
        return this.rBundle.getString("TNS_ADMIN_EMPTY") + str;
      case 120:
        return this.rBundle.getString("CONNECT_STRING_EMPTY") + str;
      case 122:
        return this.rBundle.getString("NAMELOOKUP_FAILED") + str;
      case 123:
        return this.rBundle.getString("NAMELOOKUP_FILE_ERROR") + str;
      case 124:
        return this.rBundle.getString("INVALID_LDAP_URL") + str;
      case 200:
        return this.rBundle.getString("NOT_CONNECTED") + str;
      case 201:
        return this.rBundle.getString("CONNECTED_ALREADY") + str;
      case 202:
        return this.rBundle.getString("DATA_EOF") + str;
      case 203:
        return this.rBundle.getString("SDU_MISMATCH") + str;
      case 204:
        return this.rBundle.getString("BAD_PKT_TYPE") + str;
      case 205:
        return this.rBundle.getString("UNEXPECTED_PKT") + str;
      case 206:
        return this.rBundle.getString("REFUSED_CONNECT") + str;
      case 207:
        return this.rBundle.getString("INVALID_PKT_LENGTH") + str;
      case 208:
        return this.rBundle.getString("CONNECTION_STRING_NULL") + str;
      case 300:
        return this.rBundle.getString("FAILED_TO_TURN_ENCRYPTION_ON") + str;
      case 301:
        return this.rBundle.getString("WRONG_BYTES_IN_NAPACKET") + str;
      case 302:
        return this.rBundle.getString("WRONG_MAGIC_NUMBER") + str;
      case 303:
        return this.rBundle.getString("UNKNOWN_ALGORITHM_12649") + str;
      case 304:
        return this.rBundle.getString("INVALID_ENCRYPTION_PARAMETER") + str;
      case 305:
        return this.rBundle.getString("WRONG_SERVICE_SUBPACKETS") + str;
      case 306:
        return this.rBundle.getString("SUPERVISOR_STATUS_FAILURE") + str;
      case 307:
        return this.rBundle.getString("AUTHENTICATION_STATUS_FAILURE") + str;
      case 308:
        return this.rBundle.getString("SERVICE_CLASSES_NOT_INSTALLED") + str;
      case 309:
        return this.rBundle.getString("INVALID_DRIVER") + str;
      case 310:
        return this.rBundle.getString("ARRAY_HEADER_ERROR") + str;
      case 311:
        return this.rBundle.getString("RECEIVED_UNEXPECTED_LENGTH_FOR_TYPE") + str;
      case 312:
        return this.rBundle.getString("INVALID_NA_PACKET_TYPE_LENGTH") + str;
      case 313:
        return this.rBundle.getString("INVALID_NA_PACKET_TYPE") + str;
      case 314:
        return this.rBundle.getString("UNEXPECTED_NA_PACKET_TYPE_RECEIVED") + str;
      case 315:
        return this.rBundle.getString("UNKNOWN_ENC_OR_DATAINT_ALGORITHM") + str;
      case 316:
        return this.rBundle.getString("INVALID_ENCRYPTION_ALGORITHM_FROM_SERVER") + str;
      case 317:
        return this.rBundle.getString("ENCRYPTION_CLASS_NOT_INSTALLED") + str;
      case 318:
        return this.rBundle.getString("DATAINTEGRITY_CLASS_NOT_INSTALLED") + str;
      case 319:
        return this.rBundle.getString("INVALID_DATAINTEGRITY_ALGORITHM_FROM_SERVER") + str;
      case 320:
        return this.rBundle.getString("INVALID_SERVICES_FROM_SERVER") + str;
      case 321:
        return this.rBundle.getString("INCOMPLETE_SERVICES_FROM_SERVER") + str;
      case 322:
        return this.rBundle.getString("INVALID_LEVEL") + str;
      case 323:
        return this.rBundle.getString("INVALID_SERVICE") + str;
      case 400:
        return this.rBundle.getString("INVALID_SSL_VERSION") + str;
      case 401:
        return this.rBundle.getString("UNSUPPORTED_SSL_PROTOCOL") + str;
      case 403:
        return this.rBundle.getString("INVALID_SSL_CIPHER_SUITES") + str;
      case 404:
        return this.rBundle.getString("UNSUPPORTED_CIPHER_SUITE") + str;
      case 405:
        return this.rBundle.getString("MISMATCH_SERVER_CERT_DN") + str;
      case 406:
        return this.rBundle.getString("DOUBLE_ENCRYPTION_NOT_ALLOWED") + str;
      case 407:
        return this.rBundle.getString("UNABLE_TO_PARSE_WALLET_LOCATION") + str;
      case 408:
        return this.rBundle.getString("UNABLE_TO_INIT_KEY_STORE") + str;
      case 409:
        return this.rBundle.getString("UNABLE_TO_INIT_TRUST_STORE") + str;
      case 410:
        return this.rBundle.getString("UNABLE_TO_INIT_SSL_CONTEXT") + str;
      case 411:
        return this.rBundle.getString("SSL_UNVERIFIED_PEER") + str;
      case 412:
        return this.rBundle.getString("UNSUPPORTED_METHOD_IN_WALLET_LOCATION") + str;
      case 500:
        return this.rBundle.getString("NS_BREAK") + str;
      case 501:
        return this.rBundle.getString("NL_EXCEPTION") + str;
      case 502:
        return this.rBundle.getString("SO_EXCEPTION") + str;
      case 503:
        return this.rBundle.getString("SO_CONNECTTIMEDOUT") + str;
      case 504:
        return this.rBundle.getString("SO_READTIMEDOUT") + str;
      case 505:
        return this.rBundle.getString("INVALID_CONNECTTIMEOUT") + str;
      case 506:
        return this.rBundle.getString("INVALID_READTIMEOUT") + str;
    } 
    return this.rBundle.getString("UNDEFINED_ERROR") + str;
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\ns\Message11.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */