package oracle.net.ns;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;
import oracle.net.nt.NTAdapter;
import oracle.net.resolver.AddrResolution;

public class NSProtocol implements Communication, SQLnetDef {
  private static final boolean ACTIVATE_ANO = true;
  
  private AddrResolution addrRes;
  
  private SessionAtts sAtts = new SessionAtts(32767, 32767);
  
  private MarkerPacket mkPkt;
  
  private Packet packet;
  
  public NSProtocol() {
    this.sAtts.connected = false;
  }
  
  public void connect(String paramString, Properties paramProperties) throws IOException, NetException {
    // Byte code:
    //   0: aload_0
    //   1: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   4: getfield connected : Z
    //   7: ifeq -> 21
    //   10: new oracle/net/ns/NetException
    //   13: dup
    //   14: sipush #201
    //   17: invokespecial <init> : (I)V
    //   20: athrow
    //   21: aload_1
    //   22: ifnonnull -> 36
    //   25: new oracle/net/ns/NetException
    //   28: dup
    //   29: sipush #208
    //   32: invokespecial <init> : (I)V
    //   35: athrow
    //   36: new oracle/net/nl/NVFactory
    //   39: dup
    //   40: invokespecial <init> : ()V
    //   43: astore #7
    //   45: new oracle/net/nl/NVNavigator
    //   48: dup
    //   49: invokespecial <init> : ()V
    //   52: astore #8
    //   54: aconst_null
    //   55: astore #9
    //   57: aconst_null
    //   58: astore #10
    //   60: aload_0
    //   61: new oracle/net/resolver/AddrResolution
    //   64: dup
    //   65: aload_1
    //   66: aload_2
    //   67: invokespecial <init> : (Ljava/lang/String;Ljava/util/Properties;)V
    //   70: putfield addrRes : Loracle/net/resolver/AddrResolution;
    //   73: aload_0
    //   74: getfield addrRes : Loracle/net/resolver/AddrResolution;
    //   77: getfield connection_revised : Z
    //   80: ifeq -> 99
    //   83: aload_0
    //   84: getfield addrRes : Loracle/net/resolver/AddrResolution;
    //   87: invokevirtual getTNSAddress : ()Ljava/lang/String;
    //   90: astore_1
    //   91: aload_0
    //   92: getfield addrRes : Loracle/net/resolver/AddrResolution;
    //   95: invokevirtual getUp : ()Ljava/util/Properties;
    //   98: astore_2
    //   99: aload_0
    //   100: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   103: new oracle/net/ns/ClientProfile
    //   106: dup
    //   107: aload_2
    //   108: invokespecial <init> : (Ljava/util/Properties;)V
    //   111: putfield profile : Loracle/net/ns/ClientProfile;
    //   114: aload_0
    //   115: aload_1
    //   116: invokespecial establishConnection : (Ljava/lang/String;)Loracle/net/ns/SessionAtts;
    //   119: pop
    //   120: aconst_null
    //   121: astore #11
    //   123: ldc 'oracle.net.ano.Ano'
    //   125: invokestatic forName : (Ljava/lang/String;)Ljava/lang/Class;
    //   128: invokevirtual newInstance : ()Ljava/lang/Object;
    //   131: astore #11
    //   133: aload_0
    //   134: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   137: iconst_1
    //   138: putfield anoEnabled : Z
    //   141: goto -> 154
    //   144: astore #12
    //   146: aload_0
    //   147: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   150: iconst_0
    //   151: putfield anoEnabled : Z
    //   154: aload #11
    //   156: ifnull -> 191
    //   159: aload #11
    //   161: checkcast oracle/net/ano/Ano
    //   164: aload_0
    //   165: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   168: invokevirtual init : (Loracle/net/ns/SessionAtts;)V
    //   171: aload_0
    //   172: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   175: aload #11
    //   177: checkcast oracle/net/ano/Ano
    //   180: putfield ano : Loracle/net/ano/Ano;
    //   183: aload_0
    //   184: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   187: iconst_1
    //   188: putfield anoEnabled : Z
    //   191: aconst_null
    //   192: astore #12
    //   194: new oracle/net/ns/ConnectPacket
    //   197: dup
    //   198: aload_0
    //   199: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   202: invokespecial <init> : (Loracle/net/ns/SessionAtts;)V
    //   205: astore_3
    //   206: aload_0
    //   207: new oracle/net/ns/Packet
    //   210: dup
    //   211: aload_0
    //   212: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   215: aload_0
    //   216: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   219: invokevirtual getSDU : ()I
    //   222: invokespecial <init> : (Loracle/net/ns/SessionAtts;I)V
    //   225: putfield packet : Loracle/net/ns/Packet;
    //   228: aload_3
    //   229: invokevirtual send : ()V
    //   232: aload_0
    //   233: getfield packet : Loracle/net/ns/Packet;
    //   236: invokevirtual receive : ()V
    //   239: goto -> 261
    //   242: astore #13
    //   244: aload #13
    //   246: athrow
    //   247: astore #13
    //   249: aload_0
    //   250: getfield packet : Loracle/net/ns/Packet;
    //   253: iconst_4
    //   254: putfield type : I
    //   257: aload #13
    //   259: astore #12
    //   261: aload_0
    //   262: getfield packet : Loracle/net/ns/Packet;
    //   265: getfield type : I
    //   268: tableswitch default -> 585, 2 -> 324, 3 -> 585, 4 -> 413, 5 -> 340, 6 -> 585, 7 -> 585, 8 -> 585, 9 -> 585, 10 -> 585, 11 -> 582
    //   324: new oracle/net/ns/AcceptPacket
    //   327: dup
    //   328: aload_0
    //   329: getfield packet : Loracle/net/ns/Packet;
    //   332: invokespecial <init> : (Loracle/net/ns/Packet;)V
    //   335: astore #4
    //   337: goto -> 611
    //   340: new oracle/net/ns/RedirectPacket
    //   343: dup
    //   344: aload_0
    //   345: getfield packet : Loracle/net/ns/Packet;
    //   348: invokespecial <init> : (Loracle/net/ns/Packet;)V
    //   351: astore #6
    //   353: aload_0
    //   354: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   357: getfield cOption : Loracle/net/nt/ConnOption;
    //   360: astore #13
    //   362: aload_0
    //   363: getfield addrRes : Loracle/net/resolver/AddrResolution;
    //   366: iconst_1
    //   367: putfield connection_redirected : Z
    //   370: aload_0
    //   371: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   374: getfield cOption : Loracle/net/nt/ConnOption;
    //   377: getfield nt : Loracle/net/nt/NTAdapter;
    //   380: invokeinterface disconnect : ()V
    //   385: aload_0
    //   386: aload_0
    //   387: aload #6
    //   389: invokevirtual getData : ()Ljava/lang/String;
    //   392: invokespecial establishConnection : (Ljava/lang/String;)Loracle/net/ns/SessionAtts;
    //   395: putfield sAtts : Loracle/net/ns/SessionAtts;
    //   398: aload_0
    //   399: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   402: getfield cOption : Loracle/net/nt/ConnOption;
    //   405: aload #13
    //   407: invokevirtual restoreFromOrigCoption : (Loracle/net/nt/ConnOption;)V
    //   410: goto -> 191
    //   413: new oracle/net/ns/RefusePacket
    //   416: dup
    //   417: aload_0
    //   418: getfield packet : Loracle/net/ns/Packet;
    //   421: invokespecial <init> : (Loracle/net/ns/Packet;)V
    //   424: astore #5
    //   426: aload_0
    //   427: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   430: getfield cOption : Loracle/net/nt/ConnOption;
    //   433: getfield nt : Loracle/net/nt/NTAdapter;
    //   436: invokeinterface disconnect : ()V
    //   441: aload_0
    //   442: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   445: aconst_null
    //   446: putfield cOption : Loracle/net/nt/ConnOption;
    //   449: aload_0
    //   450: aconst_null
    //   451: invokespecial establishConnection : (Ljava/lang/String;)Loracle/net/ns/SessionAtts;
    //   454: pop
    //   455: aload_0
    //   456: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   459: getfield cOption : Loracle/net/nt/ConnOption;
    //   462: ifnull -> 468
    //   465: goto -> 191
    //   468: aload #12
    //   470: ifnull -> 476
    //   473: aload #12
    //   475: athrow
    //   476: aload #8
    //   478: aload #7
    //   480: aload #5
    //   482: invokevirtual getData : ()Ljava/lang/String;
    //   485: invokevirtual createNVPair : (Ljava/lang/String;)Loracle/net/nl/NVPair;
    //   488: ldc 'ERROR'
    //   490: invokevirtual findNVPairRecurse : (Loracle/net/nl/NVPair;Ljava/lang/String;)Loracle/net/nl/NVPair;
    //   493: astore #9
    //   495: aload #9
    //   497: ifnull -> 523
    //   500: aload #8
    //   502: aload #9
    //   504: ldc 'CODE'
    //   506: invokevirtual findNVPairRecurse : (Loracle/net/nl/NVPair;Ljava/lang/String;)Loracle/net/nl/NVPair;
    //   509: astore #14
    //   511: aload #14
    //   513: ifnull -> 523
    //   516: aload #14
    //   518: invokevirtual valueToString : ()Ljava/lang/String;
    //   521: astore #10
    //   523: goto -> 539
    //   526: astore #14
    //   528: getstatic java/lang/System.err : Ljava/io/PrintStream;
    //   531: aload #14
    //   533: invokevirtual getMessage : ()Ljava/lang/String;
    //   536: invokevirtual println : (Ljava/lang/String;)V
    //   539: new oracle/net/ns/NetException
    //   542: dup
    //   543: aload #10
    //   545: ifnonnull -> 554
    //   548: sipush #206
    //   551: goto -> 559
    //   554: aload #10
    //   556: invokestatic parseInt : (Ljava/lang/String;)I
    //   559: new java/lang/StringBuffer
    //   562: dup
    //   563: invokespecial <init> : ()V
    //   566: aload_1
    //   567: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuffer;
    //   570: ldc '\\n'
    //   572: invokevirtual append : (Ljava/lang/String;)Ljava/lang/StringBuffer;
    //   575: invokevirtual toString : ()Ljava/lang/String;
    //   578: invokespecial <init> : (ILjava/lang/String;)V
    //   581: athrow
    //   582: goto -> 191
    //   585: aload_0
    //   586: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   589: getfield cOption : Loracle/net/nt/ConnOption;
    //   592: getfield nt : Loracle/net/nt/NTAdapter;
    //   595: invokeinterface disconnect : ()V
    //   600: new oracle/net/ns/NetException
    //   603: dup
    //   604: sipush #205
    //   607: invokespecial <init> : (I)V
    //   610: athrow
    //   611: aload_0
    //   612: invokespecial setNetStreams : ()V
    //   615: aload_0
    //   616: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   619: iconst_1
    //   620: putfield connected : Z
    //   623: aload_2
    //   624: ldc 'oracle.net.CONNECT_TIMEOUT'
    //   626: invokevirtual get : (Ljava/lang/Object;)Ljava/lang/Object;
    //   629: ifnull -> 671
    //   632: aload_2
    //   633: ldc 'oracle.net.READ_TIMEOUT'
    //   635: invokevirtual get : (Ljava/lang/Object;)Ljava/lang/Object;
    //   638: checkcast java/lang/String
    //   641: astore #12
    //   643: aload_0
    //   644: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   647: getfield cOption : Loracle/net/nt/ConnOption;
    //   650: getfield nt : Loracle/net/nt/NTAdapter;
    //   653: iconst_1
    //   654: aload #12
    //   656: ifnonnull -> 664
    //   659: ldc '0'
    //   661: goto -> 666
    //   664: aload #12
    //   666: invokeinterface setOption : (ILjava/lang/Object;)V
    //   671: aload_0
    //   672: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   675: getfield nt : Loracle/net/nt/NTAdapter;
    //   678: bipush #6
    //   680: invokeinterface getOption : (I)Ljava/lang/Object;
    //   685: checkcast java/lang/String
    //   688: astore #12
    //   690: aload #12
    //   692: ifnull -> 716
    //   695: aload #12
    //   697: ldc 'false'
    //   699: invokevirtual equalsIgnoreCase : (Ljava/lang/String;)Z
    //   702: ifeq -> 716
    //   705: new oracle/net/ns/NetException
    //   708: dup
    //   709: sipush #405
    //   712: invokespecial <init> : (I)V
    //   715: athrow
    //   716: aload_0
    //   717: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   720: getfield ano : Loracle/net/ano/Ano;
    //   723: ifnull -> 819
    //   726: aload_0
    //   727: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   730: getfield ano : Loracle/net/ano/Ano;
    //   733: invokevirtual negotiation : ()V
    //   736: aload_0
    //   737: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   740: getfield nt : Loracle/net/nt/NTAdapter;
    //   743: iconst_2
    //   744: invokeinterface getOption : (I)Ljava/lang/Object;
    //   749: checkcast java/lang/String
    //   752: astore #13
    //   754: aload #13
    //   756: ifnull -> 819
    //   759: aload #13
    //   761: ldc 'TRUE'
    //   763: invokevirtual equals : (Ljava/lang/Object;)Z
    //   766: ifeq -> 819
    //   769: aload_0
    //   770: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   773: getfield ano : Loracle/net/ano/Ano;
    //   776: invokevirtual getClass : ()Ljava/lang/Class;
    //   779: ldc 'getEncryptionAlg'
    //   781: aconst_null
    //   782: invokevirtual getMethod : (Ljava/lang/String;[Ljava/lang/Class;)Ljava/lang/reflect/Method;
    //   785: astore #14
    //   787: aload #14
    //   789: aload_0
    //   790: getfield sAtts : Loracle/net/ns/SessionAtts;
    //   793: getfield ano : Loracle/net/ano/Ano;
    //   796: aconst_null
    //   797: invokevirtual invoke : (Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;
    //   800: ifnull -> 814
    //   803: new oracle/net/ns/NetException
    //   806: dup
    //   807: sipush #406
    //   810: invokespecial <init> : (I)V
    //   813: athrow
    //   814: goto -> 819
    //   817: astore #14
    //   819: aload_0
    //   820: aconst_null
    //   821: putfield packet : Loracle/net/ns/Packet;
    //   824: aconst_null
    //   825: astore_3
    //   826: aconst_null
    //   827: astore #4
    //   829: aconst_null
    //   830: astore #6
    //   832: aconst_null
    //   833: astore #5
    //   835: return
    // Exception table:
    //   from	to	target	type
    //   123	141	144	java/lang/Exception
    //   228	239	242	java/io/InterruptedIOException
    //   228	239	247	java/io/IOException
    //   476	523	526	oracle/net/nl/NLException
    //   769	814	817	java/lang/Exception
  }
  
  public void disconnect() throws IOException, NetException {
    if (!this.sAtts.connected)
      throw new NetException(200); 
    IOException iOException = null;
    try {
      this.sAtts.nsOutputStream.close();
    } catch (IOException iOException1) {
      iOException = iOException1;
    } 
    this.sAtts.connected = false;
    this.sAtts.cOption.nt.disconnect();
    if (iOException != null)
      throw iOException; 
  }
  
  public void sendBreak() throws IOException, NetException {
    sendMarker(1);
  }
  
  public void sendInterrupt() throws IOException, NetException {
    sendMarker(3);
  }
  
  public void sendReset() throws IOException, NetException {
    if (!this.sAtts.connected)
      throw new NetException(200); 
    sendMarker(2);
    while (this.sAtts.onBreakReset) {
      this.packet = new Packet(this.sAtts, this.sAtts.getSDU());
      this.packet.receive();
      if (this.packet.type == 12) {
        this.mkPkt = new MarkerPacket(this.packet);
        if (this.mkPkt.data == 2)
          this.sAtts.onBreakReset = false; 
      } 
    } 
    this.mkPkt = null;
  }
  
  public InputStream getInputStream() throws NetException {
    if (!this.sAtts.connected)
      throw new NetException(200); 
    return this.sAtts.nsInputStream;
  }
  
  public OutputStream getOutputStream() throws NetException {
    if (!this.sAtts.connected)
      throw new NetException(200); 
    return this.sAtts.nsOutputStream;
  }
  
  private SessionAtts establishConnection(String paramString) throws NetException, IOException {
    this.sAtts.cOption = this.addrRes.resolveAndExecute(paramString);
    if (this.sAtts.cOption == null)
      return null; 
    this.sAtts.nt = this.sAtts.cOption.nt;
    this.sAtts.ntInputStream = this.sAtts.cOption.nt.getInputStream();
    this.sAtts.ntOutputStream = this.sAtts.cOption.nt.getOutputStream();
    this.sAtts.setTDU(this.sAtts.cOption.tdu);
    this.sAtts.setSDU(this.sAtts.cOption.sdu);
    this.sAtts.nsOutputStream = new NetOutputStream(this.sAtts, 255);
    this.sAtts.nsInputStream = new NetInputStream(this.sAtts);
    return this.sAtts;
  }
  
  private void setNetStreams() throws NetException, IOException {
    this.sAtts.nsOutputStream = new NetOutputStream(this.sAtts);
    this.sAtts.nsInputStream = new NetInputStream(this.sAtts);
  }
  
  private void sendMarker(int paramInt) throws IOException, NetException {
    if (!this.sAtts.connected)
      throw new NetException(200); 
    this.mkPkt = new MarkerPacket(this.sAtts, paramInt);
    this.mkPkt.send();
    this.mkPkt = null;
  }
  
  public void setO3logSessionKey(byte[] paramArrayOfbyte) throws NetException, NetException {
    if (paramArrayOfbyte != null)
      this.sAtts.ano.setO3logSessionKey(paramArrayOfbyte); 
  }
  
  public void setOption(int paramInt, Object paramObject) throws NetException, IOException {
    if (paramInt > 0 && paramInt < 10) {
      NTAdapter nTAdapter = this.sAtts.getNTAdapter();
      nTAdapter.setOption(paramInt, paramObject);
    } 
  }
  
  public Object getOption(int paramInt) throws NetException, IOException {
    if (paramInt > 0 && paramInt < 10) {
      NTAdapter nTAdapter = this.sAtts.getNTAdapter();
      return nTAdapter.getOption(paramInt);
    } 
    return null;
  }
  
  public void abort() throws NetException, IOException {
    NTAdapter nTAdapter = this.sAtts.getNTAdapter();
    if (nTAdapter != null)
      nTAdapter.abort(); 
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\ns\NSProtocol.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */