package oracle.net.nt;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.net.Socket;
import java.net.SocketException;
import java.util.Enumeration;
import java.util.Properties;
import oracle.net.nl.NLException;
import oracle.net.nl.NVFactory;
import oracle.net.nl.NVNavigator;
import oracle.net.nl.NVPair;
import oracle.net.ns.NetException;

public class TcpNTAdapter implements NTAdapter {
  static final boolean DEBUG = false;
  
  int port;
  
  String host;
  
  protected Socket socket;
  
  protected int sockTimeout;
  
  protected Properties socketOptions;
  
  public TcpNTAdapter(String paramString, Properties paramProperties) throws NLException {
    this.socketOptions = paramProperties;
    NVNavigator nVNavigator = new NVNavigator();
    NVPair nVPair1 = (new NVFactory()).createNVPair(paramString);
    NVPair nVPair2 = nVNavigator.findNVPair(nVPair1, "HOST");
    NVPair nVPair3 = nVNavigator.findNVPair(nVPair1, "PORT");
    if (nVPair2 == null)
      throw new NLException("NoNVPair-04614", "HOST"); 
    if (nVPair3 == null)
      throw new NLException("NoNVPair-04614", "PORT"); 
    this.host = nVPair2.getAtom();
    try {
      this.port = Integer.parseInt(nVPair3.getAtom());
    } catch (Exception exception) {
      throw new NLException((new NetException(116)).getMessage());
    } 
    if (this.port < 0 || this.port > 65535)
      throw new NLException((new NetException(116)).getMessage()); 
  }
  
  public void connect() throws IOException {
    String str = (String)this.socketOptions.get(new Integer(2));
    if (str != null)
      try {
        Class[] arrayOfClass = { Class.forName("java.net.SocketAddress"), int.class };
        Method method = Socket.class.getMethod("connect", arrayOfClass);
        if (method != null) {
          Class[] arrayOfClass1 = { String.class, int.class };
          Object[] arrayOfObject1 = { this.host, new Integer(this.port) };
          Object[] arrayOfObject2 = { Class.forName("java.net.InetSocketAddress").getConstructor(arrayOfClass1).newInstance(arrayOfObject1), new Integer(str) };
          this.socket = (Socket)Class.forName("java.net.Socket").newInstance();
          method.invoke(this.socket, arrayOfObject2);
          setSocketTimeout(Integer.parseInt(str));
        } 
      } catch (InvocationTargetException invocationTargetException) {
        if (invocationTargetException.getTargetException() instanceof java.io.InterruptedIOException)
          throw new NetException(503); 
      } catch (NumberFormatException numberFormatException) {
        throw new NetException(505);
      } catch (Exception exception) {} 
    if (this.socket == null)
      this.socket = new Socket(this.host, this.port); 
    setSocketOptions();
  }
  
  public void setSocketOptions() throws IOException {
    int i = 0;
    String str = null;
    Class clazz = Socket.class;
    Class[] arrayOfClass = { boolean.class };
    Object[] arrayOfObject = { Boolean.TRUE };
    Enumeration enumeration = this.socketOptions.keys();
    while (enumeration.hasMoreElements()) {
      i = ((Integer)enumeration.nextElement()).intValue();
      switch (i) {
        case 0:
          str = (String)this.socketOptions.get(new Integer(0));
          try {
            if (str.equals("YES")) {
              this.socket.setTcpNoDelay(true);
              continue;
            } 
            this.socket.setTcpNoDelay(false);
          } catch (SocketException socketException) {
            throw new IOException(socketException.getMessage());
          } 
        case 1:
          str = (String)this.socketOptions.get(new Integer(1));
          if (str.equals("YES"))
            try {
              Method method = clazz.getMethod("setKeepAlive", arrayOfClass);
              if (method != null)
                method.invoke(this.socket, arrayOfObject); 
            } catch (NoSuchMethodException noSuchMethodException) {
            
            } catch (IllegalAccessException illegalAccessException) {
              throw new IOException(illegalAccessException.getMessage());
            } catch (InvocationTargetException invocationTargetException) {
              throw new IOException(invocationTargetException.getMessage());
            }  
        case 3:
          if (this.socketOptions.get(new Integer(2)) != null)
            continue; 
          str = (String)this.socketOptions.get(new Integer(3));
          try {
            this.sockTimeout = Integer.parseInt(str);
          } catch (NumberFormatException numberFormatException) {
            throw new NetException(506);
          } 
          setSocketTimeout(this.sockTimeout);
      } 
    } 
  }
  
  public void disconnect() throws IOException {
    try {
      this.socket.close();
    } finally {
      this.socket = null;
    } 
  }
  
  public InputStream getInputStream() throws IOException {
    return this.socket.getInputStream();
  }
  
  public OutputStream getOutputStream() throws IOException {
    return this.socket.getOutputStream();
  }
  
  public void setOption(int paramInt, Object paramObject) throws IOException, NetException {
    switch (paramInt) {
      case 1:
        this.sockTimeout = Integer.parseInt((String)paramObject);
        setSocketTimeout(this.sockTimeout);
        return;
    } 
  }
  
  public Object getOption(int paramInt) throws IOException, NetException {
    switch (paramInt) {
      case 1:
        return "" + this.sockTimeout;
    } 
    return null;
  }
  
  private void setSocketTimeout(int paramInt) throws IOException {
    if (this.socket != null)
      try {
        Class clazz = Socket.class;
        Class[] arrayOfClass = { int.class };
        Method method = clazz.getMethod("setSoTimeout", arrayOfClass);
        if (method != null) {
          Object[] arrayOfObject = { new Integer(paramInt) };
          method.invoke(this.socket, arrayOfObject);
          return;
        } 
      } catch (NoSuchMethodException noSuchMethodException) {
      
      } catch (InvocationTargetException invocationTargetException) {
        throw new IOException(invocationTargetException.getMessage());
      } catch (IllegalAccessException illegalAccessException) {
        throw new IOException(illegalAccessException.getMessage());
      }  
  }
  
  public void abort() throws NetException, IOException {
    try {
      this.socket.setSoLinger(true, 0);
    } catch (Exception exception) {}
    this.socket.close();
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\nt\TcpNTAdapter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */