package oracle.net.resolver;

import java.util.Vector;
import oracle.net.TNSAddress.AddressList;
import oracle.net.TNSAddress.SchemaObjectFactoryInterface;
import oracle.net.nt.ConnOption;
import oracle.net.nt.ConnStrategy;

public class NavAddressList extends AddressList implements NavSchemaObject {
  private Vector activeChildren = new Vector(1, 10);
  
  private int sBuflength;
  
  public NavAddressList(SchemaObjectFactoryInterface paramSchemaObjectFactoryInterface) {
    super(paramSchemaObjectFactoryInterface);
  }
  
  public void navigate(ConnStrategy paramConnStrategy, StringBuffer paramStringBuffer) {
    navigate2(paramConnStrategy, paramStringBuffer, 0);
  }
  
  private void navigate2(ConnStrategy paramConnStrategy, StringBuffer paramStringBuffer, int paramInt) {
    boolean bool = false;
    paramInt++;
    this.sBuflength = paramStringBuffer.length();
    paramStringBuffer.append("(ADDRESS_LIST=");
    if (this.sourceRoute) {
      this.activeChildren = this.children;
      ((NavSchemaObject)this.activeChildren.elementAt(0)).navigate(paramConnStrategy, paramStringBuffer);
      for (byte b = 1; b < this.activeChildren.size(); b++)
        ((NavSchemaObject)this.activeChildren.elementAt(b)).addToString(paramConnStrategy); 
    } else {
      this.activeChildren = NavDescriptionList.setActiveChildren(this.children, this.failover, this.loadBalance);
      for (byte b = 0; b < this.activeChildren.size(); b++) {
        if (getChildrenType(b) == 1) {
          bool = true;
          ((NavAddressList)this.activeChildren.elementAt(b)).navigate2(paramConnStrategy, paramStringBuffer, paramInt);
        } else {
          ((NavSchemaObject)this.activeChildren.elementAt(b)).navigate(paramConnStrategy, paramStringBuffer);
        } 
      } 
    } 
    if ((--paramInt != 0 || !bool) && !this.sourceRoute) {
      closeNVPair(paramConnStrategy, false);
    } else {
      closeNVPair(paramConnStrategy, true);
    } 
    paramStringBuffer.setLength(this.sBuflength);
  }
  
  public void addToString(ConnStrategy paramConnStrategy) {
    String str = toString();
    for (int i = paramConnStrategy.cOpts.size() - 1; i >= 0 && !((ConnOption)paramConnStrategy.cOpts.elementAt(i)).done; i--)
      ((ConnOption)paramConnStrategy.cOpts.elementAt(i)).conn_data.append(str); 
  }
  
  public String toString() {
    null = new String("");
    null = null + "(ADDRESS_LIST=";
    for (byte b = 0; b < this.children.size(); b++)
      null = null + ((NavSchemaObject)this.children.elementAt(b)).toString(); 
    if (this.sourceRoute)
      null = null + "(SOURCE_ROUTE=yes)(HOP_COUNT=0)"; 
    if (this.loadBalance)
      null = null + "(LOAD_BALANCE=yes)"; 
    if (!this.failover)
      null = null + "(FAILOVER=false)"; 
    return null + ")";
  }
  
  public int getChildrenSize() {
    return this.children.size();
  }
  
  public int getChildrenType(int paramInt) {
    return ((NavSchemaObject)this.children.elementAt(paramInt)).isA();
  }
  
  public NavAddress getChild(int paramInt) {
    return this.children.elementAt(paramInt);
  }
  
  private void closeNVPair(ConnStrategy paramConnStrategy, boolean paramBoolean) {
    for (int i = paramConnStrategy.cOpts.size() - 1; i >= 0 && !((ConnOption)paramConnStrategy.cOpts.elementAt(i)).done && (paramBoolean || paramConnStrategy.cOpts.size() - 1 - i < getChildrenSize()); i--) {
      if (this.sourceRoute) {
        ((ConnOption)paramConnStrategy.cOpts.elementAt(i)).conn_data.append("(SOURCE_ROUTE=yes)");
        ((ConnOption)paramConnStrategy.cOpts.elementAt(i)).conn_data.append("(HOP_COUNT=0)");
      } 
      ((ConnOption)paramConnStrategy.cOpts.elementAt(i)).conn_data.append(")");
    } 
  }
}


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\net\resolver\NavAddressList.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */