/*      */ package oracle.sql;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.ObjectInputStream;
/*      */ import java.io.ObjectOutputStream;
/*      */ import java.io.Serializable;
/*      */ import java.math.BigDecimal;
/*      */ import java.sql.Connection;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Timestamp;
/*      */ import java.util.Map;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.OraclePreparedStatement;
/*      */ import oracle.jdbc.OracleResultSet;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.oracore.OracleNamedType;
/*      */ import oracle.jdbc.oracore.OracleType;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.jdbc.oracore.OracleTypeCOLLECTION;
/*      */ import oracle.jdbc.oracore.OracleTypeREF;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class ArrayDescriptor
/*      */   extends TypeDescriptor
/*      */   implements Serializable
/*      */ {
/*      */   public static final int TYPE_VARRAY = 3;
/*      */   public static final int TYPE_NESTED_TABLE = 2;
/*      */   public static final int CACHE_NONE = 0;
/*      */   public static final int CACHE_ALL = 1;
/*      */   public static final int CACHE_LAST = 2;
/*      */   static final long serialVersionUID = 3838105394346513809L;
/*      */   
/*      */   public static ArrayDescriptor createDescriptor(String paramString, Connection paramConnection) throws SQLException {
/*  115 */     return createDescriptor(paramString, paramConnection, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static ArrayDescriptor createDescriptor(String paramString, Connection paramConnection, boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/*  139 */     if (paramString == null || paramString.length() == 0 || paramConnection == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  144 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  149 */     SQLName sQLName = new SQLName(paramString, (OracleConnection)paramConnection);
/*  150 */     return createDescriptor(sQLName, paramConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static ArrayDescriptor createDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/*  165 */     return createDescriptor(paramSQLName, paramConnection, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static ArrayDescriptor createDescriptor(SQLName paramSQLName, Connection paramConnection, boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/*  186 */     String str = paramSQLName.getName();
/*      */ 
/*      */     
/*  189 */     ArrayDescriptor arrayDescriptor = null;
/*  190 */     if (!paramBoolean2) {
/*  191 */       arrayDescriptor = (ArrayDescriptor)((OracleConnection)paramConnection).getDescriptor(str);
/*      */     }
/*      */     
/*  194 */     if (arrayDescriptor == null) {
/*      */       
/*  196 */       arrayDescriptor = new ArrayDescriptor(paramSQLName, paramConnection);
/*  197 */       if (paramBoolean1) arrayDescriptor.initNamesRecursively(); 
/*  198 */       ((OracleConnection)paramConnection).putDescriptor(str, arrayDescriptor);
/*      */     } 
/*      */ 
/*      */     
/*  202 */     return arrayDescriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static ArrayDescriptor createDescriptor(OracleTypeCOLLECTION paramOracleTypeCOLLECTION) throws SQLException {
/*  218 */     String str = paramOracleTypeCOLLECTION.getFullName();
/*  219 */     OracleConnection oracleConnection = paramOracleTypeCOLLECTION.getConnection();
/*  220 */     ArrayDescriptor arrayDescriptor = (ArrayDescriptor)oracleConnection.getDescriptor(str);
/*      */ 
/*      */ 
/*      */     
/*  224 */     if (arrayDescriptor == null) {
/*      */       
/*  226 */       SQLName sQLName = new SQLName(paramOracleTypeCOLLECTION.getSchemaName(), paramOracleTypeCOLLECTION.getSimpleName(), (OracleConnection)paramOracleTypeCOLLECTION.getConnection());
/*      */       
/*  228 */       arrayDescriptor = new ArrayDescriptor(sQLName, paramOracleTypeCOLLECTION, (Connection)oracleConnection);
/*  229 */       oracleConnection.putDescriptor(str, arrayDescriptor);
/*      */     } 
/*      */ 
/*      */     
/*  233 */     return arrayDescriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDescriptor(String paramString, Connection paramConnection) throws SQLException {
/*  247 */     super(paramString, paramConnection);
/*      */ 
/*      */ 
/*      */     
/*  251 */     initPickler();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/*  268 */     super(paramSQLName, paramConnection);
/*      */ 
/*      */ 
/*      */     
/*  272 */     initPickler();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDescriptor(SQLName paramSQLName, OracleTypeCOLLECTION paramOracleTypeCOLLECTION, Connection paramConnection) throws SQLException {
/*  288 */     super(paramSQLName, (OracleTypeADT)paramOracleTypeCOLLECTION, paramConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayDescriptor(OracleTypeCOLLECTION paramOracleTypeCOLLECTION, Connection paramConnection) throws SQLException {
/*  304 */     super((OracleTypeADT)paramOracleTypeCOLLECTION, paramConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static ArrayDescriptor createDescriptor(SQLName paramSQLName, byte[] paramArrayOfbyte1, int paramInt, byte[] paramArrayOfbyte2, byte[] paramArrayOfbyte3, OracleConnection paramOracleConnection, byte[] paramArrayOfbyte4) throws SQLException {
/*  313 */     OracleTypeCOLLECTION oracleTypeCOLLECTION = new OracleTypeCOLLECTION(paramSQLName, paramArrayOfbyte1, paramInt, paramArrayOfbyte2, paramArrayOfbyte3, paramOracleConnection, paramArrayOfbyte4);
/*  314 */     return new ArrayDescriptor(paramSQLName, oracleTypeCOLLECTION, (Connection)paramOracleConnection);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getBaseType() throws SQLException {
/*  332 */     return ((OracleTypeCOLLECTION)this.pickler).getElementType().getTypeCode();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getBaseName() throws SQLException {
/*      */     OracleNamedType oracleNamedType;
/*  351 */     String str = null;
/*      */     
/*  353 */     switch (getBaseType())
/*      */     
/*      */     { 
/*      */       case 12:
/*  357 */         str = "VARCHAR";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  465 */         return str;case 1: str = "CHAR"; return str;case -2: str = "RAW"; return str;case 6: str = "FLOAT"; return str;case 2: str = "NUMBER"; return str;case 8: str = "DOUBLE"; return str;case 3: str = "DECIMAL"; return str;case 91: str = "DATE"; return str;case 93: str = "TIMESTAMP"; return str;case -101: str = "TIMESTAMPTZ"; return str;case -102: str = "TIMESTAMPLTZ"; return str;case 2004: str = "BLOB"; return str;case 2005: str = "CLOB"; return str;case -13: str = "BFILE"; return str;case 2002: case 2003: case 2007: case 2008: oracleNamedType = (OracleNamedType)((OracleTypeCOLLECTION)this.pickler).getElementType(); str = oracleNamedType.getFullName(); return str;case 2006: oracleNamedType = (OracleNamedType)((OracleTypeCOLLECTION)this.pickler).getElementType(); str = "REF " + ((OracleTypeREF)oracleNamedType).getFullName(); return str; }  str = null; return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public OracleTypeCOLLECTION getOracleTypeCOLLECTION() {
/*  477 */     return (OracleTypeCOLLECTION)this.pickler;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getArrayType() throws SQLException {
/*  491 */     return ((OracleTypeCOLLECTION)this.pickler).getUserCode();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public long getMaxLength() throws SQLException {
/*  509 */     return (getArrayType() == 3) ? ((OracleTypeCOLLECTION)this.pickler).getMaxLength() : 0L;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String descType() throws SQLException {
/*  528 */     String str = null;
/*  529 */     StringBuffer stringBuffer = new StringBuffer();
/*      */     
/*  531 */     str = descType(stringBuffer, 0);
/*      */ 
/*      */ 
/*      */     
/*  535 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   String descType(StringBuffer paramStringBuffer, int paramInt) throws SQLException {
/*  543 */     String str1 = "";
/*      */     
/*  545 */     for (byte b = 0; b < paramInt; b++) {
/*  546 */       str1 = str1 + "  ";
/*      */     }
/*  548 */     String str2 = str1 + "  ";
/*      */     
/*  550 */     paramStringBuffer.append(str1);
/*  551 */     paramStringBuffer.append(getTypeName());
/*  552 */     paramStringBuffer.append("\n");
/*      */     
/*  554 */     int i = getBaseType();
/*      */     
/*  556 */     if (i == 2002 || i == 2008) {
/*      */ 
/*      */       
/*  559 */       StructDescriptor structDescriptor = StructDescriptor.createDescriptor(getBaseName(), (Connection)this.connection);
/*      */ 
/*      */       
/*  562 */       structDescriptor.descType(paramStringBuffer, paramInt + 1);
/*      */     }
/*  564 */     else if (i == 2003) {
/*      */       
/*  566 */       ArrayDescriptor arrayDescriptor = createDescriptor(getBaseName(), (Connection)this.connection);
/*      */ 
/*      */       
/*  569 */       arrayDescriptor.descType(paramStringBuffer, paramInt + 1);
/*      */     }
/*  571 */     else if (i == 2007) {
/*      */       
/*  573 */       OpaqueDescriptor opaqueDescriptor = OpaqueDescriptor.createDescriptor(getBaseName(), (Connection)this.connection);
/*      */ 
/*      */       
/*  576 */       opaqueDescriptor.descType(paramStringBuffer, paramInt + 1);
/*      */     }
/*      */     else {
/*      */       
/*  580 */       paramStringBuffer.append(str2);
/*  581 */       paramStringBuffer.append(getBaseName());
/*  582 */       paramStringBuffer.append("\n");
/*      */     } 
/*      */     
/*  585 */     return paramStringBuffer.substring(0, paramStringBuffer.length());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int toLength(ARRAY paramARRAY) throws SQLException {
/*  612 */     if (paramARRAY.numElems == -1)
/*      */     {
/*  614 */       if (paramARRAY.datumArray != null) {
/*      */         
/*  616 */         paramARRAY.numElems = paramARRAY.datumArray.length;
/*      */       }
/*  618 */       else if (paramARRAY.objArray != null) {
/*      */         
/*  620 */         if (paramARRAY.objArray instanceof Object[]) {
/*  621 */           paramARRAY.numElems = ((Object[])paramARRAY.objArray).length;
/*  622 */         } else if (paramARRAY.objArray instanceof int[]) {
/*  623 */           paramARRAY.numElems = ((long[])paramARRAY.objArray).length;
/*  624 */         } else if (paramARRAY.objArray instanceof long[]) {
/*  625 */           paramARRAY.numElems = ((float[])paramARRAY.objArray).length;
/*  626 */         } else if (paramARRAY.objArray instanceof float[]) {
/*  627 */           paramARRAY.numElems = ((double[])paramARRAY.objArray).length;
/*  628 */         } else if (paramARRAY.objArray instanceof double[]) {
/*  629 */           paramARRAY.numElems = ((boolean[])paramARRAY.objArray).length;
/*  630 */         } else if (paramARRAY.objArray instanceof boolean[]) {
/*  631 */           paramARRAY.numElems = ((int[])paramARRAY.objArray).length;
/*  632 */         } else if (paramARRAY.objArray instanceof byte[]) {
/*  633 */           paramARRAY.numElems = ((byte[])paramARRAY.objArray).length;
/*  634 */         } else if (paramARRAY.objArray instanceof short[]) {
/*  635 */           paramARRAY.numElems = ((short[])paramARRAY.objArray).length;
/*  636 */         } else if (paramARRAY.objArray instanceof char[]) {
/*  637 */           paramARRAY.numElems = ((char[])paramARRAY.objArray).length;
/*      */         } 
/*  639 */       } else if (paramARRAY.locator != null) {
/*      */         
/*  641 */         paramARRAY.numElems = toLengthFromLocator(paramARRAY.locator);
/*      */       }
/*  643 */       else if (paramARRAY.shareBytes() != null) {
/*      */         
/*  645 */         this.pickler.unlinearize(paramARRAY.shareBytes(), paramARRAY.imageOffset, paramARRAY, 0, null);
/*      */ 
/*      */         
/*  648 */         if (paramARRAY.numElems == -1)
/*      */         {
/*  650 */           if (paramARRAY.locator != null) {
/*  651 */             paramARRAY.numElems = toLengthFromLocator(paramARRAY.locator);
/*      */           
/*      */           }
/*      */           else {
/*      */ 
/*      */             
/*  657 */             DatabaseError.throwSqlException(1, "Unable to get array length");
/*      */           
/*      */           }
/*      */ 
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/*  668 */         DatabaseError.throwSqlException(1, "Array is in inconsistent status");
/*      */       } 
/*      */     }
/*      */ 
/*      */     
/*  673 */     return paramARRAY.numElems;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   byte[] toBytes(ARRAY paramARRAY, boolean paramBoolean) throws SQLException {
/*  691 */     byte[] arrayOfByte = paramARRAY.shareBytes();
/*      */     
/*  693 */     if (arrayOfByte == null) {
/*      */       
/*  695 */       if (paramARRAY.datumArray != null || paramARRAY.locator != null)
/*      */       {
/*  697 */         arrayOfByte = this.pickler.linearize(paramARRAY);
/*      */         
/*  699 */         if (!paramBoolean) {
/*  700 */           paramARRAY.setShareBytes(null);
/*      */         
/*      */         }
/*      */       
/*      */       }
/*  705 */       else if (paramARRAY.objArray != null)
/*      */       {
/*  707 */         paramARRAY.datumArray = toOracleArray(paramARRAY.objArray, 1L, -1);
/*  708 */         arrayOfByte = this.pickler.linearize(paramARRAY);
/*      */         
/*  710 */         if (!paramBoolean)
/*      */         {
/*  712 */           paramARRAY.datumArray = null;
/*      */           
/*  714 */           paramARRAY.setShareBytes(null);
/*      */         
/*      */         }
/*      */ 
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*  722 */         DatabaseError.throwSqlException(1, "Array is in inconsistent status");
/*      */       }
/*      */     
/*      */     }
/*  726 */     else if (paramARRAY.imageLength != 0L) {
/*      */       
/*  728 */       if (paramARRAY.imageOffset != 0L || paramARRAY.imageLength != arrayOfByte.length) {
/*      */         
/*  730 */         byte[] arrayOfByte1 = new byte[(int)paramARRAY.imageLength];
/*      */         
/*  732 */         System.arraycopy(arrayOfByte, (int)paramARRAY.imageOffset, arrayOfByte1, 0, (int)paramARRAY.imageLength);
/*      */         
/*  734 */         paramARRAY.setImage(arrayOfByte1, 0L, 0L);
/*      */ 
/*      */ 
/*      */         
/*  738 */         return arrayOfByte1;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  746 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Datum[] toOracleArray(ARRAY paramARRAY, long paramLong, int paramInt, boolean paramBoolean) throws SQLException {
/*  759 */     Datum[] arrayOfDatum1 = paramARRAY.datumArray;
/*      */     
/*  761 */     if (arrayOfDatum1 == null) {
/*      */       
/*  763 */       if (paramARRAY.objArray != null)
/*      */       {
/*  765 */         arrayOfDatum1 = toOracleArray(paramARRAY.objArray, paramLong, paramInt);
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  770 */       else if (paramARRAY.locator != null)
/*      */       {
/*  772 */         arrayOfDatum1 = toOracleArrayFromLocator(paramARRAY.locator, paramLong, paramInt, (Map)null);
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  777 */       else if (paramARRAY.shareBytes() != null)
/*      */       {
/*  779 */         this.pickler.unlinearize(paramARRAY.shareBytes(), paramARRAY.imageOffset, paramARRAY, paramLong, paramInt, 1, null);
/*      */ 
/*      */         
/*  782 */         if (paramARRAY.locator != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  787 */           arrayOfDatum1 = toOracleArrayFromLocator(paramARRAY.locator, paramLong, paramInt, (Map)null);
/*      */ 
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */ 
/*      */           
/*  795 */           arrayOfDatum1 = paramARRAY.datumArray;
/*      */         } 
/*      */         
/*  798 */         if (!paramBoolean) {
/*  799 */           paramARRAY.datumArray = null;
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */       else
/*      */       {
/*  806 */         DatabaseError.throwSqlException(1);
/*      */       }
/*      */     
/*      */     } else {
/*      */       
/*  811 */       if (paramLong > arrayOfDatum1.length)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  816 */         return new Datum[0];
/*      */       }
/*      */       
/*  819 */       int i = (int)((paramInt == -1) ? (arrayOfDatum1.length - paramLong + 1L) : Math.min(arrayOfDatum1.length - paramLong + 1L, paramInt));
/*      */ 
/*      */       
/*  822 */       arrayOfDatum1 = new Datum[i];
/*      */       
/*  824 */       System.arraycopy(paramARRAY.datumArray, (int)paramLong - 1, arrayOfDatum1, 0, i);
/*      */     } 
/*      */     
/*  827 */     Datum[] arrayOfDatum2 = null;
/*      */     
/*  829 */     if (paramBoolean) {
/*      */       
/*  831 */       paramARRAY.datumArray = arrayOfDatum1;
/*  832 */       arrayOfDatum2 = (Datum[])arrayOfDatum1.clone();
/*      */     }
/*      */     else {
/*      */       
/*  836 */       arrayOfDatum2 = arrayOfDatum1;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  841 */     return arrayOfDatum2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Object[] toJavaArray(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap, boolean paramBoolean) throws SQLException {
/*  854 */     Object[] arrayOfObject = null;
/*      */     
/*  856 */     if (paramARRAY.objArray != null) {
/*      */       
/*  858 */       arrayOfObject = (Object[])((Object[])paramARRAY.objArray).clone();
/*      */       
/*  860 */       int i = arrayOfObject.length;
/*  861 */       int j = (int)((paramInt == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt));
/*      */ 
/*      */       
/*  864 */       if (j <= 0)
/*      */       {
/*  866 */         return makeJavaArray(j, getBaseType());
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  874 */       arrayOfObject = makeJavaArray(j, getBaseType());
/*      */       
/*  876 */       System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfObject, 0, j);
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  881 */       if (paramARRAY.datumArray != null) {
/*      */         
/*  883 */         arrayOfObject = (Object[])toJavaArray(paramARRAY.datumArray, paramLong, paramInt, paramMap);
/*      */       }
/*  885 */       else if (paramARRAY.locator != null) {
/*      */         
/*  887 */         arrayOfObject = toArrayFromLocator(paramARRAY.locator, paramLong, paramInt, paramMap);
/*      */       }
/*  889 */       else if (paramARRAY.shareBytes() != null) {
/*      */         
/*  891 */         this.pickler.unlinearize(paramARRAY.shareBytes(), paramARRAY.imageOffset, paramARRAY, paramLong, paramInt, 2, paramMap);
/*      */ 
/*      */         
/*  894 */         if (paramARRAY.locator != null) {
/*  895 */           arrayOfObject = toArrayFromLocator(paramARRAY.locator, paramLong, paramInt, paramMap);
/*      */         } else {
/*  897 */           arrayOfObject = (Object[])paramARRAY.objArray;
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/*  907 */         DatabaseError.throwSqlException(1);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  912 */       if (paramBoolean && getBaseType() != 2002 && getBaseType() != 2008 && arrayOfObject != null) {
/*      */         
/*  914 */         paramARRAY.objArray = arrayOfObject.clone();
/*      */       } else {
/*  916 */         paramARRAY.objArray = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  921 */     return arrayOfObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Datum[] toOracleArrayFromLocator(byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  933 */     int i = toLengthFromLocator(paramArrayOfbyte);
/*  934 */     int j = (int)((paramInt == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt));
/*      */ 
/*      */     
/*  937 */     Datum[] arrayOfDatum = null;
/*      */     
/*  939 */     if (j <= 0) {
/*      */       
/*  941 */       arrayOfDatum = new Datum[0];
/*      */     }
/*      */     else {
/*      */       
/*  945 */       arrayOfDatum = new Datum[j];
/*      */       
/*  947 */       ResultSet resultSet = toResultSetFromLocator(paramArrayOfbyte, paramLong, paramInt, paramMap);
/*      */ 
/*      */       
/*  950 */       for (byte b = 0; resultSet.next(); b++) {
/*  951 */         arrayOfDatum[b] = ((OracleResultSet)resultSet).getOracleObject(2);
/*      */       }
/*  953 */       resultSet.close();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  958 */     return arrayOfDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object[] toArrayFromLocator(byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/*  971 */     int i = toLengthFromLocator(paramArrayOfbyte);
/*  972 */     int j = (int)((paramInt == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt));
/*      */     
/*  974 */     Object[] arrayOfObject = null;
/*      */     
/*  976 */     if (j <= 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  981 */       arrayOfObject = makeJavaArray(0, getBaseType());
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  988 */       arrayOfObject = makeJavaArray(j, getBaseType());
/*      */       
/*  990 */       ResultSet resultSet = toResultSetFromLocator(paramArrayOfbyte, paramLong, paramInt, paramMap);
/*      */ 
/*      */       
/*  993 */       for (byte b = 0; resultSet.next(); b++) {
/*  994 */         arrayOfObject[b] = ((OracleResultSet)resultSet).getObject(2, paramMap);
/*      */       }
/*  996 */       resultSet.close();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1001 */     return arrayOfObject;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSet(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap, boolean paramBoolean) throws SQLException {
/* 1011 */     ResultSet resultSet = null;
/*      */     
/* 1013 */     if (paramARRAY.datumArray != null) {
/*      */       
/* 1015 */       resultSet = toResultSet(paramARRAY.datumArray, paramLong, paramInt, paramMap);
/*      */     }
/* 1017 */     else if (paramARRAY.locator != null) {
/*      */       
/* 1019 */       resultSet = toResultSetFromLocator(paramARRAY.locator, paramLong, paramInt, paramMap);
/*      */     }
/* 1021 */     else if (paramARRAY.objArray != null) {
/*      */       
/* 1023 */       resultSet = toResultSet(toOracleArray(paramARRAY.objArray, paramLong, paramInt), 1L, -1, paramMap);
/*      */     
/*      */     }
/* 1026 */     else if (paramARRAY.shareBytes() != null) {
/*      */ 
/*      */ 
/*      */       
/* 1030 */       if (((OracleTypeCOLLECTION)this.pickler).isInlineImage(paramARRAY.shareBytes(), (int)paramARRAY.imageOffset)) {
/*      */ 
/*      */         
/* 1033 */         resultSet = toResultSetFromImage(paramARRAY, paramLong, paramInt, paramMap);
/*      */       }
/*      */       else {
/*      */         
/* 1037 */         this.pickler.unlinearize(paramARRAY.shareBytes(), paramARRAY.imageOffset, paramARRAY, 1, null);
/*      */ 
/*      */         
/* 1040 */         if (paramARRAY.locator != null) {
/* 1041 */           resultSet = toResultSetFromLocator(paramARRAY.locator, paramLong, paramInt, paramMap);
/*      */         
/*      */         }
/*      */         else {
/*      */ 
/*      */           
/* 1047 */           DatabaseError.throwSqlException(1);
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 1052 */     if (resultSet == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/* 1057 */       DatabaseError.throwSqlException(1, "Unable to create array ResultSet");
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1063 */     return resultSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSet(Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 1082 */     ResultSet resultSet = null;
/*      */     
/* 1084 */     if (paramInt == -1) {
/* 1085 */       resultSet = this.connection.newArrayDataResultSet(paramArrayOfDatum, paramLong, paramArrayOfDatum.length, paramMap);
/*      */     } else {
/* 1087 */       resultSet = this.connection.newArrayDataResultSet(paramArrayOfDatum, paramLong, paramInt, paramMap);
/*      */     } 
/*      */ 
/*      */     
/* 1091 */     return resultSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSetFromLocator(byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 1110 */     return this.connection.newArrayLocatorResultSet(this, paramArrayOfbyte, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSetFromImage(ARRAY paramARRAY, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 1124 */     return this.connection.newArrayDataResultSet(paramARRAY, paramLong, paramInt, paramMap);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Object[] makeJavaArray(int paramInt1, int paramInt2) throws SQLException {
/*      */     String[] arrayOfString;
/*      */     Timestamp[] arrayOfTimestamp;
/*      */     Object[] arrayOfObject2;
/*      */     BFILE[] arrayOfBFILE;
/*      */     BLOB[] arrayOfBLOB;
/*      */     CLOB[] arrayOfCLOB;
/*      */     byte[][] arrayOfByte;
/*      */     REF[] arrayOfREF;
/*      */     Object[] arrayOfObject1;
/* 1142 */     BigDecimal[] arrayOfBigDecimal = null;
/*      */     
/* 1144 */     switch (paramInt2)
/*      */     
/*      */     { 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case -7:
/*      */       case -6:
/*      */       case -5:
/*      */       case 2:
/*      */       case 3:
/*      */       case 4:
/*      */       case 5:
/*      */       case 6:
/*      */       case 7:
/* 1164 */         arrayOfBigDecimal = new BigDecimal[paramInt1];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1243 */         return (Object[])arrayOfBigDecimal;case 1: case 12: return (Object[])new String[paramInt1];case -102: case -101: case 91: case 92: case 93: return (Object[])new Timestamp[paramInt1];case 2002: case 2008: return new Object[paramInt1];case -13: return (Object[])new BFILE[paramInt1];case 2004: return (Object[])new BLOB[paramInt1];case 2005: return (Object[])new CLOB[paramInt1];case -3: case -2: return (Object[])new byte[paramInt1][];case 2006: return (Object[])new REF[paramInt1];case 2003: arrayOfObject1 = new Object[paramInt1]; return arrayOfObject1; }  DatabaseError.throwSqlException(1, "makeJavaArray doesn't support type " + paramInt2); return arrayOfObject1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int toLengthFromLocator(byte[] paramArrayOfbyte) throws SQLException {
/* 1257 */     ARRAY aRRAY = new ARRAY(this, (Connection)this.connection, null);
/*      */     
/* 1259 */     aRRAY.setLocator(paramArrayOfbyte);
/*      */     
/* 1261 */     int i = 0;
/*      */ 
/*      */     
/* 1264 */     OraclePreparedStatement oraclePreparedStatement = null;
/* 1265 */     OracleResultSet oracleResultSet = null;
/*      */     
/* 1267 */     oraclePreparedStatement = (OraclePreparedStatement)this.connection.prepareStatement("SELECT count(*) FROM TABLE( CAST(:1 AS " + getName() + ") )");
/*      */ 
/*      */ 
/*      */     
/* 1271 */     oraclePreparedStatement.setArray(1, aRRAY);
/*      */     
/* 1273 */     oracleResultSet = (OracleResultSet)oraclePreparedStatement.executeQuery();
/*      */     
/* 1275 */     if (oracleResultSet.next()) {
/* 1276 */       i = oracleResultSet.getInt(1);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1282 */       DatabaseError.throwSqlException(1, "Fail to access array storage table");
/*      */     } 
/*      */ 
/*      */     
/* 1286 */     oracleResultSet.close();
/* 1287 */     oraclePreparedStatement.close();
/*      */ 
/*      */ 
/*      */     
/* 1291 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Datum[] toOracleArray(Object paramObject, long paramLong, int paramInt) throws SQLException {
/* 1308 */     Datum[] arrayOfDatum = null;
/*      */     
/* 1310 */     if (paramObject != null) {
/*      */       
/* 1312 */       OracleType oracleType = getElementType();
/*      */       
/* 1314 */       arrayOfDatum = oracleType.toDatumArray(paramObject, this.connection, paramLong, paramInt);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1319 */     return arrayOfDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private Object toJavaArray(Datum[] paramArrayOfDatum, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 1328 */     int i = (int)((paramInt == -1) ? (paramArrayOfDatum.length - paramLong + 1L) : Math.min(paramArrayOfDatum.length - paramLong + 1L, paramInt));
/*      */ 
/*      */     
/* 1331 */     if (i < 0) {
/* 1332 */       i = 0;
/*      */     }
/* 1334 */     Object[] arrayOfObject = makeJavaArray(i, getBaseType());
/*      */     
/* 1336 */     if (getBaseType() == 2002) {
/*      */       
/* 1338 */       STRUCT sTRUCT = null;
/*      */       
/* 1340 */       for (byte b = 0; b < i; b++)
/*      */       {
/* 1342 */         sTRUCT = (STRUCT)paramArrayOfDatum[(int)paramLong + b - 1];
/* 1343 */         arrayOfObject[b] = (sTRUCT != null) ? sTRUCT.toJdbc(paramMap) : null;
/*      */       }
/*      */     
/*      */     } else {
/*      */       
/* 1348 */       Datum datum = null;
/*      */       
/* 1350 */       for (byte b = 0; b < i; b++) {
/*      */         
/* 1352 */         datum = paramArrayOfDatum[(int)paramLong + b - 1];
/* 1353 */         arrayOfObject[b] = (datum != null) ? datum.toJdbc() : null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1359 */     return arrayOfObject; } private Object toNumericArray(Datum[] paramArrayOfDatum, long paramLong, int paramInt1, int paramInt2) throws SQLException { double[] arrayOfDouble1;
/*      */     float[] arrayOfFloat1;
/*      */     long[] arrayOfLong1;
/*      */     short[] arrayOfShort1;
/*      */     int[] arrayOfInt2;
/*      */     double[] arrayOfDouble2;
/*      */     float[] arrayOfFloat2;
/*      */     long[] arrayOfLong2;
/*      */     short[] arrayOfShort2;
/*      */     byte b;
/* 1369 */     int[] arrayOfInt1 = null;
/*      */     
/* 1371 */     int i = (int)((paramInt1 == -1) ? (paramArrayOfDatum.length - paramLong + 1L) : Math.min(paramArrayOfDatum.length - paramLong + 1L, paramInt1));
/*      */ 
/*      */     
/* 1374 */     if (i < 0) {
/* 1375 */       i = 0;
/*      */     }
/* 1377 */     switch (paramInt2)
/*      */     
/*      */     { 
/*      */       case 4:
/* 1381 */         arrayOfInt2 = new int[i];
/*      */         
/* 1383 */         for (b = 0; b < i; b++) {
/*      */           
/* 1385 */           Datum datum = paramArrayOfDatum[(int)paramLong + b - 1];
/*      */           
/* 1387 */           if (datum != null) {
/* 1388 */             arrayOfInt2[b] = datum.intValue();
/*      */           }
/*      */         } 
/* 1391 */         arrayOfInt1 = arrayOfInt2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1473 */         return arrayOfInt1;case 5: arrayOfDouble2 = new double[i]; for (b = 0; b < i; b++) { Datum datum = paramArrayOfDatum[(int)paramLong + b - 1]; if (datum != null) arrayOfDouble2[b] = datum.doubleValue();  }  return arrayOfDouble2;case 6: arrayOfFloat2 = new float[i]; for (b = 0; b < i; b++) { Datum datum = paramArrayOfDatum[(int)paramLong + b - 1]; if (datum != null) arrayOfFloat2[b] = datum.floatValue();  }  return arrayOfFloat2;case 7: arrayOfLong2 = new long[i]; for (b = 0; b < i; b++) { Datum datum = paramArrayOfDatum[(int)paramLong + b - 1]; if (datum != null) arrayOfLong2[b] = datum.longValue();  }  return arrayOfLong2;case 8: arrayOfShort2 = new short[i]; for (b = 0; b < i; b++) { Datum datum = paramArrayOfDatum[(int)paramLong + b - 1]; if (datum != null) arrayOfShort2[b] = ((NUMBER)datum).shortValue();  }  arrayOfShort1 = arrayOfShort2; return arrayOfShort1; }  DatabaseError.throwSqlException(23); return arrayOfShort1; }
/*      */ 
/*      */   
/*      */   private Object toNumericArrayFromLocator(byte[] paramArrayOfbyte, long paramLong, int paramInt1, int paramInt2) throws SQLException {
/*      */     double[] arrayOfDouble1;
/*      */     float[] arrayOfFloat1;
/*      */     long[] arrayOfLong1;
/*      */     short[] arrayOfShort1;
/*      */     int[] arrayOfInt2;
/*      */     double[] arrayOfDouble2;
/*      */     float[] arrayOfFloat2;
/*      */     long[] arrayOfLong2;
/*      */     short[] arrayOfShort2;
/* 1486 */     int[] arrayOfInt1 = null;
/*      */     
/* 1488 */     int i = toLengthFromLocator(paramArrayOfbyte);
/*      */     
/* 1490 */     ResultSet resultSet = toResultSetFromLocator(paramArrayOfbyte, paramLong, paramInt1, (Map)null);
/*      */     
/* 1492 */     byte b = 0;
/*      */     
/* 1494 */     switch (paramInt2)
/*      */     
/*      */     { 
/*      */       case 4:
/* 1498 */         arrayOfInt2 = new int[i];
/*      */         
/* 1500 */         while (resultSet.next() && b < i) {
/* 1501 */           arrayOfInt2[b++] = ((OracleResultSet)resultSet).getInt(2);
/*      */         }
/* 1503 */         resultSet.close();
/*      */         
/* 1505 */         arrayOfInt1 = arrayOfInt2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1570 */         return arrayOfInt1;case 5: arrayOfDouble2 = new double[i]; while (resultSet.next() && b < i) arrayOfDouble2[b++] = ((OracleResultSet)resultSet).getDouble(2);  resultSet.close(); return arrayOfDouble2;case 6: arrayOfFloat2 = new float[i]; while (resultSet.next() && b < i) arrayOfFloat2[b++] = ((OracleResultSet)resultSet).getFloat(2);  resultSet.close(); return arrayOfFloat2;case 7: arrayOfLong2 = new long[i]; while (resultSet.next() && b < i) arrayOfLong2[b++] = ((OracleResultSet)resultSet).getLong(2);  resultSet.close(); return arrayOfLong2;case 8: arrayOfShort2 = new short[i]; while (resultSet.next() && b < i) arrayOfShort2[b++] = ((OracleResultSet)resultSet).getShort(2);  resultSet.close(); arrayOfShort1 = arrayOfShort2; return arrayOfShort1; }  DatabaseError.throwSqlException(23); return arrayOfShort1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   Object toNumericArray(ARRAY paramARRAY, long paramLong, int paramInt1, int paramInt2, boolean paramBoolean) throws SQLException {
/* 1583 */     if (!(getElementType() instanceof oracle.jdbc.oracore.OracleTypeNUMBER) && !(getElementType() instanceof oracle.jdbc.oracore.OracleTypeFLOAT))
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1589 */       DatabaseError.throwSqlException(23);
/*      */     }
/*      */     
/* 1592 */     Object object = null;
/*      */ 
/*      */     
/* 1595 */     if (paramARRAY.objArray != null) {
/*      */       
/* 1597 */       if (paramInt2 == 4 && paramARRAY.objArray instanceof int[])
/*      */       {
/* 1599 */         int i = ((int[])paramARRAY.objArray).length;
/*      */         
/* 1601 */         if (paramLong > i) {
/* 1602 */           return new int[0];
/*      */         }
/* 1604 */         i = (int)((paramInt1 == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt1));
/*      */ 
/*      */         
/* 1607 */         int[] arrayOfInt = new int[i];
/*      */         
/* 1609 */         System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfInt, 0, i);
/*      */ 
/*      */         
/* 1612 */         object = arrayOfInt;
/*      */       }
/* 1614 */       else if (paramInt2 == 5 && paramARRAY.objArray instanceof double[])
/*      */       {
/* 1616 */         int i = ((double[])paramARRAY.objArray).length;
/*      */         
/* 1618 */         if (paramLong > i) {
/* 1619 */           return new double[0];
/*      */         }
/* 1621 */         i = (int)((paramInt1 == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt1));
/*      */ 
/*      */         
/* 1624 */         double[] arrayOfDouble2 = new double[i];
/*      */         
/* 1626 */         System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfDouble2, 0, i);
/*      */ 
/*      */         
/* 1629 */         double[] arrayOfDouble1 = arrayOfDouble2;
/*      */       }
/* 1631 */       else if (paramInt2 == 6 && paramARRAY.objArray instanceof float[])
/*      */       {
/* 1633 */         int i = ((float[])paramARRAY.objArray).length;
/*      */         
/* 1635 */         if (paramLong > i) {
/* 1636 */           return new float[0];
/*      */         }
/* 1638 */         i = (int)((paramInt1 == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt1));
/*      */ 
/*      */         
/* 1641 */         float[] arrayOfFloat2 = new float[i];
/*      */         
/* 1643 */         System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfFloat2, 0, i);
/*      */ 
/*      */         
/* 1646 */         float[] arrayOfFloat1 = arrayOfFloat2;
/*      */       }
/* 1648 */       else if (paramInt2 == 7 && paramARRAY.objArray instanceof long[])
/*      */       {
/* 1650 */         int i = ((long[])paramARRAY.objArray).length;
/*      */         
/* 1652 */         if (paramLong > i) {
/* 1653 */           return new long[0];
/*      */         }
/* 1655 */         i = (int)((paramInt1 == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt1));
/*      */ 
/*      */         
/* 1658 */         long[] arrayOfLong2 = new long[i];
/*      */         
/* 1660 */         System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfLong2, 0, i);
/*      */ 
/*      */         
/* 1663 */         long[] arrayOfLong1 = arrayOfLong2;
/*      */       }
/* 1665 */       else if (paramInt2 == 8 && paramARRAY.objArray instanceof short[])
/*      */       {
/* 1667 */         int i = ((short[])paramARRAY.objArray).length;
/*      */         
/* 1669 */         if (paramLong > i) {
/* 1670 */           return new short[0];
/*      */         }
/* 1672 */         i = (int)((paramInt1 == -1) ? (i - paramLong + 1L) : Math.min(i - paramLong + 1L, paramInt1));
/*      */ 
/*      */         
/* 1675 */         short[] arrayOfShort2 = new short[i];
/*      */         
/* 1677 */         System.arraycopy(paramARRAY.objArray, (int)paramLong - 1, arrayOfShort2, 0, i);
/*      */ 
/*      */         
/* 1680 */         short[] arrayOfShort1 = arrayOfShort2;
/*      */       
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1687 */       if (paramARRAY.datumArray != null) {
/*      */         
/* 1689 */         Object object1 = toNumericArray(paramARRAY.datumArray, paramLong, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */       
/*      */       }
/* 1694 */       else if (paramARRAY.locator != null) {
/*      */         
/* 1696 */         Object object1 = toNumericArrayFromLocator(paramARRAY.locator, paramLong, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/* 1702 */       else if (paramARRAY.shareBytes() != null) {
/*      */         
/* 1704 */         this.pickler.unlinearize(paramARRAY.shareBytes(), paramARRAY.imageOffset, paramARRAY, paramLong, paramInt1, paramInt2, null);
/*      */ 
/*      */         
/* 1707 */         if (paramARRAY.locator != null)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/* 1712 */           Object object1 = toNumericArrayFromLocator(paramARRAY.locator, paramLong, paramInt1, paramInt2);
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */           
/* 1720 */           object = paramARRAY.objArray;
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 1731 */         DatabaseError.throwSqlException(1);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1736 */       if (!paramBoolean) {
/* 1737 */         paramARRAY.objArray = null;
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1743 */     return object;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initPickler() throws SQLException {
/*      */     try {
/* 1754 */       OracleTypeADT oracleTypeADT = new OracleTypeADT(getName(), (Connection)this.connection);
/*      */       
/* 1756 */       oracleTypeADT.init(this.connection);
/*      */       
/* 1758 */       this.pickler = oracleTypeADT.cleanup();
/*      */       
/* 1760 */       this.pickler.setDescriptor(this);
/*      */ 
/*      */ 
/*      */     
/*      */     }
/* 1765 */     catch (Exception exception) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1770 */       if (exception instanceof SQLException)
/*      */       {
/* 1772 */         throw (SQLException)exception;
/*      */       }
/*      */ 
/*      */       
/* 1776 */       DatabaseError.throwSqlException(60, "Unable to resolve type: \"" + getName() + "\"");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private OracleType getElementType() throws SQLException {
/* 1797 */     return ((OracleTypeCOLLECTION)this.pickler).getElementType();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTypeCode() throws SQLException {
/* 1809 */     return 2003;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] toBytes(Datum[] paramArrayOfDatum) throws SQLException {
/* 1837 */     ARRAY aRRAY = new ARRAY(this, (Connection)this.connection, paramArrayOfDatum);
/*      */     
/* 1839 */     return this.pickler.linearize(aRRAY);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] toBytes(Object[] paramArrayOfObject) throws SQLException {
/* 1859 */     Datum[] arrayOfDatum = toArray(paramArrayOfObject);
/* 1860 */     return toBytes(arrayOfDatum);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int length(byte[] paramArrayOfbyte) throws SQLException {
/* 1878 */     ARRAY aRRAY = new ARRAY(this, (Connection)this.connection, paramArrayOfbyte);
/* 1879 */     return toLength(aRRAY);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum[] toArray(byte[] paramArrayOfbyte) throws SQLException {
/* 1898 */     Datum[] arrayOfDatum = null;
/* 1899 */     if (paramArrayOfbyte != null) {
/*      */       
/* 1901 */       ARRAY aRRAY = new ARRAY(this, (Connection)this.connection, paramArrayOfbyte);
/*      */       
/* 1903 */       arrayOfDatum = toOracleArray(aRRAY, 1L, -1, false);
/*      */     } 
/*      */ 
/*      */     
/* 1907 */     return arrayOfDatum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Datum[] toArray(Object paramObject) throws SQLException {
/* 1924 */     return toOracleArray(paramObject, 1L, -1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSet(byte[] paramArrayOfbyte, Map paramMap) throws SQLException {
/* 1944 */     ResultSet resultSet = null;
/* 1945 */     if (paramArrayOfbyte != null) {
/*      */       
/* 1947 */       ARRAY aRRAY = (ARRAY)this.pickler.unlinearize(paramArrayOfbyte, 0L, null, 1, null);
/*      */ 
/*      */       
/* 1950 */       resultSet = toResultSet(aRRAY, 1L, -1, paramMap, false);
/*      */     } 
/*      */ 
/*      */     
/* 1954 */     return resultSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ResultSet toResultSet(byte[] paramArrayOfbyte, long paramLong, int paramInt, Map paramMap) throws SQLException {
/* 1972 */     ResultSet resultSet = null;
/*      */     
/* 1974 */     if (paramArrayOfbyte != null) {
/*      */       
/* 1976 */       ARRAY aRRAY = (ARRAY)this.pickler.unlinearize(paramArrayOfbyte, 0L, (ARRAY)null, 1, null);
/*      */ 
/*      */       
/* 1979 */       resultSet = toResultSet(aRRAY, paramLong, paramInt, paramMap, false);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1984 */     return resultSet;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getCacheStyle(ARRAY paramARRAY) throws SQLException {
/* 1995 */     byte b = 2;
/*      */     
/* 1997 */     if (paramARRAY.getAutoIndexing() && (paramARRAY.getAccessDirection() == 2 || paramARRAY.getAccessDirection() == 3))
/*      */     {
/*      */       
/* 2000 */       b = 1;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 2005 */     return b;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2035 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:31_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\ArrayDescriptor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */