/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BFILE
/*     */   extends DatumWithConnection
/*     */ {
/*     */   public static final int MAX_CHUNK_SIZE = 32512;
/*     */   public static final int MODE_READONLY = 0;
/*     */   public static final int MODE_READWRITE = 1;
/*     */   BfileDBAccess dbaccess;
/*     */   
/*     */   protected BFILE() {}
/*     */   
/*     */   public BFILE(OracleConnection paramOracleConnection) throws SQLException {
/*  75 */     this(paramOracleConnection, (byte[])null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BFILE(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte) throws SQLException {
/*  88 */     super(paramArrayOfbyte);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  93 */     setPhysicalConnectionOf((Connection)paramOracleConnection);
/*     */     
/*  95 */     this.dbaccess = getInternalConnection().createBfileDBAccess();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long length() throws SQLException {
/* 111 */     return getDBAccess().length(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getBytes(long paramLong, int paramInt) throws SQLException {
/* 127 */     if (paramLong < 1L || paramInt < 0)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 132 */       DatabaseError.throwSqlException(68, null);
/*     */     }
/*     */ 
/*     */     
/* 136 */     byte[] arrayOfByte = null;
/*     */     
/* 138 */     if (paramInt == 0) {
/*     */       
/* 140 */       arrayOfByte = new byte[0];
/*     */     }
/*     */     else {
/*     */       
/* 144 */       long l = 0L;
/* 145 */       byte[] arrayOfByte1 = new byte[paramInt];
/*     */       
/* 147 */       l = getBytes(paramLong, paramInt, arrayOfByte1);
/*     */       
/* 149 */       if (l > 0L) {
/*     */         
/* 151 */         if (l == paramInt)
/*     */         {
/* 153 */           arrayOfByte = arrayOfByte1;
/*     */ 
/*     */         
/*     */         }
/*     */         else
/*     */         {
/*     */           
/* 160 */           arrayOfByte = new byte[(int)l];
/*     */           
/* 162 */           System.arraycopy(arrayOfByte1, 0, arrayOfByte, 0, (int)l);
/*     */         }
/*     */       
/*     */       } else {
/*     */         
/* 167 */         arrayOfByte = new byte[0];
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 173 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getBytes(long paramLong, int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/* 190 */     return getDBAccess().getBytes(this, paramLong, paramInt, paramArrayOfbyte);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream getBinaryStream() throws SQLException {
/* 207 */     return getDBAccess().newInputStream(this, 32512, 0L);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long position(byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 228 */     return getDBAccess().position(this, paramArrayOfbyte, paramLong);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long position(BFILE paramBFILE, long paramLong) throws SQLException {
/* 249 */     return getDBAccess().position(this, paramBFILE, paramLong);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() throws SQLException {
/* 268 */     return getDBAccess().getName(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDirAlias() throws SQLException {
/* 287 */     return getDBAccess().getDirAlias(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void openFile() throws SQLException {
/* 305 */     getDBAccess().openFile(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFileOpen() throws SQLException {
/* 321 */     return getDBAccess().isFileOpen(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean fileExists() throws SQLException {
/* 342 */     return getDBAccess().fileExists(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void closeFile() throws SQLException {
/* 360 */     getDBAccess().closeFile(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getLocator() {
/* 372 */     return getBytes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setLocator(byte[] paramArrayOfbyte) {
/* 384 */     setBytes(paramArrayOfbyte);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream getBinaryStream(long paramLong) throws SQLException {
/* 399 */     return getDBAccess().newInputStream(this, 32512, paramLong);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void open() throws SQLException {
/* 412 */     getDBAccess().open(this, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void open(int paramInt) throws SQLException {
/* 426 */     if (paramInt != 0)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 431 */       DatabaseError.throwSqlException(102);
/*     */     }
/*     */     
/* 434 */     getDBAccess().open(this, paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() throws SQLException {
/* 446 */     getDBAccess().close(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isOpen() throws SQLException {
/* 459 */     return getDBAccess().isOpen(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc() throws SQLException {
/* 481 */     return this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isConvertibleTo(Class paramClass) {
/* 500 */     String str = paramClass.getName();
/*     */     
/* 502 */     return (str.compareTo("java.io.InputStream") == 0 || str.compareTo("java.io.Reader") == 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Reader characterStreamValue() throws SQLException {
/* 522 */     getInternalConnection(); return getDBAccess().newConversionReader(this, 8);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream asciiStreamValue() throws SQLException {
/* 537 */     getInternalConnection(); return getDBAccess().newConversionInputStream(this, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream binaryStreamValue() throws SQLException {
/* 553 */     return getBinaryStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object makeJdbcArray(int paramInt) {
/* 577 */     return new BFILE[paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BfileDBAccess getDBAccess() throws SQLException {
/* 590 */     if (this.dbaccess == null) {
/* 591 */       this.dbaccess = getInternalConnection().createBfileDBAccess();
/*     */     }
/* 593 */     if (getPhysicalConnection().isClosed()) {
/* 594 */       DatabaseError.throwSqlException(8);
/*     */     }
/* 596 */     return this.dbaccess;
/*     */   }
/*     */ 
/*     */   
/*     */   public Connection getJavaSqlConnection() throws SQLException {
/* 601 */     return super.getJavaSqlConnection();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 606 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:31_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\BFILE.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */