/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import oracle.sql.converter.CharacterConverters;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class CharacterSetLCFixed
/*     */   extends CharacterSetWithConverter
/*     */ {
/*     */   static final String CHAR_CONV_SUPERCLASS_NAME = "oracle.sql.converter.CharacterConverterLCFixed";
/*     */   static final int CHARLENGTH = 4;
/*     */   static Class m_charConvSuperclass;
/*     */   char[] m_leadingCodes;
/*     */   
/*     */   CharacterSetLCFixed(int paramInt, CharacterConverters paramCharacterConverters) {
/*  83 */     super(paramInt, paramCharacterConverters);
/*     */     
/*  85 */     this.m_leadingCodes = paramCharacterConverters.getLeadingCodes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static CharacterSetLCFixed getInstance(int paramInt, CharacterConverters paramCharacterConverters) {
/*  94 */     if (paramCharacterConverters.getGroupId() == 3)
/*     */     {
/*  96 */       return new CharacterSetLCFixed(paramInt, paramCharacterConverters);
/*     */     }
/*     */ 
/*     */     
/* 100 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   int decode(CharacterWalker paramCharacterWalker) throws SQLException {
/* 106 */     if (paramCharacterWalker.bytes.length - paramCharacterWalker.next < 4)
/*     */     {
/* 108 */       throw new SQLException("destination too small");
/*     */     }
/*     */ 
/*     */     
/* 112 */     int i = paramCharacterWalker.bytes[paramCharacterWalker.next] << 8 | paramCharacterWalker.bytes[paramCharacterWalker.next + 1];
/*     */ 
/*     */     
/* 115 */     for (byte b = 0; b < this.m_leadingCodes.length; b++) {
/*     */       
/* 117 */       if (i == this.m_leadingCodes[b]) {
/*     */ 
/*     */ 
/*     */         
/* 121 */         int j = 0;
/*     */         
/* 123 */         for (byte b1 = 0; b1 < 4; b1++)
/*     */         {
/* 125 */           j = j << 8 | paramCharacterWalker.bytes[paramCharacterWalker.next++];
/*     */         }
/*     */         
/* 128 */         return j;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 133 */     throw new SQLException("Leading code invalid");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void encode(CharacterBuffer paramCharacterBuffer, int paramInt) throws SQLException {
/* 140 */     int i = paramInt >> 16;
/*     */     
/* 142 */     for (byte b = 0; b < this.m_leadingCodes.length; b++) {
/*     */       
/* 144 */       if (i == this.m_leadingCodes[b]) {
/*     */ 
/*     */ 
/*     */         
/* 148 */         need(paramCharacterBuffer, 4);
/*     */         
/* 150 */         for (byte b1 = 3; b1 >= 0; b1--)
/*     */         {
/* 152 */           paramCharacterBuffer.bytes[paramCharacterBuffer.next++] = (byte)(paramInt >> 8 * b1 & 0xFF);
/*     */         }
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */     } 
/*     */     
/* 160 */     throw new SQLException("Leading code invalid");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\CharacterSetLCFixed.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */