/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import oracle.sql.converter.CharacterConverters;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class CharacterSetShift
/*     */   extends CharacterSetWithConverter
/*     */ {
/*     */   static final String CHAR_CONV_SUPERCLASS_NAME = "oracle.sql.converter.CharacterConverterShift";
/*     */   static final short MAX_7BIT = 127;
/*     */   static final short MIN_8BIT_SB = 161;
/*     */   static final short MAX_8BIT_SB = 223;
/*     */   static final byte SHIFT_OUT = 14;
/*     */   static final byte SHIFT_IN = 15;
/*     */   static Class m_charConvSuperclass;
/*     */   
/*     */   CharacterSetShift(int paramInt, CharacterConverters paramCharacterConverters) {
/*  80 */     super(paramInt, paramCharacterConverters);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static CharacterSetShift getInstance(int paramInt, CharacterConverters paramCharacterConverters) {
/*  89 */     if (paramCharacterConverters.getGroupId() == 7)
/*     */     {
/*  91 */       return new CharacterSetShift(paramInt, paramCharacterConverters);
/*     */     }
/*     */ 
/*     */     
/*  95 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   int decode(CharacterWalker paramCharacterWalker) throws SQLException {
/* 101 */     int i = paramCharacterWalker.bytes[paramCharacterWalker.next] & 0xFF;
/*     */     
/* 103 */     paramCharacterWalker.next++;
/*     */     
/* 105 */     if (i > 223 || (i > 127 && i < 161))
/*     */     {
/*     */ 
/*     */       
/* 109 */       if (paramCharacterWalker.bytes.length > paramCharacterWalker.next) {
/*     */         
/* 111 */         i = i << 8 | paramCharacterWalker.bytes[paramCharacterWalker.next];
/* 112 */         paramCharacterWalker.next++;
/*     */       }
/*     */       else {
/*     */         
/* 116 */         throw new SQLException("destination too small");
/*     */       } 
/*     */     }
/*     */     
/* 120 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   void encode(CharacterBuffer paramCharacterBuffer, int paramInt) throws SQLException {
/* 125 */     int i = paramCharacterBuffer.next;
/* 126 */     boolean bool1 = true;
/*     */     
/* 128 */     while (i <= 0) {
/*     */       
/* 130 */       if (paramCharacterBuffer.bytes[i] == 15) {
/*     */         
/* 132 */         bool1 = true;
/*     */         
/*     */         break;
/*     */       } 
/*     */       
/* 137 */       if (paramCharacterBuffer.bytes[i] == 14) {
/*     */         
/* 139 */         bool1 = false;
/*     */         
/*     */         break;
/*     */       } 
/*     */     } 
/*     */     
/* 145 */     short s1 = 0;
/* 146 */     short s2 = 1;
/*     */     
/* 148 */     while (paramInt >> s1 != 0) {
/*     */       
/* 150 */       s1 = (short)(s1 + 8);
/* 151 */       s2 = (short)(s2 + 1);
/*     */     } 
/*     */     
/* 154 */     if (s2 > 2)
/*     */     {
/* 156 */       throw new SQLException("Character invalid, too many bytes");
/*     */     }
/*     */     
/* 159 */     boolean bool2 = false;
/* 160 */     boolean bool3 = false;
/*     */     
/* 162 */     if (s2 == 1 && !bool1) {
/*     */       
/* 164 */       bool2 = true;
/* 165 */       s2 = (short)(s2 + 1);
/*     */     } 
/*     */     
/* 168 */     if (s2 == 2 && bool1) {
/*     */       
/* 170 */       bool3 = true;
/* 171 */       s2 = (short)(s2 + 1);
/*     */     } 
/*     */     
/* 174 */     need(paramCharacterBuffer, s2);
/*     */     
/* 176 */     if (bool2)
/*     */     {
/* 178 */       paramCharacterBuffer.bytes[paramCharacterBuffer.next++] = 15;
/*     */     }
/*     */     
/* 181 */     if (bool3)
/*     */     {
/* 183 */       paramCharacterBuffer.bytes[paramCharacterBuffer.next++] = 14;
/*     */     }
/*     */     
/* 186 */     while (s1 >= 0) {
/*     */       
/* 188 */       paramCharacterBuffer.bytes[paramCharacterBuffer.next++] = (byte)(paramInt >> s1 & 0xFF);
/* 189 */       s1 = (short)(s1 - 8);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\CharacterSetShift.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */