/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class CharacterSetUTF
/*     */   extends CharacterSet
/*     */   implements CharacterRepConstants
/*     */ {
/*  53 */   private static int[] m_byteLen = new int[] { 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 2, 2, 3, 0 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   CharacterSetUTF(int paramInt) {
/*  65 */     super(paramInt);
/*     */     
/*  67 */     this.rep = 2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLossyFrom(CharacterSet paramCharacterSet) {
/*  74 */     return !paramCharacterSet.isUnicode();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isConvertibleFrom(CharacterSet paramCharacterSet) {
/*  81 */     return (paramCharacterSet.rep <= 1024);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isUnicode() {
/*  90 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toStringWithReplacement(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/*     */     try {
/* 118 */       char[] arrayOfChar = new char[paramArrayOfbyte.length];
/* 119 */       int[] arrayOfInt = new int[1];
/*     */       
/* 121 */       arrayOfInt[0] = paramInt2;
/*     */       
/* 123 */       int i = CharacterSet.convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, arrayOfChar, 0, arrayOfInt, true);
/*     */ 
/*     */       
/* 126 */       return new String(arrayOfChar, 0, i);
/*     */     }
/* 128 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 134 */       return "";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*     */     try {
/* 167 */       char[] arrayOfChar = new char[paramArrayOfbyte.length];
/* 168 */       int[] arrayOfInt = new int[1];
/*     */       
/* 170 */       arrayOfInt[0] = paramInt2;
/*     */       
/* 172 */       int i = CharacterSet.convertUTFBytesToJavaChars(paramArrayOfbyte, paramInt1, arrayOfChar, 0, arrayOfInt, false);
/*     */ 
/*     */       
/* 175 */       return new String(arrayOfChar, 0, i);
/*     */     }
/* 177 */     catch (SQLException sQLException) {
/*     */       
/* 179 */       failUTFConversion();
/*     */       
/* 181 */       return "";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] convertWithReplacement(String paramString) {
/* 205 */     return stringToUTF(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] convert(String paramString) throws SQLException {
/* 227 */     return stringToUTF(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] convert(CharacterSet paramCharacterSet, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*     */     byte[] arrayOfByte;
/* 249 */     if (paramCharacterSet.rep == 2) {
/*     */       
/* 251 */       arrayOfByte = useOrCopy(paramArrayOfbyte, paramInt1, paramInt2);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 256 */       String str = paramCharacterSet.toString(paramArrayOfbyte, paramInt1, paramInt2);
/*     */       
/* 258 */       arrayOfByte = stringToUTF(str);
/*     */     } 
/*     */     
/* 261 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   int decode(CharacterWalker paramCharacterWalker) throws SQLException {
/* 285 */     byte[] arrayOfByte = paramCharacterWalker.bytes;
/* 286 */     int i = paramCharacterWalker.next;
/* 287 */     int j = paramCharacterWalker.end;
/*     */     
/* 289 */     if (i >= j)
/*     */     {
/* 291 */       failUTFConversion();
/*     */     }
/*     */     
/* 294 */     byte b = arrayOfByte[i];
/* 295 */     int k = getUTFByteLength((byte)b);
/*     */     
/* 297 */     if (k == 0 || i + k - 1 >= j)
/*     */     {
/* 299 */       failUTFConversion();
/*     */     }
/*     */ 
/*     */     
/* 303 */     if (k == 3 && isHiSurrogate((byte)b, arrayOfByte[i + 1]) && i + 5 < j)
/*     */     {
/*     */       
/* 306 */       k = 6;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 312 */       char[] arrayOfChar = new char[2];
/* 313 */       int[] arrayOfInt = new int[1];
/*     */       
/* 315 */       arrayOfInt[0] = k;
/*     */       
/* 317 */       int m = CharacterSet.convertUTFBytesToJavaChars(arrayOfByte, i, arrayOfChar, 0, arrayOfInt, false);
/*     */ 
/*     */       
/* 320 */       paramCharacterWalker.next += k;
/*     */       
/* 322 */       if (m == 1)
/*     */       {
/*     */         
/* 325 */         return arrayOfChar[0];
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 330 */       return arrayOfChar[0] << 16 | arrayOfChar[1];
/*     */     
/*     */     }
/* 333 */     catch (SQLException sQLException) {
/*     */       
/* 335 */       failUTFConversion();
/*     */ 
/*     */       
/* 338 */       return 0;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void encode(CharacterBuffer paramCharacterBuffer, int paramInt) throws SQLException {
/*     */     int i;
/* 361 */     if ((paramInt & 0xFFFF0000) != 0) {
/*     */       
/* 363 */       need(paramCharacterBuffer, 6);
/*     */       
/* 365 */       char[] arrayOfChar = { (char)(paramInt >>> 16), (char)paramInt };
/*     */ 
/*     */ 
/*     */       
/* 369 */       i = CharacterSet.convertJavaCharsToUTFBytes(arrayOfChar, 0, paramCharacterBuffer.bytes, paramCharacterBuffer.next, 2);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 374 */       need(paramCharacterBuffer, 3);
/*     */       
/* 376 */       char[] arrayOfChar = { (char)paramInt };
/*     */ 
/*     */ 
/*     */       
/* 380 */       i = CharacterSet.convertJavaCharsToUTFBytes(arrayOfChar, 0, paramCharacterBuffer.bytes, paramCharacterBuffer.next, 1);
/*     */     } 
/*     */ 
/*     */     
/* 384 */     paramCharacterBuffer.next += i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static int getUTFByteLength(byte paramByte) {
/* 402 */     return m_byteLen[paramByte >>> 4 & 0xF];
/*     */   }
/*     */ 
/*     */   
/*     */   private static boolean isHiSurrogate(byte paramByte1, byte paramByte2) {
/* 407 */     return (paramByte1 == -19 && paramByte2 >= -96);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int encodedByteLength(String paramString) {
/* 420 */     return CharacterSet.stringUTFLength(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int encodedByteLength(char[] paramArrayOfchar) {
/* 433 */     return CharacterSet.charArrayUTF8Length(paramArrayOfchar);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\CharacterSetUTF.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */