/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.SQLException;
/*     */ import oracle.sql.converter.CharacterConverterFactory;
/*     */ import oracle.sql.converter.CharacterConverterFactoryJDBC;
/*     */ import oracle.sql.converter.CharacterConverters;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CharacterSetWithConverter
/*     */   extends CharacterSet
/*     */ {
/*  67 */   public static CharacterConverterFactory ccFactory = (CharacterConverterFactory)new CharacterConverterFactoryJDBC();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   CharacterConverters m_converter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   CharacterSetWithConverter(int paramInt, CharacterConverters paramCharacterConverters) {
/*  80 */     super(paramInt);
/*     */     
/*  82 */     this.m_converter = paramCharacterConverters;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static CharacterSet getInstance(int paramInt) {
/*  92 */     CharacterConverters characterConverters = ccFactory.make(paramInt);
/*     */     
/*  94 */     if (characterConverters == null)
/*     */     {
/*  96 */       return null;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 101 */     CharacterSet1Byte characterSet1Byte = null;
/*     */     
/* 103 */     if ((characterSet1Byte = CharacterSet1Byte.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 106 */       return characterSet1Byte;
/*     */     }
/*     */     
/*     */     CharacterSetSJIS characterSetSJIS;
/*     */     
/* 111 */     if ((characterSetSJIS = CharacterSetSJIS.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 114 */       return characterSetSJIS;
/*     */     }
/*     */     CharacterSetShift characterSetShift;
/* 117 */     if ((characterSetShift = CharacterSetShift.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 120 */       return characterSetShift;
/*     */     }
/*     */     CharacterSet2ByteFixed characterSet2ByteFixed;
/* 123 */     if ((characterSet2ByteFixed = CharacterSet2ByteFixed.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 126 */       return characterSet2ByteFixed;
/*     */     }
/*     */     CharacterSetGB18030 characterSetGB18030;
/* 129 */     if ((characterSetGB18030 = CharacterSetGB18030.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 132 */       return characterSetGB18030;
/*     */     }
/*     */     CharacterSet12Byte characterSet12Byte;
/* 135 */     if ((characterSet12Byte = CharacterSet12Byte.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 138 */       return characterSet12Byte;
/*     */     }
/*     */     CharacterSetJAEUC characterSetJAEUC;
/* 141 */     if ((characterSetJAEUC = CharacterSetJAEUC.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 144 */       return characterSetJAEUC;
/*     */     }
/*     */     CharacterSetZHTEUC characterSetZHTEUC;
/* 147 */     if ((characterSetZHTEUC = CharacterSetZHTEUC.getInstance(paramInt, characterConverters)) != null)
/*     */     {
/*     */       
/* 150 */       return characterSetZHTEUC;
/*     */     }
/*     */ 
/*     */     
/* 154 */     return CharacterSetLCFixed.getInstance(paramInt, characterConverters);
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isLossyFrom(CharacterSet paramCharacterSet) {
/* 159 */     return (paramCharacterSet.getOracleId() != getOracleId());
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean isConvertibleFrom(CharacterSet paramCharacterSet) {
/* 164 */     return (paramCharacterSet.getOracleId() == getOracleId());
/*     */   }
/*     */ 
/*     */   
/*     */   public String toStringWithReplacement(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) {
/* 169 */     return this.m_converter.toUnicodeStringWithReplacement(paramArrayOfbyte, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 175 */     return this.m_converter.toUnicodeString(paramArrayOfbyte, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */   
/*     */   public byte[] convert(String paramString) throws SQLException {
/* 180 */     return this.m_converter.toOracleString(paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public byte[] convertWithReplacement(String paramString) {
/* 185 */     return this.m_converter.toOracleStringWithReplacement(paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] convert(CharacterSet paramCharacterSet, byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/* 191 */     if (paramCharacterSet.getOracleId() == getOracleId())
/*     */     {
/* 193 */       return useOrCopy(paramArrayOfbyte, paramInt1, paramInt2);
/*     */     }
/*     */ 
/*     */     
/* 197 */     return convert(paramCharacterSet.toString(paramArrayOfbyte, paramInt1, paramInt2));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\CharacterSetWithConverter.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */