/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.StreamCorruptedException;
/*     */ import java.net.URL;
/*     */ import java.util.zip.ZipEntry;
/*     */ import java.util.zip.ZipFile;
/*     */ import java.util.zip.ZipInputStream;
/*     */ import java.util.zip.ZipOutputStream;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ConverterArchive
/*     */ {
/*     */   private String m_izipName;
/*  86 */   private FileOutputStream m_ifStream = null;
/*  87 */   private ZipOutputStream m_izStream = null;
/*  88 */   private InputStream m_riStream = null;
/*  89 */   private ZipFile m_rzipFile = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static final String TEMPFILE = "gsstemp.zip";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void openArchiveforInsert(String paramString) {
/* 104 */     this.m_izipName = paramString;
/*     */ 
/*     */ 
/*     */     
/* 108 */     try { this.m_ifStream = new FileOutputStream(this.m_izipName);
/* 109 */       this.m_izStream = new ZipOutputStream(this.m_ifStream); }
/*     */     
/* 111 */     catch (FileNotFoundException fileNotFoundException) {  }
/* 112 */     catch (IOException iOException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void closeArchiveforInsert() {
/*     */     try {
/* 120 */       this.m_izStream.close();
/* 121 */       this.m_ifStream.close();
/*     */     }
/* 123 */     catch (IOException iOException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void insertObj(Object paramObject, String paramString) {
/* 131 */     ZipEntry zipEntry = null;
/* 132 */     ObjectOutputStream objectOutputStream = null;
/*     */     
/* 134 */     zipEntry = new ZipEntry(paramString);
/*     */ 
/*     */     
/*     */     try {
/* 138 */       this.m_izStream.putNextEntry(zipEntry);
/*     */       
/* 140 */       objectOutputStream = new ObjectOutputStream(this.m_izStream);
/*     */       
/* 142 */       objectOutputStream.writeObject(paramObject);
/* 143 */       objectOutputStream.close();
/* 144 */       this.m_izStream.closeEntry();
/*     */     }
/* 146 */     catch (IOException iOException) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void insertSingleObj(String paramString1, Object paramObject, String paramString2) throws IOException {
/* 156 */     FileInputStream fileInputStream = null;
/* 157 */     ZipInputStream zipInputStream = null;
/* 158 */     FileOutputStream fileOutputStream = null;
/* 159 */     ZipOutputStream zipOutputStream = null;
/* 160 */     ZipEntry zipEntry = null;
/*     */     
/* 162 */     ObjectInputStream objectInputStream = null;
/* 163 */     ObjectOutputStream objectOutputStream = null;
/*     */ 
/*     */     
/* 166 */     File file = new File(paramString1);
/*     */ 
/*     */     
/* 169 */     if (file.isFile()) {
/*     */ 
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 177 */         fileInputStream = new FileInputStream(paramString1);
/* 178 */         zipInputStream = new ZipInputStream(fileInputStream);
/*     */ 
/*     */         
/* 181 */         fileOutputStream = new FileOutputStream("gsstemp.zip");
/* 182 */         zipOutputStream = new ZipOutputStream(fileOutputStream);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 189 */         int i = zipInputStream.available();
/*     */         
/* 191 */         while (zipInputStream.available() != 0) {
/*     */           
/* 193 */           zipEntry = zipInputStream.getNextEntry();
/*     */           
/* 195 */           if (zipEntry != null && !zipEntry.getName().equals(paramString2)) {
/*     */ 
/*     */ 
/*     */             
/* 199 */             zipOutputStream.putNextEntry(zipEntry);
/*     */             
/* 201 */             objectInputStream = new ObjectInputStream(zipInputStream);
/* 202 */             objectOutputStream = new ObjectOutputStream(zipOutputStream);
/* 203 */             Object object = objectInputStream.readObject();
/*     */             
/* 205 */             objectOutputStream.writeObject(object);
/*     */           } 
/*     */         } 
/*     */ 
/*     */         
/* 210 */         zipEntry = new ZipEntry(paramString2);
/*     */         
/* 212 */         zipOutputStream.putNextEntry(zipEntry);
/*     */         
/* 214 */         objectOutputStream = new ObjectOutputStream(zipOutputStream);
/*     */         
/* 216 */         objectOutputStream.writeObject(paramObject);
/* 217 */         objectOutputStream.close();
/* 218 */         zipInputStream.close();
/*     */ 
/*     */       
/*     */       }
/* 222 */       catch (FileNotFoundException fileNotFoundException) {
/*     */         
/* 224 */         throw new IOException(fileNotFoundException.getMessage());
/*     */       }
/* 226 */       catch (StreamCorruptedException streamCorruptedException) {
/*     */         
/* 228 */         throw new IOException(streamCorruptedException.getMessage());
/*     */       }
/* 230 */       catch (IOException iOException) {
/*     */         
/* 232 */         throw iOException;
/*     */       }
/* 234 */       catch (ClassNotFoundException classNotFoundException) {
/*     */         
/* 236 */         throw new IOException(classNotFoundException.getMessage());
/*     */       } 
/*     */       
/* 239 */       File file1 = new File("gsstemp.zip");
/*     */       
/* 241 */       file.delete();
/*     */ 
/*     */       
/*     */       try {
/* 245 */         if (!file1.renameTo(file)) {
/* 246 */           throw new IOException("can't write to target file " + paramString1);
/*     */         }
/* 248 */       } catch (SecurityException securityException) {
/*     */         
/* 250 */         throw new IOException(securityException.getMessage());
/*     */ 
/*     */       
/*     */       }
/* 254 */       catch (NullPointerException nullPointerException) {
/*     */         
/* 256 */         throw new IOException(nullPointerException.getMessage());
/*     */       } 
/*     */     } else {
/*     */ 
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 269 */         fileOutputStream = new FileOutputStream(paramString1);
/* 270 */         zipOutputStream = new ZipOutputStream(fileOutputStream);
/* 271 */         zipEntry = new ZipEntry(paramString2);
/*     */         
/* 273 */         zipOutputStream.putNextEntry(zipEntry);
/*     */         
/* 275 */         objectOutputStream = new ObjectOutputStream(zipOutputStream);
/*     */         
/* 277 */         objectOutputStream.writeObject(paramObject);
/* 278 */         objectOutputStream.close();
/*     */       }
/* 280 */       catch (FileNotFoundException fileNotFoundException) {
/*     */         
/* 282 */         throw new IOException(fileNotFoundException.getMessage());
/*     */       }
/* 284 */       catch (StreamCorruptedException streamCorruptedException) {
/*     */         
/* 286 */         throw new IOException(streamCorruptedException.getMessage());
/*     */       }
/* 288 */       catch (IOException iOException) {
/*     */         
/* 290 */         throw iOException;
/*     */       } 
/*     */     } 
/*     */     
/* 294 */     System.out.print(paramString2 + " has been successfully stored in ");
/* 295 */     System.out.println(paramString1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void insertObjtoFile(String paramString1, String paramString2, Object paramObject) throws IOException {
/* 305 */     File file1 = new File(paramString1);
/* 306 */     File file2 = new File(paramString1 + paramString2);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 311 */     if (!file1.isDirectory())
/*     */     {
/*     */ 
/*     */       
/* 315 */       throw new IOException("directory " + paramString1 + " doesn't exist");
/*     */     }
/*     */     
/* 318 */     if (file2.exists()) {
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */         
/* 324 */         file2.delete();
/*     */       }
/* 326 */       catch (SecurityException securityException) {
/*     */         
/* 328 */         throw new IOException("file exist, can't overwrite file.");
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*     */     try {
/* 334 */       FileOutputStream fileOutputStream = new FileOutputStream(file2);
/* 335 */       ObjectOutputStream objectOutputStream = new ObjectOutputStream(fileOutputStream);
/*     */       
/* 337 */       objectOutputStream.writeObject(paramObject);
/* 338 */       objectOutputStream.close();
/*     */     }
/* 340 */     catch (FileNotFoundException fileNotFoundException) {
/*     */       
/* 342 */       throw new IOException("file can't be created.");
/*     */     } 
/*     */     
/* 345 */     System.out.print(paramString2 + " has been successfully stored in ");
/* 346 */     System.out.println(paramString1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void openArchiveforRead() {
/*     */     try {
/* 356 */       this.m_rzipFile = new ZipFile(this.m_izipName);
/*     */     }
/* 358 */     catch (IOException iOException) {
/*     */       
/* 360 */       iOException.printStackTrace();
/* 361 */       System.exit(0);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void closeArchiveforRead() {
/*     */     try {
/* 369 */       this.m_rzipFile.close();
/*     */     }
/* 371 */     catch (IOException iOException) {
/*     */       
/* 373 */       iOException.printStackTrace();
/* 374 */       System.exit(0);
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public Object readObj(String paramString) {
/* 380 */     URL uRL = getClass().getResource(paramString);
/*     */     
/* 382 */     if (uRL == null) {
/* 383 */       return null;
/*     */     }
/*     */     
/*     */     try {
/* 387 */       InputStream inputStream = uRL.openStream();
/* 388 */       ObjectInputStream objectInputStream = null;
/* 389 */       Object object = null;
/*     */       
/* 391 */       objectInputStream = new ObjectInputStream(inputStream);
/* 392 */       object = objectInputStream.readObject();
/*     */       
/* 394 */       return object;
/*     */     }
/* 396 */     catch (IOException iOException) {
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 402 */     catch (ClassNotFoundException classNotFoundException) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 409 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object readObj(String paramString1, String paramString2) {
/*     */     
/* 422 */     try { FileInputStream fileInputStream = new FileInputStream(paramString1);
/* 423 */       ZipInputStream zipInputStream = new ZipInputStream(fileInputStream);
/* 424 */       ZipEntry zipEntry = null;
/* 425 */       ObjectInputStream objectInputStream = null;
/* 426 */       Object object = null;
/* 427 */       int i = zipInputStream.available();
/*     */       
/* 429 */       while (zipInputStream.available() != 0) {
/*     */         
/* 431 */         zipEntry = zipInputStream.getNextEntry();
/*     */         
/* 433 */         if (zipEntry != null && zipEntry.getName().equals(paramString2)) {
/*     */ 
/*     */ 
/*     */           
/* 437 */           objectInputStream = new ObjectInputStream(zipInputStream);
/* 438 */           object = objectInputStream.readObject();
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */       
/* 444 */       zipInputStream.close();
/*     */       
/* 446 */       return object; }
/*     */     
/* 448 */     catch (IOException iOException) {  }
/* 449 */     catch (ClassNotFoundException classNotFoundException) {}
/*     */     
/* 451 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 471 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:32_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\ConverterArchive.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */