/*      */ package oracle.sql;
/*      */ 
/*      */ import java.sql.Date;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Time;
/*      */ import java.sql.Timestamp;
/*      */ import java.text.ParseException;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.Calendar;
/*      */ import java.util.Date;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class DATE
/*      */   extends Datum
/*      */ {
/*      */   public static final int BDA = 1;
/*      */   public static final int BDAL = 2;
/*      */   public static final int BMO = 4;
/*      */   public static final int BMOL = 8;
/*      */   public static final int BYR = 16;
/*      */   public static final int BYRL = 32;
/*      */   public static final int BHR = 64;
/*      */   public static final int BHRL = 128;
/*      */   public static final int BMN = 256;
/*      */   public static final int BMNL = 512;
/*      */   public static final int BSC = 1024;
/*      */   public static final int BSCL = 2048;
/*      */   public static final int MSD = 4096;
/*      */   public static final int YR0 = 8192;
/*      */   public static final int BDT = 32768;
/*      */   public static final int HRZER0 = 65536;
/*      */   public static final int MIZERO = 131072;
/*      */   public static final int SEZERO = 262144;
/*      */   private static final byte LDXTCE = 0;
/*      */   private static final byte LDXTYE = 1;
/*      */   private static final byte LDXTMO = 2;
/*      */   private static final byte LDXTDA = 3;
/*      */   private static final byte LDXTHO = 4;
/*      */   private static final byte LDXTMI = 5;
/*      */   private static final byte LDXTSE = 6;
/*      */   private static LdxLib _sldxlib;
/*      */   
/*      */   public DATE() {
/*   59 */     super(_initDate());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(byte[] paramArrayOfbyte) {
/*   70 */     super(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Date paramDate) {
/*   82 */     super(toBytes(paramDate));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Time paramTime) {
/*   94 */     super(toBytes(paramTime));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Timestamp paramTimestamp) {
/*  106 */     super(toBytes(paramTimestamp));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Date paramDate, Calendar paramCalendar) {
/*  120 */     super(toBytes(paramDate, paramCalendar));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Time paramTime, Calendar paramCalendar) {
/*  134 */     super(toBytes(paramTime, paramCalendar));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Timestamp paramTimestamp, Calendar paramCalendar) {
/*  148 */     super(toBytes(paramTimestamp, paramCalendar));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(String paramString) {
/*  161 */     super(toBytes(paramString));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(String paramString, boolean paramBoolean) throws ParseException {
/*  177 */     super(toBytes(paramString));
/*  178 */     if (!paramBoolean) {
/*      */ 
/*      */ 
/*      */       
/*  182 */       SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-mm-dd hh:mm:ss");
/*      */ 
/*      */       
/*  185 */       simpleDateFormat.setLenient(false);
/*      */       
/*  187 */       Date date = simpleDateFormat.parse(paramString);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(String paramString, Calendar paramCalendar) {
/*  202 */     super(toBytes(paramString, paramCalendar));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Object paramObject) throws SQLException {
/*  215 */     if (paramObject instanceof Date) {
/*  216 */       setShareBytes(toBytes((Date)paramObject));
/*  217 */     } else if (paramObject instanceof Time) {
/*  218 */       setShareBytes(toBytes((Time)paramObject));
/*  219 */     } else if (paramObject instanceof Timestamp) {
/*  220 */       setShareBytes(toBytes((Timestamp)paramObject));
/*  221 */     } else if (paramObject instanceof String) {
/*  222 */       setShareBytes(toBytes((String)paramObject));
/*      */     } else {
/*  224 */       throw new SQLException("Initialization failed");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE(Object paramObject, Calendar paramCalendar) throws SQLException {
/*  240 */     if (paramObject instanceof Date) {
/*  241 */       setShareBytes(toBytes((Date)paramObject, paramCalendar));
/*  242 */     } else if (paramObject instanceof Time) {
/*  243 */       setShareBytes(toBytes((Time)paramObject, paramCalendar));
/*  244 */     } else if (paramObject instanceof Timestamp) {
/*  245 */       setShareBytes(toBytes((Timestamp)paramObject, paramCalendar));
/*  246 */     } else if (paramObject instanceof String) {
/*  247 */       setShareBytes(toBytes((String)paramObject, paramCalendar));
/*      */     } else {
/*  249 */       throw new SQLException("Initialization failed");
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Date toDate(byte[] paramArrayOfbyte) {
/*  270 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  275 */     for (i = 0; i < 7; i++) {
/*  276 */       arrayOfInt[i] = paramArrayOfbyte[i] & 0xFF;
/*      */     }
/*      */ 
/*      */     
/*  280 */     i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*  281 */     int j = i - 1900;
/*      */     
/*  283 */     if (i <= 0) {
/*  284 */       j++;
/*      */     }
/*  286 */     return new Date(j, arrayOfInt[2] - 1, arrayOfInt[3]);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Time toTime(byte[] paramArrayOfbyte) {
/*  298 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  303 */     for (byte b = 0; b < 7; b++) {
/*  304 */       arrayOfInt[b] = paramArrayOfbyte[b] & 0xFF;
/*      */     }
/*  306 */     return new Time(arrayOfInt[4] - 1, arrayOfInt[5] - 1, arrayOfInt[6] - 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Timestamp toTimestamp(byte[] paramArrayOfbyte) {
/*  319 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  324 */     for (i = 0; i < 7; i++) {
/*  325 */       arrayOfInt[i] = paramArrayOfbyte[i] & 0xFF;
/*      */     }
/*      */     
/*  328 */     i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*  329 */     int j = i - 1900;
/*      */     
/*  331 */     if (i <= 0) {
/*  332 */       j++;
/*      */     }
/*  334 */     return new Timestamp(j, arrayOfInt[2] - 1, arrayOfInt[3], arrayOfInt[4] - 1, arrayOfInt[5] - 1, arrayOfInt[6] - 1, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Date toDate(byte[] paramArrayOfbyte, Calendar paramCalendar) {
/*  351 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  356 */     for (i = 0; i < 7; i++) {
/*  357 */       arrayOfInt[i] = paramArrayOfbyte[i] & 0xFF;
/*      */     }
/*      */     
/*  360 */     i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*      */     
/*  362 */     if (paramCalendar == null) {
/*  363 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  365 */     paramCalendar.clear();
/*      */     
/*  367 */     paramCalendar.set(1, i);
/*  368 */     paramCalendar.set(2, arrayOfInt[2] - 1);
/*  369 */     paramCalendar.set(5, arrayOfInt[3]);
/*  370 */     paramCalendar.set(11, 0);
/*  371 */     paramCalendar.set(12, 0);
/*  372 */     paramCalendar.set(13, 0);
/*  373 */     paramCalendar.set(14, 0);
/*      */     
/*  375 */     return new Date(paramCalendar.getTime().getTime());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Time toTime(byte[] paramArrayOfbyte, Calendar paramCalendar) {
/*  392 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  397 */     for (i = 0; i < 7; i++) {
/*  398 */       arrayOfInt[i] = paramArrayOfbyte[i] & 0xFF;
/*      */     }
/*  400 */     i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*      */     
/*  402 */     if (paramCalendar == null) {
/*  403 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  405 */     paramCalendar.clear();
/*      */     
/*  407 */     paramCalendar.set(1, 1970);
/*  408 */     paramCalendar.set(2, 0);
/*  409 */     paramCalendar.set(5, 1);
/*  410 */     paramCalendar.set(11, arrayOfInt[4] - 1);
/*  411 */     paramCalendar.set(12, arrayOfInt[5] - 1);
/*  412 */     paramCalendar.set(13, arrayOfInt[6] - 1);
/*  413 */     paramCalendar.set(14, 0);
/*      */     
/*  415 */     return new Time(paramCalendar.getTime().getTime());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Timestamp toTimestamp(byte[] paramArrayOfbyte, Calendar paramCalendar) {
/*  431 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  436 */     for (i = 0; i < 7; i++) {
/*  437 */       arrayOfInt[i] = paramArrayOfbyte[i] & 0xFF;
/*      */     }
/*      */     
/*  440 */     i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*      */     
/*  442 */     if (paramCalendar == null) {
/*  443 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  445 */     paramCalendar.clear();
/*      */     
/*  447 */     paramCalendar.set(1, i);
/*  448 */     paramCalendar.set(2, arrayOfInt[2] - 1);
/*  449 */     paramCalendar.set(5, arrayOfInt[3]);
/*  450 */     paramCalendar.set(11, arrayOfInt[4] - 1);
/*  451 */     paramCalendar.set(12, arrayOfInt[5] - 1);
/*  452 */     paramCalendar.set(13, arrayOfInt[6] - 1);
/*  453 */     paramCalendar.set(14, 0);
/*      */     
/*  455 */     return new Timestamp(paramCalendar.getTime().getTime());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String toString(byte[] paramArrayOfbyte) {
/*  470 */     int[] arrayOfInt = new int[7];
/*      */ 
/*      */     
/*  473 */     for (byte b = 0; b < 7; b++) {
/*      */       
/*  475 */       if (paramArrayOfbyte[b] < 0) {
/*  476 */         arrayOfInt[b] = paramArrayOfbyte[b] + 256;
/*      */       } else {
/*  478 */         arrayOfInt[b] = paramArrayOfbyte[b];
/*      */       } 
/*      */     } 
/*  481 */     arrayOfInt[4] = arrayOfInt[4] - 1;
/*  482 */     arrayOfInt[5] = arrayOfInt[5] - 1;
/*  483 */     arrayOfInt[6] = arrayOfInt[6] - 1;
/*      */     
/*  485 */     int i = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*      */     
/*  487 */     return arrayOfInt[2] + "/" + arrayOfInt[3] + "/" + i + " " + arrayOfInt[4] + ":" + arrayOfInt[5] + ":" + arrayOfInt[6];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] toBytes() {
/*  501 */     return getBytes();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Date paramDate) {
/*  512 */     if (paramDate == null) {
/*  513 */       return null;
/*      */     }
/*  515 */     byte[] arrayOfByte = new byte[7];
/*  516 */     Calendar calendar = Calendar.getInstance();
/*      */ 
/*      */     
/*  519 */     calendar.setTime(paramDate);
/*      */ 
/*      */     
/*  522 */     int i = calendar.get(1);
/*      */     
/*  524 */     if (calendar.get(0) == 0) {
/*  525 */       i = -(i - 1);
/*      */     }
/*  527 */     arrayOfByte[0] = (byte)(i / 100 + 100);
/*  528 */     arrayOfByte[1] = (byte)(i % 100 + 100);
/*  529 */     arrayOfByte[2] = (byte)(calendar.get(2) + 1);
/*  530 */     arrayOfByte[3] = (byte)calendar.get(5);
/*  531 */     arrayOfByte[4] = 1;
/*  532 */     arrayOfByte[5] = 1;
/*  533 */     arrayOfByte[6] = 1;
/*      */     
/*  535 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Time paramTime) {
/*  546 */     if (paramTime == null) {
/*  547 */       return null;
/*      */     }
/*  549 */     byte[] arrayOfByte = new byte[7];
/*  550 */     Calendar calendar = Calendar.getInstance();
/*      */     
/*  552 */     calendar.setTime(paramTime);
/*      */ 
/*      */     
/*  555 */     int i = calendar.get(1);
/*      */     
/*  557 */     arrayOfByte[0] = 119;
/*  558 */     arrayOfByte[1] = 100;
/*  559 */     arrayOfByte[2] = 1;
/*  560 */     arrayOfByte[3] = 1;
/*  561 */     arrayOfByte[4] = (byte)(calendar.get(11) + 1);
/*  562 */     arrayOfByte[5] = (byte)(calendar.get(12) + 1);
/*  563 */     arrayOfByte[6] = (byte)(calendar.get(13) + 1);
/*      */     
/*  565 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Timestamp paramTimestamp) {
/*  576 */     if (paramTimestamp == null) {
/*  577 */       return null;
/*      */     }
/*  579 */     byte[] arrayOfByte = new byte[7];
/*  580 */     Calendar calendar = Calendar.getInstance();
/*      */     
/*  582 */     calendar.setTime(paramTimestamp);
/*      */ 
/*      */     
/*  585 */     int i = calendar.get(1);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  590 */     if (calendar.get(0) == 0)
/*  591 */       i = -i; 
/*  592 */     arrayOfByte[0] = (byte)(i / 100 + 100);
/*  593 */     arrayOfByte[1] = (byte)(i % 100 + 100);
/*  594 */     arrayOfByte[2] = (byte)(calendar.get(2) + 1);
/*  595 */     arrayOfByte[3] = (byte)calendar.get(5);
/*  596 */     arrayOfByte[4] = (byte)(calendar.get(11) + 1);
/*  597 */     arrayOfByte[5] = (byte)(calendar.get(12) + 1);
/*  598 */     arrayOfByte[6] = (byte)(calendar.get(13) + 1);
/*      */     
/*  600 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Date paramDate, Calendar paramCalendar) {
/*  613 */     if (paramDate == null) {
/*  614 */       return null;
/*      */     }
/*  616 */     if (paramCalendar == null) {
/*  617 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  619 */     paramCalendar.clear();
/*  620 */     paramCalendar.setTime(paramDate);
/*      */     
/*  622 */     byte[] arrayOfByte = new byte[7];
/*      */ 
/*      */     
/*  625 */     int i = paramCalendar.get(1);
/*      */ 
/*      */ 
/*      */     
/*  629 */     if (paramCalendar.get(0) == 0) {
/*  630 */       i = -(i - 1);
/*      */     }
/*  632 */     arrayOfByte[0] = (byte)(i / 100 + 100);
/*  633 */     arrayOfByte[1] = (byte)(i % 100 + 100);
/*  634 */     arrayOfByte[2] = (byte)(paramCalendar.get(2) + 1);
/*  635 */     arrayOfByte[3] = (byte)paramCalendar.get(5);
/*  636 */     arrayOfByte[4] = 1;
/*  637 */     arrayOfByte[5] = 1;
/*  638 */     arrayOfByte[6] = 1;
/*      */     
/*  640 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Time paramTime, Calendar paramCalendar) {
/*  653 */     if (paramTime == null) {
/*  654 */       return null;
/*      */     }
/*  656 */     if (paramCalendar == null) {
/*  657 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  659 */     paramCalendar.clear();
/*  660 */     paramCalendar.setTime(paramTime);
/*      */     
/*  662 */     byte[] arrayOfByte = new byte[7];
/*      */     
/*  664 */     arrayOfByte[0] = 119;
/*  665 */     arrayOfByte[1] = 100;
/*  666 */     arrayOfByte[2] = 1;
/*  667 */     arrayOfByte[3] = 1;
/*  668 */     arrayOfByte[4] = (byte)(paramCalendar.get(11) + 1);
/*  669 */     arrayOfByte[5] = (byte)(paramCalendar.get(12) + 1);
/*  670 */     arrayOfByte[6] = (byte)(paramCalendar.get(13) + 1);
/*      */     
/*  672 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(Timestamp paramTimestamp, Calendar paramCalendar) {
/*  685 */     if (paramTimestamp == null) {
/*  686 */       return null;
/*      */     }
/*  688 */     if (paramCalendar == null) {
/*  689 */       paramCalendar = Calendar.getInstance();
/*      */     }
/*  691 */     paramCalendar.clear();
/*  692 */     paramCalendar.setTime(paramTimestamp);
/*      */ 
/*      */     
/*  695 */     byte[] arrayOfByte = new byte[7];
/*      */ 
/*      */     
/*  698 */     int i = paramCalendar.get(1);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  703 */     if (paramCalendar.get(0) == 0) {
/*  704 */       i = -i;
/*      */     }
/*  706 */     arrayOfByte[0] = (byte)(i / 100 + 100);
/*  707 */     arrayOfByte[1] = (byte)(i % 100 + 100);
/*  708 */     arrayOfByte[2] = (byte)(paramCalendar.get(2) + 1);
/*  709 */     arrayOfByte[3] = (byte)paramCalendar.get(5);
/*  710 */     arrayOfByte[4] = (byte)(paramCalendar.get(11) + 1);
/*  711 */     arrayOfByte[5] = (byte)(paramCalendar.get(12) + 1);
/*  712 */     arrayOfByte[6] = (byte)(paramCalendar.get(13) + 1);
/*      */     
/*  714 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(String paramString) {
/*  724 */     return toBytes(Timestamp.valueOf(paramString));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] toBytes(String paramString, Calendar paramCalendar) {
/*  736 */     return toBytes(Timestamp.valueOf(paramString), paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date dateValue() {
/*  752 */     return toDate(getBytes());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time timeValue() {
/*  762 */     return toTime(getBytes());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp timestampValue() {
/*  772 */     return toTimestamp(getBytes());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Date dateValue(Calendar paramCalendar) {
/*  783 */     return toDate(getBytes(), paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Time timeValue(Calendar paramCalendar) {
/*  794 */     return toTime(getBytes(), paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Timestamp timestampValue(Calendar paramCalendar) {
/*  806 */     return toTimestamp(getBytes(), paramCalendar);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String stringValue() {
/*  816 */     return toString(getBytes());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object toJdbc() {
/*  826 */     return timestampValue();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Object makeJdbcArray(int paramInt) {
/*  837 */     return new Timestamp[paramInt];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isConvertibleTo(Class paramClass) {
/*  851 */     if (paramClass.getName().compareTo("java.sql.Date") == 0 || paramClass.getName().compareTo("java.sql.Time") == 0 || paramClass.getName().compareTo("java.sql.Timestamp") == 0 || paramClass.getName().compareTo("java.lang.String") == 0)
/*      */     {
/*      */ 
/*      */       
/*  855 */       return true;
/*      */     }
/*  857 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE addJulianDays(int paramInt1, int paramInt2) throws SQLException {
/*  876 */     return new DATE(_getLdxLib().ldxads(shareBytes(), paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE addMonths(int paramInt) throws SQLException {
/*  892 */     return new DATE(_getLdxLib().ldxadm(shareBytes(), paramInt));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void diffInJulianDays(DATE paramDATE, int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/*  908 */     _getLdxLib().ldxsub(shareBytes(), paramDATE.shareBytes(), paramArrayOfint1, paramArrayOfint2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public NUMBER diffInMonths(DATE paramDATE) throws SQLException {
/*  922 */     return new NUMBER(_getLdxLib().ldxsbm(shareBytes(), paramDATE.shareBytes()));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DATE getCurrentDate() throws SQLException {
/*  935 */     return new DATE(_getLdxLib().ldxgdt());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int checkValidity(byte[] paramArrayOfbyte) throws SQLException {
/*  969 */     return _getLdxLib().ldxchk(paramArrayOfbyte);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DATE fromJulianDays(int paramInt1, int paramInt2) throws SQLException {
/*  985 */     return new DATE(_getLdxLib().ldxdfd(paramInt1, paramInt2));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DATE fromText(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 1069 */     return new DATE(_getLdxLib().ldxstd(paramString1, paramString2, paramString3));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE lastDayOfMonth() throws SQLException {
/* 1081 */     return new DATE(_getLdxLib().ldxldd(shareBytes()));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void numberToJulianDays(NUMBER paramNUMBER, int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/* 1096 */     _getLdxLib().ldxftd(paramNUMBER.toBytes(), paramArrayOfint1, paramArrayOfint2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE round(String paramString) throws SQLException {
/* 1109 */     return new DATE(_getLdxLib().ldxrnd(shareBytes(), paramString));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE setDayOfWeek(int paramInt) throws SQLException {
/* 1123 */     return new DATE(_getLdxLib().ldxnxd(shareBytes(), paramInt));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void toJulianDays(int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/* 1138 */     _getLdxLib().ldxdtd(shareBytes(), paramArrayOfint1, paramArrayOfint2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public NUMBER toNumber() throws SQLException {
/* 1150 */     return new NUMBER(_getLdxLib().ldxdyf(shareBytes()));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String toText(String paramString1, String paramString2) throws SQLException {
/* 1165 */     return _getLdxLib().ldxdts(shareBytes(), paramString1, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String toText(byte[] paramArrayOfbyte, String paramString) throws SQLException {
/* 1180 */     return _getLdxLib().ldxdts(shareBytes(), paramArrayOfbyte, paramString);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static byte[] parseFormat(String paramString1, String paramString2) throws SQLException {
/* 1196 */     return _getLdxLib().ldxsto(paramString1, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public DATE truncate(String paramString) throws SQLException {
/* 1210 */     return new DATE(_getLdxLib().ldxtrn(shareBytes(), paramString));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int compareTo(DATE paramDATE) {
/* 1224 */     return compareBytes(shareBytes(), paramDATE.shareBytes());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static byte[] _initDate() {
/* 1378 */     byte[] arrayOfByte = new byte[7];
/*      */     
/* 1380 */     arrayOfByte[0] = 119;
/* 1381 */     arrayOfByte[1] = -86;
/* 1382 */     arrayOfByte[2] = 1;
/* 1383 */     arrayOfByte[3] = 1;
/* 1384 */     arrayOfByte[4] = 1;
/* 1385 */     arrayOfByte[5] = 1;
/* 1386 */     arrayOfByte[6] = 1;
/*      */     
/* 1388 */     return arrayOfByte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static LdxLib _getLdxLib() {
/* 1398 */     if (_sldxlib == null) {
/*      */       
/*      */       try {
/*      */ 
/*      */         
/* 1403 */         if (System.getProperty("oracle.jserver.version") != null)
/*      */         {
/* 1405 */           _sldxlib = new LdxLibServer();
/*      */         }
/*      */         else
/*      */         {
/* 1409 */           _sldxlib = new LdxLibThin();
/*      */         }
/*      */       
/* 1412 */       } catch (SecurityException securityException) {
/*      */         
/* 1414 */         _sldxlib = new LdxLibThin();
/*      */       } 
/*      */     }
/*      */     
/* 1418 */     return _sldxlib;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static void _printBytes(byte[] paramArrayOfbyte) {
/* 1430 */     System.out.println(toString(paramArrayOfbyte));
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\DATE.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */