/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.io.Serializable;
/*     */ import java.math.BigDecimal;
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Time;
/*     */ import java.sql.Timestamp;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class Datum
/*     */   implements Serializable
/*     */ {
/*     */   private byte[] data;
/*     */   static final long serialVersionUID = 4645732484621936751L;
/*     */   
/*     */   public Datum() {}
/*     */   
/*     */   public Datum(byte[] paramArrayOfbyte) {
/*  43 */     this.data = paramArrayOfbyte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/*  57 */     if (this == paramObject)
/*  58 */       return true; 
/*  59 */     if (paramObject == null || !(paramObject instanceof Datum))
/*  60 */       return false; 
/*  61 */     if (getClass() == paramObject.getClass()) {
/*     */       
/*  63 */       Datum datum = (Datum)paramObject;
/*     */ 
/*     */ 
/*     */       
/*  67 */       if (this.data == null && datum.data == null)
/*  68 */         return true; 
/*  69 */       if ((this.data == null && datum.data != null) || (this.data != null && datum.data == null))
/*     */       {
/*  71 */         return false;
/*     */       }
/*  73 */       if (this.data.length != datum.data.length) {
/*  74 */         return false;
/*     */       }
/*  76 */       for (byte b = 0; b < this.data.length; b++) {
/*     */         
/*  78 */         if (this.data[b] != datum.data[b]) {
/*  79 */           return false;
/*     */         }
/*     */       } 
/*  82 */       return true;
/*     */     } 
/*     */     
/*  85 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] shareBytes() {
/*  98 */     return this.data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long getLength() {
/* 108 */     if (null == this.data) {
/* 109 */       return 0L;
/*     */     }
/* 111 */     return this.data.length;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBytes(byte[] paramArrayOfbyte) {
/* 121 */     int i = paramArrayOfbyte.length;
/* 122 */     this.data = new byte[i];
/* 123 */     System.arraycopy(paramArrayOfbyte, 0, this.data, 0, i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setShareBytes(byte[] paramArrayOfbyte) {
/* 133 */     this.data = paramArrayOfbyte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getBytes() {
/* 156 */     byte[] arrayOfByte = new byte[this.data.length];
/* 157 */     System.arraycopy(this.data, 0, arrayOfByte, 0, this.data.length);
/* 158 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream getStream() {
/* 170 */     return new ByteArrayInputStream(this.data);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String stringValue() throws SQLException {
/* 181 */     throw new SQLException("Conversion to String failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean booleanValue() throws SQLException {
/* 192 */     throw new SQLException("Conversion to boolean failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int intValue() throws SQLException {
/* 203 */     throw new SQLException("Conversion to integer failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long longValue() throws SQLException {
/* 214 */     throw new SQLException("Conversion to long failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float floatValue() throws SQLException {
/* 225 */     throw new SQLException("Conversion to float failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double doubleValue() throws SQLException {
/* 236 */     throw new SQLException("Conversion to double failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte byteValue() throws SQLException {
/* 247 */     throw new SQLException("Conversion to byte failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public BigDecimal bigDecimalValue() throws SQLException {
/* 258 */     throw new SQLException("Conversion to BigDecimal failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Date dateValue() throws SQLException {
/* 269 */     throw new SQLException("Conversion to Date failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Time timeValue() throws SQLException {
/* 280 */     throw new SQLException("Conversion to Time failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Timestamp timestampValue() throws SQLException {
/* 291 */     throw new SQLException("Conversion to Timestamp failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Reader characterStreamValue() throws SQLException {
/* 302 */     throw new SQLException("Conversion to character stream failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream asciiStreamValue() throws SQLException {
/* 313 */     throw new SQLException("Conversion to ascii stream failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream binaryStreamValue() throws SQLException {
/* 324 */     throw new SQLException("Conversion to binary stream failed");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract boolean isConvertibleTo(Class paramClass);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract Object toJdbc() throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract Object makeJdbcArray(int paramInt);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static int compareBytes(byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2) {
/* 362 */     int i = paramArrayOfbyte1.length;
/* 363 */     int j = paramArrayOfbyte2.length;
/* 364 */     byte b = 0;
/* 365 */     int k = Math.min(i, j);
/* 366 */     int m = 0;
/* 367 */     int n = 0;
/*     */     
/* 369 */     while (b < k) {
/*     */ 
/*     */       
/* 372 */       m = paramArrayOfbyte1[b] & 0xFF;
/* 373 */       n = paramArrayOfbyte2[b] & 0xFF;
/*     */       
/* 375 */       if (m != n) {
/*     */         
/* 377 */         if (m < n) {
/* 378 */           return -1;
/*     */         }
/* 380 */         return 1;
/*     */       } 
/*     */       
/* 383 */       b++;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 388 */     if (i == j)
/* 389 */       return 0; 
/* 390 */     if (i > j) {
/* 391 */       return 1;
/*     */     }
/* 393 */     return -1;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\Datum.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */