/*      */ package oracle.sql;
/*      */ 
/*      */ import java.sql.SQLException;
/*      */ import java.sql.Timestamp;
/*      */ import java.text.DateFormatSymbols;
/*      */ import java.text.DecimalFormat;
/*      */ import java.text.NumberFormat;
/*      */ import java.text.ParsePosition;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.Calendar;
/*      */ import java.util.Date;
/*      */ import java.util.GregorianCalendar;
/*      */ import java.util.Locale;
/*      */ import oracle.core.lmx.CoreException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class LdxLibThin
/*      */   implements LdxLib
/*      */ {
/*      */   private static final int LDXFDLSZ = 50;
/*      */   private static final byte LDX_CC = 1;
/*      */   private static final byte LDX_SCC = 2;
/*      */   private static final byte LDX_I = 3;
/*      */   private static final byte LDX_Y = 4;
/*      */   private static final byte LDX_IY = 5;
/*      */   private static final byte LDX_YY = 6;
/*      */   private static final byte LDX_IYY = 7;
/*      */   private static final byte LDX_YYY = 8;
/*      */   private static final byte LDX_IYYY = 9;
/*      */   private static final byte LDX_YYYY = 10;
/*      */   private static final byte LDX_YCYYY = 11;
/*      */   private static final byte LDX_SYYYY = 12;
/*      */   private static final byte LDX_SYCYYY = 13;
/*      */   private static final byte LDX_YEAR = 14;
/*      */   private static final byte LDX_SYEAR = 15;
/*      */   private static final byte LDX_Q = 16;
/*      */   private static final byte LDX_MM = 17;
/*      */   private static final byte LDX_IW = 18;
/*      */   private static final byte LDX_WW = 19;
/*      */   private static final byte LDX_W = 20;
/*      */   private static final byte LDX_D = 21;
/*      */   private static final byte LDX_DD = 22;
/*      */   private static final byte LDX_DDD = 23;
/*      */   private static final byte LDX_HH24 = 24;
/*      */   private static final byte LDX_HH = 25;
/*      */   private static final byte LDX_MI = 26;
/*      */   private static final byte LDX_SS = 27;
/*      */   private static final byte LDX_SSSSS = 28;
/*      */   private static final byte LDX_J = 29;
/*      */   private static final byte LDX_MONTH = 30;
/*      */   private static final byte LDX_MON = 31;
/*      */   private static final byte LDX_DAY = 32;
/*      */   private static final byte LDX_DY = 33;
/*      */   private static final byte LDX_AMPM = 34;
/*      */   private static final byte LDX_A_M_P_M = 35;
/*      */   private static final byte LDX_BCAD = 36;
/*      */   private static final byte LDX_B_C_A_D = 37;
/*      */   
/*      */   public byte[] ldxadm(byte[] paramArrayOfbyte, int paramInt) throws SQLException {
/*   78 */     int j = ((paramArrayOfbyte[0] & 0xFF) - 100) * 100 + (paramArrayOfbyte[1] & 0xFF) - 100;
/*      */     
/*   80 */     int i = j;
/*      */     
/*   82 */     int k = paramArrayOfbyte[2] & 0xFF;
/*      */     
/*   84 */     int m = paramArrayOfbyte[3] & 0xFF;
/*      */     
/*   86 */     paramInt += (paramArrayOfbyte[2] & 0xFF) + i * 12;
/*      */ 
/*      */     
/*   89 */     if (paramInt > 0) {
/*      */       
/*   91 */       if ((i = paramInt / 12) > 9999) {
/*   92 */         throw new SQLException(CoreException.getMessage((byte)8));
/*      */       }
/*   94 */       if ((paramInt %= 12) == 0)
/*      */       {
/*   96 */         i--;
/*   97 */         paramInt = 12;
/*      */       }
/*      */     
/*      */     } else {
/*      */       
/*  102 */       if ((i = paramInt / 12 - 1) < -4712) {
/*  103 */         throw new SQLException(CoreException.getMessage((byte)8));
/*      */       }
/*  105 */       paramInt = paramInt % 12 + 12;
/*      */     } 
/*      */ 
/*      */     
/*  109 */     byte b2 = (paramInt == 2 && ldxisl(j)) ? 29 : (ldxdom[k + 1] - ldxdom[k]);
/*      */ 
/*      */ 
/*      */     
/*  113 */     paramArrayOfbyte[0] = (byte)(i / 100 + 100);
/*  114 */     paramArrayOfbyte[1] = (byte)(i % 100 + 100);
/*      */     
/*  116 */     paramArrayOfbyte[2] = (byte)paramInt;
/*  117 */     byte b1 = (paramInt == 2 && ldxisl(i)) ? 29 : (ldxdom[paramInt + 1] - ldxdom[paramInt]);
/*      */ 
/*      */     
/*  120 */     paramArrayOfbyte[3] = (byte)((m == b2 || m > b1) ? b1 : m);
/*      */     
/*  122 */     return paramArrayOfbyte;
/*      */   }
/*      */   private static final byte LDX_RM = 38; private static final byte LDX_FM = 39; private static final byte LDX_RR = 40; private static final byte LDX_RRRR = 41; private static final byte LDX_FX = 42; private static final byte LDX_E = 43; private static final byte LDX_EE = 44; private static final byte LDX_LIT = 45; private static final byte LDX_JUS = 16; private static final byte LDX_NTH = 1; private static final byte LDX_SPL = 2; private static final byte LDX_CAP = 4; private static final byte LDX_UPR = 8; private static final byte LDX_QUO = 1; private static final byte LDX_SPA = 2; private static final byte LDX_PUN = 4; private static final byte LDX_ALPHA = -128; private static final byte LDXFNJUS = 64; private static final byte LDX_NEG = 32; private static final byte LDX_COMMA = 16; private static final byte LDX_LEN = 15; private static final byte LDXFL_NOT = 0; private static final byte LDXFL_FLEX = 1; private static final byte LDXFL_STD = 2;
/*      */   private static final byte LDXFL_MDONE = 4;
/*      */   private static final byte LDXFL_YDONE = 8;
/*      */   private static final byte LDXFL_PUNC = 16;
/*      */   private static final byte LDXFL_MSEC = 32;
/*      */   private static final int LDXSBUFFERSIZE = 64;
/*      */   private static final int LDXWBUFSIZE = 64;
/*      */   private static final int LDXTCE = 0;
/*      */   private static final int LDXTYE = 1;
/*      */   private static final int LDXTMO = 2;
/*      */   private static final int LDXTDA = 3;
/*      */   private static final int LDXTHO = 4;
/*      */   private static final int LDXTMI = 5;
/*      */   private static final int LDXTSO = 6;
/*      */   private static final int LDXTSIZ = 7;
/*      */   private static final int LDX_SUNDAY = 2445029;
/*      */   
/*      */   public byte[] ldxads(byte[] paramArrayOfbyte, int paramInt1, int paramInt2) throws SQLException {
/*  142 */     if (paramInt2 != 0) {
/*      */       
/*  144 */       paramInt2 += ((paramArrayOfbyte[4] - 1) * 60 + paramArrayOfbyte[5] - 1) * 60 + paramArrayOfbyte[6] - 1;
/*  145 */       paramInt1 += paramInt2 / 86400;
/*      */       
/*  147 */       if ((paramInt2 %= 86400) < 0) {
/*      */         
/*  149 */         paramInt2 += 86400;
/*  150 */         paramInt1--;
/*      */       } 
/*      */       
/*  153 */       paramArrayOfbyte[4] = (byte)(paramInt2 / 3600 + 1);
/*  154 */       paramArrayOfbyte[5] = (byte)(paramInt2 % 3600 / 60 + 1);
/*  155 */       paramArrayOfbyte[6] = (byte)(paramInt2 % 3600 % 60 + 1);
/*      */     } 
/*      */ 
/*      */     
/*  159 */     int i = ((paramArrayOfbyte[0] & 0xFF) - 100) * 100 + (paramArrayOfbyte[1] & 0xFF) - 100;
/*      */ 
/*      */     
/*  162 */     if (paramInt1 != 0) {
/*      */       
/*  164 */       paramInt1 += ldxctj(i, paramArrayOfbyte[2], paramArrayOfbyte[3]);
/*      */       
/*  166 */       if (paramInt1 < 1) {
/*  167 */         throw new SQLException(CoreException.getMessage((byte)8));
/*      */       }
/*      */ 
/*      */       
/*  171 */       paramArrayOfbyte = ldxjtc(paramInt1, paramArrayOfbyte);
/*      */     } 
/*      */ 
/*      */     
/*  175 */     i = ((paramArrayOfbyte[0] & 0xFF) - 100) * 100 + (paramArrayOfbyte[1] & 0xFF) - 100;
/*      */ 
/*      */     
/*  178 */     if (i > 9999) {
/*  179 */       throw new SQLException(CoreException.getMessage((byte)8));
/*      */     }
/*      */     
/*  182 */     return paramArrayOfbyte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int ldxchk(byte[] paramArrayOfbyte) throws SQLException {
/*  214 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxdfd(int paramInt1, int paramInt2) throws SQLException {
/*  230 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void ldxdtd(byte[] paramArrayOfbyte, int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/*  246 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String ldxdts(byte[] paramArrayOfbyte, String paramString1, String paramString2) throws SQLException {
/*  270 */     return ldxdts(paramArrayOfbyte, ldxsto(paramString1, paramString2), paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String ldxdts(byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, String paramString) throws SQLException {
/*      */     Locale locale;
/*  294 */     byte b1 = 0;
/*      */     
/*  296 */     byte b2 = 0;
/*  297 */     int i = 0;
/*      */     
/*  299 */     boolean bool = false;
/*      */     
/*  301 */     int k = 0;
/*  302 */     int m = 0;
/*  303 */     String str = null;
/*      */ 
/*      */     
/*  306 */     StringBuffer stringBuffer1 = new StringBuffer(64);
/*      */     
/*  308 */     StringBuffer stringBuffer2 = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  320 */     if (paramArrayOfbyte2.length == 0 || paramArrayOfbyte2 == null || (paramArrayOfbyte2[0] == 0 && paramArrayOfbyte2[1] == 16))
/*      */     {
/*      */       
/*  323 */       paramArrayOfbyte2 = DEFAULT_FORMAT;
/*      */     }
/*      */     
/*  326 */     int j = paramArrayOfbyte2.length;
/*      */ 
/*      */ 
/*      */     
/*  330 */     if (paramString != null && paramString.compareTo("") != 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  338 */       m = paramString.indexOf("_");
/*  339 */       if (m == -1) {
/*      */         
/*  341 */         locale = LxMetaData.getJavaLocale(paramString, "");
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  346 */         String str1 = paramString.substring(0, m);
/*  347 */         String str2 = paramString.substring(m + 1);
/*  348 */         locale = LxMetaData.getJavaLocale(str1, str2);
/*      */       } 
/*  350 */       if (locale == null)
/*      */       {
/*  352 */         locale = Locale.getDefault();
/*      */       }
/*      */     }
/*      */     else {
/*      */       
/*  357 */       locale = Locale.getDefault();
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  365 */     k = ((paramArrayOfbyte1[0] & 0xFF) - 100) * 100 + (paramArrayOfbyte1[1] & 0xFF) - 100;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  370 */     while (i < j) {
/*      */       int n; StringBuffer stringBuffer; int i1; Calendar calendar;
/*      */       String[] arrayOfString1, arrayOfString2;
/*  373 */       b1 = paramArrayOfbyte2[i++];
/*  374 */       b2 = paramArrayOfbyte2[i++];
/*      */ 
/*      */       
/*  377 */       if (b1 == 0) {
/*      */         break;
/*      */       }
/*      */       
/*  381 */       if (b1 >= 45) {
/*      */ 
/*      */         
/*  384 */         int i2 = b1 - 45;
/*      */ 
/*      */ 
/*      */         
/*  388 */         stringBuffer1.append(new String(paramArrayOfbyte2, i, i2));
/*      */         
/*  390 */         i += i2;
/*      */ 
/*      */         
/*      */         continue;
/*      */       } 
/*      */       
/*  396 */       byte b = ldxfcdlen[b1];
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  402 */       if (((b & Byte.MIN_VALUE) != 0 && (b2 & 0xC) != 0) || ((b2 & 0x10) != 0 && (b & 0x40) == 0) || ((b2 & 0xC) != 0 && (b2 & 0x3) != 0)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  408 */         stringBuffer2 = new StringBuffer(64);
/*  409 */         stringBuffer = stringBuffer2;
/*      */       } else {
/*      */         
/*  412 */         stringBuffer = stringBuffer1;
/*      */       } 
/*  414 */       switch (b1) {
/*      */         
/*      */         case 37:
/*  417 */           if (locale.getCountry().compareTo("US") == 0 && locale.getLanguage().compareTo("en") == 0) {
/*      */ 
/*      */             
/*  420 */             str = (paramArrayOfbyte1[0] < 100) ? ldxpaa[2] : ldxpaa[0];
/*      */             break;
/*      */           } 
/*  423 */           b1--;
/*      */         case 36:
/*  425 */           stringBuffer.append((new DateFormatSymbols(locale)).getEras()[(paramArrayOfbyte1[0] < 100) ? 0 : 1]);
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  430 */           n = stringBuffer.length();
/*      */           break;
/*      */         case 35:
/*  433 */           if (locale.getCountry().compareTo("US") == 0 && locale.getLanguage().compareTo("en") == 0) {
/*      */ 
/*      */             
/*  436 */             str = (paramArrayOfbyte1[4] - 1 >= 12) ? ldxpaa[3] : ldxpaa[1];
/*      */             break;
/*      */           } 
/*  439 */           b1--;
/*      */         case 34:
/*  441 */           stringBuffer.append((new DateFormatSymbols(locale)).getAmPmStrings()[(paramArrayOfbyte1[4] - 1 >= 12) ? 1 : 0]);
/*      */ 
/*      */ 
/*      */           
/*  445 */           n = stringBuffer.length();
/*      */           break;
/*      */         case 29:
/*  448 */           m = ldxctj(k, paramArrayOfbyte1[2], paramArrayOfbyte1[3]);
/*      */           break;
/*      */         case 21:
/*  451 */           m = ldxdow(k, paramArrayOfbyte1[2], paramArrayOfbyte1[3], locale);
/*      */           break;
/*      */         
/*      */         case 32:
/*      */         case 33:
/*  456 */           i1 = ldxdow(k, paramArrayOfbyte1[2], paramArrayOfbyte1[3], locale);
/*      */ 
/*      */ 
/*      */           
/*  460 */           calendar = GregorianCalendar.getInstance(locale);
/*  461 */           if (calendar.getFirstDayOfWeek() > 1)
/*  462 */             i1++; 
/*  463 */           if (i1 > 7)
/*  464 */             i1 -= 7; 
/*  465 */           if (i1 == 0) {
/*  466 */             i1++;
/*      */           }
/*      */           
/*  469 */           if (b1 == 32) {
/*  470 */             arrayOfString1 = (new DateFormatSymbols(locale)).getWeekdays();
/*      */           } else {
/*  472 */             arrayOfString1 = (new DateFormatSymbols(locale)).getShortWeekdays();
/*      */           } 
/*  474 */           stringBuffer.append(arrayOfString1[i1]);
/*  475 */           n = stringBuffer.length();
/*      */           break;
/*      */ 
/*      */         
/*      */         case 1:
/*      */         case 2:
/*  481 */           if ((m = k) > 0) {
/*  482 */             m = (m - 1) / 100 + 1; break;
/*      */           } 
/*  484 */           m = -((-1 - m) / 100) - 1;
/*      */           break;
/*      */         case 22:
/*  487 */           m = paramArrayOfbyte1[3];
/*      */           break;
/*      */         case 43:
/*      */         case 44:
/*  491 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 24:
/*      */         case 25:
/*  496 */           m = paramArrayOfbyte1[4] - 1;
/*  497 */           if (b1 == 25)
/*  498 */             m = (m > 12) ? (m - 12) : ((m == 0) ? 12 : m); 
/*      */           break;
/*      */         case 26:
/*  501 */           m = paramArrayOfbyte1[5] - 1;
/*      */           break;
/*      */         case 16:
/*  504 */           m = (paramArrayOfbyte1[2] + 2) / 3;
/*      */           break;
/*      */         case 17:
/*  507 */           m = paramArrayOfbyte1[2];
/*      */           break;
/*      */         case 30:
/*      */         case 31:
/*  511 */           m = paramArrayOfbyte1[2];
/*  512 */           if (b1 == 30) {
/*  513 */             arrayOfString2 = (new DateFormatSymbols(locale)).getMonths();
/*      */           } else {
/*  515 */             arrayOfString2 = (new DateFormatSymbols(locale)).getShortMonths();
/*      */           } 
/*      */           
/*  518 */           stringBuffer.append(arrayOfString2[--m]);
/*  519 */           n = stringBuffer.length();
/*      */           break;
/*      */         case 38:
/*  522 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 27:
/*  526 */           m = paramArrayOfbyte1[6] - 1;
/*      */           break;
/*      */         case 28:
/*  529 */           m = ((paramArrayOfbyte1[4] - 1) * 60 + paramArrayOfbyte1[5] - 1) * 60 + paramArrayOfbyte1[6] - 1;
/*      */           break;
/*      */         
/*      */         case 20:
/*  533 */           m = (paramArrayOfbyte1[3] + 6) / 7;
/*      */           break;
/*      */         case 23:
/*  536 */           m = ldxcty(k, paramArrayOfbyte1[2], paramArrayOfbyte1[3]);
/*      */           break;
/*      */         case 18:
/*  539 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 19:
/*  543 */           m = (ldxcty(k, paramArrayOfbyte1[2], paramArrayOfbyte1[3]) + 6) / 7;
/*      */           break;
/*      */         case 3:
/*  546 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 4:
/*  550 */           m = k % 10;
/*      */           break;
/*      */         case 5:
/*  553 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 6:
/*      */         case 40:
/*  558 */           m = k % 100;
/*      */           break;
/*      */         case 7:
/*  561 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 8:
/*  565 */           m = k % 1000;
/*      */           break;
/*      */         case 10:
/*      */         case 11:
/*      */         case 12:
/*      */         case 13:
/*      */         case 41:
/*  572 */           m = k;
/*      */           break;
/*      */         case 9:
/*  575 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 14:
/*      */         case 15:
/*  580 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */         
/*      */         case 42:
/*      */           continue;
/*      */         
/*      */         default:
/*  586 */           throw new SQLException(CoreException.getMessage((byte)7));
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  591 */       if ((b & Byte.MIN_VALUE) == 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  596 */         if ((b & 0x20) == 0) {
/*      */           
/*  598 */           if (m < 0) {
/*  599 */             m = -m;
/*      */ 
/*      */ 
/*      */           
/*      */           }
/*      */ 
/*      */         
/*      */         }
/*  607 */         else if (m >= 0) {
/*      */           
/*  609 */           stringBuffer.insert(0, " ");
/*  610 */           b = (byte)(b - 1);
/*      */         } 
/*  612 */         if ((b2 & 0x2) != 0)
/*      */         {
/*      */           
/*  615 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  622 */         if ((b2 & 0x10) != 0) {
/*  623 */           n = b & 0xF;
/*      */         } else {
/*  625 */           n = 0;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  631 */         String str1 = lxi42b(64, m, n, ((b & 0x10) != 0), locale);
/*      */ 
/*      */         
/*  634 */         stringBuffer.append(str1);
/*      */         
/*  636 */         if ((b2 & 0x1) != 0)
/*      */         {
/*      */           
/*  639 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*  651 */       else if ((b2 & 0x10) != 0 && (b & 0x40) == 0) {
/*      */         String[] arrayOfString;
/*      */ 
/*      */ 
/*      */         
/*  656 */         switch (b1) {
/*      */           
/*      */           case 33:
/*  659 */             arrayOfString = (new DateFormatSymbols(locale)).getShortWeekdays();
/*      */             break;
/*      */           case 32:
/*  662 */             arrayOfString = (new DateFormatSymbols(locale)).getWeekdays();
/*      */             break;
/*      */           case 31:
/*  665 */             arrayOfString = (new DateFormatSymbols(locale)).getShortMonths();
/*      */             break;
/*      */           case 30:
/*  668 */             arrayOfString = (new DateFormatSymbols(locale)).getMonths();
/*      */             break;
/*      */           
/*      */           default:
/*  672 */             throw new SQLException(CoreException.getMessage((byte)7));
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/*  677 */         i1 = 0;
/*      */         
/*      */         byte b3;
/*  680 */         for (b3 = 0; b3 < arrayOfString.length; b3++) {
/*      */           
/*  682 */           m = arrayOfString[b3].length();
/*  683 */           if (m > i1) {
/*  684 */             i1 = m;
/*      */           }
/*      */         } 
/*      */         
/*  688 */         i1 -= stringBuffer.length();
/*  689 */         for (b3 = 0; b3 < i1; b3++) {
/*  690 */           stringBuffer.append(" ");
/*      */         }
/*      */       } 
/*      */       
/*  694 */       if (str != null) {
/*      */ 
/*      */         
/*  697 */         n = 4;
/*      */         
/*  699 */         if ((b2 & 0xC) == 0)
/*  700 */           stringBuffer = stringBuffer1; 
/*  701 */         stringBuffer.append(str.toLowerCase(locale));
/*  702 */         str = null;
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/*  707 */       if ((b2 & 0x4) != 0) {
/*      */ 
/*      */         
/*  710 */         if (Character.isLowerCase(stringBuffer.charAt(0))) {
/*  711 */           stringBuffer.setCharAt(0, Character.toUpperCase(stringBuffer.charAt(0)));
/*      */         }
/*  713 */         stringBuffer1.append(stringBuffer.toString());
/*      */         continue;
/*      */       } 
/*  716 */       if ((b2 & 0x8) != 0) {
/*      */         
/*  718 */         stringBuffer1.append(stringBuffer.toString().toUpperCase()); continue;
/*      */       } 
/*  720 */       if (stringBuffer != stringBuffer1)
/*      */       {
/*  722 */         stringBuffer1.append(stringBuffer.toString());
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  728 */     return stringBuffer1.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int ldxdow(int paramInt1, int paramInt2, int paramInt3, Locale paramLocale) {
/*  751 */     Calendar calendar = GregorianCalendar.getInstance(paramLocale);
/*      */ 
/*      */     
/*  754 */     int i = ldxctj(paramInt1, paramInt2, paramInt3);
/*      */ 
/*      */     
/*  757 */     int j = (i - 2445029 + calendar.getFirstDayOfWeek() - 1) % 7;
/*  758 */     if (j < 0)
/*  759 */       j += 7; 
/*  760 */     return j + 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int ldxctj(int paramInt1, int paramInt2, int paramInt3) {
/*      */     int i;
/*  776 */     if (paramInt1 == -4712) {
/*  777 */       i = 0;
/*      */     } else {
/*      */       
/*  780 */       i = paramInt1 + 4712;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  786 */       i = 365 * i + (i - 1) / 4;
/*      */     } 
/*      */ 
/*      */     
/*  790 */     if (paramInt1 >= 1583) {
/*  791 */       i = i - 10 - (paramInt1 - 1501) / 100 + (paramInt1 - 1201) / 400;
/*      */     }
/*      */ 
/*      */     
/*  795 */     i += ldxcty(paramInt1, paramInt2, paramInt3);
/*      */ 
/*      */     
/*  798 */     if (paramInt1 == 1582 && ((paramInt2 == 10 && paramInt3 >= 15) || paramInt2 >= 11)) {
/*  799 */       i -= 10;
/*      */     }
/*  801 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private byte[] ldxjtc(int paramInt, byte[] paramArrayOfbyte) throws SQLException {
/*  818 */     if (paramInt < 1) {
/*  819 */       throw new SQLException(CoreException.getMessage((byte)10));
/*      */     }
/*  821 */     if (paramInt < 366) {
/*      */ 
/*      */       
/*  824 */       paramArrayOfbyte[0] = 53;
/*  825 */       paramArrayOfbyte[1] = 28;
/*      */ 
/*      */       
/*  828 */       paramArrayOfbyte = ldxdyc(-4712, paramInt, paramArrayOfbyte);
/*      */     
/*      */     }
/*  831 */     else if (paramInt < 2299161) {
/*      */ 
/*      */ 
/*      */       
/*  835 */       paramInt -= 366;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  840 */       int k = -4711 + paramInt / 1461 * 4;
/*  841 */       paramInt %= 1461;
/*      */       
/*  843 */       int i = paramInt / 365;
/*  844 */       int j = paramInt % 365;
/*      */       
/*  846 */       if (j == 0 && i == 4) {
/*      */ 
/*      */         
/*  849 */         j = 366;
/*  850 */         i = 3;
/*      */       } else {
/*      */         
/*  853 */         j++;
/*      */       } 
/*  855 */       k += i;
/*      */       
/*  857 */       paramArrayOfbyte = ldxdyc(k, j, paramArrayOfbyte);
/*      */       
/*  859 */       paramArrayOfbyte[0] = (byte)(k / 100 + 100);
/*  860 */       paramArrayOfbyte[1] = (byte)(k % 100 + 100);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  866 */       paramInt = 4 * (paramInt - 1721119) - 1;
/*  867 */       int k = paramInt / 146097;
/*  868 */       paramInt %= 146097;
/*      */       
/*  870 */       int j = paramInt / 4;
/*      */       
/*  872 */       paramInt = 4 * j + 3;
/*  873 */       j = paramInt % 1461;
/*  874 */       paramInt /= 1461;
/*      */       
/*  876 */       j /= 4;
/*  877 */       j++;
/*      */       
/*  879 */       int i = 5 * j - 3;
/*  880 */       j = i % 153;
/*  881 */       i /= 153;
/*      */       
/*  883 */       j /= 5;
/*  884 */       j++;
/*      */       
/*  886 */       k *= 100;
/*  887 */       k += paramInt;
/*      */       
/*  889 */       if (i < 10) {
/*  890 */         i += 3;
/*      */       } else {
/*      */         
/*  893 */         i -= 9;
/*  894 */         k++;
/*      */       } 
/*      */       
/*  897 */       paramArrayOfbyte[3] = (byte)j;
/*  898 */       paramArrayOfbyte[2] = (byte)i;
/*  899 */       paramArrayOfbyte[0] = (byte)(k / 100 + 100);
/*  900 */       paramArrayOfbyte[1] = (byte)(k % 100 + 100);
/*      */     } 
/*      */ 
/*      */     
/*  904 */     return paramArrayOfbyte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private byte[] ldxdyc(int paramInt1, int paramInt2, byte[] paramArrayOfbyte) throws SQLException {
/*  923 */     boolean bool = ldxisl(paramInt1);
/*      */     
/*  925 */     if (paramInt2 == 366 && !bool) {
/*  926 */       throw new SQLException(CoreException.getMessage((byte)9));
/*      */     }
/*      */     
/*  929 */     int i = paramInt2;
/*      */     
/*  931 */     if (paramInt2 > 59 + (bool ? 1 : 0)) {
/*  932 */       i += 2 - (bool ? 1 : 0);
/*      */     }
/*  934 */     i += 91; int j = i * 100;
/*  935 */     paramArrayOfbyte[3] = (byte)(i - (j - j % 3055) / 100);
/*  936 */     paramArrayOfbyte[2] = (byte)(j / 3055 - 2);
/*      */     
/*  938 */     return paramArrayOfbyte;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int ldxcty(int paramInt1, int paramInt2, int paramInt3) {
/*  957 */     return ldxdom[paramInt2] + paramInt3 + ((paramInt2 >= 3 && ldxisl(paramInt1)) ? 1 : 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean ldxisl(int paramInt) {
/*  970 */     return (paramInt % 4 == 0 && ((paramInt <= 1582) ? (paramInt != -4712) : (paramInt % 100 != 0 || paramInt % 400 == 0)));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String lxi42b(int paramInt1, long paramLong, int paramInt2, boolean paramBoolean, Locale paramLocale) throws SQLException {
/*  998 */     byte b = 0;
/*  999 */     int i = 0;
/* 1000 */     long l = paramLong;
/* 1001 */     NumberFormat numberFormat = NumberFormat.getInstance(paramLocale);
/* 1002 */     DecimalFormat decimalFormat = (DecimalFormat)numberFormat;
/* 1003 */     StringBuffer stringBuffer = new StringBuffer();
/* 1004 */     int j = decimalFormat.getGroupingSize();
/* 1005 */     char c = Character.MIN_VALUE;
/* 1006 */     char c1 = decimalFormat.getDecimalFormatSymbols().getZeroDigit();
/*      */ 
/*      */     
/* 1009 */     for (i = 1; (l /= 10L) != 0L; i++);
/*      */     
/* 1011 */     if (paramLong < 0L) {
/* 1012 */       i++;
/*      */     }
/* 1014 */     if (paramBoolean) {
/* 1015 */       i += (i - 1) / j;
/*      */     }
/*      */     
/* 1018 */     if (!paramBoolean) {
/* 1019 */       numberFormat.setGroupingUsed(false);
/*      */     }
/* 1021 */     stringBuffer.append(decimalFormat.format(paramLong));
/*      */     
/* 1023 */     if (i > paramInt1 || paramInt2 > paramInt1 || (paramInt2 != 0 && i > paramInt2))
/*      */     {
/* 1025 */       throw new SQLException(CoreException.getMessage((byte)3));
/*      */     }
/*      */     
/* 1028 */     if (paramBoolean) {
/* 1029 */       c = decimalFormat.getDecimalFormatSymbols().getGroupingSeparator();
/*      */     }
/* 1031 */     if (paramInt2 != 0)
/*      */     {
/* 1033 */       for (paramInt2 -= i; paramInt2-- != 0; ) {
/*      */         
/* 1035 */         if (paramBoolean && b++ == j && paramInt2 != 0) {
/*      */           
/* 1037 */           stringBuffer.insert(0, c);
/* 1038 */           b = 1;
/* 1039 */           paramInt2--;
/*      */         } 
/* 1041 */         stringBuffer.insert(0, c1);
/*      */       } 
/*      */     }
/*      */     
/* 1045 */     return stringBuffer.toString();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxsto(String paramString1, String paramString2) throws SQLException {
/* 1060 */     int i = 0;
/* 1061 */     int j = 0;
/*      */     
/* 1063 */     byte b1 = 0;
/* 1064 */     byte[] arrayOfByte1 = new byte[512];
/* 1065 */     byte b2 = 16;
/* 1066 */     byte b3 = 0;
/* 1067 */     byte b4 = 0;
/* 1068 */     char[] arrayOfChar = new char[256];
/* 1069 */     int m = 0;
/*      */ 
/*      */     
/* 1072 */     int n = 0;
/*      */ 
/*      */     
/* 1075 */     if (paramString1 == null || paramString1.compareTo("") == 0)
/*      */     {
/*      */       
/* 1078 */       return NULLFMT;
/*      */     }
/*      */     
/* 1081 */     int k = paramString1.length();
/*      */ 
/*      */     
/* 1084 */     label119: while (i < k) {
/*      */ 
/*      */       
/* 1087 */       b2 = 16;
/* 1088 */       b4 = 0;
/*      */ 
/*      */ 
/*      */       
/*      */       while (true) {
/*      */         while (true) {
/* 1094 */           if (i < k && paramString1.charAt(i) == '|') {
/*      */             
/* 1096 */             i++;
/*      */             
/*      */             continue label119;
/*      */           } 
/*      */           
/* 1101 */           for (m = 0; i < k && !Character.isLetterOrDigit(paramString1.charAt(i)); ) {
/*      */ 
/*      */             
/* 1104 */             if (paramString1.charAt(i) == '"') {
/*      */ 
/*      */               
/* 1107 */               b3 = 1;
/*      */               
/* 1109 */               while (i != k && paramString1.charAt(++i) != '"') {
/*      */                 
/* 1111 */                 arrayOfChar[b4++] = paramString1.charAt(i);
/* 1112 */                 m++;
/*      */               } 
/* 1114 */               if (paramString1.charAt(i) == '"') {
/* 1115 */                 i++;
/*      */               }
/*      */               continue;
/*      */             } 
/* 1119 */             arrayOfChar[b4++] = paramString1.charAt(i++);
/* 1120 */             m++;
/*      */           } 
/*      */ 
/*      */ 
/*      */           
/* 1125 */           if (m > 0) {
/*      */             
/* 1127 */             if (m > 210)
/*      */             {
/*      */               
/* 1130 */               throw new SQLException(CoreException.getMessage((byte)7));
/*      */             }
/*      */ 
/*      */ 
/*      */             
/* 1135 */             if (Character.isWhitespace(arrayOfChar[0])) {
/*      */ 
/*      */ 
/*      */ 
/*      */               
/* 1140 */               byte b6 = 0;
/*      */               
/* 1142 */               int i1 = m; byte b5 = 0;
/* 1143 */               while (i1 > 0 && Character.isWhitespace(arrayOfChar[b6])) {
/* 1144 */                 b6++; b5++; i1--;
/* 1145 */               }  arrayOfByte1[j++] = (byte)(45 + b5);
/*      */               
/* 1147 */               arrayOfByte1[j++] = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/* 1153 */               byte[] arrayOfByte3 = (new String(arrayOfChar, 0, b5)).getBytes();
/* 1154 */               System.arraycopy(arrayOfByte3, 0, arrayOfByte1, j, arrayOfByte3.length);
/*      */ 
/*      */               
/* 1157 */               j += arrayOfByte3.length;
/*      */               
/* 1159 */               m -= b5;
/* 1160 */               if (m == 0) {
/*      */                 break;
/*      */               }
/*      */ 
/*      */ 
/*      */               
/* 1166 */               i += b5 + 1;
/*      */               
/* 1168 */               b4 = b6;
/*      */             } else {
/*      */               
/* 1171 */               b4 = 0;
/*      */             } 
/* 1173 */             if (b3 != 1) {
/* 1174 */               b3 = 4;
/*      */             }
/* 1176 */             arrayOfByte1[j++] = (byte)(45 + m);
/* 1177 */             arrayOfByte1[j++] = b3;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1183 */             byte[] arrayOfByte = (new String(arrayOfChar, 0, m)).getBytes();
/* 1184 */             System.arraycopy(arrayOfByte, 0, arrayOfByte1, j, arrayOfByte.length);
/*      */             
/* 1186 */             j += arrayOfByte.length;
/*      */ 
/*      */           
/*      */           }
/*      */           else {
/*      */ 
/*      */             
/* 1193 */             if (!Character.isLetterOrDigit(paramString1.charAt(i)))
/*      */             {
/* 1195 */               throw new SQLException(CoreException.getMessage((byte)7));
/*      */             }
/*      */ 
/*      */             
/* 1199 */             char c = Character.toUpperCase(paramString1.charAt(i));
/* 1200 */             int i1 = c - 65;
/* 1201 */             if (i1 > 25 || ldxfdi[i1] == Integer.MIN_VALUE)
/*      */             {
/*      */               
/* 1204 */               throw new SQLException(CoreException.getMessage((byte)7));
/*      */             }
/*      */ 
/*      */ 
/*      */             
/* 1209 */             n = ldxfdi[i1];
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1214 */             i1 = 50;
/* 1215 */             for (; n < ldxfda.length; n++) {
/*      */ 
/*      */               
/* 1218 */               int i3 = (ldxfda[n]).length;
/* 1219 */               byte b = 0; int i2 = i;
/* 1220 */               for (; b < i3 && i2 < k; b++, i2++) {
/*      */                 
/* 1222 */                 if (Character.toUpperCase(paramString1.charAt(i2)) != ldxfda[n][b]) {
/*      */                   break;
/*      */                 }
/*      */               } 
/*      */               
/* 1227 */               if (b == i3)
/*      */               {
/* 1229 */                 i1 = n;
/*      */               }
/*      */               
/* 1232 */               if (ldxfda[n + 1][0] != c) {
/*      */                 break;
/*      */               }
/*      */             } 
/* 1236 */             n = i1;
/*      */ 
/*      */             
/* 1239 */             if (n >= ldxfda.length)
/*      */             {
/* 1241 */               throw new SQLException(CoreException.getMessage((byte)7));
/*      */             }
/*      */ 
/*      */ 
/*      */             
/* 1246 */             if (k - i > 1)
/*      */             {
/* 1248 */               if (Character.isUpperCase(paramString1.charAt(i))) {
/*      */                 
/* 1250 */                 c = Character.isLetterOrDigit(paramString1.charAt(i + 1)) ? paramString1.charAt(i + 1) : paramString1.charAt(i + 2);
/*      */ 
/*      */                 
/* 1253 */                 if (Character.isLowerCase(c)) {
/* 1254 */                   b2 = (byte)(b2 | 0x4);
/*      */                 } else {
/* 1256 */                   b2 = (byte)(b2 | 0x8);
/*      */                 } 
/*      */               } 
/*      */             }
/* 1260 */             i += (ldxfda[n]).length;
/* 1261 */             b1 = ldxfdc[n];
/*      */             
/* 1263 */             if ((ldxfcdlen[b1] & Byte.MIN_VALUE) == 0) {
/*      */               int i2;
/* 1265 */               for (n = 0, i2 = -1; n < ldxfdx.length; n++) {
/*      */                 
/* 1267 */                 int i4 = (ldxfdx[n]).length;
/* 1268 */                 i1 = 0; int i3 = i;
/* 1269 */                 for (; i1 < i4 && i3 < k; i1++, i3++) {
/*      */ 
/*      */                   
/* 1272 */                   if (Character.toUpperCase(paramString1.charAt(i3)) != ldxfdx[n][i1]) {
/*      */                     break;
/*      */                   }
/*      */                 } 
/*      */ 
/*      */                 
/* 1278 */                 if (i1 == i4)
/*      */                 {
/* 1280 */                   i2 = n;
/*      */                 }
/*      */               } 
/*      */               
/* 1284 */               n = i2;
/*      */ 
/*      */               
/* 1287 */               if (n >= 0 && n < ldxfdx.length) {
/*      */                 
/* 1289 */                 b2 = (byte)(b2 | ldxfdxc[n]);
/* 1290 */                 i += (ldxfdx[n]).length;
/*      */               } 
/*      */             } 
/*      */ 
/*      */             
/* 1295 */             if (512 - j < 2)
/*      */             {
/*      */ 
/*      */               
/* 1299 */               throw new SQLException(CoreException.getMessage((byte)7));
/*      */             }
/*      */ 
/*      */             
/* 1303 */             arrayOfByte1[j++] = (byte)b1;
/* 1304 */             arrayOfByte1[j++] = b2;
/*      */           } 
/*      */ 
/*      */           
/* 1308 */           if (b1 == 39)
/* 1309 */             b2 = ((b2 & 0x10) == 1) ? 0 : 16;  break;
/*      */         } 
/* 1311 */         if (b1 != 39)
/*      */           continue label119; 
/*      */       } 
/*      */     } 
/* 1315 */     byte[] arrayOfByte2 = new byte[j];
/* 1316 */     System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, arrayOfByte2.length);
/* 1317 */     return arrayOfByte2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxdyf(byte[] paramArrayOfbyte) throws SQLException {
/* 1327 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void ldxftd(byte[] paramArrayOfbyte, int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/* 1339 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxgdt() throws SQLException {
/* 1350 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxldd(byte[] paramArrayOfbyte) throws SQLException {
/* 1361 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxnxd(byte[] paramArrayOfbyte, int paramInt) throws SQLException {
/* 1375 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxrnd(byte[] paramArrayOfbyte, String paramString) throws SQLException {
/* 1389 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxsbm(byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2) throws SQLException {
/* 1403 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void ldxsub(byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2, int[] paramArrayOfint1, int[] paramArrayOfint2) throws SQLException {
/* 1417 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxstd(String paramString1, String paramString2, String paramString3) throws SQLException {
/* 1499 */     byte[] arrayOfByte1 = null;
/* 1500 */     byte[] arrayOfByte2 = null;
/* 1501 */     byte b1 = 0;
/* 1502 */     byte b2 = 0;
/* 1503 */     char[] arrayOfChar = new char[512];
/* 1504 */     int i = 0;
/* 1505 */     int j = 0;
/* 1506 */     int k = 0;
/* 1507 */     int m = 0;
/* 1508 */     ParsePosition parsePosition = new ParsePosition(0);
/* 1509 */     SimpleDateFormat simpleDateFormat = new SimpleDateFormat();
/*      */ 
/*      */     
/* 1512 */     arrayOfByte2 = ldxsto(paramString2, paramString3);
/*      */ 
/*      */     
/* 1515 */     ldxsti(arrayOfByte2);
/*      */     
/* 1517 */     j = arrayOfByte2.length;
/*      */ 
/*      */ 
/*      */     
/* 1521 */     while (i < j) {
/*      */       byte b;
/* 1523 */       b1 = arrayOfByte2[i++];
/* 1524 */       b2 = arrayOfByte2[i++];
/*      */       
/* 1526 */       switch (b1) {
/*      */         
/*      */         case 43:
/*      */         case 44:
/* 1530 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 41:
/* 1534 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 40:
/* 1538 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 4:
/* 1542 */           arrayOfChar[k++] = 'y';
/*      */           continue;
/*      */         
/*      */         case 6:
/* 1546 */           for (b = 0; b < 2; b++) {
/* 1547 */             arrayOfChar[k++] = 'y';
/*      */           }
/*      */           continue;
/*      */         case 8:
/* 1551 */           for (b = 0; b < 3; b++) {
/* 1552 */             arrayOfChar[k++] = 'y';
/*      */           }
/*      */           continue;
/*      */         case 10:
/* 1556 */           for (b = 0; b < 4; b++) {
/* 1557 */             arrayOfChar[k++] = 'y';
/*      */           }
/*      */           continue;
/*      */         case 11:
/*      */         case 12:
/*      */         case 13:
/* 1563 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 38:
/* 1567 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 17:
/* 1571 */           arrayOfChar[k++] = 'M';
/* 1572 */           arrayOfChar[k++] = 'M';
/*      */           continue;
/*      */         
/*      */         case 31:
/* 1576 */           for (b = 0; b < 3; b++) {
/* 1577 */             arrayOfChar[k++] = 'M';
/*      */           }
/*      */           continue;
/*      */         case 30:
/* 1581 */           for (b = 0; b < 4; b++) {
/* 1582 */             arrayOfChar[k++] = 'M';
/*      */           }
/*      */           continue;
/*      */         case 21:
/*      */         case 33:
/* 1587 */           arrayOfChar[k++] = 'E';
/*      */           continue;
/*      */         
/*      */         case 32:
/* 1591 */           for (b = 0; b < 4; b++) {
/* 1592 */             arrayOfChar[k++] = 'E';
/*      */           }
/*      */           continue;
/*      */         case 22:
/* 1596 */           arrayOfChar[k++] = 'd';
/*      */           continue;
/*      */         
/*      */         case 23:
/* 1600 */           arrayOfChar[k++] = 'D';
/*      */           continue;
/*      */         
/*      */         case 29:
/* 1604 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 25:
/* 1608 */           arrayOfChar[k++] = 'h';
/*      */           continue;
/*      */         
/*      */         case 24:
/* 1612 */           arrayOfChar[k++] = 'H';
/*      */           continue;
/*      */         
/*      */         case 26:
/* 1616 */           arrayOfChar[k++] = 'm';
/*      */           continue;
/*      */         
/*      */         case 27:
/* 1620 */           arrayOfChar[k++] = 's';
/*      */           continue;
/*      */         
/*      */         case 28:
/* 1624 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */ 
/*      */         
/*      */         case 34:
/*      */         case 35:
/* 1629 */           arrayOfChar[k++] = 'a';
/*      */           continue;
/*      */         
/*      */         case 36:
/*      */         case 37:
/* 1634 */           arrayOfChar[k++] = 'G';
/*      */           continue;
/*      */         case 39:
/*      */         case 42:
/* 1638 */           throw new SQLException(CoreException.getMessage((byte)1));
/*      */       } 
/*      */       
/* 1641 */       m = b1 - 45;
/* 1642 */       String str1 = new String(arrayOfByte2, i, m);
/*      */       
/* 1644 */       if (b2 == 1) {
/*      */         
/* 1646 */         arrayOfChar[k++] = '\'';
/* 1647 */         System.arraycopy(str1.toCharArray(), 0, arrayOfChar, k, m);
/*      */         
/* 1649 */         k += m;
/* 1650 */         i += m;
/* 1651 */         arrayOfChar[k++] = '\'';
/*      */         
/*      */         continue;
/*      */       } 
/* 1655 */       System.arraycopy(str1.toCharArray(), 0, arrayOfChar, k, m);
/*      */       
/* 1657 */       k += m;
/* 1658 */       i += m;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1667 */     String str = new String(arrayOfChar, 0, k);
/* 1668 */     simpleDateFormat.applyPattern(str);
/* 1669 */     simpleDateFormat.setLenient(false);
/* 1670 */     Date date = simpleDateFormat.parse(paramString1, parsePosition);
/* 1671 */     if (date != null)
/*      */     {
/* 1673 */       return arrayOfByte1 = DATE.toBytes(new Timestamp(date.getTime()));
/*      */     }
/*      */     
/* 1676 */     throw new SQLException(CoreException.getMessage((byte)6));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public byte[] ldxtrn(byte[] paramArrayOfbyte, String paramString) throws SQLException {
/* 1691 */     throw new SQLException(CoreException.getMessage((byte)1));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void ldxsti(byte[] paramArrayOfbyte) throws SQLException {
/* 1698 */     int[] arrayOfInt = new int[46];
/*      */     
/*      */     int i;
/* 1701 */     for (i = 0; i < paramArrayOfbyte.length; i += 2) {
/*      */ 
/*      */       
/* 1704 */       if (paramArrayOfbyte[i] < 45) {
/*      */         
/* 1706 */         byte b = paramArrayOfbyte[i];
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1711 */         if (paramArrayOfbyte[i] != 42 && paramArrayOfbyte[i] != 39 && arrayOfInt[paramArrayOfbyte[i]] != 0)
/*      */         {
/* 1713 */           throw new SQLException(CoreException.getMessage((byte)7));
/*      */         }
/*      */ 
/*      */ 
/*      */         
/* 1718 */         arrayOfInt[paramArrayOfbyte[i]] = arrayOfInt[paramArrayOfbyte[i]] + 1;
/*      */ 
/*      */         
/* 1721 */         switch (paramArrayOfbyte[i]) {
/*      */           
/*      */           case 1:
/*      */           case 2:
/*      */           case 3:
/*      */           case 5:
/*      */           case 7:
/*      */           case 9:
/*      */           case 14:
/*      */           case 15:
/*      */           case 16:
/*      */           case 18:
/*      */           case 19:
/*      */           case 20:
/* 1735 */             throw new SQLException(CoreException.getMessage((byte)7));
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       } else {
/* 1742 */         i += paramArrayOfbyte[i] - 45;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1755 */     for (i = 0; i < this.ldxpmxa.length; i++) {
/*      */       
/* 1757 */       int j = 0;
/*      */       
/* 1759 */       for (byte b = 0; b < (this.ldxpmxa[i]).length; b++) {
/* 1760 */         j += arrayOfInt[this.ldxpmxa[i][b]];
/*      */       }
/* 1762 */       if (j > 1)
/*      */       {
/* 1764 */         throw new SQLException(CoreException.getMessage((byte)7));
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2008 */   private final int LDXPMXYR = 9999;
/* 2009 */   private final int LDXPMNYR = -4712;
/*      */ 
/*      */ 
/*      */   
/* 2013 */   private static final char[][] ldxfda = new char[][] { { 'A', '.', 'D', '.' }, { 'A', '.', 'M', '.' }, { 'A', 'D' }, { 'A', 'M' }, { 'B', '.', 'C', '.' }, { 'B', 'C' }, { 'C', 'C' }, { 'D' }, { 'D', 'A', 'Y' }, { 'D', 'D' }, { 'D', 'D', 'D' }, { 'D', 'Y' }, { 'E' }, { 'E', 'E' }, { 'F', 'M' }, { 'F', 'X' }, { 'H', 'H' }, { 'H', 'H', '1', '2' }, { 'H', 'H', '2', '4' }, { 'I' }, { 'I', 'W' }, { 'I', 'Y' }, { 'I', 'Y', 'Y' }, { 'I', 'Y', 'Y', 'Y' }, { 'J' }, { 'M', 'I' }, { 'M', 'M' }, { 'M', 'O', 'N' }, { 'M', 'O', 'N', 'T', 'H' }, { 'P', '.', 'M', '.' }, { 'P', 'M' }, { 'Q' }, { 'R', 'M' }, { 'R', 'R' }, { 'R', 'R', 'R', 'R' }, { 'S', 'C', 'C' }, { 'S', 'S' }, { 'S', 'S', 'S', 'S', 'S' }, { 'S', 'Y', ',', 'Y', 'Y', 'Y' }, { 'S', 'Y', 'E', 'A', 'R' }, { 'S', 'Y', 'Y', 'Y', 'Y' }, { 'W' }, { 'W', 'W' }, { 'Y' }, { 'Y', ',', 'Y', 'Y', 'Y' }, { 'Y', 'E', 'A', 'R' }, { 'Y', 'Y' }, { 'Y', 'Y', 'Y' }, { 'Y', 'Y', 'Y', 'Y' }, { Character.MIN_VALUE } };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2069 */   private static final byte[] ldxfdc = new byte[] { 37, 35, 36, 34, 37, 36, 1, 21, 32, 22, 23, 33, 43, 44, 39, 42, 25, 25, 24, 3, 18, 5, 7, 9, 29, 26, 17, 31, 30, 35, 34, 16, 38, 40, 41, 2, 27, 28, 13, 15, 12, 20, 19, 4, 11, 14, 6, 8, 10, 0 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2132 */   private static final byte[] ldxfcdlen = new byte[] { 0, 2, 35, 1, 1, 2, 2, 3, 3, 4, 4, 21, 37, 54, -60, -27, 1, 2, 2, 2, 1, 1, 2, 3, 2, 2, 2, 2, 5, 7, Byte.MIN_VALUE, Byte.MIN_VALUE, Byte.MIN_VALUE, Byte.MIN_VALUE, -62, -60, -62, -60, -124, 0, 2, 4, 0, -113, -98, Byte.MIN_VALUE, Byte.MIN_VALUE };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2187 */   private static int[] ldxfdi = new int[] { 0, 4, 6, 7, 12, 14, Integer.MIN_VALUE, 16, 19, 24, Integer.MIN_VALUE, Integer.MIN_VALUE, 25, Integer.MIN_VALUE, Integer.MIN_VALUE, 29, 31, 32, 35, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, 41, Integer.MIN_VALUE, 43, Integer.MIN_VALUE };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2217 */   private static final char[][] ldxfdx = new char[][] { { 'S', 'P' }, { 'S', 'P', 'T', 'H' }, { 'T', 'H' }, { 'T', 'H', 'S', 'P' }, { Character.MIN_VALUE } };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2226 */   private static final byte[] ldxfdxc = new byte[] { 2, 3, 1, 3, 0 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2237 */   private static final byte[] NULLFMT = new byte[] { 0, 16 };
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2242 */   private static final byte[] DEFAULT_FORMAT = new byte[] { 22, 24, 46, 4, 47, 31, 24, 46, 4, 47, 10, 24 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2249 */   private static final String[] ldxpaa = new String[] { "A.D.", "A.M.", "B.C.", "P.M." };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2258 */   private static final int[] ldxdom = new int[] { 0, 0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334, 365 };
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 2276 */   private final byte[][] ldxpmxa = new byte[][] { { 23, 29 }, { 4, 6, 8, 10, 12, 11, 13 }, { 25, 24 }, { 34, 35 }, { 36, 37 }, { 30, 31, 17, 38 }, { 32, 33, 21 }, { 34, 35, 24 }, { 12, 13, 36, 37 } };
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\LdxLibThin.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */