/*      */ package oracle.sql;
/*      */ 
/*      */ import java.sql.Connection;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.internal.OracleCallableStatement;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class LobPlsqlUtil
/*      */ {
/*      */   static boolean PLSQL_DEBUG = false;
/*      */   static final int MAX_PLSQL_SIZE = 32512;
/*      */   static final int MAX_PLSQL_INSTR_SIZE = 32512;
/*      */   static final int MAX_CHUNK_SIZE = 32512;
/*      */   
/*      */   public static long hasPattern(BLOB paramBLOB, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/*   83 */     return hasPattern(paramBLOB.getInternalConnection(), paramBLOB, 2004, paramArrayOfbyte, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long isSubLob(BLOB paramBLOB1, BLOB paramBLOB2, long paramLong) throws SQLException {
/*   93 */     return isSubLob(paramBLOB1.getInternalConnection(), paramBLOB1, 2004, paramBLOB2, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long hasPattern(CLOB paramCLOB, char[] paramArrayOfchar, long paramLong) throws SQLException {
/*  109 */     if (paramArrayOfchar == null || paramLong <= 0L) {
/*  110 */       return 0L;
/*      */     }
/*  112 */     OracleConnection oracleConnection = paramCLOB.getInternalConnection();
/*  113 */     long l1 = paramArrayOfchar.length;
/*  114 */     long l2 = length(oracleConnection, paramCLOB, 2005);
/*      */ 
/*      */     
/*  117 */     if (l1 == 0L || l1 > l2 - paramLong + 1L || paramLong > l2)
/*      */     {
/*  119 */       return 0L;
/*      */     }
/*      */ 
/*      */     
/*  123 */     if (l1 <= getPlsqlMaxInstrSize(oracleConnection)) {
/*      */ 
/*      */ 
/*      */       
/*  127 */       OracleCallableStatement oracleCallableStatement = null;
/*      */ 
/*      */       
/*      */       try {
/*  131 */         oracleCallableStatement = (OracleCallableStatement)oracleConnection.prepareCall("begin :1 := dbms_lob.instr(:2, :3, :4); end;");
/*      */ 
/*      */         
/*  134 */         oracleCallableStatement.registerOutParameter(1, 2);
/*      */         
/*  136 */         if (paramCLOB.isNCLOB()) {
/*      */           
/*  138 */           oracleCallableStatement.setFormOfUse(2, (short)2);
/*  139 */           oracleCallableStatement.setFormOfUse(3, (short)2);
/*      */         } 
/*      */         
/*  142 */         oracleCallableStatement.setCLOB(2, paramCLOB);
/*  143 */         oracleCallableStatement.setString(3, new String(paramArrayOfchar));
/*  144 */         oracleCallableStatement.setLong(4, paramLong);
/*  145 */         oracleCallableStatement.execute();
/*      */         
/*  147 */         return oracleCallableStatement.getLong(1);
/*      */       }
/*      */       finally {
/*      */         
/*  151 */         oracleCallableStatement.close();
/*      */         
/*  153 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  162 */     int i = 0;
/*  163 */     long l3 = paramLong;
/*  164 */     boolean bool = false;
/*      */ 
/*      */     
/*  167 */     long l4 = 0L;
/*      */ 
/*      */     
/*  170 */     while (!bool) {
/*      */       
/*  172 */       if (l1 > l2 - l3 + 1L) {
/*  173 */         return 0L;
/*      */       }
/*  175 */       i = 0;
/*      */ 
/*      */       
/*  178 */       int j = (int)Math.min(getPlsqlMaxInstrSize(oracleConnection), l1 - i);
/*      */ 
/*      */ 
/*      */       
/*  182 */       char[] arrayOfChar = new char[j];
/*      */       
/*  184 */       System.arraycopy(paramArrayOfchar, i, arrayOfChar, 0, j);
/*      */ 
/*      */       
/*  187 */       long l = hasPattern(paramCLOB, arrayOfChar, l3);
/*      */       
/*  189 */       if (l == 0L)
/*      */       {
/*  191 */         return 0L;
/*      */       }
/*      */ 
/*      */       
/*  195 */       l4 = l;
/*      */       
/*  197 */       i += j;
/*  198 */       l3 = l + j;
/*      */ 
/*      */       
/*  201 */       boolean bool1 = true;
/*      */       
/*  203 */       while (bool1) {
/*      */         
/*  205 */         j = (int)Math.min(getPlsqlMaxInstrSize(oracleConnection), l1 - i);
/*      */ 
/*      */ 
/*      */         
/*  209 */         arrayOfChar = new char[j];
/*      */         
/*  211 */         System.arraycopy(paramArrayOfchar, i, arrayOfChar, 0, j);
/*      */ 
/*      */ 
/*      */         
/*  215 */         l = hasPattern(paramCLOB, arrayOfChar, l3);
/*      */         
/*  217 */         if (l == l3) {
/*      */ 
/*      */ 
/*      */           
/*  221 */           i += j;
/*  222 */           l3 += j;
/*      */           
/*  224 */           if (i == l1) {
/*      */             
/*  226 */             bool1 = false;
/*  227 */             bool = true;
/*      */           }  continue;
/*      */         } 
/*  230 */         if (l == 0L)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  235 */           return 0L;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  242 */         l3 = l - i;
/*      */         
/*  244 */         bool1 = false;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  250 */     return l4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long isSubLob(CLOB paramCLOB1, CLOB paramCLOB2, long paramLong) throws SQLException {
/*  261 */     if (paramCLOB2 == null || paramLong <= 0L) {
/*  262 */       return 0L;
/*      */     }
/*  264 */     OracleConnection oracleConnection = paramCLOB1.getInternalConnection();
/*  265 */     long l1 = length(oracleConnection, paramCLOB2, 2005);
/*  266 */     long l2 = length(oracleConnection, paramCLOB1, 2005);
/*      */ 
/*      */     
/*  269 */     if (l1 == 0L || l1 > l2 - paramLong + 1L || paramLong > l2)
/*      */     {
/*  271 */       return 0L;
/*      */     }
/*      */ 
/*      */     
/*  275 */     if (l1 <= getPlsqlMaxInstrSize(oracleConnection)) {
/*      */ 
/*      */ 
/*      */       
/*  279 */       char[] arrayOfChar = new char[(int)l1];
/*      */       
/*  281 */       paramCLOB2.getChars(1L, (int)l1, arrayOfChar);
/*      */       
/*  283 */       return hasPattern(paramCLOB1, arrayOfChar, paramLong);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  291 */     int i = 0;
/*  292 */     long l3 = paramLong;
/*  293 */     boolean bool = false;
/*      */ 
/*      */     
/*  296 */     long l4 = 0L;
/*      */ 
/*      */     
/*  299 */     while (!bool) {
/*      */       
/*  301 */       if (l1 > l2 - l3 + 1L) {
/*  302 */         return 0L;
/*      */       }
/*  304 */       i = 0;
/*      */ 
/*      */       
/*  307 */       int j = (int)Math.min(getPlsqlMaxInstrSize(oracleConnection), l1 - i);
/*      */ 
/*      */ 
/*      */       
/*  311 */       char[] arrayOfChar = new char[j];
/*      */       
/*  313 */       paramCLOB2.getChars((i + 1), j, arrayOfChar);
/*      */ 
/*      */       
/*  316 */       long l = hasPattern(paramCLOB1, arrayOfChar, l3);
/*      */       
/*  318 */       if (l == 0L)
/*      */       {
/*  320 */         return 0L;
/*      */       }
/*      */ 
/*      */       
/*  324 */       l4 = l;
/*      */       
/*  326 */       i += j;
/*  327 */       l3 = l + j;
/*      */ 
/*      */       
/*  330 */       boolean bool1 = true;
/*      */       
/*  332 */       while (bool1) {
/*      */         
/*  334 */         j = (int)Math.min(getPlsqlMaxInstrSize(oracleConnection), l1 - i);
/*      */ 
/*      */ 
/*      */         
/*  338 */         arrayOfChar = new char[j];
/*      */         
/*  340 */         paramCLOB2.getChars((i + 1), j, arrayOfChar);
/*      */ 
/*      */         
/*  343 */         l = hasPattern(paramCLOB1, arrayOfChar, l3);
/*      */         
/*  345 */         if (l == l3) {
/*      */ 
/*      */ 
/*      */           
/*  349 */           i += j;
/*  350 */           l3 += j;
/*      */           
/*  352 */           if (i == l1) {
/*      */             
/*  354 */             bool1 = false;
/*  355 */             bool = true;
/*      */           }  continue;
/*      */         } 
/*  358 */         if (l == 0L)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  363 */           return 0L;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  370 */         l3 = l - i;
/*      */         
/*  372 */         bool1 = false;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  378 */     return l4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long hasPattern(BFILE paramBFILE, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/*  396 */     return hasPattern(paramBFILE.getInternalConnection(), paramBFILE, -13, paramArrayOfbyte, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long isSubLob(BFILE paramBFILE1, BFILE paramBFILE2, long paramLong) throws SQLException {
/*  406 */     return isSubLob(paramBFILE1.getInternalConnection(), paramBFILE1, -13, paramBFILE2, paramLong);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String fileGetName(BFILE paramBFILE) throws SQLException {
/*  415 */     OracleCallableStatement oracleCallableStatement = null;
/*  416 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/*  420 */       oracleCallableStatement = (OracleCallableStatement)paramBFILE.getInternalConnection().prepareCall("begin dbms_lob.fileGetName(:1, :2, :3); end; ");
/*      */ 
/*      */       
/*  423 */       oracleCallableStatement.setBFILE(1, paramBFILE);
/*  424 */       oracleCallableStatement.registerOutParameter(2, 12);
/*  425 */       oracleCallableStatement.registerOutParameter(3, 12);
/*  426 */       oracleCallableStatement.execute();
/*      */       
/*  428 */       str = oracleCallableStatement.getString(3);
/*      */     }
/*      */     finally {
/*      */       
/*  432 */       if (oracleCallableStatement != null) {
/*      */         
/*  434 */         oracleCallableStatement.close();
/*      */         
/*  436 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  442 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String fileGetDirAlias(BFILE paramBFILE) throws SQLException {
/*  450 */     OracleCallableStatement oracleCallableStatement = null;
/*  451 */     String str = null;
/*      */ 
/*      */     
/*      */     try {
/*  455 */       oracleCallableStatement = (OracleCallableStatement)paramBFILE.getInternalConnection().prepareCall("begin dbms_lob.fileGetName(:1, :2, :3); end; ");
/*      */ 
/*      */       
/*  458 */       oracleCallableStatement.setBFILE(1, paramBFILE);
/*  459 */       oracleCallableStatement.registerOutParameter(2, 12);
/*  460 */       oracleCallableStatement.registerOutParameter(3, 12);
/*  461 */       oracleCallableStatement.execute();
/*      */       
/*  463 */       str = oracleCallableStatement.getString(2);
/*      */     
/*      */     }
/*      */     finally {
/*      */       
/*  468 */       if (oracleCallableStatement != null) {
/*      */         
/*  470 */         oracleCallableStatement.close();
/*      */         
/*  472 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  478 */     return str;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static int getPlsqlMaxInstrSize(OracleConnection paramOracleConnection) throws SQLException {
/*  493 */     boolean bool = paramOracleConnection.isCharSetMultibyte(paramOracleConnection.getDriverCharSet());
/*      */     
/*  495 */     int i = paramOracleConnection.getMaxCharbyteSize();
/*      */     
/*  497 */     int j = 32512;
/*      */     
/*  499 */     if (bool) {
/*  500 */       j = 32512 / paramOracleConnection.getC2SNlsRatio() * i;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  505 */     return j;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long read(OracleConnection paramOracleConnection, Datum paramDatum, int paramInt, long paramLong1, long paramLong2, byte[] paramArrayOfbyte) throws SQLException {
/*  514 */     OracleCallableStatement oracleCallableStatement = null;
/*  515 */     int i = 0;
/*      */ 
/*      */     
/*      */     try {
/*  519 */       oracleCallableStatement = (OracleCallableStatement)paramOracleConnection.prepareCall("begin dbms_lob.read (:1, :2, :3, :4); end;");
/*      */ 
/*      */       
/*  522 */       int j = 0;
/*  523 */       int k = 0;
/*      */ 
/*      */       
/*  526 */       if (isNCLOB(paramDatum)) {
/*      */         
/*  528 */         oracleCallableStatement.setFormOfUse(1, (short)2);
/*  529 */         oracleCallableStatement.setFormOfUse(4, (short)2);
/*      */       } 
/*      */       
/*  532 */       oracleCallableStatement.setObject(1, paramDatum, paramInt);
/*  533 */       oracleCallableStatement.registerOutParameter(2, 2);
/*  534 */       oracleCallableStatement.registerOutParameter(4, -3);
/*      */       
/*  536 */       while (i < paramLong2)
/*      */       {
/*  538 */         k = Math.min((int)paramLong2, 32512);
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  543 */         oracleCallableStatement.setInt(2, k);
/*  544 */         oracleCallableStatement.setInt(3, (int)paramLong1 + i);
/*  545 */         oracleCallableStatement.execute();
/*      */         
/*  547 */         j = oracleCallableStatement.getInt(2);
/*  548 */         byte[] arrayOfByte = oracleCallableStatement.getBytes(4);
/*      */         
/*  550 */         System.arraycopy(arrayOfByte, 0, paramArrayOfbyte, i, j);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  556 */         i += j;
/*  557 */         paramLong2 -= j;
/*      */       }
/*      */     
/*  560 */     } catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */       
/*  564 */       if (sQLException.getErrorCode() != 1403)
/*      */       {
/*      */ 
/*      */ 
/*      */         
/*  569 */         throw sQLException;
/*      */ 
/*      */       
/*      */       }
/*      */ 
/*      */     
/*      */     }
/*      */     finally {
/*      */ 
/*      */ 
/*      */       
/*  580 */       if (oracleCallableStatement != null) {
/*      */         
/*  582 */         oracleCallableStatement.close();
/*      */         
/*  584 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  590 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long length(OracleConnection paramOracleConnection, Datum paramDatum, int paramInt) throws SQLException {
/*  599 */     long l = 0L;
/*  600 */     OracleCallableStatement oracleCallableStatement = null;
/*      */ 
/*      */     
/*      */     try {
/*  604 */       oracleCallableStatement = (OracleCallableStatement)paramOracleConnection.prepareCall("begin :1 := dbms_lob.getLength (:2); end;");
/*      */ 
/*      */       
/*  607 */       if (isNCLOB(paramDatum)) {
/*  608 */         oracleCallableStatement.setFormOfUse(2, (short)2);
/*      */       }
/*  610 */       oracleCallableStatement.setObject(2, paramDatum, paramInt);
/*  611 */       oracleCallableStatement.registerOutParameter(1, 2);
/*  612 */       oracleCallableStatement.execute();
/*      */       
/*  614 */       l = oracleCallableStatement.getLong(1);
/*      */     }
/*      */     finally {
/*      */       
/*  618 */       if (oracleCallableStatement != null) {
/*      */         
/*  620 */         oracleCallableStatement.close();
/*      */         
/*  622 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  628 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long hasPattern(OracleConnection paramOracleConnection, Datum paramDatum, int paramInt, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/*  639 */     if (paramArrayOfbyte == null || paramLong <= 0L) {
/*  640 */       return 0L;
/*      */     }
/*  642 */     long l1 = paramArrayOfbyte.length;
/*  643 */     long l2 = length(paramOracleConnection, paramDatum, paramInt);
/*      */ 
/*      */     
/*  646 */     if (l1 == 0L || l1 > l2 - paramLong + 1L || paramLong > l2)
/*      */     {
/*  648 */       return 0L;
/*      */     }
/*      */ 
/*      */     
/*  652 */     if (l1 <= 32512L) {
/*      */ 
/*      */ 
/*      */       
/*  656 */       OracleCallableStatement oracleCallableStatement = null;
/*      */ 
/*      */       
/*      */       try {
/*  660 */         oracleCallableStatement = (OracleCallableStatement)paramOracleConnection.prepareCall("begin :1 := dbms_lob.instr(:2, :3, :4); end;");
/*      */ 
/*      */         
/*  663 */         oracleCallableStatement.registerOutParameter(1, 2);
/*  664 */         oracleCallableStatement.setObject(2, paramDatum, paramInt);
/*  665 */         oracleCallableStatement.setBytes(3, paramArrayOfbyte);
/*  666 */         oracleCallableStatement.setLong(4, paramLong);
/*  667 */         oracleCallableStatement.execute();
/*      */         
/*  669 */         return oracleCallableStatement.getLong(1);
/*      */       }
/*      */       finally {
/*      */         
/*  673 */         oracleCallableStatement.close();
/*      */         
/*  675 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  684 */     int i = 0;
/*  685 */     long l3 = paramLong;
/*  686 */     boolean bool = false;
/*      */ 
/*      */     
/*  689 */     long l4 = 0L;
/*      */ 
/*      */     
/*  692 */     while (!bool) {
/*      */       
/*  694 */       if (l1 > l2 - l3 + 1L) {
/*  695 */         return 0L;
/*      */       }
/*  697 */       i = 0;
/*      */ 
/*      */       
/*  700 */       int j = (int)Math.min(32512L, l1 - i);
/*      */ 
/*      */ 
/*      */       
/*  704 */       byte[] arrayOfByte = new byte[j];
/*      */       
/*  706 */       System.arraycopy(paramArrayOfbyte, i, arrayOfByte, 0, j);
/*      */ 
/*      */       
/*  709 */       long l = hasPattern(paramOracleConnection, paramDatum, paramInt, arrayOfByte, l3);
/*      */       
/*  711 */       if (l == 0L)
/*      */       {
/*  713 */         return 0L;
/*      */       }
/*      */ 
/*      */       
/*  717 */       l4 = l;
/*      */       
/*  719 */       i += j;
/*  720 */       l3 = l + j;
/*      */ 
/*      */       
/*  723 */       boolean bool1 = true;
/*      */       
/*  725 */       while (bool1) {
/*      */         
/*  727 */         j = (int)Math.min(32512L, l1 - i);
/*      */ 
/*      */ 
/*      */         
/*  731 */         arrayOfByte = new byte[j];
/*      */         
/*  733 */         System.arraycopy(paramArrayOfbyte, i, arrayOfByte, 0, j);
/*      */ 
/*      */ 
/*      */         
/*  737 */         l = hasPattern(paramOracleConnection, paramDatum, paramInt, arrayOfByte, l3);
/*      */ 
/*      */         
/*  740 */         if (l == l3) {
/*      */ 
/*      */ 
/*      */           
/*  744 */           i += j;
/*  745 */           l3 += j;
/*      */           
/*  747 */           if (i == l1) {
/*      */             
/*  749 */             bool1 = false;
/*  750 */             bool = true;
/*      */           }  continue;
/*      */         } 
/*  753 */         if (l == 0L)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  758 */           return 0L;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  765 */         l3 = l - i;
/*      */         
/*  767 */         bool1 = false;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  773 */     return l4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static long isSubLob(OracleConnection paramOracleConnection, Datum paramDatum1, int paramInt, Datum paramDatum2, long paramLong) throws SQLException {
/*  784 */     if (paramDatum2 == null || paramLong <= 0L) {
/*  785 */       return 0L;
/*      */     }
/*  787 */     long l1 = length(paramOracleConnection, paramDatum2, paramInt);
/*  788 */     long l2 = length(paramOracleConnection, paramDatum1, paramInt);
/*      */     
/*  790 */     if (l1 == 0L || l1 > l2 - paramLong + 1L || paramLong > l2)
/*      */     {
/*  792 */       return 0L;
/*      */     }
/*      */ 
/*      */     
/*  796 */     if (l1 <= 32512L) {
/*      */ 
/*      */ 
/*      */       
/*  800 */       byte[] arrayOfByte = new byte[(int)l1];
/*      */       
/*  802 */       read(paramOracleConnection, paramDatum2, paramInt, 1L, l1, arrayOfByte);
/*      */       
/*  804 */       return hasPattern(paramOracleConnection, paramDatum1, paramInt, arrayOfByte, paramLong);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  812 */     int i = 0;
/*  813 */     long l3 = paramLong;
/*  814 */     boolean bool = false;
/*      */ 
/*      */     
/*  817 */     long l4 = 0L;
/*      */ 
/*      */     
/*  820 */     while (!bool) {
/*      */       
/*  822 */       if (l1 > l2 - l3 + 1L) {
/*  823 */         return 0L;
/*      */       }
/*  825 */       i = 0;
/*      */ 
/*      */       
/*  828 */       int j = (int)Math.min(32512L, l1 - i);
/*      */ 
/*      */ 
/*      */       
/*  832 */       byte[] arrayOfByte = new byte[j];
/*      */       
/*  834 */       read(paramOracleConnection, paramDatum2, paramInt, (i + 1), j, arrayOfByte);
/*      */ 
/*      */       
/*  837 */       long l = hasPattern(paramOracleConnection, paramDatum1, paramInt, arrayOfByte, l3);
/*      */       
/*  839 */       if (l == 0L)
/*      */       {
/*  841 */         return 0L;
/*      */       }
/*      */ 
/*      */       
/*  845 */       l4 = l;
/*      */       
/*  847 */       i += j;
/*  848 */       l3 = l + j;
/*      */ 
/*      */       
/*  851 */       boolean bool1 = true;
/*      */       
/*  853 */       while (bool1) {
/*      */         
/*  855 */         j = (int)Math.min(32512L, l1 - i);
/*      */ 
/*      */ 
/*      */         
/*  859 */         arrayOfByte = new byte[j];
/*      */         
/*  861 */         read(paramOracleConnection, paramDatum2, paramInt, (i + 1), j, arrayOfByte);
/*      */ 
/*      */         
/*  864 */         l = hasPattern(paramOracleConnection, paramDatum1, paramInt, arrayOfByte, l3);
/*      */ 
/*      */         
/*  867 */         if (l == l3) {
/*      */ 
/*      */ 
/*      */           
/*  871 */           i += j;
/*  872 */           l3 += j;
/*      */           
/*  874 */           if (i == l1) {
/*      */             
/*  876 */             bool1 = false;
/*  877 */             bool = true;
/*      */           }  continue;
/*      */         } 
/*  880 */         if (l == 0L)
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*  885 */           return 0L;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  892 */         l3 = l - i;
/*      */         
/*  894 */         bool1 = false;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  900 */     return l4;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static boolean isNCLOB(Datum paramDatum) {
/*  911 */     Class clazz = null;
/*      */ 
/*      */     
/*      */     try {
/*  915 */       clazz = Class.forName("oracle.sql.CLOB");
/*      */     }
/*  917 */     catch (ClassNotFoundException classNotFoundException) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  922 */       return false;
/*      */     } 
/*      */     
/*  925 */     if (!clazz.isInstance(paramDatum)) {
/*  926 */       return false;
/*      */     }
/*  928 */     CLOB cLOB = (CLOB)paramDatum;
/*      */     
/*  930 */     return cLOB.isNCLOB();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static Datum createTemporaryLob(Connection paramConnection, boolean paramBoolean, int paramInt1, int paramInt2, short paramShort) throws SQLException {
/*  940 */     OracleCallableStatement oracleCallableStatement = null;
/*  941 */     Datum datum = null;
/*      */ 
/*      */     
/*      */     try {
/*  945 */       oracleCallableStatement = (OracleCallableStatement)paramConnection.prepareCall("begin dbms_lob.createTemporary (:1," + (paramBoolean ? "TRUE" : "FALSE") + ", :2); end;");
/*      */ 
/*      */ 
/*      */       
/*  949 */       oracleCallableStatement.registerOutParameter(1, paramInt2);
/*  950 */       oracleCallableStatement.setFormOfUse(1, paramShort);
/*      */ 
/*      */       
/*  953 */       oracleCallableStatement.setInt(2, paramInt1);
/*  954 */       oracleCallableStatement.execute();
/*      */       
/*  956 */       datum = oracleCallableStatement.getOracleObject(1);
/*      */     }
/*      */     finally {
/*      */       
/*  960 */       if (oracleCallableStatement != null) {
/*      */         
/*  962 */         oracleCallableStatement.close();
/*      */         
/*  964 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  970 */     return datum;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void freeTemporaryLob(Connection paramConnection, Datum paramDatum, int paramInt) throws SQLException {
/*  979 */     OracleCallableStatement oracleCallableStatement = null;
/*      */ 
/*      */     
/*      */     try {
/*  983 */       oracleCallableStatement = (OracleCallableStatement)paramConnection.prepareCall("begin dbms_lob.freeTemporary (:1); end;");
/*      */ 
/*      */       
/*  986 */       oracleCallableStatement.registerOutParameter(1, paramInt);
/*      */       
/*  988 */       if (isNCLOB(paramDatum)) {
/*  989 */         oracleCallableStatement.setFormOfUse(1, (short)2);
/*      */       }
/*  991 */       oracleCallableStatement.setOracleObject(1, paramDatum);
/*  992 */       oracleCallableStatement.execute();
/*  993 */       paramDatum.setShareBytes(oracleCallableStatement.privateGetBytes(1));
/*      */     }
/*      */     finally {
/*      */       
/*  997 */       if (oracleCallableStatement != null) {
/*      */         
/*  999 */         oracleCallableStatement.close();
/*      */         
/* 1001 */         oracleCallableStatement = null;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1011 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:32_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\LobPlsqlUtil.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */