/*      */ package oracle.sql;
/*      */ 
/*      */ import java.util.HashMap;
/*      */ import java.util.Locale;
/*      */ import java.util.Map;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class LxMetaData
/*      */ {
/*      */   private static final String DEFAULT_ES_ORA_LANGUAGE = "LATIN AMERICAN SPANISH";
/*      */   private static final int WIDTH_SIZE = 8;
/*      */   private static final short WIDTH_MASK = 255;
/*      */   public static final int ST_BADCODESET = 0;
/*      */   
/*      */   static Locale getJavaLocale(String paramString1, String paramString2) {
/*   49 */     if (paramString1 == null)
/*      */     {
/*   51 */       return null;
/*      */     }
/*      */     
/*   54 */     String str1 = paramString1;
/*      */     
/*   56 */     String str2 = EN_LOCALE.getLanguage();
/*   57 */     if (!"".equals(str1)) {
/*      */       
/*   59 */       if (ORACLE_LANG_2_ISO_A2_LANG == null)
/*   60 */         ORACLE_LANG_2_ISO_A2_LANG = getLang2IsoLangMap(); 
/*   61 */       str2 = (String)ORACLE_LANG_2_ISO_A2_LANG.get(str1.toUpperCase(Locale.US));
/*      */       
/*   63 */       if (str2 == null)
/*      */       {
/*   65 */         return null;
/*      */       }
/*      */     }
/*      */     else {
/*      */       
/*   70 */       str1 = "AMERICAN";
/*      */     } 
/*      */     
/*   73 */     String str3 = null;
/*   74 */     if (paramString2 == null || (str3 = paramString2.toUpperCase(Locale.US)) == null || "".equals(str3)) {
/*      */ 
/*      */ 
/*      */       
/*   78 */       if (ORACLE_LANG_2_TERR == null)
/*   79 */         ORACLE_LANG_2_TERR = getLang2Terr(); 
/*   80 */       str3 = (String)ORACLE_LANG_2_TERR.get(str1);
/*      */     } 
/*      */     
/*   83 */     if (ORACLE_TERR_2_ISO_A2_TERR == null)
/*   84 */       ORACLE_TERR_2_ISO_A2_TERR = getTerr2IsoTerrMap(); 
/*   85 */     String str4 = (String)ORACLE_TERR_2_ISO_A2_TERR.get(str3);
/*   86 */     if (str4 == null)
/*      */     {
/*   88 */       return null;
/*      */     }
/*      */     
/*   91 */     return new Locale(str2, str4);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getNLSLanguage(Locale paramLocale) {
/*  115 */     String str = getOraLocale(paramLocale);
/*  116 */     if (str == null)
/*  117 */       return null; 
/*  118 */     int i = str.indexOf('_');
/*  119 */     return (i < 0) ? str : str.substring(0, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getNLSTerritory(Locale paramLocale) {
/*  135 */     String str = getOraLocale(paramLocale);
/*  136 */     if (str == null)
/*  137 */       return null; 
/*  138 */     int i = str.indexOf('_');
/*  139 */     return (i < 0) ? null : str.substring(i + 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static String getOraLocale(Locale paramLocale) {
/*  154 */     if (paramLocale == null)
/*      */     {
/*  156 */       return null;
/*      */     }
/*      */ 
/*      */     
/*  160 */     String str1 = paramLocale.getLanguage().equals("") ? EN_LOCALE.getLanguage() : paramLocale.getLanguage();
/*      */ 
/*      */     
/*  163 */     if (ISO_A2_LANG_2_ORACLE_LANG == null) {
/*  164 */       ISO_A2_LANG_2_ORACLE_LANG = getIsoLangToOracleMap();
/*      */     }
/*      */     
/*  167 */     String str2 = (String)ISO_A2_LANG_2_ORACLE_LANG.get(str1);
/*  168 */     if (str2 == null) {
/*  169 */       return null;
/*      */     }
/*      */     
/*  172 */     String str3 = paramLocale.getCountry();
/*      */     
/*  174 */     if (str3.equals("")) {
/*      */       
/*  176 */       if (ISO_LANGUAGE_DEFAULT_TERRITORY == null) {
/*  177 */         ISO_LANGUAGE_DEFAULT_TERRITORY = getIsoLangDefaultTerrMap();
/*      */       }
/*  179 */       str3 = (String)ISO_LANGUAGE_DEFAULT_TERRITORY.get(str1);
/*      */       
/*  181 */       if (str3 == null) {
/*  182 */         return null;
/*      */       }
/*      */     } 
/*  185 */     Locale locale = new Locale(str1, str3);
/*      */ 
/*      */     
/*  188 */     if (ISO_LOCALE_2_ORACLE_LOCALE == null) {
/*  189 */       ISO_LOCALE_2_ORACLE_LOCALE = getIsoLocToOracleMap();
/*      */     }
/*  191 */     String str4 = (String)ISO_LOCALE_2_ORACLE_LOCALE.get(locale.toString());
/*      */ 
/*      */     
/*  194 */     if (str4 != null)
/*      */     {
/*  196 */       return str4;
/*      */     }
/*      */     
/*  199 */     if ("es".equals(str1))
/*      */     {
/*      */       
/*  202 */       str2 = "LATIN AMERICAN SPANISH";
/*      */     }
/*      */ 
/*      */     
/*  206 */     if (ISO_A2_TERR_2_ORACLE_TERR == null) {
/*  207 */       ISO_A2_TERR_2_ORACLE_TERR = getIsoTerrToOracleMap();
/*      */     }
/*  209 */     String str5 = (String)ISO_A2_TERR_2_ORACLE_TERR.get(str3);
/*  210 */     return (str5 != null) ? (str2 + "_" + str5) : null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static int getRatio(int paramInt1, int paramInt2) {
/*  251 */     if (paramInt2 == paramInt1)
/*      */     {
/*  253 */       return 1;
/*      */     }
/*      */     
/*  256 */     if (CHARSET_RATIO == null)
/*      */     {
/*  258 */       CHARSET_RATIO = getCharsetRatio();
/*      */     }
/*      */     
/*  261 */     Object object = CHARSET_RATIO.get(Integer.toString(paramInt1));
/*  262 */     if (object == null) {
/*  263 */       return 0;
/*      */     }
/*  265 */     int i = Integer.parseInt((String)object);
/*      */ 
/*      */     
/*  268 */     object = CHARSET_RATIO.get(Integer.toString(paramInt2));
/*  269 */     if (object == null) {
/*  270 */       return 0;
/*      */     }
/*  272 */     int j = Integer.parseInt((String)object);
/*      */     
/*  274 */     int k = i & 0xFF;
/*      */     
/*  276 */     if (k == 1)
/*      */     {
/*  278 */       return 1;
/*      */     }
/*      */     
/*  281 */     if (j >>> 8 == 0)
/*      */     {
/*      */       
/*  284 */       return k;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  291 */     int m = j & 0xFF;
/*  292 */     int n = k / m;
/*      */     
/*  294 */     if (k % m != 0)
/*      */     {
/*  296 */       n++;
/*      */     }
/*      */     
/*  299 */     return n;
/*      */   }
/*      */   
/*  302 */   private static final Locale EN_LOCALE = new Locale("en", "US");
/*      */   
/*  304 */   private static Map ORACLE_LANG_2_ISO_A2_LANG = null;
/*      */   
/*      */   private static synchronized Map getLang2IsoLangMap() {
/*  307 */     HashMap hashMap = new HashMap();
/*      */     
/*  309 */     hashMap.put("ALBANIAN", "sq");
/*  310 */     hashMap.put("AMERICAN", "en");
/*  311 */     hashMap.put("ARABIC", "ar");
/*  312 */     hashMap.put("ASSAMESE", "as");
/*  313 */     hashMap.put("AZERBAIJANI", "az");
/*  314 */     hashMap.put("BANGLA", "bn");
/*  315 */     hashMap.put("BENGALI", "bn");
/*  316 */     hashMap.put("BRAZILIAN PORTUGUESE", "pt");
/*  317 */     hashMap.put("BULGARIAN", "bg");
/*  318 */     hashMap.put("CANADIAN FRENCH", "fr");
/*  319 */     hashMap.put("CATALAN", "ca");
/*  320 */     hashMap.put("CROATIAN", "hr");
/*  321 */     hashMap.put("CYRILLIC KAZAKH", "kk");
/*  322 */     hashMap.put("CYRILLIC SERBIAN", "sr");
/*  323 */     hashMap.put("CYRILLIC UZBEK", "uz");
/*  324 */     hashMap.put("CZECH", "cs");
/*  325 */     hashMap.put("DANISH", "da");
/*  326 */     hashMap.put("DUTCH", "nl");
/*  327 */     hashMap.put("EGYPTIAN", "ar");
/*  328 */     hashMap.put("ENGLISH", "en");
/*  329 */     hashMap.put("ESTONIAN", "et");
/*  330 */     hashMap.put("FINNISH", "fi");
/*  331 */     hashMap.put("FRENCH", "fr");
/*  332 */     hashMap.put("GERMAN", "de");
/*  333 */     hashMap.put("GERMAN DIN", "de");
/*  334 */     hashMap.put("GREEK", "el");
/*  335 */     hashMap.put("GUJARATI", "gu");
/*  336 */     hashMap.put("HEBREW", "iw");
/*  337 */     hashMap.put("HINDI", "hi");
/*  338 */     hashMap.put("HUNGARIAN", "hu");
/*  339 */     hashMap.put("ICELANDIC", "is");
/*  340 */     hashMap.put("INDONESIAN", "in");
/*  341 */     hashMap.put("ITALIAN", "it");
/*  342 */     hashMap.put("JAPANESE", "ja");
/*  343 */     hashMap.put("KANNADA", "kn");
/*  344 */     hashMap.put("KOREAN", "ko");
/*  345 */     hashMap.put("LATIN AMERICAN SPANISH", "es");
/*  346 */     hashMap.put("LATIN SERBIAN", "sr");
/*  347 */     hashMap.put("LATIN UZBEK", "uz");
/*  348 */     hashMap.put("LATVIAN", "lv");
/*  349 */     hashMap.put("LITHUANIAN", "lt");
/*  350 */     hashMap.put("MACEDONIAN", "mk");
/*  351 */     hashMap.put("MALAY", "ms");
/*  352 */     hashMap.put("MALAYALAM", "ml");
/*  353 */     hashMap.put("MARATHI", "mr");
/*  354 */     hashMap.put("MEXICAN SPANISH", "es");
/*  355 */     hashMap.put("NORWEGIAN", "no");
/*  356 */     hashMap.put("NUMERIC DATE LANGUAGE", "en");
/*  357 */     hashMap.put("ORIYA", "or");
/*  358 */     hashMap.put("POLISH", "pl");
/*  359 */     hashMap.put("PORTUGUESE", "pt");
/*  360 */     hashMap.put("PUNJABI", "pa");
/*  361 */     hashMap.put("ROMANIAN", "ro");
/*  362 */     hashMap.put("RUSSIAN", "ru");
/*  363 */     hashMap.put("SIMPLIFIED CHINESE", "zh");
/*  364 */     hashMap.put("SLOVAK", "sk");
/*  365 */     hashMap.put("SLOVENIAN", "sl");
/*  366 */     hashMap.put("SPANISH", "es");
/*  367 */     hashMap.put("SWEDISH", "sv");
/*  368 */     hashMap.put("TAMIL", "ta");
/*  369 */     hashMap.put("TELUGU", "te");
/*  370 */     hashMap.put("THAI", "th");
/*  371 */     hashMap.put("TRADITIONAL CHINESE", "zh");
/*  372 */     hashMap.put("TURKISH", "tr");
/*  373 */     hashMap.put("UKRAINIAN", "uk");
/*  374 */     hashMap.put("VIETNAMESE", "vi");
/*      */     
/*  376 */     return hashMap;
/*      */   }
/*      */   
/*  379 */   private static Map ORACLE_TERR_2_ISO_A2_TERR = null;
/*      */   
/*      */   private static synchronized Map getTerr2IsoTerrMap() {
/*  382 */     HashMap hashMap = new HashMap();
/*      */     
/*  384 */     hashMap.put("ALBANIA", "AL");
/*  385 */     hashMap.put("ALGERIA", "DZ");
/*  386 */     hashMap.put("AMERICA", "US");
/*  387 */     hashMap.put("ARGENTINA", "AR");
/*  388 */     hashMap.put("AUSTRALIA", "AU");
/*  389 */     hashMap.put("AUSTRIA", "AT");
/*  390 */     hashMap.put("AZERBAIJAN", "AZ");
/*  391 */     hashMap.put("BAHRAIN", "BH");
/*  392 */     hashMap.put("BANGLADESH", "BD");
/*  393 */     hashMap.put("BELGIUM", "BE");
/*  394 */     hashMap.put("BRAZIL", "BR");
/*  395 */     hashMap.put("BULGARIA", "BG");
/*  396 */     hashMap.put("CANADA", "CA");
/*  397 */     hashMap.put("CATALONIA", "ES");
/*  398 */     hashMap.put("CHILE", "CL");
/*  399 */     hashMap.put("CHINA", "CN");
/*  400 */     hashMap.put("CIS", "RU");
/*  401 */     hashMap.put("COLOMBIA", "CO");
/*  402 */     hashMap.put("COSTA RICA", "CR");
/*  403 */     hashMap.put("CROATIA", "HR");
/*  404 */     hashMap.put("CYPRUS", "CY");
/*  405 */     hashMap.put("CZECH REPUBLIC", "CZ");
/*  406 */     hashMap.put("CZECHOSLOVAKIA", "CZ");
/*  407 */     hashMap.put("DENMARK", "DK");
/*  408 */     hashMap.put("DJIBOUTI", "DJ");
/*  409 */     hashMap.put("ECUADOR", "EC");
/*  410 */     hashMap.put("EGYPT", "EG");
/*  411 */     hashMap.put("EL SALVADOR", "SV");
/*  412 */     hashMap.put("ESTONIA", "EE");
/*  413 */     hashMap.put("FINLAND", "FI");
/*  414 */     hashMap.put("FRANCE", "FR");
/*  415 */     hashMap.put("FYR MACEDONIA", "MK");
/*  416 */     hashMap.put("GERMANY", "DE");
/*  417 */     hashMap.put("GREECE", "GR");
/*  418 */     hashMap.put("GUATEMALA", "GT");
/*  419 */     hashMap.put("HONG KONG", "HK");
/*  420 */     hashMap.put("HUNGARY", "HU");
/*  421 */     hashMap.put("ICELAND", "IS");
/*  422 */     hashMap.put("INDIA", "IN");
/*  423 */     hashMap.put("INDONESIA", "ID");
/*  424 */     hashMap.put("IRAQ", "IQ");
/*  425 */     hashMap.put("IRELAND", "IE");
/*  426 */     hashMap.put("ISRAEL", "IL");
/*  427 */     hashMap.put("ITALY", "IT");
/*  428 */     hashMap.put("JAPAN", "JP");
/*  429 */     hashMap.put("JORDAN", "JO");
/*  430 */     hashMap.put("KAZAKHSTAN", "KZ");
/*  431 */     hashMap.put("KOREA", "KR");
/*  432 */     hashMap.put("KUWAIT", "KW");
/*  433 */     hashMap.put("LATVIA", "LV");
/*  434 */     hashMap.put("LEBANON", "LB");
/*  435 */     hashMap.put("LIBYA", "LY");
/*  436 */     hashMap.put("LITHUANIA", "LT");
/*  437 */     hashMap.put("LUXEMBOURG", "LU");
/*  438 */     hashMap.put("MACEDONIA", "MK");
/*  439 */     hashMap.put("MALAYSIA", "MY");
/*  440 */     hashMap.put("MAURITANIA", "MR");
/*  441 */     hashMap.put("MEXICO", "MX");
/*  442 */     hashMap.put("MOROCCO", "MA");
/*  443 */     hashMap.put("NEW ZEALAND", "NZ");
/*  444 */     hashMap.put("NICARAGUA", "NI");
/*  445 */     hashMap.put("NORWAY", "NO");
/*  446 */     hashMap.put("OMAN", "OM");
/*  447 */     hashMap.put("PANAMA", "PA");
/*  448 */     hashMap.put("PERU", "PE");
/*  449 */     hashMap.put("PHILIPPINES", "PH");
/*  450 */     hashMap.put("POLAND", "PL");
/*  451 */     hashMap.put("PORTUGAL", "PT");
/*  452 */     hashMap.put("PUERTO RICO", "PR");
/*  453 */     hashMap.put("QATAR", "QA");
/*  454 */     hashMap.put("ROMANIA", "RO");
/*  455 */     hashMap.put("RUSSIA", "RU");
/*  456 */     hashMap.put("SAUDI ARABIA", "SA");
/*  457 */     hashMap.put("SERBIA AND MONTENEGRO", "CS");
/*  458 */     hashMap.put("SINGAPORE", "SG");
/*  459 */     hashMap.put("SLOVAKIA", "SK");
/*  460 */     hashMap.put("SLOVENIA", "SI");
/*  461 */     hashMap.put("SOMALIA", "SO");
/*  462 */     hashMap.put("SOUTH AFRICA", "ZA");
/*  463 */     hashMap.put("SPAIN", "ES");
/*  464 */     hashMap.put("SUDAN", "SD");
/*  465 */     hashMap.put("SWEDEN", "SE");
/*  466 */     hashMap.put("SWITZERLAND", "CH");
/*  467 */     hashMap.put("SYRIA", "SY");
/*  468 */     hashMap.put("TAIWAN", "TW");
/*  469 */     hashMap.put("THAILAND", "TH");
/*  470 */     hashMap.put("THE NETHERLANDS", "NL");
/*  471 */     hashMap.put("TUNISIA", "TN");
/*  472 */     hashMap.put("TURKEY", "TR");
/*  473 */     hashMap.put("UKRAINE", "UA");
/*  474 */     hashMap.put("UNITED ARAB EMIRATES", "AE");
/*  475 */     hashMap.put("UNITED KINGDOM", "GB");
/*  476 */     hashMap.put("UZBEKISTAN", "UZ");
/*  477 */     hashMap.put("VENEZUELA", "VE");
/*  478 */     hashMap.put("VIETNAM", "VN");
/*  479 */     hashMap.put("YEMEN", "YE");
/*  480 */     hashMap.put("YUGOSLAVIA", "YU");
/*      */     
/*  482 */     return hashMap;
/*      */   }
/*      */   
/*  485 */   private static Map ORACLE_LANG_2_TERR = null;
/*      */   
/*      */   private static synchronized Map getLang2Terr() {
/*  488 */     HashMap hashMap = new HashMap();
/*      */     
/*  490 */     hashMap.put("ALBANIAN", "ALBANIA");
/*  491 */     hashMap.put("AMERICAN", "AMERICA");
/*  492 */     hashMap.put("ARABIC", "UNITED ARAB EMIRATES");
/*  493 */     hashMap.put("ASSAMESE", "INDIA");
/*  494 */     hashMap.put("AZERBAIJANI", "AZERBAIJAN");
/*  495 */     hashMap.put("BANGLA", "INDIA");
/*  496 */     hashMap.put("BRAZILIAN PORTUGUESE", "BRAZIL");
/*  497 */     hashMap.put("BULGARIAN", "BULGARIA");
/*  498 */     hashMap.put("CANADIAN FRENCH", "CANADA");
/*  499 */     hashMap.put("CATALAN", "CATALONIA");
/*  500 */     hashMap.put("CROATIAN", "CROATIA");
/*  501 */     hashMap.put("CYRILLIC KAZAKH", "KAZAKHSTAN");
/*  502 */     hashMap.put("CYRILLIC SERBIAN", "SERBIA AND MONTENEGRO");
/*  503 */     hashMap.put("CYRILLIC UZBEK", "UZBEKISTAN");
/*  504 */     hashMap.put("CZECH", "CZECH REPUBLIC");
/*  505 */     hashMap.put("DANISH", "DENMARK");
/*  506 */     hashMap.put("DUTCH", "THE NETHERLANDS");
/*  507 */     hashMap.put("EGYPTIAN", "EGYPT");
/*  508 */     hashMap.put("ENGLISH", "UNITED KINGDOM");
/*  509 */     hashMap.put("ESTONIAN", "ESTONIA");
/*  510 */     hashMap.put("FINNISH", "FINLAND");
/*  511 */     hashMap.put("FRENCH", "FRANCE");
/*  512 */     hashMap.put("GERMAN", "GERMANY");
/*  513 */     hashMap.put("GERMAN DIN", "GERMANY");
/*  514 */     hashMap.put("GREEK", "GREECE");
/*  515 */     hashMap.put("GUJARATI", "INDIA");
/*  516 */     hashMap.put("HEBREW", "ISRAEL");
/*  517 */     hashMap.put("HINDI", "INDIA");
/*  518 */     hashMap.put("HUNGARIAN", "HUNGARY");
/*  519 */     hashMap.put("ICELANDIC", "ICELAND");
/*  520 */     hashMap.put("INDONESIAN", "INDONESIA");
/*  521 */     hashMap.put("ITALIAN", "ITALY");
/*  522 */     hashMap.put("JAPANESE", "JAPAN");
/*  523 */     hashMap.put("KANNADA", "INDIA");
/*  524 */     hashMap.put("KOREAN", "KOREA");
/*  525 */     hashMap.put("LATIN AMERICAN SPANISH", "AMERICA");
/*  526 */     hashMap.put("LATIN SERBIAN", "SERBIA AND MONTENEGRO");
/*  527 */     hashMap.put("LATIN UZBEK", "UZBEKISTAN");
/*  528 */     hashMap.put("LATVIAN", "LATVIA");
/*  529 */     hashMap.put("LITHUANIAN", "LITHUANIA");
/*  530 */     hashMap.put("MACEDONIAN", "FYR MACEDONIA");
/*  531 */     hashMap.put("MALAY", "MALAYSIA");
/*  532 */     hashMap.put("MALAYALAM", "INDIA");
/*  533 */     hashMap.put("MARATHI", "INDIA");
/*  534 */     hashMap.put("MEXICAN SPANISH", "MEXICO");
/*  535 */     hashMap.put("NORWEGIAN", "NORWAY");
/*  536 */     hashMap.put("ORIYA", "INDIA");
/*  537 */     hashMap.put("POLISH", "POLAND");
/*  538 */     hashMap.put("PORTUGUESE", "PORTUGAL");
/*  539 */     hashMap.put("PUNJABI", "INDIA");
/*  540 */     hashMap.put("ROMANIAN", "ROMANIA");
/*  541 */     hashMap.put("RUSSIAN", "RUSSIA");
/*  542 */     hashMap.put("SIMPLIFIED CHINESE", "CHINA");
/*  543 */     hashMap.put("SLOVAK", "SLOVAKIA");
/*  544 */     hashMap.put("SLOVENIAN", "SLOVENIA");
/*  545 */     hashMap.put("SPANISH", "SPAIN");
/*  546 */     hashMap.put("SWEDISH", "SWEDEN");
/*  547 */     hashMap.put("TAMIL", "INDIA");
/*  548 */     hashMap.put("TELUGU", "INDIA");
/*  549 */     hashMap.put("THAI", "THAILAND");
/*  550 */     hashMap.put("TRADITIONAL CHINESE", "TAIWAN");
/*  551 */     hashMap.put("TURKISH", "TURKEY");
/*  552 */     hashMap.put("UKRAINIAN", "UKRAINE");
/*  553 */     hashMap.put("VIETNAMESE", "VIETNAM");
/*      */     
/*  555 */     return hashMap;
/*      */   }
/*      */   
/*  558 */   private static Map ISO_A2_LANG_2_ORACLE_LANG = null;
/*      */   
/*      */   private static synchronized Map getIsoLangToOracleMap() {
/*  561 */     HashMap hashMap = new HashMap();
/*      */     
/*  563 */     hashMap.put("ar", "ARABIC");
/*  564 */     hashMap.put("as", "ASSAMESE");
/*  565 */     hashMap.put("az", "AZERBAIJANI");
/*  566 */     hashMap.put("bg", "BULGARIAN");
/*  567 */     hashMap.put("bn", "BANGLA");
/*  568 */     hashMap.put("ca", "CATALAN");
/*  569 */     hashMap.put("cs", "CZECH");
/*  570 */     hashMap.put("da", "DANISH");
/*  571 */     hashMap.put("de", "GERMAN");
/*  572 */     hashMap.put("el", "GREEK");
/*  573 */     hashMap.put("en", "ENGLISH");
/*  574 */     hashMap.put("es", "SPANISH");
/*  575 */     hashMap.put("et", "ESTONIAN");
/*  576 */     hashMap.put("fi", "FINNISH");
/*  577 */     hashMap.put("fr", "FRENCH");
/*  578 */     hashMap.put("gu", "GUJARATI");
/*  579 */     hashMap.put("he", "HEBREW");
/*  580 */     hashMap.put("hi", "HINDI");
/*  581 */     hashMap.put("hr", "CROATIAN");
/*  582 */     hashMap.put("hu", "HUNGARIAN");
/*  583 */     hashMap.put("id", "INDONESIAN");
/*  584 */     hashMap.put("in", "INDONESIAN");
/*  585 */     hashMap.put("is", "ICELANDIC");
/*  586 */     hashMap.put("it", "ITALIAN");
/*  587 */     hashMap.put("iw", "HEBREW");
/*  588 */     hashMap.put("ja", "JAPANESE");
/*  589 */     hashMap.put("kk", "CYRILLIC KAZAKH");
/*  590 */     hashMap.put("kn", "KANNADA");
/*  591 */     hashMap.put("ko", "KOREAN");
/*  592 */     hashMap.put("lt", "LITHUANIAN");
/*  593 */     hashMap.put("lv", "LATVIAN");
/*  594 */     hashMap.put("mk", "MACEDONIAN");
/*  595 */     hashMap.put("ml", "MALAYALAM");
/*  596 */     hashMap.put("mr", "MARATHI");
/*  597 */     hashMap.put("ms", "MALAY");
/*  598 */     hashMap.put("nl", "DUTCH");
/*  599 */     hashMap.put("no", "NORWEGIAN");
/*  600 */     hashMap.put("or", "ORIYA");
/*  601 */     hashMap.put("pa", "PUNJABI");
/*  602 */     hashMap.put("pl", "POLISH");
/*  603 */     hashMap.put("pt", "PORTUGUESE");
/*  604 */     hashMap.put("ro", "ROMANIAN");
/*  605 */     hashMap.put("ru", "RUSSIAN");
/*  606 */     hashMap.put("sk", "SLOVAK");
/*  607 */     hashMap.put("sl", "SLOVENIAN");
/*  608 */     hashMap.put("sq", "ALBANIAN");
/*  609 */     hashMap.put("sr", "CYRILLIC SERBIAN");
/*  610 */     hashMap.put("sv", "SWEDISH");
/*  611 */     hashMap.put("ta", "TAMIL");
/*  612 */     hashMap.put("te", "TELUGU");
/*  613 */     hashMap.put("th", "THAI");
/*  614 */     hashMap.put("tr", "TURKISH");
/*  615 */     hashMap.put("uk", "UKRAINIAN");
/*  616 */     hashMap.put("uz", "LATIN UZBEK");
/*  617 */     hashMap.put("vi", "VIETNAMESE");
/*  618 */     hashMap.put("zh", "SIMPLIFIED CHINESE");
/*      */     
/*  620 */     return hashMap;
/*      */   }
/*      */   
/*  623 */   private static Map ISO_LANGUAGE_DEFAULT_TERRITORY = null;
/*      */   
/*      */   private static synchronized Map getIsoLangDefaultTerrMap() {
/*  626 */     HashMap hashMap = new HashMap();
/*      */     
/*  628 */     hashMap.put("ar", "AE");
/*  629 */     hashMap.put("as", "IN");
/*  630 */     hashMap.put("az", "AZ");
/*  631 */     hashMap.put("bg", "BG");
/*  632 */     hashMap.put("bn", "BD");
/*  633 */     hashMap.put("ca", "ES");
/*  634 */     hashMap.put("cs", "CZ");
/*  635 */     hashMap.put("da", "DK");
/*  636 */     hashMap.put("de", "DE");
/*  637 */     hashMap.put("el", "GR");
/*  638 */     hashMap.put("en", "US");
/*  639 */     hashMap.put("es", "ES");
/*  640 */     hashMap.put("et", "EE");
/*  641 */     hashMap.put("fi", "FI");
/*  642 */     hashMap.put("fr", "FR");
/*  643 */     hashMap.put("gu", "IN");
/*  644 */     hashMap.put("he", "IL");
/*  645 */     hashMap.put("hi", "IN");
/*  646 */     hashMap.put("hr", "HR");
/*  647 */     hashMap.put("hu", "HU");
/*  648 */     hashMap.put("id", "ID");
/*  649 */     hashMap.put("in", "ID");
/*  650 */     hashMap.put("is", "IS");
/*  651 */     hashMap.put("it", "IT");
/*  652 */     hashMap.put("iw", "IL");
/*  653 */     hashMap.put("ja", "JP");
/*  654 */     hashMap.put("kk", "KZ");
/*  655 */     hashMap.put("kn", "IN");
/*  656 */     hashMap.put("ko", "KR");
/*  657 */     hashMap.put("lt", "LT");
/*  658 */     hashMap.put("lv", "LV");
/*  659 */     hashMap.put("mk", "MK");
/*  660 */     hashMap.put("ml", "IN");
/*  661 */     hashMap.put("mr", "IN");
/*  662 */     hashMap.put("ms", "MY");
/*  663 */     hashMap.put("nl", "NL");
/*  664 */     hashMap.put("no", "NO");
/*  665 */     hashMap.put("or", "IN");
/*  666 */     hashMap.put("pa", "IN");
/*  667 */     hashMap.put("pl", "PL");
/*  668 */     hashMap.put("pt", "PT");
/*  669 */     hashMap.put("ro", "RO");
/*  670 */     hashMap.put("ru", "RU");
/*  671 */     hashMap.put("sk", "SK");
/*  672 */     hashMap.put("sl", "SI");
/*  673 */     hashMap.put("sq", "AL");
/*  674 */     hashMap.put("sr", "CS");
/*  675 */     hashMap.put("sv", "SE");
/*  676 */     hashMap.put("ta", "IN");
/*  677 */     hashMap.put("te", "IN");
/*  678 */     hashMap.put("th", "TH");
/*  679 */     hashMap.put("tr", "TR");
/*  680 */     hashMap.put("uk", "UA");
/*  681 */     hashMap.put("uz", "UZ");
/*  682 */     hashMap.put("vi", "VN");
/*  683 */     hashMap.put("zh", "CN");
/*      */     
/*  685 */     return hashMap;
/*      */   }
/*      */   
/*  688 */   private static Map ISO_LOCALE_2_ORACLE_LOCALE = null;
/*      */   
/*      */   private static synchronized Map getIsoLocToOracleMap() {
/*  691 */     HashMap hashMap = new HashMap();
/*      */     
/*  693 */     hashMap.put("ar_EG", "EGYPTIAN_EGYPT");
/*  694 */     hashMap.put("ca_ES", "CATALAN_CATALONIA");
/*  695 */     hashMap.put("en_US", "AMERICAN_AMERICA");
/*  696 */     hashMap.put("es_ES", "SPANISH_SPAIN");
/*  697 */     hashMap.put("es_MX", "MEXICAN SPANISH_MEXICO");
/*  698 */     hashMap.put("fr_CA", "CANADIAN FRENCH_CANADA");
/*  699 */     hashMap.put("pt_BR", "BRAZILIAN PORTUGUESE_BRAZIL");
/*  700 */     hashMap.put("zh_HK", "TRADITIONAL CHINESE_HONG KONG");
/*  701 */     hashMap.put("zh_TW", "TRADITIONAL CHINESE_TAIWAN");
/*      */     
/*  703 */     return hashMap;
/*      */   }
/*      */   
/*  706 */   private static Map ISO_A2_TERR_2_ORACLE_TERR = null;
/*      */   
/*      */   private static synchronized Map getIsoTerrToOracleMap() {
/*  709 */     HashMap hashMap = new HashMap();
/*      */     
/*  711 */     hashMap.put("AE", "UNITED ARAB EMIRATES");
/*  712 */     hashMap.put("AL", "ALBANIA");
/*  713 */     hashMap.put("AR", "ARGENTINA");
/*  714 */     hashMap.put("AT", "AUSTRIA");
/*  715 */     hashMap.put("AU", "AUSTRALIA");
/*  716 */     hashMap.put("AZ", "AZERBAIJAN");
/*  717 */     hashMap.put("BD", "BANGLADESH");
/*  718 */     hashMap.put("BE", "BELGIUM");
/*  719 */     hashMap.put("BG", "BULGARIA");
/*  720 */     hashMap.put("BH", "BAHRAIN");
/*  721 */     hashMap.put("BR", "BRAZIL");
/*  722 */     hashMap.put("CA", "CANADA");
/*  723 */     hashMap.put("CH", "SWITZERLAND");
/*  724 */     hashMap.put("CL", "CHILE");
/*  725 */     hashMap.put("CN", "CHINA");
/*  726 */     hashMap.put("CO", "COLOMBIA");
/*  727 */     hashMap.put("CR", "COSTA RICA");
/*  728 */     hashMap.put("CS", "SERBIA AND MONTENEGRO");
/*  729 */     hashMap.put("CY", "CYPRUS");
/*  730 */     hashMap.put("CZ", "CZECH REPUBLIC");
/*  731 */     hashMap.put("DE", "GERMANY");
/*  732 */     hashMap.put("DJ", "DJIBOUTI");
/*  733 */     hashMap.put("DK", "DENMARK");
/*  734 */     hashMap.put("DZ", "ALGERIA");
/*  735 */     hashMap.put("EC", "ECUADOR");
/*  736 */     hashMap.put("EE", "ESTONIA");
/*  737 */     hashMap.put("EG", "EGYPT");
/*  738 */     hashMap.put("ES", "SPAIN");
/*  739 */     hashMap.put("FI", "FINLAND");
/*  740 */     hashMap.put("FR", "FRANCE");
/*  741 */     hashMap.put("GB", "UNITED KINGDOM");
/*  742 */     hashMap.put("GR", "GREECE");
/*  743 */     hashMap.put("GT", "GUATEMALA");
/*  744 */     hashMap.put("HK", "HONG KONG");
/*  745 */     hashMap.put("HR", "CROATIA");
/*  746 */     hashMap.put("HU", "HUNGARY");
/*  747 */     hashMap.put("ID", "INDONESIA");
/*  748 */     hashMap.put("IE", "IRELAND");
/*  749 */     hashMap.put("IL", "ISRAEL");
/*  750 */     hashMap.put("IN", "INDIA");
/*  751 */     hashMap.put("IQ", "IRAQ");
/*  752 */     hashMap.put("IS", "ICELAND");
/*  753 */     hashMap.put("IT", "ITALY");
/*  754 */     hashMap.put("JO", "JORDAN");
/*  755 */     hashMap.put("JP", "JAPAN");
/*  756 */     hashMap.put("KR", "KOREA");
/*  757 */     hashMap.put("KW", "KUWAIT");
/*  758 */     hashMap.put("KZ", "KAZAKHSTAN");
/*  759 */     hashMap.put("LB", "LEBANON");
/*  760 */     hashMap.put("LT", "LITHUANIA");
/*  761 */     hashMap.put("LU", "LUXEMBOURG");
/*  762 */     hashMap.put("LV", "LATVIA");
/*  763 */     hashMap.put("LY", "LIBYA");
/*  764 */     hashMap.put("MA", "MOROCCO");
/*  765 */     hashMap.put("MK", "FYR MACEDONIA");
/*  766 */     hashMap.put("MR", "MAURITANIA");
/*  767 */     hashMap.put("MX", "MEXICO");
/*  768 */     hashMap.put("MY", "MALAYSIA");
/*  769 */     hashMap.put("NI", "NICARAGUA");
/*  770 */     hashMap.put("NL", "THE NETHERLANDS");
/*  771 */     hashMap.put("NO", "NORWAY");
/*  772 */     hashMap.put("NZ", "NEW ZEALAND");
/*  773 */     hashMap.put("OM", "OMAN");
/*  774 */     hashMap.put("PA", "PANAMA");
/*  775 */     hashMap.put("PE", "PERU");
/*  776 */     hashMap.put("PH", "PHILIPPINES");
/*  777 */     hashMap.put("PL", "POLAND");
/*  778 */     hashMap.put("PR", "PUERTO RICO");
/*  779 */     hashMap.put("PT", "PORTUGAL");
/*  780 */     hashMap.put("QA", "QATAR");
/*  781 */     hashMap.put("RO", "ROMANIA");
/*  782 */     hashMap.put("RU", "RUSSIA");
/*  783 */     hashMap.put("SA", "SAUDI ARABIA");
/*  784 */     hashMap.put("SD", "SUDAN");
/*  785 */     hashMap.put("SE", "SWEDEN");
/*  786 */     hashMap.put("SG", "SINGAPORE");
/*  787 */     hashMap.put("SI", "SLOVENIA");
/*  788 */     hashMap.put("SK", "SLOVAKIA");
/*  789 */     hashMap.put("SO", "SOMALIA");
/*  790 */     hashMap.put("SV", "EL SALVADOR");
/*  791 */     hashMap.put("SY", "SYRIA");
/*  792 */     hashMap.put("TH", "THAILAND");
/*  793 */     hashMap.put("TN", "TUNISIA");
/*  794 */     hashMap.put("TR", "TURKEY");
/*  795 */     hashMap.put("TW", "TAIWAN");
/*  796 */     hashMap.put("UA", "UKRAINE");
/*  797 */     hashMap.put("US", "AMERICA");
/*  798 */     hashMap.put("UZ", "UZBEKISTAN");
/*  799 */     hashMap.put("VE", "VENEZUELA");
/*  800 */     hashMap.put("VN", "VIETNAM");
/*  801 */     hashMap.put("YE", "YEMEN");
/*  802 */     hashMap.put("YU", "YUGOSLAVIA");
/*  803 */     hashMap.put("ZA", "SOUTH AFRICA");
/*      */     
/*  805 */     return hashMap;
/*      */   }
/*      */   
/*  808 */   private static Map CHARSET_RATIO = null;
/*      */   
/*      */   private static synchronized Map getCharsetRatio() {
/*  811 */     HashMap hashMap = new HashMap();
/*  812 */     hashMap.put("2000", "258");
/*  813 */     hashMap.put("873", "4");
/*  814 */     hashMap.put("557", "1");
/*  815 */     hashMap.put("507", "1");
/*  816 */     hashMap.put("558", "1");
/*  817 */     hashMap.put("508", "1");
/*  818 */     hashMap.put("559", "1");
/*  819 */     hashMap.put("509", "1");
/*  820 */     hashMap.put("565", "1");
/*  821 */     hashMap.put("566", "1");
/*  822 */     hashMap.put("567", "1");
/*  823 */     hashMap.put("61", "1");
/*  824 */     hashMap.put("500", "1");
/*  825 */     hashMap.put("320", "1");
/*  826 */     hashMap.put("70", "1");
/*  827 */     hashMap.put("514", "1");
/*  828 */     hashMap.put("36", "1");
/*  829 */     hashMap.put("560", "1");
/*  830 */     hashMap.put("556", "1");
/*  831 */     hashMap.put("506", "1");
/*  832 */     hashMap.put("554", "1");
/*  833 */     hashMap.put("504", "1");
/*  834 */     hashMap.put("561", "1");
/*  835 */     hashMap.put("511", "1");
/*  836 */     hashMap.put("563", "1");
/*  837 */     hashMap.put("555", "1");
/*  838 */     hashMap.put("505", "1");
/*  839 */     hashMap.put("72", "1");
/*  840 */     hashMap.put("52", "1");
/*  841 */     hashMap.put("173", "1");
/*  842 */     hashMap.put("140", "1");
/*  843 */     hashMap.put("191", "1");
/*  844 */     hashMap.put("194", "1");
/*  845 */     hashMap.put("314", "1");
/*  846 */     hashMap.put("47", "1");
/*  847 */     hashMap.put("179", "1");
/*  848 */     hashMap.put("197", "1");
/*  849 */     hashMap.put("43", "1");
/*  850 */     hashMap.put("390", "1");
/*  851 */     hashMap.put("233", "1");
/*  852 */     hashMap.put("48", "1");
/*  853 */     hashMap.put("19", "1");
/*  854 */     hashMap.put("235", "1");
/*  855 */     hashMap.put("185", "1");
/*  856 */     hashMap.put("322", "1");
/*  857 */     hashMap.put("323", "1");
/*  858 */     hashMap.put("317", "1");
/*  859 */     hashMap.put("188", "1");
/*  860 */     hashMap.put("325", "1");
/*  861 */     hashMap.put("326", "1");
/*  862 */     hashMap.put("35", "1");
/*  863 */     hashMap.put("49", "1");
/*  864 */     hashMap.put("196", "1");
/*  865 */     hashMap.put("51", "1");
/*  866 */     hashMap.put("158", "1");
/*  867 */     hashMap.put("159", "1");
/*  868 */     hashMap.put("171", "1");
/*  869 */     hashMap.put("11", "1");
/*  870 */     hashMap.put("207", "1");
/*  871 */     hashMap.put("222", "1");
/*  872 */     hashMap.put("189", "1");
/*  873 */     hashMap.put("180", "1");
/*  874 */     hashMap.put("204", "1");
/*  875 */     hashMap.put("225", "1");
/*  876 */     hashMap.put("198", "1");
/*  877 */     hashMap.put("182", "1");
/*  878 */     hashMap.put("14", "1");
/*  879 */     hashMap.put("202", "1");
/*  880 */     hashMap.put("224", "1");
/*  881 */     hashMap.put("232", "1");
/*  882 */     hashMap.put("184", "1");
/*  883 */     hashMap.put("301", "1");
/*  884 */     hashMap.put("316", "1");
/*  885 */     hashMap.put("32", "1");
/*  886 */     hashMap.put("262", "1");
/*  887 */     hashMap.put("162", "1");
/*  888 */     hashMap.put("263", "1");
/*  889 */     hashMap.put("163", "1");
/*  890 */     hashMap.put("170", "1");
/*  891 */     hashMap.put("150", "1");
/*  892 */     hashMap.put("110", "1");
/*  893 */     hashMap.put("113", "1");
/*  894 */     hashMap.put("81", "1");
/*  895 */     hashMap.put("327", "1");
/*  896 */     hashMap.put("381", "1");
/*  897 */     hashMap.put("324", "1");
/*  898 */     hashMap.put("211", "1");
/*  899 */     hashMap.put("37", "1");
/*  900 */     hashMap.put("266", "1");
/*  901 */     hashMap.put("166", "1");
/*  902 */     hashMap.put("174", "1");
/*  903 */     hashMap.put("380", "1");
/*  904 */     hashMap.put("382", "1");
/*  905 */     hashMap.put("386", "1");
/*  906 */     hashMap.put("385", "1");
/*  907 */     hashMap.put("172", "1");
/*  908 */     hashMap.put("12", "1");
/*  909 */     hashMap.put("201", "1");
/*  910 */     hashMap.put("223", "1");
/*  911 */     hashMap.put("208", "1");
/*  912 */     hashMap.put("186", "1");
/*  913 */     hashMap.put("401", "1");
/*  914 */     hashMap.put("368", "1");
/*  915 */     hashMap.put("17", "1");
/*  916 */     hashMap.put("206", "1");
/*  917 */     hashMap.put("200", "1");
/*  918 */     hashMap.put("181", "1");
/*  919 */     hashMap.put("25", "1");
/*  920 */     hashMap.put("265", "1");
/*  921 */     hashMap.put("165", "1");
/*  922 */     hashMap.put("161", "1");
/*  923 */     hashMap.put("23", "1");
/*  924 */     hashMap.put("187", "1");
/*  925 */     hashMap.put("92", "1");
/*  926 */     hashMap.put("315", "1");
/*  927 */     hashMap.put("38", "1");
/*  928 */     hashMap.put("267", "1");
/*  929 */     hashMap.put("167", "1");
/*  930 */     hashMap.put("175", "1");
/*  931 */     hashMap.put("154", "1");
/*  932 */     hashMap.put("833", "2");
/*  933 */     hashMap.put("835", "2");
/*  934 */     hashMap.put("830", "3");
/*  935 */     hashMap.put("837", "3");
/*  936 */     hashMap.put("831", "3");
/*  937 */     hashMap.put("836", "2");
/*  938 */     hashMap.put("832", "2");
/*  939 */     hashMap.put("838", "2");
/*  940 */     hashMap.put("834", "2");
/*  941 */     hashMap.put("829", "2");
/*  942 */     hashMap.put("842", "2");
/*  943 */     hashMap.put("840", "2");
/*  944 */     hashMap.put("845", "2");
/*  945 */     hashMap.put("846", "2");
/*  946 */     hashMap.put("590", "1");
/*  947 */     hashMap.put("114", "1");
/*  948 */     hashMap.put("176", "1");
/*  949 */     hashMap.put("383", "1");
/*  950 */     hashMap.put("384", "1");
/*  951 */     hashMap.put("192", "1");
/*  952 */     hashMap.put("193", "1");
/*  953 */     hashMap.put("195", "1");
/*  954 */     hashMap.put("205", "1");
/*  955 */     hashMap.put("190", "1");
/*  956 */     hashMap.put("16", "1");
/*  957 */     hashMap.put("40", "1");
/*  958 */     hashMap.put("34", "1");
/*  959 */     hashMap.put("18", "1");
/*  960 */     hashMap.put("153", "1");
/*  961 */     hashMap.put("155", "1");
/*  962 */     hashMap.put("152", "1");
/*  963 */     hashMap.put("13", "1");
/*  964 */     hashMap.put("203", "1");
/*  965 */     hashMap.put("226", "1");
/*  966 */     hashMap.put("199", "1");
/*  967 */     hashMap.put("183", "1");
/*  968 */     hashMap.put("33", "1");
/*  969 */     hashMap.put("15", "1");
/*  970 */     hashMap.put("21", "1");
/*  971 */     hashMap.put("353", "1");
/*  972 */     hashMap.put("354", "1");
/*  973 */     hashMap.put("41", "1");
/*  974 */     hashMap.put("42", "1");
/*  975 */     hashMap.put("319", "1");
/*  976 */     hashMap.put("22", "1");
/*  977 */     hashMap.put("82", "1");
/*  978 */     hashMap.put("93", "1");
/*  979 */     hashMap.put("312", "1");
/*  980 */     hashMap.put("264", "1");
/*  981 */     hashMap.put("164", "1");
/*  982 */     hashMap.put("177", "1");
/*  983 */     hashMap.put("156", "1");
/*  984 */     hashMap.put("1", "1");
/*  985 */     hashMap.put("221", "1");
/*  986 */     hashMap.put("277", "1");
/*  987 */     hashMap.put("4", "1");
/*  988 */     hashMap.put("871", "3");
/*  989 */     hashMap.put("872", "4");
/*  990 */     hashMap.put("45", "1");
/*  991 */     hashMap.put("44", "1");
/*  992 */     hashMap.put("231", "1");
/*  993 */     hashMap.put("230", "1");
/*  994 */     hashMap.put("239", "1");
/*  995 */     hashMap.put("2", "1");
/*  996 */     hashMap.put("241", "1");
/*  997 */     hashMap.put("96", "1");
/*  998 */     hashMap.put("100", "1");
/*  999 */     hashMap.put("7", "1");
/* 1000 */     hashMap.put("97", "1");
/* 1001 */     hashMap.put("98", "1");
/* 1002 */     hashMap.put("9", "1");
/* 1003 */     hashMap.put("27", "1");
/* 1004 */     hashMap.put("99", "1");
/* 1005 */     hashMap.put("95", "1");
/* 1006 */     hashMap.put("8", "1");
/* 1007 */     hashMap.put("5", "1");
/* 1008 */     hashMap.put("90", "1");
/* 1009 */     hashMap.put("6", "1");
/* 1010 */     hashMap.put("91", "1");
/* 1011 */     hashMap.put("94", "1");
/* 1012 */     hashMap.put("101", "1");
/* 1013 */     hashMap.put("210", "1");
/* 1014 */     hashMap.put("3", "1");
/* 1015 */     hashMap.put("278", "1");
/* 1016 */     hashMap.put("31", "1");
/* 1017 */     hashMap.put("46", "1");
/* 1018 */     hashMap.put("39", "1");
/* 1019 */     hashMap.put("279", "1");
/* 1020 */     hashMap.put("351", "1");
/* 1021 */     hashMap.put("352", "1");
/* 1022 */     hashMap.put("178", "1");
/* 1023 */     hashMap.put("251", "1");
/* 1024 */     hashMap.put("50", "1");
/* 1025 */     hashMap.put("10", "1");
/* 1026 */     hashMap.put("28", "1");
/* 1027 */     hashMap.put("160", "1");
/* 1028 */     hashMap.put("261", "1");
/* 1029 */     hashMap.put("20", "1");
/* 1030 */     hashMap.put("850", "2");
/* 1031 */     hashMap.put("853", "2");
/* 1032 */     hashMap.put("852", "2");
/* 1033 */     hashMap.put("851", "2");
/* 1034 */     hashMap.put("854", "260");
/* 1035 */     hashMap.put("865", "2");
/* 1036 */     hashMap.put("866", "2");
/* 1037 */     hashMap.put("864", "2");
/* 1038 */     hashMap.put("862", "1");
/* 1039 */     hashMap.put("868", "2");
/* 1040 */     hashMap.put("992", "2");
/* 1041 */     hashMap.put("867", "2");
/* 1042 */     hashMap.put("860", "4");
/* 1043 */     hashMap.put("861", "2");
/* 1044 */     hashMap.put("863", "4");
/*      */     
/* 1046 */     return hashMap;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\LxMetaData.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */