/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.oracore.OracleNamedType;
/*     */ import oracle.jdbc.oracore.OracleTypeADT;
/*     */ import oracle.jdbc.oracore.OracleTypeOPAQUE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OpaqueDescriptor
/*     */   extends TypeDescriptor
/*     */   implements Serializable
/*     */ {
/*     */   static final boolean DEBUG = false;
/*     */   static final long serialVersionUID = 1013921343538311063L;
/*     */   
/*     */   public static OpaqueDescriptor createDescriptor(String paramString, Connection paramConnection) throws SQLException {
/*  80 */     if (paramString == null || paramString.length() == 0 || paramConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/*  85 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*     */     }
/*     */ 
/*     */     
/*  89 */     SQLName sQLName = new SQLName(paramString, (OracleConnection)paramConnection);
/*  90 */     return createDescriptor(sQLName, paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static OpaqueDescriptor createDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/* 107 */     String str = paramSQLName.getName();
/*     */ 
/*     */     
/* 110 */     OpaqueDescriptor opaqueDescriptor = (OpaqueDescriptor)((OracleConnection)paramConnection).getDescriptor(str);
/*     */ 
/*     */ 
/*     */     
/* 114 */     if (opaqueDescriptor == null) {
/*     */       
/* 116 */       opaqueDescriptor = new OpaqueDescriptor(paramSQLName, paramConnection);
/*     */       
/* 118 */       ((OracleConnection)paramConnection).putDescriptor(str, opaqueDescriptor);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 123 */     return opaqueDescriptor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpaqueDescriptor(String paramString, Connection paramConnection) throws SQLException {
/* 136 */     super(paramString, paramConnection);
/*     */ 
/*     */ 
/*     */     
/* 140 */     initPickler();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpaqueDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/* 156 */     super(paramSQLName, paramConnection);
/*     */ 
/*     */ 
/*     */     
/* 160 */     initPickler();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpaqueDescriptor(SQLName paramSQLName, OracleTypeOPAQUE paramOracleTypeOPAQUE, Connection paramConnection) throws SQLException {
/* 177 */     super(paramSQLName, (OracleTypeADT)paramOracleTypeOPAQUE, paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initPickler() throws SQLException {
/*     */     try {
/* 190 */       this.pickler = (OracleNamedType)new OracleTypeADT(getName(), (Connection)this.connection);
/*     */       
/* 192 */       ((OracleTypeADT)this.pickler).init(this.connection);
/*     */       
/* 194 */       this.pickler = ((OracleTypeADT)this.pickler).cleanup();
/*     */       
/* 196 */       this.pickler.setDescriptor(this);
/*     */     }
/* 198 */     catch (Exception exception) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 203 */       if (exception instanceof SQLException) {
/* 204 */         throw (SQLException)exception;
/*     */       }
/* 206 */       DatabaseError.throwSqlException(60, "Unable to resolve type \"" + getName() + "\"");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpaqueDescriptor(OracleTypeADT paramOracleTypeADT, Connection paramConnection) throws SQLException {
/* 226 */     super(paramOracleTypeADT, paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] toBytes(OPAQUE paramOPAQUE, boolean paramBoolean) throws SQLException {
/* 237 */     byte[] arrayOfByte = null;
/*     */     
/* 239 */     if (paramOPAQUE.shareBytes() != null) {
/*     */       
/* 241 */       arrayOfByte = paramOPAQUE.shareBytes();
/*     */     } else {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/* 247 */         arrayOfByte = this.pickler.linearize(paramOPAQUE);
/*     */       }
/*     */       finally {
/*     */         
/* 251 */         if (!paramBoolean) {
/* 252 */           paramOPAQUE.setShareBytes(null);
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 258 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] toValue(OPAQUE paramOPAQUE, boolean paramBoolean) throws SQLException {
/* 266 */     byte[] arrayOfByte = null;
/*     */     
/* 268 */     if (paramOPAQUE.value != null) {
/*     */       
/* 270 */       arrayOfByte = paramOPAQUE.value;
/*     */     } else {
/*     */ 
/*     */       
/*     */       try {
/*     */         
/* 276 */         this.pickler.unlinearize(paramOPAQUE.shareBytes(), 0L, paramOPAQUE, 1, null);
/*     */         
/* 278 */         arrayOfByte = paramOPAQUE.value;
/*     */       }
/*     */       finally {
/*     */         
/* 282 */         if (!paramBoolean) {
/* 283 */           paramOPAQUE.value = null;
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 289 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getTypeCode() {
/* 300 */     return 2007;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public long getMaxLength() throws SQLException {
/* 311 */     return hasUnboundedSize() ? 0L : ((OracleTypeOPAQUE)this.pickler).getMaxLength();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTrustedLibrary() throws SQLException {
/* 333 */     return ((OracleTypeOPAQUE)this.pickler).isTrustedLibrary();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isModeledInC() throws SQLException {
/* 347 */     return ((OracleTypeOPAQUE)this.pickler).isModeledInC();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean hasUnboundedSize() throws SQLException {
/* 361 */     return ((OracleTypeOPAQUE)this.pickler).isUnboundedSized();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean hasFixedSize() throws SQLException {
/* 376 */     return ((OracleTypeOPAQUE)this.pickler).isFixedSized();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String descType() throws SQLException {
/* 389 */     StringBuffer stringBuffer = new StringBuffer();
/* 390 */     return descType(stringBuffer, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   String descType(StringBuffer paramStringBuffer, int paramInt) throws SQLException {
/* 402 */     String str1 = "";
/*     */     
/* 404 */     for (byte b = 0; b < paramInt; b++) {
/* 405 */       str1 = str1 + "  ";
/*     */     }
/* 407 */     String str2 = str1 + "  ";
/*     */     
/* 409 */     paramStringBuffer.append(str1);
/* 410 */     paramStringBuffer.append(getTypeName());
/* 411 */     paramStringBuffer.append(" maxLen=" + getMaxLength() + " isTrusted=" + isTrustedLibrary() + " hasUnboundedSize=" + hasUnboundedSize() + " hasFixedSize=" + hasFixedSize());
/*     */ 
/*     */     
/* 414 */     paramStringBuffer.append("\n");
/*     */     
/* 416 */     return paramStringBuffer.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Class getClass(Map paramMap) throws SQLException {
/* 436 */     Class clazz1 = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 441 */     String str1 = getName();
/*     */ 
/*     */     
/* 444 */     Class clazz2 = (Class)paramMap.get(str1);
/*     */     
/* 446 */     String str2 = getSchemaName();
/* 447 */     String str3 = getTypeName();
/*     */     
/* 449 */     if (clazz2 == null)
/*     */     {
/* 451 */       if (this.connection.getDefaultSchemaNameForNamedTypes().equals(str2)) {
/* 452 */         clazz2 = (Class)paramMap.get(str3);
/*     */       }
/*     */     }
/* 455 */     if (!SQLName.s_parseAllFormat) {
/*     */       
/* 457 */       clazz1 = clazz2;
/*     */     }
/*     */     else {
/*     */       
/* 461 */       if (clazz2 == null)
/*     */       {
/* 463 */         if (this.connection.getDefaultSchemaNameForNamedTypes().equals(str2)) {
/* 464 */           clazz2 = (Class)paramMap.get("\"" + str3 + "\"");
/*     */         }
/*     */       }
/* 467 */       if (clazz2 == null)
/*     */       {
/* 469 */         clazz2 = (Class)paramMap.get("\"" + str2 + "\"" + "." + "\"" + str3 + "\"");
/*     */       }
/*     */       
/* 472 */       if (clazz2 == null)
/*     */       {
/* 474 */         clazz2 = (Class)paramMap.get("\"" + str2 + "\"" + "." + str3);
/*     */       }
/*     */       
/* 477 */       if (clazz2 == null)
/*     */       {
/* 479 */         clazz2 = (Class)paramMap.get(str2 + "." + "\"" + str3 + "\"");
/*     */       }
/*     */       
/* 482 */       clazz1 = clazz2;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 487 */     return clazz1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 507 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\OpaqueDescriptor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */