/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.ByteArrayInputStream;
/*     */ import java.io.CharArrayReader;
/*     */ import java.io.InputStream;
/*     */ import java.io.Reader;
/*     */ import java.io.UnsupportedEncodingException;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.driver.DBConversion;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.util.RepConversion;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RAW
/*     */   extends Datum
/*     */ {
/*     */   static int hexDigit2Nibble(char paramChar) throws SQLException {
/*  65 */     int i = Character.digit(paramChar, 16);
/*     */     
/*  67 */     if (i == -1)
/*     */     {
/*  69 */       throw new SQLException("Invalid hex digit: " + paramChar);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  75 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] hexString2Bytes(String paramString) throws SQLException {
/*     */     byte[] arrayOfByte;
/*  95 */     int i = paramString.length();
/*  96 */     char[] arrayOfChar = new char[i];
/*     */     
/*  98 */     paramString.getChars(0, i, arrayOfChar, 0);
/*     */ 
/*     */     
/* 101 */     byte b1 = 0;
/* 102 */     byte b2 = 0;
/*     */     
/* 104 */     if (i == 0) {
/* 105 */       return new byte[0];
/*     */     }
/* 107 */     if (i % 2 > 0) {
/*     */       
/* 109 */       arrayOfByte = new byte[(i + 1) / 2];
/* 110 */       arrayOfByte[b1++] = (byte)hexDigit2Nibble(arrayOfChar[b2++]);
/*     */     }
/*     */     else {
/*     */       
/* 114 */       arrayOfByte = new byte[i / 2];
/*     */     } 
/*     */     
/* 117 */     for (; b1 < arrayOfByte.length; b1++)
/*     */     {
/* 119 */       arrayOfByte[b1] = (byte)(hexDigit2Nibble(arrayOfChar[b2++]) << 4 | hexDigit2Nibble(arrayOfChar[b2++]));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 126 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static RAW newRAW(Object paramObject) throws SQLException {
/* 158 */     return new RAW(paramObject);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static RAW oldRAW(Object paramObject) throws SQLException {
/*     */     RAW rAW;
/* 195 */     if (paramObject instanceof String) {
/*     */       
/* 197 */       String str = (String)paramObject;
/* 198 */       byte[] arrayOfByte = null;
/*     */ 
/*     */       
/*     */       try {
/* 202 */         arrayOfByte = str.getBytes("ISO8859_1");
/*     */       }
/* 204 */       catch (UnsupportedEncodingException unsupportedEncodingException) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 211 */         DatabaseError.throwSqlException(109, "ISO8859_1 character encoding not found");
/*     */       } 
/*     */ 
/*     */       
/* 215 */       rAW = new RAW(arrayOfByte);
/*     */     }
/*     */     else {
/*     */       
/* 219 */       rAW = new RAW(paramObject);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 225 */     return rAW;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RAW() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RAW(byte[] paramArrayOfbyte) {
/* 255 */     super(paramArrayOfbyte);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public RAW(Object paramObject) throws SQLException {
/* 283 */     this();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 288 */     if (paramObject instanceof byte[]) {
/*     */       
/* 290 */       setShareBytes((byte[])paramObject);
/*     */     }
/* 292 */     else if (paramObject instanceof String) {
/*     */       
/* 294 */       setShareBytes(hexString2Bytes((String)paramObject));
/*     */     }
/*     */     else {
/*     */       
/* 298 */       DatabaseError.throwSqlException(59, paramObject);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc() throws SQLException {
/* 325 */     return getBytes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isConvertibleTo(Class paramClass) {
/* 344 */     String str = paramClass.getName();
/*     */     
/* 346 */     if (str.compareTo("java.lang.String") == 0 || str.compareTo("java.io.InputStream") == 0 || str.compareTo("java.io.Reader") == 0)
/*     */     {
/*     */ 
/*     */       
/* 350 */       return true;
/*     */     }
/*     */ 
/*     */     
/* 354 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String stringValue() {
/* 369 */     return RepConversion.bArray2String(getBytes());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Reader characterStreamValue() throws SQLException {
/* 388 */     int i = (int)getLength();
/* 389 */     char[] arrayOfChar = new char[i * 2];
/* 390 */     byte[] arrayOfByte = shareBytes();
/*     */     
/* 392 */     DBConversion.RAWBytesToHexChars(arrayOfByte, i, arrayOfChar);
/*     */     
/* 394 */     return new CharArrayReader(arrayOfChar);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream asciiStreamValue() throws SQLException {
/* 413 */     int i = (int)getLength();
/* 414 */     char[] arrayOfChar = new char[i * 2];
/* 415 */     byte[] arrayOfByte1 = shareBytes();
/*     */     
/* 417 */     DBConversion.RAWBytesToHexChars(arrayOfByte1, i, arrayOfChar);
/*     */     
/* 419 */     byte[] arrayOfByte2 = new byte[i * 2];
/*     */     
/* 421 */     DBConversion.javaCharsToAsciiBytes(arrayOfChar, i * 2, arrayOfByte2);
/*     */     
/* 423 */     return new ByteArrayInputStream(arrayOfByte2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public InputStream binaryStreamValue() throws SQLException {
/* 442 */     return getStream();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object makeJdbcArray(int paramInt) {
/* 466 */     return new byte[paramInt][];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 546 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\RAW.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */