/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.CallableStatement;
/*     */ import java.sql.Connection;
/*     */ import java.sql.PreparedStatement;
/*     */ import java.sql.Ref;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.OraclePreparedStatement;
/*     */ import oracle.jdbc.OracleResultSet;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class REF
/*     */   extends DatumWithConnection
/*     */   implements Ref, Serializable, Cloneable
/*     */ {
/*     */   static final boolean DEBUG = false;
/*     */   static final long serialVersionUID = 1328446996944583167L;
/*     */   String typename;
/*     */   transient StructDescriptor descriptor;
/*     */   
/*     */   public String getBaseTypeName() throws SQLException {
/*  79 */     if (this.typename == null)
/*     */     {
/*  81 */       if (this.descriptor != null) {
/*  82 */         this.typename = this.descriptor.getName();
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/*  88 */         DatabaseError.throwSqlException(52);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  94 */     return this.typename;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public REF(String paramString, Connection paramConnection, byte[] paramArrayOfbyte) throws SQLException {
/* 108 */     super(paramArrayOfbyte);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 113 */     if (paramConnection == null || paramString == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 118 */       DatabaseError.throwSqlException(68);
/*     */     }
/*     */     
/* 121 */     this.typename = paramString;
/* 122 */     this.descriptor = null;
/*     */     
/* 124 */     setPhysicalConnectionOf(paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public REF(StructDescriptor paramStructDescriptor, Connection paramConnection, byte[] paramArrayOfbyte) throws SQLException {
/* 142 */     super(paramArrayOfbyte);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 148 */     if (paramConnection == null || paramStructDescriptor == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 153 */       DatabaseError.throwSqlException(68);
/*     */     }
/*     */ 
/*     */     
/* 157 */     this.descriptor = paramStructDescriptor;
/*     */     
/* 159 */     setPhysicalConnectionOf(paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getValue(Map paramMap) throws SQLException {
/* 179 */     STRUCT sTRUCT = getSTRUCT();
/* 180 */     return (sTRUCT != null) ? sTRUCT.toJdbc(paramMap) : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getValue() throws SQLException {
/* 201 */     STRUCT sTRUCT = getSTRUCT();
/* 202 */     return (sTRUCT != null) ? sTRUCT.toJdbc() : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized STRUCT getSTRUCT() throws SQLException {
/* 220 */     STRUCT sTRUCT = null;
/*     */     
/* 222 */     OraclePreparedStatement oraclePreparedStatement = (OraclePreparedStatement)getInternalConnection().prepareStatement("select deref(:1) from dual");
/*     */ 
/*     */     
/* 225 */     oraclePreparedStatement.setRowPrefetch(1);
/* 226 */     oraclePreparedStatement.setREF(1, this);
/*     */     
/* 228 */     OracleResultSet oracleResultSet = (OracleResultSet)oraclePreparedStatement.executeQuery();
/*     */ 
/*     */     
/*     */     try {
/* 232 */       if (oracleResultSet.next()) {
/* 233 */         sTRUCT = oracleResultSet.getSTRUCT(1);
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 239 */         DatabaseError.throwSqlException(52);
/*     */       }
/*     */     
/*     */     } finally {
/*     */       
/* 244 */       oracleResultSet.close();
/*     */       
/* 246 */       oracleResultSet = null;
/*     */       
/* 248 */       oraclePreparedStatement.close();
/*     */       
/* 250 */       oraclePreparedStatement = null;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 255 */     return sTRUCT;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized void setValue(Object paramObject) throws SQLException {
/* 272 */     STRUCT sTRUCT = STRUCT.toSTRUCT(paramObject, (OracleConnection)getInternalConnection());
/*     */     
/* 274 */     if (sTRUCT.getInternalConnection() != getInternalConnection())
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 279 */       DatabaseError.throwSqlException(77, "Incompatible connection object");
/*     */     }
/*     */ 
/*     */     
/* 283 */     if (!getBaseTypeName().equals(sTRUCT.getSQLTypeName()))
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 288 */       DatabaseError.throwSqlException(77, "Incompatible type");
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 293 */     byte[] arrayOfByte1 = sTRUCT.toBytes();
/*     */ 
/*     */     
/* 296 */     byte[] arrayOfByte2 = sTRUCT.getDescriptor().getOracleTypeADT().getTOID();
/*     */ 
/*     */     
/* 299 */     CallableStatement callableStatement = null;
/*     */ 
/*     */     
/*     */     try {
/* 303 */       callableStatement = getInternalConnection().prepareCall("begin :1 := dbms_pickler.update_through_ref (:2, :3, :4, :5); end;");
/*     */ 
/*     */       
/* 306 */       callableStatement.registerOutParameter(1, 2);
/*     */       
/* 308 */       callableStatement.setBytes(2, shareBytes());
/* 309 */       callableStatement.setInt(3, 0);
/* 310 */       callableStatement.setBytes(4, arrayOfByte2);
/* 311 */       callableStatement.setBytes(5, arrayOfByte1);
/*     */       
/* 313 */       callableStatement.execute();
/*     */       
/* 315 */       int i = 0;
/*     */       
/* 317 */       if ((i = callableStatement.getInt(1)) != 0)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/* 322 */         DatabaseError.throwSqlException(77, "ORA-" + i);
/*     */       
/*     */       }
/*     */     }
/*     */     finally {
/*     */       
/* 328 */       if (callableStatement != null) {
/* 329 */         callableStatement.close();
/*     */       }
/* 331 */       callableStatement = null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StructDescriptor getDescriptor() throws SQLException {
/* 351 */     if (this.descriptor == null)
/*     */     {
/* 353 */       this.descriptor = StructDescriptor.createDescriptor(this.typename, (Connection)getInternalConnection());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 359 */     return this.descriptor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSQLTypeName() throws SQLException {
/* 373 */     return getBaseTypeName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getObject(Map paramMap) throws SQLException {
/* 392 */     STRUCT sTRUCT = getSTRUCT();
/* 393 */     return (sTRUCT != null) ? sTRUCT.toJdbc(paramMap) : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getObject() throws SQLException {
/* 426 */     STRUCT sTRUCT = getSTRUCT();
/* 427 */     return (sTRUCT != null) ? sTRUCT.toJdbc() : null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setObject(Object paramObject) throws SQLException {
/* 466 */     PreparedStatement preparedStatement = getInternalConnection().prepareStatement("call sys.utl_ref.update_object( :1, :2 )");
/*     */ 
/*     */     
/* 469 */     preparedStatement.setRef(1, this);
/* 470 */     preparedStatement.setObject(2, paramObject);
/* 471 */     preparedStatement.execute();
/* 472 */     preparedStatement.close();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc() throws SQLException {
/* 499 */     return this;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isConvertibleTo(Class paramClass) {
/* 518 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object makeJdbcArray(int paramInt) {
/* 542 */     return new REF[paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object clone() throws CloneNotSupportedException {
/* 550 */     REF rEF = null;
/*     */ 
/*     */     
/*     */     try {
/* 554 */       rEF = new REF(getBaseTypeName(), (Connection)getInternalConnection(), getBytes());
/*     */     }
/* 556 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 561 */       throw new CloneNotSupportedException(sQLException.getMessage());
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 566 */     return rEF;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 574 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     try {
/* 578 */       bool = (paramObject instanceof REF && super.equals(paramObject) && getBaseTypeName().equals(((REF)paramObject).getSQLTypeName())) ? true : false;
/*     */     
/*     */     }
/* 581 */     catch (Exception exception) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 590 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/* 624 */     byte[] arrayOfByte = shareBytes();
/* 625 */     int i = 0;
/*     */     
/* 627 */     if ((arrayOfByte[2] & 0x5) == 5) {
/*     */ 
/*     */ 
/*     */       
/* 631 */       for (byte b = 0; b < 4; b++)
/*     */       {
/* 633 */         i *= 256;
/* 634 */         i += arrayOfByte[8 + b] & 0xFF;
/*     */       }
/*     */     
/* 637 */     } else if ((arrayOfByte[2] & 0x3) == 3) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 642 */       for (byte b = 0; b < 4 && b < arrayOfByte.length; b++)
/*     */       {
/* 644 */         i *= 256;
/* 645 */         i += arrayOfByte[6 + b] & 0xFF;
/*     */       }
/*     */     
/* 648 */     } else if ((arrayOfByte[2] & 0x2) == 2) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 653 */       for (byte b = 0; b < 4; b++) {
/*     */         
/* 655 */         i *= 256;
/* 656 */         i += arrayOfByte[8 + b] & 0xFF;
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 663 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 671 */     paramObjectOutputStream.writeObject(shareBytes());
/*     */ 
/*     */     
/*     */     try {
/* 675 */       paramObjectOutputStream.writeUTF(getBaseTypeName());
/*     */     }
/* 677 */     catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 682 */       throw new IOException("SQLException ORA-" + sQLException.getErrorCode() + " " + sQLException.getMessage());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 696 */     setBytes((byte[])paramObjectInputStream.readObject());
/*     */     
/* 698 */     this.typename = paramObjectInputStream.readUTF();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Connection getJavaSqlConnection() throws SQLException {
/* 706 */     return super.getJavaSqlConnection();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 711 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\REF.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */