/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SQLName
/*     */   implements Serializable
/*     */ {
/*     */   static boolean DEBUG = false;
/*     */   static boolean s_parseAllFormat = false;
/*     */   static final long serialVersionUID = 2266340348729491526L;
/*     */   String name;
/*     */   String schema;
/*     */   String simple;
/*     */   int version;
/*     */   boolean synonym;
/*     */   
/*     */   protected SQLName() {}
/*     */   
/*     */   public SQLName(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/*  91 */     init(paramString, paramOracleConnection);
/*     */     
/*  93 */     this.version = 2;
/*  94 */     this.synonym = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SQLName(String paramString1, String paramString2, OracleConnection paramOracleConnection) throws SQLException {
/* 112 */     this.schema = paramString1;
/* 113 */     this.simple = paramString2;
/* 114 */     this.name = this.schema + "." + this.simple;
/*     */     
/* 116 */     this.version = 2;
/* 117 */     this.synonym = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void init(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/* 133 */     String[] arrayOfString1 = new String[1];
/* 134 */     String[] arrayOfString2 = new String[1];
/*     */     
/* 136 */     if (parse(paramString, arrayOfString1, arrayOfString2, true)) {
/*     */       
/* 138 */       this.schema = arrayOfString1[0];
/* 139 */       this.simple = arrayOfString2[0];
/*     */     }
/*     */     else {
/*     */       
/* 143 */       this.schema = paramOracleConnection.physicalConnectionWithin().getDefaultSchemaNameForNamedTypes();
/* 144 */       this.simple = arrayOfString2[0];
/*     */     } 
/*     */     
/* 147 */     this.name = this.schema + "." + this.simple;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getName() throws SQLException {
/* 162 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSchema() throws SQLException {
/* 173 */     return this.schema;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSimpleName() throws SQLException {
/* 184 */     return this.simple;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getVersion() throws SQLException {
/* 195 */     return this.version;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean parse(String paramString, String[] paramArrayOfString1, String[] paramArrayOfString2) throws SQLException {
/* 216 */     return parse(paramString, paramArrayOfString1, paramArrayOfString2, s_parseAllFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean parse(String paramString, String[] paramArrayOfString1, String[] paramArrayOfString2, boolean paramBoolean) throws SQLException {
/* 227 */     if (paramString == null) {
/* 228 */       return false;
/*     */     }
/* 230 */     if (paramArrayOfString1 == null || paramArrayOfString1.length < 1 || paramArrayOfString2 == null || paramArrayOfString2.length < 1)
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 236 */       DatabaseError.throwSqlException(68);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 254 */     if (!paramBoolean) {
/*     */       
/* 256 */       int n = paramString.indexOf(".");
/*     */       
/* 258 */       if (n < 0) {
/*     */         
/* 260 */         paramArrayOfString2[0] = paramString;
/*     */         
/* 262 */         return false;
/*     */       } 
/*     */ 
/*     */       
/* 266 */       paramArrayOfString1[0] = paramString.substring(0, n);
/* 267 */       paramArrayOfString2[0] = paramString.substring(n + 1);
/*     */       
/* 269 */       return true;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 274 */     int i = paramString.length();
/* 275 */     int j = paramString.indexOf("\"");
/* 276 */     int k = paramString.indexOf("\"", j + 1);
/* 277 */     int m = -1;
/*     */     
/* 279 */     if (j < 0) {
/*     */       
/* 281 */       m = paramString.indexOf(".");
/*     */       
/* 283 */       if (m < 0) {
/*     */         
/* 285 */         paramArrayOfString2[0] = paramString;
/*     */         
/* 287 */         return false;
/*     */       } 
/*     */ 
/*     */       
/* 291 */       paramArrayOfString1[0] = paramString.substring(0, m);
/* 292 */       paramArrayOfString2[0] = paramString.substring(m + 1);
/*     */       
/* 294 */       return true;
/*     */     } 
/*     */     
/* 297 */     if (j == 0) {
/*     */       
/* 299 */       if (k == i - 1) {
/*     */         
/* 301 */         paramArrayOfString2[0] = paramString.substring(j + 1, k);
/*     */         
/* 303 */         return false;
/*     */       } 
/*     */ 
/*     */       
/* 307 */       m = paramString.indexOf(".", k);
/* 308 */       paramArrayOfString1[0] = paramString.substring(j + 1, k);
/*     */       
/* 310 */       j = paramString.indexOf("\"", m);
/* 311 */       k = paramString.indexOf("\"", j + 1);
/*     */       
/* 313 */       if (j < 0) {
/*     */         
/* 315 */         paramArrayOfString2[0] = paramString.substring(m + 1);
/*     */         
/* 317 */         return true;
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 323 */       paramArrayOfString2[0] = paramString.substring(j + 1, k);
/*     */       
/* 325 */       return true;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 331 */     m = paramString.indexOf(".");
/* 332 */     paramArrayOfString1[0] = paramString.substring(0, m);
/* 333 */     paramArrayOfString2[0] = paramString.substring(j + 1, k);
/*     */     
/* 335 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setHandleDoubleQuote(boolean paramBoolean) throws SQLException {
/* 355 */     s_parseAllFormat = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean getHandleDoubleQuote() throws SQLException {
/* 370 */     return s_parseAllFormat;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean equals(Object paramObject) {
/* 375 */     if (paramObject == this) return true; 
/* 376 */     if (!(paramObject instanceof SQLName)) return false; 
/* 377 */     return ((SQLName)paramObject).name.equals(this.name);
/*     */   }
/*     */   public int hashCode() {
/* 380 */     return this.name.hashCode();
/*     */   }
/*     */   public String toString() {
/* 383 */     return this.name;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/* 394 */     paramObjectOutputStream.writeUTF(this.name);
/* 395 */     paramObjectOutputStream.writeUTF(this.schema);
/* 396 */     paramObjectOutputStream.writeUTF(this.simple);
/* 397 */     paramObjectOutputStream.writeInt(this.version);
/* 398 */     paramObjectOutputStream.writeBoolean(this.synonym);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 410 */     this.name = paramObjectInputStream.readUTF();
/* 411 */     this.schema = paramObjectInputStream.readUTF();
/* 412 */     this.simple = paramObjectInputStream.readUTF();
/* 413 */     this.version = paramObjectInputStream.readInt();
/* 414 */     this.synonym = paramObjectInputStream.readBoolean();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 422 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\SQLName.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */