/*      */ package oracle.sql;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.ObjectInputStream;
/*      */ import java.io.ObjectOutputStream;
/*      */ import java.io.Serializable;
/*      */ import java.sql.Connection;
/*      */ import java.sql.PreparedStatement;
/*      */ import java.sql.ResultSet;
/*      */ import java.sql.ResultSetMetaData;
/*      */ import java.sql.SQLException;
/*      */ import java.sql.SQLInput;
/*      */ import java.sql.SQLOutput;
/*      */ import java.util.Map;
/*      */ import java.util.Vector;
/*      */ import oracle.jdbc.OracleCallableStatement;
/*      */ import oracle.jdbc.OracleConnection;
/*      */ import oracle.jdbc.driver.DatabaseError;
/*      */ import oracle.jdbc.internal.OracleConnection;
/*      */ import oracle.jdbc.oracore.OracleNamedType;
/*      */ import oracle.jdbc.oracore.OracleType;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class StructDescriptor
/*      */   extends TypeDescriptor
/*      */   implements Serializable
/*      */ {
/*      */   static final boolean DEBUG = false;
/*      */   static final long serialVersionUID = 1013921343538311063L;
/*  114 */   transient Boolean isInstanciable = null;
/*  115 */   transient String supertype = null;
/*  116 */   transient int numLocalAttrs = -1;
/*  117 */   transient String[] subtypes = null;
/*  118 */   transient String[] attrJavaNames = null;
/*      */ 
/*      */   
/*      */   final int LOCAL_TYPE = 0;
/*      */ 
/*      */   
/*      */   final int LOOK_FOR_USER_SYNONYM = 1;
/*      */   
/*      */   final int LOOK_FOR_PUBLIC_SYNONYM = 2;
/*      */   
/*      */   final String[] initMetaData1_9_0_SQL;
/*      */ 
/*      */   
/*      */   public static StructDescriptor createDescriptor(String paramString, Connection paramConnection) throws SQLException {
/*  132 */     return createDescriptor(paramString, paramConnection, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static StructDescriptor createDescriptor(String paramString, Connection paramConnection, boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/*  152 */     if (paramString == null || paramString.length() == 0 || paramConnection == null)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  157 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*      */     }
/*      */ 
/*      */     
/*  161 */     SQLName sQLName = new SQLName(paramString, (OracleConnection)paramConnection);
/*      */     
/*  163 */     return createDescriptor(sQLName, paramConnection, paramBoolean1, paramBoolean2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static StructDescriptor createDescriptor(SQLName paramSQLName, Connection paramConnection, boolean paramBoolean1, boolean paramBoolean2) throws SQLException {
/*  183 */     String str = paramSQLName.getName();
/*  184 */     StructDescriptor structDescriptor = null;
/*  185 */     if (!paramBoolean2) {
/*      */ 
/*      */       
/*  188 */       structDescriptor = (StructDescriptor)((OracleConnection)paramConnection).getDescriptor(str);
/*      */ 
/*      */ 
/*      */       
/*  192 */       if (structDescriptor == null) {
/*      */         
/*  194 */         structDescriptor = new StructDescriptor(paramSQLName, paramConnection);
/*  195 */         if (paramBoolean1) structDescriptor.initNamesRecursively(); 
/*  196 */         ((OracleConnection)paramConnection).putDescriptor(str, structDescriptor);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  201 */     return structDescriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static StructDescriptor createDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/*  216 */     return createDescriptor(paramSQLName, paramConnection, false, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static StructDescriptor createDescriptor(OracleTypeADT paramOracleTypeADT) throws SQLException {
/*  233 */     String str = paramOracleTypeADT.getFullName();
/*  234 */     OracleConnection oracleConnection = paramOracleTypeADT.getConnection();
/*  235 */     StructDescriptor structDescriptor = (StructDescriptor)oracleConnection.getDescriptor(str);
/*      */ 
/*      */ 
/*      */     
/*  239 */     if (structDescriptor == null) {
/*      */       
/*  241 */       SQLName sQLName = new SQLName(paramOracleTypeADT.getSchemaName(), paramOracleTypeADT.getSimpleName(), (OracleConnection)paramOracleTypeADT.getConnection());
/*      */       
/*  243 */       structDescriptor = new StructDescriptor(sQLName, paramOracleTypeADT, (Connection)oracleConnection);
/*  244 */       structDescriptor.initNamesRecursively();
/*  245 */       oracleConnection.putDescriptor(str, structDescriptor);
/*      */     } 
/*      */ 
/*      */     
/*  249 */     return structDescriptor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public StructDescriptor(String paramString, Connection paramConnection) throws SQLException
/*      */   {
/*  262 */     super(paramString, paramConnection);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1417 */     this.LOCAL_TYPE = 0;
/* 1418 */     this.LOOK_FOR_USER_SYNONYM = 1;
/* 1419 */     this.LOOK_FOR_PUBLIC_SYNONYM = 2;
/* 1420 */     this.initMetaData1_9_0_SQL = new String[] { "SELECT INSTANTIABLE, supertype_owner, supertype_name, LOCAL_ATTRIBUTES FROM all_types WHERE type_name = :1 AND owner = :2 ", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM USER_SYNONYMS WHERE \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM ALL_SYNONYMS WHERE \n         OWNER = 'PUBLIC' AND \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;" }; initPickler(); } public StructDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException { super(paramSQLName, paramConnection); this.LOCAL_TYPE = 0; this.LOOK_FOR_USER_SYNONYM = 1; this.LOOK_FOR_PUBLIC_SYNONYM = 2; this.initMetaData1_9_0_SQL = new String[] { "SELECT INSTANTIABLE, supertype_owner, supertype_name, LOCAL_ATTRIBUTES FROM all_types WHERE type_name = :1 AND owner = :2 ", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM USER_SYNONYMS WHERE \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM ALL_SYNONYMS WHERE \n         OWNER = 'PUBLIC' AND \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;" }; initPickler(); } public StructDescriptor(SQLName paramSQLName, OracleTypeADT paramOracleTypeADT, Connection paramConnection) throws SQLException { super(paramSQLName, paramOracleTypeADT, paramConnection); this.LOCAL_TYPE = 0; this.LOOK_FOR_USER_SYNONYM = 1; this.LOOK_FOR_PUBLIC_SYNONYM = 2; this.initMetaData1_9_0_SQL = new String[] { "SELECT INSTANTIABLE, supertype_owner, supertype_name, LOCAL_ATTRIBUTES FROM all_types WHERE type_name = :1 AND owner = :2 ", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM USER_SYNONYMS WHERE \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM ALL_SYNONYMS WHERE \n         OWNER = 'PUBLIC' AND \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;" }; } static StructDescriptor createDescriptor(SQLName paramSQLName, byte[] paramArrayOfbyte1, int paramInt, byte[] paramArrayOfbyte2, byte[] paramArrayOfbyte3, OracleConnection paramOracleConnection, byte[] paramArrayOfbyte4) throws SQLException { OracleTypeADT oracleTypeADT = new OracleTypeADT(paramSQLName, paramArrayOfbyte1, paramInt, paramArrayOfbyte2, paramArrayOfbyte3, paramOracleConnection, paramArrayOfbyte4); return new StructDescriptor(paramSQLName, oracleTypeADT, (Connection)paramOracleConnection); } private void initPickler() throws SQLException { try { this.pickler = (OracleNamedType)new OracleTypeADT(getName(), (Connection)this.connection); ((OracleTypeADT)this.pickler).init(this.connection); this.pickler.setDescriptor(this); } catch (Exception exception) { if (exception instanceof SQLException) throw (SQLException)exception;  DatabaseError.throwSqlException(60, "Unable to resolve type \"" + getName() + "\""); }  } public int getTypeCode() throws SQLException { return this.pickler.getTypeCode(); } public int getTypeVersion() throws SQLException { return this.pickler.getTypeVersion(); } byte[] toBytes(STRUCT paramSTRUCT, boolean paramBoolean) throws SQLException { byte[] arrayOfByte = paramSTRUCT.shareBytes(); if (arrayOfByte == null) { if (paramSTRUCT.datumArray != null) { arrayOfByte = this.pickler.linearize(paramSTRUCT); if (!paramBoolean) paramSTRUCT.setShareBytes(null);  } else if (paramSTRUCT.objectArray != null) { paramSTRUCT.datumArray = toOracleArray(paramSTRUCT.objectArray); arrayOfByte = this.pickler.linearize(paramSTRUCT); if (!paramBoolean) { paramSTRUCT.datumArray = null; paramSTRUCT.setShareBytes(null); }  } else { DatabaseError.throwSqlException(1); }  } else if (paramSTRUCT.imageLength != 0L) { if (paramSTRUCT.imageOffset != 0L || paramSTRUCT.imageLength != arrayOfByte.length) { byte[] arrayOfByte1 = new byte[(int)paramSTRUCT.imageLength]; System.arraycopy(arrayOfByte, (int)paramSTRUCT.imageOffset, arrayOfByte1, 0, (int)paramSTRUCT.imageLength); paramSTRUCT.setImage(arrayOfByte1, 0L, 0L); arrayOfByte = arrayOfByte1; }  }  return arrayOfByte; } Datum[] toOracleArray(STRUCT paramSTRUCT, boolean paramBoolean) throws SQLException { Datum[] arrayOfDatum1 = paramSTRUCT.datumArray; Datum[] arrayOfDatum2 = null; if (arrayOfDatum1 == null) if (paramSTRUCT.objectArray != null) { arrayOfDatum1 = toOracleArray(paramSTRUCT.objectArray); } else if (paramSTRUCT.shareBytes() != null) { if ((paramSTRUCT.shareBytes()[0] & 0x80) <= 0 && ((OracleTypeADT)this.pickler).isEmbeddedADT()) this.pickler = (OracleNamedType)OracleTypeADT.shallowClone((OracleTypeADT)this.pickler);  this.pickler.unlinearize(paramSTRUCT.shareBytes(), paramSTRUCT.imageOffset, paramSTRUCT, 1, null); arrayOfDatum1 = paramSTRUCT.datumArray; if (!paramBoolean) paramSTRUCT.datumArray = null;  } else { DatabaseError.throwSqlException(1); }   if (paramBoolean) { paramSTRUCT.datumArray = arrayOfDatum1; arrayOfDatum2 = (Datum[])arrayOfDatum1.clone(); } else { arrayOfDatum2 = arrayOfDatum1; }  return arrayOfDatum2; } Object[] toArray(STRUCT paramSTRUCT, Map paramMap, boolean paramBoolean) throws SQLException { Object[] arrayOfObject = null; if (paramSTRUCT.objectArray == null) { if (paramSTRUCT.datumArray != null) { arrayOfObject = new Object[paramSTRUCT.datumArray.length]; for (byte b = 0; b < paramSTRUCT.datumArray.length; b++) { if (paramSTRUCT.datumArray[b] != null) if (paramSTRUCT.datumArray[b] instanceof STRUCT) { arrayOfObject[b] = ((STRUCT)paramSTRUCT.datumArray[b]).toJdbc(paramMap); } else { arrayOfObject[b] = paramSTRUCT.datumArray[b].toJdbc(); }   }  } else if (paramSTRUCT.shareBytes() != null) { if ((paramSTRUCT.shareBytes()[0] & 0x80) <= 0 && ((OracleTypeADT)this.pickler).isEmbeddedADT()) this.pickler = (OracleNamedType)OracleTypeADT.shallowClone((OracleTypeADT)this.pickler);  this.pickler.unlinearize(paramSTRUCT.shareBytes(), paramSTRUCT.imageOffset, paramSTRUCT, 2, paramMap); arrayOfObject = paramSTRUCT.objectArray; paramSTRUCT.objectArray = null; } else { DatabaseError.throwSqlException(1); }  } else { arrayOfObject = (Object[])paramSTRUCT.objectArray.clone(); }  return arrayOfObject; } public int getLength() throws SQLException { return (getFieldTypes()).length; } public OracleTypeADT getOracleTypeADT() { return (OracleTypeADT)this.pickler; } private OracleType[] getFieldTypes() throws SQLException { return ((OracleTypeADT)this.pickler).getAttrTypes(); } public SQLInput toJdbc2SQLInput(STRUCT paramSTRUCT, Map paramMap) throws SQLException { return new OracleJdbc2SQLInput(toOracleArray(paramSTRUCT, false), paramMap, (OracleConnection)this.connection); } public StructDescriptor(OracleTypeADT paramOracleTypeADT, Connection paramConnection) throws SQLException { super(paramOracleTypeADT, paramConnection); this.LOCAL_TYPE = 0; this.LOOK_FOR_USER_SYNONYM = 1; this.LOOK_FOR_PUBLIC_SYNONYM = 2; this.initMetaData1_9_0_SQL = new String[] { "SELECT INSTANTIABLE, supertype_owner, supertype_name, LOCAL_ATTRIBUTES FROM all_types WHERE type_name = :1 AND owner = :2 ", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM USER_SYNONYMS WHERE \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;", "DECLARE \n bind_synonym_name user_synonyms.synonym_name%type := :1; \n the_table_owner  user_synonyms.table_owner%type; \n the_table_name   user_synonyms.table_name%type; \n the_db_link      user_synonyms.db_link%type; \n sql_string       VARCHAR2(1000); \nBEGIN \n   SELECT /*+RULE*/ TABLE_NAME, TABLE_OWNER, DB_LINK INTO  \n         the_table_name, the_table_owner, the_db_link \n         FROM ALL_SYNONYMS WHERE \n         OWNER = 'PUBLIC' AND \n         SYNONYM_NAME = bind_synonym_name; \n \n   sql_string := 'SELECT /*+RULE*/ INSTANTIABLE, SUPERTYPE_OWNER,      SUPERTYPE_NAME, LOCAL_ATTRIBUTES FROM ALL_TYPES'; \n \n   IF the_db_link IS NOT NULL  \n   THEN \n     sql_string := sql_string || '@' || the_db_link; \n   END IF; \n   sql_string := sql_string       || ' WHERE TYPE_NAME = '''       || the_table_name   || ''' AND OWNER = '''       || the_table_owner  || ''''; \n   OPEN :2 FOR sql_string; \nEND;" }; } public SQLOutput toJdbc2SQLOutput() throws SQLException {
/*      */     return new OracleSQLOutput(this, (OracleConnection)this.connection);
/*      */   } public Datum[] toOracleArray(Object[] paramArrayOfObject) throws SQLException {
/*      */     Datum[] arrayOfDatum = null;
/*      */     if (paramArrayOfObject != null) {
/*      */       OracleType[] arrayOfOracleType = getFieldTypes();
/*      */       int i = arrayOfOracleType.length;
/*      */       if (paramArrayOfObject.length != i)
/*      */         DatabaseError.throwSqlException(49, null); 
/*      */       arrayOfDatum = new Datum[i];
/*      */       OracleConnection oracleConnection = this.connection;
/*      */       for (byte b = 0; b < i; b++)
/*      */         arrayOfDatum[b] = arrayOfOracleType[b].toDatum(paramArrayOfObject[b], oracleConnection); 
/*      */     } 
/*      */     return arrayOfDatum;
/*      */   } public Datum[] toOracleArray(Map paramMap) throws SQLException {
/*      */     Datum[] arrayOfDatum = null;
/*      */     byte b = 0;
/*      */     if (paramMap != null) {
/*      */       OracleType[] arrayOfOracleType = getFieldTypes();
/*      */       int i = arrayOfOracleType.length;
/*      */       int j = paramMap.size();
/*      */       arrayOfDatum = new Datum[i];
/*      */       OracleConnection oracleConnection = this.connection;
/*      */       for (byte b1 = 0; b1 < i; b1++) {
/*      */         Object object = paramMap.get(((OracleTypeADT)this.pickler).getAttributeName(b1 + 1));
/*      */         arrayOfDatum[b1] = arrayOfOracleType[b1].toDatum(object, oracleConnection);
/*      */         if (object != null || paramMap.containsKey(((OracleTypeADT)this.pickler).getAttributeName(b1 + 1)))
/*      */           b++; 
/*      */       } 
/*      */       if (b < j)
/*      */         DatabaseError.throwSqlException(68, null); 
/*      */     } 
/*      */     return arrayOfDatum;
/*      */   } public ResultSetMetaData getMetaData() throws SQLException {
/*      */     return this.connection.newStructMetaData(this);
/*      */   } public boolean isFinalType() throws SQLException {
/*      */     return getOracleTypeADT().isFinalType();
/*      */   } public boolean isSubtype() throws SQLException {
/*      */     return getOracleTypeADT().isSubType();
/*      */   } public boolean isInHierarchyOf(String paramString) throws SQLException {
/*      */     StructDescriptor structDescriptor = this;
/*      */     String str = structDescriptor.getName();
/*      */     boolean bool = false;
/*      */     if (paramString.equals(str)) {
/*      */       bool = true;
/*      */     } else {
/*      */       while (true) {
/*      */         str = structDescriptor.getSupertypeName();
/*      */         if (str == null) {
/*      */           bool = false;
/*      */           break;
/*      */         } 
/*      */         if (paramString.equals(str)) {
/*      */           bool = true;
/*      */           break;
/*      */         } 
/*      */         structDescriptor = createDescriptor(str, (Connection)this.connection);
/*      */       } 
/*      */     } 
/*      */     return bool;
/*      */   } public boolean isInstantiable() throws SQLException {
/*      */     if (this.isInstanciable == null)
/*      */       initMetaData1(); 
/*      */     return this.isInstanciable.booleanValue();
/*      */   } private void initMetaData1_9_0() throws SQLException {
/* 1486 */     byte b = 0;
/*      */ 
/*      */ 
/*      */     
/* 1490 */     synchronized (this.connection)
/*      */     
/* 1492 */     { synchronized (this)
/*      */       
/* 1494 */       { if (this.numLocalAttrs == -1)
/*      */         
/* 1496 */         { PreparedStatement preparedStatement = null;
/* 1497 */           OracleCallableStatement oracleCallableStatement = null;
/* 1498 */           ResultSet resultSet = null;
/* 1499 */           int i = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           try {
/*      */             while (true) {
/* 1506 */               switch (b) {
/*      */                 
/*      */                 case false:
/* 1509 */                   preparedStatement = this.connection.prepareStatement(this.initMetaData1_9_0_SQL[b]);
/*      */ 
/*      */                   
/* 1512 */                   preparedStatement.setString(1, getTypeName());
/* 1513 */                   preparedStatement.setString(2, getSchemaName());
/*      */                   
/* 1515 */                   preparedStatement.setFetchSize(1);
/* 1516 */                   resultSet = preparedStatement.executeQuery();
/*      */                   break;
/*      */ 
/*      */ 
/*      */                 
/*      */                 case true:
/*      */                 case true:
/*      */                   try {
/* 1524 */                     oracleCallableStatement = (OracleCallableStatement)this.connection.prepareCall(this.initMetaData1_9_0_SQL[b]);
/*      */ 
/*      */                     
/* 1527 */                     oracleCallableStatement.setString(1, getTypeName());
/* 1528 */                     oracleCallableStatement.registerOutParameter(2, -10);
/*      */ 
/*      */                     
/* 1531 */                     oracleCallableStatement.execute();
/*      */                     
/* 1533 */                     resultSet = oracleCallableStatement.getCursor(2);
/* 1534 */                     resultSet.setFetchSize(1);
/* 1535 */                   } catch (SQLException sQLException) {
/*      */                     
/* 1537 */                     if (sQLException.getErrorCode() == 1403) {
/*      */                       
/* 1539 */                       if (b == 1) {
/*      */                         
/* 1541 */                         oracleCallableStatement.close();
/* 1542 */                         b++;
/*      */ 
/*      */                         
/*      */                         continue;
/*      */                       } 
/*      */                       
/* 1548 */                       DatabaseError.throwSqlException(1, "Inconsistent catalog view");
/*      */                       
/*      */                       break;
/*      */                     } 
/*      */                     
/* 1553 */                     throw sQLException;
/*      */                   } 
/*      */                   break;
/*      */               } 
/*      */ 
/*      */ 
/*      */               
/* 1560 */               if (resultSet.next()) {
/*      */                 
/* 1562 */                 this.isInstanciable = new Boolean(resultSet.getString(1).equals("YES"));
/* 1563 */                 this.supertype = resultSet.getString(2) + "." + resultSet.getString(3);
/* 1564 */                 i = resultSet.getInt(4);
/*      */ 
/*      */                 
/*      */                 break;
/*      */               } 
/*      */ 
/*      */               
/* 1571 */               if (b == 2) {
/*      */ 
/*      */ 
/*      */                 
/* 1575 */                 DatabaseError.throwSqlException(1, "Inconsistent catalog view");
/*      */                 
/*      */                 continue;
/*      */               } 
/* 1579 */               resultSet.close();
/* 1580 */               if (oracleCallableStatement != null)
/* 1581 */                 oracleCallableStatement.close(); 
/* 1582 */               b++;
/*      */             
/*      */             }
/*      */           
/*      */           }
/*      */           finally {
/*      */             
/* 1589 */             if (resultSet != null) {
/* 1590 */               resultSet.close();
/*      */             }
/* 1592 */             if (preparedStatement != null) {
/* 1593 */               preparedStatement.close();
/*      */             }
/* 1595 */             if (oracleCallableStatement != null) {
/* 1596 */               oracleCallableStatement.close();
/*      */             }
/*      */           } 
/* 1599 */           this.numLocalAttrs = i; }  }  }  } public boolean isJavaObject() throws SQLException { return getOracleTypeADT().isJavaObject(); }
/*      */   public String getSupertypeName() throws SQLException { String str = null; if (isSubtype()) { if (this.supertype == null) initMetaData1();  str = this.supertype; }  return str; }
/*      */   public int getLocalAttributeCount() throws SQLException { int i; if (!isSubtype()) { i = (getOracleTypeADT().getAttrTypes()).length; } else { if (this.numLocalAttrs == -1) initMetaData1();  i = this.numLocalAttrs; }  return i; }
/*      */   public String[] getSubtypeNames() throws SQLException { if (this.subtypes == null)
/*      */       initMetaData2();  return this.subtypes; }
/*      */   public String getJavaClassName() throws SQLException { String str = null; if (isJavaObject())
/*      */       str = getJavaObjectClassName((Connection)this.connection, this);  return str; }
/*      */   public String getAttributeJavaName(int paramInt) throws SQLException { String str = null; if (isJavaObject()) { if (this.attrJavaNames == null)
/*      */         initMetaData3();  str = this.attrJavaNames[paramInt]; }  return str; }
/*      */   public String[] getAttributeJavaNames() throws SQLException { String[] arrayOfString = null; if (isJavaObject()) { if (this.attrJavaNames == null)
/*      */         initMetaData3();  arrayOfString = this.attrJavaNames; } else { arrayOfString = new String[0]; }  return arrayOfString; }
/*      */   public String getLanguage() throws SQLException { String str = null; if (isJavaObject()) { str = "JAVA"; } else { str = "SQL"; }  return str; }
/*      */   public Class getClass(Map paramMap) throws SQLException { String str1 = getName(); Class clazz = (Class)paramMap.get(str1); String str2 = getSchemaName(); String str3 = getTypeName(); if (clazz == null)
/*      */       clazz = (Class)paramMap.get(str3);  if (SQLName.s_parseAllFormat) { if (clazz == null)
/*      */         if (this.connection.getDefaultSchemaNameForNamedTypes().equals(str2))
/*      */           clazz = (Class)paramMap.get("\"" + str3 + "\"");   if (clazz == null)
/*      */         clazz = (Class)paramMap.get("\"" + str2 + "\"" + "." + "\"" + str3 + "\"");  if (clazz == null)
/*      */         clazz = (Class)paramMap.get("\"" + str2 + "\"" + "." + str3);  if (clazz == null)
/*      */         clazz = (Class)paramMap.get(str2 + "." + "\"" + str3 + "\"");  }  return clazz; }
/* 1618 */   private synchronized void initMetaData1_pre_9_0() throws SQLException { this.isInstanciable = new Boolean(true);
/* 1619 */     this.supertype = "";
/* 1620 */     this.numLocalAttrs = 0; } public static String getJavaObjectClassName(Connection paramConnection, StructDescriptor paramStructDescriptor) throws SQLException { return getJavaObjectClassName(paramConnection, paramStructDescriptor.getSchemaName(), paramStructDescriptor.getTypeName()); }
/*      */   public static String getJavaObjectClassName(Connection paramConnection, String paramString1, String paramString2) throws SQLException { PreparedStatement preparedStatement = null; ResultSet resultSet = null; String str = null; try { preparedStatement = paramConnection.prepareStatement("select external_name from all_sqlj_types where owner = :1 and type_name = :2"); preparedStatement.setString(1, paramString1); preparedStatement.setString(2, paramString2); resultSet = preparedStatement.executeQuery(); if (resultSet.next()) { str = resultSet.getString(1); } else { DatabaseError.throwSqlException(100); }  } catch (SQLException sQLException) {  } finally { if (resultSet != null)
/*      */         resultSet.close();  if (preparedStatement != null)
/*      */         preparedStatement.close();  }  return str; }
/*      */   public String descType() throws SQLException { StringBuffer stringBuffer = new StringBuffer(); return descType(stringBuffer, 0); }
/*      */   String descType(StringBuffer paramStringBuffer, int paramInt) throws SQLException { String str1 = ""; for (byte b1 = 0; b1 < paramInt; b1++)
/*      */       str1 = str1 + "  ";  String str2 = str1 + "  "; paramStringBuffer.append(str1); paramStringBuffer.append(getTypeName()); paramStringBuffer.append("\n"); paramStringBuffer.append(str1); paramStringBuffer.append("Subtype=" + getOracleTypeADT().isSubType()); paramStringBuffer.append(" JavaObject=" + getOracleTypeADT().isJavaObject()); paramStringBuffer.append(" FinalType=" + getOracleTypeADT().isFinalType()); paramStringBuffer.append("\n"); ResultSetMetaData resultSetMetaData = getMetaData(); int i = resultSetMetaData.getColumnCount(); for (byte b2 = 0; b2 < i; b2++) { int j = resultSetMetaData.getColumnType(b2 + 1); if (j == 2002 || j == 2008) { StructDescriptor structDescriptor = createDescriptor(resultSetMetaData.getColumnTypeName(b2 + 1), (Connection)this.connection); structDescriptor.descType(paramStringBuffer, paramInt + 1); } else if (j == 2003) { ArrayDescriptor arrayDescriptor = ArrayDescriptor.createDescriptor(resultSetMetaData.getColumnTypeName(b2 + 1), (Connection)this.connection); arrayDescriptor.descType(paramStringBuffer, paramInt + 1); } else if (j == 2007) { OpaqueDescriptor opaqueDescriptor = OpaqueDescriptor.createDescriptor(resultSetMetaData.getColumnTypeName(b2 + 1), (Connection)this.connection); opaqueDescriptor.descType(paramStringBuffer, paramInt + 1); } else { paramStringBuffer.append(str2); paramStringBuffer.append(resultSetMetaData.getColumnTypeName(b2 + 1)); paramStringBuffer.append("\n"); }  }  return paramStringBuffer.substring(0, paramStringBuffer.length()); }
/*      */   public byte[] toBytes(Object[] paramArrayOfObject) throws SQLException { Datum[] arrayOfDatum = toOracleArray(paramArrayOfObject); return toBytes(arrayOfDatum); }
/*      */   public byte[] toBytes(Datum[] paramArrayOfDatum) throws SQLException { STRUCT sTRUCT = new STRUCT(this, (byte[])null, (Connection)this.connection); sTRUCT.setDatumArray(paramArrayOfDatum); return this.pickler.linearize(sTRUCT); }
/*      */   public Datum[] toArray(Object[] paramArrayOfObject) throws SQLException { return toOracleArray(paramArrayOfObject); }
/*      */   public Datum[] toArray(byte[] paramArrayOfbyte) throws SQLException { STRUCT sTRUCT = new STRUCT(this, paramArrayOfbyte, (Connection)this.connection); return toOracleArray(sTRUCT, false); }
/*      */   private void initMetaData1() throws SQLException { short s = this.connection.getVersionNumber(); if (s >= 9000) { initMetaData1_9_0(); } else { initMetaData1_pre_9_0(); }
/*      */      }
/* 1633 */   private void initMetaData2() throws SQLException { short s = this.connection.getVersionNumber();
/*      */     
/* 1635 */     if (s >= 9000) {
/* 1636 */       initMetaData2_9_0();
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 1641 */       initMetaData2_pre_9_0();
/*      */     }  }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initMetaData2_9_0() throws SQLException {
/* 1656 */     synchronized (this.connection) {
/*      */       
/* 1658 */       synchronized (this) {
/*      */         
/* 1660 */         if (this.subtypes == null) {
/*      */           
/* 1662 */           PreparedStatement preparedStatement = null;
/* 1663 */           ResultSet resultSet = null;
/* 1664 */           String[] arrayOfString = null;
/*      */ 
/*      */           
/*      */           try {
/* 1668 */             preparedStatement = this.connection.prepareStatement("select owner, type_name from all_types where supertype_name = :1 and supertype_owner = :2");
/*      */ 
/*      */             
/* 1671 */             preparedStatement.setString(1, getTypeName());
/* 1672 */             preparedStatement.setString(2, getSchemaName());
/*      */             
/* 1674 */             resultSet = preparedStatement.executeQuery();
/*      */             
/* 1676 */             Vector vector = new Vector();
/*      */             
/* 1678 */             while (resultSet.next()) {
/* 1679 */               vector.addElement(resultSet.getString(1) + "." + resultSet.getString(2));
/*      */             }
/* 1681 */             arrayOfString = new String[vector.size()];
/*      */             
/* 1683 */             for (byte b = 0; b < arrayOfString.length; b++) {
/* 1684 */               arrayOfString[b] = vector.elementAt(b);
/*      */             }
/* 1686 */             vector.removeAllElements();
/*      */             
/* 1688 */             vector = null;
/*      */           }
/*      */           finally {
/*      */             
/* 1692 */             if (resultSet != null) {
/* 1693 */               resultSet.close();
/*      */             }
/* 1695 */             if (preparedStatement != null) {
/* 1696 */               preparedStatement.close();
/*      */             }
/*      */           } 
/* 1699 */           this.subtypes = arrayOfString;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initMetaData2_pre_9_0() throws SQLException {
/* 1720 */     this.subtypes = new String[0];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initMetaData3() throws SQLException {
/* 1735 */     synchronized (this.connection) {
/*      */       
/* 1737 */       synchronized (this) {
/*      */         
/* 1739 */         if (this.attrJavaNames == null) {
/*      */           
/* 1741 */           String[] arrayOfString = null;
/* 1742 */           PreparedStatement preparedStatement = null;
/* 1743 */           ResultSet resultSet = null;
/*      */ 
/*      */           
/*      */           try {
/* 1747 */             preparedStatement = this.connection.prepareStatement("select EXTERNAL_ATTR_NAME from all_sqlj_type_attrs where owner = :1 and type_name = :2");
/*      */ 
/*      */             
/* 1750 */             preparedStatement.setString(1, getSchemaName());
/* 1751 */             preparedStatement.setString(2, getTypeName());
/*      */             
/* 1753 */             resultSet = preparedStatement.executeQuery();
/* 1754 */             arrayOfString = new String[(getOracleTypeADT().getAttrTypes()).length];
/*      */ 
/*      */             
/* 1757 */             for (byte b = 0; resultSet.next(); b++) {
/* 1758 */               arrayOfString[b] = resultSet.getString(1);
/*      */             }
/*      */           } finally {
/*      */             
/* 1762 */             if (resultSet != null) {
/* 1763 */               resultSet.close();
/*      */             }
/* 1765 */             if (preparedStatement != null) {
/* 1766 */               preparedStatement.close();
/*      */             }
/*      */           } 
/* 1769 */           this.attrJavaNames = arrayOfString;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/* 1795 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\StructDescriptor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */