/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.Serializable;
/*     */ import java.sql.Connection;
/*     */ import java.sql.Date;
/*     */ import java.sql.SQLException;
/*     */ import java.sql.Time;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Calendar;
/*     */ import java.util.TimeZone;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TIMESTAMP
/*     */   extends Datum
/*     */   implements Serializable
/*     */ {
/*     */   private static final int CENTURY_DEFAULT = 119;
/*     */   private static final int DECADE_DEFAULT = 100;
/*     */   private static final int MONTH_DEFAULT = 1;
/*     */   private static final int DAY_DEFAULT = 1;
/*     */   private static final int DECADE_INIT = 170;
/*     */   private static final int JAVA_YEAR = 1970;
/*     */   private static final int JAVA_MONTH = 0;
/*     */   private static final int JAVA_DATE = 1;
/*     */   private static final int SIZE_TIMESTAMP = 11;
/*     */   private static final int SIZE_TIMESTAMP_NOFRAC = 7;
/*     */   private static final int SIZE_DATE = 7;
/*     */   private static final int MINYEAR = -4712;
/*     */   private static final int MAXYEAR = 9999;
/*     */   private static final int JANMONTH = 1;
/*     */   private static final int DECMONTH = 12;
/*     */   private static final int MINDAYS = 1;
/*     */   private static final int MAXDAYS = 31;
/*     */   private static final int MINHOURS = 1;
/*     */   private static final int MAXHOURS = 24;
/*     */   private static final int MINMINUTES = 1;
/*     */   private static final int MAXMINUTES = 60;
/*     */   private static final int MINSECONDS = 1;
/*     */   private static final int MAXSECONDS = 60;
/*     */   
/*     */   public TIMESTAMP() {
/*  69 */     super(initTimestamp());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(byte[] paramArrayOfbyte) {
/*  83 */     super(paramArrayOfbyte);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(Time paramTime) {
/*  98 */     super(toBytes(paramTime));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(Date paramDate) {
/* 112 */     super(toBytes(paramDate));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(Timestamp paramTimestamp) {
/* 126 */     super(toBytes(paramTimestamp));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(DATE paramDATE) {
/* 141 */     super(toBytes(paramDATE));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TIMESTAMP(String paramString) {
/* 157 */     super(toBytes(paramString));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Date toDate(byte[] paramArrayOfbyte) throws SQLException {
/* 189 */     int arrayOfInt[], i = paramArrayOfbyte.length;
/*     */     
/* 191 */     if (i == 11) {
/* 192 */       arrayOfInt = new int[11];
/*     */     } else {
/* 194 */       arrayOfInt = new int[7];
/*     */     }  int j;
/* 196 */     for (j = 0; j < paramArrayOfbyte.length; j++) {
/* 197 */       arrayOfInt[j] = paramArrayOfbyte[j] & 0xFF;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 202 */     j = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*     */ 
/*     */ 
/*     */     
/* 206 */     Calendar calendar = Calendar.getInstance();
/*     */     
/* 208 */     calendar.set(1, j);
/* 209 */     calendar.set(2, arrayOfInt[2] - 1);
/* 210 */     calendar.set(5, arrayOfInt[3]);
/* 211 */     calendar.set(11, arrayOfInt[4] - 1);
/* 212 */     calendar.set(12, arrayOfInt[5] - 1);
/* 213 */     calendar.set(13, arrayOfInt[6] - 1);
/* 214 */     calendar.set(14, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 220 */     long l = calendar.getTime().getTime();
/*     */ 
/*     */ 
/*     */     
/* 224 */     return new Date(l);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Time toTime(byte[] paramArrayOfbyte) throws SQLException {
/* 246 */     int i = paramArrayOfbyte[4] & 0xFF;
/* 247 */     int j = paramArrayOfbyte[5] & 0xFF;
/* 248 */     int k = paramArrayOfbyte[6] & 0xFF;
/*     */     
/* 250 */     return new Time(i - 1, j - 1, k - 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Timestamp toTimestamp(byte[] paramArrayOfbyte) throws SQLException {
/* 269 */     int arrayOfInt[], i = paramArrayOfbyte.length;
/*     */     
/* 271 */     if (i == 11) {
/* 272 */       arrayOfInt = new int[11];
/*     */     } else {
/* 274 */       arrayOfInt = new int[7];
/*     */     }  int j;
/* 276 */     for (j = 0; j < paramArrayOfbyte.length; j++) {
/* 277 */       arrayOfInt[j] = paramArrayOfbyte[j] & 0xFF;
/*     */     }
/*     */ 
/*     */     
/* 281 */     j = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 286 */     Calendar calendar = Calendar.getInstance();
/*     */     
/* 288 */     calendar.set(1, j);
/* 289 */     calendar.set(2, arrayOfInt[2] - 1);
/* 290 */     calendar.set(5, arrayOfInt[3]);
/* 291 */     calendar.set(11, arrayOfInt[4] - 1);
/* 292 */     calendar.set(12, arrayOfInt[5] - 1);
/* 293 */     calendar.set(13, arrayOfInt[6] - 1);
/* 294 */     calendar.set(14, 0);
/*     */ 
/*     */ 
/*     */     
/* 298 */     long l = calendar.getTime().getTime();
/*     */ 
/*     */ 
/*     */     
/* 302 */     Timestamp timestamp = new Timestamp(l);
/*     */ 
/*     */ 
/*     */     
/* 306 */     if (i == 11) {
/*     */       
/* 308 */       int k = arrayOfInt[7] << 24;
/* 309 */       k |= arrayOfInt[8] << 16;
/* 310 */       k |= arrayOfInt[9] << 8;
/* 311 */       k |= arrayOfInt[10] & 0xFF;
/*     */ 
/*     */       
/* 314 */       timestamp.setNanos(k);
/*     */     } else {
/*     */       
/* 317 */       timestamp.setNanos(0);
/*     */     } 
/*     */     
/* 320 */     return timestamp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Timestamp toTimestamp(byte[] paramArrayOfbyte, Calendar paramCalendar) throws SQLException {
/* 336 */     int arrayOfInt[], i = paramArrayOfbyte.length;
/*     */     
/* 338 */     if (i == 11) {
/* 339 */       arrayOfInt = new int[11];
/*     */     } else {
/* 341 */       arrayOfInt = new int[7];
/*     */     }  int j;
/* 343 */     for (j = 0; j < paramArrayOfbyte.length; j++) {
/* 344 */       arrayOfInt[j] = paramArrayOfbyte[j] & 0xFF;
/*     */     }
/*     */     
/* 347 */     j = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*     */     
/* 349 */     if (paramCalendar == null) {
/* 350 */       paramCalendar = Calendar.getInstance();
/*     */     }
/* 352 */     paramCalendar.clear();
/*     */     
/* 354 */     paramCalendar.set(1, j);
/* 355 */     paramCalendar.set(2, arrayOfInt[2] - 1);
/* 356 */     paramCalendar.set(5, arrayOfInt[3]);
/* 357 */     paramCalendar.set(11, arrayOfInt[4] - 1);
/* 358 */     paramCalendar.set(12, arrayOfInt[5] - 1);
/* 359 */     paramCalendar.set(13, arrayOfInt[6] - 1);
/* 360 */     paramCalendar.set(14, 0);
/*     */ 
/*     */     
/* 363 */     long l = paramCalendar.getTime().getTime();
/*     */ 
/*     */     
/* 366 */     Timestamp timestamp = new Timestamp(l);
/*     */ 
/*     */     
/* 369 */     if (i == 11) {
/*     */       
/* 371 */       int k = arrayOfInt[7] << 24;
/* 372 */       k |= arrayOfInt[8] << 16;
/* 373 */       k |= arrayOfInt[9] << 8;
/* 374 */       k |= arrayOfInt[10] & 0xFF;
/*     */ 
/*     */       
/* 377 */       timestamp.setNanos(k);
/*     */     } else {
/*     */       
/* 380 */       timestamp.setNanos(0);
/*     */     } 
/* 382 */     return timestamp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static DATE toDATE(byte[] paramArrayOfbyte) throws SQLException {
/* 397 */     byte[] arrayOfByte = new byte[7];
/*     */     
/* 399 */     System.arraycopy(paramArrayOfbyte, 0, arrayOfByte, 0, 7);
/*     */     
/* 401 */     return new DATE(arrayOfByte);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Timestamp timestampValue() throws SQLException {
/* 414 */     return toTimestamp(getBytes());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Timestamp timestampValue(Calendar paramCalendar) throws SQLException {
/* 426 */     return toTimestamp(getBytes(), paramCalendar);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String toString(byte[] paramArrayOfbyte) {
/* 438 */     int arrayOfInt[], i = 0;
/*     */ 
/*     */     
/* 441 */     int j = paramArrayOfbyte.length;
/*     */     
/* 443 */     if (j == 11) {
/* 444 */       arrayOfInt = new int[11];
/*     */     } else {
/* 446 */       arrayOfInt = new int[7];
/*     */     } 
/*     */ 
/*     */     
/* 450 */     for (byte b = 0; b < paramArrayOfbyte.length; b++) {
/*     */       
/* 452 */       if (paramArrayOfbyte[b] < 0) {
/* 453 */         arrayOfInt[b] = paramArrayOfbyte[b] + 256;
/*     */       } else {
/* 455 */         arrayOfInt[b] = paramArrayOfbyte[b];
/*     */       } 
/*     */     } 
/* 458 */     arrayOfInt[4] = arrayOfInt[4] - 1;
/* 459 */     arrayOfInt[5] = arrayOfInt[5] - 1;
/* 460 */     arrayOfInt[6] = arrayOfInt[6] - 1;
/*     */     
/* 462 */     int k = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*     */     
/* 464 */     if (j == 11) {
/*     */       
/* 466 */       i = (arrayOfInt[7] & 0xFF) << 24;
/* 467 */       i |= (arrayOfInt[8] & 0xFF) << 16;
/* 468 */       i |= (arrayOfInt[9] & 0xFF) << 8;
/* 469 */       i |= arrayOfInt[10] & 0xFF & 0xFF;
/*     */     } 
/*     */     
/* 472 */     return k + "-" + arrayOfInt[2] + "-" + arrayOfInt[3] + " " + arrayOfInt[4] + "." + arrayOfInt[5] + "." + arrayOfInt[6] + "." + i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] toBytes() {
/* 489 */     return getBytes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toBytes(Time paramTime) {
/* 504 */     if (paramTime == null) {
/* 505 */       return null;
/*     */     }
/* 507 */     byte[] arrayOfByte = new byte[7];
/* 508 */     Calendar calendar = Calendar.getInstance();
/* 509 */     calendar.setTime(paramTime);
/*     */     
/* 511 */     arrayOfByte[0] = 119;
/* 512 */     arrayOfByte[1] = 100;
/* 513 */     arrayOfByte[2] = 1;
/* 514 */     arrayOfByte[3] = 1;
/* 515 */     arrayOfByte[4] = (byte)(calendar.get(11) + 1);
/* 516 */     arrayOfByte[5] = (byte)(calendar.get(12) + 1);
/* 517 */     arrayOfByte[6] = (byte)(calendar.get(13) + 1);
/*     */     
/* 519 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toBytes(Date paramDate) {
/* 533 */     if (paramDate == null) {
/* 534 */       return null;
/*     */     }
/* 536 */     byte[] arrayOfByte = new byte[7];
/* 537 */     Calendar calendar = Calendar.getInstance();
/*     */     
/* 539 */     calendar.setTime(paramDate);
/*     */     
/* 541 */     arrayOfByte[0] = (byte)(calendar.get(1) / 100 + 100);
/* 542 */     arrayOfByte[1] = (byte)(calendar.get(1) % 100 + 100);
/* 543 */     arrayOfByte[2] = (byte)(calendar.get(2) + 1);
/* 544 */     arrayOfByte[3] = (byte)calendar.get(5);
/* 545 */     arrayOfByte[4] = 1;
/* 546 */     arrayOfByte[5] = 1;
/* 547 */     arrayOfByte[6] = 1;
/*     */     
/* 549 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toBytes(Timestamp paramTimestamp) {
/*     */     byte[] arrayOfByte;
/* 562 */     if (paramTimestamp == null) {
/* 563 */       return null;
/*     */     }
/*     */ 
/*     */     
/* 567 */     int i = paramTimestamp.getNanos();
/*     */ 
/*     */ 
/*     */     
/* 571 */     if (i == 0) {
/* 572 */       arrayOfByte = new byte[7];
/*     */     } else {
/* 574 */       arrayOfByte = new byte[11];
/*     */     } 
/* 576 */     Calendar calendar = Calendar.getInstance();
/*     */     
/* 578 */     calendar.setTime(paramTimestamp);
/*     */ 
/*     */     
/* 581 */     arrayOfByte[0] = (byte)(calendar.get(1) / 100 + 100);
/* 582 */     arrayOfByte[1] = (byte)(calendar.get(1) % 100 + 100);
/* 583 */     arrayOfByte[2] = (byte)(calendar.get(2) + 1);
/* 584 */     arrayOfByte[3] = (byte)calendar.get(5);
/* 585 */     arrayOfByte[4] = (byte)(calendar.get(11) + 1);
/* 586 */     arrayOfByte[5] = (byte)(calendar.get(12) + 1);
/* 587 */     arrayOfByte[6] = (byte)(calendar.get(13) + 1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 594 */     if (i != 0) {
/*     */       
/* 596 */       arrayOfByte[7] = (byte)(i >> 24);
/* 597 */       arrayOfByte[8] = (byte)(i >> 16 & 0xFF);
/* 598 */       arrayOfByte[9] = (byte)(i >> 8 & 0xFF);
/* 599 */       arrayOfByte[10] = (byte)(i & 0xFF);
/*     */     } 
/*     */     
/* 602 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toBytes(DATE paramDATE) {
/* 615 */     if (paramDATE == null) {
/* 616 */       return null;
/*     */     }
/* 618 */     byte[] arrayOfByte = new byte[7];
/*     */     
/* 620 */     System.arraycopy(paramDATE.getBytes(), 0, arrayOfByte, 0, 7);
/*     */     
/* 622 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toBytes(String paramString) {
/* 634 */     return toBytes(Timestamp.valueOf(paramString));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc() throws SQLException {
/* 646 */     return timestampValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object makeJdbcArray(int paramInt) {
/* 657 */     return new Timestamp[paramInt];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isConvertibleTo(Class paramClass) {
/* 671 */     if (paramClass.getName().compareTo("java.sql.Date") == 0 || paramClass.getName().compareTo("java.sql.Time") == 0 || paramClass.getName().compareTo("java.sql.Timestamp") == 0 || paramClass.getName().compareTo("java.lang.String") == 0)
/*     */     {
/*     */ 
/*     */       
/* 675 */       return true;
/*     */     }
/* 677 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TIMESTAMP TimeZoneConvert(Connection paramConnection, TIMESTAMP paramTIMESTAMP, TimeZone paramTimeZone1, TimeZone paramTimeZone2) throws SQLException {
/*     */     int[] arrayOfInt;
/* 705 */     byte[] arrayOfByte = paramTIMESTAMP.getBytes();
/*     */     
/* 707 */     int i = arrayOfByte.length;
/*     */     
/* 709 */     if (i == 11) {
/* 710 */       arrayOfInt = new int[11];
/*     */     } else {
/* 712 */       arrayOfInt = new int[7];
/*     */     } 
/*     */ 
/*     */     
/* 716 */     for (byte b = 0; b < i; b++) {
/* 717 */       arrayOfInt[b] = arrayOfByte[b] & 0xFF;
/*     */     }
/*     */ 
/*     */     
/* 721 */     TimeZone timeZone = TimeZone.getDefault();
/*     */ 
/*     */ 
/*     */     
/* 725 */     int j = (arrayOfInt[0] - 100) * 100 + arrayOfInt[1] - 100;
/*     */     
/* 727 */     Calendar calendar1 = Calendar.getInstance(paramTimeZone1);
/*     */     
/* 729 */     Calendar calendar2 = Calendar.getInstance(paramTimeZone2);
/*     */     
/* 731 */     TimeZone.setDefault(calendar1.getTimeZone());
/*     */     
/* 733 */     calendar1.set(1, j);
/* 734 */     calendar1.set(2, arrayOfInt[2] - 1);
/* 735 */     calendar1.set(5, arrayOfInt[3]);
/* 736 */     calendar1.set(11, arrayOfInt[4] - 1);
/* 737 */     calendar1.set(12, arrayOfInt[5] - 1);
/* 738 */     calendar1.set(13, arrayOfInt[6] - 1);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 743 */     calendar1.set(14, 0);
/*     */ 
/*     */     
/* 746 */     TIMESTAMPLTZ.TimeZoneAdjust(paramConnection, calendar1, calendar2);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 751 */     long l = calendar2.getTime().getTime();
/*     */ 
/*     */ 
/*     */     
/* 755 */     TimeZone.setDefault(timeZone);
/*     */ 
/*     */ 
/*     */     
/* 759 */     Timestamp timestamp = new Timestamp(l);
/* 760 */     int k = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 765 */     if (i == 11) {
/*     */       
/* 767 */       k = arrayOfInt[7] << 24;
/* 768 */       k |= arrayOfInt[8] << 16;
/* 769 */       k |= arrayOfInt[9] << 8;
/* 770 */       k |= arrayOfInt[10] & 0xFF;
/* 771 */       timestamp.setNanos(k);
/*     */     }
/*     */     else {
/*     */       
/* 775 */       timestamp.setNanos(0);
/*     */     } 
/*     */     
/* 778 */     return new TIMESTAMP(timestamp);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String stringValue() {
/* 788 */     return toString(getBytes());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Date dateValue() throws SQLException {
/* 799 */     return toDate(getBytes());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Time timeValue() throws SQLException {
/* 810 */     return toTime(getBytes());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static byte[] initTimestamp() {
/* 825 */     byte[] arrayOfByte = new byte[11];
/*     */     
/* 827 */     arrayOfByte[0] = 119;
/* 828 */     arrayOfByte[1] = -86;
/* 829 */     arrayOfByte[2] = 1;
/* 830 */     arrayOfByte[3] = 1;
/* 831 */     arrayOfByte[4] = 1;
/* 832 */     arrayOfByte[5] = 1;
/* 833 */     arrayOfByte[6] = 1;
/*     */     
/* 835 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean isLeapYear(int paramInt) {
/* 846 */     return (paramInt % 4 == 0 && ((paramInt <= 1582) ? (paramInt != -4712) : (paramInt % 100 != 0 || paramInt % 400 == 0)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean isValid() {
/* 856 */     byte[] arrayOfByte = getBytes();
/* 857 */     if (arrayOfByte.length != 11 && arrayOfByte.length != 7)
/*     */     {
/*     */       
/* 860 */       return false;
/*     */     }
/*     */     
/* 863 */     int i = ((arrayOfByte[0] & 0xFF) - 100) * 100 + (arrayOfByte[1] & 0xFF) - 100;
/* 864 */     if (i < -4712 || i > 9999) {
/* 865 */       return false;
/*     */     }
/*     */     
/* 868 */     if (i == 0) {
/* 869 */       return false;
/*     */     }
/*     */     
/* 872 */     int j = arrayOfByte[2] & 0xFF;
/* 873 */     if (j < 1 || j > 12) {
/* 874 */       return false;
/*     */     }
/*     */     
/* 877 */     int k = arrayOfByte[3] & 0xFF;
/* 878 */     if (k < 1 || k > 31)
/* 879 */       return false; 
/* 880 */     if (k > daysInMonth[j - 1] && (
/* 881 */       !isLeapYear(i) || j != 2 || k != 29)) {
/* 882 */       return false;
/*     */     }
/*     */     
/* 885 */     if (i == 1582 && j == 10 && k >= 5 && k < 15) {
/* 886 */       return false;
/*     */     }
/*     */     
/* 889 */     int m = arrayOfByte[4] & 0xFF;
/* 890 */     if (m < 1 || m > 24) {
/* 891 */       return false;
/*     */     }
/*     */     
/* 894 */     int n = arrayOfByte[5] & 0xFF;
/* 895 */     if (n < 1 || n > 60) {
/* 896 */       return false;
/*     */     }
/*     */     
/* 899 */     int i1 = arrayOfByte[6] & 0xFF;
/* 900 */     if (i1 < 1 || i1 > 60) {
/* 901 */       return false;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 906 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 913 */     paramObjectInputStream.defaultReadObject();
/* 914 */     if (!isValid()) {
/* 915 */       throw new IOException("Invalid TIMESTAMP");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 955 */   private static final int[] daysInMonth = new int[] { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };
/*     */   static final long serialVersionUID = -7964732752952728545L;
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\TIMESTAMP.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */