/*     */ package oracle.sql;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.ObjectInputStream;
/*     */ import java.io.ObjectOutputStream;
/*     */ import java.io.PrintStream;
/*     */ import java.io.PrintWriter;
/*     */ import java.io.Serializable;
/*     */ import java.io.StringWriter;
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ import oracle.jdbc.oracore.OracleNamedType;
/*     */ import oracle.jdbc.oracore.OracleTypeADT;
/*     */ import oracle.jdbc.oracore.OracleTypeCOLLECTION;
/*     */ import oracle.jdbc.oracore.OracleTypeOPAQUE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class TypeDescriptor
/*     */   implements Serializable
/*     */ {
/*     */   public static boolean DEBUG_SERIALIZATION = false;
/*     */   static final long serialVersionUID = 2022598722047823723L;
/*     */   SQLName sqlName;
/*     */   OracleNamedType pickler;
/*     */   transient OracleConnection connection;
/*     */   
/*     */   protected TypeDescriptor() {}
/*     */   
/*     */   protected TypeDescriptor(String paramString, Connection paramConnection) throws SQLException {
/*  97 */     if (paramString == null || paramConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 102 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*     */     }
/*     */ 
/*     */     
/* 106 */     setPhysicalConnectionOf(paramConnection);
/*     */     
/* 108 */     this.sqlName = new SQLName(paramString, (OracleConnection)getInternalConnection());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected TypeDescriptor(SQLName paramSQLName, Connection paramConnection) throws SQLException {
/* 119 */     if (paramSQLName == null || paramConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 124 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*     */     }
/*     */ 
/*     */     
/* 128 */     this.sqlName = paramSQLName;
/*     */     
/* 130 */     setPhysicalConnectionOf(paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected TypeDescriptor(SQLName paramSQLName, OracleTypeADT paramOracleTypeADT, Connection paramConnection) throws SQLException {
/* 143 */     if (paramSQLName == null || paramOracleTypeADT == null || paramConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 148 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*     */     }
/*     */ 
/*     */     
/* 152 */     this.sqlName = paramSQLName;
/*     */     
/* 154 */     setPhysicalConnectionOf(paramConnection);
/*     */     
/* 156 */     this.pickler = (OracleNamedType)paramOracleTypeADT;
/*     */     
/* 158 */     this.pickler.setDescriptor(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected TypeDescriptor(OracleTypeADT paramOracleTypeADT, Connection paramConnection) throws SQLException {
/* 170 */     if (paramOracleTypeADT == null || paramConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 175 */       DatabaseError.throwSqlException(60, "Invalid arguments");
/*     */     }
/*     */ 
/*     */     
/* 179 */     setPhysicalConnectionOf(paramConnection);
/*     */     
/* 181 */     this.sqlName = null;
/* 182 */     this.pickler = (OracleNamedType)paramOracleTypeADT;
/*     */     
/* 184 */     this.pickler.setDescriptor(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized String getName() throws SQLException {
/* 198 */     if (this.sqlName == null) {
/* 199 */       initSQLName();
/*     */     }
/* 201 */     return this.sqlName.getName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public synchronized SQLName getSQLName() throws SQLException {
/* 216 */     if (this.sqlName == null) {
/* 217 */       initSQLName();
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 222 */     return this.sqlName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void initSQLName() throws SQLException {
/* 230 */     if (this.pickler == null || getInternalConnection() == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 235 */       DatabaseError.throwSqlException(1);
/*     */     }
/*     */     
/* 238 */     this.sqlName = new SQLName(this.pickler.getFullName(), (OracleConnection)getInternalConnection());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getSchemaName() throws SQLException {
/* 253 */     return getSQLName().getSchema();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getTypeName() throws SQLException {
/* 269 */     return getSQLName().getSimpleName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleNamedType getPickler() {
/* 285 */     return this.pickler;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnection getInternalConnection() {
/* 299 */     return this.connection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPhysicalConnectionOf(Connection paramConnection) {
/* 310 */     this.connection = ((OracleConnection)paramConnection).physicalConnectionWithin();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public abstract int getTypeCode() throws SQLException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TypeDescriptor getTypeDescriptor(String paramString, OracleConnection paramOracleConnection) throws SQLException {
/* 343 */     TypeDescriptor typeDescriptor = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 349 */       SQLName sQLName = new SQLName(paramString, paramOracleConnection);
/* 350 */       String str = sQLName.getName();
/*     */ 
/*     */       
/* 353 */       typeDescriptor = (TypeDescriptor)paramOracleConnection.getDescriptor(str);
/*     */       
/* 355 */       if (typeDescriptor == null)
/*     */       {
/*     */ 
/*     */         
/* 359 */         OracleTypeADT oracleTypeADT = new OracleTypeADT(str, (Connection)paramOracleConnection);
/* 360 */         OracleConnection oracleConnection = (OracleConnection)paramOracleConnection;
/*     */ 
/*     */         
/* 363 */         oracleTypeADT.init(oracleConnection);
/*     */         
/* 365 */         OracleNamedType oracleNamedType = oracleTypeADT.cleanup();
/*     */ 
/*     */         
/* 368 */         switch (oracleNamedType.getTypeCode()) {
/*     */ 
/*     */ 
/*     */           
/*     */           case 2002:
/*     */           case 2008:
/* 374 */             typeDescriptor = new StructDescriptor(sQLName, (OracleTypeADT)oracleNamedType, (Connection)paramOracleConnection);
/*     */             break;
/*     */ 
/*     */ 
/*     */           
/*     */           case 2003:
/* 380 */             typeDescriptor = new ArrayDescriptor(sQLName, (OracleTypeCOLLECTION)oracleNamedType, (Connection)paramOracleConnection);
/*     */             break;
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           case 2007:
/* 387 */             typeDescriptor = new OpaqueDescriptor(sQLName, (OracleTypeOPAQUE)oracleNamedType, (Connection)paramOracleConnection);
/*     */             break;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           default:
/* 396 */             DatabaseError.throwSqlException(1);
/*     */             break;
/*     */         } 
/*     */         
/* 400 */         paramOracleConnection.putDescriptor(str, typeDescriptor);
/*     */ 
/*     */         
/* 403 */         oracleNamedType.setDescriptor(typeDescriptor);
/*     */       }
/*     */     
/* 406 */     } catch (Exception exception) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 411 */       if (exception instanceof SQLException) {
/* 412 */         DatabaseError.throwSqlException((SQLException)exception, 60, "Unable to resolve type \"" + paramString + "\"");
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 417 */         DatabaseError.throwSqlException(60, "Unable to resolve type \"" + paramString + "\"");
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 424 */     return typeDescriptor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static TypeDescriptor getTypeDescriptor(String paramString, OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 450 */     TypeDescriptor typeDescriptor = null;
/* 451 */     byte[][] arrayOfByte = new byte[1][];
/*     */ 
/*     */     
/* 454 */     String str = getSubtypeName(paramOracleConnection, paramArrayOfbyte, paramLong);
/*     */     
/* 456 */     if (str == null) {
/* 457 */       str = paramString;
/*     */     }
/*     */ 
/*     */     
/* 461 */     typeDescriptor = (TypeDescriptor)paramOracleConnection.getDescriptor(str);
/*     */     
/* 463 */     if (typeDescriptor == null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 468 */       SQLName sQLName = new SQLName(str, paramOracleConnection);
/*     */ 
/*     */       
/* 471 */       OracleTypeADT oracleTypeADT = new OracleTypeADT(str, (Connection)paramOracleConnection);
/* 472 */       OracleConnection oracleConnection = (OracleConnection)paramOracleConnection;
/*     */ 
/*     */       
/* 475 */       oracleTypeADT.init(oracleConnection);
/*     */       
/* 477 */       OracleNamedType oracleNamedType = oracleTypeADT.cleanup();
/*     */ 
/*     */       
/* 480 */       switch (oracleNamedType.getTypeCode()) {
/*     */ 
/*     */ 
/*     */         
/*     */         case 2002:
/*     */         case 2008:
/* 486 */           typeDescriptor = new StructDescriptor(sQLName, (OracleTypeADT)oracleNamedType, (Connection)paramOracleConnection);
/*     */           break;
/*     */ 
/*     */ 
/*     */         
/*     */         case 2003:
/* 492 */           typeDescriptor = new ArrayDescriptor(sQLName, (OracleTypeCOLLECTION)oracleNamedType, (Connection)paramOracleConnection);
/*     */           break;
/*     */ 
/*     */ 
/*     */         
/*     */         case 2007:
/* 498 */           typeDescriptor = new OpaqueDescriptor(sQLName, (OracleTypeOPAQUE)oracleNamedType, (Connection)paramOracleConnection);
/*     */           break;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         default:
/* 507 */           DatabaseError.throwSqlException(1);
/*     */           break;
/*     */       } 
/*     */       
/* 511 */       paramOracleConnection.putDescriptor(str, typeDescriptor);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 516 */     return typeDescriptor;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isInHierarchyOf(String paramString) throws SQLException {
/* 531 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void writeObject(ObjectOutputStream paramObjectOutputStream) throws IOException {
/*     */     try {
/* 547 */       if (this.sqlName == null) {
/* 548 */         initSQLName();
/*     */       }
/* 550 */     } catch (SQLException sQLException) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 555 */       DatabaseError.SQLToIOException(sQLException);
/*     */     } 
/*     */     
/* 558 */     paramObjectOutputStream.writeObject(this.sqlName);
/* 559 */     paramObjectOutputStream.writeObject(this.pickler);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void readObject(ObjectInputStream paramObjectInputStream) throws IOException, ClassNotFoundException {
/* 571 */     this.sqlName = (SQLName)paramObjectInputStream.readObject();
/* 572 */     this.pickler = (OracleNamedType)paramObjectInputStream.readObject();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setConnection(Connection paramConnection) throws SQLException {
/* 583 */     setPhysicalConnectionOf(paramConnection);
/* 584 */     this.pickler.setConnection(getInternalConnection());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getSubtypeName(OracleConnection paramOracleConnection, byte[] paramArrayOfbyte, long paramLong) throws SQLException {
/* 596 */     if (paramArrayOfbyte == null || paramArrayOfbyte.length == 0 || paramOracleConnection == null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 601 */       DatabaseError.throwSqlException(68);
/*     */     }
/*     */     
/* 604 */     return OracleTypeADT.getSubtypeName((Connection)paramOracleConnection, paramArrayOfbyte, paramLong);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initMetadataRecursively() throws SQLException {
/* 614 */     if (this.pickler != null) {
/* 615 */       this.pickler.initMetadataRecursively();
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public void initNamesRecursively() throws SQLException {
/* 621 */     if (this.pickler != null) {
/* 622 */       this.pickler.initNamesRecursively();
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public void fixupConnection(OracleConnection paramOracleConnection) throws SQLException {
/* 628 */     if (this.connection == null) this.connection = paramOracleConnection; 
/* 629 */     if (this.pickler != null) this.pickler.fixupConnection(paramOracleConnection);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toXMLString() throws SQLException {
/* 640 */     StringWriter stringWriter = new StringWriter();
/* 641 */     PrintWriter printWriter = new PrintWriter(stringWriter);
/* 642 */     printXMLHeader(printWriter);
/* 643 */     printXML(printWriter, 0);
/* 644 */     return stringWriter.getBuffer().substring(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void printXML(PrintStream paramPrintStream) throws SQLException {
/* 656 */     PrintWriter printWriter = new PrintWriter(paramPrintStream, true);
/* 657 */     printXMLHeader(printWriter);
/* 658 */     printXML(printWriter, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   void printXML(PrintWriter paramPrintWriter, int paramInt) throws SQLException {
/* 663 */     String str = getClass().getName();
/* 664 */     int i = hashCode();
/* 665 */     paramPrintWriter.println("<" + str + " hashCode=\"" + i + "\" >");
/* 666 */     if (this.pickler != null) this.pickler.printXML(paramPrintWriter, paramInt + 1); 
/* 667 */     paramPrintWriter.println("</" + str + ">");
/*     */   }
/*     */ 
/*     */   
/*     */   void printXMLHeader(PrintWriter paramPrintWriter) throws SQLException {
/* 672 */     paramPrintWriter.println("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 678 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:33_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\TypeDescriptor.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */