/*     */ package oracle.sql.converter;
/*     */ 
/*     */ import java.util.HashMap;
/*     */ import java.util.Hashtable;
/*     */ import oracle.sql.ConverterArchive;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CharacterConverterJDBC
/*     */   extends CharacterConverters
/*     */ {
/*     */   static final String CONVERTERNAMEPREFIX = "converter_xcharset/lx2";
/*     */   static final String CONVERTERIDPREFIX = "0000";
/*     */   static final int HIBYTEMASK = 65280;
/*     */   static final int LOWBYTEMASK = 255;
/*     */   static final int STORE_INCREMENT = 10;
/*     */   static final int INVALID_ORA_CHAR = -1;
/*     */   static final int FIRSTBSHIFT = 24;
/*     */   static final int SECONDBSHIFT = 16;
/*     */   static final int THIRDBSHIFT = 8;
/*     */   static final int UB2MASK = 65535;
/*     */   static final int UB4MASK = 65535;
/*  69 */   static final HashMap m_converterStore = new HashMap();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static CharacterConverters getInstance(int paramInt) {
/*  85 */     CharacterConverterJDBC characterConverterJDBC = null;
/*  86 */     boolean bool1 = false;
/*  87 */     boolean bool2 = false;
/*  88 */     String str = Integer.toHexString(paramInt);
/*     */     
/*  90 */     synchronized (m_converterStore) {
/*     */       
/*  92 */       characterConverterJDBC = (CharacterConverterJDBC)m_converterStore.get(str);
/*     */       
/*  94 */       if (characterConverterJDBC != null)
/*     */       {
/*  96 */         return characterConverterJDBC;
/*     */       }
/*     */ 
/*     */       
/* 100 */       String str1 = "converter_xcharset/lx2" + "0000".substring(0, 4 - str.length()) + str;
/*     */ 
/*     */       
/* 103 */       ConverterArchive converterArchive = new ConverterArchive();
/*     */       
/* 105 */       characterConverterJDBC = (CharacterConverterJDBC)converterArchive.readObj(str1 + ".glb");
/*     */ 
/*     */       
/* 108 */       if (characterConverterJDBC == null)
/*     */       {
/* 110 */         return null;
/*     */       }
/*     */       
/* 113 */       characterConverterJDBC.buildUnicodeToOracleMapping();
/* 114 */       m_converterStore.put(str, characterConverterJDBC);
/*     */       
/* 116 */       return characterConverterJDBC;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void storeMappingRange(int paramInt, Hashtable paramHashtable1, Hashtable paramHashtable2) {
/* 131 */     int i = paramInt >> 24 & 0xFF;
/* 132 */     int j = paramInt >> 16 & 0xFF;
/* 133 */     int k = paramInt >> 8 & 0xFF;
/* 134 */     int m = paramInt & 0xFF;
/* 135 */     Integer integer1 = new Integer(i);
/* 136 */     Integer integer2 = new Integer(paramInt >> 16 & 0xFFFF);
/* 137 */     Integer integer3 = new Integer(paramInt >> 8 & 0xFFFFFF);
/*     */ 
/*     */ 
/*     */     
/* 141 */     if (paramInt >>> 26 == 54) {
/*     */ 
/*     */ 
/*     */       
/* 145 */       char[] arrayOfChar1 = (char[])paramHashtable1.get(integer1);
/*     */       
/* 147 */       if (arrayOfChar1 == null)
/*     */       {
/* 149 */         arrayOfChar1 = new char[] { 'ÿ', Character.MIN_VALUE };
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 155 */       if (arrayOfChar1[0] == 'ÿ' && arrayOfChar1[1] == '\000') {
/*     */         
/* 157 */         arrayOfChar1[0] = (char)j;
/* 158 */         arrayOfChar1[1] = (char)j;
/*     */       }
/*     */       else {
/*     */         
/* 162 */         if (j < (arrayOfChar1[0] & Character.MAX_VALUE))
/*     */         {
/* 164 */           arrayOfChar1[0] = (char)j;
/*     */         }
/*     */         
/* 167 */         if (j > (arrayOfChar1[0] & Character.MAX_VALUE))
/*     */         {
/* 169 */           arrayOfChar1[1] = (char)j;
/*     */         }
/*     */       } 
/*     */       
/* 173 */       paramHashtable1.put(integer1, arrayOfChar1);
/*     */ 
/*     */       
/* 176 */       arrayOfChar1 = paramHashtable1.get(integer2);
/*     */       
/* 178 */       if (arrayOfChar1 == null)
/*     */       {
/* 180 */         arrayOfChar1 = new char[] { 'ÿ', Character.MIN_VALUE };
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 186 */       if (arrayOfChar1[0] == 'ÿ' && arrayOfChar1[1] == '\000') {
/*     */         
/* 188 */         arrayOfChar1[0] = (char)k;
/* 189 */         arrayOfChar1[1] = (char)k;
/*     */       }
/*     */       else {
/*     */         
/* 193 */         if (k < (arrayOfChar1[0] & Character.MAX_VALUE))
/*     */         {
/* 195 */           arrayOfChar1[0] = (char)k;
/*     */         }
/*     */         
/* 198 */         if (k > (arrayOfChar1[0] & Character.MAX_VALUE))
/*     */         {
/* 200 */           arrayOfChar1[1] = (char)k;
/*     */         }
/*     */       } 
/*     */       
/* 204 */       paramHashtable1.put(integer2, arrayOfChar1);
/*     */     } 
/*     */ 
/*     */     
/* 208 */     char[] arrayOfChar = (char[])paramHashtable2.get(integer3);
/*     */     
/* 210 */     if (arrayOfChar == null)
/*     */     {
/* 212 */       arrayOfChar = new char[] { 'ÿ', Character.MIN_VALUE };
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 218 */     if (arrayOfChar[0] == 'ÿ' && arrayOfChar[1] == '\000') {
/*     */       
/* 220 */       arrayOfChar[0] = (char)m;
/* 221 */       arrayOfChar[1] = (char)m;
/*     */     }
/*     */     else {
/*     */       
/* 225 */       if (m < (arrayOfChar[0] & Character.MAX_VALUE))
/*     */       {
/* 227 */         arrayOfChar[0] = (char)m;
/*     */       }
/*     */       
/* 230 */       if (m > (arrayOfChar[0] & Character.MAX_VALUE))
/*     */       {
/* 232 */         arrayOfChar[1] = (char)m;
/*     */       }
/*     */     } 
/*     */     
/* 236 */     paramHashtable2.put(integer3, arrayOfChar);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\converter\CharacterConverterJDBC.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */