/*    */ package org.dom4j.util;
/*    */ 
/*    */ import java.lang.ref.WeakReference;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class PerThreadSingleton
/*    */   implements SingletonStrategy
/*    */ {
/* 25 */   private String singletonClassName = null;
/*    */   
/* 27 */   private ThreadLocal perThreadCache = new ThreadLocal();
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public void reset() {
/* 33 */     this.perThreadCache = new ThreadLocal();
/*    */   }
/*    */   
/*    */   public Object instance() {
/* 37 */     Object singletonInstancePerThread = null;
/*    */     
/* 39 */     WeakReference ref = this.perThreadCache.get();
/*    */ 
/*    */     
/* 42 */     if (ref == null || ref.get() == null) {
/* 43 */       Class clazz = null;
/*    */       try {
/* 45 */         clazz = Thread.currentThread().getContextClassLoader().loadClass(this.singletonClassName);
/*    */         
/* 47 */         singletonInstancePerThread = clazz.newInstance();
/* 48 */       } catch (Exception ignore) {
/*    */         try {
/* 50 */           clazz = Class.forName(this.singletonClassName);
/* 51 */           singletonInstancePerThread = clazz.newInstance();
/* 52 */         } catch (Exception ignore2) {}
/*    */       } 
/*    */       
/* 55 */       this.perThreadCache.set(new WeakReference(singletonInstancePerThread));
/*    */     } else {
/* 57 */       singletonInstancePerThread = ref.get();
/*    */     } 
/* 59 */     return singletonInstancePerThread;
/*    */   }
/*    */   
/*    */   public void setSingletonClassName(String singletonClassName) {
/* 63 */     this.singletonClassName = singletonClassName;
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\dom4j-1.6.1.jar!\org\dom4\\util\PerThreadSingleton.class
 * Java compiler version: 3 (47.0)
 * JD-Core Version:       1.1.3
 */