/*      */ package org.eclipse.swt.widgets;
/*      */ import java.awt.Toolkit;
/*      */ import java.awt.datatransfer.Clipboard;
/*      */ import java.awt.datatransfer.StringSelection;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Device;
/*      */ import org.eclipse.swt.graphics.Font;
/*      */ import org.eclipse.swt.graphics.GC;
/*      */ import org.eclipse.swt.graphics.GCData;
/*      */ import org.eclipse.swt.graphics.Image;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.graphics.Rectangle;
/*      */ import org.eclipse.swt.internal.ImageList;
/*      */ import org.eclipse.swt.internal.SWTEventListener;
/*      */ import org.eclipse.swt.internal.win32.BITMAPINFOHEADER;
/*      */ import org.eclipse.swt.internal.win32.HDHITTESTINFO;
/*      */ import org.eclipse.swt.internal.win32.HDITEM;
/*      */ import org.eclipse.swt.internal.win32.LRESULT;
/*      */ import org.eclipse.swt.internal.win32.LVCOLUMN;
/*      */ import org.eclipse.swt.internal.win32.LVHITTESTINFO;
/*      */ import org.eclipse.swt.internal.win32.LVITEM;
/*      */ import org.eclipse.swt.internal.win32.MEASUREITEMSTRUCT;
/*      */ import org.eclipse.swt.internal.win32.NMHDR;
/*      */ import org.eclipse.swt.internal.win32.NMHEADER;
/*      */ import org.eclipse.swt.internal.win32.NMLISTVIEW;
/*      */ import org.eclipse.swt.internal.win32.NMLVCUSTOMDRAW;
/*      */ import org.eclipse.swt.internal.win32.NMLVDISPINFO;
/*      */ import org.eclipse.swt.internal.win32.NMLVODSTATECHANGE;
/*      */ import org.eclipse.swt.internal.win32.NMRGINFO;
/*      */ import org.eclipse.swt.internal.win32.NMTTCUSTOMDRAW;
/*      */ import org.eclipse.swt.internal.win32.NMTTDISPINFO;
/*      */ import org.eclipse.swt.internal.win32.NMTTDISPINFOA;
/*      */ import org.eclipse.swt.internal.win32.NMTTDISPINFOW;
/*      */ import org.eclipse.swt.internal.win32.OS;
/*      */ import org.eclipse.swt.internal.win32.PAINTSTRUCT;
/*      */ import org.eclipse.swt.internal.win32.POINT;
/*      */ import org.eclipse.swt.internal.win32.RECT;
/*      */ import org.eclipse.swt.internal.win32.SCROLLINFO;
/*      */ import org.eclipse.swt.internal.win32.SHDRAGIMAGE;
/*      */ import org.eclipse.swt.internal.win32.TCHAR;
/*      */ import org.eclipse.swt.internal.win32.TEXTMETRIC;
/*      */ import org.eclipse.swt.internal.win32.TEXTMETRICA;
/*      */ import org.eclipse.swt.internal.win32.TEXTMETRICW;
/*      */ import org.eclipse.swt.internal.win32.TOOLINFO;
/*      */ import org.eclipse.swt.internal.win32.WNDCLASS;
/*      */ 
/*      */ public class Table extends Composite {
/*      */   TableItem[] items;
/*      */   TableColumn[] columns;
/*      */   int columnCount;
/*      */   int customCount;
/*      */   ImageList imageList;
/*      */   ImageList headerImageList;
/*      */   TableItem currentItem;
/*      */   TableColumn sortColumn;
/*      */   RECT focusRect;
/*      */   int headerToolTipHandle;
/*      */   boolean ignoreCustomDraw;
/*      */   boolean ignoreDrawForeground;
/*      */   boolean ignoreDrawBackground;
/*      */   boolean ignoreDrawFocus;
/*      */   boolean ignoreDrawSelection;
/*      */   boolean ignoreDrawHot;
/*      */   boolean customDraw;
/*      */   boolean dragStarted;
/*      */   boolean explorerTheme;
/*      */   boolean firstColumnImage;
/*      */   boolean fixScrollWidth;
/*      */   boolean tipRequested;
/*      */   boolean wasSelected;
/*      */   boolean wasResized;
/*      */   boolean ignoreActivate;
/*      */   boolean ignoreSelect;
/*      */   boolean ignoreShrink;
/*      */   boolean ignoreResize;
/*      */   boolean ignoreColumnMove;
/*      */   boolean ignoreColumnResize;
/*      */   boolean fullRowSelect;
/*      */   int itemHeight;
/*      */   int lastIndexOf;
/*      */   int lastWidth;
/*      */   int sortDirection;
/*      */   int resizeCount;
/*      */   int selectionForeground;
/*      */   int hotIndex;
/*      */   static int HeaderProc;
/*      */   static final int INSET = 4;
/*      */   static final int GRID_WIDTH = 1;
/*      */   static final int SORT_WIDTH = 10;
/*      */   static final int HEADER_MARGIN = 12;
/*      */   static final int HEADER_EXTRA = 3;
/*      */   static final int VISTA_EXTRA = 2;
/*      */   static final int EXPLORER_EXTRA = 2;
/*      */   static final int H_SCROLL_LIMIT = 32;
/*      */   static final int V_SCROLL_LIMIT = 16;
/*      */   static final int DRAG_IMAGE_SIZE = 301;
/*      */   static final boolean EXPLORER_THEME = true;
/*      */   static final int TableProc;
/*  101 */   static final TCHAR TableClass = new TCHAR(0, "SysListView32", true);
/*      */   static {
/*  103 */     WNDCLASS lpWndClass = new WNDCLASS();
/*  104 */     OS.GetClassInfo(0, TableClass, lpWndClass);
/*  105 */     TableProc = lpWndClass.lpfnWndProc;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Table(Composite parent, int style) {
/*  143 */     super(parent, checkStyle(style));
/*      */ 
/*      */     
/*  146 */     addMouseListener((MouseListener)new MouseAdapter() {
/*      */           public void mouseDown(MouseEvent event) {
/*  148 */             Point pt = new Point(event.x, event.y);
/*  149 */             TableItem item = Table.this.getItem(pt);
/*  150 */             if (item == null) {
/*      */               return;
/*      */             }
/*  153 */             int column = -1;
/*  154 */             for (int i = 0, n = Table.this.getColumnCount(); i < n; i++) {
/*  155 */               Rectangle rect = item.getBounds(i);
/*  156 */               if (rect.contains(pt)) {
/*  157 */                 column = i;
/*      */                 
/*      */                 break;
/*      */               } 
/*      */             } 
/*  162 */             Clipboard clipboard = Toolkit.getDefaultToolkit().getSystemClipboard();
/*  163 */             StringSelection contents = new StringSelection(item.getText(column));
/*  164 */             clipboard.setContents(contents, null);
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */   
/*      */   void _addListener(int eventType, Listener listener) {
/*  171 */     super._addListener(eventType, listener);
/*  172 */     switch (eventType) {
/*      */       case 40:
/*      */       case 41:
/*      */       case 42:
/*  176 */         setCustomDraw(true);
/*  177 */         setBackgroundTransparent(true);
/*  178 */         if (OS.COMCTL32_MAJOR < 6) this.style |= 0x20000000; 
/*  179 */         if (OS.IsWinCE) OS.SendMessage(this.handle, 4150, 16384, 0); 
/*      */         break;
/*      */     } 
/*      */   }
/*      */   
/*      */   TableItem _getItem(int index) {
/*  185 */     if ((this.style & 0x10000000) == 0) return this.items[index]; 
/*  186 */     if (this.items[index] != null) return this.items[index]; 
/*  187 */     this.items[index] = new TableItem(this, 0, -1, false); return new TableItem(this, 0, -1, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addSelectionListener(SelectionListener listener) {
/*  218 */     checkWidget();
/*  219 */     if (listener == null) error(4); 
/*  220 */     TypedListener typedListener = new TypedListener((SWTEventListener)listener);
/*  221 */     addListener(13, (Listener)typedListener);
/*  222 */     addListener(14, (Listener)typedListener);
/*      */   }
/*      */   
/*      */   int callWindowProc(int hwnd, int msg, int wParam, int lParam) {
/*  226 */     return callWindowProc(hwnd, msg, wParam, lParam, false);
/*      */   }
/*      */   
/*      */   int callWindowProc(int hwnd, int msg, int wParam, int lParam, boolean forceSelect) {
/*  230 */     if (this.handle == 0) return 0; 
/*  231 */     if (this.handle != hwnd) {
/*  232 */       return OS.CallWindowProc(HeaderProc, hwnd, msg, wParam, lParam);
/*      */     }
/*  234 */     int topIndex = 0;
/*  235 */     boolean checkSelection = false, checkActivate = false, redraw = false;
/*  236 */     switch (msg) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 256:
/*  246 */         checkActivate = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 71:
/*      */       case 257:
/*      */       case 258:
/*      */       case 260:
/*      */       case 261:
/*      */       case 262:
/*      */       case 276:
/*      */       case 277:
/*      */       case 646:
/*  263 */         redraw = (findImageControl() != null && this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/*  264 */         if (redraw) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  271 */           OS.DefWindowProc(this.handle, 11, 0, 0);
/*  272 */           OS.SendMessage(this.handle, 4097, 0, 16777215);
/*      */         } 
/*      */ 
/*      */ 
/*      */       
/*      */       case 512:
/*      */       case 513:
/*      */       case 514:
/*      */       case 515:
/*      */       case 516:
/*      */       case 517:
/*      */       case 518:
/*      */       case 519:
/*      */       case 520:
/*      */       case 521:
/*      */       case 522:
/*      */       case 523:
/*      */       case 524:
/*      */       case 525:
/*      */       case 673:
/*      */       case 675:
/*  293 */         checkSelection = true;
/*      */ 
/*      */ 
/*      */       
/*      */       case 48:
/*      */       case 275:
/*  299 */         if (findImageControl() != null) {
/*  300 */           topIndex = OS.SendMessage(this.handle, 4135, 0, 0);
/*      */         }
/*      */         break;
/*      */     } 
/*  304 */     boolean oldSelected = this.wasSelected;
/*  305 */     if (checkSelection) this.wasSelected = false; 
/*  306 */     if (checkActivate) this.ignoreActivate = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  315 */     boolean fixPaint = false;
/*  316 */     if (msg == 15) {
/*  317 */       int bits0 = OS.GetWindowLong(this.handle, -16);
/*  318 */       if ((bits0 & 0x4000) == 0) {
/*  319 */         int hwndParent = OS.GetParent(this.handle), hwndOwner = 0;
/*  320 */         while (hwndParent != 0) {
/*  321 */           int bits1 = OS.GetWindowLong(hwndParent, -20);
/*  322 */           if ((bits1 & 0x2000000) != 0) {
/*  323 */             fixPaint = true;
/*      */             break;
/*      */           } 
/*  326 */           hwndOwner = OS.GetWindow(hwndParent, 4);
/*  327 */           if (hwndOwner != 0)
/*  328 */             break;  hwndParent = OS.GetParent(hwndParent);
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  334 */     boolean fixScroll = false;
/*  335 */     if ((this.style & 0x100) == 0 || (this.style & 0x200) == 0) {
/*  336 */       int bits; switch (msg) {
/*      */         case 15:
/*      */         case 70:
/*      */         case 133:
/*  340 */           bits = OS.GetWindowLong(hwnd, -16);
/*  341 */           if ((this.style & 0x100) == 0 && (bits & 0x100000) != 0) {
/*  342 */             fixScroll = true;
/*  343 */             bits &= 0xFFEFFFFF;
/*      */           } 
/*  345 */           if ((this.style & 0x200) == 0 && (bits & 0x200000) != 0) {
/*  346 */             fixScroll = true;
/*  347 */             bits &= 0xFFDFFFFF;
/*      */           } 
/*  349 */           if (fixScroll) OS.SetWindowLong(this.handle, -16, bits); 
/*      */           break;
/*      */       } 
/*      */     } 
/*  353 */     int code = 0;
/*  354 */     if (fixPaint) {
/*  355 */       PAINTSTRUCT ps = new PAINTSTRUCT();
/*  356 */       int hDC = OS.BeginPaint(hwnd, ps);
/*  357 */       code = OS.CallWindowProc(TableProc, hwnd, 15, hDC, lParam);
/*  358 */       OS.EndPaint(hwnd, ps);
/*      */     } else {
/*  360 */       code = OS.CallWindowProc(TableProc, hwnd, msg, wParam, lParam);
/*      */     } 
/*  362 */     if (fixScroll) {
/*  363 */       int flags = 1025;
/*  364 */       OS.RedrawWindow(this.handle, null, 0, flags);
/*      */     } 
/*      */     
/*  367 */     if (checkActivate) this.ignoreActivate = false; 
/*  368 */     if (checkSelection) {
/*  369 */       if (this.wasSelected || forceSelect) {
/*  370 */         Event event = new Event();
/*  371 */         int index = OS.SendMessage(this.handle, 4108, -1, 1);
/*  372 */         if (index != -1) event.item = (Widget)_getItem(index); 
/*  373 */         postEvent(13, event);
/*      */       } 
/*  375 */       this.wasSelected = oldSelected;
/*      */     } 
/*  377 */     switch (msg) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 71:
/*      */       case 256:
/*      */       case 257:
/*      */       case 258:
/*      */       case 260:
/*      */       case 261:
/*      */       case 262:
/*      */       case 276:
/*      */       case 277:
/*      */       case 646:
/*  395 */         if (redraw) {
/*  396 */           OS.SendMessage(this.handle, 4097, 0, -1);
/*  397 */           OS.DefWindowProc(this.handle, 11, 1, 0);
/*  398 */           OS.InvalidateRect(this.handle, null, true);
/*  399 */           int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/*  400 */           if (hwndHeader != 0) OS.InvalidateRect(hwndHeader, null, true);
/*      */         
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 48:
/*      */       case 275:
/*      */       case 512:
/*      */       case 513:
/*      */       case 514:
/*      */       case 515:
/*      */       case 516:
/*      */       case 517:
/*      */       case 518:
/*      */       case 519:
/*      */       case 520:
/*      */       case 521:
/*      */       case 522:
/*      */       case 523:
/*      */       case 524:
/*      */       case 525:
/*      */       case 673:
/*      */       case 675:
/*  426 */         if (findImageControl() != null && 
/*  427 */           topIndex != OS.SendMessage(this.handle, 4135, 0, 0)) {
/*  428 */           OS.InvalidateRect(this.handle, null, true);
/*      */         }
/*      */         break;
/*      */     } 
/*      */     
/*  433 */     return code;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static int checkStyle(int style) {
/*  446 */     if ((style & 0x10) == 0) {
/*  447 */       style |= 0x300;
/*      */     }
/*  449 */     return checkBits(style, 4, 2, 0, 0, 0, 0);
/*      */   }
/*      */   
/*      */   LRESULT CDDS_ITEMPOSTPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  453 */     int hDC = nmcd.hdc;
/*  454 */     if (this.explorerTheme && !this.ignoreCustomDraw) {
/*  455 */       this.hotIndex = -1;
/*  456 */       if (hooks(40) && nmcd.left != nmcd.right) {
/*  457 */         OS.RestoreDC(hDC, -1);
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  472 */     if (!this.ignoreCustomDraw && !this.ignoreDrawFocus && nmcd.left != nmcd.right && 
/*  473 */       OS.IsWindowVisible(this.handle) && OS.IsWindowEnabled(this.handle) && 
/*  474 */       !this.explorerTheme && (this.style & 0x10000) != 0 && 
/*  475 */       OS.SendMessage(this.handle, 4096, 0, 0) == -1) {
/*  476 */       int dwExStyle = OS.SendMessage(this.handle, 4151, 0, 0);
/*  477 */       if ((dwExStyle & 0x20) == 0)
/*      */       {
/*  479 */         if (OS.SendMessage(this.handle, 4108, -1, 1) == nmcd.dwItemSpec && 
/*  480 */           this.handle == OS.GetFocus()) {
/*  481 */           int uiState = OS.SendMessage(this.handle, 297, 0, 0);
/*  482 */           if ((uiState & 0x1) == 0) {
/*  483 */             RECT rect = new RECT();
/*  484 */             rect.left = 0;
/*  485 */             boolean oldIgnore = this.ignoreCustomDraw;
/*  486 */             this.ignoreCustomDraw = true;
/*  487 */             OS.SendMessage(this.handle, 4110, nmcd.dwItemSpec, rect);
/*  488 */             int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/*  489 */             int index = OS.SendMessage(hwndHeader, 4623, 0, 0);
/*  490 */             RECT itemRect = new RECT();
/*  491 */             if (index == 0) {
/*  492 */               itemRect.left = 2;
/*  493 */               OS.SendMessage(this.handle, 4110, index, itemRect);
/*      */             } else {
/*  495 */               itemRect.top = index;
/*  496 */               itemRect.left = 1;
/*  497 */               OS.SendMessage(this.handle, 4152, nmcd.dwItemSpec, itemRect);
/*      */             } 
/*  499 */             this.ignoreCustomDraw = oldIgnore;
/*  500 */             rect.left = itemRect.left;
/*  501 */             OS.DrawFocusRect(nmcd.hdc, rect);
/*      */           } 
/*      */         } 
/*      */       }
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  510 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT CDDS_ITEMPREPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  526 */     if (!this.ignoreCustomDraw && 
/*  527 */       OS.IsWindowVisible(this.handle) && OS.IsWindowEnabled(this.handle) && 
/*  528 */       !this.explorerTheme && (this.style & 0x10000) != 0 && 
/*  529 */       OS.SendMessage(this.handle, 4096, 0, 0) == -1) {
/*  530 */       int dwExStyle = OS.SendMessage(this.handle, 4151, 0, 0);
/*  531 */       if ((dwExStyle & 0x20) == 0 && (
/*  532 */         nmcd.uItemState & 0x10) != 0) {
/*  533 */         nmcd.uItemState &= 0xFFFFFFEF;
/*  534 */         OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  541 */     if (this.explorerTheme && !this.ignoreCustomDraw) {
/*  542 */       this.hotIndex = ((nmcd.uItemState & 0x40) != 0) ? nmcd.dwItemSpec : -1;
/*  543 */       if (hooks(40) && nmcd.left != nmcd.right) {
/*  544 */         OS.SaveDC(nmcd.hdc);
/*  545 */         int hrgn = OS.CreateRectRgn(0, 0, 0, 0);
/*  546 */         OS.SelectClipRgn(nmcd.hdc, hrgn);
/*  547 */         OS.DeleteObject(hrgn);
/*      */       } 
/*      */     } 
/*  550 */     return new LRESULT(48);
/*      */   }
/*      */   
/*      */   LRESULT CDDS_POSTPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  554 */     if (this.ignoreCustomDraw) return null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  563 */     if (--this.customCount == 0 && OS.IsWindowVisible(this.handle) && 
/*  564 */       !this.explorerTheme && (this.style & 0x10000) != 0 && 
/*  565 */       OS.SendMessage(this.handle, 4096, 0, 0) == -1) {
/*  566 */       int dwExStyle = OS.SendMessage(this.handle, 4151, 0, 0);
/*  567 */       if ((dwExStyle & 0x20) == 0) {
/*  568 */         int bits = 32;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  575 */         int hwndToolTip = OS.SendMessage(this.handle, 4170, 0, 0);
/*  576 */         if (OS.IsWinCE) {
/*  577 */           RECT rect = new RECT();
/*  578 */           boolean damaged = OS.GetUpdateRect(this.handle, rect, true);
/*  579 */           OS.SendMessage(this.handle, 4150, bits, bits);
/*  580 */           OS.ValidateRect(this.handle, null);
/*  581 */           if (damaged) OS.InvalidateRect(this.handle, rect, true); 
/*      */         } else {
/*  583 */           int rgn = OS.CreateRectRgn(0, 0, 0, 0);
/*  584 */           int result = OS.GetUpdateRgn(this.handle, rgn, true);
/*  585 */           OS.SendMessage(this.handle, 4150, bits, bits);
/*  586 */           OS.ValidateRect(this.handle, null);
/*  587 */           if (result != 1) OS.InvalidateRgn(this.handle, rgn, true); 
/*  588 */           OS.DeleteObject(rgn);
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  595 */         hwndToolTip = OS.SendMessage(this.handle, 4170, hwndToolTip, hwndToolTip);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  600 */     return null;
/*      */   }
/*      */   
/*      */   LRESULT CDDS_PREPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  604 */     if (this.ignoreCustomDraw) {
/*  605 */       return new LRESULT(48);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  615 */     if (this.customCount++ == 0 && OS.IsWindowVisible(this.handle) && 
/*  616 */       !this.explorerTheme && (this.style & 0x10000) != 0 && 
/*  617 */       OS.SendMessage(this.handle, 4096, 0, 0) == -1) {
/*  618 */       int dwExStyle = OS.SendMessage(this.handle, 4151, 0, 0);
/*  619 */       if ((dwExStyle & 0x20) != 0) {
/*  620 */         int bits = 32;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  627 */         int hwndToolTip = OS.SendMessage(this.handle, 4170, 0, 0);
/*  628 */         if (OS.IsWinCE) {
/*  629 */           RECT rect = new RECT();
/*  630 */           boolean damaged = OS.GetUpdateRect(this.handle, rect, true);
/*  631 */           OS.SendMessage(this.handle, 4150, bits, 0);
/*  632 */           OS.ValidateRect(this.handle, null);
/*  633 */           if (damaged) OS.InvalidateRect(this.handle, rect, true); 
/*      */         } else {
/*  635 */           int rgn = OS.CreateRectRgn(0, 0, 0, 0);
/*  636 */           int result = OS.GetUpdateRgn(this.handle, rgn, true);
/*  637 */           OS.SendMessage(this.handle, 4150, bits, 0);
/*  638 */           OS.ValidateRect(this.handle, null);
/*  639 */           if (result != 1) OS.InvalidateRgn(this.handle, rgn, true); 
/*  640 */           OS.DeleteObject(rgn);
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  647 */         hwndToolTip = OS.SendMessage(this.handle, 4170, hwndToolTip, hwndToolTip);
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/*  652 */     if (OS.IsWindowVisible(this.handle)) {
/*  653 */       boolean draw = true;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  660 */       if (this.explorerTheme && this.columnCount == 0) {
/*  661 */         int hDC = nmcd.hdc;
/*  662 */         RECT rect = new RECT();
/*  663 */         OS.SetRect(rect, nmcd.left, nmcd.top, nmcd.right, nmcd.bottom);
/*  664 */         if (OS.IsWindowEnabled(this.handle) || findImageControl() != null) {
/*  665 */           drawBackground(hDC, rect);
/*      */         } else {
/*  667 */           fillBackground(hDC, OS.GetSysColor(OS.COLOR_3DFACE), rect);
/*      */         } 
/*  669 */         draw = false;
/*      */       } 
/*  671 */       if (draw) {
/*  672 */         Control control = findBackgroundControl();
/*  673 */         if (control != null && control.backgroundImage != null) {
/*  674 */           RECT rect = new RECT();
/*  675 */           OS.SetRect(rect, nmcd.left, nmcd.top, nmcd.right, nmcd.bottom);
/*  676 */           fillImageBackground(nmcd.hdc, control, rect);
/*      */         }
/*  678 */         else if (OS.SendMessage(this.handle, 4096, 0, 0) == -1 && 
/*  679 */           OS.IsWindowEnabled(this.handle)) {
/*  680 */           Table table; RECT rect = new RECT();
/*  681 */           OS.SetRect(rect, nmcd.left, nmcd.top, nmcd.right, nmcd.bottom);
/*  682 */           if (control == null) table = this; 
/*  683 */           fillBackground(nmcd.hdc, table.getBackgroundPixel(), rect);
/*  684 */           if (OS.COMCTL32_MAJOR >= 6 && OS.IsAppThemed() && 
/*  685 */             this.sortColumn != null && this.sortDirection != 0) {
/*  686 */             int index = indexOf(this.sortColumn);
/*  687 */             if (index != -1) {
/*  688 */               this.parent.forceResize();
/*  689 */               int clrSortBk = getSortColumnPixel();
/*  690 */               RECT columnRect = new RECT(), headerRect = new RECT();
/*  691 */               OS.GetClientRect(this.handle, columnRect);
/*  692 */               int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/*  693 */               if (OS.SendMessage(hwndHeader, 4615, index, headerRect) != 0) {
/*  694 */                 OS.MapWindowPoints(hwndHeader, this.handle, headerRect, 2);
/*  695 */                 columnRect.left = headerRect.left;
/*  696 */                 columnRect.right = headerRect.right;
/*  697 */                 if (OS.IntersectRect(columnRect, columnRect, rect)) {
/*  698 */                   fillBackground(nmcd.hdc, clrSortBk, columnRect);
/*      */                 }
/*      */               } 
/*      */             } 
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  709 */     return new LRESULT(48);
/*      */   }
/*      */   
/*      */   LRESULT CDDS_SUBITEMPOSTPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  713 */     if (this.ignoreCustomDraw) return null; 
/*  714 */     if (nmcd.left == nmcd.right) return new LRESULT(0); 
/*  715 */     int hDC = nmcd.hdc;
/*  716 */     if (this.ignoreDrawForeground) OS.RestoreDC(hDC, -1); 
/*  717 */     if (OS.IsWindowVisible(this.handle)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  724 */       if (OS.SendMessage(this.handle, 4096, 0, 0) != -1 && (
/*  725 */         this.sortDirection & 0x480) != 0 && 
/*  726 */         this.sortColumn != null && !this.sortColumn.isDisposed()) {
/*  727 */         int oldColumn = OS.SendMessage(this.handle, 4270, 0, 0);
/*  728 */         if (oldColumn == -1) {
/*  729 */           int newColumn = indexOf(this.sortColumn);
/*  730 */           int result = 0;
/*  731 */           int rgn = 0;
/*  732 */           if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/*  733 */             rgn = OS.CreateRectRgn(0, 0, 0, 0);
/*  734 */             result = OS.GetUpdateRgn(this.handle, rgn, true);
/*      */           } 
/*  736 */           OS.SendMessage(this.handle, 4236, newColumn, 0);
/*  737 */           if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/*  738 */             OS.ValidateRect(this.handle, null);
/*  739 */             if (result != 1) OS.InvalidateRgn(this.handle, rgn, true); 
/*  740 */             OS.DeleteObject(rgn);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */ 
/*      */       
/*  746 */       if (hooks(42)) {
/*  747 */         TableItem item = _getItem(nmcd.dwItemSpec);
/*  748 */         sendPaintItemEvent(item, nmcd);
/*      */       } 
/*      */       
/*  751 */       if (!this.ignoreDrawFocus && this.focusRect != null) {
/*  752 */         OS.SetTextColor(nmcd.hdc, 0);
/*  753 */         OS.SetBkColor(nmcd.hdc, 16777215);
/*  754 */         OS.DrawFocusRect(nmcd.hdc, this.focusRect);
/*  755 */         this.focusRect = null;
/*      */       } 
/*      */     } 
/*  758 */     return null;
/*      */   }
/*      */   
/*      */   LRESULT CDDS_SUBITEMPREPAINT(NMLVCUSTOMDRAW nmcd, int wParam, int lParam) {
/*  762 */     int hDC = nmcd.hdc;
/*  763 */     if (this.explorerTheme && !this.ignoreCustomDraw && hooks(40) && nmcd.left != nmcd.right) {
/*  764 */       OS.RestoreDC(hDC, -1);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  774 */     TableItem item = _getItem(nmcd.dwItemSpec);
/*  775 */     if (item == null) return null; 
/*  776 */     int hFont = item.fontHandle(nmcd.iSubItem);
/*  777 */     if (hFont != -1) OS.SelectObject(hDC, hFont); 
/*  778 */     if (this.ignoreCustomDraw || nmcd.left == nmcd.right) {
/*  779 */       return new LRESULT((hFont == -1) ? 0 : 2);
/*      */     }
/*  781 */     int code = 0;
/*  782 */     this.selectionForeground = -1;
/*  783 */     this.ignoreDrawForeground = this.ignoreDrawSelection = this.ignoreDrawFocus = this.ignoreDrawBackground = false;
/*  784 */     if (OS.IsWindowVisible(this.handle)) {
/*  785 */       Event measureEvent = null;
/*  786 */       if (hooks(41)) {
/*  787 */         measureEvent = sendMeasureItemEvent(item, nmcd.dwItemSpec, nmcd.iSubItem, nmcd.hdc);
/*  788 */         if (isDisposed() || item.isDisposed()) return null; 
/*      */       } 
/*  790 */       if (hooks(40)) {
/*  791 */         sendEraseItemEvent(item, nmcd, lParam, measureEvent);
/*  792 */         if (isDisposed() || item.isDisposed()) return null; 
/*  793 */         code |= 0x10;
/*      */       } 
/*  795 */       if (this.ignoreDrawForeground || hooks(42)) code |= 0x10; 
/*      */     } 
/*  797 */     int clrText = (item.cellForeground != null) ? item.cellForeground[nmcd.iSubItem] : -1;
/*  798 */     if (clrText == -1) clrText = item.foreground; 
/*  799 */     int clrTextBk = (item.cellBackground != null) ? item.cellBackground[nmcd.iSubItem] : -1;
/*  800 */     if (clrTextBk == -1) clrTextBk = item.background; 
/*  801 */     if (this.selectionForeground != -1) clrText = this.selectionForeground;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  810 */     if (OS.IsWindowVisible(this.handle) && OS.IsWindowEnabled(this.handle) && 
/*  811 */       !this.explorerTheme && !this.ignoreDrawSelection && (this.style & 0x10000) != 0) {
/*  812 */       int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/*  813 */       if ((bits & 0x20) == 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  819 */         LVITEM lvItem = new LVITEM();
/*  820 */         lvItem.mask = 8;
/*  821 */         lvItem.stateMask = 2;
/*  822 */         lvItem.iItem = nmcd.dwItemSpec;
/*  823 */         int result = OS.SendMessage(this.handle, OS.LVM_GETITEM, 0, lvItem);
/*  824 */         if (result != 0 && (lvItem.state & 0x2) != 0) {
/*  825 */           int clrSelection = -1;
/*  826 */           if (nmcd.iSubItem == 0) {
/*  827 */             if (OS.GetFocus() == this.handle || this.display.getHighContrast()) {
/*  828 */               clrSelection = OS.GetSysColor(OS.COLOR_HIGHLIGHT);
/*      */             }
/*  830 */             else if ((this.style & 0x8000) == 0) {
/*  831 */               clrSelection = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */             }
/*      */           
/*      */           }
/*  835 */           else if (OS.GetFocus() == this.handle || this.display.getHighContrast()) {
/*  836 */             clrText = OS.GetSysColor(OS.COLOR_HIGHLIGHTTEXT);
/*  837 */             clrTextBk = clrSelection = OS.GetSysColor(OS.COLOR_HIGHLIGHT);
/*      */           }
/*  839 */           else if ((this.style & 0x8000) == 0) {
/*  840 */             clrTextBk = clrSelection = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */           } 
/*      */ 
/*      */           
/*  844 */           if (clrSelection != -1) {
/*  845 */             RECT rect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, (nmcd.iSubItem != 0), true, false, hDC);
/*  846 */             fillBackground(hDC, clrSelection, rect);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/*  852 */     if (!this.ignoreDrawForeground) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  860 */       boolean hasAttributes = true;
/*  861 */       if (hFont == -1 && clrText == -1 && clrTextBk == -1 && 
/*  862 */         item.cellForeground == null && item.cellBackground == null && item.cellFont == null) {
/*  863 */         int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/*  864 */         int count = OS.SendMessage(hwndHeader, 4608, 0, 0);
/*  865 */         if (count == 1) hasAttributes = false;
/*      */       
/*      */       } 
/*  868 */       if (hasAttributes) {
/*  869 */         if (hFont == -1) hFont = OS.SendMessage(this.handle, 49, 0, 0); 
/*  870 */         OS.SelectObject(hDC, hFont);
/*  871 */         if (OS.IsWindowEnabled(this.handle)) {
/*  872 */           nmcd.clrText = (clrText == -1) ? getForegroundPixel() : clrText;
/*  873 */           if (clrTextBk == -1) {
/*  874 */             nmcd.clrTextBk = -1;
/*  875 */             if (this.selectionForeground == -1) {
/*  876 */               Table table; Control control = findBackgroundControl();
/*  877 */               if (control == null) table = this; 
/*  878 */               if (((Control)table).backgroundImage == null && 
/*  879 */                 OS.SendMessage(this.handle, 4096, 0, 0) != -1) {
/*  880 */                 nmcd.clrTextBk = table.getBackgroundPixel();
/*      */               }
/*      */             } 
/*      */           } else {
/*      */             
/*  885 */             nmcd.clrTextBk = (this.selectionForeground != -1) ? -1 : clrTextBk;
/*      */           } 
/*  887 */           OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*      */         } 
/*  889 */         code |= 0x2;
/*      */       } 
/*      */     } 
/*  892 */     if (OS.IsWindowEnabled(this.handle)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  899 */       if (clrTextBk != -1) {
/*  900 */         int oldColumn = OS.SendMessage(this.handle, 4270, 0, 0);
/*  901 */         if (oldColumn != -1 && oldColumn == nmcd.iSubItem) {
/*  902 */           int result = 0;
/*  903 */           int rgn = 0;
/*  904 */           if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/*  905 */             rgn = OS.CreateRectRgn(0, 0, 0, 0);
/*  906 */             result = OS.GetUpdateRgn(this.handle, rgn, true);
/*      */           } 
/*  908 */           OS.SendMessage(this.handle, 4236, -1, 0);
/*  909 */           if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/*  910 */             OS.ValidateRect(this.handle, null);
/*  911 */             if (result != 1) OS.InvalidateRgn(this.handle, rgn, true); 
/*  912 */             OS.DeleteObject(rgn);
/*      */           } 
/*  914 */           code |= 0x10;
/*      */         
/*      */         }
/*      */       
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  923 */       nmcd.clrText = OS.GetSysColor(OS.COLOR_GRAYTEXT);
/*  924 */       if (findImageControl() != null) {
/*  925 */         nmcd.clrTextBk = -1;
/*      */       } else {
/*  927 */         nmcd.clrTextBk = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */       } 
/*  929 */       nmcd.uItemState &= 0xFFFFFFFE;
/*  930 */       OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*  931 */       code |= 0x2;
/*      */     } 
/*  933 */     return new LRESULT(code);
/*      */   }
/*      */   
/*      */   void checkBuffered() {
/*  937 */     super.checkBuffered();
/*  938 */     if (OS.COMCTL32_MAJOR >= 6) this.style |= 0x20000000; 
/*  939 */     if ((this.style & 0x10000000) != 0) this.style |= 0x20000000; 
/*      */   }
/*      */   
/*      */   boolean checkData(TableItem item, boolean redraw) {
/*  943 */     if ((this.style & 0x10000000) == 0) return true; 
/*  944 */     return checkData(item, indexOf(item), redraw);
/*      */   }
/*      */   
/*      */   boolean checkData(TableItem item, int index, boolean redraw) {
/*  948 */     if ((this.style & 0x10000000) == 0) return true; 
/*  949 */     if (!item.cached) {
/*  950 */       item.cached = true;
/*  951 */       Event event = new Event();
/*  952 */       event.item = (Widget)item;
/*  953 */       event.index = index;
/*  954 */       this.currentItem = item;
/*  955 */       sendEvent(36, event);
/*      */       
/*  957 */       this.currentItem = null;
/*  958 */       if (isDisposed() || item.isDisposed()) return false; 
/*  959 */       if (redraw && 
/*  960 */         !setScrollWidth(item, false)) {
/*  961 */         item.redraw();
/*      */       }
/*      */     } 
/*      */     
/*  965 */     return true;
/*      */   }
/*      */   
/*      */   boolean checkHandle(int hwnd) {
/*  969 */     if (hwnd == this.handle) return true; 
/*  970 */     return (hwnd == OS.SendMessage(this.handle, 4127, 0, 0));
/*      */   }
/*      */   
/*      */   protected void checkSubclass() {
/*  974 */     if (!isValidSubclass()) error(43);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clear(int index) {
/*  999 */     checkWidget();
/* 1000 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1001 */     if (index < 0 || index >= count) error(6); 
/* 1002 */     TableItem item = this.items[index];
/* 1003 */     if (item != null) {
/* 1004 */       if (item != this.currentItem) item.clear();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1016 */       if ((this.style & 0x10000000) == 0 && item.cached) {
/* 1017 */         LVITEM lvItem = new LVITEM();
/* 1018 */         lvItem.mask = 17;
/* 1019 */         lvItem.pszText = -1;
/* 1020 */         lvItem.iItem = index;
/* 1021 */         OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/* 1022 */         item.cached = false;
/*      */       } 
/* 1024 */       if (this.currentItem == null && this.drawCount == 0 && OS.IsWindowVisible(this.handle)) {
/* 1025 */         OS.SendMessage(this.handle, 4117, index, index);
/*      */       }
/* 1027 */       setScrollWidth(item, false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clear(int start, int end) {
/* 1055 */     checkWidget();
/* 1056 */     if (start > end)
/* 1057 */       return;  int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1058 */     if (start < 0 || start > end || end >= count) {
/* 1059 */       error(6);
/*      */     }
/* 1061 */     if (start == 0 && end == count - 1) {
/* 1062 */       clearAll();
/*      */     } else {
/* 1064 */       LVITEM lvItem = null;
/* 1065 */       boolean cleared = false;
/* 1066 */       for (int i = start; i <= end; i++) {
/* 1067 */         TableItem item = this.items[i];
/* 1068 */         if (item != null) {
/* 1069 */           if (item != this.currentItem) {
/* 1070 */             cleared = true;
/* 1071 */             item.clear();
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1084 */           if ((this.style & 0x10000000) == 0 && item.cached) {
/* 1085 */             if (lvItem == null) {
/* 1086 */               lvItem = new LVITEM();
/* 1087 */               lvItem.mask = 17;
/* 1088 */               lvItem.pszText = -1;
/*      */             } 
/* 1090 */             lvItem.iItem = i;
/* 1091 */             OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/* 1092 */             item.cached = false;
/*      */           } 
/*      */         } 
/*      */       } 
/* 1096 */       if (cleared) {
/* 1097 */         if (this.currentItem == null && this.drawCount == 0 && OS.IsWindowVisible(this.handle)) {
/* 1098 */           OS.SendMessage(this.handle, 4117, start, end);
/*      */         }
/* 1100 */         TableItem item = (start == end) ? this.items[start] : null;
/* 1101 */         setScrollWidth(item, false);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clear(int[] indices) {
/* 1129 */     checkWidget();
/* 1130 */     if (indices == null) error(4); 
/* 1131 */     if (indices.length == 0)
/* 1132 */       return;  int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1133 */     for (int i = 0; i < indices.length; i++) {
/* 1134 */       if (indices[i] < 0 || indices[i] >= count) {
/* 1135 */         error(6);
/*      */       }
/*      */     } 
/* 1138 */     LVITEM lvItem = null;
/* 1139 */     boolean cleared = false;
/* 1140 */     for (int j = 0; j < indices.length; j++) {
/* 1141 */       int index = indices[j];
/* 1142 */       TableItem item = this.items[index];
/* 1143 */       if (item != null) {
/* 1144 */         if (item != this.currentItem) {
/* 1145 */           cleared = true;
/* 1146 */           item.clear();
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1159 */         if ((this.style & 0x10000000) == 0 && item.cached) {
/* 1160 */           if (lvItem == null) {
/* 1161 */             lvItem = new LVITEM();
/* 1162 */             lvItem.mask = 17;
/* 1163 */             lvItem.pszText = -1;
/*      */           } 
/* 1165 */           lvItem.iItem = j;
/* 1166 */           OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/* 1167 */           item.cached = false;
/*      */         } 
/* 1169 */         if (this.currentItem == null && this.drawCount == 0 && OS.IsWindowVisible(this.handle)) {
/* 1170 */           OS.SendMessage(this.handle, 4117, index, index);
/*      */         }
/*      */       } 
/*      */     } 
/* 1174 */     if (cleared) setScrollWidth((TableItem)null, false);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearAll() {
/* 1194 */     checkWidget();
/* 1195 */     LVITEM lvItem = null;
/* 1196 */     boolean cleared = false;
/* 1197 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1198 */     for (int i = 0; i < count; i++) {
/* 1199 */       TableItem item = this.items[i];
/* 1200 */       if (item != null) {
/* 1201 */         if (item != this.currentItem) {
/* 1202 */           cleared = true;
/* 1203 */           item.clear();
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1216 */         if ((this.style & 0x10000000) == 0 && item.cached) {
/* 1217 */           if (lvItem == null) {
/* 1218 */             lvItem = new LVITEM();
/* 1219 */             lvItem.mask = 17;
/* 1220 */             lvItem.pszText = -1;
/*      */           } 
/* 1222 */           lvItem.iItem = i;
/* 1223 */           OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/* 1224 */           item.cached = false;
/*      */         } 
/*      */       } 
/*      */     } 
/* 1228 */     if (cleared) {
/* 1229 */       if (this.currentItem == null && this.drawCount == 0 && OS.IsWindowVisible(this.handle)) {
/* 1230 */         OS.SendMessage(this.handle, 4117, 0, count - 1);
/*      */       }
/* 1232 */       setScrollWidth((TableItem)null, false);
/*      */     } 
/*      */   }
/*      */   
/*      */   public Point computeSize(int wHint, int hHint, boolean changed) {
/* 1237 */     checkWidget();
/* 1238 */     if (this.fixScrollWidth) setScrollWidth((TableItem)null, true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1261 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1262 */     RECT rect = new RECT();
/* 1263 */     OS.GetWindowRect(hwndHeader, rect);
/* 1264 */     int height = rect.bottom - rect.top;
/* 1265 */     int bits = 0;
/* 1266 */     if (wHint != -1) {
/* 1267 */       bits |= wHint & 0xFFFF;
/*      */     } else {
/* 1269 */       int j = 0;
/* 1270 */       int count = OS.SendMessage(hwndHeader, 4608, 0, 0);
/* 1271 */       for (int i = 0; i < count; i++) {
/* 1272 */         j += OS.SendMessage(this.handle, 4125, i, 0);
/*      */       }
/* 1274 */       bits |= j & 0xFFFF;
/*      */     } 
/* 1276 */     int result = OS.SendMessage(this.handle, 4160, -1, OS.MAKELPARAM(bits, 65535));
/* 1277 */     int width = OS.LOWORD(result);
/* 1278 */     int empty = OS.SendMessage(this.handle, 4160, 0, 0);
/* 1279 */     int oneItem = OS.SendMessage(this.handle, 4160, 1, 0);
/* 1280 */     int itemHeight = OS.HIWORD(oneItem) - OS.HIWORD(empty);
/* 1281 */     height += OS.SendMessage(this.handle, 4100, 0, 0) * itemHeight;
/* 1282 */     if (width == 0) width = 64; 
/* 1283 */     if (height == 0) height = 64; 
/* 1284 */     if (wHint != -1) width = wHint; 
/* 1285 */     if (hHint != -1) height = hHint; 
/* 1286 */     int border = getBorderWidth();
/* 1287 */     width += border * 2; height += border * 2;
/* 1288 */     if ((this.style & 0x200) != 0) {
/* 1289 */       width += OS.GetSystemMetrics(2);
/*      */     }
/* 1291 */     if ((this.style & 0x100) != 0) {
/* 1292 */       height += OS.GetSystemMetrics(3);
/*      */     }
/* 1294 */     return new Point(width, height);
/*      */   }
/*      */   
/*      */   void createHandle() {
/* 1298 */     super.createHandle();
/* 1299 */     this.state &= 0xFFFFFEFD;
/*      */ 
/*      */ 
/*      */     
/* 1303 */     if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0) && OS.IsAppThemed()) {
/* 1304 */       this.explorerTheme = true;
/* 1305 */       OS.SetWindowTheme(this.handle, Display.EXPLORER, null);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1310 */     if (HeaderProc == 0) {
/* 1311 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1312 */       HeaderProc = OS.GetWindowLongPtr(hwndHeader, -4);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1325 */     if (!OS.IsWinCE && 
/* 1326 */       OS.COMCTL32_MAJOR < 6) {
/* 1327 */       OS.SendMessage(this.handle, 8199, 5, 0);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1340 */     if ((this.style & 0x20) != 0) {
/* 1341 */       int empty = OS.SendMessage(this.handle, 4160, 0, 0);
/* 1342 */       int oneItem = OS.SendMessage(this.handle, 4160, 1, 0);
/* 1343 */       int width = OS.HIWORD(oneItem) - OS.HIWORD(empty), height = width;
/* 1344 */       setCheckboxImageList(width, height, false);
/* 1345 */       OS.SendMessage(this.handle, 4107, 61440, 0);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1360 */     int hFont = OS.GetStockObject(13);
/* 1361 */     OS.SendMessage(this.handle, 48, hFont, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1370 */     LVCOLUMN lvColumn = new LVCOLUMN();
/* 1371 */     lvColumn.mask = 6;
/* 1372 */     int hHeap = OS.GetProcessHeap();
/* 1373 */     int pszText = OS.HeapAlloc(hHeap, 8, TCHAR.sizeof);
/* 1374 */     lvColumn.pszText = pszText;
/* 1375 */     OS.SendMessage(this.handle, OS.LVM_INSERTCOLUMN, 0, lvColumn);
/* 1376 */     OS.HeapFree(hHeap, 0, pszText);
/*      */ 
/*      */     
/* 1379 */     int bits1 = 16384;
/* 1380 */     if ((this.style & 0x10000) != 0) bits1 |= 0x20; 
/* 1381 */     if (OS.COMCTL32_MAJOR >= 6) bits1 |= 0x10000; 
/* 1382 */     OS.SendMessage(this.handle, 4150, bits1, bits1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1394 */     if (OS.WIN32_VERSION >= OS.VERSION(4, 10) && (
/* 1395 */       this.style & 0x4000000) != 0) {
/* 1396 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1397 */       int bits2 = OS.GetWindowLong(hwndHeader, -20);
/* 1398 */       OS.SetWindowLong(hwndHeader, -20, bits2 | 0x400000);
/* 1399 */       int hwndTooltop = OS.SendMessage(this.handle, 4174, 0, 0);
/* 1400 */       int bits3 = OS.GetWindowLong(hwndTooltop, -20);
/* 1401 */       OS.SetWindowLong(hwndTooltop, -20, bits3 | 0x400000);
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void createHeaderToolTips() {
/* 1407 */     if (OS.IsWinCE)
/* 1408 */       return;  if (this.headerToolTipHandle != 0)
/* 1409 */       return;  int bits = 0;
/* 1410 */     if (OS.WIN32_VERSION >= OS.VERSION(4, 10) && (
/* 1411 */       this.style & 0x4000000) != 0) bits |= 0x400000;
/*      */     
/* 1413 */     this.headerToolTipHandle = OS.CreateWindowEx(
/* 1414 */         bits, 
/* 1415 */         new TCHAR(0, "tooltips_class32", true), 
/* 1416 */         null, 
/* 1417 */         2, 
/* 1418 */         -2147483648, 0, -2147483648, 0, 
/* 1419 */         this.handle, 
/* 1420 */         0, 
/* 1421 */         OS.GetModuleHandle(null), 
/* 1422 */         null);
/* 1423 */     if (this.headerToolTipHandle == 0) error(2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1431 */     OS.SendMessage(this.headerToolTipHandle, 1048, 0, 32767);
/*      */   }
/*      */   
/*      */   void createItem(TableColumn column, int index) {
/* 1435 */     if (index < 0 || index > this.columnCount) error(6); 
/* 1436 */     int oldColumn = OS.SendMessage(this.handle, 4270, 0, 0);
/* 1437 */     if (oldColumn >= index) {
/* 1438 */       OS.SendMessage(this.handle, 4236, oldColumn + 1, 0);
/*      */     }
/* 1440 */     if (this.columnCount == this.columns.length) {
/* 1441 */       TableColumn[] newColumns = new TableColumn[this.columns.length + 4];
/* 1442 */       System.arraycopy(this.columns, 0, newColumns, 0, this.columns.length);
/* 1443 */       this.columns = newColumns;
/*      */     } 
/* 1445 */     int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1446 */     for (int i = 0; i < itemCount; i++) {
/* 1447 */       TableItem item = this.items[i];
/* 1448 */       if (item != null) {
/* 1449 */         String[] strings = item.strings;
/* 1450 */         if (strings != null) {
/* 1451 */           String[] temp = new String[this.columnCount + 1];
/* 1452 */           System.arraycopy(strings, 0, temp, 0, index);
/* 1453 */           System.arraycopy(strings, index, temp, index + 1, this.columnCount - index);
/* 1454 */           item.strings = temp;
/*      */         } 
/* 1456 */         Image[] images = item.images;
/* 1457 */         if (images != null) {
/* 1458 */           Image[] temp = new Image[this.columnCount + 1];
/* 1459 */           System.arraycopy(images, 0, temp, 0, index);
/* 1460 */           System.arraycopy(images, index, temp, index + 1, this.columnCount - index);
/* 1461 */           item.images = temp;
/*      */         } 
/* 1463 */         if (index == 0 && 
/* 1464 */           this.columnCount != 0) {
/* 1465 */           if (strings == null) {
/* 1466 */             item.strings = new String[this.columnCount + 1];
/* 1467 */             item.strings[1] = item.text;
/*      */           } 
/* 1469 */           item.text = "";
/* 1470 */           if (images == null) {
/* 1471 */             item.images = new Image[this.columnCount + 1];
/* 1472 */             item.images[1] = item.image;
/*      */           } 
/* 1474 */           item.image = null;
/*      */         } 
/*      */         
/* 1477 */         if (item.cellBackground != null) {
/* 1478 */           int[] cellBackground = item.cellBackground;
/* 1479 */           int[] temp = new int[this.columnCount + 1];
/* 1480 */           System.arraycopy(cellBackground, 0, temp, 0, index);
/* 1481 */           System.arraycopy(cellBackground, index, temp, index + 1, this.columnCount - index);
/* 1482 */           temp[index] = -1;
/* 1483 */           item.cellBackground = temp;
/*      */         } 
/* 1485 */         if (item.cellForeground != null) {
/* 1486 */           int[] cellForeground = item.cellForeground;
/* 1487 */           int[] temp = new int[this.columnCount + 1];
/* 1488 */           System.arraycopy(cellForeground, 0, temp, 0, index);
/* 1489 */           System.arraycopy(cellForeground, index, temp, index + 1, this.columnCount - index);
/* 1490 */           temp[index] = -1;
/* 1491 */           item.cellForeground = temp;
/*      */         } 
/* 1493 */         if (item.cellFont != null) {
/* 1494 */           Font[] cellFont = item.cellFont;
/* 1495 */           Font[] temp = new Font[this.columnCount + 1];
/* 1496 */           System.arraycopy(cellFont, 0, temp, 0, index);
/* 1497 */           System.arraycopy(cellFont, index, temp, index + 1, this.columnCount - index);
/* 1498 */           item.cellFont = temp;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1508 */     System.arraycopy(this.columns, index, this.columns, index + 1, this.columnCount++ - index);
/* 1509 */     this.columns[index] = column;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1517 */     this.ignoreColumnResize = true;
/* 1518 */     if (index == 0) {
/* 1519 */       if (this.columnCount > 1) {
/* 1520 */         LVCOLUMN lvColumn = new LVCOLUMN();
/* 1521 */         lvColumn.mask = 2;
/* 1522 */         OS.SendMessage(this.handle, OS.LVM_INSERTCOLUMN, 1, lvColumn);
/* 1523 */         OS.SendMessage(this.handle, OS.LVM_GETCOLUMN, 1, lvColumn);
/* 1524 */         int width = lvColumn.cx;
/* 1525 */         int cchTextMax = 1024;
/* 1526 */         int hHeap = OS.GetProcessHeap();
/* 1527 */         int byteCount = cchTextMax * TCHAR.sizeof;
/* 1528 */         int pszText = OS.HeapAlloc(hHeap, 8, byteCount);
/* 1529 */         lvColumn.mask = 23;
/* 1530 */         lvColumn.pszText = pszText;
/* 1531 */         lvColumn.cchTextMax = cchTextMax;
/* 1532 */         OS.SendMessage(this.handle, OS.LVM_GETCOLUMN, 0, lvColumn);
/* 1533 */         OS.SendMessage(this.handle, OS.LVM_SETCOLUMN, 1, lvColumn);
/* 1534 */         lvColumn.fmt = 2048;
/* 1535 */         lvColumn.cx = width;
/* 1536 */         lvColumn.iImage = -2;
/* 1537 */         lvColumn.pszText = lvColumn.cchTextMax = 0;
/* 1538 */         OS.SendMessage(this.handle, OS.LVM_SETCOLUMN, 0, lvColumn);
/* 1539 */         lvColumn.mask = 1;
/* 1540 */         lvColumn.fmt = 0;
/* 1541 */         OS.SendMessage(this.handle, OS.LVM_SETCOLUMN, 0, lvColumn);
/* 1542 */         if (pszText != 0) OS.HeapFree(hHeap, 0, pszText); 
/*      */       } else {
/* 1544 */         OS.SendMessage(this.handle, 4126, 0, 0);
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1557 */       if ((this.style & 0x10000000) == 0) {
/* 1558 */         LVITEM lvItem = new LVITEM();
/* 1559 */         lvItem.mask = 3;
/* 1560 */         lvItem.pszText = -1;
/* 1561 */         lvItem.iImage = -1;
/* 1562 */         for (int j = 0; j < itemCount; j++) {
/* 1563 */           lvItem.iItem = j;
/* 1564 */           OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/*      */         } 
/*      */       } 
/*      */     } else {
/* 1568 */       int fmt = 0;
/* 1569 */       if ((column.style & 0x1000000) == 16777216) fmt = 2; 
/* 1570 */       if ((column.style & 0x20000) == 131072) fmt = 1; 
/* 1571 */       LVCOLUMN lvColumn = new LVCOLUMN();
/* 1572 */       lvColumn.mask = 3;
/* 1573 */       lvColumn.fmt = fmt;
/* 1574 */       OS.SendMessage(this.handle, OS.LVM_INSERTCOLUMN, index, lvColumn);
/*      */     } 
/* 1576 */     this.ignoreColumnResize = false;
/*      */ 
/*      */     
/* 1579 */     if (this.headerToolTipHandle != 0) {
/* 1580 */       RECT rect = new RECT();
/* 1581 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1582 */       if (OS.SendMessage(hwndHeader, 4615, index, rect) != 0) {
/* 1583 */         TOOLINFO lpti = new TOOLINFO();
/* 1584 */         lpti.cbSize = TOOLINFO.sizeof;
/* 1585 */         lpti.uFlags = 16;
/* 1586 */         lpti.hwnd = hwndHeader;
/* 1587 */         lpti.uId = column.id = this.display.nextToolTipId++;
/* 1588 */         lpti.left = rect.left;
/* 1589 */         lpti.top = rect.top;
/* 1590 */         lpti.right = rect.right;
/* 1591 */         lpti.bottom = rect.bottom;
/* 1592 */         lpti.lpszText = -1;
/* 1593 */         OS.SendMessage(this.headerToolTipHandle, OS.TTM_ADDTOOL, 0, lpti);
/*      */       } 
/*      */     } 
/*      */   }
/*      */   
/*      */   void createItem(TableItem item, int index) {
/* 1599 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1600 */     if (index < 0 || index > count) error(6); 
/* 1601 */     if (count == this.items.length) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1608 */       boolean small = (this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/* 1609 */       int length = small ? (this.items.length + 4) : Math.max(4, this.items.length * 3 / 2);
/* 1610 */       TableItem[] newItems = new TableItem[length];
/* 1611 */       System.arraycopy(this.items, 0, newItems, 0, this.items.length);
/* 1612 */       this.items = newItems;
/*      */     } 
/* 1614 */     LVITEM lvItem = new LVITEM();
/* 1615 */     lvItem.mask = 3;
/* 1616 */     lvItem.iItem = index;
/* 1617 */     lvItem.pszText = -1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1628 */     lvItem.iImage = -1;
/*      */ 
/*      */     
/* 1631 */     setDeferResize(true);
/* 1632 */     this.ignoreSelect = this.ignoreShrink = true;
/* 1633 */     int result = OS.SendMessage(this.handle, OS.LVM_INSERTITEM, 0, lvItem);
/* 1634 */     this.ignoreSelect = this.ignoreShrink = false;
/* 1635 */     if (result == -1) error(14); 
/* 1636 */     System.arraycopy(this.items, index, this.items, index + 1, count - index);
/* 1637 */     this.items[index] = item;
/* 1638 */     setDeferResize(false);
/*      */ 
/*      */     
/* 1641 */     if (count == 0) setScrollWidth(item, false); 
/*      */   }
/*      */   
/*      */   void createWidget() {
/* 1645 */     super.createWidget();
/* 1646 */     this.itemHeight = this.hotIndex = -1;
/* 1647 */     this.items = new TableItem[4];
/* 1648 */     this.columns = new TableColumn[4];
/*      */   }
/*      */   
/*      */   int defaultBackground() {
/* 1652 */     return OS.GetSysColor(OS.COLOR_WINDOW);
/*      */   }
/*      */   
/*      */   void deregister() {
/* 1656 */     super.deregister();
/* 1657 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1658 */     if (hwndHeader != 0) this.display.removeControl(hwndHeader);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void deselect(int[] indices) {
/* 1679 */     checkWidget();
/* 1680 */     if (indices == null) error(4); 
/* 1681 */     if (indices.length == 0)
/* 1682 */       return;  LVITEM lvItem = new LVITEM();
/* 1683 */     lvItem.stateMask = 2;
/* 1684 */     for (int i = 0; i < indices.length; i++) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1689 */       if (indices[i] >= 0) {
/* 1690 */         this.ignoreSelect = true;
/* 1691 */         OS.SendMessage(this.handle, 4139, indices[i], lvItem);
/* 1692 */         this.ignoreSelect = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void deselect(int index) {
/* 1710 */     checkWidget();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1715 */     if (index < 0)
/* 1716 */       return;  LVITEM lvItem = new LVITEM();
/* 1717 */     lvItem.stateMask = 2;
/* 1718 */     this.ignoreSelect = true;
/* 1719 */     OS.SendMessage(this.handle, 4139, index, lvItem);
/* 1720 */     this.ignoreSelect = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void deselect(int start, int end) {
/* 1739 */     checkWidget();
/* 1740 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1741 */     if (start == 0 && end == count - 1) {
/* 1742 */       deselectAll();
/*      */     } else {
/* 1744 */       LVITEM lvItem = new LVITEM();
/* 1745 */       lvItem.stateMask = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1750 */       start = Math.max(0, start);
/* 1751 */       for (int i = start; i <= end; i++) {
/* 1752 */         this.ignoreSelect = true;
/* 1753 */         OS.SendMessage(this.handle, 4139, i, lvItem);
/* 1754 */         this.ignoreSelect = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void deselectAll() {
/* 1768 */     checkWidget();
/* 1769 */     LVITEM lvItem = new LVITEM();
/* 1770 */     lvItem.mask = 8;
/* 1771 */     lvItem.stateMask = 2;
/* 1772 */     this.ignoreSelect = true;
/* 1773 */     OS.SendMessage(this.handle, 4139, -1, lvItem);
/* 1774 */     this.ignoreSelect = false;
/*      */   }
/*      */   
/*      */   void destroyItem(TableColumn column) {
/* 1778 */     int index = 0;
/* 1779 */     while (index < this.columnCount && 
/* 1780 */       this.columns[index] != column) {
/* 1781 */       index++;
/*      */     }
/* 1783 */     int oldColumn = OS.SendMessage(this.handle, 4270, 0, 0);
/* 1784 */     if (oldColumn == index) {
/* 1785 */       OS.SendMessage(this.handle, 4236, -1, 0);
/*      */     }
/* 1787 */     else if (oldColumn > index) {
/* 1788 */       OS.SendMessage(this.handle, 4236, oldColumn - 1, 0);
/*      */     } 
/*      */     
/* 1791 */     int orderIndex = 0;
/* 1792 */     int[] oldOrder = new int[this.columnCount];
/* 1793 */     OS.SendMessage(this.handle, 4155, this.columnCount, oldOrder);
/* 1794 */     while (orderIndex < this.columnCount && 
/* 1795 */       oldOrder[orderIndex] != index) {
/* 1796 */       orderIndex++;
/*      */     }
/* 1798 */     this.ignoreColumnResize = true;
/* 1799 */     boolean first = false;
/* 1800 */     if (index == 0) {
/* 1801 */       first = true;
/* 1802 */       if (this.columnCount > 1) {
/* 1803 */         index = 1;
/* 1804 */         int cchTextMax = 1024;
/* 1805 */         int hHeap = OS.GetProcessHeap();
/* 1806 */         int byteCount = cchTextMax * TCHAR.sizeof;
/* 1807 */         int pszText = OS.HeapAlloc(hHeap, 8, byteCount);
/* 1808 */         LVCOLUMN lvColumn = new LVCOLUMN();
/* 1809 */         lvColumn.mask = 23;
/* 1810 */         lvColumn.pszText = pszText;
/* 1811 */         lvColumn.cchTextMax = cchTextMax;
/* 1812 */         OS.SendMessage(this.handle, OS.LVM_GETCOLUMN, 1, lvColumn);
/* 1813 */         lvColumn.fmt &= 0xFFFFFFFC;
/* 1814 */         lvColumn.fmt |= 0x0;
/* 1815 */         OS.SendMessage(this.handle, OS.LVM_SETCOLUMN, 0, lvColumn);
/* 1816 */         if (pszText != 0) OS.HeapFree(hHeap, 0, pszText); 
/*      */       } else {
/* 1818 */         int hHeap = OS.GetProcessHeap();
/* 1819 */         int pszText = OS.HeapAlloc(hHeap, 8, TCHAR.sizeof);
/* 1820 */         LVCOLUMN lvColumn = new LVCOLUMN();
/* 1821 */         lvColumn.mask = 23;
/* 1822 */         lvColumn.pszText = pszText;
/* 1823 */         lvColumn.iImage = -2;
/* 1824 */         lvColumn.fmt = 0;
/* 1825 */         OS.SendMessage(this.handle, OS.LVM_SETCOLUMN, 0, lvColumn);
/* 1826 */         if (pszText != 0) OS.HeapFree(hHeap, 0, pszText); 
/* 1827 */         if (OS.COMCTL32_MAJOR >= 6) {
/* 1828 */           HDITEM hdItem = new HDITEM();
/* 1829 */           hdItem.mask = 4;
/* 1830 */           hdItem.fmt = 0;
/* 1831 */           int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1832 */           OS.SendMessage(hwndHeader, OS.HDM_SETITEM, index, hdItem);
/*      */         } 
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1846 */       if ((this.style & 0x10000000) == 0) {
/* 1847 */         LVITEM lvItem = new LVITEM();
/* 1848 */         lvItem.mask = 3;
/* 1849 */         lvItem.pszText = -1;
/* 1850 */         lvItem.iImage = -1;
/* 1851 */         int j = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1852 */         for (int k = 0; k < j; k++) {
/* 1853 */           lvItem.iItem = k;
/* 1854 */           OS.SendMessage(this.handle, OS.LVM_SETITEM, 0, lvItem);
/*      */         } 
/*      */       } 
/*      */     } 
/* 1858 */     if (this.columnCount > 1 && 
/* 1859 */       OS.SendMessage(this.handle, 4124, index, 0) == 0) {
/* 1860 */       error(15);
/*      */     }
/*      */     
/* 1863 */     if (first) index = 0; 
/* 1864 */     System.arraycopy(this.columns, index + 1, this.columns, index, --this.columnCount - index);
/* 1865 */     this.columns[this.columnCount] = null;
/* 1866 */     int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1867 */     for (int i = 0; i < itemCount; i++) {
/* 1868 */       TableItem item = this.items[i];
/* 1869 */       if (item != null) {
/* 1870 */         if (this.columnCount == 0) {
/* 1871 */           item.strings = null;
/* 1872 */           item.images = null;
/* 1873 */           item.cellBackground = null;
/* 1874 */           item.cellForeground = null;
/* 1875 */           item.cellFont = null;
/*      */         } else {
/* 1877 */           if (item.strings != null)
/* 1878 */           { String[] strings = item.strings;
/* 1879 */             if (index == 0) {
/* 1880 */               item.text = (strings[1] != null) ? strings[1] : "";
/*      */             }
/* 1882 */             String[] temp = new String[this.columnCount];
/* 1883 */             System.arraycopy(strings, 0, temp, 0, index);
/* 1884 */             System.arraycopy(strings, index + 1, temp, index, this.columnCount - index);
/* 1885 */             item.strings = temp; }
/*      */           
/* 1887 */           else if (index == 0) { item.text = ""; }
/*      */           
/* 1889 */           if (item.images != null)
/* 1890 */           { Image[] images = item.images;
/* 1891 */             if (index == 0) item.image = images[1]; 
/* 1892 */             Image[] temp = new Image[this.columnCount];
/* 1893 */             System.arraycopy(images, 0, temp, 0, index);
/* 1894 */             System.arraycopy(images, index + 1, temp, index, this.columnCount - index);
/* 1895 */             item.images = temp; }
/*      */           
/* 1897 */           else if (index == 0) { item.image = null; }
/*      */           
/* 1899 */           if (item.cellBackground != null) {
/* 1900 */             int[] cellBackground = item.cellBackground;
/* 1901 */             int[] temp = new int[this.columnCount];
/* 1902 */             System.arraycopy(cellBackground, 0, temp, 0, index);
/* 1903 */             System.arraycopy(cellBackground, index + 1, temp, index, this.columnCount - index);
/* 1904 */             item.cellBackground = temp;
/*      */           } 
/* 1906 */           if (item.cellForeground != null) {
/* 1907 */             int[] cellForeground = item.cellForeground;
/* 1908 */             int[] temp = new int[this.columnCount];
/* 1909 */             System.arraycopy(cellForeground, 0, temp, 0, index);
/* 1910 */             System.arraycopy(cellForeground, index + 1, temp, index, this.columnCount - index);
/* 1911 */             item.cellForeground = temp;
/*      */           } 
/* 1913 */           if (item.cellFont != null) {
/* 1914 */             Font[] cellFont = item.cellFont;
/* 1915 */             Font[] temp = new Font[this.columnCount];
/* 1916 */             System.arraycopy(cellFont, 0, temp, 0, index);
/* 1917 */             System.arraycopy(cellFont, index + 1, temp, index, this.columnCount - index);
/* 1918 */             item.cellFont = temp;
/*      */           } 
/*      */         } 
/*      */       }
/*      */     } 
/* 1923 */     if (this.columnCount == 0) setScrollWidth((TableItem)null, true); 
/* 1924 */     updateMoveable();
/* 1925 */     this.ignoreColumnResize = false;
/* 1926 */     if (this.columnCount != 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1938 */       int count = 0;
/* 1939 */       int oldIndex = oldOrder[orderIndex];
/* 1940 */       int[] newOrder = new int[this.columnCount];
/* 1941 */       for (int k = 0; k < oldOrder.length; k++) {
/* 1942 */         if (oldOrder[k] != oldIndex) {
/* 1943 */           int newIndex = (oldOrder[k] <= oldIndex) ? oldOrder[k] : (oldOrder[k] - 1);
/* 1944 */           newOrder[count++] = newIndex;
/*      */         } 
/*      */       } 
/* 1947 */       OS.SendMessage(this.handle, 4155, this.columnCount, oldOrder);
/* 1948 */       int j = 0;
/* 1949 */       while (j < newOrder.length && 
/* 1950 */         oldOrder[j] == newOrder[j]) {
/* 1951 */         j++;
/*      */       }
/* 1953 */       if (j != newOrder.length) {
/* 1954 */         OS.SendMessage(this.handle, 4154, newOrder.length, newOrder);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1960 */         OS.InvalidateRect(this.handle, null, true);
/*      */       } 
/* 1962 */       TableColumn[] newColumns = new TableColumn[this.columnCount - orderIndex]; int m;
/* 1963 */       for (m = orderIndex; m < newOrder.length; m++) {
/* 1964 */         newColumns[m - orderIndex] = this.columns[newOrder[m]];
/* 1965 */         newColumns[m - orderIndex].updateToolTip(newOrder[m]);
/*      */       } 
/* 1967 */       for (m = 0; m < newColumns.length; m++) {
/* 1968 */         if (!newColumns[m].isDisposed()) {
/* 1969 */           newColumns[m].sendEvent(10);
/*      */         }
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 1975 */     if (this.headerToolTipHandle != 0) {
/* 1976 */       TOOLINFO lpti = new TOOLINFO();
/* 1977 */       lpti.cbSize = TOOLINFO.sizeof;
/* 1978 */       lpti.uId = column.id;
/* 1979 */       lpti.hwnd = OS.SendMessage(this.handle, 4127, 0, 0);
/* 1980 */       OS.SendMessage(this.headerToolTipHandle, OS.TTM_DELTOOL, 0, lpti);
/*      */     } 
/*      */   }
/*      */   
/*      */   void destroyItem(TableItem item) {
/* 1985 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 1986 */     int index = 0;
/* 1987 */     while (index < count && 
/* 1988 */       this.items[index] != item) {
/* 1989 */       index++;
/*      */     }
/* 1991 */     if (index == count)
/* 1992 */       return;  setDeferResize(true);
/* 1993 */     this.ignoreSelect = this.ignoreShrink = true;
/* 1994 */     int code = OS.SendMessage(this.handle, 4104, index, 0);
/* 1995 */     this.ignoreSelect = this.ignoreShrink = false;
/* 1996 */     if (code == 0) error(15); 
/* 1997 */     System.arraycopy(this.items, index + 1, this.items, index, --count - index);
/* 1998 */     this.items[count] = null;
/* 1999 */     if (count == 0) setTableEmpty(); 
/* 2000 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fixCheckboxImageList(boolean fixScroll) {
/* 2010 */     if ((this.style & 0x20) == 0)
/* 2011 */       return;  int hImageList = OS.SendMessage(this.handle, 4098, 1, 0);
/* 2012 */     if (hImageList == 0)
/* 2013 */       return;  int[] cx = new int[1], cy = new int[1];
/* 2014 */     OS.ImageList_GetIconSize(hImageList, cx, cy);
/* 2015 */     int hStateList = OS.SendMessage(this.handle, 4098, 2, 0);
/* 2016 */     if (hStateList == 0)
/* 2017 */       return;  int[] stateCx = new int[1], stateCy = new int[1];
/* 2018 */     OS.ImageList_GetIconSize(hStateList, stateCx, stateCy);
/* 2019 */     if (cx[0] == stateCx[0] && cy[0] == stateCy[0])
/* 2020 */       return;  setCheckboxImageList(cx[0], cy[0], fixScroll);
/*      */   }
/*      */   
/*      */   void fixCheckboxImageListColor(boolean fixScroll) {
/* 2024 */     if ((this.style & 0x20) == 0)
/* 2025 */       return;  int hStateList = OS.SendMessage(this.handle, 4098, 2, 0);
/* 2026 */     if (hStateList == 0)
/* 2027 */       return;  int[] cx = new int[1], cy = new int[1];
/* 2028 */     OS.ImageList_GetIconSize(hStateList, cx, cy);
/* 2029 */     setCheckboxImageList(cx[0], cy[0], fixScroll);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void fixItemHeight(boolean fixScroll) {
/* 2044 */     if (this.itemHeight != -1)
/* 2045 */       return;  if (OS.COMCTL32_VERSION >= OS.VERSION(5, 80))
/* 2046 */       return;  int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 2047 */     if ((bits & 0x1) == 0)
/* 2048 */       return;  bits = OS.GetWindowLong(this.handle, -16);
/* 2049 */     if ((bits & 0x4000) != 0) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2059 */     int topIndex = getTopIndex();
/* 2060 */     if (fixScroll && topIndex != 0) {
/* 2061 */       setRedraw(false);
/* 2062 */       setTopIndex(0);
/*      */     } 
/* 2064 */     int hOldList = OS.SendMessage(this.handle, 4098, 1, 0);
/* 2065 */     if (hOldList != 0)
/* 2066 */       return;  int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2067 */     RECT rect = new RECT();
/* 2068 */     OS.GetWindowRect(hwndHeader, rect);
/* 2069 */     int height = rect.bottom - rect.top - 1;
/* 2070 */     int hImageList = OS.ImageList_Create(1, height, 0, 0, 0);
/* 2071 */     OS.SendMessage(this.handle, 4099, 1, hImageList);
/* 2072 */     fixCheckboxImageList(false);
/* 2073 */     OS.SendMessage(this.handle, 4099, 1, 0);
/* 2074 */     if (this.headerImageList != null) {
/* 2075 */       int hHeaderImageList = this.headerImageList.getHandle();
/* 2076 */       OS.SendMessage(hwndHeader, 4616, 0, hHeaderImageList);
/*      */     } 
/* 2078 */     OS.ImageList_Destroy(hImageList);
/* 2079 */     if (fixScroll && topIndex != 0) {
/* 2080 */       setTopIndex(topIndex);
/* 2081 */       setRedraw(true);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableColumn getColumn(int index) {
/* 2113 */     checkWidget();
/* 2114 */     if (index < 0 || index >= this.columnCount) error(6); 
/* 2115 */     return this.columns[index];
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getColumnCount() {
/* 2133 */     checkWidget();
/* 2134 */     return this.columnCount;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int[] getColumnOrder() {
/* 2166 */     checkWidget();
/* 2167 */     if (this.columnCount == 0) return new int[0]; 
/* 2168 */     int[] order = new int[this.columnCount];
/* 2169 */     OS.SendMessage(this.handle, 4155, this.columnCount, order);
/* 2170 */     return order;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableColumn[] getColumns() {
/* 2201 */     checkWidget();
/* 2202 */     TableColumn[] result = new TableColumn[this.columnCount];
/* 2203 */     System.arraycopy(this.columns, 0, result, 0, this.columnCount);
/* 2204 */     return result;
/*      */   }
/*      */ 
/*      */   
/*      */   int getFocusIndex() {
/* 2209 */     return OS.SendMessage(this.handle, 4108, -1, 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getGridLineWidth() {
/* 2223 */     checkWidget();
/* 2224 */     return 1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getHeaderHeight() {
/* 2240 */     checkWidget();
/* 2241 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2242 */     if (hwndHeader == 0) return 0; 
/* 2243 */     RECT rect = new RECT();
/* 2244 */     OS.GetWindowRect(hwndHeader, rect);
/* 2245 */     return rect.bottom - rect.top;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getHeaderVisible() {
/* 2266 */     checkWidget();
/* 2267 */     int bits = OS.GetWindowLong(this.handle, -16);
/* 2268 */     return ((bits & 0x4000) == 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableItem getItem(int index) {
/* 2287 */     checkWidget();
/* 2288 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2289 */     if (index < 0 || index >= count) error(6); 
/* 2290 */     return _getItem(index);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableItem getItem(Point point) {
/* 2317 */     checkWidget();
/* 2318 */     if (point == null) error(4); 
/* 2319 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2320 */     if (count == 0) return null; 
/* 2321 */     LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 2322 */     pinfo.x = point.x;
/* 2323 */     pinfo.y = point.y;
/* 2324 */     if ((this.style & 0x10000) == 0 && 
/* 2325 */       hooks(41)) {
/* 2326 */       OS.SendMessage(this.handle, 4153, 0, pinfo);
/* 2327 */       if (pinfo.iItem == -1) {
/* 2328 */         RECT rect = new RECT();
/* 2329 */         rect.left = 1;
/* 2330 */         this.ignoreCustomDraw = true;
/* 2331 */         int code = OS.SendMessage(this.handle, 4110, 0, rect);
/* 2332 */         this.ignoreCustomDraw = false;
/* 2333 */         if (code != 0) {
/* 2334 */           pinfo.x = rect.left;
/* 2335 */           OS.SendMessage(this.handle, 4153, 0, pinfo);
/*      */         } 
/*      */       } 
/* 2338 */       if (pinfo.iItem != -1 && pinfo.iSubItem == 0 && 
/* 2339 */         hitTestSelection(pinfo.iItem, pinfo.x, pinfo.y)) {
/* 2340 */         return _getItem(pinfo.iItem);
/*      */       }
/*      */       
/* 2343 */       return null;
/*      */     } 
/*      */     
/* 2346 */     OS.SendMessage(this.handle, 4114, 0, pinfo);
/* 2347 */     if (pinfo.iItem != -1) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2356 */       if (pinfo.iItem == 0) {
/* 2357 */         int bits = OS.GetWindowLong(this.handle, -16);
/* 2358 */         if ((bits & 0x4000) == 0) {
/* 2359 */           int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2360 */           if (hwndHeader != 0) {
/* 2361 */             RECT rect = new RECT();
/* 2362 */             OS.GetWindowRect(hwndHeader, rect);
/* 2363 */             POINT pt = new POINT();
/* 2364 */             pt.x = pinfo.x;
/* 2365 */             pt.y = pinfo.y;
/* 2366 */             OS.MapWindowPoints(this.handle, 0, pt, 1);
/* 2367 */             if (OS.PtInRect(rect, pt)) return null; 
/*      */           } 
/*      */         } 
/*      */       } 
/* 2371 */       return _getItem(pinfo.iItem);
/*      */     } 
/* 2373 */     return null;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getItemCount() {
/* 2387 */     checkWidget();
/* 2388 */     return OS.SendMessage(this.handle, 4100, 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getItemHeight() {
/* 2403 */     checkWidget();
/* 2404 */     int empty = OS.SendMessage(this.handle, 4160, 0, 0);
/* 2405 */     int oneItem = OS.SendMessage(this.handle, 4160, 1, 0);
/* 2406 */     return OS.HIWORD(oneItem) - OS.HIWORD(empty);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableItem[] getItems() {
/* 2426 */     checkWidget();
/* 2427 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2428 */     TableItem[] result = new TableItem[count];
/* 2429 */     if ((this.style & 0x10000000) != 0) {
/* 2430 */       for (int i = 0; i < count; i++) {
/* 2431 */         result[i] = _getItem(i);
/*      */       }
/*      */     } else {
/* 2434 */       System.arraycopy(this.items, 0, result, 0, count);
/*      */     } 
/* 2436 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getLinesVisible() {
/* 2457 */     checkWidget();
/* 2458 */     int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 2459 */     return ((bits & 0x1) != 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableItem[] getSelection() {
/* 2479 */     checkWidget();
/* 2480 */     int i = -1, j = 0, count = OS.SendMessage(this.handle, 4146, 0, 0);
/* 2481 */     TableItem[] result = new TableItem[count];
/* 2482 */     while ((i = OS.SendMessage(this.handle, 4108, i, 2)) != -1) {
/* 2483 */       result[j++] = _getItem(i);
/*      */     }
/* 2485 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getSelectionCount() {
/* 2499 */     checkWidget();
/* 2500 */     return OS.SendMessage(this.handle, 4146, 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getSelectionIndex() {
/* 2515 */     checkWidget();
/* 2516 */     int focusIndex = OS.SendMessage(this.handle, 4108, -1, 1);
/* 2517 */     int selectedIndex = OS.SendMessage(this.handle, 4108, -1, 2);
/* 2518 */     if (focusIndex == selectedIndex) return selectedIndex; 
/* 2519 */     int i = -1;
/* 2520 */     while ((i = OS.SendMessage(this.handle, 4108, i, 2)) != -1) {
/* 2521 */       if (i == focusIndex) return i; 
/*      */     } 
/* 2523 */     return selectedIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int[] getSelectionIndices() {
/* 2543 */     checkWidget();
/* 2544 */     int i = -1, j = 0, count = OS.SendMessage(this.handle, 4146, 0, 0);
/* 2545 */     int[] result = new int[count];
/* 2546 */     while ((i = OS.SendMessage(this.handle, 4108, i, 2)) != -1) {
/* 2547 */       result[j++] = i;
/*      */     }
/* 2549 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public TableColumn getSortColumn() {
/* 2569 */     checkWidget();
/* 2570 */     return this.sortColumn;
/*      */   }
/*      */   
/*      */   int getSortColumnPixel() {
/* 2574 */     int pixel = OS.IsWindowEnabled(this.handle) ? getBackgroundPixel() : OS.GetSysColor(OS.COLOR_3DFACE);
/* 2575 */     int red = pixel & 0xFF;
/* 2576 */     int green = (pixel & 0xFF00) >> 8;
/* 2577 */     int blue = (pixel & 0xFF0000) >> 16;
/* 2578 */     if (red > 240 && green > 240 && blue > 240) {
/* 2579 */       red -= 8;
/* 2580 */       green -= 8;
/* 2581 */       blue -= 8;
/*      */     } else {
/* 2583 */       red = Math.min(255, red / 10 + red);
/* 2584 */       green = Math.min(255, green / 10 + green);
/* 2585 */       blue = Math.min(255, blue / 10 + blue);
/*      */     } 
/* 2587 */     return red & 0xFF | (green & 0xFF) << 8 | (blue & 0xFF) << 16;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getSortDirection() {
/* 2607 */     checkWidget();
/* 2608 */     return this.sortDirection;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getTopIndex() {
/* 2624 */     checkWidget();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 2631 */     return Math.max(0, OS.SendMessage(this.handle, 4135, 0, 0));
/*      */   }
/*      */   
/*      */   boolean hasChildren() {
/* 2635 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2636 */     int hwndChild = OS.GetWindow(this.handle, 5);
/* 2637 */     while (hwndChild != 0) {
/* 2638 */       if (hwndChild != hwndHeader) return true; 
/* 2639 */       hwndChild = OS.GetWindow(hwndChild, 2);
/*      */     } 
/* 2641 */     return false;
/*      */   }
/*      */   
/*      */   boolean hitTestSelection(int index, int x, int y) {
/* 2645 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2646 */     if (count == 0) return false; 
/* 2647 */     if (!hooks(41)) return false; 
/* 2648 */     boolean result = false;
/* 2649 */     if (index >= 0 && index < count) {
/* 2650 */       TableItem item = _getItem(index);
/* 2651 */       int hDC = OS.GetDC(this.handle);
/* 2652 */       int oldFont = 0, newFont = OS.SendMessage(this.handle, 49, 0, 0);
/* 2653 */       if (newFont != 0) oldFont = OS.SelectObject(hDC, newFont); 
/* 2654 */       int hFont = item.fontHandle(0);
/* 2655 */       if (hFont != -1) hFont = OS.SelectObject(hDC, hFont); 
/* 2656 */       Event event = sendMeasureItemEvent(item, index, 0, hDC);
/* 2657 */       if (event.getBounds().contains(x, y)) result = true; 
/* 2658 */       if (hFont != -1) hFont = OS.SelectObject(hDC, hFont); 
/* 2659 */       if (newFont != 0) OS.SelectObject(hDC, oldFont); 
/* 2660 */       OS.ReleaseDC(this.handle, hDC);
/*      */     } 
/*      */     
/* 2663 */     return result;
/*      */   }
/*      */   
/*      */   int imageIndex(Image image, int column) {
/* 2667 */     if (image == null) return -2; 
/* 2668 */     if (column == 0) {
/* 2669 */       this.firstColumnImage = true;
/*      */     } else {
/* 2671 */       setSubImagesVisible(true);
/*      */     } 
/* 2673 */     if (this.imageList == null) {
/* 2674 */       Rectangle bounds = image.getBounds();
/* 2675 */       this.imageList = this.display.getImageList(this.style & 0x4000000, bounds.width, bounds.height);
/* 2676 */       int i = this.imageList.indexOf(image);
/* 2677 */       if (i == -1) i = this.imageList.add(image); 
/* 2678 */       int hImageList = this.imageList.getHandle();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2688 */       int topIndex = getTopIndex();
/* 2689 */       if (topIndex != 0) {
/* 2690 */         setRedraw(false);
/* 2691 */         setTopIndex(0);
/*      */       } 
/* 2693 */       OS.SendMessage(this.handle, 4099, 1, hImageList);
/* 2694 */       if (this.headerImageList != null) {
/* 2695 */         int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2696 */         int hHeaderImageList = this.headerImageList.getHandle();
/* 2697 */         OS.SendMessage(hwndHeader, 4616, 0, hHeaderImageList);
/*      */       } 
/* 2699 */       fixCheckboxImageList(false);
/* 2700 */       if (this.itemHeight != -1) setItemHeight(false); 
/* 2701 */       if (topIndex != 0) {
/* 2702 */         setTopIndex(topIndex);
/* 2703 */         setRedraw(true);
/*      */       } 
/* 2705 */       return i;
/*      */     } 
/* 2707 */     int index = this.imageList.indexOf(image);
/* 2708 */     if (index != -1) return index; 
/* 2709 */     return this.imageList.add(image);
/*      */   }
/*      */   
/*      */   int imageIndexHeader(Image image) {
/* 2713 */     if (image == null) return -2; 
/* 2714 */     if (this.headerImageList == null) {
/* 2715 */       Rectangle bounds = image.getBounds();
/* 2716 */       this.headerImageList = this.display.getImageList(this.style & 0x4000000, bounds.width, bounds.height);
/* 2717 */       int i = this.headerImageList.indexOf(image);
/* 2718 */       if (i == -1) i = this.headerImageList.add(image); 
/* 2719 */       int hImageList = this.headerImageList.getHandle();
/* 2720 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2721 */       OS.SendMessage(hwndHeader, 4616, 0, hImageList);
/* 2722 */       return i;
/*      */     } 
/* 2724 */     int index = this.headerImageList.indexOf(image);
/* 2725 */     if (index != -1) return index; 
/* 2726 */     return this.headerImageList.add(image);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int indexOf(TableColumn column) {
/* 2747 */     checkWidget();
/* 2748 */     if (column == null) error(4); 
/* 2749 */     for (int i = 0; i < this.columnCount; i++) {
/* 2750 */       if (this.columns[i] == column) return i; 
/*      */     } 
/* 2752 */     return -1;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int indexOf(TableItem item) {
/* 2773 */     checkWidget();
/* 2774 */     if (item == null) error(4); 
/* 2775 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2776 */     if (1 <= this.lastIndexOf && this.lastIndexOf < count - 1) {
/* 2777 */       if (this.items[this.lastIndexOf] == item) return this.lastIndexOf; 
/* 2778 */       if (this.items[this.lastIndexOf + 1] == item) return ++this.lastIndexOf; 
/* 2779 */       if (this.items[this.lastIndexOf - 1] == item) return --this.lastIndexOf; 
/*      */     } 
/* 2781 */     if (this.lastIndexOf < count / 2) {
/* 2782 */       for (int i = 0; i < count; i++) {
/* 2783 */         if (this.items[i] == item) return this.lastIndexOf = i; 
/*      */       } 
/*      */     } else {
/* 2786 */       for (int i = count - 1; i >= 0; i--) {
/* 2787 */         if (this.items[i] == item) return this.lastIndexOf = i; 
/*      */       } 
/*      */     } 
/* 2790 */     return -1;
/*      */   }
/*      */   
/*      */   boolean isCustomToolTip() {
/* 2794 */     return hooks(41);
/*      */   }
/*      */   
/*      */   boolean isOptimizedRedraw() {
/* 2798 */     if ((this.style & 0x100) == 0 || (this.style & 0x200) == 0) return false; 
/* 2799 */     return (!hasChildren() && !hooks(9) && !filters(9));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isSelected(int index) {
/* 2816 */     checkWidget();
/* 2817 */     LVITEM lvItem = new LVITEM();
/* 2818 */     lvItem.mask = 8;
/* 2819 */     lvItem.stateMask = 2;
/* 2820 */     lvItem.iItem = index;
/* 2821 */     int result = OS.SendMessage(this.handle, OS.LVM_GETITEM, 0, lvItem);
/* 2822 */     return (result != 0 && (lvItem.state & 0x2) != 0);
/*      */   }
/*      */   
/*      */   void register() {
/* 2826 */     super.register();
/* 2827 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2828 */     if (hwndHeader != 0) this.display.addControl(hwndHeader, (Control)this); 
/*      */   }
/*      */   
/*      */   void releaseChildren(boolean destroy) {
/* 2832 */     if (this.items != null) {
/* 2833 */       int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2848 */       if (OS.IsWin95 && this.columnCount > 1) {
/*      */         
/* 2850 */         this.resizeCount = 1;
/* 2851 */         OS.SendMessage(this.handle, 11, 0, 0);
/* 2852 */         for (int i = itemCount - 1; i >= 0; i--) {
/* 2853 */           TableItem item = this.items[i];
/* 2854 */           if (item != null && !item.isDisposed()) item.release(false); 
/* 2855 */           this.ignoreSelect = this.ignoreShrink = true;
/* 2856 */           OS.SendMessage(this.handle, 4104, i, 0);
/* 2857 */           this.ignoreSelect = this.ignoreShrink = false;
/*      */         } 
/*      */       } else {
/* 2860 */         for (int i = 0; i < itemCount; i++) {
/* 2861 */           TableItem item = this.items[i];
/* 2862 */           if (item != null && !item.isDisposed()) item.release(false); 
/*      */         } 
/*      */       } 
/* 2865 */       this.items = null;
/*      */     } 
/* 2867 */     if (this.columns != null) {
/* 2868 */       for (int i = 0; i < this.columnCount; i++) {
/* 2869 */         TableColumn column = this.columns[i];
/* 2870 */         if (!column.isDisposed()) column.release(false); 
/*      */       } 
/* 2872 */       this.columns = null;
/*      */     } 
/* 2874 */     super.releaseChildren(destroy);
/*      */   }
/*      */   
/*      */   void releaseWidget() {
/* 2878 */     super.releaseWidget();
/* 2879 */     this.customDraw = false;
/* 2880 */     this.currentItem = null;
/* 2881 */     if (this.imageList != null) {
/* 2882 */       OS.SendMessage(this.handle, 4099, 1, 0);
/* 2883 */       this.display.releaseImageList(this.imageList);
/*      */     } 
/* 2885 */     if (this.headerImageList != null) {
/* 2886 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 2887 */       OS.SendMessage(hwndHeader, 4616, 0, 0);
/* 2888 */       this.display.releaseImageList(this.headerImageList);
/*      */     } 
/* 2890 */     this.imageList = this.headerImageList = null;
/* 2891 */     int hStateList = OS.SendMessage(this.handle, 4098, 2, 0);
/* 2892 */     OS.SendMessage(this.handle, 4099, 2, 0);
/* 2893 */     if (hStateList != 0) OS.ImageList_Destroy(hStateList); 
/* 2894 */     if (this.headerToolTipHandle != 0) OS.DestroyWindow(this.headerToolTipHandle); 
/* 2895 */     this.headerToolTipHandle = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void remove(int[] indices) {
/* 2914 */     checkWidget();
/* 2915 */     if (indices == null) error(4); 
/* 2916 */     if (indices.length == 0)
/* 2917 */       return;  int[] newIndices = new int[indices.length];
/* 2918 */     System.arraycopy(indices, 0, newIndices, 0, indices.length);
/* 2919 */     sort(newIndices);
/* 2920 */     int start = newIndices[newIndices.length - 1], end = newIndices[0];
/* 2921 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2922 */     if (start < 0 || start > end || end >= count) {
/* 2923 */       error(6);
/*      */     }
/* 2925 */     setDeferResize(true);
/* 2926 */     int last = -1;
/* 2927 */     for (int i = 0; i < newIndices.length; i++) {
/* 2928 */       int index = newIndices[i];
/* 2929 */       if (index != last) {
/* 2930 */         TableItem item = this.items[index];
/* 2931 */         if (item != null && !item.isDisposed()) item.release(false); 
/* 2932 */         this.ignoreSelect = this.ignoreShrink = true;
/* 2933 */         int code = OS.SendMessage(this.handle, 4104, index, 0);
/* 2934 */         this.ignoreSelect = this.ignoreShrink = false;
/* 2935 */         if (code == 0) error(15); 
/* 2936 */         System.arraycopy(this.items, index + 1, this.items, index, --count - index);
/* 2937 */         this.items[count] = null;
/* 2938 */         last = index;
/*      */       } 
/*      */     } 
/* 2941 */     if (count == 0) setTableEmpty(); 
/* 2942 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void remove(int index) {
/* 2960 */     checkWidget();
/* 2961 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2962 */     if (index < 0 || index >= count) error(6); 
/* 2963 */     TableItem item = this.items[index];
/* 2964 */     if (item != null && !item.isDisposed()) item.release(false); 
/* 2965 */     setDeferResize(true);
/* 2966 */     this.ignoreSelect = this.ignoreShrink = true;
/* 2967 */     int code = OS.SendMessage(this.handle, 4104, index, 0);
/* 2968 */     this.ignoreSelect = this.ignoreShrink = false;
/* 2969 */     if (code == 0) error(15); 
/* 2970 */     System.arraycopy(this.items, index + 1, this.items, index, --count - index);
/* 2971 */     this.items[count] = null;
/* 2972 */     if (count == 0) setTableEmpty(); 
/* 2973 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void remove(int start, int end) {
/* 2993 */     checkWidget();
/* 2994 */     if (start > end)
/* 2995 */       return;  int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 2996 */     if (start < 0 || start > end || end >= count) {
/* 2997 */       error(6);
/*      */     }
/* 2999 */     if (start == 0 && end == count - 1) {
/* 3000 */       removeAll();
/*      */     } else {
/* 3002 */       setDeferResize(true);
/* 3003 */       int index = start;
/* 3004 */       while (index <= end) {
/* 3005 */         TableItem item = this.items[index];
/* 3006 */         if (item != null && !item.isDisposed()) item.release(false); 
/* 3007 */         this.ignoreSelect = this.ignoreShrink = true;
/* 3008 */         int code = OS.SendMessage(this.handle, 4104, start, 0);
/* 3009 */         this.ignoreSelect = this.ignoreShrink = false;
/* 3010 */         if (code == 0)
/* 3011 */           break;  index++;
/*      */       } 
/* 3013 */       System.arraycopy(this.items, index, this.items, start, count - index);
/* 3014 */       for (int i = count - index - start; i < count; ) { this.items[i] = null; i++; }
/* 3015 */        if (index <= end) error(15);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3022 */       setDeferResize(false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeAll() {
/* 3035 */     checkWidget();
/* 3036 */     int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/* 3037 */     for (int i = 0; i < itemCount; i++) {
/* 3038 */       TableItem item = this.items[i];
/* 3039 */       if (item != null && !item.isDisposed()) item.release(false);
/*      */     
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3055 */     setDeferResize(true);
/* 3056 */     if (OS.IsWin95 && this.columnCount > 1) {
/* 3057 */       boolean redraw = (this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/* 3058 */       if (redraw) OS.SendMessage(this.handle, 11, 0, 0); 
/* 3059 */       int index = itemCount - 1;
/* 3060 */       while (index >= 0) {
/* 3061 */         this.ignoreSelect = this.ignoreShrink = true;
/* 3062 */         int code = OS.SendMessage(this.handle, 4104, index, 0);
/* 3063 */         this.ignoreSelect = this.ignoreShrink = false;
/* 3064 */         if (code == 0)
/* 3065 */           break;  index--;
/*      */       } 
/* 3067 */       if (redraw) {
/* 3068 */         OS.SendMessage(this.handle, 11, 1, 0);
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3078 */       if (index != -1) error(15); 
/*      */     } else {
/* 3080 */       this.ignoreSelect = this.ignoreShrink = true;
/* 3081 */       int code = OS.SendMessage(this.handle, 4105, 0, 0);
/* 3082 */       this.ignoreSelect = this.ignoreShrink = false;
/* 3083 */       if (code == 0) error(15); 
/*      */     } 
/* 3085 */     setTableEmpty();
/* 3086 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void removeSelectionListener(SelectionListener listener) {
/* 3107 */     checkWidget();
/* 3108 */     if (listener == null) error(4); 
/* 3109 */     if (this.eventTable == null)
/* 3110 */       return;  this.eventTable.unhook(13, (SWTEventListener)listener);
/* 3111 */     this.eventTable.unhook(14, (SWTEventListener)listener);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void select(int[] indices) {
/* 3138 */     checkWidget();
/* 3139 */     if (indices == null) error(4); 
/* 3140 */     int length = indices.length;
/* 3141 */     if (length == 0 || ((this.style & 0x4) != 0 && length > 1))
/* 3142 */       return;  LVITEM lvItem = new LVITEM();
/* 3143 */     lvItem.state = 2;
/* 3144 */     lvItem.stateMask = 2;
/* 3145 */     for (int i = length - 1; i >= 0; i--) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3150 */       if (indices[i] >= 0) {
/* 3151 */         this.ignoreSelect = true;
/* 3152 */         OS.SendMessage(this.handle, 4139, indices[i], lvItem);
/* 3153 */         this.ignoreSelect = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void select(int index) {
/* 3171 */     checkWidget();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3176 */     if (index < 0)
/* 3177 */       return;  LVITEM lvItem = new LVITEM();
/* 3178 */     lvItem.state = 2;
/* 3179 */     lvItem.stateMask = 2;
/* 3180 */     this.ignoreSelect = true;
/* 3181 */     OS.SendMessage(this.handle, 4139, index, lvItem);
/* 3182 */     this.ignoreSelect = false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void select(int start, int end) {
/* 3209 */     checkWidget();
/* 3210 */     if (end < 0 || start > end || ((this.style & 0x4) != 0 && start != end))
/* 3211 */       return;  int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 3212 */     if (count == 0 || start >= count)
/* 3213 */       return;  start = Math.max(0, start);
/* 3214 */     end = Math.min(end, count - 1);
/* 3215 */     if (start == 0 && end == count - 1) {
/* 3216 */       selectAll();
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 3222 */       LVITEM lvItem = new LVITEM();
/* 3223 */       lvItem.state = 2;
/* 3224 */       lvItem.stateMask = 2;
/* 3225 */       for (int i = start; i <= end; i++) {
/* 3226 */         this.ignoreSelect = true;
/* 3227 */         OS.SendMessage(this.handle, 4139, i, lvItem);
/* 3228 */         this.ignoreSelect = false;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void selectAll() {
/* 3245 */     checkWidget();
/* 3246 */     if ((this.style & 0x4) != 0)
/* 3247 */       return;  LVITEM lvItem = new LVITEM();
/* 3248 */     lvItem.mask = 8;
/* 3249 */     lvItem.state = 2;
/* 3250 */     lvItem.stateMask = 2;
/* 3251 */     this.ignoreSelect = true;
/* 3252 */     OS.SendMessage(this.handle, 4139, -1, lvItem);
/* 3253 */     this.ignoreSelect = false;
/*      */   }
/*      */   
/*      */   void sendEraseItemEvent(TableItem item, NMLVCUSTOMDRAW nmcd, int lParam, Event measureEvent) {
/* 3257 */     int hDC = nmcd.hdc;
/* 3258 */     int clrText = (item.cellForeground != null) ? item.cellForeground[nmcd.iSubItem] : -1;
/* 3259 */     if (clrText == -1) clrText = item.foreground; 
/* 3260 */     int clrTextBk = -1;
/* 3261 */     if (OS.COMCTL32_MAJOR >= 6 && OS.IsAppThemed() && 
/* 3262 */       this.sortColumn != null && this.sortDirection != 0 && 
/* 3263 */       findImageControl() == null && 
/* 3264 */       indexOf(this.sortColumn) == nmcd.iSubItem) {
/* 3265 */       clrTextBk = getSortColumnPixel();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 3270 */     clrTextBk = (item.cellBackground != null) ? item.cellBackground[nmcd.iSubItem] : -1;
/* 3271 */     if (clrTextBk == -1) clrTextBk = item.background;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3277 */     LVITEM lvItem = new LVITEM();
/* 3278 */     lvItem.mask = 8;
/* 3279 */     lvItem.stateMask = 2;
/* 3280 */     lvItem.iItem = nmcd.dwItemSpec;
/* 3281 */     int result = OS.SendMessage(this.handle, OS.LVM_GETITEM, 0, lvItem);
/* 3282 */     boolean selected = (result != 0 && (lvItem.state & 0x2) != 0);
/* 3283 */     GCData data = new GCData();
/* 3284 */     data.device = (Device)this.display;
/* 3285 */     int clrSelectionBk = -1;
/* 3286 */     boolean drawSelected = false, drawBackground = false, drawHot = false;
/* 3287 */     if (nmcd.iSubItem == 0 || (this.style & 0x10000) != 0) {
/* 3288 */       drawHot = (this.hotIndex == nmcd.dwItemSpec);
/*      */     }
/* 3290 */     if (OS.IsWindowEnabled(this.handle)) {
/* 3291 */       if (selected && (nmcd.iSubItem == 0 || (this.style & 0x10000) != 0)) {
/* 3292 */         if (OS.GetFocus() == this.handle || this.display.getHighContrast()) {
/* 3293 */           drawSelected = true;
/* 3294 */           data.foreground = OS.GetSysColor(OS.COLOR_HIGHLIGHTTEXT);
/* 3295 */           data.background = clrSelectionBk = OS.GetSysColor(OS.COLOR_HIGHLIGHT);
/*      */         } else {
/* 3297 */           drawSelected = ((this.style & 0x8000) == 0);
/* 3298 */           data.foreground = OS.GetTextColor(hDC);
/* 3299 */           data.background = clrSelectionBk = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */         } 
/* 3301 */         if (this.explorerTheme) {
/* 3302 */           data.foreground = (clrText != -1) ? clrText : getForegroundPixel();
/*      */         }
/*      */       } else {
/* 3305 */         drawBackground = (clrTextBk != -1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 3313 */         if (clrText == -1 || clrTextBk == -1) {
/* 3314 */           Table table; Control control = findBackgroundControl();
/* 3315 */           if (control == null) table = this; 
/* 3316 */           if (clrText == -1) clrText = table.getForegroundPixel(); 
/* 3317 */           if (clrTextBk == -1) clrTextBk = table.getBackgroundPixel(); 
/*      */         } 
/* 3319 */         data.foreground = (clrText != -1) ? clrText : OS.GetTextColor(hDC);
/* 3320 */         data.background = (clrTextBk != -1) ? clrTextBk : OS.GetBkColor(hDC);
/*      */       } 
/*      */     } else {
/* 3323 */       data.foreground = OS.GetSysColor(OS.COLOR_GRAYTEXT);
/* 3324 */       data.background = OS.GetSysColor(OS.COLOR_3DFACE);
/* 3325 */       if (selected) clrSelectionBk = data.background; 
/*      */     } 
/* 3327 */     data.font = item.getFont(nmcd.iSubItem);
/* 3328 */     data.uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3329 */     int nSavedDC = OS.SaveDC(hDC);
/* 3330 */     GC gc = GC.win32_new(hDC, data);
/* 3331 */     RECT cellRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, true, true, true, hDC);
/* 3332 */     Event event = new Event();
/* 3333 */     event.item = (Widget)item;
/* 3334 */     event.gc = gc;
/* 3335 */     event.index = nmcd.iSubItem;
/* 3336 */     event.detail |= 0x10;
/*      */     
/* 3338 */     if (OS.SendMessage(this.handle, 4108, -1, 1) == nmcd.dwItemSpec && (
/* 3339 */       nmcd.iSubItem == 0 || (this.style & 0x10000) != 0) && 
/* 3340 */       this.handle == OS.GetFocus()) {
/* 3341 */       int uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3342 */       if ((uiState & 0x1) == 0) event.detail |= 0x4;
/*      */     
/*      */     } 
/*      */     
/* 3346 */     boolean focused = ((event.detail & 0x4) != 0);
/* 3347 */     if (drawHot) event.detail |= 0x20; 
/* 3348 */     if (drawSelected) event.detail |= 0x2; 
/* 3349 */     if (drawBackground) event.detail |= 0x8; 
/* 3350 */     event.x = cellRect.left;
/* 3351 */     event.y = cellRect.top;
/* 3352 */     event.width = cellRect.right - cellRect.left;
/* 3353 */     event.height = cellRect.bottom - cellRect.top;
/* 3354 */     gc.setClipping(event.x, event.y, event.width, event.height);
/* 3355 */     sendEvent(40, event);
/* 3356 */     event.gc = null;
/* 3357 */     int clrSelectionText = data.foreground;
/* 3358 */     gc.dispose();
/* 3359 */     OS.RestoreDC(hDC, nSavedDC);
/* 3360 */     if (isDisposed() || item.isDisposed())
/* 3361 */       return;  if (event.doit) {
/* 3362 */       this.ignoreDrawForeground = ((event.detail & 0x10) == 0);
/* 3363 */       this.ignoreDrawBackground = ((event.detail & 0x8) == 0);
/* 3364 */       this.ignoreDrawSelection = ((event.detail & 0x2) == 0);
/* 3365 */       this.ignoreDrawFocus = ((event.detail & 0x4) == 0);
/* 3366 */       this.ignoreDrawHot = ((event.detail & 0x20) == 0);
/*      */     } else {
/* 3368 */       this.ignoreDrawForeground = this.ignoreDrawBackground = this.ignoreDrawSelection = this.ignoreDrawFocus = this.ignoreDrawHot = true;
/*      */     } 
/* 3370 */     if (drawSelected) {
/* 3371 */       if (this.ignoreDrawSelection) {
/* 3372 */         this.ignoreDrawHot = true;
/* 3373 */         if (nmcd.iSubItem == 0 || (this.style & 0x10000) != 0) {
/* 3374 */           this.selectionForeground = clrSelectionText;
/*      */         }
/* 3376 */         nmcd.uItemState &= 0xFFFFFFFE;
/* 3377 */         OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*      */       }
/*      */     
/* 3380 */     } else if (this.ignoreDrawSelection) {
/* 3381 */       nmcd.uItemState |= 0x1;
/* 3382 */       OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*      */     } 
/*      */     
/* 3385 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 3386 */     boolean firstColumn = (nmcd.iSubItem == OS.SendMessage(hwndHeader, 4623, 0, 0));
/* 3387 */     if (this.ignoreDrawForeground && this.ignoreDrawHot && 
/* 3388 */       !this.ignoreDrawBackground && drawBackground) {
/* 3389 */       RECT backgroundRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, false, true, false, hDC);
/* 3390 */       fillBackground(hDC, clrTextBk, backgroundRect);
/*      */     } 
/*      */     
/* 3393 */     this.focusRect = null;
/* 3394 */     if (!this.ignoreDrawHot || !this.ignoreDrawSelection || !this.ignoreDrawFocus) {
/* 3395 */       boolean fullText = !((this.style & 0x10000) == 0 && firstColumn);
/* 3396 */       RECT textRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, false, fullText, false, hDC);
/* 3397 */       if ((this.style & 0x10000) == 0) {
/* 3398 */         if (measureEvent != null) {
/* 3399 */           textRect.right = Math.min(cellRect.right, measureEvent.x + measureEvent.width);
/*      */         }
/* 3401 */         if (!this.ignoreDrawFocus) {
/* 3402 */           nmcd.uItemState &= 0xFFFFFFEF;
/* 3403 */           OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/* 3404 */           this.focusRect = textRect;
/*      */         } 
/*      */       } 
/* 3407 */       if (this.explorerTheme)
/* 3408 */       { if (!this.ignoreDrawHot || (!this.ignoreDrawSelection && clrSelectionBk != -1)) {
/* 3409 */           boolean hot = drawHot;
/* 3410 */           RECT pClipRect = new RECT();
/* 3411 */           OS.SetRect(pClipRect, nmcd.left, nmcd.top, nmcd.right, nmcd.bottom);
/* 3412 */           RECT rect = new RECT();
/* 3413 */           OS.SetRect(rect, nmcd.left, nmcd.top, nmcd.right, nmcd.bottom);
/* 3414 */           if ((this.style & 0x10000) != 0) {
/* 3415 */             int count = OS.SendMessage(hwndHeader, 4608, 0, 0);
/* 3416 */             int index = OS.SendMessage(hwndHeader, 4623, count - 1, 0);
/* 3417 */             RECT headerRect = new RECT();
/* 3418 */             OS.SendMessage(hwndHeader, 4615, index, headerRect);
/* 3419 */             OS.MapWindowPoints(hwndHeader, this.handle, headerRect, 2);
/* 3420 */             rect.left = 0;
/* 3421 */             rect.right = headerRect.right;
/* 3422 */             pClipRect.left = cellRect.left;
/* 3423 */             pClipRect.right += 2;
/*      */           } else {
/* 3425 */             rect.right += 2;
/* 3426 */             pClipRect.right += 2;
/*      */           } 
/* 3428 */           int hTheme = OS.OpenThemeData(this.handle, Display.LISTVIEW);
/* 3429 */           int iStateId = selected ? 3 : 2;
/* 3430 */           if (OS.GetFocus() != this.handle && selected && !hot) iStateId = 5; 
/* 3431 */           OS.DrawThemeBackground(hTheme, hDC, 1, iStateId, rect, pClipRect);
/* 3432 */           OS.CloseThemeData(hTheme);
/*      */         }
/*      */          }
/* 3435 */       else if (!this.ignoreDrawSelection && clrSelectionBk != -1) { fillBackground(hDC, clrSelectionBk, textRect); }
/*      */     
/*      */     } 
/* 3438 */     if (focused && this.ignoreDrawFocus) {
/* 3439 */       nmcd.uItemState &= 0xFFFFFFEF;
/* 3440 */       OS.MoveMemory(lParam, nmcd, NMLVCUSTOMDRAW.sizeof);
/*      */     } 
/* 3442 */     if (this.ignoreDrawForeground) {
/* 3443 */       RECT clipRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, true, true, false, hDC);
/* 3444 */       OS.SaveDC(hDC);
/* 3445 */       OS.SelectClipRgn(hDC, 0);
/* 3446 */       OS.ExcludeClipRect(hDC, clipRect.left, clipRect.top, clipRect.right, clipRect.bottom);
/*      */     } 
/*      */   }
/*      */   
/*      */   Event sendEraseItemEvent(TableItem item, NMTTCUSTOMDRAW nmcd, int column, RECT cellRect) {
/* 3451 */     int nSavedDC = OS.SaveDC(nmcd.hdc);
/* 3452 */     RECT insetRect = toolTipInset(cellRect);
/* 3453 */     OS.SetWindowOrgEx(nmcd.hdc, insetRect.left, insetRect.top, null);
/* 3454 */     GCData data = new GCData();
/* 3455 */     data.device = (Device)this.display;
/* 3456 */     data.foreground = OS.GetTextColor(nmcd.hdc);
/* 3457 */     data.background = OS.GetBkColor(nmcd.hdc);
/* 3458 */     data.font = item.getFont(column);
/* 3459 */     data.uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3460 */     GC gc = GC.win32_new(nmcd.hdc, data);
/* 3461 */     Event event = new Event();
/* 3462 */     event.item = (Widget)item;
/* 3463 */     event.index = column;
/* 3464 */     event.gc = gc;
/* 3465 */     event.detail |= 0x10;
/* 3466 */     event.x = cellRect.left;
/* 3467 */     event.y = cellRect.top;
/* 3468 */     event.width = cellRect.right - cellRect.left;
/* 3469 */     event.height = cellRect.bottom - cellRect.top;
/*      */     
/* 3471 */     sendEvent(40, event);
/* 3472 */     event.gc = null;
/*      */     
/* 3474 */     gc.dispose();
/* 3475 */     OS.RestoreDC(nmcd.hdc, nSavedDC);
/* 3476 */     return event;
/*      */   }
/*      */   
/*      */   Event sendMeasureItemEvent(TableItem item, int row, int column, int hDC) {
/* 3480 */     GCData data = new GCData();
/* 3481 */     data.device = (Device)this.display;
/* 3482 */     data.font = item.getFont(column);
/* 3483 */     int nSavedDC = OS.SaveDC(hDC);
/* 3484 */     GC gc = GC.win32_new(hDC, data);
/* 3485 */     RECT itemRect = item.getBounds(row, column, true, true, false, false, hDC);
/* 3486 */     Event event = new Event();
/* 3487 */     event.item = (Widget)item;
/* 3488 */     event.gc = gc;
/* 3489 */     event.index = column;
/* 3490 */     event.x = itemRect.left;
/* 3491 */     event.y = itemRect.top;
/* 3492 */     event.width = itemRect.right - itemRect.left;
/* 3493 */     event.height = itemRect.bottom - itemRect.top;
/* 3494 */     sendEvent(41, event);
/* 3495 */     event.gc = null;
/* 3496 */     gc.dispose();
/* 3497 */     OS.RestoreDC(hDC, nSavedDC);
/* 3498 */     if (!isDisposed() && !item.isDisposed()) {
/* 3499 */       if (this.columnCount == 0) {
/* 3500 */         int width = OS.SendMessage(this.handle, 4125, 0, 0);
/* 3501 */         if (event.x + event.width > width) {
/* 3502 */           OS.SendMessage(this.handle, 4126, 0, event.x + event.width);
/*      */         }
/*      */       } 
/* 3505 */       if (event.height > getItemHeight()) setItemHeight(event.height); 
/*      */     } 
/* 3507 */     return event;
/*      */   }
/*      */   
/*      */   LRESULT sendMouseDownEvent(int type, int button, int msg, int wParam, int lParam) {
/* 3511 */     Display display = this.display;
/* 3512 */     display.captureChanged = false;
/* 3513 */     if (!sendMouseEvent(type, button, this.handle, msg, wParam, lParam)) {
/* 3514 */       if (!display.captureChanged && !isDisposed() && 
/* 3515 */         OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */       
/* 3517 */       return LRESULT.ZERO;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3532 */     LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 3533 */     pinfo.x = OS.GET_X_LPARAM(lParam);
/* 3534 */     pinfo.y = OS.GET_Y_LPARAM(lParam);
/* 3535 */     OS.SendMessage(this.handle, 4114, 0, pinfo);
/* 3536 */     if ((this.style & 0x10000) == 0 && 
/* 3537 */       hooks(41)) {
/* 3538 */       OS.SendMessage(this.handle, 4153, 0, pinfo);
/* 3539 */       if (pinfo.iItem == -1)
/* 3540 */       { int i = OS.SendMessage(this.handle, 4100, 0, 0);
/* 3541 */         if (i != 0) {
/* 3542 */           RECT rect = new RECT();
/* 3543 */           rect.left = 1;
/* 3544 */           this.ignoreCustomDraw = true;
/* 3545 */           int j = OS.SendMessage(this.handle, 4110, 0, rect);
/* 3546 */           this.ignoreCustomDraw = false;
/* 3547 */           if (j != 0) {
/* 3548 */             pinfo.x = rect.left;
/* 3549 */             OS.SendMessage(this.handle, 4153, 0, pinfo);
/* 3550 */             pinfo.flags &= 0xFFFFFFF9;
/*      */           }
/*      */         
/*      */         }  }
/* 3554 */       else if (pinfo.iSubItem != 0) { pinfo.iItem = -1; }
/*      */     
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3567 */     OS.SetFocus(this.handle);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3576 */     if (((this.style & 0x4) != 0 || hooks(3) || hooks(4)) && 
/* 3577 */       pinfo.iItem == -1) {
/* 3578 */       if (!display.captureChanged && !isDisposed() && 
/* 3579 */         OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */       
/* 3581 */       return LRESULT.ZERO;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3594 */     boolean forceSelect = false;
/* 3595 */     int count = OS.SendMessage(this.handle, 4146, 0, 0);
/* 3596 */     if (count == 1 && pinfo.iItem != -1) {
/* 3597 */       LVITEM lvItem = new LVITEM();
/* 3598 */       lvItem.mask = 8;
/* 3599 */       lvItem.stateMask = 2;
/* 3600 */       lvItem.iItem = pinfo.iItem;
/* 3601 */       OS.SendMessage(this.handle, OS.LVM_GETITEM, 0, lvItem);
/* 3602 */       if ((lvItem.state & 0x2) != 0) {
/* 3603 */         forceSelect = true;
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/* 3608 */     this.fullRowSelect = false;
/* 3609 */     if (pinfo.iItem != -1 && (
/* 3610 */       this.style & 0x10000) == 0 && 
/* 3611 */       hooks(41)) {
/* 3612 */       this.fullRowSelect = hitTestSelection(pinfo.iItem, pinfo.x, pinfo.y);
/* 3613 */       if (this.fullRowSelect) {
/* 3614 */         int flags = 6;
/* 3615 */         if ((pinfo.flags & flags) != 0) this.fullRowSelect = false;
/*      */       
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3629 */     boolean dragDetect = ((this.state & 0x8000) != 0 && hooks(29));
/* 3630 */     if (!dragDetect) {
/* 3631 */       int flags = 6;
/* 3632 */       dragDetect = !(pinfo.iItem != -1 && (pinfo.flags & flags) != 0);
/* 3633 */       if (this.fullRowSelect) dragDetect = true;
/*      */     
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3641 */     if (this.fullRowSelect) {
/* 3642 */       OS.UpdateWindow(this.handle);
/* 3643 */       OS.DefWindowProc(this.handle, 11, 0, 0);
/* 3644 */       OS.SendMessage(this.handle, 4150, 32, 32);
/*      */     } 
/* 3646 */     this.dragStarted = false;
/* 3647 */     display.dragCancelled = false;
/* 3648 */     if (!dragDetect) display.runDragDrop = false; 
/* 3649 */     int code = callWindowProc(this.handle, msg, wParam, lParam, forceSelect);
/* 3650 */     if (!dragDetect) display.runDragDrop = true; 
/* 3651 */     if (this.fullRowSelect) {
/* 3652 */       this.fullRowSelect = false;
/* 3653 */       OS.DefWindowProc(this.handle, 11, 1, 0);
/* 3654 */       OS.SendMessage(this.handle, 4150, 32, 0);
/*      */     } 
/*      */     
/* 3657 */     if (this.dragStarted || display.dragCancelled) {
/* 3658 */       if (!display.captureChanged && !isDisposed() && 
/* 3659 */         OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */     
/*      */     } else {
/* 3662 */       int flags = 6;
/* 3663 */       boolean fakeMouseUp = ((pinfo.flags & flags) != 0);
/* 3664 */       if (!fakeMouseUp && (this.style & 0x2) != 0) {
/* 3665 */         fakeMouseUp = ((pinfo.flags & 0x8) == 0);
/*      */       }
/* 3667 */       if (fakeMouseUp) {
/* 3668 */         sendMouseEvent(4, button, this.handle, msg, wParam, lParam);
/*      */       }
/*      */     } 
/* 3671 */     return new LRESULT(code);
/*      */   }
/*      */   
/*      */   void sendPaintItemEvent(TableItem item, NMLVCUSTOMDRAW nmcd) {
/* 3675 */     int hDC = nmcd.hdc;
/* 3676 */     GCData data = new GCData();
/* 3677 */     data.device = (Device)this.display;
/* 3678 */     data.font = item.getFont(nmcd.iSubItem);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3684 */     LVITEM lvItem = new LVITEM();
/* 3685 */     lvItem.mask = 8;
/* 3686 */     lvItem.stateMask = 2;
/* 3687 */     lvItem.iItem = nmcd.dwItemSpec;
/* 3688 */     int result = OS.SendMessage(this.handle, OS.LVM_GETITEM, 0, lvItem);
/* 3689 */     boolean selected = (result != 0 && (lvItem.state & 0x2) != 0);
/* 3690 */     boolean drawSelected = false, drawBackground = false, drawHot = false;
/* 3691 */     if (nmcd.iSubItem == 0 || (this.style & 0x10000) != 0) {
/* 3692 */       drawHot = (this.hotIndex == nmcd.dwItemSpec);
/*      */     }
/* 3694 */     if (OS.IsWindowEnabled(this.handle)) {
/* 3695 */       if (selected && (nmcd.iSubItem == 0 || (this.style & 0x10000) != 0)) {
/* 3696 */         if (OS.GetFocus() == this.handle || this.display.getHighContrast()) {
/* 3697 */           drawSelected = true;
/* 3698 */           if (this.selectionForeground != -1) {
/* 3699 */             data.foreground = this.selectionForeground;
/*      */           } else {
/* 3701 */             data.foreground = OS.GetSysColor(OS.COLOR_HIGHLIGHTTEXT);
/*      */           } 
/* 3703 */           data.background = OS.GetSysColor(OS.COLOR_HIGHLIGHT);
/*      */         } else {
/* 3705 */           drawSelected = ((this.style & 0x8000) == 0);
/* 3706 */           data.foreground = OS.GetTextColor(hDC);
/* 3707 */           data.background = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */         } 
/* 3709 */         if (this.explorerTheme && this.selectionForeground == -1) {
/* 3710 */           int clrText = (item.cellForeground != null) ? item.cellForeground[nmcd.iSubItem] : -1;
/* 3711 */           if (clrText == -1) clrText = item.foreground; 
/* 3712 */           data.foreground = (clrText != -1) ? clrText : getForegroundPixel();
/*      */         } 
/*      */       } else {
/* 3715 */         int clrText = (item.cellForeground != null) ? item.cellForeground[nmcd.iSubItem] : -1;
/* 3716 */         if (clrText == -1) clrText = item.foreground; 
/* 3717 */         int clrTextBk = (item.cellBackground != null) ? item.cellBackground[nmcd.iSubItem] : -1;
/* 3718 */         if (clrTextBk == -1) clrTextBk = item.background; 
/* 3719 */         drawBackground = (clrTextBk != -1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 3727 */         if (clrText == -1 || clrTextBk == -1) {
/* 3728 */           Table table; Control control = findBackgroundControl();
/* 3729 */           if (control == null) table = this; 
/* 3730 */           if (clrText == -1) clrText = table.getForegroundPixel(); 
/* 3731 */           if (clrTextBk == -1) clrTextBk = table.getBackgroundPixel(); 
/*      */         } 
/* 3733 */         data.foreground = (clrText != -1) ? clrText : OS.GetTextColor(hDC);
/* 3734 */         data.background = (clrTextBk != -1) ? clrTextBk : OS.GetBkColor(hDC);
/*      */       } 
/*      */     } else {
/* 3737 */       data.foreground = OS.GetSysColor(OS.COLOR_GRAYTEXT);
/* 3738 */       data.background = OS.GetSysColor(OS.COLOR_3DFACE);
/*      */     } 
/* 3740 */     data.uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3741 */     int nSavedDC = OS.SaveDC(hDC);
/* 3742 */     GC gc = GC.win32_new(hDC, data);
/* 3743 */     RECT itemRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, true, false, false, hDC);
/* 3744 */     Event event = new Event();
/* 3745 */     event.item = (Widget)item;
/* 3746 */     event.gc = gc;
/* 3747 */     event.index = nmcd.iSubItem;
/* 3748 */     event.detail |= 0x10;
/*      */     
/* 3750 */     if (OS.SendMessage(this.handle, 4108, -1, 1) == nmcd.dwItemSpec && (
/* 3751 */       nmcd.iSubItem == 0 || (this.style & 0x10000) != 0) && 
/* 3752 */       this.handle == OS.GetFocus()) {
/* 3753 */       int uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3754 */       if ((uiState & 0x1) == 0) event.detail |= 0x4;
/*      */     
/*      */     } 
/*      */     
/* 3758 */     if (drawHot) event.detail |= 0x20; 
/* 3759 */     if (drawSelected) event.detail |= 0x2; 
/* 3760 */     if (drawBackground) event.detail |= 0x8; 
/* 3761 */     event.x = itemRect.left;
/* 3762 */     event.y = itemRect.top;
/* 3763 */     event.width = itemRect.right - itemRect.left;
/* 3764 */     event.height = itemRect.bottom - itemRect.top;
/* 3765 */     RECT cellRect = item.getBounds(nmcd.dwItemSpec, nmcd.iSubItem, true, true, true, true, hDC);
/* 3766 */     int cellWidth = cellRect.right - cellRect.left;
/* 3767 */     int cellHeight = cellRect.bottom - cellRect.top;
/* 3768 */     gc.setClipping(cellRect.left, cellRect.top, cellWidth, cellHeight);
/* 3769 */     sendEvent(42, event);
/* 3770 */     if (data.focusDrawn) this.focusRect = null; 
/* 3771 */     event.gc = null;
/* 3772 */     gc.dispose();
/* 3773 */     OS.RestoreDC(hDC, nSavedDC);
/*      */   }
/*      */   
/*      */   Event sendPaintItemEvent(TableItem item, NMTTCUSTOMDRAW nmcd, int column, RECT itemRect) {
/* 3777 */     int nSavedDC = OS.SaveDC(nmcd.hdc);
/* 3778 */     RECT insetRect = toolTipInset(itemRect);
/* 3779 */     OS.SetWindowOrgEx(nmcd.hdc, insetRect.left, insetRect.top, null);
/* 3780 */     GCData data = new GCData();
/* 3781 */     data.device = (Device)this.display;
/* 3782 */     data.font = item.getFont(column);
/* 3783 */     data.foreground = OS.GetTextColor(nmcd.hdc);
/* 3784 */     data.background = OS.GetBkColor(nmcd.hdc);
/* 3785 */     data.uiState = OS.SendMessage(this.handle, 297, 0, 0);
/* 3786 */     GC gc = GC.win32_new(nmcd.hdc, data);
/* 3787 */     Event event = new Event();
/* 3788 */     event.item = (Widget)item;
/* 3789 */     event.index = column;
/* 3790 */     event.gc = gc;
/* 3791 */     event.detail |= 0x10;
/* 3792 */     event.x = itemRect.left;
/* 3793 */     event.y = itemRect.top;
/* 3794 */     event.width = itemRect.right - itemRect.left;
/* 3795 */     event.height = itemRect.bottom - itemRect.top;
/*      */     
/* 3797 */     sendEvent(42, event);
/* 3798 */     event.gc = null;
/* 3799 */     gc.dispose();
/* 3800 */     OS.RestoreDC(nmcd.hdc, nSavedDC);
/* 3801 */     return event;
/*      */   }
/*      */   
/*      */   void setBackgroundImage(int hBitmap) {
/* 3805 */     super.setBackgroundImage(hBitmap);
/* 3806 */     if (hBitmap != 0) {
/* 3807 */       setBackgroundTransparent(true);
/*      */     }
/* 3809 */     else if (!hooks(41) && !hooks(40) && !hooks(42)) {
/* 3810 */       setBackgroundTransparent(false);
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   void setBackgroundPixel(int newPixel) {
/* 3816 */     int oldPixel = OS.SendMessage(this.handle, 4096, 0, 0);
/* 3817 */     if (oldPixel != -1) {
/* 3818 */       if (findImageControl() != null)
/* 3819 */         return;  if (newPixel == -1) newPixel = defaultBackground(); 
/* 3820 */       if (oldPixel != newPixel) {
/* 3821 */         OS.SendMessage(this.handle, 4097, 0, newPixel);
/* 3822 */         OS.SendMessage(this.handle, 4134, 0, newPixel);
/* 3823 */         if ((this.style & 0x20) != 0) fixCheckboxImageListColor(true);
/*      */       
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 3831 */     OS.InvalidateRect(this.handle, null, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setBackgroundTransparent(boolean transparent) {
/* 3849 */     int oldPixel = OS.SendMessage(this.handle, 4096, 0, 0);
/* 3850 */     if (transparent) {
/* 3851 */       if (oldPixel != -1)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 3857 */         OS.SendMessage(this.handle, 4097, 0, -1);
/* 3858 */         OS.SendMessage(this.handle, 4134, 0, -1);
/* 3859 */         OS.InvalidateRect(this.handle, null, true);
/*      */ 
/*      */         
/* 3862 */         if (!this.explorerTheme && (this.style & 0x10000) != 0) {
/* 3863 */           int bits = 32;
/* 3864 */           OS.SendMessage(this.handle, 4150, bits, 0);
/*      */         } 
/*      */ 
/*      */         
/* 3868 */         if ((this.sortDirection & 0x480) != 0 && 
/* 3869 */           this.sortColumn != null && !this.sortColumn.isDisposed()) {
/* 3870 */           OS.SendMessage(this.handle, 4236, -1, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 3876 */           OS.InvalidateRect(this.handle, null, true);
/*      */         }
/*      */       
/*      */       }
/*      */     
/* 3881 */     } else if (oldPixel == -1) {
/* 3882 */       Table table; Control control = findBackgroundControl();
/* 3883 */       if (control == null) table = this; 
/* 3884 */       if (((Control)table).backgroundImage == null) {
/* 3885 */         int newPixel = table.getBackgroundPixel();
/* 3886 */         OS.SendMessage(this.handle, 4097, 0, newPixel);
/* 3887 */         OS.SendMessage(this.handle, 4134, 0, newPixel);
/* 3888 */         if ((this.style & 0x20) != 0) fixCheckboxImageListColor(true); 
/* 3889 */         OS.InvalidateRect(this.handle, null, true);
/*      */       } 
/*      */ 
/*      */       
/* 3893 */       if (!this.explorerTheme && (this.style & 0x10000) != 0 && 
/* 3894 */         !hooks(40) && !hooks(42)) {
/* 3895 */         int bits = 32;
/* 3896 */         OS.SendMessage(this.handle, 4150, bits, bits);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 3901 */       if ((this.sortDirection & 0x480) != 0 && 
/* 3902 */         this.sortColumn != null && !this.sortColumn.isDisposed()) {
/* 3903 */         int column = indexOf(this.sortColumn);
/* 3904 */         if (column != -1) {
/* 3905 */           OS.SendMessage(this.handle, 4236, column, 0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 3911 */           OS.InvalidateRect(this.handle, null, true);
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setBounds(int x, int y, int width, int height, int flags, boolean defer) {
/* 3935 */     setDeferResize(true);
/* 3936 */     super.setBounds(x, y, width, height, flags, false);
/* 3937 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setColumnOrder(int[] order) {
/* 3965 */     checkWidget();
/* 3966 */     if (order == null) error(4); 
/* 3967 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 3968 */     if (this.columnCount == 0) {
/* 3969 */       if (order.length != 0) error(5); 
/*      */       return;
/*      */     } 
/* 3972 */     if (order.length != this.columnCount) error(5); 
/* 3973 */     int[] oldOrder = new int[this.columnCount];
/* 3974 */     OS.SendMessage(this.handle, 4155, this.columnCount, oldOrder);
/* 3975 */     boolean reorder = false;
/* 3976 */     boolean[] seen = new boolean[this.columnCount];
/* 3977 */     for (int i = 0; i < order.length; i++) {
/* 3978 */       int index = order[i];
/* 3979 */       if (index < 0 || index >= this.columnCount) error(6); 
/* 3980 */       if (seen[index]) error(5); 
/* 3981 */       seen[index] = true;
/* 3982 */       if (index != oldOrder[i]) reorder = true; 
/*      */     } 
/* 3984 */     if (reorder) {
/* 3985 */       RECT[] oldRects = new RECT[this.columnCount];
/* 3986 */       for (int j = 0; j < this.columnCount; j++) {
/* 3987 */         oldRects[j] = new RECT();
/* 3988 */         OS.SendMessage(hwndHeader, 4615, j, oldRects[j]);
/*      */       } 
/* 3990 */       OS.SendMessage(this.handle, 4154, order.length, order);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 3996 */       OS.InvalidateRect(this.handle, null, true);
/* 3997 */       TableColumn[] newColumns = new TableColumn[this.columnCount];
/* 3998 */       System.arraycopy(this.columns, 0, newColumns, 0, this.columnCount);
/* 3999 */       RECT newRect = new RECT();
/* 4000 */       for (int k = 0; k < this.columnCount; k++) {
/* 4001 */         TableColumn column = newColumns[k];
/* 4002 */         if (!column.isDisposed()) {
/* 4003 */           OS.SendMessage(hwndHeader, 4615, k, newRect);
/* 4004 */           if (newRect.left != (oldRects[k]).left) {
/* 4005 */             column.updateToolTip(k);
/* 4006 */             column.sendEvent(10);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } 
/*      */   }
/*      */   
/*      */   void setCustomDraw(boolean customDraw) {
/* 4014 */     if (this.customDraw == customDraw)
/* 4015 */       return;  if (!this.customDraw && customDraw && this.currentItem != null) {
/* 4016 */       OS.InvalidateRect(this.handle, null, true);
/*      */     }
/* 4018 */     this.customDraw = customDraw;
/*      */   }
/*      */   
/*      */   void setDeferResize(boolean defer) {
/* 4022 */     if (defer) {
/* 4023 */       if (this.resizeCount++ == 0) {
/* 4024 */         this.wasResized = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 4031 */         if ((hooks(41) || hooks(40) || hooks(42)) && 
/* 4032 */           this.drawCount++ == 0 && OS.IsWindowVisible(this.handle)) {
/* 4033 */           OS.DefWindowProc(this.handle, 11, 0, 0);
/* 4034 */           OS.SendMessage(this.handle, 4097, 0, 16777215);
/*      */         }
/*      */       
/*      */       }
/*      */     
/* 4039 */     } else if (--this.resizeCount == 0) {
/* 4040 */       if ((hooks(41) || hooks(40) || hooks(42)) && 
/* 4041 */         --this.drawCount == 0) {
/* 4042 */         OS.SendMessage(this.handle, 4097, 0, -1);
/* 4043 */         OS.DefWindowProc(this.handle, 11, 1, 0);
/* 4044 */         if (OS.IsWinCE) {
/* 4045 */           int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4046 */           if (hwndHeader != 0) OS.InvalidateRect(hwndHeader, null, true); 
/* 4047 */           OS.InvalidateRect(this.handle, null, true);
/*      */         } else {
/* 4049 */           int flags = 1157;
/* 4050 */           OS.RedrawWindow(this.handle, null, 0, flags);
/*      */         } 
/*      */       } 
/*      */       
/* 4054 */       if (this.wasResized) {
/* 4055 */         this.wasResized = false;
/* 4056 */         setResizeChildren(false);
/* 4057 */         sendEvent(11);
/* 4058 */         if (isDisposed())
/* 4059 */           return;  if (this.layout != null) {
/* 4060 */           markLayout(false, false);
/* 4061 */           updateLayout(false, false);
/*      */         } 
/* 4063 */         setResizeChildren(true);
/*      */       } 
/*      */     } 
/*      */   }
/*      */   
/*      */   void setCheckboxImageList(int width, int height, boolean fixScroll) {
/*      */     int clrBackground;
/* 4070 */     if ((this.style & 0x20) == 0)
/* 4071 */       return;  int count = 4, flags = 0;
/* 4072 */     if (OS.IsWinCE) {
/* 4073 */       flags |= 0x0;
/*      */     } else {
/* 4075 */       int i = OS.GetDC(this.handle);
/* 4076 */       int bits = OS.GetDeviceCaps(i, 12);
/* 4077 */       int planes = OS.GetDeviceCaps(i, 14);
/* 4078 */       OS.ReleaseDC(this.handle, i);
/* 4079 */       int depth = bits * planes;
/* 4080 */       switch (depth) { case 4:
/* 4081 */           flags |= 0x4; break;
/* 4082 */         case 8: flags |= 0x8; break;
/* 4083 */         case 16: flags |= 0x10; break;
/* 4084 */         case 24: flags |= 0x18; break;
/* 4085 */         case 32: flags |= 0x20; break;
/* 4086 */         default: flags |= 0x0; break; }
/*      */     
/*      */     } 
/* 4089 */     if ((this.style & 0x4000000) != 0) flags |= 0x2000; 
/* 4090 */     if (OS.COMCTL32_MAJOR < 6 || !OS.IsAppThemed()) flags |= 0x1; 
/* 4091 */     int hStateList = OS.ImageList_Create(width, height, flags, count, count);
/* 4092 */     int hDC = OS.GetDC(this.handle);
/* 4093 */     int memDC = OS.CreateCompatibleDC(hDC);
/* 4094 */     int hBitmap = OS.CreateCompatibleBitmap(hDC, width * count, height);
/* 4095 */     int hOldBitmap = OS.SelectObject(memDC, hBitmap);
/* 4096 */     RECT rect = new RECT();
/* 4097 */     OS.SetRect(rect, 0, 0, width * count, height);
/*      */     
/* 4099 */     if (OS.COMCTL32_MAJOR >= 6 && OS.IsAppThemed()) {
/* 4100 */       Table table; Control control = findBackgroundControl();
/* 4101 */       if (control == null) table = this; 
/* 4102 */       clrBackground = table.getBackgroundPixel();
/*      */     } else {
/* 4104 */       clrBackground = 33554687;
/* 4105 */       if ((clrBackground & 0xFFFFFF) == OS.GetSysColor(OS.COLOR_WINDOW)) {
/* 4106 */         clrBackground = 33619712;
/*      */       }
/*      */     } 
/* 4109 */     int hBrush = OS.CreateSolidBrush(clrBackground);
/* 4110 */     OS.FillRect(memDC, rect, hBrush);
/* 4111 */     OS.DeleteObject(hBrush);
/* 4112 */     int oldFont = OS.SelectObject(hDC, defaultFont());
/* 4113 */     TEXTMETRIC tm = OS.IsUnicode ? (TEXTMETRIC)new TEXTMETRICW() : (TEXTMETRIC)new TEXTMETRICA();
/* 4114 */     OS.GetTextMetrics(hDC, tm);
/* 4115 */     OS.SelectObject(hDC, oldFont);
/* 4116 */     int itemWidth = Math.min(tm.tmHeight, width);
/* 4117 */     int itemHeight = Math.min(tm.tmHeight, height);
/* 4118 */     int left = (width - itemWidth) / 2, top = (height - itemHeight) / 2 + 1;
/* 4119 */     OS.SetRect(rect, left, top, left + itemWidth, top + itemHeight);
/* 4120 */     if (OS.COMCTL32_MAJOR >= 6 && OS.IsAppThemed()) {
/* 4121 */       int hTheme = this.display.hButtonTheme();
/* 4122 */       OS.DrawThemeBackground(hTheme, memDC, 3, 1, rect, null);
/* 4123 */       rect.left += width; rect.right += width;
/* 4124 */       OS.DrawThemeBackground(hTheme, memDC, 3, 5, rect, null);
/* 4125 */       rect.left += width; rect.right += width;
/* 4126 */       OS.DrawThemeBackground(hTheme, memDC, 3, 1, rect, null);
/* 4127 */       rect.left += width; rect.right += width;
/* 4128 */       OS.DrawThemeBackground(hTheme, memDC, 3, 9, rect, null);
/*      */     } else {
/* 4130 */       OS.DrawFrameControl(memDC, rect, 4, 16384);
/* 4131 */       rect.left += width; rect.right += width;
/* 4132 */       OS.DrawFrameControl(memDC, rect, 4, 17408);
/* 4133 */       rect.left += width; rect.right += width;
/* 4134 */       OS.DrawFrameControl(memDC, rect, 4, 16640);
/* 4135 */       rect.left += width; rect.right += width;
/* 4136 */       OS.DrawFrameControl(memDC, rect, 4, 17664);
/*      */     } 
/* 4138 */     OS.SelectObject(memDC, hOldBitmap);
/* 4139 */     OS.DeleteDC(memDC);
/* 4140 */     OS.ReleaseDC(this.handle, hDC);
/* 4141 */     if (OS.COMCTL32_MAJOR >= 6 && OS.IsAppThemed()) {
/* 4142 */       OS.ImageList_Add(hStateList, hBitmap, 0);
/*      */     } else {
/* 4144 */       OS.ImageList_AddMasked(hStateList, hBitmap, clrBackground);
/*      */     } 
/* 4146 */     OS.DeleteObject(hBitmap);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4156 */     int topIndex = getTopIndex();
/* 4157 */     if (fixScroll && topIndex != 0) {
/* 4158 */       setRedraw(false);
/* 4159 */       setTopIndex(0);
/*      */     } 
/* 4161 */     int hOldStateList = OS.SendMessage(this.handle, 4098, 2, 0);
/* 4162 */     OS.SendMessage(this.handle, 4099, 2, hStateList);
/* 4163 */     if (hOldStateList != 0) OS.ImageList_Destroy(hOldStateList);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4170 */     if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 4171 */       int hImageList = OS.SendMessage(this.handle, 4098, 1, 0);
/* 4172 */       OS.SendMessage(this.handle, 4099, 1, hImageList);
/*      */     } 
/* 4174 */     if (fixScroll && topIndex != 0) {
/* 4175 */       setTopIndex(topIndex);
/* 4176 */       setRedraw(true);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setFocusIndex(int index) {
/* 4186 */     if (index < 0)
/* 4187 */       return;  LVITEM lvItem = new LVITEM();
/* 4188 */     lvItem.state = 1;
/* 4189 */     lvItem.stateMask = 1;
/* 4190 */     this.ignoreSelect = true;
/* 4191 */     OS.SendMessage(this.handle, 4139, index, lvItem);
/* 4192 */     this.ignoreSelect = false;
/* 4193 */     OS.SendMessage(this.handle, 4163, 0, index);
/*      */   }
/*      */   
/*      */   public void setFont(Font font) {
/* 4197 */     checkWidget();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4207 */     int topIndex = getTopIndex();
/* 4208 */     if (topIndex != 0) {
/* 4209 */       setRedraw(false);
/* 4210 */       setTopIndex(0);
/*      */     } 
/* 4212 */     if (this.itemHeight != -1) {
/* 4213 */       int bits = OS.GetWindowLong(this.handle, -16);
/* 4214 */       OS.SetWindowLong(this.handle, -16, bits | 0x400);
/*      */     } 
/* 4216 */     super.setFont(font);
/* 4217 */     if (this.itemHeight != -1) {
/* 4218 */       int bits = OS.GetWindowLong(this.handle, -16);
/* 4219 */       OS.SetWindowLong(this.handle, -16, bits & 0xFFFFFBFF);
/*      */     } 
/* 4221 */     setScrollWidth((TableItem)null, true);
/* 4222 */     if (topIndex != 0) {
/* 4223 */       setTopIndex(topIndex);
/* 4224 */       setRedraw(true);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4232 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4233 */     OS.InvalidateRect(hwndHeader, null, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setForegroundPixel(int pixel) {
/* 4242 */     if (pixel == -1) pixel = -16777216; 
/* 4243 */     OS.SendMessage(this.handle, 4132, 0, pixel);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4250 */     OS.InvalidateRect(this.handle, null, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setHeaderVisible(boolean show) {
/* 4270 */     checkWidget();
/* 4271 */     int newBits = OS.GetWindowLong(this.handle, -16);
/* 4272 */     newBits &= 0xFFFFBFFF;
/* 4273 */     if (!show) newBits |= 0x4000;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4280 */     int oldIndex = getTopIndex();
/* 4281 */     OS.SetWindowLong(this.handle, -16, newBits);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4292 */     int newIndex = getTopIndex();
/* 4293 */     if (newIndex != 0) {
/* 4294 */       setRedraw(false);
/* 4295 */       setTopIndex(0);
/*      */     } 
/* 4297 */     if (show) {
/* 4298 */       int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 4299 */       if ((bits & 0x1) != 0) fixItemHeight(false); 
/*      */     } 
/* 4301 */     setTopIndex(oldIndex);
/* 4302 */     if (newIndex != 0) {
/* 4303 */       setRedraw(true);
/*      */     }
/* 4305 */     updateHeaderToolTips();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setItemCount(int count) {
/* 4321 */     checkWidget();
/* 4322 */     count = Math.max(0, count);
/* 4323 */     int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/* 4324 */     if (count == itemCount)
/* 4325 */       return;  setDeferResize(true);
/* 4326 */     boolean isVirtual = ((this.style & 0x10000000) != 0);
/* 4327 */     if (!isVirtual) setRedraw(false); 
/* 4328 */     int index = count;
/* 4329 */     while (index < itemCount) {
/* 4330 */       TableItem item = this.items[index];
/* 4331 */       if (item != null && !item.isDisposed()) item.release(false); 
/* 4332 */       if (!isVirtual) {
/* 4333 */         this.ignoreSelect = this.ignoreShrink = true;
/* 4334 */         int code = OS.SendMessage(this.handle, 4104, count, 0);
/* 4335 */         this.ignoreSelect = this.ignoreShrink = false;
/* 4336 */         if (code == 0)
/*      */           break; 
/* 4338 */       }  index++;
/*      */     } 
/* 4340 */     if (index < itemCount) error(15); 
/* 4341 */     int length = Math.max(4, (count + 3) / 4 * 4);
/* 4342 */     TableItem[] newItems = new TableItem[length];
/* 4343 */     System.arraycopy(this.items, 0, newItems, 0, Math.min(count, itemCount));
/* 4344 */     this.items = newItems;
/* 4345 */     if (isVirtual) {
/* 4346 */       int flags = 3;
/* 4347 */       OS.SendMessage(this.handle, 4143, count, flags);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4355 */       if (count == 0 && itemCount != 0) {
/* 4356 */         OS.InvalidateRect(this.handle, null, true);
/*      */       }
/*      */     } else {
/* 4359 */       for (int i = itemCount; i < count; i++) {
/* 4360 */         this.items[i] = new TableItem(this, 0, i, true);
/*      */       }
/*      */     } 
/* 4363 */     if (!isVirtual) setRedraw(true); 
/* 4364 */     if (itemCount == 0) setScrollWidth((TableItem)null, false); 
/* 4365 */     setDeferResize(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setItemHeight(boolean fixScroll) {
/* 4378 */     int topIndex = getTopIndex();
/* 4379 */     if (fixScroll && topIndex != 0) {
/* 4380 */       setRedraw(false);
/* 4381 */       setTopIndex(0);
/*      */     } 
/* 4383 */     if (this.itemHeight == -1) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4390 */       int hFont = OS.SendMessage(this.handle, 49, 0, 0);
/* 4391 */       OS.SendMessage(this.handle, 48, hFont, 0);
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */ 
/*      */       
/* 4399 */       forceResize();
/* 4400 */       RECT rect = new RECT();
/* 4401 */       OS.GetWindowRect(this.handle, rect);
/* 4402 */       int width = rect.right - rect.left, height = rect.bottom - rect.top;
/* 4403 */       int bits = OS.GetWindowLong(this.handle, -16);
/* 4404 */       OS.SetWindowLong(this.handle, -16, bits | 0x400);
/* 4405 */       int flags = 30;
/* 4406 */       this.ignoreResize = true;
/* 4407 */       SetWindowPos(this.handle, 0, 0, 0, width, height + 1, flags);
/* 4408 */       SetWindowPos(this.handle, 0, 0, 0, width, height, flags);
/* 4409 */       this.ignoreResize = false;
/* 4410 */       OS.SetWindowLong(this.handle, -16, bits);
/*      */     } 
/* 4412 */     if (fixScroll && topIndex != 0) {
/* 4413 */       setTopIndex(topIndex);
/* 4414 */       setRedraw(true);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setItemHeight(int itemHeight) {
/* 4432 */     checkWidget();
/* 4433 */     if (itemHeight < -1) error(5); 
/* 4434 */     this.itemHeight = itemHeight;
/* 4435 */     setItemHeight(true);
/* 4436 */     setScrollWidth((TableItem)null, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setLinesVisible(boolean show) {
/* 4456 */     checkWidget();
/* 4457 */     int newBits = show ? 1 : 0;
/* 4458 */     OS.SendMessage(this.handle, 4150, 1, newBits);
/* 4459 */     if (show) {
/* 4460 */       int bits = OS.GetWindowLong(this.handle, -16);
/* 4461 */       if ((bits & 0x4000) == 0) fixItemHeight(true); 
/*      */     } 
/*      */   }
/*      */   
/*      */   public void setRedraw(boolean redraw) {
/* 4466 */     checkWidget();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4476 */     if (this.drawCount == 0) {
/* 4477 */       int bits = OS.GetWindowLong(this.handle, -16);
/* 4478 */       if ((bits & 0x10000000) == 0) this.state |= 0x10; 
/*      */     } 
/* 4480 */     if (redraw) {
/* 4481 */       if (--this.drawCount == 0)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 4497 */         setScrollWidth((TableItem)null, true);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 4508 */         setDeferResize(true);
/* 4509 */         OS.SendMessage(this.handle, 11, 1, 0);
/* 4510 */         int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4511 */         if (hwndHeader != 0) OS.SendMessage(hwndHeader, 11, 1, 0); 
/* 4512 */         if ((this.state & 0x10) != 0) {
/* 4513 */           this.state &= 0xFFFFFFEF;
/* 4514 */           OS.ShowWindow(this.handle, 0);
/*      */         }
/* 4516 */         else if (OS.IsWinCE) {
/* 4517 */           OS.InvalidateRect(this.handle, null, false);
/* 4518 */           if (hwndHeader != 0) {
/* 4519 */             OS.InvalidateRect(hwndHeader, null, false);
/*      */           }
/*      */         } else {
/* 4522 */           int flags = 1157;
/* 4523 */           OS.RedrawWindow(this.handle, null, 0, flags);
/*      */         } 
/*      */         
/* 4526 */         setDeferResize(false);
/*      */       }
/*      */     
/* 4529 */     } else if (this.drawCount++ == 0) {
/* 4530 */       OS.SendMessage(this.handle, 11, 0, 0);
/* 4531 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4532 */       if (hwndHeader != 0) OS.SendMessage(hwndHeader, 11, 0, 0);
/*      */     
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean setScrollWidth(TableItem item, boolean force) {
/* 4552 */     if (this.currentItem != null) {
/* 4553 */       if (this.currentItem != item) this.fixScrollWidth = true; 
/* 4554 */       return false;
/*      */     } 
/* 4556 */     if (!force && (this.drawCount != 0 || !OS.IsWindowVisible(this.handle))) {
/* 4557 */       this.fixScrollWidth = true;
/* 4558 */       return false;
/*      */     } 
/* 4560 */     this.fixScrollWidth = false;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4566 */     if (this.columnCount == 0) {
/* 4567 */       int newWidth = 0, imageIndent = 0, index = 0;
/* 4568 */       int itemCount = OS.SendMessage(this.handle, 4100, 0, 0);
/* 4569 */       while (index < itemCount) {
/* 4570 */         String string = null;
/* 4571 */         int hFont = -1;
/* 4572 */         if (item != null) {
/* 4573 */           string = item.text;
/* 4574 */           imageIndent = Math.max(imageIndent, item.imageIndent);
/* 4575 */           hFont = item.fontHandle(0);
/*      */         }
/* 4577 */         else if (this.items[index] != null) {
/* 4578 */           TableItem tableItem = this.items[index];
/* 4579 */           string = tableItem.text;
/* 4580 */           imageIndent = Math.max(imageIndent, tableItem.imageIndent);
/* 4581 */           hFont = tableItem.fontHandle(0);
/*      */         } 
/*      */         
/* 4584 */         if (string != null && string.length() != 0) {
/* 4585 */           if (hFont != -1) {
/* 4586 */             int hDC = OS.GetDC(this.handle);
/* 4587 */             int oldFont = OS.SelectObject(hDC, hFont);
/* 4588 */             int flags = 3104;
/* 4589 */             TCHAR buffer = new TCHAR(getCodePage(), string, false);
/* 4590 */             RECT rect = new RECT();
/* 4591 */             OS.DrawText(hDC, buffer, buffer.length(), rect, flags);
/* 4592 */             OS.SelectObject(hDC, oldFont);
/* 4593 */             OS.ReleaseDC(this.handle, hDC);
/* 4594 */             newWidth = Math.max(newWidth, rect.right - rect.left);
/*      */           } else {
/* 4596 */             TCHAR buffer = new TCHAR(getCodePage(), string, true);
/* 4597 */             newWidth = Math.max(newWidth, OS.SendMessage(this.handle, OS.LVM_GETSTRINGWIDTH, 0, buffer));
/*      */           } 
/*      */         }
/* 4600 */         if (item != null)
/* 4601 */           break;  index++;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4613 */       if (newWidth == 0) {
/* 4614 */         TCHAR buffer = new TCHAR(getCodePage(), " ", true);
/* 4615 */         newWidth = Math.max(newWidth, OS.SendMessage(this.handle, OS.LVM_GETSTRINGWIDTH, 0, buffer));
/*      */       } 
/* 4617 */       int hStateList = OS.SendMessage(this.handle, 4098, 2, 0);
/* 4618 */       if (hStateList != 0) {
/* 4619 */         int[] cx = new int[1], cy = new int[1];
/* 4620 */         OS.ImageList_GetIconSize(hStateList, cx, cy);
/* 4621 */         newWidth += cx[0] + 4;
/*      */       } 
/* 4623 */       int hImageList = OS.SendMessage(this.handle, 4098, 1, 0);
/* 4624 */       if (hImageList != 0) {
/* 4625 */         int[] cx = new int[1], cy = new int[1];
/* 4626 */         OS.ImageList_GetIconSize(hImageList, cx, cy);
/* 4627 */         newWidth += (imageIndent + 1) * cx[0];
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 4639 */         newWidth++;
/*      */       } 
/* 4641 */       newWidth += 8;
/* 4642 */       int oldWidth = OS.SendMessage(this.handle, 4125, 0, 0);
/* 4643 */       if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 4644 */         newWidth += 2;
/*      */       }
/* 4646 */       if (newWidth > oldWidth) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 4656 */         boolean redraw = (this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/* 4657 */         if (redraw) OS.DefWindowProc(this.handle, 11, 0, 0); 
/* 4658 */         OS.SendMessage(this.handle, 4126, 0, newWidth);
/* 4659 */         if (redraw) {
/* 4660 */           OS.DefWindowProc(this.handle, 11, 1, 0);
/* 4661 */           if (OS.IsWinCE) {
/* 4662 */             int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4663 */             if (hwndHeader != 0) OS.InvalidateRect(hwndHeader, null, true); 
/* 4664 */             OS.InvalidateRect(this.handle, null, true);
/*      */           } else {
/* 4666 */             int flags = 1157;
/* 4667 */             OS.RedrawWindow(this.handle, null, 0, flags);
/*      */           } 
/*      */         } 
/* 4670 */         return true;
/*      */       } 
/*      */     } 
/* 4673 */     return false;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelection(int[] indices) {
/* 4699 */     checkWidget();
/* 4700 */     if (indices == null) error(4); 
/* 4701 */     deselectAll();
/* 4702 */     int length = indices.length;
/* 4703 */     if (length == 0 || ((this.style & 0x4) != 0 && length > 1))
/* 4704 */       return;  select(indices);
/* 4705 */     int focusIndex = indices[0];
/* 4706 */     if (focusIndex != -1) setFocusIndex(focusIndex); 
/* 4707 */     showSelection();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelection(TableItem item) {
/* 4731 */     checkWidget();
/* 4732 */     if (item == null) error(4); 
/* 4733 */     setSelection(new TableItem[] { item });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelection(TableItem[] items) {
/* 4761 */     checkWidget();
/* 4762 */     if (items == null) error(4); 
/* 4763 */     deselectAll();
/* 4764 */     int length = items.length;
/* 4765 */     if (length == 0 || ((this.style & 0x4) != 0 && length > 1))
/* 4766 */       return;  int focusIndex = -1;
/* 4767 */     for (int i = length - 1; i >= 0; i--) {
/* 4768 */       int index = indexOf(items[i]);
/* 4769 */       if (index != -1) {
/* 4770 */         select(focusIndex = index);
/*      */       }
/*      */     } 
/* 4773 */     if (focusIndex != -1) setFocusIndex(focusIndex); 
/* 4774 */     showSelection();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelection(int index) {
/* 4792 */     checkWidget();
/* 4793 */     deselectAll();
/* 4794 */     select(index);
/* 4795 */     if (index != -1) setFocusIndex(index); 
/* 4796 */     showSelection();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSelection(int start, int end) {
/* 4822 */     checkWidget();
/* 4823 */     deselectAll();
/* 4824 */     if (end < 0 || start > end || ((this.style & 0x4) != 0 && start != end))
/* 4825 */       return;  int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 4826 */     if (count == 0 || start >= count)
/* 4827 */       return;  start = Math.max(0, start);
/* 4828 */     end = Math.min(end, count - 1);
/* 4829 */     select(start, end);
/* 4830 */     setFocusIndex(start);
/* 4831 */     showSelection();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSortColumn(TableColumn column) {
/* 4852 */     checkWidget();
/* 4853 */     if (column != null && column.isDisposed()) error(5); 
/* 4854 */     if (this.sortColumn != null && !this.sortColumn.isDisposed()) {
/* 4855 */       this.sortColumn.setSortDirection(0);
/*      */     }
/* 4857 */     this.sortColumn = column;
/* 4858 */     if (this.sortColumn != null && this.sortDirection != 0) {
/* 4859 */       this.sortColumn.setSortDirection(this.sortDirection);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setSortDirection(int direction) {
/* 4877 */     checkWidget();
/* 4878 */     if ((direction & 0x480) == 0 && direction != 0)
/* 4879 */       return;  this.sortDirection = direction;
/* 4880 */     if (this.sortColumn != null && !this.sortColumn.isDisposed()) {
/* 4881 */       this.sortColumn.setSortDirection(direction);
/*      */     }
/*      */   }
/*      */   
/*      */   void setSubImagesVisible(boolean visible) {
/* 4886 */     int dwExStyle = OS.SendMessage(this.handle, 4151, 0, 0);
/* 4887 */     if ((((dwExStyle & 0x2) != 0)) == visible)
/* 4888 */       return;  int bits = visible ? 2 : 0;
/* 4889 */     OS.SendMessage(this.handle, 4150, 2, bits);
/*      */   }
/*      */   
/*      */   void setTableEmpty() {
/* 4893 */     if (this.imageList != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4903 */       int hImageList = OS.ImageList_Create(1, 1, 0, 0, 0);
/* 4904 */       OS.SendMessage(this.handle, 4099, 1, hImageList);
/* 4905 */       OS.SendMessage(this.handle, 4099, 1, 0);
/* 4906 */       if (this.headerImageList != null) {
/* 4907 */         int hHeaderImageList = this.headerImageList.getHandle();
/* 4908 */         int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 4909 */         OS.SendMessage(hwndHeader, 4616, 0, hHeaderImageList);
/*      */       } 
/* 4911 */       OS.ImageList_Destroy(hImageList);
/* 4912 */       this.display.releaseImageList(this.imageList);
/* 4913 */       this.imageList = null;
/* 4914 */       if (this.itemHeight != -1) setItemHeight(false); 
/*      */     } 
/* 4916 */     if (!hooks(41) && !hooks(40) && !hooks(42)) {
/* 4917 */       Table table; Control control = findBackgroundControl();
/* 4918 */       if (control == null) table = this; 
/* 4919 */       if (((Control)table).backgroundImage == null) {
/* 4920 */         setCustomDraw(false);
/* 4921 */         setBackgroundTransparent(false);
/* 4922 */         if (OS.COMCTL32_MAJOR < 6) this.style &= 0xDFFFFFFF; 
/*      */       } 
/*      */     } 
/* 4925 */     this.items = new TableItem[4];
/* 4926 */     if (this.columnCount == 0) {
/* 4927 */       OS.SendMessage(this.handle, 4126, 0, 0);
/* 4928 */       setScrollWidth((TableItem)null, false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setTopIndex(int index) {
/* 4945 */     checkWidget();
/* 4946 */     int topIndex = OS.SendMessage(this.handle, 4135, 0, 0);
/* 4947 */     if (index == topIndex) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 4971 */     if (OS.SendMessage(this.handle, 4136, 0, 0) <= 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 4981 */       OS.SendMessage(this.handle, 4115, index, 1);
/* 4982 */       if (index != OS.SendMessage(this.handle, 4135, 0, 0)) {
/* 4983 */         OS.SendMessage(this.handle, 4115, index, 1);
/*      */       }
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 4989 */     RECT rect = new RECT();
/* 4990 */     rect.left = 0;
/* 4991 */     this.ignoreCustomDraw = true;
/* 4992 */     OS.SendMessage(this.handle, 4110, 0, rect);
/* 4993 */     this.ignoreCustomDraw = false;
/* 4994 */     int dy = (index - topIndex) * (rect.bottom - rect.top);
/* 4995 */     OS.SendMessage(this.handle, 4116, 0, dy);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void showColumn(TableColumn column) {
/* 5017 */     checkWidget();
/* 5018 */     if (column == null) error(4); 
/* 5019 */     if (column.isDisposed()) error(5); 
/* 5020 */     if (column.parent != this)
/* 5021 */       return;  int index = indexOf(column);
/* 5022 */     if (index < 0 || index >= this.columnCount) {
/*      */       return;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5032 */     RECT itemRect = new RECT();
/* 5033 */     itemRect.left = 0;
/* 5034 */     if (index == 0) {
/* 5035 */       itemRect.top = 1;
/* 5036 */       this.ignoreCustomDraw = true;
/* 5037 */       OS.SendMessage(this.handle, 4152, -1, itemRect);
/* 5038 */       this.ignoreCustomDraw = false;
/* 5039 */       itemRect.right = itemRect.left;
/* 5040 */       int width = OS.SendMessage(this.handle, 4125, 0, 0);
/* 5041 */       itemRect.left = itemRect.right - width;
/*      */     } else {
/* 5043 */       itemRect.top = index;
/* 5044 */       this.ignoreCustomDraw = true;
/* 5045 */       OS.SendMessage(this.handle, 4152, -1, itemRect);
/* 5046 */       this.ignoreCustomDraw = false;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5055 */     int oldPos = 0;
/* 5056 */     int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 5057 */     if ((bits & 0x1) != 0) {
/* 5058 */       SCROLLINFO info = new SCROLLINFO();
/* 5059 */       info.cbSize = SCROLLINFO.sizeof;
/* 5060 */       info.fMask = 4;
/* 5061 */       OS.GetScrollInfo(this.handle, 0, info);
/* 5062 */       oldPos = info.nPos;
/*      */     } 
/* 5064 */     RECT rect = new RECT();
/* 5065 */     OS.GetClientRect(this.handle, rect);
/* 5066 */     if (itemRect.left < rect.left) {
/* 5067 */       int dx = itemRect.left - rect.left;
/* 5068 */       OS.SendMessage(this.handle, 4116, dx, 0);
/*      */     } else {
/* 5070 */       int width = Math.min(rect.right - rect.left, itemRect.right - itemRect.left);
/* 5071 */       if (itemRect.left + width > rect.right) {
/* 5072 */         int dx = itemRect.left + width - rect.right;
/* 5073 */         OS.SendMessage(this.handle, 4116, dx, 0);
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5083 */     if ((bits & 0x1) != 0) {
/* 5084 */       SCROLLINFO info = new SCROLLINFO();
/* 5085 */       info.cbSize = SCROLLINFO.sizeof;
/* 5086 */       info.fMask = 4;
/* 5087 */       OS.GetScrollInfo(this.handle, 0, info);
/* 5088 */       int newPos = info.nPos;
/* 5089 */       if (newPos < oldPos) {
/* 5090 */         rect.right = oldPos - newPos + 1;
/* 5091 */         OS.InvalidateRect(this.handle, rect, true);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void showItem(int index) {
/* 5106 */     if (OS.SendMessage(this.handle, 4136, 0, 0) <= 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 5116 */       OS.SendMessage(this.handle, 4115, index, 1);
/* 5117 */       if (index != OS.SendMessage(this.handle, 4135, 0, 0)) {
/* 5118 */         OS.SendMessage(this.handle, 4115, index, 1);
/*      */       }
/*      */     } else {
/* 5121 */       OS.SendMessage(this.handle, 4115, index, 0);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void showItem(TableItem item) {
/* 5144 */     checkWidget();
/* 5145 */     if (item == null) error(4); 
/* 5146 */     if (item.isDisposed()) error(5); 
/* 5147 */     int index = indexOf(item);
/* 5148 */     if (index != -1) showItem(index);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void showSelection() {
/* 5164 */     checkWidget();
/* 5165 */     int index = OS.SendMessage(this.handle, 4108, -1, 2);
/* 5166 */     if (index != -1) showItem(index); 
/*      */   }
/*      */   
/*      */   void sort() {
/* 5170 */     checkWidget();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void subclass() {
/* 5190 */     super.subclass();
/* 5191 */     if (HeaderProc != 0) {
/* 5192 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5193 */       OS.SetWindowLongPtr(hwndHeader, -4, this.display.windowProc);
/*      */     } 
/*      */   }
/*      */   
/*      */   RECT toolTipInset(RECT rect) {
/* 5198 */     if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 5199 */       RECT insetRect = new RECT();
/* 5200 */       OS.SetRect(insetRect, rect.left - 1, rect.top - 1, rect.right + 1, rect.bottom + 1);
/* 5201 */       return insetRect;
/*      */     } 
/* 5203 */     return rect;
/*      */   }
/*      */   
/*      */   RECT toolTipRect(RECT rect) {
/* 5207 */     RECT toolRect = new RECT();
/* 5208 */     if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 5209 */       OS.SetRect(toolRect, rect.left - 1, rect.top - 1, rect.right + 1, rect.bottom + 1);
/*      */     } else {
/* 5211 */       int hwndToolTip = OS.SendMessage(this.handle, 4174, 0, 0);
/* 5212 */       OS.SetRect(toolRect, rect.left, rect.top, rect.right, rect.bottom);
/* 5213 */       int dwStyle = OS.GetWindowLong(hwndToolTip, -16);
/* 5214 */       int dwExStyle = OS.GetWindowLong(hwndToolTip, -20);
/* 5215 */       OS.AdjustWindowRectEx(toolRect, dwStyle, false, dwExStyle);
/*      */     } 
/* 5217 */     return toolRect;
/*      */   }
/*      */   
/*      */   String toolTipText(NMTTDISPINFO hdr) {
/* 5221 */     int hwndToolTip = OS.SendMessage(this.handle, 4174, 0, 0);
/* 5222 */     if (hwndToolTip == hdr.hwndFrom && this.toolTipText != null) return ""; 
/* 5223 */     if (this.headerToolTipHandle == hdr.hwndFrom)
/* 5224 */       for (int i = 0; i < this.columnCount; i++) {
/* 5225 */         TableColumn column = this.columns[i];
/* 5226 */         if (column.id == hdr.idFrom) return column.toolTipText;
/*      */       
/*      */       }  
/* 5229 */     return super.toolTipText(hdr);
/*      */   }
/*      */   
/*      */   void unsubclass() {
/* 5233 */     super.unsubclass();
/* 5234 */     if (HeaderProc != 0) {
/* 5235 */       int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5236 */       OS.SetWindowLongPtr(hwndHeader, -4, HeaderProc);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void update(boolean all) {
/* 5253 */     int oldHeaderProc = 0, oldTableProc = 0;
/* 5254 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5255 */     boolean fixSubclass = isOptimizedRedraw();
/* 5256 */     if (fixSubclass) {
/* 5257 */       oldTableProc = OS.SetWindowLongPtr(this.handle, -4, TableProc);
/* 5258 */       oldHeaderProc = OS.SetWindowLongPtr(hwndHeader, -4, HeaderProc);
/*      */     } 
/* 5260 */     super.update(all);
/* 5261 */     if (fixSubclass) {
/* 5262 */       OS.SetWindowLongPtr(this.handle, -4, oldTableProc);
/* 5263 */       OS.SetWindowLongPtr(hwndHeader, -4, oldHeaderProc);
/*      */     } 
/*      */   }
/*      */   
/*      */   void updateHeaderToolTips() {
/* 5268 */     if (this.headerToolTipHandle == 0)
/* 5269 */       return;  int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5270 */     RECT rect = new RECT();
/* 5271 */     TOOLINFO lpti = new TOOLINFO();
/* 5272 */     lpti.cbSize = TOOLINFO.sizeof;
/* 5273 */     lpti.uFlags = 16;
/* 5274 */     lpti.hwnd = hwndHeader;
/* 5275 */     lpti.lpszText = -1;
/* 5276 */     for (int i = 0; i < this.columnCount; i++) {
/* 5277 */       TableColumn column = this.columns[i];
/* 5278 */       if (OS.SendMessage(hwndHeader, 4615, i, rect) != 0) {
/* 5279 */         lpti.uId = column.id = this.display.nextToolTipId++;
/* 5280 */         lpti.left = rect.left;
/* 5281 */         lpti.top = rect.top;
/* 5282 */         lpti.right = rect.right;
/* 5283 */         lpti.bottom = rect.bottom;
/* 5284 */         OS.SendMessage(this.headerToolTipHandle, OS.TTM_ADDTOOL, 0, lpti);
/*      */       } 
/*      */     } 
/*      */   }
/*      */   
/*      */   void updateImages() {
/* 5290 */     if (this.sortColumn != null && !this.sortColumn.isDisposed() && 
/* 5291 */       OS.COMCTL32_MAJOR < 6) {
/* 5292 */       switch (this.sortDirection) {
/*      */         case 128:
/*      */         case 1024:
/* 5295 */           this.sortColumn.setImage(this.display.getSortImage(this.sortDirection), true, true);
/*      */           break;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   void updateMoveable() {
/* 5303 */     int index = 0;
/* 5304 */     while (index < this.columnCount && 
/* 5305 */       !(this.columns[index]).moveable) {
/* 5306 */       index++;
/*      */     }
/* 5308 */     int newBits = (index < this.columnCount) ? 16 : 0;
/* 5309 */     OS.SendMessage(this.handle, 4150, 16, newBits);
/*      */   }
/*      */   
/*      */   int widgetStyle() {
/* 5313 */     int bits = super.widgetStyle() | 0x40;
/* 5314 */     if ((this.style & 0x8000) == 0) bits |= 0x8; 
/* 5315 */     if ((this.style & 0x4) != 0) bits |= 0x4;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5322 */     bits |= 0x4001;
/* 5323 */     if ((this.style & 0x10000000) != 0) bits |= 0x1000; 
/* 5324 */     return bits;
/*      */   }
/*      */   
/*      */   TCHAR windowClass() {
/* 5328 */     return TableClass;
/*      */   }
/*      */   
/*      */   int windowProc() {
/* 5332 */     return TableProc;
/*      */   }
/*      */   
/*      */   int windowProc(int hwnd, int msg, int wParam, int lParam) {
/* 5336 */     if (this.handle == 0) return 0; 
/* 5337 */     if (hwnd != this.handle) {
/* 5338 */       NMHDR hdr; switch (msg) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 533:
/* 5359 */           if (OS.COMCTL32_MAJOR < 6 && 
/* 5360 */             lParam != 0) {
/* 5361 */             int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5362 */             if (lParam != hwndHeader) OS.InvalidateRect(hwndHeader, null, true);
/*      */           
/*      */           } 
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 675:
/* 5375 */           if (OS.COMCTL32_MAJOR >= 6) updateHeaderToolTips(); 
/* 5376 */           updateHeaderToolTips();
/*      */           break;
/*      */         
/*      */         case 78:
/* 5380 */           hdr = new NMHDR();
/* 5381 */           OS.MoveMemory(hdr, lParam, NMHDR.sizeof);
/* 5382 */           switch (hdr.code) {
/*      */             case -530:
/*      */             case -522:
/*      */             case -521:
/*      */             case -520:
/* 5387 */               return OS.SendMessage(this.handle, msg, wParam, lParam);
/*      */           } 
/*      */           
/*      */           break;
/*      */         case 32:
/* 5392 */           if (wParam == hwnd) {
/* 5393 */             int hitTest = (short)OS.LOWORD(lParam);
/* 5394 */             if (hitTest == 1) {
/* 5395 */               HDHITTESTINFO pinfo = new HDHITTESTINFO();
/* 5396 */               int pos = OS.GetMessagePos();
/* 5397 */               POINT pt = new POINT();
/* 5398 */               OS.POINTSTOPOINT(pt, pos);
/* 5399 */               OS.ScreenToClient(hwnd, pt);
/* 5400 */               pinfo.x = pt.x;
/* 5401 */               pinfo.y = pt.y;
/* 5402 */               int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5403 */               int index = OS.SendMessage(hwndHeader, 4614, 0, pinfo);
/* 5404 */               if (index >= 0 && index < this.columnCount && !(this.columns[index]).resizable && (
/* 5405 */                 pinfo.flags & 0xC) != 0) {
/* 5406 */                 OS.SetCursor(OS.LoadCursor(0, 32512));
/* 5407 */                 return 1;
/*      */               } 
/*      */             } 
/*      */           } 
/*      */           break;
/*      */       } 
/*      */ 
/*      */       
/* 5415 */       return callWindowProc(hwnd, msg, wParam, lParam);
/*      */     } 
/* 5417 */     if (msg == Display.DI_GETDRAGIMAGE)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 5427 */       if ((!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) || (this.style & 0x10000000) != 0 || hooks(40) || hooks(42)) {
/* 5428 */         int topIndex = OS.SendMessage(this.handle, 4135, 0, 0);
/* 5429 */         int selection = OS.SendMessage(this.handle, 4108, topIndex - 1, 2);
/* 5430 */         if (selection == -1) return 0; 
/* 5431 */         POINT mousePos = new POINT();
/* 5432 */         OS.POINTSTOPOINT(mousePos, OS.GetMessagePos());
/* 5433 */         OS.MapWindowPoints(0, this.handle, mousePos, 1);
/* 5434 */         RECT clientRect = new RECT();
/* 5435 */         OS.GetClientRect(this.handle, clientRect);
/* 5436 */         TableItem item = _getItem(selection);
/* 5437 */         RECT rect = item.getBounds(selection, 0, true, true, true);
/* 5438 */         if ((this.style & 0x10000) != 0) {
/* 5439 */           int width = 301;
/* 5440 */           rect.left = Math.max(clientRect.left, mousePos.x - width / 2);
/* 5441 */           if (clientRect.right > rect.left + width) {
/* 5442 */             rect.right = rect.left + width;
/*      */           } else {
/* 5444 */             rect.right = clientRect.right;
/* 5445 */             rect.left = Math.max(clientRect.left, rect.right - width);
/*      */           } 
/*      */         } 
/* 5448 */         int hRgn = OS.CreateRectRgn(rect.left, rect.top, rect.right, rect.bottom);
/* 5449 */         while ((selection = OS.SendMessage(this.handle, 4108, selection, 2)) != -1 && 
/* 5450 */           rect.bottom - rect.top <= 301 && 
/* 5451 */           rect.bottom <= clientRect.bottom) {
/* 5452 */           RECT itemRect = item.getBounds(selection, 0, true, true, true);
/* 5453 */           int rectRgn = OS.CreateRectRgn(rect.left, itemRect.top, rect.right, itemRect.bottom);
/* 5454 */           OS.CombineRgn(hRgn, hRgn, rectRgn, 2);
/* 5455 */           OS.DeleteObject(rectRgn);
/* 5456 */           rect.bottom = itemRect.bottom;
/*      */         } 
/* 5458 */         OS.GetRgnBox(hRgn, rect);
/*      */ 
/*      */         
/* 5461 */         int hdc = OS.GetDC(this.handle);
/* 5462 */         int memHdc = OS.CreateCompatibleDC(hdc);
/* 5463 */         BITMAPINFOHEADER bmiHeader = new BITMAPINFOHEADER();
/* 5464 */         bmiHeader.biSize = BITMAPINFOHEADER.sizeof;
/* 5465 */         bmiHeader.biWidth = rect.right - rect.left;
/* 5466 */         bmiHeader.biHeight = -(rect.bottom - rect.top);
/* 5467 */         bmiHeader.biPlanes = 1;
/* 5468 */         bmiHeader.biBitCount = 32;
/* 5469 */         bmiHeader.biCompression = 0;
/* 5470 */         byte[] bmi = new byte[BITMAPINFOHEADER.sizeof];
/* 5471 */         OS.MoveMemory(bmi, bmiHeader, BITMAPINFOHEADER.sizeof);
/* 5472 */         int[] pBits = new int[1];
/* 5473 */         int memDib = OS.CreateDIBSection(0, bmi, 0, pBits, 0, 0);
/* 5474 */         if (memDib == 0) SWT.error(2); 
/* 5475 */         int oldMemBitmap = OS.SelectObject(memHdc, memDib);
/* 5476 */         int colorKey = 253;
/* 5477 */         POINT pt = new POINT();
/* 5478 */         OS.SetWindowOrgEx(memHdc, rect.left, rect.top, pt);
/* 5479 */         OS.FillRect(memHdc, rect, findBrush(colorKey, 0));
/* 5480 */         OS.OffsetRgn(hRgn, -rect.left, -rect.top);
/* 5481 */         OS.SelectClipRgn(memHdc, hRgn);
/* 5482 */         OS.PrintWindow(this.handle, memHdc, 0);
/* 5483 */         OS.SetWindowOrgEx(memHdc, pt.x, pt.y, null);
/* 5484 */         OS.SelectObject(memHdc, oldMemBitmap);
/* 5485 */         OS.DeleteDC(memHdc);
/* 5486 */         OS.ReleaseDC(0, hdc);
/* 5487 */         OS.DeleteObject(hRgn);
/*      */         
/* 5489 */         SHDRAGIMAGE shdi = new SHDRAGIMAGE();
/* 5490 */         shdi.hbmpDragImage = memDib;
/* 5491 */         shdi.crColorKey = colorKey;
/* 5492 */         shdi.sizeDragImage.cx = bmiHeader.biWidth;
/* 5493 */         shdi.sizeDragImage.cy = -bmiHeader.biHeight;
/* 5494 */         mousePos.x -= rect.left;
/* 5495 */         mousePos.y -= rect.top;
/* 5496 */         if ((this.style & 0x8000000) != 0) {
/* 5497 */           shdi.ptOffset.x = shdi.sizeDragImage.cx - shdi.ptOffset.x;
/*      */         }
/* 5499 */         OS.MoveMemory(lParam, shdi, SHDRAGIMAGE.sizeof);
/* 5500 */         return 1;
/*      */       } 
/*      */     }
/* 5503 */     return super.windowProc(hwnd, msg, wParam, lParam);
/*      */   }
/*      */   LRESULT WM_CHAR(int wParam, int lParam) {
/*      */     int code, index;
/* 5507 */     LRESULT result = super.WM_CHAR(wParam, lParam);
/* 5508 */     if (result != null) return result; 
/* 5509 */     switch (wParam) {
/*      */       case 32:
/* 5511 */         if ((this.style & 0x20) != 0) {
/* 5512 */           int i = OS.SendMessage(this.handle, 4108, -1, 1);
/* 5513 */           if (i != -1) {
/* 5514 */             TableItem item = _getItem(i);
/* 5515 */             item.setChecked(!item.getChecked(), true);
/* 5516 */             if (!OS.IsWinCE) {
/* 5517 */               OS.NotifyWinEvent(32773, this.handle, -4, i + 1);
/*      */             }
/*      */           } 
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 5527 */         code = callWindowProc(this.handle, 256, wParam, lParam);
/* 5528 */         return new LRESULT(code);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 13:
/* 5537 */         index = OS.SendMessage(this.handle, 4108, -1, 1);
/* 5538 */         if (index != -1) {
/* 5539 */           Event event = new Event();
/* 5540 */           event.item = (Widget)_getItem(index);
/* 5541 */           postEvent(14, event);
/*      */         } 
/* 5543 */         return LRESULT.ZERO;
/*      */     } 
/* 5545 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_CONTEXTMENU(int wParam, int lParam) {
/* 5561 */     if (!this.display.runDragDrop) return LRESULT.ZERO; 
/* 5562 */     return super.WM_CONTEXTMENU(wParam, lParam);
/*      */   }
/*      */   
/*      */   LRESULT WM_ERASEBKGND(int wParam, int lParam) {
/* 5566 */     LRESULT result = super.WM_ERASEBKGND(wParam, lParam);
/* 5567 */     if (findImageControl() != null) return LRESULT.ONE; 
/* 5568 */     if (OS.COMCTL32_MAJOR < 6 && (
/* 5569 */       this.style & 0x20000000) != 0) {
/* 5570 */       int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 5571 */       if ((bits & 0x10000) == 0) return LRESULT.ONE;
/*      */     
/*      */     } 
/* 5574 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_GETOBJECT(int wParam, int lParam) {
/* 5583 */     if ((this.style & 0x20) != 0 && 
/* 5584 */       this.accessible == null) this.accessible = new_Accessible((Control)this);
/*      */     
/* 5586 */     return super.WM_GETOBJECT(wParam, lParam); } LRESULT WM_KEYDOWN(int wParam, int lParam) {
/*      */     int oldHeaderProc, oldTableProc, hwndHeader;
/*      */     boolean fixSubclass;
/*      */     int code;
/* 5590 */     LRESULT result = super.WM_KEYDOWN(wParam, lParam);
/* 5591 */     if (result != null) return result; 
/* 5592 */     switch (wParam) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 32:
/* 5600 */         return LRESULT.ZERO;
/*      */       case 107:
/* 5602 */         if (OS.GetKeyState(17) < 0) {
/* 5603 */           int index = 0;
/* 5604 */           while (index < this.columnCount && 
/* 5605 */             this.columns[index].getResizable()) {
/* 5606 */             index++;
/*      */           }
/* 5608 */           if (index != this.columnCount || hooks(41)) {
/* 5609 */             TableColumn[] newColumns = new TableColumn[this.columnCount];
/* 5610 */             System.arraycopy(this.columns, 0, newColumns, 0, this.columnCount);
/* 5611 */             for (int i = 0; i < newColumns.length; i++) {
/* 5612 */               TableColumn column = newColumns[i];
/* 5613 */               if (!column.isDisposed() && column.getResizable()) {
/* 5614 */                 column.pack();
/*      */               }
/*      */             } 
/* 5617 */             return LRESULT.ZERO;
/*      */           } 
/*      */         } 
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case 33:
/*      */       case 34:
/*      */       case 35:
/*      */       case 36:
/* 5635 */         oldHeaderProc = 0; oldTableProc = 0;
/* 5636 */         hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5637 */         fixSubclass = isOptimizedRedraw();
/* 5638 */         if (fixSubclass) {
/* 5639 */           oldTableProc = OS.SetWindowLongPtr(this.handle, -4, TableProc);
/* 5640 */           oldHeaderProc = OS.SetWindowLongPtr(hwndHeader, -4, HeaderProc);
/*      */         } 
/* 5642 */         code = callWindowProc(this.handle, 256, wParam, lParam);
/* 5643 */         result = (code == 0) ? LRESULT.ZERO : new LRESULT(code);
/* 5644 */         if (fixSubclass) {
/* 5645 */           OS.SetWindowLongPtr(this.handle, -4, oldTableProc);
/* 5646 */           OS.SetWindowLongPtr(hwndHeader, -4, oldHeaderProc);
/*      */         } 
/*      */       
/*      */       case 38:
/*      */       case 40:
/* 5651 */         OS.SendMessage(this.handle, 295, 3, 0);
/*      */         break;
/*      */     } 
/* 5654 */     return result;
/*      */   }
/*      */   
/*      */   LRESULT WM_KILLFOCUS(int wParam, int lParam) {
/* 5658 */     LRESULT result = super.WM_KILLFOCUS(wParam, lParam);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5665 */     if (this.imageList != null || (this.style & 0x20) != 0) {
/* 5666 */       OS.InvalidateRect(this.handle, null, false);
/*      */     }
/* 5668 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_LBUTTONDBLCLK(int wParam, int lParam) {
/* 5680 */     LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 5681 */     pinfo.x = OS.GET_X_LPARAM(lParam);
/* 5682 */     pinfo.y = OS.GET_Y_LPARAM(lParam);
/* 5683 */     int index = OS.SendMessage(this.handle, 4114, 0, pinfo);
/* 5684 */     Display display = this.display;
/* 5685 */     display.captureChanged = false;
/* 5686 */     sendMouseEvent(3, 1, this.handle, 513, wParam, lParam);
/* 5687 */     if (!sendMouseEvent(8, 1, this.handle, 515, wParam, lParam)) {
/* 5688 */       if (!display.captureChanged && !isDisposed() && 
/* 5689 */         OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */       
/* 5691 */       return LRESULT.ZERO;
/*      */     } 
/* 5693 */     if (pinfo.iItem != -1) callWindowProc(this.handle, 515, wParam, lParam); 
/* 5694 */     if (!display.captureChanged && !isDisposed() && 
/* 5695 */       OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */ 
/*      */ 
/*      */     
/* 5699 */     if ((this.style & 0x20) != 0)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 5708 */       if (index != -1 && pinfo.flags == 8) {
/* 5709 */         TableItem item = _getItem(index);
/* 5710 */         item.setChecked(!item.getChecked(), true);
/* 5711 */         if (!OS.IsWinCE) {
/* 5712 */           OS.NotifyWinEvent(32773, this.handle, -4, index + 1);
/*      */         }
/*      */       } 
/*      */     }
/* 5716 */     return LRESULT.ZERO;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_LBUTTONDOWN(int wParam, int lParam) {
/* 5727 */     LRESULT result = sendMouseDownEvent(3, 1, 513, wParam, lParam);
/* 5728 */     if (result == LRESULT.ZERO) return result;
/*      */ 
/*      */     
/* 5731 */     if ((this.style & 0x20) != 0) {
/* 5732 */       LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 5733 */       pinfo.x = OS.GET_X_LPARAM(lParam);
/* 5734 */       pinfo.y = OS.GET_Y_LPARAM(lParam);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 5743 */       int index = OS.SendMessage(this.handle, 4114, 0, pinfo);
/* 5744 */       if (index != -1 && pinfo.flags == 8) {
/* 5745 */         TableItem item = _getItem(index);
/* 5746 */         item.setChecked(!item.getChecked(), true);
/* 5747 */         if (!OS.IsWinCE) {
/* 5748 */           OS.NotifyWinEvent(32773, this.handle, -4, index + 1);
/*      */         }
/*      */       } 
/*      */     } 
/* 5752 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_MOUSEHOVER(int wParam, int lParam) {
/* 5763 */     LRESULT result = super.WM_MOUSEHOVER(wParam, lParam);
/* 5764 */     int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 5765 */     int mask = 200;
/* 5766 */     if ((bits & mask) != 0) return result; 
/* 5767 */     return LRESULT.ZERO;
/*      */   }
/*      */   
/*      */   LRESULT WM_PAINT(int wParam, int lParam) {
/* 5771 */     if (!this.ignoreShrink) {
/*      */       
/* 5773 */       int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 5774 */       if (this.items.length > 4 && this.items.length - count > 3) {
/* 5775 */         int length = Math.max(4, (count + 3) / 4 * 4);
/* 5776 */         TableItem[] newItems = new TableItem[length];
/* 5777 */         System.arraycopy(this.items, 0, newItems, 0, count);
/* 5778 */         this.items = newItems;
/*      */       } 
/*      */     } 
/* 5781 */     if (this.fixScrollWidth) setScrollWidth((TableItem)null, true); 
/* 5782 */     if (OS.COMCTL32_MAJOR < 6 && ((
/* 5783 */       this.style & 0x20000000) != 0 || findImageControl() != null)) {
/* 5784 */       int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 5785 */       if ((bits & 0x10000) == 0) {
/* 5786 */         GC gc = null;
/* 5787 */         int paintDC = 0;
/* 5788 */         PAINTSTRUCT ps = new PAINTSTRUCT();
/* 5789 */         boolean hooksPaint = hooks(9);
/* 5790 */         if (hooksPaint) {
/* 5791 */           GCData data = new GCData();
/* 5792 */           data.ps = ps;
/* 5793 */           data.hwnd = this.handle;
/* 5794 */           gc = GC.win32_new((Drawable)this, data);
/* 5795 */           paintDC = gc.handle;
/*      */         } else {
/* 5797 */           paintDC = OS.BeginPaint(this.handle, ps);
/*      */         } 
/* 5799 */         int width = ps.right - ps.left;
/* 5800 */         int height = ps.bottom - ps.top;
/* 5801 */         if (width != 0 && height != 0) {
/* 5802 */           int hDC = OS.CreateCompatibleDC(paintDC);
/* 5803 */           POINT lpPoint1 = new POINT(), lpPoint2 = new POINT();
/* 5804 */           OS.SetWindowOrgEx(hDC, ps.left, ps.top, lpPoint1);
/* 5805 */           OS.SetBrushOrgEx(hDC, ps.left, ps.top, lpPoint2);
/* 5806 */           int hBitmap = OS.CreateCompatibleBitmap(paintDC, width, height);
/* 5807 */           int hOldBitmap = OS.SelectObject(hDC, hBitmap);
/* 5808 */           if (OS.SendMessage(this.handle, 4096, 0, 0) != -1) {
/* 5809 */             RECT rect = new RECT();
/* 5810 */             OS.SetRect(rect, ps.left, ps.top, ps.right, ps.bottom);
/* 5811 */             drawBackground(hDC, rect);
/*      */           } 
/* 5813 */           callWindowProc(this.handle, 15, hDC, 0);
/* 5814 */           OS.SetWindowOrgEx(hDC, lpPoint1.x, lpPoint1.y, null);
/* 5815 */           OS.SetBrushOrgEx(hDC, lpPoint2.x, lpPoint2.y, null);
/* 5816 */           OS.BitBlt(paintDC, ps.left, ps.top, width, height, hDC, 0, 0, 13369376);
/* 5817 */           OS.SelectObject(hDC, hOldBitmap);
/* 5818 */           OS.DeleteObject(hBitmap);
/* 5819 */           OS.DeleteObject(hDC);
/* 5820 */           if (hooksPaint) {
/* 5821 */             Event event = new Event();
/* 5822 */             event.gc = gc;
/* 5823 */             event.x = ps.left;
/* 5824 */             event.y = ps.top;
/* 5825 */             event.width = ps.right - ps.left;
/* 5826 */             event.height = ps.bottom - ps.top;
/* 5827 */             sendEvent(9, event);
/*      */             
/* 5829 */             event.gc = null;
/*      */           } 
/*      */         } 
/* 5832 */         if (hooksPaint) {
/* 5833 */           gc.dispose();
/*      */         } else {
/* 5835 */           OS.EndPaint(this.handle, ps);
/*      */         } 
/* 5837 */         return LRESULT.ZERO;
/*      */       } 
/*      */     } 
/*      */     
/* 5841 */     return super.WM_PAINT(wParam, lParam);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_RBUTTONDBLCLK(int wParam, int lParam) {
/* 5852 */     LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 5853 */     pinfo.x = OS.GET_X_LPARAM(lParam);
/* 5854 */     pinfo.y = OS.GET_Y_LPARAM(lParam);
/* 5855 */     OS.SendMessage(this.handle, 4114, 0, pinfo);
/* 5856 */     Display display = this.display;
/* 5857 */     display.captureChanged = false;
/* 5858 */     sendMouseEvent(3, 3, this.handle, 516, wParam, lParam);
/* 5859 */     if (sendMouseEvent(8, 3, this.handle, 518, wParam, lParam) && 
/* 5860 */       pinfo.iItem != -1) callWindowProc(this.handle, 518, wParam, lParam);
/*      */     
/* 5862 */     if (!display.captureChanged && !isDisposed() && 
/* 5863 */       OS.GetCapture() != this.handle) OS.SetCapture(this.handle);
/*      */     
/* 5865 */     return LRESULT.ZERO;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_RBUTTONDOWN(int wParam, int lParam) {
/* 5876 */     return sendMouseDownEvent(3, 3, 516, wParam, lParam);
/*      */   }
/*      */   
/*      */   LRESULT WM_SETFOCUS(int wParam, int lParam) {
/* 5880 */     LRESULT result = super.WM_SETFOCUS(wParam, lParam);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5889 */     if (this.imageList != null || (this.style & 0x20) != 0) {
/* 5890 */       OS.InvalidateRect(this.handle, null, false);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5900 */     int count = OS.SendMessage(this.handle, 4100, 0, 0);
/* 5901 */     if (count == 0) return result; 
/* 5902 */     int index = OS.SendMessage(this.handle, 4108, -1, 1);
/* 5903 */     if (index == -1) {
/* 5904 */       LVITEM lvItem = new LVITEM();
/* 5905 */       lvItem.state = 1;
/* 5906 */       lvItem.stateMask = 1;
/* 5907 */       this.ignoreSelect = true;
/* 5908 */       OS.SendMessage(this.handle, 4139, 0, lvItem);
/* 5909 */       this.ignoreSelect = false;
/*      */     } 
/* 5911 */     return result;
/*      */   }
/*      */   
/*      */   LRESULT WM_SETFONT(int wParam, int lParam) {
/* 5915 */     LRESULT result = super.WM_SETFONT(wParam, lParam);
/* 5916 */     if (result != null) return result;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5929 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 5930 */     OS.SendMessage(hwndHeader, 48, 0, lParam);
/*      */     
/* 5932 */     if (this.headerToolTipHandle != 0) {
/* 5933 */       OS.SendMessage(this.headerToolTipHandle, 48, wParam, lParam);
/*      */     }
/* 5935 */     return result;
/*      */   }
/*      */   
/*      */   LRESULT WM_SETREDRAW(int wParam, int lParam) {
/* 5939 */     LRESULT result = super.WM_SETREDRAW(wParam, lParam);
/* 5940 */     if (result != null) return result;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 5947 */     if (wParam == 1 && 
/* 5948 */       OS.SendMessage(this.handle, 4096, 0, 0) != -1 && (
/* 5949 */       hooks(41) || hooks(40) || hooks(42))) {
/* 5950 */       OS.SendMessage(this.handle, 4097, 0, -1);
/*      */     }
/*      */ 
/*      */     
/* 5954 */     int code = callWindowProc(this.handle, 11, wParam, lParam);
/* 5955 */     if (wParam == 0 && 
/* 5956 */       OS.SendMessage(this.handle, 4096, 0, 0) == -1) {
/* 5957 */       OS.SendMessage(this.handle, 4097, 0, 16777215);
/*      */     }
/*      */     
/* 5960 */     return (code == 0) ? LRESULT.ZERO : new LRESULT(code);
/*      */   }
/*      */   
/*      */   LRESULT WM_SIZE(int wParam, int lParam) {
/* 5964 */     if (this.ignoreResize) return null; 
/* 5965 */     if (hooks(40) || hooks(42)) {
/* 5966 */       OS.InvalidateRect(this.handle, null, true);
/*      */     }
/* 5968 */     if (this.resizeCount != 0) {
/* 5969 */       this.wasResized = true;
/* 5970 */       return null;
/*      */     } 
/* 5972 */     return super.WM_SIZE(wParam, lParam);
/*      */   }
/*      */   
/*      */   LRESULT WM_SYSCOLORCHANGE(int wParam, int lParam) {
/* 5976 */     LRESULT result = super.WM_SYSCOLORCHANGE(wParam, lParam);
/* 5977 */     if (result != null) return result; 
/* 5978 */     if (findBackgroundControl() == null) {
/* 5979 */       setBackgroundPixel(defaultBackground());
/*      */     } else {
/* 5981 */       int oldPixel = OS.SendMessage(this.handle, 4096, 0, 0);
/* 5982 */       if (oldPixel != -1 && 
/* 5983 */         findImageControl() == null && (
/* 5984 */         this.style & 0x20) != 0) fixCheckboxImageListColor(true);
/*      */     
/*      */     } 
/*      */     
/* 5988 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_HSCROLL(int wParam, int lParam) {
/* 5999 */     int oldPos = 0;
/* 6000 */     int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 6001 */     if ((bits & 0x1) != 0) {
/* 6002 */       SCROLLINFO info = new SCROLLINFO();
/* 6003 */       info.cbSize = SCROLLINFO.sizeof;
/* 6004 */       info.fMask = 4;
/* 6005 */       OS.GetScrollInfo(this.handle, 0, info);
/* 6006 */       oldPos = info.nPos;
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 6020 */     int oldHeaderProc = 0, oldTableProc = 0;
/* 6021 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 6022 */     boolean fixSubclass = isOptimizedRedraw();
/* 6023 */     if (fixSubclass) {
/* 6024 */       oldTableProc = OS.SetWindowLongPtr(this.handle, -4, TableProc);
/* 6025 */       oldHeaderProc = OS.SetWindowLongPtr(hwndHeader, -4, HeaderProc);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 6037 */     boolean fixScroll = false;
/* 6038 */     if (OS.LOWORD(wParam) != 8 && 
/* 6039 */       OS.COMCTL32_MAJOR >= 6 && 
/* 6040 */       this.columnCount > 32) {
/* 6041 */       int rowCount = OS.SendMessage(this.handle, 4136, 0, 0);
/* 6042 */       if (rowCount > 16) fixScroll = (this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/*      */     
/*      */     } 
/*      */     
/* 6046 */     if (fixScroll) OS.DefWindowProc(this.handle, 11, 0, 0); 
/* 6047 */     LRESULT result = super.WM_HSCROLL(wParam, lParam);
/* 6048 */     if (fixScroll) {
/* 6049 */       OS.DefWindowProc(this.handle, 11, 1, 0);
/* 6050 */       int flags = 1157;
/* 6051 */       OS.RedrawWindow(this.handle, null, 0, flags);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 6058 */       if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 6059 */         RECT headerRect = new RECT(), rect = new RECT();
/* 6060 */         OS.GetClientRect(this.handle, rect);
/* 6061 */         boolean[] visible = new boolean[this.columnCount];
/* 6062 */         for (int i = 0; i < this.columnCount; i++) {
/* 6063 */           visible[i] = true;
/* 6064 */           if (OS.SendMessage(hwndHeader, 4615, i, headerRect) != 0) {
/* 6065 */             OS.MapWindowPoints(hwndHeader, this.handle, headerRect, 2);
/* 6066 */             visible[i] = OS.IntersectRect(headerRect, rect, headerRect);
/*      */           } 
/*      */         } 
/*      */         try {
/* 6070 */           this.display.hwndParent = OS.GetParent(this.handle);
/* 6071 */           this.display.columnVisible = visible;
/* 6072 */           OS.UpdateWindow(this.handle);
/*      */         } finally {
/* 6074 */           this.display.columnVisible = null;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 6079 */     if (fixSubclass) {
/* 6080 */       OS.SetWindowLongPtr(this.handle, -4, oldTableProc);
/* 6081 */       OS.SetWindowLongPtr(hwndHeader, -4, oldHeaderProc);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 6091 */     if ((bits & 0x1) != 0) {
/* 6092 */       SCROLLINFO info = new SCROLLINFO();
/* 6093 */       info.cbSize = SCROLLINFO.sizeof;
/* 6094 */       info.fMask = 4;
/* 6095 */       OS.GetScrollInfo(this.handle, 0, info);
/* 6096 */       int newPos = info.nPos;
/* 6097 */       if (newPos < oldPos) {
/* 6098 */         RECT rect = new RECT();
/* 6099 */         OS.GetClientRect(this.handle, rect);
/* 6100 */         rect.right = oldPos - newPos + 1;
/* 6101 */         OS.InvalidateRect(this.handle, rect, true);
/*      */       } 
/*      */     } 
/* 6104 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT WM_VSCROLL(int wParam, int lParam) {
/* 6119 */     int oldHeaderProc = 0, oldTableProc = 0;
/* 6120 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 6121 */     boolean fixSubclass = isOptimizedRedraw();
/* 6122 */     if (fixSubclass) {
/* 6123 */       oldTableProc = OS.SetWindowLongPtr(this.handle, -4, TableProc);
/* 6124 */       oldHeaderProc = OS.SetWindowLongPtr(hwndHeader, -4, HeaderProc);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 6136 */     boolean fixScroll = false;
/* 6137 */     if (OS.LOWORD(wParam) != 8 && 
/* 6138 */       OS.COMCTL32_MAJOR >= 6 && 
/* 6139 */       this.columnCount > 32) {
/* 6140 */       int rowCount = OS.SendMessage(this.handle, 4136, 0, 0);
/* 6141 */       if (rowCount > 16) fixScroll = (this.drawCount == 0 && OS.IsWindowVisible(this.handle));
/*      */     
/*      */     } 
/*      */     
/* 6145 */     if (fixScroll) OS.DefWindowProc(this.handle, 11, 0, 0); 
/* 6146 */     LRESULT result = super.WM_VSCROLL(wParam, lParam);
/* 6147 */     if (fixScroll) {
/* 6148 */       OS.DefWindowProc(this.handle, 11, 1, 0);
/* 6149 */       int flags = 1157;
/* 6150 */       OS.RedrawWindow(this.handle, null, 0, flags);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 6157 */       if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 6158 */         RECT headerRect = new RECT(), rect = new RECT();
/* 6159 */         OS.GetClientRect(this.handle, rect);
/* 6160 */         boolean[] visible = new boolean[this.columnCount];
/* 6161 */         for (int i = 0; i < this.columnCount; i++) {
/* 6162 */           visible[i] = true;
/* 6163 */           if (OS.SendMessage(hwndHeader, 4615, i, headerRect) != 0) {
/* 6164 */             OS.MapWindowPoints(hwndHeader, this.handle, headerRect, 2);
/* 6165 */             visible[i] = OS.IntersectRect(headerRect, rect, headerRect);
/*      */           } 
/*      */         } 
/*      */         try {
/* 6169 */           this.display.hwndParent = OS.GetParent(this.handle);
/* 6170 */           this.display.columnVisible = visible;
/* 6171 */           OS.UpdateWindow(this.handle);
/*      */         } finally {
/* 6173 */           this.display.columnVisible = null;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 6178 */     if (fixSubclass) {
/* 6179 */       OS.SetWindowLongPtr(this.handle, -4, oldTableProc);
/* 6180 */       OS.SetWindowLongPtr(hwndHeader, -4, oldHeaderProc);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 6189 */     int bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 6190 */     if ((bits & 0x1) != 0) {
/* 6191 */       RECT rect; int headerHeight; RECT clientRect; int empty, oneItem, itemHeight, code = OS.LOWORD(wParam);
/* 6192 */       switch (code) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 0:
/*      */         case 1:
/* 6201 */           rect = new RECT();
/* 6202 */           OS.GetWindowRect(hwndHeader, rect);
/* 6203 */           headerHeight = rect.bottom - rect.top;
/* 6204 */           clientRect = new RECT();
/* 6205 */           OS.GetClientRect(this.handle, clientRect);
/* 6206 */           clientRect.top += headerHeight;
/* 6207 */           empty = OS.SendMessage(this.handle, 4160, 0, 0);
/* 6208 */           oneItem = OS.SendMessage(this.handle, 4160, 1, 0);
/* 6209 */           itemHeight = OS.HIWORD(oneItem) - OS.HIWORD(empty);
/* 6210 */           if (code == 1) {
/* 6211 */             clientRect.top = clientRect.bottom - itemHeight - 1;
/*      */           } else {
/* 6213 */             clientRect.bottom = clientRect.top + itemHeight + 1;
/*      */           } 
/* 6215 */           OS.InvalidateRect(this.handle, clientRect, true);
/*      */           break;
/*      */         case 2:
/*      */         case 3:
/* 6219 */           OS.InvalidateRect(this.handle, null, true);
/*      */           break;
/*      */       } 
/*      */     } 
/* 6223 */     return result;
/*      */   }
/*      */   
/*      */   LRESULT wmMeasureChild(int wParam, int lParam) {
/* 6227 */     MEASUREITEMSTRUCT struct = new MEASUREITEMSTRUCT();
/* 6228 */     OS.MoveMemory(struct, lParam, MEASUREITEMSTRUCT.sizeof);
/* 6229 */     if (this.itemHeight == -1) {
/* 6230 */       int empty = OS.SendMessage(this.handle, 4160, 0, 0);
/* 6231 */       int oneItem = OS.SendMessage(this.handle, 4160, 1, 0);
/* 6232 */       struct.itemHeight = OS.HIWORD(oneItem) - OS.HIWORD(empty);
/*      */     } else {
/* 6234 */       struct.itemHeight = this.itemHeight;
/*      */     } 
/* 6236 */     OS.MoveMemory(lParam, struct, MEASUREITEMSTRUCT.sizeof);
/* 6237 */     return null;
/*      */   }
/*      */   
/*      */   LRESULT wmNotify(NMHDR hdr, int wParam, int lParam) {
/* 6241 */     int hwndToolTip = OS.SendMessage(this.handle, 4174, 0, 0);
/* 6242 */     if (hdr.hwndFrom == hwndToolTip) {
/* 6243 */       LRESULT result = wmNotifyToolTip(hdr, wParam, lParam);
/* 6244 */       if (result != null) return result; 
/*      */     } 
/* 6246 */     int hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 6247 */     if (hdr.hwndFrom == hwndHeader) {
/* 6248 */       LRESULT result = wmNotifyHeader(hdr, wParam, lParam);
/* 6249 */       if (result != null) return result; 
/*      */     } 
/* 6251 */     return super.wmNotify(hdr, wParam, lParam); } LRESULT wmNotifyChild(NMHDR hdr, int wParam, int lParam) { NMLVDISPINFO plvfi; int hwndHeader; NMLISTVIEW pnmlv; boolean[] visible; NMLVCUSTOMDRAW nmcd;
/*      */     TableColumn column;
/*      */     TableItem item;
/*      */     boolean move;
/* 6255 */     switch (hdr.code) {
/*      */       case -179:
/*      */       case -152:
/* 6258 */         if ((this.style & 0x10000000) != 0) return new LRESULT(-1);
/*      */         
/*      */         break;
/*      */       case -115:
/* 6262 */         if ((this.style & 0x10000000) != 0 && 
/* 6263 */           !this.ignoreSelect) {
/* 6264 */           NMLVODSTATECHANGE lpStateChange = new NMLVODSTATECHANGE();
/* 6265 */           OS.MoveMemory(lpStateChange, lParam, NMLVODSTATECHANGE.sizeof);
/* 6266 */           boolean oldSelected = ((lpStateChange.uOldState & 0x2) != 0);
/* 6267 */           boolean newSelected = ((lpStateChange.uNewState & 0x2) != 0);
/* 6268 */           if (oldSelected != newSelected) this.wasSelected = true;
/*      */         
/*      */         } 
/*      */         break;
/*      */ 
/*      */       
/*      */       case -177:
/*      */       case -150:
/* 6276 */         plvfi = new NMLVDISPINFO();
/* 6277 */         OS.MoveMemory(plvfi, lParam, NMLVDISPINFO.sizeof);
/*      */         
/* 6279 */         visible = this.display.columnVisible;
/* 6280 */         if (visible != null && !visible[plvfi.iSubItem]) {
/*      */           break;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 6293 */         if ((this.style & 0x10000000) != 0 && 
/* 6294 */           this.ignoreShrink) {
/* 6295 */           OS.SendMessage(this.handle, 4117, plvfi.iItem, plvfi.iItem);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           break;
/*      */         } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 6308 */         item = _getItem(plvfi.iItem);
/* 6309 */         if (item == null) {
/*      */           break;
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 6316 */         if (!item.cached) {
/* 6317 */           if ((this.style & 0x10000000) != 0) {
/* 6318 */             this.lastIndexOf = plvfi.iItem;
/* 6319 */             if (!checkData(item, this.lastIndexOf, false))
/* 6320 */               break;  TableItem newItem = this.fixScrollWidth ? null : item;
/* 6321 */             if (setScrollWidth(newItem, true)) {
/* 6322 */               OS.InvalidateRect(this.handle, null, true);
/*      */             }
/*      */           } 
/* 6325 */           item.cached = true;
/*      */         } 
/* 6327 */         if ((plvfi.mask & 0x1) != 0) {
/* 6328 */           String string = null;
/* 6329 */           if (plvfi.iSubItem == 0) {
/* 6330 */             string = item.text;
/*      */           } else {
/* 6332 */             String[] strings = item.strings;
/* 6333 */             if (strings != null) string = strings[plvfi.iSubItem]; 
/*      */           } 
/* 6335 */           if (string != null) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 6352 */             int length = Math.min(string.length(), plvfi.cchTextMax - 1);
/* 6353 */             if (!this.tipRequested && plvfi.iSubItem == 0 && length == 0) {
/* 6354 */               string = " ";
/* 6355 */               length = 1;
/*      */             } 
/* 6357 */             char[] buffer = this.display.tableBuffer;
/* 6358 */             if (buffer == null || plvfi.cchTextMax > buffer.length) {
/* 6359 */               buffer = this.display.tableBuffer = new char[plvfi.cchTextMax];
/*      */             }
/* 6361 */             string.getChars(0, length, buffer, 0);
/* 6362 */             buffer[length++] = Character.MIN_VALUE;
/* 6363 */             if (OS.IsUnicode) {
/* 6364 */               OS.MoveMemory(plvfi.pszText, buffer, length * 2);
/*      */             } else {
/* 6366 */               OS.WideCharToMultiByte(getCodePage(), 0, buffer, length, plvfi.pszText, plvfi.cchTextMax, null, null);
/* 6367 */               OS.MoveMemory(plvfi.pszText + plvfi.cchTextMax - 1, new byte[1], 1);
/*      */             } 
/*      */           } 
/*      */         } 
/* 6371 */         move = false;
/* 6372 */         if ((plvfi.mask & 0x2) != 0) {
/* 6373 */           Image image = null;
/* 6374 */           if (plvfi.iSubItem == 0) {
/* 6375 */             image = item.image;
/*      */           } else {
/* 6377 */             Image[] images = item.images;
/* 6378 */             if (images != null) image = images[plvfi.iSubItem]; 
/*      */           } 
/* 6380 */           if (image != null) {
/* 6381 */             plvfi.iImage = imageIndex(image, plvfi.iSubItem);
/* 6382 */             move = true;
/*      */           } 
/*      */         } 
/* 6385 */         if ((plvfi.mask & 0x8) != 0 && 
/* 6386 */           plvfi.iSubItem == 0) {
/* 6387 */           int state = 1;
/* 6388 */           if (item.checked) state++; 
/* 6389 */           if (item.grayed) state += 2; 
/* 6390 */           plvfi.state = state << 12;
/* 6391 */           plvfi.stateMask = 61440;
/* 6392 */           move = true;
/*      */         } 
/*      */         
/* 6395 */         if ((plvfi.mask & 0x10) != 0 && 
/* 6396 */           plvfi.iSubItem == 0) {
/* 6397 */           plvfi.iIndent = item.imageIndent;
/* 6398 */           move = true;
/*      */         } 
/*      */         
/* 6401 */         if (move) OS.MoveMemory(lParam, plvfi, NMLVDISPINFO.sizeof);
/*      */         
/*      */         break;
/*      */       case -12:
/* 6405 */         hwndHeader = OS.SendMessage(this.handle, 4127, 0, 0);
/* 6406 */         if (hdr.hwndFrom == hwndHeader)
/* 6407 */           break;  if (!this.customDraw && findImageControl() == null)
/*      */         {
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 6413 */           if (OS.IsWindowEnabled(this.handle))
/*      */           {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 6420 */             if (!this.explorerTheme || this.columnCount != 0)
/*      */               break;  } 
/*      */         }
/* 6423 */         nmcd = new NMLVCUSTOMDRAW();
/* 6424 */         OS.MoveMemory(nmcd, lParam, NMLVCUSTOMDRAW.sizeof);
/* 6425 */         switch (nmcd.dwDrawStage) { case 1:
/* 6426 */             return CDDS_PREPAINT(nmcd, wParam, lParam);
/* 6427 */           case 65537: return CDDS_ITEMPREPAINT(nmcd, wParam, lParam);
/* 6428 */           case 65538: return CDDS_ITEMPOSTPAINT(nmcd, wParam, lParam);
/* 6429 */           case 196609: return CDDS_SUBITEMPREPAINT(nmcd, wParam, lParam);
/* 6430 */           case 196610: return CDDS_SUBITEMPOSTPAINT(nmcd, wParam, lParam);
/* 6431 */           case 2: return CDDS_POSTPAINT(nmcd, wParam, lParam); }
/*      */ 
/*      */         
/*      */         break;
/*      */       case -156:
/* 6436 */         if ((this.style & 0x4) != 0) return LRESULT.ONE; 
/* 6437 */         if (hooks(3) || hooks(4)) {
/* 6438 */           return LRESULT.ONE;
/*      */         }
/* 6440 */         if ((this.style & 0x4000000) != 0 && 
/* 6441 */           findImageControl() != null) return LRESULT.ONE;
/*      */         
/*      */         break;
/*      */       
/*      */       case -111:
/*      */       case -109:
/* 6447 */         if (OS.GetKeyState(1) >= 0)
/* 6448 */           break;  this.dragStarted = true;
/* 6449 */         if (hdr.code == -109) {
/* 6450 */           int pos = OS.GetMessagePos();
/* 6451 */           POINT pt = new POINT();
/* 6452 */           OS.POINTSTOPOINT(pt, pos);
/* 6453 */           OS.ScreenToClient(this.handle, pt);
/* 6454 */           sendDragEvent(1, pt.x, pt.y);
/*      */         } 
/*      */         break;
/*      */       
/*      */       case -108:
/* 6459 */         pnmlv = new NMLISTVIEW();
/* 6460 */         OS.MoveMemory(pnmlv, lParam, NMLISTVIEW.sizeof);
/* 6461 */         column = this.columns[pnmlv.iSubItem];
/* 6462 */         if (column != null) {
/* 6463 */           column.postEvent(13);
/*      */         }
/*      */         break;
/*      */       
/*      */       case -114:
/* 6468 */         if (this.ignoreActivate)
/* 6469 */           break;  pnmlv = new NMLISTVIEW();
/* 6470 */         OS.MoveMemory(pnmlv, lParam, NMLISTVIEW.sizeof);
/* 6471 */         if (pnmlv.iItem != -1) {
/* 6472 */           Event event = new Event();
/* 6473 */           event.item = (Widget)_getItem(pnmlv.iItem);
/* 6474 */           postEvent(14, event);
/*      */         } 
/*      */         break;
/*      */       
/*      */       case -101:
/* 6479 */         if (this.fullRowSelect) {
/* 6480 */           this.fullRowSelect = false;
/* 6481 */           OS.DefWindowProc(this.handle, 11, 1, 0);
/* 6482 */           OS.SendMessage(this.handle, 4150, 32, 0);
/*      */         } 
/* 6484 */         if (!this.ignoreSelect) {
/* 6485 */           pnmlv = new NMLISTVIEW();
/* 6486 */           OS.MoveMemory(pnmlv, lParam, NMLISTVIEW.sizeof);
/* 6487 */           if ((pnmlv.uChanged & 0x8) != 0)
/* 6488 */             if (pnmlv.iItem == -1) {
/* 6489 */               this.wasSelected = true;
/*      */             } else {
/* 6491 */               boolean oldSelected = ((pnmlv.uOldState & 0x2) != 0);
/* 6492 */               boolean newSelected = ((pnmlv.uNewState & 0x2) != 0);
/* 6493 */               if (oldSelected != newSelected) this.wasSelected = true;
/*      */             
/*      */             }  
/*      */         } 
/* 6497 */         if (hooks(40) || hooks(42)) {
/* 6498 */           int i = OS.SendMessage(this.handle, 4127, 0, 0);
/* 6499 */           int count = OS.SendMessage(i, 4608, 0, 0);
/* 6500 */           if (count != 0) {
/* 6501 */             forceResize();
/* 6502 */             RECT rect = new RECT();
/* 6503 */             OS.GetClientRect(this.handle, rect);
/* 6504 */             NMLISTVIEW nMLISTVIEW = new NMLISTVIEW();
/* 6505 */             OS.MoveMemory(nMLISTVIEW, lParam, NMLISTVIEW.sizeof);
/* 6506 */             if (nMLISTVIEW.iItem != -1) {
/* 6507 */               RECT itemRect = new RECT();
/* 6508 */               itemRect.left = 0;
/* 6509 */               this.ignoreCustomDraw = true;
/* 6510 */               OS.SendMessage(this.handle, 4110, nMLISTVIEW.iItem, itemRect);
/* 6511 */               this.ignoreCustomDraw = false;
/* 6512 */               RECT headerRect = new RECT();
/* 6513 */               int index = OS.SendMessage(i, 4623, count - 1, 0);
/* 6514 */               OS.SendMessage(i, 4615, index, headerRect);
/* 6515 */               OS.MapWindowPoints(i, this.handle, headerRect, 2);
/* 6516 */               rect.left = headerRect.right;
/* 6517 */               rect.top = itemRect.top;
/* 6518 */               rect.bottom = itemRect.bottom;
/* 6519 */               OS.InvalidateRect(this.handle, rect, true);
/*      */             } 
/*      */           } 
/*      */         } 
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case -16:
/* 6535 */         if (OS.IsPPC) {
/* 6536 */           boolean hasMenu = (this.menu != null && !this.menu.isDisposed());
/* 6537 */           if (!hasMenu && !hooks(35)) return LRESULT.ONE; 
/*      */         } 
/*      */         break;
/*      */       case 1000:
/* 6541 */         if (OS.IsPPC) {
/* 6542 */           boolean hasMenu = (this.menu != null && !this.menu.isDisposed());
/* 6543 */           if (hasMenu || hooks(35)) {
/* 6544 */             NMRGINFO nmrg = new NMRGINFO();
/* 6545 */             OS.MoveMemory(nmrg, lParam, NMRGINFO.sizeof);
/* 6546 */             showMenu(nmrg.x, nmrg.y);
/* 6547 */             return LRESULT.ONE;
/*      */           } 
/*      */         } 
/*      */         break;
/*      */     } 
/* 6552 */     return super.wmNotifyChild(hdr, wParam, lParam); }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   LRESULT wmNotifyHeader(NMHDR hdr, int wParam, int lParam) {
/*      */     NMHEADER nMHEADER1;
/*      */     int bits;
/*      */     int width;
/*      */     NMHEADER phdn;
/*      */     TableColumn tableColumn1;
/*      */     NMHEADER nMHEADER2;
/*      */     TableColumn column;
/*      */     boolean fixPack;
/* 6570 */     switch (hdr.code) {
/*      */       case -326:
/*      */       case -325:
/*      */       case -306:
/*      */       case -305:
/* 6575 */         if (this.columnCount == 0) return LRESULT.ONE; 
/* 6576 */         nMHEADER1 = new NMHEADER();
/* 6577 */         OS.MoveMemory(nMHEADER1, lParam, NMHEADER.sizeof);
/* 6578 */         tableColumn1 = this.columns[nMHEADER1.iItem];
/* 6579 */         if (tableColumn1 != null && !tableColumn1.getResizable()) {
/* 6580 */           return LRESULT.ONE;
/*      */         }
/* 6582 */         this.ignoreColumnMove = true;
/* 6583 */         switch (hdr.code) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case -325:
/*      */           case -305:
/* 6593 */             fixPack = (nMHEADER1.iItem == 0 && !this.firstColumnImage);
/* 6594 */             if (tableColumn1 != null && (fixPack || hooks(41))) {
/* 6595 */               tableColumn1.pack();
/* 6596 */               return LRESULT.ONE;
/*      */             } 
/*      */             break;
/*      */         } 
/*      */         break;
/*      */       case -16:
/* 6602 */         if (!this.ignoreColumnMove) {
/* 6603 */           for (int i = 0; i < this.columnCount; i++) {
/* 6604 */             tableColumn1 = this.columns[i];
/* 6605 */             tableColumn1.updateToolTip(i);
/*      */           } 
/*      */         }
/* 6608 */         this.ignoreColumnMove = false;
/*      */         break;
/*      */       
/*      */       case -310:
/* 6612 */         if (this.ignoreColumnMove) return LRESULT.ONE; 
/* 6613 */         bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 6614 */         if ((bits & 0x10) == 0)
/* 6615 */           break;  if (this.columnCount == 0) return LRESULT.ONE; 
/* 6616 */         nMHEADER2 = new NMHEADER();
/* 6617 */         OS.MoveMemory(nMHEADER2, lParam, NMHEADER.sizeof);
/* 6618 */         if (nMHEADER2.iItem != -1) {
/* 6619 */           TableColumn tableColumn = this.columns[nMHEADER2.iItem];
/* 6620 */           if (tableColumn != null && !tableColumn.getMoveable()) {
/* 6621 */             this.ignoreColumnMove = true;
/* 6622 */             return LRESULT.ONE;
/*      */           } 
/*      */         } 
/*      */         break;
/*      */       
/*      */       case -311:
/* 6628 */         bits = OS.SendMessage(this.handle, 4151, 0, 0);
/* 6629 */         if ((bits & 0x10) == 0)
/* 6630 */           break;  nMHEADER2 = new NMHEADER();
/* 6631 */         OS.MoveMemory(nMHEADER2, lParam, NMHEADER.sizeof);
/* 6632 */         if (nMHEADER2.iItem != -1 && nMHEADER2.pitem != 0) {
/* 6633 */           HDITEM pitem = new HDITEM();
/* 6634 */           OS.MoveMemory(pitem, nMHEADER2.pitem, HDITEM.sizeof);
/* 6635 */           if ((pitem.mask & 0x80) == 0 || pitem.iOrder == -1 || 
/* 6636 */             this.columnCount == 0)
/* 6637 */             break;  int[] order = new int[this.columnCount];
/* 6638 */           OS.SendMessage(this.handle, 4155, this.columnCount, order);
/* 6639 */           int index = 0;
/* 6640 */           while (index < order.length && 
/* 6641 */             order[index] != nMHEADER2.iItem) {
/* 6642 */             index++;
/*      */           }
/* 6644 */           if (index == order.length) index = 0; 
/* 6645 */           if (index == pitem.iOrder)
/* 6646 */             break;  int start = Math.min(index, pitem.iOrder);
/* 6647 */           int end = Math.max(index, pitem.iOrder);
/* 6648 */           this.ignoreColumnMove = false;
/* 6649 */           for (int i = start; i <= end; i++) {
/* 6650 */             TableColumn tableColumn = this.columns[order[i]];
/* 6651 */             if (!tableColumn.isDisposed()) {
/* 6652 */               tableColumn.postEvent(10);
/*      */             }
/*      */           } 
/*      */         } 
/*      */         break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       case -321:
/*      */       case -301:
/* 6669 */         width = OS.SendMessage(this.handle, 4125, 0, 0);
/* 6670 */         if (this.lastWidth == 0 && width > 0) {
/* 6671 */           int i = OS.SendMessage(this.handle, 4151, 0, 0);
/* 6672 */           if ((i & 0x1) != 0) {
/* 6673 */             RECT rect = new RECT();
/* 6674 */             OS.GetClientRect(this.handle, rect);
/* 6675 */             rect.right = rect.left + width;
/* 6676 */             OS.InvalidateRect(this.handle, rect, true);
/*      */           } 
/*      */         } 
/* 6679 */         this.lastWidth = width;
/* 6680 */         if (!this.ignoreColumnResize) {
/* 6681 */           nMHEADER2 = new NMHEADER();
/* 6682 */           OS.MoveMemory(nMHEADER2, lParam, NMHEADER.sizeof);
/* 6683 */           if (nMHEADER2.pitem != 0) {
/* 6684 */             HDITEM pitem = new HDITEM();
/* 6685 */             OS.MoveMemory(pitem, nMHEADER2.pitem, HDITEM.sizeof);
/* 6686 */             if ((pitem.mask & 0x1) != 0) {
/* 6687 */               TableColumn tableColumn = this.columns[nMHEADER2.iItem];
/* 6688 */               if (tableColumn != null) {
/* 6689 */                 tableColumn.updateToolTip(nMHEADER2.iItem);
/* 6690 */                 tableColumn.sendEvent(11);
/* 6691 */                 if (isDisposed()) return LRESULT.ZERO;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/* 6698 */                 TableColumn[] newColumns = new TableColumn[this.columnCount];
/* 6699 */                 System.arraycopy(this.columns, 0, newColumns, 0, this.columnCount);
/* 6700 */                 int[] order = new int[this.columnCount];
/* 6701 */                 OS.SendMessage(this.handle, 4155, this.columnCount, order);
/* 6702 */                 boolean moved = false;
/* 6703 */                 for (int i = 0; i < this.columnCount; i++) {
/* 6704 */                   TableColumn nextColumn = newColumns[order[i]];
/* 6705 */                   if (moved && !nextColumn.isDisposed()) {
/* 6706 */                     nextColumn.updateToolTip(order[i]);
/* 6707 */                     nextColumn.sendEvent(10);
/*      */                   } 
/* 6709 */                   if (nextColumn == tableColumn) moved = true;
/*      */                 
/*      */                 } 
/*      */               } 
/*      */             } 
/*      */           } 
/*      */         } 
/*      */         break;
/*      */       case -323:
/*      */       case -303:
/* 6719 */         phdn = new NMHEADER();
/* 6720 */         OS.MoveMemory(phdn, lParam, NMHEADER.sizeof);
/* 6721 */         column = this.columns[phdn.iItem];
/* 6722 */         if (column != null) {
/* 6723 */           column.postEvent(14);
/*      */         }
/*      */         break;
/*      */     } 
/*      */     
/* 6728 */     return null;
/*      */   }
/*      */   LRESULT wmNotifyToolTip(NMHDR hdr, int wParam, int lParam) { LRESULT result;
/*      */     int code;
/* 6732 */     if (OS.IsWinCE) return null; 
/* 6733 */     switch (hdr.code) {
/*      */       case -12:
/* 6735 */         if (this.toolTipText == null && 
/* 6736 */           isCustomToolTip()) {
/* 6737 */           NMTTCUSTOMDRAW nmcd = new NMTTCUSTOMDRAW();
/* 6738 */           OS.MoveMemory(nmcd, lParam, NMTTCUSTOMDRAW.sizeof);
/* 6739 */           return wmNotifyToolTip(nmcd, lParam);
/*      */         } 
/*      */         break;
/*      */       
/*      */       case -530:
/*      */       case -521:
/*      */       case -520:
/* 6746 */         result = super.wmNotify(hdr, wParam, lParam);
/* 6747 */         if (result != null) return result; 
/* 6748 */         if (hdr.code != -521) this.tipRequested = true; 
/* 6749 */         code = callWindowProc(this.handle, 78, wParam, lParam);
/* 6750 */         if (hdr.code != -521) this.tipRequested = false; 
/* 6751 */         if (this.toolTipText != null)
/* 6752 */           break;  if (isCustomToolTip()) {
/* 6753 */           LVHITTESTINFO pinfo = new LVHITTESTINFO();
/* 6754 */           int pos = OS.GetMessagePos();
/* 6755 */           POINT pt = new POINT();
/* 6756 */           OS.POINTSTOPOINT(pt, pos);
/* 6757 */           OS.ScreenToClient(this.handle, pt);
/* 6758 */           pinfo.x = pt.x;
/* 6759 */           pinfo.y = pt.y;
/* 6760 */           if (OS.SendMessage(this.handle, 4153, 0, pinfo) != -1) {
/* 6761 */             TableItem item = _getItem(pinfo.iItem);
/* 6762 */             int hDC = OS.GetDC(this.handle);
/* 6763 */             int oldFont = 0, newFont = OS.SendMessage(this.handle, 49, 0, 0);
/* 6764 */             if (newFont != 0) oldFont = OS.SelectObject(hDC, newFont); 
/* 6765 */             int hFont = item.fontHandle(pinfo.iSubItem);
/* 6766 */             if (hFont != -1) hFont = OS.SelectObject(hDC, hFont); 
/* 6767 */             Event event = sendMeasureItemEvent(item, pinfo.iItem, pinfo.iSubItem, hDC);
/* 6768 */             if (!isDisposed() && !item.isDisposed()) {
/* 6769 */               RECT itemRect = new RECT();
/* 6770 */               OS.SetRect(itemRect, event.x, event.y, event.x + event.width, event.y + event.height);
/* 6771 */               if (hdr.code == -521) {
/* 6772 */                 RECT toolRect = toolTipRect(itemRect);
/* 6773 */                 OS.MapWindowPoints(this.handle, 0, toolRect, 2);
/* 6774 */                 int hwndToolTip = OS.SendMessage(this.handle, 4174, 0, 0);
/* 6775 */                 int flags = 20;
/*      */                 
/* 6777 */                 int haba = 288;
/* 6778 */                 if (toolRect.right - toolRect.left > haba) {
/* 6779 */                   int length = toolRect.right - toolRect.left;
/* 6780 */                   int width = 298, height = (Math.round((length / haba)) + 1) * 18;
/* 6781 */                   SetWindowPos(hwndToolTip, 0, toolRect.left, toolRect.top, width, height, flags);
/*      */                 } else {
/*      */                   
/* 6784 */                   int width = toolRect.right - toolRect.left, height = toolRect.bottom - toolRect.top;
/* 6785 */                   SetWindowPos(hwndToolTip, 0, toolRect.left, toolRect.top, width, height, flags);
/*      */                 } 
/*      */               } else {
/* 6788 */                 NMTTDISPINFOW nMTTDISPINFOW; NMTTDISPINFO lpnmtdi = null;
/* 6789 */                 if (hdr.code == -520) {
/* 6790 */                   NMTTDISPINFOA nMTTDISPINFOA = new NMTTDISPINFOA();
/* 6791 */                   OS.MoveMemory(nMTTDISPINFOA, lParam, NMTTDISPINFOA.sizeof);
/* 6792 */                   if (((NMTTDISPINFO)nMTTDISPINFOA).lpszText != 0) {
/* 6793 */                     OS.MoveMemory(((NMTTDISPINFO)nMTTDISPINFOA).lpszText, new byte[1], 1);
/* 6794 */                     OS.MoveMemory(lParam, nMTTDISPINFOA, NMTTDISPINFOA.sizeof);
/*      */                   } 
/*      */                 } else {
/* 6797 */                   nMTTDISPINFOW = new NMTTDISPINFOW();
/* 6798 */                   OS.MoveMemory(nMTTDISPINFOW, lParam, NMTTDISPINFOW.sizeof);
/* 6799 */                   if (((NMTTDISPINFO)nMTTDISPINFOW).lpszText != 0) {
/* 6800 */                     OS.MoveMemory(((NMTTDISPINFO)nMTTDISPINFOW).lpszText, new char[1], 2);
/* 6801 */                     OS.MoveMemory(lParam, nMTTDISPINFOW, NMTTDISPINFOW.sizeof);
/*      */                   } 
/*      */                 } 
/* 6804 */                 RECT cellRect = item.getBounds(pinfo.iItem, pinfo.iSubItem, true, true, true, true, hDC);
/* 6805 */                 if (itemRect.right > cellRect.right) {
/*      */                   
/* 6807 */                   String string = " ";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                   
/* 6815 */                   if (string != null) {
/* 6816 */                     Shell shell = getShell();
/* 6817 */                     char[] chars = new char[string.length() + 1];
/* 6818 */                     string.getChars(0, string.length(), chars, 0);
/* 6819 */                     if (hdr.code == -520) {
/* 6820 */                       byte[] bytes = new byte[chars.length * 2];
/* 6821 */                       OS.WideCharToMultiByte(getCodePage(), 0, chars, chars.length, bytes, bytes.length, null, null);
/* 6822 */                       shell.setToolTipText((NMTTDISPINFO)nMTTDISPINFOW, bytes);
/* 6823 */                       OS.MoveMemory(lParam, (NMTTDISPINFOA)nMTTDISPINFOW, NMTTDISPINFOA.sizeof);
/*      */                     } else {
/* 6825 */                       shell.setToolTipText((NMTTDISPINFO)nMTTDISPINFOW, chars);
/* 6826 */                       OS.MoveMemory(lParam, nMTTDISPINFOW, NMTTDISPINFOW.sizeof);
/*      */                     } 
/*      */                   } 
/*      */                 } 
/*      */               } 
/*      */             } 
/* 6832 */             if (hFont != -1) hFont = OS.SelectObject(hDC, hFont); 
/* 6833 */             if (newFont != 0) OS.SelectObject(hDC, oldFont); 
/* 6834 */             OS.ReleaseDC(this.handle, hDC);
/*      */           } 
/*      */         } 
/* 6837 */         return new LRESULT(code);
/*      */     } 
/*      */     
/* 6840 */     return null; } LRESULT wmNotifyToolTip(NMTTCUSTOMDRAW nmcd, int lParam) {
/*      */     LVHITTESTINFO pinfo;
/*      */     int pos;
/*      */     POINT pt;
/* 6844 */     if (OS.IsWinCE) return null; 
/* 6845 */     switch (nmcd.dwDrawStage) {
/*      */       case 1:
/* 6847 */         if (isCustomToolTip())
/*      */         {
/*      */ 
/*      */           
/* 6851 */           return new LRESULT(18);
/*      */         }
/*      */         break;
/*      */       
/*      */       case 2:
/* 6856 */         pinfo = new LVHITTESTINFO();
/* 6857 */         pos = OS.GetMessagePos();
/* 6858 */         pt = new POINT();
/* 6859 */         OS.POINTSTOPOINT(pt, pos);
/* 6860 */         OS.ScreenToClient(this.handle, pt);
/* 6861 */         pinfo.x = pt.x;
/* 6862 */         pinfo.y = pt.y;
/* 6863 */         if (OS.SendMessage(this.handle, 4153, 0, pinfo) != -1) {
/* 6864 */           TableItem item = _getItem(pinfo.iItem);
/* 6865 */           int hDC = OS.GetDC(this.handle);
/* 6866 */           int hFont = item.fontHandle(pinfo.iSubItem);
/* 6867 */           if (hFont == -1) hFont = OS.SendMessage(this.handle, 49, 0, 0); 
/* 6868 */           int oldFont = OS.SelectObject(hDC, hFont);
/* 6869 */           boolean drawForeground = true;
/* 6870 */           RECT cellRect = item.getBounds(pinfo.iItem, pinfo.iSubItem, true, true, false, false, hDC);
/* 6871 */           if (hooks(40)) {
/* 6872 */             Event event = sendEraseItemEvent(item, nmcd, pinfo.iSubItem, cellRect);
/* 6873 */             if (isDisposed() || item.isDisposed())
/* 6874 */               break;  if (event.doit) {
/* 6875 */               drawForeground = ((event.detail & 0x10) != 0);
/*      */             } else {
/* 6877 */               drawForeground = false;
/*      */             } 
/*      */           } 
/* 6880 */           if (drawForeground) {
/* 6881 */             int nSavedDC = OS.SaveDC(nmcd.hdc);
/* 6882 */             int gridWidth = getLinesVisible() ? 1 : 0;
/* 6883 */             RECT insetRect = toolTipInset(cellRect);
/* 6884 */             OS.SetWindowOrgEx(nmcd.hdc, insetRect.left, insetRect.top, null);
/* 6885 */             GCData data = new GCData();
/* 6886 */             data.device = (Device)this.display;
/* 6887 */             data.foreground = OS.GetTextColor(nmcd.hdc);
/* 6888 */             data.background = OS.GetBkColor(nmcd.hdc);
/* 6889 */             data.font = Font.win32_new((Device)this.display, hFont);
/* 6890 */             GC gc = GC.win32_new(nmcd.hdc, data);
/* 6891 */             int x = cellRect.left;
/* 6892 */             if (pinfo.iSubItem != 0) x -= gridWidth; 
/* 6893 */             Image image = item.getImage(pinfo.iSubItem);
/* 6894 */             if (image != null) {
/* 6895 */               Rectangle rect = image.getBounds();
/* 6896 */               RECT imageRect = item.getBounds(pinfo.iItem, pinfo.iSubItem, false, true, false, false, hDC);
/* 6897 */               Point size = (this.imageList == null) ? new Point(rect.width, rect.height) : this.imageList.getImageSize();
/* 6898 */               int y = imageRect.top;
/* 6899 */               if (!OS.IsWinCE && OS.WIN32_VERSION >= OS.VERSION(6, 0)) {
/* 6900 */                 y += Math.max(0, (imageRect.bottom - imageRect.top - size.y) / 2);
/*      */               }
/* 6902 */               gc.drawImage(image, rect.x, rect.y, rect.width, rect.height, x, y, size.x, size.y);
/* 6903 */               x += size.x + 4 + ((pinfo.iSubItem == 0) ? -2 : 4);
/*      */             } else {
/* 6905 */               x += 6;
/*      */             } 
/* 6907 */             String string = item.getText(pinfo.iSubItem);
/* 6908 */             if (string != null) {
/* 6909 */               int flags = 2068;
/* 6910 */               TableColumn column = (this.columns != null) ? this.columns[pinfo.iSubItem] : null;
/* 6911 */               if (column != null) {
/* 6912 */                 if ((column.style & 0x1000000) != 0) flags |= 0x1; 
/* 6913 */                 if ((column.style & 0x20000) != 0) flags |= 0x2; 
/*      */               } 
/* 6915 */               TCHAR buffer = new TCHAR(getCodePage(), string, false);
/* 6916 */               RECT textRect = new RECT();
/* 6917 */               OS.SetRect(textRect, x, cellRect.top, cellRect.right, cellRect.bottom);
/*      */               
/* 6919 */               int haba = 288;
/* 6920 */               if (textRect.right - textRect.left > haba) {
/* 6921 */                 int length = textRect.right - textRect.left;
/* 6922 */                 textRect.right = haba + textRect.left;
/* 6923 */                 textRect.bottom = textRect.top + (Math.round((length / haba)) + 1) * 18;
/*      */               } 
/*      */               
/* 6926 */               OS.DrawText(nmcd.hdc, buffer, buffer.length(), textRect, flags);
/*      */             } 
/* 6928 */             gc.dispose();
/* 6929 */             OS.RestoreDC(nmcd.hdc, nSavedDC);
/*      */           } 
/* 6931 */           if (hooks(42)) {
/* 6932 */             RECT itemRect = item.getBounds(pinfo.iItem, pinfo.iSubItem, true, true, false, false, hDC);
/* 6933 */             sendPaintItemEvent(item, nmcd, pinfo.iSubItem, itemRect);
/*      */           } 
/* 6935 */           OS.SelectObject(hDC, oldFont);
/* 6936 */           OS.ReleaseDC(this.handle, hDC);
/*      */         } 
/*      */         break;
/*      */     } 
/* 6940 */     return null;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\org\eclipse\swt\widgets\Table.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */